# 23andMe data breach: Hackers stole raw genotype data, health reports
## Genetic testing provider 23andMe confirmed that hackers stole health reports and raw genotype data of customers affected by a credential stuffing attack that went unnoticed for five months, from April 29 to September 27.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/23andme-data-breach-hackers-stole-raw-genotype-data-health-reports/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 25 January 2024, 17:05
+ Date scraped: 25 January 2024, 23:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/01/25/23andMe.jpg)



Genetic testing provider 23andMe confirmed that hackers stole health reports and raw genotype data of customers affected by a credential stuffing attack that went unnoticed for five months, from April 29 to September 27.


The credentials used by the attackers to breach the customers' accounts were stolen in other data breaches or used on previously compromised online platforms.


As the genomics and biotechnology company disclosed in [data breach notification letters](https://oag.ca.gov/system/files/CA%20AG%20-%20CA%20Notification%20Letters.pdf) sent to those impacted in the incident, some of the stolen data was posted on the BreachForums hacking forum and the unofficial 23andMe subreddit site.


The leaked information includes the [data for 1 million Ashkenazi Jews](https://www.bleepingcomputer.com/news/security/genetics-firm-23andme-says-user-data-stolen-in-credential-stuffing-attack/) and [4.1 million people living in the United Kingdom](https://www.bleepingcomputer.com/news/security/hacker-leaks-millions-of-new-23andme-genetic-data-profiles/).



![Leaked 23andMe customer data](https://www.bleepstatic.com/images/news/u/1109292/2024/Leaked_23andMe_customer_data.jpg)*Leaked 23andMe customer data (BleepingComputer)*


"Our investigation determined the threat actor downloaded or accessed your uninterrupted raw genotype data, and may have accessed other sensitive information in your account, such as certain [health reports](https://customercare.23andme.com/hc/en-us/articles/115013843028-What-Health-Related-Information-Can-I-Learn-From-23andMe-) derived from the processing of your genetic information, including health-predisposition reports, wellness reports, and carrier status reports," 23andMe revealed.


"To the extent your account contained such information, the threat actor may have also accessed self-reported health condition information, and information in your settings."


For customers who also used 23andMe's DNA Relatives feature, it is possible that the attackers also scraped their DNA Relatives and Family Tree profile information.


They may have also gained visibility to affected customers' following information if shared via the DNA Relatives feature:


* Ancestry reports and matching DNA segments (specifically where on your chromosomes you and your relative had matching DNA),
* Self-reported location (city/zip code),
* Ancestor birth locations and family names,
* Profile picture, birth year, and anything else included in their profile's "Introduce yourself" section

23andMe told BleepingComputer in December that the hackers downloaded the data of 6.9 million people of the existing 14 million customers after breaching around 14,000 user accounts.


5.5 million individuals had their data scraped through the DNA Relatives feature and 1.4 million via the Family Tree feature.


On October 10, roughly one week after detecting the attack, 23andMe started requiring all customers to [reset their passwords](https://blog.23andme.com/articles/addressing-data-security-concerns).


Since November 6, all new and existing customers must [use two-factor authentication](https://blog.23andme.com/articles/enhanced-customer-security-at-23andme-with-2-step-verification) when logging into their accounts to block future credential-stuffing attempts.


Last year's incident also resulted in [multiple lawsuits](https://www.bleepingcomputer.com/news/security/23andme-hit-with-lawsuits-after-hacker-leaks-stolen-genetics-data/) being filed against 23andMe, causing the company to [update its Terms of Use](https://www.bleepingcomputer.com/news/security/23andme-updates-user-agreement-to-prevent-data-breach-lawsuits/) on November 30 with provisions that make it harder for customers to join class action lawsuits against 23andMe.


"To the fullest extent allowed by applicable law, you and we agree that each party may bring disputes against the other party only in an individual capacity, and not as a class action or collective action or class arbitration," reads one of the updates.


However, 23andMe said these changes were added to make the arbitration process more efficient and easier for customers to understand.





## Tags:


### Autogenerated tags:
[[23andme]] [[dna]]
