# 23andMe data breach under investigation in UK and Canada
## Privacy authorities in Canada and the United Kingdom have launched a joint investigation to assess the scope of sensitive customer information exposed in last year's 23andMe data breach.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/23andme-data-breach-under-investigation-in-uk-and-canada/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 June 2024, 11:00
+ Date scraped: 10 June 2024, 16:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/01/25/23andMe.jpg)



Privacy authorities in Canada and the United Kingdom have launched a joint investigation to assess the scope of sensitive customer information exposed in last year's 23andMe data breach.


The Privacy Commissioner of Canada and The Information Commissioner's Office (ICO) will also look into whether the company had adequate safeguards to secure customer data stored on its systems.


The joint investigation will also examine if 23andMe alerted affected individuals and the privacy regulators as required by Canadian and UK privacy and data protection laws.


"In the wrong hands, an individual's genetic information could be misused for surveillance or discrimination. Ensuring that personal information is adequately protected against attacks by malicious actors is an important focus for privacy authorities in Canada and around the world," [said](https://www.priv.gc.ca/en/opc-news/news-and-announcements/2024/an_240610b/) Privacy Commissioner of Canada Philippe Dufresne.


"People need to trust that any organization handling their most sensitive personal information has the appropriate security and safeguards in place," UK Information Commissioner John Edwards [added](https://ico.org.uk/about-the-ico/media-centre/news-and-blogs/2024/06/ico-to-investigate-23andme-data-breach-with-canadian-counterpart/).


"This data breach had an international impact, and we look forward to collaborating with our Canadian counterparts to ensure the personal information of people in the UK is protected."


23andMe accounts breached in credential-stuffing attack
-------------------------------------------------------


In January, Genetic testing provider 23andMe confirmed that the attackers stole health reports and raw genotype data of affected customers in a five-month credential-stuffing attack from April 29 to September 27.


The attackers used credentials stolen from other data breaches or compromised online platforms to breach 23andMe accounts.


Upon detecting the attack on October 10, 23andMe started requiring all customers to [reset their passwords](http://blog.23andme.com/articles/addressing-data-security-concerns). Since November 6, [two-factor authentication](https://blog.23andme.com/articles/enhanced-customer-security-at-23andme-with-2-step-verification) has been enabled by default for all new and existing customers.


The company disclosed in [data breach notification letters](https://oag.ca.gov/system/files/CA%20AG%20-%20CA%20Notification%20Letters.pdf) sent to impacted individuals that some stolen data was posted on the BreachForums hacking forum and the unofficial 23andMe subreddit.



![Leaked 23andMe customer data](https://www.bleepstatic.com/images/news/u/1109292/2024/Leaked_23andMe_customer_data.jpg)

*Leaked 23andMe customer data (BleepingComputer)*




The leaked information included the data of [4.1 million people living in the United Kingdom](https://www.bleepingcomputer.com/news/security/hacker-leaks-millions-of-new-23andme-genetic-data-profiles/) and [1 million Ashkenazi Jews](https://www.bleepingcomputer.com/news/security/genetics-firm-23andme-says-user-data-stolen-in-credential-stuffing-attack/).


23andMe told BleepingComputer in December that the threat actors downloaded data for 6.9 million out of 14 million customers after breaching around 14,000 user accounts.


Approximately 5.5 million individuals had their data scraped through the DNA Relatives feature and 1.4 million via the Family Tree feature.


Due to the incident, [multiple lawsuits](https://www.bleepingcomputer.com/news/security/23andme-hit-with-lawsuits-after-hacker-leaks-stolen-genetics-data/) were filed against 23andMe, prompting the company to [update its Terms of Use](https://www.bleepingcomputer.com/news/security/23andme-updates-user-agreement-to-prevent-data-breach-lawsuits/) on November 30 to make it harder for customers to join class action lawsuits.


However, 23andMe stated that the changes were made to make the arbitration process more efficient and more accessible for customers to understand.





## Tags:


### Autogenerated tags:
[[23andme]] [[uk]]
