# 3D Printed Food? Israeli company unveils cultured steak, beef morsels
## Craving your next serving of steak? These 3D-printed and sumptuous beef morsels may have you surprised. This Israeli company is on a mission to mass produce cultured beef—that is real beef but not sourced from killing a cow, that further undergoes 3D printing.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/3d-printed-food-israeli-company-unveils-cultured-steak-beef-morsels/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 15 September 2022, 16:48
+ Date scraped: 15 September 2022, 17:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/09/15/cow-gang.jpg)



Craving your next serving of steak? These 3D-printed and sumptuous beef morsels may have you surprised.


This cutting-edge company is on a mission to mass produce cultured beef—real beef sourced from cows without any slaughtering involved, that further undergoes 3D printing.


Researchers suggest that lab-made beef is bound to reduce the environmental toll from conventional meat production methods. But, does the public feel ready to embrace these up-and-coming cuisines?


## Rare or well done?


Israel-based Steakholder Foods, previously known as MeaTech 3D, has unveiled what it calls *Omakase Beef Morsels*.


As the name implies, these are bite-sized meat chunks developed using a 3D printing process that operates on lab-grown beef.



![Cultured Beef Morsels](https://www.bleepstatic.com/images/news/u/1164866/2022/sep-2022/beef-morsels/beef-morsels-min.jpeg)**Steakholder's cultured beef morsels**(Steakholder Foods)


As opposed to being sourced from slaughtering livestock, the beef for these morsels is derived from "starter cells" or [STEM cells](https://en.wikipedia.org/wiki/Stem_cell) of the animal that are left to grow in a petri dish or flash under human-made conditions.


"Omakase Beef Morsels are an innovative culinary and technological achievement inspired by the marbling standard of Wagyu beef and designed as a meat lover’s delicacy for premium dining experiences," [explains](https://steakholderfoods.com/omakase-cultured-beef-morsels/) Steakholder Foods.


"The product is made up of multiple layers of muscle and fat tissue which have been differentiated from bovine stem cells. It can be printed in a variety of muscle-fat layer sequences and with any desired marbling ratio, shape or width."


As innovative as Steakholder's new "[patent-pending breakthrough](https://twitter.com/stkhfoods/status/1567785057842077697)" may seem, 3D-printed meat is actually nothing new—at least when it comes to vegan versions.


In 2020, another Israeli company, Redefine Meat [announced](https://www.prnewswire.com/il/news-releases/redefine-meat-unveils-world-s-first-alt-steak-tm-plant-based-products-using-industrial-3d-printing-864244423.html) the launch of its plant-based 3D printed meat product, apparently also "patent-pending," with its primary protein sources being soy and peas.


Redefine's vegan-friendly meat mimic has been dubbed ["gamechanging](https://www.theguardian.com/food/2021/nov/16/3d-printed-steak-taste-test-meat-mimic)," with its "extraordinary" taste and texture, been declared "certainly the closest synthetic approximation yet."


Steakholder's 3D printed beef, on the other hand, uses lab-grown steak that the company unveiled in [December 2021](https://www.theguardian.com/environment/2021/dec/08/worlds-largest-lab-grown-steak-unveiled-by-israeli-firm) as the world's "largest" cultured steak chunk weighing almost 4oz (110 grams)—making it *closest* to real steak sourced from slaughtering cows.


The following video explainer dives deeper into the production process and how scientists had to "grow" both fat and muscle tissue of the meat in the lab:



Prior to Steakholder's innovation, Aleph Farms, yet again Israel-based, is [credited](https://www.theguardian.com/environment/2018/dec/14/worlds-first-lab-grown-beef-steak-revealed-but-the-taste-needs-work) with producing the world's first lab-grown beef steak in 2018.


## From environment to ethics: adoption among public


As for whether lab-grown meat is better for the environment, as touted by the industry gamechangers, researchers largely state so but there's more to be learned.


A 2019 report from the University of Oxford suggests "cultured meat" grown using tissue engineering techniques produces up to 96% less greenhouse gas emissions than the conventional process.


"What our study found was that the environmental impacts of cultured meat could be substantially lower than those of meat produced in the conventional way," Dr. Hanna Tuomisto of Oxford University's Wildlife Conservation Research Unit, who led the research, has [previously said](https://www.ox.ac.uk/news/2019-02-19-lab-grown-meat-really-better-environment).


"Cultured meat could potentially be produced with up to 96% lower greenhouse gas emissions, 45% less energy, 99% lower land use, and 96% lower water use than conventional meat."


Additionally, producing meat without having to raise and slaughter cattle may work out better for ensuring animal welfare and overall health.


However, an earlier [publication](https://www.eea.europa.eu/publications/artificial-meat-and-the-environment/file) on European Union (EU)'s website suggested not all artificial meat production methods may be energy efficient, and the choice of meat source (chicken, beef, pork, or plant) had a role to play.


"One study shows that artificial meat could have less environmental impact than beef, and possibly pork, but more than chicken and plant-based proteins (Smetana et al., 2015)." [[1](https://link.springer.com/article/10.1007/s11367-015-0931-6), [2](https://www.researchgate.net/profile/Sergiy-Smetana/publication/279514998_Meat_Alternatives_Life_Cycle_Assessment_of_Most_Known_Meat_Substitutes/links/58c067ba92851c2adfeb0ec4/Meat-Alternatives-Life-Cycle-Assessment-of-Most-Known-Meat-Substitutes.pdf)].


"However, these [lifecycle analyses] are speculative as they are all based upon hypothetical models of what form cultured meat production might take ([Stephens et al., 2018](https://pubmed.ncbi.nlm.nih.gov/30100674/)). Further monitoring of associated technological developments is needed to complement these speculative models."


Lab-grown beef may seem to be a more ethical alternative to slaughtering animals. Prominent animal welfare groups like UK's Vegan Society have expressed [support for the product](https://www.theguardian.com/environment/2018/dec/14/worlds-first-lab-grown-beef-steak-revealed-but-the-taste-needs-work) as it helps "reducing animal suffering and the environmental impact of animal agriculture" while still upholding the fact that cultured meat is not vegan.


But the ethics of [production process](https://youtu.be/UQejwvnog0M?t=194) itself may leave people divided.


A controversial aspect of lab-grown beef is that it uses Fetal Bovine Serum (FBS) as a substance for supporting STEM cell growth. FBS is derived from an unborn fetus of a slaughtered cow which may not sit well with all consumers.


"In layman's terms, it's baby cow blood," [explains](http://youtu.be/UQejwvnog0M?t=316) Dr. Celia Homyak, co-director of Alternative Meats Lab at UC Berkeley in the video.


Scientists are working to eventually replace FBS with another substance that will eliminate dependence on cow fetuses.


"Steakholder Foods is committed to removing fetal bovine serum (FBS), a costly animal-derived ingredient used in cell culture media that feeds stem cells as they undergo differentiation into muscle cells and fat cells. We have already developed processes that don't require this component and are working to phase it out as soon as possible," [says](https://steakholderfoods.com/faq/) the company.


"Our plans are that [FBS] shouldn't be part of any at-scale commercial activity," Simon Fried, a former Steakholder executive has previously said.


Homyak also implied that the actual environmental impact from mass-producing cultured beef may only become known as production is scaled up.


"We don't know what the carbon footprint looks like to actually scale these up, and the amount of space and energy it will take."


Time will tell who wins the race of mastering meat mass-production—cultured or vegan. More than just being food as fuel, culinary habits and preferences can be deeply personal and engrained across cultures and belief systems. More than just pioneering technological innovation, the bigger challenge for the evolving food tech lies in winning over people's perceptions and preferences, and that too, organically (no pun).


*Note: Neither BleepingComputer nor the author is affiliated with any of the companies and/or their associates and/or the larger meat production industry in any manner and is not receiving any material or financial favors from the publication of this piece.*





## Tags:


### Autogenerated tags:
[[steakholder]] [[lab-grown]] [[3d]] [[fbs]] [[sourced]]
