# ARIN will take down its RPKI for 30 minutes to test your BGP routes
## ARIN plans on performing unannounced maintenance of its RPKI, sometime in July, for about thirty minutes to check if networks are adhering to BGP best practices.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/arin-will-take-down-its-rpki-for-30-minutes-to-test-your-bgp-routes/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 03 June 2021, 02:40
+ Date scraped: 12 December 2023, 12:15

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/08/30/network-routing.jpg)



As more and more networks are implementing Resource Public Key Infrastructure (RPKI) validation and signing of their BGP routes—to protect themselves against route hijacks and leaks, what should happen in case the critical RPKI goes down?


This is the thought process behind the latest announcement from the American Registry for Internet Numbers (ARIN), which operates critical RPKI infrastructure relied on by many.


ARIN plans on performing unannounced maintenance of its RPKI, sometime in July, for about thirty minutes to check if networks are adhering to BGP best practices.


RPKI is a cryptographic framework designed to secure the Internet's routing infrastructure, primarily Border Gateway Protocol (BGP).


Last month, as reported by BleepingComputer, one of America's largest broadband providers, [Comcast implemented RPKI](https://www.bleepingcomputer.com/news/security/comcast-now-blocks-bgp-hijacking-attacks-and-route-leaks-with-rpki/) on its network to block BGP hijacking attacks and leaks.


In April this year, a major BGP leak had [disrupted thousands of networks](https://www.bleepingcomputer.com/news/security/major-bgp-leak-disrupts-thousands-of-networks-globally/) globally, prompting the need for networks to strengthen BGP route security.


ARIN to temporarily take down its RPKI by surprise
--------------------------------------------------


This week, ARIN announced that they plan on taking down their RPKI by surprise, for about 30 minutes, sometime in July this year.


The rationale behind this drill is that, should ARIN's critical RPKI, which is relied on by many, ever face disruptions or outages, networks should be prepared to fall back to routing on unvalidated announcements.


This is one of the many best practices, described in [RFC 7115](https://datatracker.ietf.org/doc/html/rfc7115):



![RFC 7115 screenshot](https://www.bleepstatic.com/images/news/u/1164866/2021/Jun%202021/arin%20bgp%20rpki%20down/rfc-screenshot.jpg)**RFC 7115 states RPKI-validated routing announcements should be preferred, without rejecting those lacking the validations**


"We want to ensure that ARIN and the greater RPKI community are prepared in the unlikely event that access to ARIN's RPKI repository becomes unavailable."


"To that end, we encourage operators utilizing ARIN's RPKI repository data to follow the best practices as described in RFC 7115 / BCP 185 – specifically falling back to routing on unvalidated announcements (i.e. NotFound validity state) in the absence of RPKI data availability," [says](https://www.arin.net/announcements/20210602-rpki/) Brad Gorman, Senior Product Owner, Routing Security at ARIN.


As such, organizations that rely on ARIN's RPKI route classification should review their operational model before next month, which is when the surprise maintenance will occur.


How does ARIN fit into the big picture?
---------------------------------------


ARIN is one of the five Regional Internet Registries (RIRs) making the RPKI work:



![arin rir](https://www.bleepstatic.com/images/news/u/1164866/2021/Jun%202021/arin%20bgp%20rpki%20down/RPKI-diagram-cloudflare.png)**ARIN is one of the Regional Internet Registries (RIRs) supporting RPKI** (Cloudflare)


RPKI is a cryptographic framework designed to secure BGP, the internet's routing infrastructure, and it works by signing records that associate a route with an originating AS number.


RIRs, like ARIN, provide a way for members to take an IP-ASN pair and sign an ROA (Route Origin Authorization) record.


An ROA is a digitally signed object that, as a part of the RPKI system, enables anyone to verify whether an IP address block holder has authorized an AS (Autonomous System) to originate routes to one or more prefixes within that address block:



![cloudflare rir](https://www.bleepstatic.com/images/news/u/1164866/2021/Jun%202021/arin%20bgp%20rpki%20down/clouflare-rir.png)**Role of RIRs, like ARIN, in signing IP-ASN pairs for RPKI**(Cloudflare)


As retired Cloudflare engineer, Martin Levy [explains](https://blog.cloudflare.com/rpki/) it himself:


"Because any route can be originated and announced by any random network, independent of its rights to announce that route, there needs to be an out-of-band method to help BGP manage which network can announce which route," says Levy.


"That system exists today. It's part of the IRR (Internet Routing Registry) system."


"Many registries exist, some run by networks, some by RIRs (Regional Internet Registries) and the grand daddy of IRRs, Merit's RADB service. This service provides a collective method to allow one network to filter another network's routes," Levy further explains.


Last year, [IBM suffered a global outage](https://www.bleepingcomputer.com/news/technology/ibm-cloud-global-outage-caused-by-incorrect-bgp-routing/) due to "incorrect" BGP routing, as reported by BleepingComputer. For those interested, the report also goes over the basics of BGP routing and hijacking.


As more and more networks adopt RPKI, this move by ARIN encourages networks and AS owners to investigate and become ready with a fail-safe plan.





## Tags:


### Autogenerated tags:
[[rpki]] [[arin]] [[bgp]] [[rirs]] [[rfc]] [[cloudflare]]
