# Advance Auto Parts stolen data for sale after Snowflake attack
## Threat actors claim to be selling 3TB of data from Advance Auto Parts, a leading automotive aftermarket parts provider, stolen after breaching the company's Snowflake account.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/advance-auto-parts-stolen-data-for-sale-after-snowflake-attack/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 05 June 2024, 17:56
+ Date scraped: 05 June 2024, 22:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/06/05/Advance_Auto_Parts.jpg)



Threat actors claim to be selling 3TB of data from Advance Auto Parts, a leading automotive aftermarket parts provider, stolen after breaching the company's Snowflake account.


Advance operates 4,777 stores and 320 Worldpac branches and serves 1,152 independently owned Carquest stores in the United States, Canada, Puerto Rico, the U.S. Virgin Islands, Mexico, and various Caribbean islands.


As the threat actor (using the Sp1d3r handle) revealed today, the massive archive of data stolen from Advance's Snowflake cloud storage environment includes:


* 380 million customer profiles (name, email, mobile, phone, address, and more)
* 140 million customer orders
* 44 million Loyalty / Gas card numbers (with customer details)
* Auto parts/part numbers
* Sales history
* Employment candidate info with SSNs, driver's license numbers, and demographic details
* Transaction tender details

While they also mentioned they're selling the stolen information of 358,000 employees, the company currently has around 68,000. The difference could be old data belonging to former employees and associates.



![Advance Auto Parts data sale](https://www.bleepstatic.com/images/news/u/1109292/2024/Advance-Auto-Parts-data-sale.jpg)

*Advance Auto Parts data sold online (BleepingComputer)*




BleepingComputer has been able to confirm that a large number of Advance Auto Parts customer records are legitimate.


Advance has yet to publicly disclose this breach and notify the U.S. Securities and Exchange Commission of the incident. BleepingComputer contacted an Advance Auto Parts spokesperson several times for confirmation and with questions about the breach but did not receive a reply.


Data stolen from Advance's Snowflake account
--------------------------------------------


The threat actor selling Advance's data for $1.5 million on a hacking forum told BleepingComputer that the data had been stolen in [recent attacks](https://www.bleepingcomputer.com/tag/snowflake/) targeting cloud storage company Snowflake customers since at least mid-April 2024.


Snowflake's cloud services are used by 9,437 customers, including high-profile companies worldwide, such as Adobe, AT&T, Kraft Heinz, Mastercard, Micron, Capital One, Doordash, HP, Nielsen, Novartis, Okta, PepsiCo, Siemens, Instacart, JetBlue, NBC Universal, US Foods, Western Union, Yamaha, and many others.


The threat actor also told BleepingComputer that the automotive company is not the only Snowflake customer whose data was exfiltrated. Some Snowflake customers have also allegedly already paid to get their data back after being contacted by the attackers, according to the threat actor, but BleepingComputer has not been able to independently confirm if this was true.


As first shared by threat intel company HackManac, the leaked data contains numerous references to 'SNOWFLAKE,' corroborating the threat actor's claim that it was stolen in the recent Snowflake data theft attacks.


[![HackManac Advance Auto Parts tweet](https://www.bleepstatic.com/images/news/u/1109292/2024/HackManac_Advance_Auto_Parts.jpg)](https://x.com/H4ckManac/status/1798342651407663254)


Recent [Santander](https://www.bleepingcomputer.com/news/security/shinyhunters-claims-santander-breach-selling-data-for-30m-customers/) and [Ticketmaster](https://www.bleepingcomputer.com/news/security/data-of-560-million-ticketmaster-customers-for-sale-after-alleged-breach/) breaches were also linked to these attacks. On Friday, TicketMaster's parent company, Live Nation, confirmed that [a data breach hit the ticketing firm](https://www.bleepingcomputer.com/news/security/ticketmaster-confirms-massive-breach-after-stolen-data-for-sale-online/) after its Snowflake account was compromised on May 20.


The company [confirmed in a joint advisory](https://www.bleepingcomputer.com/news/security/snowflake-account-hacks-linked-to-santander-ticketmaster-breaches/) with CrowdStrike and Mandiant that attackers use stolen credentials to target customers with multi-factor authentication disabled.


Snowflake added that while one employee's demo account was compromised in this campaign using stolen credentials, this account didn't provide the threat actors access to sensitive data and production or corporate systems.


"To date, we do not believe this activity is caused by any vulnerability, misconfiguration, or malicious activity within the Snowflake product," Snowflake CISO Brad Jones said.


"Throughout the course of our ongoing investigation, we have promptly informed the limited number of customers who we believe may have been impacted."


Mandiant Consulting CTO Charles Carmakal has told BleepingComputer that Mandiant has been assisting compromised Snowflake customers over the past few weeks. Mandiant's investigations also indicate that the attackers are likely using credentials stolen by information-stealing malware to access the victims' Snowflake tenants and steal data.





## Tags:


### Autogenerated tags:
[[bleepingcomputer]] [[mandiant]] [[cloud]]
