# Amazon AWS withdraws Moq sponsorship amid data collection controversy
## Amazon AWS has dropped sponsorship support for open source project Moq after the project was sharply criticized for its opaque data collection features, as BleepingComputer first reported.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/amazon-aws-withdraws-moq-sponsorship-amid-data-collection-controversy/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 11 August 2023, 10:04
+ Date scraped: 11 August 2023, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/01/06/Amazon_AWS.jpg)



Amazon AWS has dropped sponsorship support for open source project Moq after the project drew sharp criticism for its quiet addition of data collection features, as first reported by BleepingComputer.


Moq, [a widely distributed library](https://www.nuget.org/packages/Moq) on the NuGet software registry, was found to be harvesting hashes of developer email addresses on machines it was installed on. This started last week, after Moq's developer bundled his controversial SponsorLink dependency within the project and without notice.


## Amazon AWS drops sponsoring Moq


Moq project, whose maintainers include [Daniel Cazzulino (kzu)](https://github.com/kzu), received severe push back this week after Cazzulino rolled out a 4.20 version that [included his SponsorLink package](https://www.bleepingcomputer.com/news/security/popular-open-source-project-moq-criticized-for-quietly-collecting-data/) without prior notification.


The inclusion of closed-source SponsorLink package caused Moq to harvest SHA-256 hashes of developer email addresses from local Git configs, and [upload these to SponsorLink's CDN](https://github.com/moq/moq/issues/1372#issuecomment-1670344399). 


In reaction, several developers either discontinued use of Moq [[1](https://github.com/moq/moq/issues/1370), [2](https://www.reddit.com/r/dotnet/comments/15ljdcc/does_moq_in_its_latest_version_extract_and_send/)] in favor of alternatives, or [suggested building tools that would detect](https://github.com/moq/moq/issues/1372#issuecomment-1670564396) and block any projects that run SponsorLink.


Some went a step further, stating they would [boycott projects that use SponsorLink](https://www.reddit.com/r/dotnet/comments/15ljdcc/comment/jvbfoin/?utm_source=share&utm_medium=web2x&context=3) or even report SponsorLink as "malware" to the NuGet registry [[1](https://github.com/devlooped/SponsorLink/commit/a199a4d88afccbeaba5bfe6078e037f56d60ccff#commitcomment-124026379), [2](https://www.reddit.com/r/dotnet/comments/15ljdcc/comment/jvetzt2/?utm_source=share&utm_medium=web2x&context=3)].


SponsorLink, previously [shipped on NuGet](https://www.nuget.org/packages/Devlooped.SponsorLink/) as obfuscated DLLs, generated [a hefty push back among](https://github.com/devlooped/SponsorLink/issues/9) open source software users who stated that disclosing the project's source code was "important for transparency and trust."


More than whether Moq or SponsorLink fell foul of the expectations within open source ecosystems, a pressing concern among users was whether the data collection violated privacy legislation, such as GDPR [[1](http://github.com/devlooped/SponsorLink/issues/18#issuecomment-1671416682), [2](https://github.com/moq/moq/pull/1373)]. A German court has [previously ruled](https://www.spiritlegal.com/en/news/details/e-commerce-retail-facebook-custom-audience-not-allowed-without-consent.html) that SHA-256 hashing by was is sufficient means of data anonymization.


The developer has [rolled back the controversial change](http://github.com/moq/moq/commit/a7dcd43) in Moq v4.20.2, stating that it "breaks MacOS restore"—a reason that others have, yet again, [mocked](https://github.com/moq/moq/commit/a7dcd43#commitcomment-124097288).


Despite the developer making these amends, there remains suspicion among users that future Moq releases [could reintroduce](https://github.com/moq/moq/issues/1372#issuecomment-1672759978) a similar "feature." 


Amazon AWS, like many, has distanced itself from Moq and ceased endorsing the open source project.


A code change submitted to Moq by [Rich Bowen](https://github.com/rbowen), Amazon AWS' open source advocate, requests that references to AWS be removed from the project, as seen by BleepingComputer.



![Amazon AWS requests Moq to remove its name from README](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/moq-aws/aws-moq.jpg)**Amazon AWS withdraws endorsement for Moq** (GitHub)


"We acknowledge that we sponsored in the past," writes Bowen.


"However, the addition of SponsorLink means that we will no longer be using this tool, and don't wish to have our implied endorsement prominently displayed in the README. Thanks."


Moq developer Cazzulino welcomed the request and removed Amazon's AWS name from the project's README:



![Moq removes Amazon from sponsors](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/moq-aws/moq-amazon-removed.jpg)**Moq removes Amazon's name from sponsors** (GitHub)


"Properly removing the whole section in [#1383](https://github.com/moq/moq/pull/1383). Should auto-merge in a bit," responded the developer.


In fact, the developer has replaced the entire manually-written "Sponsors" list with one that's "[auto-updated](http://github.com/moq/moq#sponsors)," according to the pull request.


We have reached out to Amazon AWS for comment. Cazzulino did not respond to BleepingComputer when approached for comment on the matter this week.


## SponsorLink is now open source


On a related note, following persistent feedback from his user base, the developer has [now made the SponsorLink project](https://github.com/devlooped/SponsorLink/issues/19#issuecomment-1672981058) open source.


"Full OSS for SponsorLink (including client and backend) now lives in this same repo, under the *src* folder," writes Cazzulino.


BleepingComputer verified that an '[src](https://github.com/devlooped/SponsorLink/tree/main/src)' (source code) directly was made available on SponsorLink's GitHub repository sometime yesterday:



![sponsorlink source code](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/moq-aws/sponsorlink-src.jpg)**SponsorLink's source code now available on GitHub**


The reasoning behind why SponsorLink's .NET implementation was previously kept closed-source was also amended.


The developer admits that, "making the source available might have only made it trivial to circumvent" functionality that would ensure users receive their sponsorship status notification.


The move to make SponsorLink open source, according to the developer, would make it "less effective in contributing to an OSS project long-term sustainability."



![SponsorLink now open source](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/moq-aws/sponsorlink-msg.jpg)**Earlier reasoning for keeping project closed-source (in red) amended (in green)** (GitHub)


Despite the developer making much-requested amendments to Moq and SponsorLink, the projects may take a while to regain user trust among open source veterans.





## Tags:


### Autogenerated tags:
[[sponsorlink]] [[moq]] [[aws]] [[cazzulino]] [[github]] [[bleepingcomputer]] [[nuget]] [[closed-source]]
