# Anatsa Android trojan now steals banking info from users in US, UK
## A new mobile malware campaign since March 2023 pushes the Android banking trojan 'Anatsa' to online banking customers in the U.S., the U.K., Germany, Austria, and Switzerland.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/anatsa-android-trojan-now-steals-banking-info-from-users-in-us-uk/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 26 June 2023, 13:21
+ Date scraped: 26 June 2023, 18:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/05/25/Android_malware.jpg)



A new mobile malware campaign since March 2023 pushes the Android banking trojan 'Anatsa' to online banking customers in the U.S., the U.K., Germany, Austria, and Switzerland.


According to security researchers at [ThreatFabric](https://www.threatfabric.com/blogs/anatsa-hits-uk-and-dach-with-new-campaign), who have been tracking the malicious activity, the attackers are distributing their malware via the Play Store, Android's official app store, and already have over 30,000 installations via this method alone.


ThreatFabric discovered a [previous Anatsa campaign on Google Play](https://www.bleepingcomputer.com/news/security/android-banking-malware-infects-300-000-google-play-users/) in November 2021, when the trojan was installed over 300,000 times by impersonating PDF scanners, QR code scanners, Adobe Illustrator apps, and fitness tracker apps.


## New Anatsa campaign


In March 2023, after a six-month hiatus in malware distribution, the threat actors launched a new malvertizing campaign that leads prospective victims to download Anatsa dropper apps from Google Play.



![Malicious app on Google Play](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/20/pdf.png)**Malicious app on Google Play** *(ThreatFabric)*


The malicious apps continue to belong to the office/productivity category, posing as PDF viewer and editor apps and office suites.


Whenever ThreatFabric reported the malicious app to Google and it was removed from the store, the attackers returned quickly by uploading a new dropper under a new guise.


In all five cases of the identified malware droppers, the apps were submitted onto Google Play in clean form and were later updated with malicious code, likely to evade Google's stringent code review process on the first submission.



![Timeline of malicious dropper app submissions](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/20/droppers.png)**Timeline of malicious dropper app submissions** *(ThreatFabric)*


Once installed on the victim's device, the dropper apps request an external resource hosted on GitHub, from where they download the Anatsa payloads masqueraded as text recognizer add-ons for Adobe Illustrator.



![Payloads retrieved from GitHub](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/20/payloads.png)**Payloads retrieved from GitHub** *(ThreatFabric)*


Anatsa collects financial information such as bank account credentials, credit card details, payment information, etc., by overlaying phishing pages on the foreground when the user attempts to launch their legitimate bank app and also via keylogging.


In its current version, the Anatsa trojan supports targeting nearly 600 financial apps of banking institutions from around the world.



![Some of the U.S. banks targeted by Anatsa](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/20/targeted-apps.png)**Some of the U.S. banks targeted by Anatsa** *(ThreatFabric)*


Anatsa uses the stolen information to perform on-device fraud by launching the banking app and performing transactions on the victim's behalf, automating the money-stealing process for its operators.


"Since transactions are initiated from the same device that targeted bank customers regularly use, it has been reported that it is very challenging for banking anti-fraud systems to detect it," explains ThreatFabric.


The stolen amounts are converted to cryptocurrency and passed through an extensive network of money mules in the targeted countries, who will keep a portion of the stolen funds as a revenue share and send the rest to the attackers.


## Protecting Android


As malware campaigns, such as Anatsa, expand their targeting to other countries, users must be extra vigilant about the apps they install on Android devices.


Users should avoid installing apps from dubious publishers, even if those are on a well-vetted store like Google Play. Always check the reviews and see if a pattern of reports indicates malicious behavior.


Furthermore, if possible, avoid apps with few installs and reviews and instead install apps that are well-known and commonly cited on websites.


As many apps on Google Play have the same name as the malicious apps, it is recommended to [check the ThreatFabric report's appendix](https://www.threatfabric.com/blogs/anatsa-hits-uk-and-dach-with-new-campaign#:~:text=ever%2Dchanging%20fraud.-,Appendix,-Anatsa%20droppers) for the list of package names and signatures that are pushing Anatsa and remove them immediately from your Android device if installed.


BleepingComputer asked Google to explain how Anatsa's operators can submit malicious updates on their dropper apps on the Play Store and replace the reported droppers quickly, but a comment wasn't available by publication.





## Tags:


### Autogenerated tags:
[[apps]] [[anatsa]] [[threatfabric]] [[google]] [[malware]] [[android]]
