# Android apps with 45 million installs used data harvesting SDK
## Mobile malware analysts warn about a set of applications available on the Google Play Store, which collected sensitive user data from over 45 million devices.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/android-apps-with-45-million-installs-used-data-harvesting-sdk/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 07 April 2022, 14:06
+ Date scraped: 07 April 2022, 15:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/03/android-trojan.jpg)



Mobile malware analysts warn about a set of applications available on the Google Play Store, which collected sensitive user data from over 45 million installs of the apps.


The apps collected this data through a third-party SDK that includes the ability to capture clipboard content, GPS data, email addresses, phone numbers, and even the user's modem router MAC address and network SSID.


This sensitive data could lead to significant privacy risks for the users if misused or leaked due to poor server/database security. 


Furthermore, clipboard contents could potentially include very sensitive information, including crypto wallet recovery seeds, passwords, or credit card numbers, which should not be stored in a third-party database.


According to AppCensus, who discovered the use of this SDK, the collected data is bundled and transmitted by the SDK to the domain "mobile.measurelib.com," which appears to be owned by a Panama-based analytics firm named Measurement Systems.



![Snapshot from the Measurement Systems site](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/measurement-systems.jpg)**Snapshot from the Measurement Systems site**
The firm is promoting a data-collecting SDK named Coelib as a monetization opportunity for the apps, promoting it as an ad-free way for the publishers to generate revenue.


AppCensus researchers say that many of the strings in the SDK's library are obfuscated using AES encryption and then base64 encoded.


"And what is the threat model that requires encrypting your strings anyway?! At least, it’s a relief that they only do 10 rounds of key derivation, because this outrageous block of code executes *every single time* that a string is used by this library (delaying the app and wasting battery life)," explain's AppCensus in [their report](http://blog.appcensus.io/2022/04/06/the-curious-case-of-coulus-coelib/).



![Pseudocode of the SDK’s string constant runtime decryption](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/base64.png)**Pseudocode of the SDK’s string constant runtime decryption**  
*(AppCensus)*
## Apps using this SDK


The most popular and downloaded applications found to be using this SDK to send sensitive user data are the following:


* [**Speed Camera Radar**](https://play.google.com/store/apps/details?id=com.lelic.speedcam) – 10 million installations (phone number, IMEI, router SSID, router MAC address)
* [**Al-Moazin Lite**](https://play.google.com/store/apps/details?id=com.parfield.prayers.lite) – 10 million installations (phone number, IMEI, router SSID, router MAC address)
* [**WiFi Mouse**](https://play.google.com/store/apps/details?id=com.necta.wifimousefree) – 10 million installations (router MAC address)
* [**QR & Barcode Scanner**](https://play.google.com/store/apps/details?id=qrcode.scanner.qrmaker) – 5 million installations (phone number, email address, IMEI, GPS data, router SSID, router MAC address)
* [**Qibla Compass Ramadan 2022**](https://play.google.com/store/apps/details?id=com.qiblafinder.prayertime.hijricalendar) – 5 million installations (GPS data, router SSID, router MAC address)
* [**Simple weather & clock widget**](https://play.google.com/store/apps/details?id=net.difer.weather) – 1 million installations (phone number, IMEI, router SSID, router MAC address)
* [**Handcent Next SMS-Text w/MSS**](https://play.google.com/store/apps/details?id=com.handcent.app.nextsms) – 1 million installations (email address, IMEI, router SSID, router MAC address)
* Smart Kit 360 – 1 million installations (email address, IMEI, router SSID, router MAC address)
* [**Al Quran mp3 – 50 Reciters & Translation Audio**](https://play.google.com/store/apps/details?id=com.quranmp3ramadan.readquran) – 1 million installations (GPS data, router SSID, router MAC address)
* [**Full Quran MP3 – 50+ Languages & Translation Audio**](https://play.google.com/store/apps/details?id=com.quranmp3.readquran) – 1 million installations (GPS data, router SSID, router MAC address)
* [**Audiosdroid Audio Studio DAW**](https://play.google.com/store/apps/details?id=com.audiosdroid.audiostudio) – 1 million installations (phone number, IMEI, GPS data, router SSID, router MAC address)

It’s important to note that all of these apps were reported to Google on October 20, 2021, and were subsequently investigated and removed from the Play Store.


However, their publishers managed to reintroduce them on the Play Store after removing the data-harvesting SDK and submitting new, updated versions to Google for review.


If users installed the apps on a previous date, though, the SDK would still be running on their smartphones, so removal and re-installation would be advised in this case.


Unfortunately, as data collection libraries quietly run in the background collecting data, it's difficult for users to protect themselves from them. Therefore, it is advised that you only install apps from trustworthy developers who have a long history of highly reviewed apps.


Another good practice is to keep the number of apps installed on your device at the minimum necessary and ensure that the permissions requested are not overly broad.


Bleeping Computer has contacted all publishers of the apps listed above and the SDK provider, and we will update this post with their comments as soon as we receive them.


The publisher of one of the listed apps, 'Simple weather & Clock Widget' provided the following statement to BleepingComputer:



> 
> "We really wanted to apologize to our users for this incident. It was not our fault. Like a few other developers, we have been misled.
> 
> 
> Immediately after we were able to confirm that the SDK owned by Measurementsys was exploiting some Android vulnerabilities, operating in an unclear and privacy-questionable manner, we urgently removed the defective SDK, released an update, and ended our relationship with this partner.
> 
> 
> We care about full transparency and security, we create apps and we also use them. This incident had a very bad effect on our app, we will make every effort to ensure that this situation never happens again."
> 
> 
> 





## Tags:


### Autogenerated tags:
[[sdk]] [[apps]] [[ssid]] [[imei]] [[appcensus]] [[google]]
