# Animated QR codes: how do they work, and how to create your own?
## Is there such a thing as animated QR codes? And could they work? Even those who may not know how exactly QR codes work have pretty much been exposed to them by now.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/animated-qr-codes-how-do-they-work-and-how-to-create-your-own/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 23 April 2022, 08:14
+ Date scraped: 23 April 2022, 09:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/23/qr-pink-background.png)



*Image credit: [Mitya Ivanov](https://unsplash.com/photos/2HWkORIX3II)/Unsplash*


Two-dimensional (2D) barcodes, more prominently recognized as QR codes, are back in fashion—with much demand for just about 'contactless' everything these days.


Coinbase didn't waste time in seizing this opportunity either: its genius Superbowl 2022 TV ad was nothing but a [mysterious QR code](https://www.youtube.com/watch?v=uJ9pNQrz0fA) against a pitch-black background aimed at capturing your attention totally.


Even those who may not understand *how* exactly these quirky-looking squares work have pretty much used them at some point.


But, is there such a thing as moving or animated QR codes? And could they work? 


## Scan it for yourselves.


This week, technologist, "cyborg hardware hacker," and YouTuber, Zack Freedman [tweeted a GIF](https://twitter.com/zackfreedman/status/1517555638456389632) that's gone viral.


The GIF shown below contains an animated QR code with moving frames that some might recognize—a sequence from Rick Astley's famous *Never Gonna Give You Up* music video*.*


Lyrics from the song and the music video itself have been a popular meme for the longest time used by [netizens](https://www.bleepingcomputer.com/news/security/twitter-images-can-be-abused-to-hide-zip-mp3-files-heres-how/) and [even malicious actors](https://www.bleepingcomputer.com/news/security/online-proctor-service-proctortrack-disables-service-after-hack/) trolling hacked companies.


But, other than being an artistic barcode, Freedman's GIF actually works as a QR code: scan it for yourselves! 



![Animated QR Code](https://www.bleepstatic.com/images/news/u/1164866/2022/Apr-2022/qr-code-moving/qr-code-moving.gif)**Animated QR Code that works** ([Zack Freedman](https://twitter.com/zackfreedman))
Assuming your QR code scanner app works, the above GIF will lead you to the official *[Never Gonna Give You Up](https://youtu.be/dQw4w9WgXcQ)* music video on YouTube.


This unexpected turn left many amazed, with some calling it a "[weird wizardry](https://twitter.com/voidheadred/status/1517751230868918273)," "[LEGEND](https://twitter.com/Supermathie/status/1517673833389608960)," and one even complaining that YouTube began "rate-limiting" the video due to excessive traffic.


In fact, there exist online tools, like the [one created by QR4 and software engineer Jeroen Steeman](http://blog.qr4.nl/Animated-QR-Code.aspx), allowing you to create your own animated QR codes!



![sample animated QR code](https://www.bleepstatic.com/images/news/u/1164866/2022/Apr-2022/qr-code-moving/QR_CODE_ANIMATED_Panther.gif)**Animated QR code with a panther in the center**(QR4/Jeroen Steeman)
## Diving deeper into barcodes


The origins of barcodes date back to the 1950s when two graduate students at Drexel University (ahem, my alma mater) [patented a system](https://drexel.edu/news/archive/2012/october/barcode-60th-anniversary) for easy cataloging and looking up of electronic product information.


What may have originally started out as an inventory-tracking concept, however, evolved in terms of complexity, available formats, and [even dimensions](https://www.dynamsoft.com/blog/insights/the-comprehensive-guide-to-1d-and-2d-barcodes/), with the advent of 2D barcodes.


Commonly known as QR (Quick Response) codes, these matrices are just one type of 2D barcodes, invented in 1994 by Japanese automotive firm Denso Wave, which still [holds the trademark](https://www.denso-wave.com/en/adcd/info/detail__272.html) to the term 'QR Code' and [even a patent](https://www.qrcode.com/en/patent.html) on the technology.


While one-dimensional barcodes, like the [UPCs](https://en.wikipedia.org/wiki/Universal_Product_Code) you see besides books and merchandise, are capable of holding simple one-liner strings—such as an [SKU](https://www.investopedia.com/terms/s/stock-keeping-unit-sku.asp), item number, or another set of characters up to a certain length (around 85 characters), 2D barcodes are far more versatile in their capacity to hold data, the ability to hold different types of data, and various error checking and correction mechanisms built into them.



![1D barcode example](https://www.bleepstatic.com/images/news/u/1164866/2022/Apr-2022/qr-code-moving/1d-barcode.jpg)**An example of a 1D barcode**(BleepingComputer)
2D barcodes, as the name implies, have multiple dimensions and can store data across the entire matrix, as opposed to just a single line (dimension). And each part of the QR code matrix has a special meaning and role to play, with the content-holding section being just one part of the entire matrix.


The error checking and correction aspects of 2D barcodes are important in the sense, that even if parts of the QR code are cut off or corrupted, the QR code may *still* continue to scan correctly and retain the content stored inside it. Try it for yourself:



![damaged but working QR code](https://www.bleepstatic.com/images/news/u/1164866/2022/Apr-2022/qr-code-moving/480px-QR_Code_Damaged.jpeg)**A damaged but working QR code** ([Wikipedia](https://commons.wikimedia.org/w/index.php?curid=18516070))
This isn't the case for 1D barcodes—these work by the scanner calculating the ratio of widths of straight bars next to each other. And as such, if you cover up or destroy a part of the 1D barcode, it may not scan correctly.


But, the very error correction mechanism built into QR codes allows barcode creators to get creative: to pack functional content (such as a URL or another piece of data) in a small part of the entire matrix, with other parts of the matrix serving essentially as a blank canvas for artistic imagery:



![artistic QR code](https://www.bleepstatic.com/images/news/u/1164866/2022/Apr-2022/qr-code-moving/qr-code-artistic.jpeg)**A QR code embellished with art will still scan correctly** ([Wikipedia](https://commons.wikimedia.org/w/index.php?curid=18743477))
This explains why artistic barcodes, like the one shown above, or the panther QR code GIF in the beginning may continue to scan correctly: the areas of the QR code containing the functional data (URL) are a smaller part of the entire matrix.


In the case of the panther GIF above, the pixels (and hence areas of QR code) around the moving panther are relatively static, and this is where the content might be present, rather than the center where the animation plays.


But, what's going on in Freedman's GIF appears to be a tad more complicated. Each frame of the GIF changes the QR code almost entirely, with pixels rearranging themselves.


For those well-versed in [computer vision](https://en.wikipedia.org/wiki/Computer_vision), Twitter user and tech blogger Benny Baumann may have an answer for you:



For every little square in Freedman's blockbuster (pun) QR code, your scanner is only looking at the middle of each such square (that comprises 3x3 or 9 pixels in total). As such, it is within these pixels that the content part of the barcode (the YouTube URL) is stored, with the rest of the pixels serving as a blank canvas, used for animation.


Those who prefer to read more about 'dithering' and the many possibilities it offers, might be interested in revisiting [a two-year-old YCombinator Hacker News thread](https://news.ycombinator.com/item?id=24158125).



![picture-realistic QR codes](https://www.bleepstatic.com/images/news/u/1164866/2022/Apr-2022/qr-code-moving/qrAwesome_anim_col_210x210.gif)**Picture-realistic QR codes** (QRPicture)
The discussion mentions the [*QRPicture*](https://www.qrpicture.com/) generator, the source code for which is available on [GitHub](https://github.com/xyzzy/qrpicture).


The generator enables you to create fully-functional QR codes that look like real pictures as much as possible and even animate them to your liking.





## Tags:


### Autogenerated tags:
[[barcodes]] [[2d]] [[barcode]] [[youtube]] [[1d]] [[url]]
