# Backdoored Chrome extension installed by 200,000 Roblox players
## Chrome browser extension 'SearchBlox' installed by more than 200,000 users has been discovered to contain a backdoor that can steal your Roblox credentials as well as your assets on Rolimons, a Roblox trading platform.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/backdoored-chrome-extension-installed-by-200-000-roblox-players/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 23 November 2022, 11:07
+ Date scraped: 23 November 2022, 12:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/06/09/roblox.jpg)



Chrome browser extension 'SearchBlox' installed by more than 200,000 users has been discovered to contain a backdoor that can steal your Roblox credentials as well as your assets on Rolimons, a Roblox trading platform.


BleepingComputer has been able to analyze the extension code which indicates the presence of a backdoor, introduced either intentionally by its developer or after a compromise.


## Chrome extension targets Roblox players


The 'SearchBlox' extensions found on the Chrome Web Store appear to be compromised, BleepingCompuer has observed.


There are two search results for 'SearchBlox' on Chrome. These extensions claim to let you "search Roblox servers for a desired player... blazingly fast" but both contained the backdoor.


The IDs of these unsafe extensions are:


* blddohgncmehcepnokognejaaahehncd
* ccjalhebkdogpobnbdhfpincfeohonni


![Malicious SearchBlox extension on Chrome](https://www.bleepstatic.com/images/news/u/1164866/2022/Nov-2022/roblox-chrome-backdoor/searchblox-results.jpeg)**Malicious SearchBlox extension on Chrome** (BleepingComputer)


Early morning hours of Wednesday, suspicions arose among the Roblox community members of SearchBlox containing malware.


"Popular plug-in SearchBlox has been COMPROMISED / BACKDOORED - if you have it, your account may be at risk," [tweeted](https://twitter.com/Roblox_RTC/status/1595236988533313536) RTC, an unofficial Roblox news and community account.


"Please change your passwords if you have it - and credentials, so that way your account is secure again."


We downloaded the Chrome extension for analysis and for the first extension (blddohgncmehcepnokognejaaahehncd) downloaded by over 200,000 users, the backdoor exists on line 3 of the 'content.js' file:



![Backdoor within Chrome extension SearchBlox](https://www.bleepstatic.com/images/news/u/1164866/2022/Nov-2022/roblox-chrome-backdoor/searchblox-backdoor.jpg)**Backdoor within Chrome extension 'SearchBlox'** (BleepingComputer)


For the second extension (ccjalhebkdogpobnbdhfpincfeohonni) with just 959 downloads, the backdoor resided within the 'button.js' file.


The offending URL in either case is:


hxxps://searchblox[.]site/image.png/image.txt
As if the URL structure 'image.png/image.txt' itself wasn't already interesting, the page contains HTML code that pretends to display an image using the '<img>' tag, but instead loads obfuscated JavaScript that is further encoded as [HTML character entities](https://www.w3schools.com/html/html_entities.asp) (using the '&' and '#' symbols):



![suspicious HTML JS code](https://www.bleepstatic.com/images/news/u/1164866/2022/Nov-2022/roblox-chrome-backdoor/obfuscated-js-encoded.jpg)**Page pretends to contain HTML attempting to display an image** (BleepingComputer) 


The code when decoded yields obfuscated code which further appears to be exfiltrating Roblox credentials to another domain: *releasethen.site.*



![Another offending domain collecting roblox credentials](https://www.bleepstatic.com/images/news/u/1164866/2022/Nov-2022/roblox-chrome-backdoor/deobfuscated-code.jpg)**Another suspicious domain in use by the extension** (BleepingComputer)


Of note is the fact that both 'searchblox.site' and 'releasethen.site' were registered this month and share a common web host, Hostinger.


The code also appears to survey a player's profile on Rolimons.com, a Roblox trading platform. This detail becomes relevant given today's account suspensions on the platform, as explained in the following section.


## 'SearchBlox' a repeat offender


Unfortunately, it doesn't seem like the first time a malicious 'SearchBlox' extension has targeted Roblox users either.


In October, Google [reportedly](https://twitter.com/Roblox_RTC/status/1582808142362030080) took down another 'SearchBlox' sitting on the Chrome Web Store since at least [Jun 28th, 2022](https://web.archive.org/web/20221123111343/http://webcache.googleusercontent.com/search?q=cache:WrPax2MpphcJ:https://chrome.google.com/webstore/detail/searchblox/blddohgncmehcepnokognejaaahehncd?hl%3Den%26gl%3D001&hl=en&gl=uk&strip=1&vwsrc=0).


As to whether the backdoor was injected in the extension after compromise by a threat actor or introduced intentionally by the developer is something that's yet to be authoritatively determined.


There is some speculation among Roblox community members [[1](https://twitter.com/UtibaOfficial/status/1595294249985212416), [2](https://twitter.com/dizicaldiz/status/1595209299780898816), [3](https://twitter.com/HERRBLO0D/status/1595260207810027520), [4](https://twitter.com/HERRBLO0D/status/1595259804007571456)] who have noticed the inventory of user 'Unstoppablelucent', purportedly the extension's developer, [multiply overnight](https://www.rolimons.com/history/4022694169) whereas Rolimons user 'ccfont' has been [terminated](https://twitter.com/Rolimons/status/1595278150367600640) today over suspicious inventory trades.



Both the [extension](http://www.virustotal.com/gui/file/3028f31feb8dcd4d1a32d83deee76b1ca67a6998640c61161fb8d113d97937a0) as well as the [offending URLs](https://www.virustotal.com/gui/url/7861d5e4c85b2d8336a9b8ac9cb2c5d62af1459dc3d068feeb80133fab909650) have a clean VirusTotal reputation at the time of writing, making detection of these malicious extensions a whole lot harder.


Suffice to say, anyone who has installed 'SearchBlox' should remove the extension immediately, clear their cookies and change their passwords for Roblox, Rolimons, and other websites they may have logged into while the extension was in use.


BleepingComputer has notified Google of the malicious extensions prior to publishing.





## Tags:
***urls***: https://searchblox.site/image.png/image.txt

### Autogenerated tags:
[[roblox]] [[bleepingcomputer]] [[rolimons]] [[searchblox]] [[html]]
