# Biden issues executive order to increase U.S. cybersecurity defenses
## President Biden signed an executive order Wednesday to modernize the country's defenses against cyberattacks and give more timely access to information necessary for law enforcement to conduct investigations.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/biden-issues-executive-order-to-increase-us-cybersecurity-defenses/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 12 May 2021, 20:02
+ Date scraped: 12 December 2023, 13:14

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/12/22/Joe-Biden.jpg)



President Biden signed an executive order Wednesday to modernize the country's defenses against cyberattacks and give more timely access to information necessary for law enforcement to conduct investigations.


This executive order follows the numerous cyberattacks targeting US interests this year, including the [SolarWinds supply chain attacks in December](https://www.bleepingcomputer.com/news/security/the-solarwinds-cyberattack-the-hack-the-victims-and-what-we-know/) and the more recent [DarkSide ransomware attack against the largest US fuel pipeline](https://www.bleepingcomputer.com/news/security/largest-us-pipeline-shuts-down-operations-after-ransomware-attack/), Colonial Pipeline.


The 34-page '[Executive Order on Improving the Nation's Cybersecurity](http://www.whitehouse.gov/briefing-room/presidential-actions/2021/05/12/executive-order-on-improving-the-nations-cybersecurity/)' is designed to modernize the cybersecurity defenses of the federal government's infrastructure, created a standardized incident response playbook, and increase communication between service providers and law enforcement.


In summary, the executive order will direct the government to perform the following actions:


* Require IT (information technology) and OT (operational technology) service providers, including cloud hosting providers, to share information about cybersecurity threats and breaches that they become aware of and to remove contractual issues that prevent the sharing of such information.
* Modernize the federal government IT services, including moving towards a Zero Trust Architecture, require multi-factor authentication, encryption for data at rest and in transit, and develop strict security guidelines on the use of cloud services.
* Improve supply-chain security by developing guidelines, tools, and best practices to audit and assure that critical software is not tampered with by malicious actors in supply-chain attacks. As part of this initiative, the Federal government will create an "energy star" type of program that shows software was developed securely.
* Establish a "Cyber Safety Review Board" that includes Federal and private-sector members who will convene after a significant cyber incident to assess the attack, provide recommendations, and share relevant confidential information with law enforcement.
* Create a standardized playbook across all government agencies for responding to breaches and cyberattacks.
* Improve the detection and remediation of cybersecurity vulnerabilities and breaches on government networks by deploying a centralized Endpoint Detection and Response (EDR) solution and intra-governmental information sharing.

These initiatives will be conducting in rolling phrases ranging between 30 days from the executive order, to in some cases, 360 days.


"This is one of the most detailed and deadline-driven EOs I’ve seen from any administration. In the wake of a seismic attack, like SolarWinds, this is incredibly encouraging to see," Amit Yoran, CEO of Tenable and founding director of US-CERT, shared in a statement to BleepingComputer.


The White House has also released a [summarized version of the executive order](https://www.whitehouse.gov/briefing-room/statements-releases/2021/05/12/fact-sheet-president-signs-executive-order-charting-new-course-to-improve-the-nations-cybersecurity-and-protect-federal-government-networks/) that provides a good overview of the upcoming changes being made to increase the country's cybersecurity posture.





## Tags:


### Autogenerated tags:
[[cybersecurity]] [[cyberattacks]]
