# BlackProxies proxy service increasingly popular among hackers
## A new residential proxy market is becoming popular among hackers, cybercriminals, phishers, scalpers, and scammers, selling access to a million claimed proxy IP addresses worldwide.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/blackproxies-proxy-service-increasingly-popular-among-hackers/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 02 December 2022, 18:56
+ Date scraped: 02 December 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/05/09/world-internet-network.jpg)



A new residential proxy market is becoming popular among hackers, cybercriminals, phishers, scalpers, and scammers, selling access to a million claimed proxy IP addresses worldwide.


The new platform was [spotted by DomainTools](https://www.domaintools.com/resources/blog/purpose-built-criminal-proxy-services-and-the-malicious-activity-they-enable/) analysts who have been watching the emergence of these services, reporting that ' BlackProxies' is one of the most quickly growing newcomers in the space.


A new entity that claims such a big pool of available proxies is an important development considering that law enforcement has shut down several large proxy providers like RESNET and INSORG in the past couple of years.


## What are residential proxies?


Proxies are online servers that accept and forward requests for other devices on the Internet, making it appear that a connection originates from their IP address while hiding the actual initiator behind them.


Residential proxies use home users' IP addresses rather than a data center's address space, making them ideal for running shopping bots or for threat actors who want to blend into regular website traffic.


Sometimes, residential users willingly become proxies in exchange for money; however, in many cases, they become proxies involuntarily through malware infections on their computers, IoTs, and modems.


Cybercriminals use these residential proxies to improve their illegal operations' efficiency while hiding themselves from law enforcement and blockers.


For example, in August 2022, the [FBI warned](https://www.bleepingcomputer.com/news/security/fbi-warns-of-residential-proxies-used-in-credential-stuffing-attacks/) about the rising trend of cybercriminals using residential proxies to conduct large-scale credential-stuffing attacks without being tracked, flagged, or blocked.


## 'BlackProxies' scale and operation


The BlackProxies service claims to have access to a pool of 1,000,000 IP addresses from around the world, all coming from real residential users, ensuring unblocked status, low detection rates, and good speeds.


Also, the service offers an auto-rotation system that refreshes IP addresses automatically, ensuring that each request is made from a new address.



![BlackProxies website](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/black-proxies.png)**BlackProxies website** *(BleepingComputer)*


Clients are also given an easy-to-use control panel with live usage stats and a REST API for versatility and even reselling potential.


The cost for using the service is $14/day, $39/week, or $89 per month, while a try-out package costs $4.9.


DomainTools examined the platform and found its IP address pool claims are false, as the service counts just over 180,000 available IP addresses.


However, this is still significant, surpassing even platforms that use unreliable methods like botnets to build their IP pools.


DomainTools investigated further and discovered that an IP address used in the service's infrastructure had previously been linked to other shady services.


While the BlackProxies service prohibits malicious and illegal activities, the service has quickly grown to become popular among threat actors.



![Listed prohibited activities](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/prohibited.png)**Listed prohibited activities** *(BleepingComputer)*


Using KELA's [DarkBeast](https://ke-la.com/products/darkbeast/) threat intelligence platform, BleepingComputer has found numerous posts on hacking forums where the BlackProxies service is being promoted in topics about credential stuffing and account hijacking.


When the DomainTools researchers confronted the operator of the BlackProxies service about the alleged criminal activities, the operator didn't show interest in discussing details.


BleepingComputer has contacted the BlackProxies operator on the listed contact method, a Telegram channel, to learn how exactly access to these residential IPs is achieved, but we have yet to hear back.


At the time of writing, BlackProxies remains online.





## Tags:


### Autogenerated tags:
[[ip]] [[blackproxies]] [[domaintools]] [[bleepingcomputer]] [[cybercriminals]]
