# Brave Search launches AI-powered summarizer in search results
## Brave Search has incorporated a new AI-powered tool named Summarizer, which gives a summarized answer to an inputted question before the rest of the search results.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/brave-search-launches-ai-powered-summarizer-in-search-results/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 03 March 2023, 16:46
+ Date scraped: 03 March 2023, 17:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/06/22/brave-search-header.jpg)



Brave Search has incorporated a new AI-powered tool named Summarizer, which gives a summarized answer to an inputted question before the rest of the search results.


Brave Search is a [fast-growing](https://www.bleepingcomputer.com/news/software/privacy-focused-brave-search-grew-by-5-000-percent-in-a-year/) privacy-centric internet search engine allowing users to search the web anonymously without being tracked.


Artificial intelligence is currently revolutionizing search, with Microsoft already [incorporating](https://www.bleepingcomputer.com/news/microsoft/microsoft-launches-new-ai-chat-powered-bing-and-edge-browser/) an upgraded version of ChatGPT into its Bing search engine and Google [planning](https://blog.google/technology/ai/bard-google-ai-search-updates/) to do the same in the near future with its own AI model named Bard.


Contrary to how these AI models work, which often generate inaccurate and unsubstantiated answers, Brave’s Summarizer was trained to source its data solely from web search results.



![Summarizer response to a user query](https://www.bleepstatic.com/images/news/security/sites/b/brave-search/summarizer/brave-summarizer.jpg)**Summary response to a user query**  
*Source: BleepingComputer*


Moreover, the tool includes citations for the data sources used for generating an answer, allowing the users to decide on the trustworthiness of the summary.


“Unlike AI chat tools which can provide fabricated responses, the Summarizer generates a plain-written summary at the top of the search results page, aggregating the latest sources on the Web and providing source attribution for transparency and accountability” – [Brave](https://brave.com/ai-summarizer/).
Also, using recent web results to generate the summary ensures that the tool provides up-to-date data, even including updates if applicable.



![Summarizer example with updates in the text](https://www.bleepstatic.com/images/news/u/1220909/2023/Software/8/summarizer.jpg)**Summarizer example with updates in the text** *(BleepingComputer)*


In BleepingComputer's tests, the Summarizer does not appear at the top of search results when performing simple queries but rather when searching for the answer to a particular question.


Apart from the summary at the top of the search results, the tool will also replace the standard result excerpts with a summarized version that will theoretically better highlight the answer to the user’s query.



![Modifying text snippets under search results](https://www.bleepstatic.com/images/news/u/1220909/2023/Software/8/snippets.jpg)**Modifying text snippets under search results** *(Brave)*


Brave says Summarizer does not impact the privacy-preserving nature of its Search tool and assures that it was created based on the same principles of data protection that underpin all Brave Software products.


The tool does not use ChatGPT or any of the publicly available generative AI APIs but instead comprises three large language models that were trained on separate tasks, namely:


1. Question answering – the model tries to extract answers from text snippets.
2. Results classification – categorize result candidates based on various criteria such as hate-speech, vulgar writing, and spam.
3. Result processing – Rewrite the final set of the candidate text to remove repetition and improve readability.

The Brave Summarizer has been made generally available to all users of Brave Search on both desktop and mobile platforms since yesterday, but users can disable it from settings.


Users of [Brave Search Goggles](https://www.bleepingcomputer.com/news/security/netsec-goggle-shows-search-results-only-from-cybersecurity-sites/), a system of special search result customization filters, cannot enjoy the Summarizer just yet.


Brave promised to roll out the feature once the model is adequately refined to generate quality results on custom user Googles.





## Tags:


### Autogenerated tags:
[[brave]] [[bleepingcomputer]]
