# Brave browser to start blocking annoying cookie consent banners
## The Brave browser will soon allows users to block annoying and potentially privacy-harming cookie consent banners on all websites they visit.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/brave-browser-to-start-blocking-annoying-cookie-consent-banners/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 29 September 2022, 15:07
+ Date scraped: 29 September 2022, 16:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/06/22/Brave.jpg)



The Brave browser will soon allows users to block annoying and potentially privacy-harming cookie consent banners on all websites they visit.


If you visited BleepingComputer from Europe, you may have noticed an annoying cookie consent prompt asking if you would like to accept data-collecting cookies from our advertisers.


These notifications are incredibly annoying but have become necessary to do business online to comply with data protection regulations like GDPR.



![Data processing consent notice](https://www.bleepstatic.com/images/news/government/g/gdpr/gdpr-consent-notification.jpg)**Data processing consent notice**


In some cases, however, these banners [can serve as trackers themselves](https://www-sop.inria.fr/members/Nataliia.Bielova/papers/Matt-etal-20-SP.pdf), as they engage in a privacy-breaching data exchange before the user even has a chance to opt out.


Secondly, it is widely accepted that the consent prompts severely disrupt the browsing experience, as users have to deal with them almost every time they visit a website.


## Brave to block cookie consent notifications


Brave will now proactively detect and block the cookie consent banners to deal with both of these issues, removing both a distraction and a potential privacy risk for users.


“New versions of Brave will hide—and, where possible, completely block—cookie consent notifications,” mentions [Brave’s blog post](https://brave.com/privacy-updates/21-blocking-cookie-notices/).


“Brave’s approach is distinct and more privacy-preserving than similar systems used in other browsers (such as the “auto-consent” systems used in other browsers), and helps keep the Web user-first.”


Unlike other solutions, such as browser extensions, that auto-consent for a user or block prompts, Brave says they break the communication channel between the browser and the consent-tracking system.


The roll-out of the new system will begin in Brave Nightly 1.45, scheduled for release in October, and will gradually pass to the stable version on Windows and Android. iOS will follow soon afterward.


The new option will appear in the browser’s Settings, in “Shields,” where users may tick the box for blocking obtrusive cookie notices.



![Setting to activate cookie blocking on Brave](https://www.bleepstatic.com/images/news/u/1220909/Software/settings.png)**Setting to activate cookie blocking on Brave** *(Brave)*


All users will get a prompt to set the new option upon launching Brave for the first time after the update that introduced the feature.



![Dialog to set cookie blocking preference](https://www.bleepstatic.com/images/news/u/1220909/Software/prompt(1).png)**Dialog to set cookie blocking preference**  
*(Brave)*


On a final note, Brave bashes Google’s push for technologies that remove control from users and give more experience-shaping power to websites, advertisers, data collectors, and consent-management systems.


“Cookie banners highlight how much worse the Web will get if Google (and others) succeed in weakening users’ ability to block such annoyances,” states Brave.


Examples of such technologies are [Manifest V3](https://www.bleepingcomputer.com/news/security/google-to-test-disabling-chrome-manifest-v2-extensions-in-june-2023/), [WebBundles](https://web.dev/web-bundles/), and [Privacy Sandbox](https://privacysandbox.com/intl/en_us/), which Brave sees as obstacles rather than allies in its fight to bolster user privacy and deliver a frictionless web browsing experience.





## Tags:


### Autogenerated tags:
[[brave]]
