# Brave browser’s new Snowflake feature help bypass Tor blocks
## Brave Browser version 1.47 was released yesterday, adding the Snowflake extension in the software's settings, enabling users to turn their devices into proxies that help users in censored countries connect to Tor.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/brave-browser-s-new-snowflake-feature-help-bypass-tor-blocks/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 14 January 2023, 15:28
+ Date scraped: 14 January 2023, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/06/22/Brave.jpg)



Brave Browser version 1.47 was released yesterday, adding the Snowflake extension in the software's settings, enabling users to turn their devices into proxies that help users in censored countries connect to Tor.


Brave had already added support for Tor Bridges in Private Windows with Tor in version 1.44, released in September 2022, helping users bypass [restrictions](https://www.bleepingcomputer.com/news/security/tor-s-main-site-blocked-in-russia-as-censorship-widens/) in the countries using the company's own resources.


Starting yesterday, Brave users can now participate in the volunteer effort to promote freedom of information in areas where oppressive governments may try to restrict it.


## Tor Bridges


Tor Bridges are relays operated by volunteers to help people bypass censorship and Tor blocks by giving them an alternative entry point to the Onion network.


The bridges are not listed publicly to protect them from the local regimes and their operators, who might try to block access to them, rendering them useless.


Brave allows users to use Bridges by navigating the "Settings menu → Privacy and security → Tor windows." From there, users can select a built-in Bridge, request one from torproject.org, or enter a bridge they received from a trusted source.



![Tor settings on Brave 1.47](https://www.bleepstatic.com/images/news/u/1220909/2023/Software/1/tor-settings.png)**Tor settings on Brave 1.47** *(BleepingComputer)*


For more information on using Tor Bridges in Brave, check out [this web page](https://support.brave.com/hc/en-us/articles/7816553516045) with detailed instructions.


## Tor Snowflake


[Snowflake](https://www.bleepingcomputer.com/news/security/tor-browser-adds-new-anti-censorship-feature-v2-onion-warnings/) is a peer-to-peer network traffic connectivity system [created by the Tor Project](https://snowflake.torproject.org/). It combines a proxy with the WebRTC protocol to automatically assign ephemeral Tor Bridges to those who need them while maintaining their privacy and anonymity.



![Snowflake function diagram](https://www.bleepstatic.com/images/news/u/1220909/2023/Software/1/snowflake.png)**Snowflake function diagram** *(Tor Project)*


It essentially makes the block bypassing system much more resilient and harder to track or stop by relying on the power of volunteers.


Brave users may select Snowflake on the Tor Bridge settings or volunteer to help others by adding and enabling the Snowflake extension. Turning the settings to "on" will automatically perform the required installations on Brave.


Check out Brave's analytical guide for more details on enabling Snowflake on your browser.


## Should you run Snowflake proxies?


There are no known risks associated with running Snowflake proxies, and the system does not threaten to expose data about the volunteers. All IP addresses are kept private to accommodate the functionality of the system.


Volunteering computers are not merely acting as middlemen, connecting to websites on behalf of others, but instead, they relay encrypted messages between Snowflake users and other computers on the Tor network.


The only categories of users who shouldn't volunteer on the Snowflake network are those living in countries where Tor is blocked, those using workplace/company computers, and those with limited internet connectivity.





## Tags:


### Autogenerated tags:
[[brave]]
