# BreachForums database and private chats for sale in hacker data breach
## While consumers are usually the ones worried about their information being exposed in data breaches, it's now the hacker's turn, as the notorious Breached cybercrime forum's database is up for sale and member data shared with Have I Been Pwned.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/breachforums-database-and-private-chats-for-sale-in-hacker-data-breach/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 27 July 2023, 17:36
+ Date scraped: 27 July 2023, 22:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/09/15/cyber-smiley.jpg)



While consumers are usually the ones worried about their information being exposed in data breaches, it's now the hacker's turn, as the notorious Breached cybercrime forum's database is up for sale and member data shared with Have I Been Pwned.


Yesterday, the [Have I Been Pwned](https://haveibeenpwned.com/) data breach notification service announced that visitors can check if their information was exposed in a data breach of the Breached cybercrime forum.


"In November 2022, the well-known hacking forum "BreachForums" was itself, breached. Later the following year, [the operator of the website was arrested and the site seized by law enforcement agencies](https://www.bleepingcomputer.com/news/security/fbi-seizes-breachforums-after-arresting-its-owner-pompompurin-in-march/)," reads the HIBP announcement.


"The breach exposed 212k records including usernames, IP and email addresses, private messages between site members and passwords stored as argon2 hashes."


Breached was a large hacking and data leak forum notorious for hosting, leaking, and selling data stolen from hacked companies, governments, and organizations worldwide.


After the [FBI arrested the site's admin Pompompurin](https://www.bleepingcomputer.com/news/security/alleged-breachforums-owner-pompompurin-arrested-on-cybercrime-charges/) in March 2023, the remaining administrator, Baphomet, decided to [shut the forum down](https://www.bleepingcomputer.com/news/security/breached-hacking-forum-shuts-down-fears-its-not-safe-from-fbi/) after believing that law enforcement also had access to the site's servers.


Baphomet later launched a new Breached Forums clone (called in this article BFv2) with another data breach seller known as [Shiny Hunters](https://www.bleepingcomputer.com/news/security/hacker-leaks-386-million-user-records-from-18-companies-for-free/).


## A treasure trove of data


The Breached database is currently being sold by a threat actor going by the name 'breached\_db\_person," who told BleepingComputer they shared the database with Have I Been Pwned to prove its authenticity to potential buyers.


BleepingComputer has also confirmed that known Breached accounts are listed in the shared member's table.


Previous Breached admin Baphomet has also confirmed the authenticity of the database, warning that its sale is part of a "continued campaign attempting to destroy the community."


"Not only was the database submitted to HIBP, but it's being actively sold/leaked by at least one person - even attempting to do so on our forum," warned Baphomet.


"For that reason I'm sure we're going to see it public soon enough. Judging by the 212k users, this is likely an older database months before the closing of BFv1, seeing that my last backup of the forum has 336k users."


Other than law enforcement, the seller said that only they, Baphomet, and Pompompurin have possession of the database.


The threat actor says they are selling the Breached database to only one person for $100,000 - $150,000 and that it contains a snapshot of the entire database taken on November 29th, 2022.


BleepingComputer was told that the database is 2 GB and contains all tables, including those for private messages, payment transactions, and the member database.



![Breached Forum SQL tables](https://www.bleepstatic.com/images/news/security/d/data-breaches/breached/breached-database-structure.jpg)**Breached Forum SQL tables**  
*Source: BleepingComputer*


While the FBI already revealed that they [gained access to the Breached database](https://www.bleepingcomputer.com/news/security/fbi-confirms-access-to-breached-cybercrime-forum-database/) after they seized the servers, this data can still be valuable for cybersecurity researchers and potentially other threat actors.


The seller, breached\_db\_person, told BleepingComputer that the private message tables have a lot of incriminating information about forum members and that the '*members*' database contains IP addresses showing that many threat actors don't follow good operational security by using residential IP addresses.


The private messages table is valuable as it contains messages sent privately between the different members of the forum, potentially revealing information on past attacks, identities, and other useful information.


Samples of the payments table were shared with BleepingComputer and contain information on payments made to purchase forum ranks (membership levels with extra benefits) and credits (a form of currency used on the forum).


These payments were processed through CoinBase Commerce or Sellix, with the Coinbase transactions including links to order confirmations containing sensitive information, such as cryptocurrency addresses and Coinbase payment IDs.


This cryptocurrency data can be useful to blockchain analytics companies, who can use the cryptocurrency addresses to link threat actors to criminal activity.



![Purchase of the Breached 'God' forum rank via Coinbase](https://www.bleepstatic.com/images/news/security/d/data-breaches/coinbase-payment.jpg)**Purchase of the Breached 'God' forum rank via Coinbase**  
*Source: BleepingComputer*


Breached and its members have been responsible for a wide range of hacks, extortion attempts, ransomware attacks, and the leaking of stolen data for many companies. These breaches include [DC Health Link](https://www.bleepingcomputer.com/news/security/fbi-investigates-data-breach-impacting-us-house-members-and-staff/), [Twitter](https://www.bleepingcomputer.com/news/security/hacker-selling-twitter-account-data-of-54-million-users-for-30k/), [RobinHood](https://www.bleepingcomputer.com/news/security/7-million-robinhood-user-email-addresses-for-sale-on-hacker-forum/), [Acer](https://www.bleepingcomputer.com/news/security/acer-confirms-breach-after-160gb-of-data-for-sale-on-hacking-forum/), [Activision](https://www.bleepingcomputer.com/news/security/hacker-leaks-alleged-activision-employee-data-on-cybercrime-forum/), and many more.


Therefore, the private messages could be invaluable for researchers, with the seller stating that they have already been contacted by cybersecurity firms requesting a copy of the data for their own research.


Other threat actors are also showing interest, with the seller saying they received an offer for $250,000.


While it is too soon to tell whether the database will ultimately be sold, even if it is, it would not be surprising for the entire database to be leaked for free in the future.


It is common for data breaches to first be purchased privately and then released later to increase reputation among the data theft community.


Just recently, the [seized RaidForums data breach forum](https://www.bleepingcomputer.com/news/security/raidforums-hacking-forum-seized-by-police-owner-arrested/) also [suffered a data breach](https://www.bleepingcomputer.com/news/security/new-hacking-forum-leaks-data-of-478-000-raidforums-members/), and the new BreachedForums clone (BFv2) had its database leaked.





## Tags:


### Autogenerated tags:
[[bleepingcomputer]] [[pwned]] [[ip]] [[coinbase]]
