# CISA issues DDoS warning after attacks hit multiple US orgs
## The U.S. Cybersecurity and Infrastructure Security Agency (CISA) warned today of ongoing distributed denial-of-service (DDoS) attacks after U.S. organizations across multiple industry sectors were hit.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-issues-ddos-warning-after-attacks-hit-multiple-us-orgs/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 30 June 2023, 12:24
+ Date scraped: 30 June 2023, 17:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/06/02/0_CISA.jpg)



The U.S. Cybersecurity and Infrastructure Security Agency (CISA) warned today of ongoing distributed denial-of-service (DDoS) attacks after U.S. organizations across multiple industry sectors were hit.


All U.S. orgs were advised to take proactive measures to ensure that their security teams are ready to thwart or mitigate the effects of such attacks.


For instance, network administrators should be ready to quickly apply firewall rules or redirect incoming malicious traffic through DoS protection services to prevent attackers from taking down targeted online portals or services.


Alternatively, internet service providers (ISPs) can also provide guidance on the appropriate steps to take in such circumstances.


"CISA is aware of open-source reporting of targeted denial-of-service (DoS) and distributed denial-of-service (DDoS) attacks against multiple organizations in multiple sectors," the cybersecurity agency [said](https://www.cisa.gov/news-events/alerts/2023/06/30/dos-and-ddos-attacks-against-multiple-sectors).


"These attacks can cost an organization time and money and may impose reputational costs while resources and services are inaccessible."


[![CISA DDoS warning](https://www.bleepstatic.com/images/news/u/1109292/2023/CISA_DDoS_warning.png)](https://twitter.com/CISACyber/status/1674794129052815370)


CISA, in collaboration with the FBI and MS-ISAC), provides guidance on what organizations should do [before and after a DDoS attack](https://www.cisa.gov/sites/default/files/publications/understanding-and-responding-to-ddos-attacks_508c.pdf), including enrolling in dedicated DDoS protection services which can reroute malicious traffic away from the targeted assets.


It also provides additional recommendations for federal civilian executive branch (FCEB) agencies, advising them to take advantage of General Services Administration (GSA) tools like the [Managed Security Service (MSS) and the Managed Trusted Internet Protocol Service (MTIPS)](https://eis-public-pricer.eos.gsa.gov/service-guides/) to counter the effects of DDoS attacks and restore operation of impacted systems.


## Wave of DDoS attacks claimed by Anonymous Sudan​


While the cybersecurity agency is yet to provide any context, today's warning comes after several DDoS attacks targeting both private and government organizations had their online portals taken offline in incidents claimed by Anonymous Sudan, a threat actor tracked as Storm-1359 by Microsoft that some cybersecurity researchers believe might be [linked to Russia](https://twitter.com/780thC/status/1648269010851569665).


Since the start of the week, Anonymous Sudan claimed they had taken down the website of EFTPS.gov (the U.S. Treasury Dept's Electronic Federal Tax Payment System) and the U.S. Commerce Dept. website.


BleepingComputer confirmed that [eftps.gov](http://eftps.gov/) was down at the time of the attack claimed by the threat group on their Telegram channel.


Today, they also claimed another DDoS attack that targeted Stripe's dashboard for managing business payments, refunds, and operations.



![Anonymous Sudan attack claims](https://www.bleepstatic.com/images/news/u/1109292/2023/Anonymous_Sudan_attack_claims.jpg)*Anonymous Sudan attack claims (BleepingComputer)*


Earlier this month, Microsoft also confirmed that multiple outages impacting its [Outlook](https://www.bleepingcomputer.com/news/microsoft/outlookcom-hit-by-outages-as-hacktivists-claim-ddos-attacks/), [OneDrive](https://www.bleepingcomputer.com/news/microsoft/microsoft-onedrive-down-worldwide-following-claims-of-ddos-attacks/), and [Azure](https://www.bleepingcomputer.com/news/microsoft/microsofts-azure-portal-down-following-new-claims-of-ddos-attacks/) web portals [resulted from DDoS attacks](https://www.bleepingcomputer.com/news/microsoft/microsoft-confirms-azure-outlook-outages-caused-by-ddos-attacks/) claimed at the time by Anonymous Sudan.


Starting in May, the group has targeted multiple other large organizations worldwide, including Scandinavian Airlines (SAS), Tinder, and Lyft, as well as various hospitals across the United States.





## Tags:


### Autogenerated tags:
[[ddos]] [[u.s]] [[cybersecurity]] [[cisa]] [[denial-of-service]]
