# Canada accepted 7,300 more immigration applications due to technical bug
## A bug in the Canadian immigration system led to the government accepting an additional 7,307 immigration applications, surpassing the imposed limit. This comprised files from international graduate stream applicants aspiring to change their temporary visa status to permanent residency.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/canada-accepted-7-300-more-immigration-applications-due-to-technical-bug/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 31 August 2021, 00:02
+ Date scraped: 11 December 2023, 15:15

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/08/16/canada-flag.jpg)



A bug in the Canadian immigration system led to the government accepting an additional 7,307 immigration applications, surpassing the imposed limit.


This comprised files from international graduate stream applicants aspiring to change their temporary visa status to permanent residency.


Glitch led system to accept 7,307 applications over the limit
-------------------------------------------------------------


Canadian immigration law typically sets an annual limit for the number of immigration applications that can be accepted in a year under each route.


For example, eligible international graduates in Canada can apply to adjust their temporary residency status to permanent residence (PR) via an online application.


For 2021, the international graduate stream had an [upper cap](https://www.canada.ca/en/immigration-refugees-citizenship/services/immigrate-canada/tr-pr-pathway.html) of 40,000 applications. However, a bug in the online system led to the acceptance of thousands of excess applications over the limit.



![cic upper limit on applications](https://www.bleepstatic.com/images/news/u/1164866/2021/Aug-2021/cic-approved/cic-policies.jpg)**CIC upper limit on PR applications under each route**


BleepingComputer reached out to Immigration, Refugees and Citizenship Canada to learn more:


"Due to a technical issue, IRCC received applications above the limit for the international graduate stream of the temporary pathway to permanent residence," Philippe Couvrette, a government spokesperson told BleepingComputer.


The bug also caused the system to treat multiple applications as a single one:


"In some cases where two or more applications were submitted simultaneously, the electronic application system counted them as a single application."


"As a result, the electronic application system accepted approximately 7,300 applications above the 40,000 limit for this stream," continued Couvrette.


Minister enacts temporary policy to accept excess applications
--------------------------------------------------------------


Shelby Thevenot, editor of *CIC News* who [first reported](https://web.archive.org/web/20211104142451/https://www.cicnews.com/2021/08/canada-accepted-7300-more-immigration-applications-than-intended-for-international-graduates-stream-0818987.html) on the technical glitch shared additional insights with BleepingComputer.


In an internal memo shared with BleepingComputer, the government department requested Immigration Minister Marco Mendicino to allow for the excess applications to be processed as normal.


Without ministerial approval, as the current law dictates, applications accepted in excess due to the glitch would normally have been returned to the applicants, along with the fees.


The minister approved the policy on June 28th this year, allowing for the 7,307 extra applications above of the annual limit to be considered.


The move saved the applicants from unnecessary penalties and inconvenience caused by no fault of their own.


"IRCC is processing the applications received above the limit to ensure the 7,300 applicants are not penalized due to a system error. IRCC also made changes to the system to make sure this no longer happens," Couvrette further told BleepingComputer.


The government agency said it is committed to delivering quality client service across its global network by making their programs and services more efficient, clear and consistent.


As more people come to Canada and application volumes continue to rise, IRCC must keep improving its operations and provide timely and efficient service to attract more immigrants and visitors and remain globally competitive, says the department.


"IRCC has been moving towards a more integrated, modernized and centralized working environment in order to help speed up application processing globally."


"We move applications around our global network to ensure they are processed as efficiently as possible, which means applications may not be processed at or decided upon by decision makers at the office closest to where a client lives, or where an application is submitted," concluded IRCC in their email to BleepingComputer.


IRCC is expected to enact a separate public policy for processing applications from persons requiring accommodation, details of which are to be announced.


Temporary residents and international students wanting to assess their eligibility towards one or more immigration streams can check out the online [eligibility tool](https://www.cic.gc.ca/english/immigrate/trpr/eligibility.asp).





## Tags:


### Autogenerated tags:
[[ircc]] [[bleepingcomputer]] [[couvrette]]
