# Canon sued for disabling scanner when printers run out of ink
## Canon USA is being sued for not allowing owners of certain printers to use the scanner or faxing functions if they run out of ink.
## Information:

+ Link: https://www.bleepingcomputer.com/news/legal/canon-sued-for-disabling-scanner-when-printers-run-out-of-ink/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 16 October 2021, 10:28
+ Date scraped: 11 December 2023, 13:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/15/Printer_headpic.jpg)



Canon USA is being sued for not allowing owners of certain printers to use the scanner or faxing functions if they run out of ink.


David Leacraft, a customer of Canon, filed the class action lawsuit on Tuesday alleging deceptive marketing and unjust enrichment by the printer manufacturer.


Refusing to scan when out of ink
--------------------------------


While using his Pixma MG6320 printer from Canon, the plaintiff was surprised to discover that the "all-in-one" machine would refuse to scan or fax documents if the printer ran out of ink.


As ink is not necessary to perform scans or faxes, the argument is that the printer features should continue to work even if there is no ink in the device.


"Plaintiff Leacraft would not have purchased the device or would not have paid as much for it had he known that he would have to maintain ink in the device in order to scan documents," reads the complaint for the class action lawsuit.


Since at least 2016, other customers have contacted Canon about this exact problem [[1](https://community.usa.canon.com/t5/Printer-Multifunction-Support/I-am-out-of-ink-and-would-like-to-scan-a-document-using-my-Canon/td-p/165982), [2](https://community.usa.canon.com/t5/Printer-Multifunction-Support/Cannot-scan-due-to-no-ink/td-p/171537)] and were told by support agents that ink cartridges must be installed and contain ink to use the printer's features, as shown by the agent's response below.



![Canon customer support agent saying you need ink to scan](https://www.bleepstatic.com/images/news/legal/canon-scanning-ink/canon-reply.jpg)**Canon customer support agent saying you need ink to scan**  
*Source: [Canon](https://community.usa.canon.com/t5/Printer-Multifunction-Support/one-ink-empty-can-t-scan/m-p/323046/highlight/true#M40538)*


The complaint further illustrates with images of a Pixma MG2522 box that Canon advertises its All-in-One printers as including three distinct features - print, copying, and scanning.


However, there is no warning to show that ink is required for all of these features.


Further posts [[1](https://community.usa.canon.com/t5/Printer-Multifunction-Support/blue-tank-is-empty-but-only-want-to-print-in-Grayscale-Have/td-p/196774). [2](https://community.usa.canon.com/t5/Printer-Multifunction-Support/How-do-I-get-printer-to-use-only-black-ink-cartridge-when-color/td-p/200587)] found by BleepingComputer also shows Canon telling customers that all inks tanks must contain ink if they wish to print in greyscale, as it may damage the printer.


"The PIXMA MX710 must have all ink tanks installed and they all must contain ink. If you attempt to print with no ink or an empty ink, you would risk damaging the printer," a support agent posted to the Canon forums.


Forcing users to buy ink cartridges
-----------------------------------


As such, the class action lawsuit states that consumers had been deceived into buying a product that was designed to artificially and unethically introduce functional bottlenecks by tying them to ink levels, even if there's no practical link between them.


"As opposed to the “single function” printers it sells, Canon calls these multifunction devices a “3-in-1” or “4-in-1” for the fact they purportedly provide three or four functions," reads the [class action complaint](https://www.documentcloud.org/documents/21085661-123118208417) against Canon USA.


"In truth, the All-in-One Printers do not scan or fax documents when the devices have low or empty ink cartridges (the “Design Issue”), and Canon’s advertising claims are false, misleading, and reasonably likely to deceive the public."


According to the lawsuit, Canon is only doing this to increase its profits by selling replacement ink cartridges, hence the accusations for unjust enrichment.


Considering that printer inks expire typically after two or three years, even if someone rarely or never prints on these all-in-one machines, they would be practically forced to keep buying new ink just to use all functions of the device.


"There is no reason or technical basis for manufacturing the All-in-One Printers with an ink level detection function that causes the scanner to stop functioning when ink is low or empty. Canon designed the All-in-One Printers in such a way to require consumers to maintain ink in their devices regardless of whether they intend to print," continues the complaint.


"The result is an increase in ink sales from which Canon obtains significant profits."


The lawsuit was filed in the District Court for the Eastern District of New York and seeks at least $5,000,000 in awards, exclusive of interest, fees, and litigation costs.


The alleged violations alleged in the complaint are:


* The New York General Business Law § 349
* The New York General Business Law § 350
* Breach of express warranties
* Unjust enrichment
* Failure to disclose material information

If you have bought an all-in-one printer from Canon and faced similar problems, you could be eligible for receiving compensation in the future.


However, it is important to note that this class action was filed this week and is not approved by the court yet, so it's too early in the process right now.


BleepingComputer contacted Canon USA with questions regarding this lawsuit but did not receive a response.





## Tags:


### Autogenerated tags:
[[all-in-one]] [[pixma]]
