# Chrome use subject to restrictions in Dutch schools over data security concerns
## The Ministry of Education in the Netherlands has decided to implement restrictions on the use of the Chrome OS and Chrome web browser until August 2023 over concerns about data privacy.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/chrome-use-subject-to-restrictions-in-dutch-schools-over-data-security-concerns/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 23 July 2022, 15:12
+ Date scraped: 25 July 2022, 20:15

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/14/Chromebook_Chrome_OS.jpg)



The Dutch Ministry of Education has decided to impose some restrictions on the use of the Chrome OS and Chrome web browser until August 2023 over concerns about data privacy.


The officials worry that Google services collect student data and make it available to large advertising networks, who use it for purposes beyond helping education.


Since the national watchdog doesn't know where or how the students' personal data is stored and processed, there are concerns about violating European Union's GDPR (General Data Protection Regulation).


Netherland's Minister of Education and the Minister of Primary and Secondary Education have co-signed [a letter to the Dutch parliament](https://www.tweedekamer.nl/kamerstukken/brieven_regering/detail?id=2022Z15083&did=2022D31242) where they describe a range of cybersecurity and data protection matters.


The letter explains that [conversations were held](https://www.autoriteitpersoonsgegevens.nl/nl/nieuws/toezichthouders-pleiten-voor-betere-voorlichting-over-online-gebruik-van-gegevens-van-internetgebruikers) with Google, Microsoft, and Zoom, on the sensitive matter of data protection, and assurances were given to make future versions of software products more transparent and compatible with data protection regulations enforced across the EU space.


In the case of Google, the tech giant promised that new versions for the Chrome web browser and the Chrome OS would be ready by next year, so some usage restrictions apply until then, when the Dutch regulator will make a new assessment.


Educational institutes and schools that wish to continue using Google services in the meantime will have to perform additional actions as described in the [SURF guidelines](https://www.surf.nl/files/2021-08/technische-handleiding-google-workspace-for-education.pdf).


These actions include implementing specific Group Policies and disabling services like automatic website translation and spell checks that can leak user data away from Europe.


Also, the geographical location for data storage of the Google Cloud service must be set to Europe, and users need to be restricted from changing the setting.


Finally, ad personalization must be set to "off", YouTube embedding must be used with 'privacy-enhanced mode', and the Google Search engine must be avoided altogether.


## Other cases of data privacy concerns


Google's services have raised multiple concerns across Europe, about data privacy and the opaque data collection practices behind them.


In January 2022, Austria's data protection authority decided that using Google Analytics [violates GDPR](https://noyb.eu/sites/default/files/2022-01/E-DSB%20-%20Google%20Analytics_DE_bk_0.pdf), because collecting website visitors' data was done with the the users' specific consent and transferred outside Europe.


The French data protection office (CNIL) followed suit with [a similar decision](https://www.cnil.fr/fr/utilisation-de-google-analytics-et-transferts-de-donnees-vers-les-etats-unis-la-cnil-met-en-demeure) in February 2022, and [later warned](https://www.cnil.fr/fr/cookies-et-autres-traceurs/regles/questions-reponses-sur-les-mises-en-demeure-de-la-cnil-concernant-lutilisation-de-google-analytics) Google that minor changes won't reverse the decision.


This month, the [Danish DPA](https://edpb.europa.eu/news/national-news/2022/danish-dpa-imposes-ban-use-google-workspace-elsinore-municipality_en#:~:text=A%20general%20ban%20on%20processing,municipality's%20processing%20of%20personal%20data.) imposed a ban on the use of Google Workspace and Chromebooks in one of the country's municipalities, Elsinore, criticizing the uncontrolled data transfers to third countries.


**Update July 23:** A member of the Google Netherlands Communications team has informed BleepingComputer that Chrome and Chrome OS are not banned in the education sector of the country, and that schools may continue using them provided that they perform certain actions themselves to strengthen data security and ensure student privacy.


All education institutes in the Netherlands that wish to continue using Google services are expected to implement these additional data protection measures until Google updates its products as agreed, in 2023.


*Note: The article body and title have been updated to clarify that the Dutch Ministry of Education did not ban Chrome OS and the Chrome browser for educational use.*





## Tags:


### Autogenerated tags:
[[google]]
