# Cloudflare Dashboard and APIs down after data center power outage
## An ongoing Cloudflare outage has taken down many of its products, including the company's dashboard and related application programming interfaces (APIs) customers use to manage and read service configurations.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cloudflare-dashboard-and-apis-down-after-data-center-power-outage/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 02 November 2023, 12:13
+ Date scraped: 02 November 2023, 17:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/11/02/cloudflare.jpg)



An ongoing Cloudflare outage has taken down many of its products, including the company's dashboard and related application programming interfaces (APIs) customers use to manage and read service configurations.


The complete list of services whose functionality is wholly or partially impacted includes the Cloudflare dashboard, the Cloudflare API, Logpush, WARP / Zero Trust device posture, Stream API, Workers API, and the Alert Notification System.


"This issue is impacting all services that rely on our API infrastructure including Alerts, Dashboard functionality, Zero Trust, WARP, Cloudflared, Waiting Room, Gateway, Stream, Magic WAN, API Shield, Pages, Workers," Cloudflare said.


"Customers using the Dashboard / Cloudflare APIs are impacted as requests might fail and/or errors may be displayed."


Customers currently have issues when attempting to log into their accounts and are seeing 'Code: 10000' authentication errors and internal server errors when trying to access the [Cloudflare dashboard](https://dash.cloudflare.com/).


Cloudflare says the service issues don't affect the cached file delivery via the Cloudflare CDN or Cloudflare Edge security features.



![Cloudflare dashboard outage](https://www.bleepstatic.com/images/news/u/1109292/2023/Cloudflare_outage.png)*Cloudflare outage (BleepingComputer)*


Data center power outage behind dashboard and API issues
--------------------------------------------------------


Two hours into the outage, the company revealed that the ongoing issues are due to power outages at multiple data centers.


"Cloudflare is assessing a loss of power impacting data centres while simultaneously failing over services. We will keep providing regular updates until the issue is resolved, thank you for your patience as we work on mitigating the problem," an incident report update [said](https://www.cloudflarestatus.com/incidents/hm7491k53ppg).


This is the second large outage that has hit Cloudflare since the start of the week, with the first one taking down multiple products, including Cloudflare Sites and Services (Access, CDN Cache Purge, Dashboard, Images, Pages, Turnstile, Waiting Room, WARP, Workers KV) on Monday, October 30.


As the company explained in a [post-mortem](https://blog.cloudflare.com/cloudflare-incident-on-october-30-2023/) published two days later, the Monday outage was caused by a misconfiguration in the tool used to deploy a new Workers KV build.


Workers KV is "used by both customers and Cloudflare teams alike to manage configuration data, routing lookups, static asset bundles, authentication tokens, and other data that needs low-latency access," Cloudflare's  Matt Silverlock and Kris Evans said.


"During this incident, KV returned what it believed was a valid HTTP 401 (Unauthorized) status code instead of the requested key-value pair(s) due to a bug in a new deployment tool used by KV."


*This is a developing story...*





## Tags:


### Autogenerated tags:
[[cloudflare]] [[api]]
