# Decentralized Matrix messaging network says it now has 115M users
## The team behind the Matrix open standard and real-time communication protocol has announced the release of its second major version, bringing end-to-end encryption to group VoIP, faster loading times, and more.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/decentralized-matrix-messaging-network-says-it-now-has-115m-users/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 24 October 2023, 12:44
+ Date scraped: 24 October 2023, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/07/14/matrix.jpg)



The team behind the Matrix open standard and real-time communication protocol has announced the release of its second major version, bringing end-to-end encryption to group VoIP, faster loading times, and more.


Additionally, the Synapse open-source [Matrix](https://matrix.org/) homeserver's opt-in usage reporting indicates that unique matrix IDs on the public network have surpassed 115 million, indicating massive growth of the protocol.


This growth is nearly doubled from its [60 million users](https://www.bleepingcomputer.com/news/security/the-matrix-messaging-network-now-counts-more-than-60-million-users/) in July 2022, which by itself marked a 79% increase from the summer of 2021.


"The Matrix ecosystem is thriving," stated the foundation's technical co-founder, Matthew Hodgson, in a press release sent to BleepingComputer.


"More and more Matrix-based products and services are coming to market in response to rapid growth at every level; from governments and major public sector organizations to enterprises, businesses and everyday people."


Matrix 2.0 features
-------------------


Matrix 2.0 brings major changes compared to the first version of the protocol, introducing functionality-expanding and performance-improving features.


First, the [long-requested](https://github.com/matrix-org/matrix-spec-proposals/blob/matthew/group-voip/proposals/3401-group-voip.md) support for scalable native group VoIP with full end-to-end encryption support has been implemented and can handle large conference calls with hundreds of participants.


Another highlight of the new release is [Sliding Sync](https://github.com/matrix-org/matrix-spec-proposals/blob/kegan/sync-v3/proposals/3575-sync.md), an entirely new sync API that loads only the essential interface rendering data, helping speed up the process of initial syncing and logging in, which has historically been a pain for Matrix users.


The Matrix Foundation claims that this Sliding Sync makes client apps using the protocol faster than iMessage, WhatsApp, and Telegram.


Another standout feature of Matrix 2.0 is the [transition](https://matrix.org/blog/2023/09/better-auth/) to industry-standard OpenID Connect authentication protocol, embracing interoperability potential, enterprise readiness, and better security (built on OAuth 2.0).


Finally, the announcement highlights faster room joining achieved through a mechanism of ‘lazy-loading' implemented on the client API that makes the loading of resources a lot more efficient and quicker.


Get started with an app
-----------------------


Although many clients use the Matrix protocol, the foundation suggests new users pick up the [ElementX app](https://element.io/labs/element-x), which incorporates all the latest features and reflects what Matrix 2.0 can achieve.


The Element X is a stripped-down messenger app built based on the [standard Element](https://element.io/) but completely rewritten for performance.



![Element X web and mobile clients](https://www.bleepstatic.com/images/news/technology/m/matrix/element-x-clients.jpg)**Element X web and mobile clients**  
*Source: Element X*


Element is used by entities where safety of communications is critical, like NATO, the United Nations, the US Department of Defense, the German Armed Forces, the Armed Forces of Ukraine, the UK Ministry of Defense, and the French Government.


That is to say that Element's security follows a high standard, despite the [odd hiccups](https://www.bleepingcomputer.com/news/security/matrix-install-security-update-to-fix-end-to-end-encryption-flaws/).


Other chat apps supporting the Matrix protocol are [Nheko](https://nheko-reborn.github.io/), [FluffyChat](https://fluffychat.im/), [Fractal](https://flathub.org/apps/org.gnome.Fractal), [Quaternion](https://github.com/quotient-im/Quaternion), [Spectral](https://github.com/dtzWill/spectral), [Hydrogen](https://matrix.org/ecosystem/clients/hydrogen/), and [NeoChat](https://apps.kde.org/en-gb/neochat/), so options abound.





## Tags:


### Autogenerated tags:

