# DuckDuckGo browser now blocks all third-party Microsoft trackers
## DuckDuckGo announced today that they will now be blocking all third-party Microsoft tracking scripts in their privacy browser after failing to block them in the past.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/duckduckgo-browser-now-blocks-all-third-party-microsoft-trackers/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 05 August 2022, 12:00
+ Date scraped: 05 August 2022, 15:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/16/duckduckgo.jpg)



DuckDuckGo announced today that they will now be blocking all third-party Microsoft tracking scripts in their privacy browser after failing to block them in the past.


This change comes after the company faced massive blowback in May for [not blocking some third-party Microsoft trackers](https://www.bleepingcomputer.com/news/security/duckduckgo-browser-allows-microsoft-trackers-due-to-search-agreement/) in the DuckDuckGo browser due to a syndicated search content agreement between the two companies.


This was in stark contrast to the DuckDuckGo browser's past description, which stated that they block hidden trackers found on websites.


"Tracker Radar automatically blocks hidden third-party trackers we can find lurking on websites you visit in DuckDuckGo, which stops the companies behind those trackers from collecting and selling your data," explains the [Apple App Store page](https://apps.apple.com/app/duckduckgo-privacy-browser/id663592361) for the DuckDuckGo Privacy Browser.


The fact that some Microsoft trackers were allowed [was discovered](http://twitter.com/thezedwards/status/1528808759027331072) by security researcher Zach Edwards, who found that the DuckDuckGo browser blocked Google and Facebook trackers but allowed some of Microsoft's trackers on Linkedin and Bing domains.


[![Zach Edwards tweet](https://www.bleepstatic.com/images/news/web-browsers/duckduckgo/allow-microsoft-trackers/zach-edwards.jpg)](https://twitter.com/thezedwards/status/1528808795983319041)


## Blocking all Microsoft trackers, most of the time


Today, DuckDuckGo announced that it would begin this week to block all third-party Microsoft tracking scripts in its mobile ‎DuckDuckGo Privacy Browser (iOS/Android) and DuckDuckGo Privacy Essentials browser extensions (Chrome, Firefox, Safari, Edge, and Opera).


"Recently, I’ve heard from a number of users and understand that we didn’t meet their expectations around one of our browser’s web tracking protections. So today we are announcing more privacy and transparency around DuckDuckGo’s web tracking protections," reads an [announcement](http://spreadprivacy.com/more-privacy-and-transparency) by DuckDuckGo CEO Gabriel Weinberg.


The blocking of Microsoft trackers is being rolled out through the [3rd-Party Tracker Loading Protection](https://spreadprivacy.com/browser-privacy-protection/) feature, with DuckDuckGo telling BleepingComputer that scripts from the following twenty-one URLs will be blocked:



```
adnxs.com
adnxs-simple.com
adsymptotic.com
adv-cloudfilse.azureedge.net
app-fnsp-matomo-analytics-prod.azurewebsites.net
azure.com
azure.net
bing.com
cdnnwlive.azureedge.net
clarity.ms
dynamics.com
fp-cdn.azureedge.net
licdn.com
linkedin.com
live-tfs-omnilytics.azurewebsites.net
msecnd.net
nlo-stl-web.azureedge.net
nuance.com
pestcontrol-uc1.azureedge.net
sdtagging.azureedge.net
serviceschipotlecom.trafficmanager.net
```

However, as DuckDuckGo relies on Microsoft Advertising for ads shown in the search engine, there will be some limited allowance of Microsoft trackers when using the privacy browser.


When clicking on an advertisement in the DuckDuckGo search, the DDG browser will allow tracking scripts from bat.bing.com to execute once on the advertiser's site. This allowance enables advertisers to track how well their advertising campaigns are working.


However, DuckDuckGo will block all further calls on that site that attempt to load trackers from bat.bing.com.


This is not a perfect solution, but DuckDuckGo says that they are hoping to replace bat.bing.com trackers in the future with private ad conversion implementations that are currently in development by [Firefox](https://blog.mozilla.org/en/mozilla/privacy-preserving-attribution-for-advertising/) and [Safari](https://webkit.org/blog/11529/introducing-private-click-measurement-pcm/).


Microsoft says they are pleased with this solution, as it allows DuckDuckGo to increase users' privacy while also allowing Microsoft advertisers to continue tracking the performance of their ads.


"Microsoft has policies in place to ensure that we balance the needs of our publishers with the needs of our advertisers to accurately track conversions on our network," Microsoft told BleepingComputer.


"We have been partnering with DuckDuckGo to understand the implications of this policy and we are pleased to have arrived at a solution that addresses those concerns."


Finally, Weinberg announced more transparency around its web tracking protection features by launching a [dedicated help page](https://help.duckduckgo.com/privacy/web-tracking-protections/) and sharing the [list of blocked trackers](https://github.com/duckduckgo/tracker-blocklists) on GitHub.





## Tags:


### Autogenerated tags:
[[duckduckgo]] [[microsoft]] [[third-party]] [[bat.bing.com]]
