# DuckDuckGo now blocks Google sign-in pop-ups on all sites
## DuckDuckGo apps and extensions are now blocking Google Sign-in pop-ups on all its apps and browser extensions, removing what it perceives as an annoyance and a privacy risk for its users.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/duckduckgo-now-blocks-google-sign-in-pop-ups-on-all-sites/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 22 December 2022, 20:21
+ Date scraped: 22 December 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/22/blocked.png)



DuckDuckGo apps and extensions are now blocking Google Sign-in pop-ups on all its apps and browser extensions, removing what it perceives as an annoyance and a privacy risk for its users.


DuckDuckGo offers a privacy-focused [search engine](https://www.bleepingcomputer.com/news/technology/privacy-focused-search-engine-duckduckgo-grew-by-46-percent-in-2021/), an [email service](https://www.bleepingcomputer.com/news/security/duckduckgo-opens-its-privacy-focused-email-service-to-everyone/), [mobile apps](https://www.bleepingcomputer.com/news/security/duckduckgo-now-lets-all-android-users-block-trackers-in-their-apps/), and data-protecting [browser extensions](https://www.bleepingcomputer.com/news/technology/chrome-browser-extension-lets-you-remove-specific-sites-from-search-results/). A standalone web browser is also in the works, currently in beta and [only available for macOS](https://www.bleepingcomputer.com/news/security/duckduckgo-for-mac-enters-public-beta-now-available-to-everyone/).


The company [announced today](https://twitter.com/DuckDuckGo/status/1605919034150617091) that all its Chrome, Firefox, Brave, and Microsoft Edge apps and browser extensions will now actively block Google sign-in prompts displayed on sites.


Google offers this single sign-on option on websites to enable users to quickly sign in to new platforms using their Google account for convenience and unified control.


Simply put, instead of having to create new accounts and manage multiple passwords on various sites, users can just sign in with Google when the option is available and skip the hassle.


The downside of this practice for users is that the websites and apps users sign into can be tracked by Google.


While Google states explicitly, "Data from Sign In With Google is not used for ads or other non-security purposes," DuckDuckGo says their tests show that Google still collects data.


"See our testing in the attached image which shows Google is collecting data on sites when signed in with Google. For example, on investing.com, many requests are made to https://securepubads.g.doubleclick.net/gampad/ads?.," DuckDuckGo told BleepingComputer.


"This includes the full page url in the request parameters. In testing, if we're not signed into the website with Google, the DSID cookie sent with these requests has a value of NO\_DATA. If we are signed into the website with Google, the DSID cookie sent with these requests has a long hexadecimal value."


"You can see this in the attached image - on the left we're signed in with Google, on the right we're not signed in with Google."



![Cookie siphoning user data (left) and blocked (right)](https://www.bleepstatic.com/images/news/u/1220909/Software/details(1).png)**Cookie siphoning user data (left) and blocked (right)** *(DuckDuckGo)*


As DuckDuckGo believes these are privacy risks, it has resorted to taking the rather aggressive approach of blocking Google sign-in prompts, never giving users the option to take up the tech giant's offer.


BleepingComputer has found that the option is baked into the general protection feature of the browser extension, so when the extension is active, all Google prompts are blocked automatically.


The same applies to the DuckDuckGo browser for macOS, where the Google blocking feature is built into "Protection," and there's no option to disable it unless you disable all privacy protections.



![DuckDuckGo browser on macOS, protection set to on (left) and off (right)](https://www.bleepstatic.com/images/news/u/1220909/Software/macos.png)**DuckDuckGo browser on macOS, protection set to on (left) and off (right)** *(BleepingComputer)*


However, even though DuckDuckGo made this change to block alleged privacy threats, it will likely cause issues who use Google sign-in on websites as they will no longer be able to log in.


In those situations, the user will have to register a new local account at the site or disable the privacy-protection features of the DuckDuckGo extensions and browsers.





## Tags:
***urls***: https://securepubads.g.doubleclick.net/gampad/ads

### Autogenerated tags:
[[google]] [[duckduckgo]] [[apps]] [[sign-in]] [[macos]] [[websites]] [[bleepingcomputer]]
