# Europol ordered to erase data on those not linked to crime
## The European Data Protection Supervisor (EDPS), an EU privacy and data protection independent supervisory authority, has ordered Europol to erase personal data on individuals that haven't been linked to criminal activity.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/europol-ordered-to-erase-data-on-those-not-linked-to-crime/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 January 2022, 16:13
+ Date scraped: 10 January 2022, 17:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/10/Europol.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2022/01/10/Europol.jpg)

![Europol ordered to erase data on those not linked to crime](https://www.bleepstatic.com/content/hl-images/2022/01/10/Europol.jpg)


The European Data Protection Supervisor (EDPS), an EU privacy and data protection independent supervisory authority, has ordered Europol to erase personal data on individuals that haven't been linked to criminal activity.


According to the EDPS, the watchdog considers personal data any identification number, location data, or online identifier associated with an individual's physical, physiological, genetic, mental, economic, cultural, or social identity.


Europol was notified of [this order](https://edps.europa.eu/data-protection/our-work/publications/other-documents/europol-order-and-faq_en) one week ago, on January 3, 2022. [The decision](https://edps.europa.eu/system/files/2022-01/22-01-10-edps-decision-europol_en.pdf) follows an own-initiative inquiry started on April 30, 2019, regarding the EU police body's use of Big Data Analytics for personal data processing activities.


The EU data watchdog issued this order after admonishing Europol in September 2020 for storing large amounts of data on individuals that haven't been linked to criminal activity, putting their fundamental rights at risk.


"The EDPS' Decision is about protecting individuals whose personal data is included in datasets transferred to Europol by EU Member States' law enforcement authorities," said the EDPS today [[PDF](https://edps.europa.eu/system/files/2022-01/22-01-10-europol-order_faqs_en.pdf)].


"According to the Europol Regulation, Europol is only allowed to process data about individuals who have a clear, established link to criminal activity (e.g. suspect,witness, etc).


"Limiting Europol's processing of data avoids exposing other individuals who do not all into these categories, therefore minimising the risks associated with having their data processed in Europol's databases."


EDPS imposes six months data retention period
---------------------------------------------


Europol failed to comply with obligations under the Europol Regulation to filter and extract crime-related information from its databases.


Thus, the EDPS has now also imposed a 6-month retention period on the personal information collected by the police body, which means that Europol must erase all data not filtered within six months its databases to prevent its processing longer than needed.


"Such collection and processing of data may amount to a huge volume of information, the precise content of which is often unknown to Europol until the moment it is analysed and extracted - a process often lasting years," European Data Protection Supervisor Wojciech Wiewiórowski [added in a press release](https://edps.europa.eu/press-publications/press-news/press-releases/2022/edps-orders-europol-erase-data-concerning_en) published today.


"A 6-month period for pre-analysis and filtering of large datasets should enable Europol to meet the operational demands of EU Member States relying on Europol for technical and analytical support, while minimising the risks to individuals' rights and freedoms."


More information on EDPS' order is available on the [EU data watchdog's website](https://edps.europa.eu/system/files/2022-01/22-01-10-europol-order_faqs_en.pdf) and in the [decision published on January 3](https://edps.europa.eu/system/files/2022-01/22-01-10-edps-decision-europol_en.pdf).


Europol didn't reply to a request for comment when BleepingComputer reached out earlier today.







## Tags:


### Autogenerated tags:
[[europol]] [[edps]]
