# FTC sues H&R Block over deceptive 'free' online filing ads
## The U.S. Federal Trade Commission (FTC) sued tax preparation giant H&R Block over the company's deceptive "free" online filing advertising and for pressuring people into overpaying for its services.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/ftc-sues-handr-block-over-deceptive-free-online-filing-ads/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 23 February 2024, 17:13
+ Date scraped: 23 February 2024, 23:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/02/23/H-R-Block.jpg)



The U.S. Federal Trade Commission (FTC) sued tax preparation giant H&R Block over the company's deceptive "free" online filing advertising and for pressuring people into overpaying for its services.


H&R Block employs 70,000 tax pros working in over 12,000 offices worldwide and has reported a revenue of $3.5 billion in 2023.


"H&R Block's online tax filing products lead consumers into higher-cost products made for more complicated tax filings, despite many consumers not needing the additional tax forms and schedules offered by those products," the FTC [said](https://www.ftc.gov/news-events/news/press-releases/2024/02/ftc-takes-action-against-tax-prep-company-hr-block-wiping-consumers-data-deceptively-marketing-free) on Friday.


"In addition, H&R Block fails to clearly explain which of its products cover what forms, schedules, or tax situations, leading many consumers to start completing their tax returns in products that are more expensive than they need."


While the company's online tax product [is advertised as free](https://www.hrblock.com/online-tax-filing/free-online-tax-filing/), a closer look reveals several issues that have drawn scrutiny. The FTC alleges that what H&R Block defines as a "simple return" (the only type eligible for the free service) isn't clearly defined and can be changed at the company's discretion.


Additionally, when users discover they don't meet the criteria for the free version after inputting all their tax information, they're nudged toward purchasing one of H&R Block's paid tax filing products. However, navigating between different versions proves challenging.


Transitioning to a more expensive product is relatively seamless, with all entered information automatically transferred, according to the FTC.


Yet, attempting to switch to a less expensive version by navigating between different versions and with significant barriers hindering users from downgrading to cheaper options proves challenging and results in losing all data entered during the previous steps.


"Since at least 2014, consumers attempting to downgrade have had to reach out to the company to request a downgrade – a process that has often been frustrating and time-consuming," the FTC said.


The FTC also alleges that many users end up purchasing the company's more expensive products to avoid the hassle of re-entering their tax information or due to the difficulty in reaching customer service for assistance, with some frustrated users even abandoning their tax returns altogether after investing and wasting significant time in the process.


[![FTC H&R Block tweet](https://www.bleepstatic.com/images/news/u/1109292/2024/FTC-HR-Block-tweet.png)](https://twitter.com/FTC/status/1761121906806198629)


In addition to concerns regarding product downgrades, the FTC today also targets H&R Block's advertising practices, tagging them as deceptive.


The complaint says H&R Block has long marketed its online tax preparation services as "free," but this offer is allegedly misleading, as many consumers do not qualify for the free option. It also highlights various TV and online ads by H&R Block promoting free filing services, often with disclaimers buried in fine print stating that the offer applies only to "simple returns."


However, the company's ads fail to define what constitutes a "simple return," and the complaint notes that H&R Block has altered its definition multiple times in recent years, leading to consumer confusion and frustration.


Dara Redler, the Chief Legal Officer at the tax preparation company, told BleepingComputer that H&R Block has provided a free do-it-yourself (DIY) filing option for over 20 years to assist Americans with their tax filings.


"The multitude of resources we offer to all filers via educational resources, free tools, and calculators, and The Tax Institute demonstrates our commitment to making filing your taxes more accessible and more transparent for all," Redler said.


"Further, H&R Block allows consumers to downgrade to a less-expensive DIY Product via multiple mechanisms while ensuring the preparation of accurate tax returns."


The consumer protection agency also [ordered TurboTax-maker Intuit](https://www.bleepingcomputer.com/news/technology/ftc-orders-intuit-to-stop-pushing-free-software-that-isnt-really-free/) last month to stop promoting its products and services as "free" unless they're free for all customers.





## Tags:


### Autogenerated tags:
[[h&r]] [[ftc]]
