# Facebook, WhatsApp, and Instagram down due to DNS outage
## Users worldwide are reporting that they cannot access Facebook, Instagram, and WhatsApp, instead seeing errors that the sites can't be reached.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/facebook-whatsapp-and-instagram-down-due-to-dns-outage/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 04 October 2021, 12:13
+ Date scraped: 11 December 2023, 13:51

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/04/Facebook_thumbs_down.jpg)



*Image: [Barefoot Communications](https://unsplash.com/@barefootcommunications)*


Users worldwide are reporting that they cannot access Facebook, Instagram, and WhatsApp, instead seeing errors that the sites can't be reached.


When attempting to open any of the three sites, they are given DNS\_PROBE\_FINISHED\_NXDOMAIN errors and advised to check if there is a typo in the domain entered in the address bar.


"This site can't be reached. Check if there is a typo in facebook.com. If spelling is correct, try running Windows Network Diagnostics," the error message says.


Mobile users are also reporting that the company's apps are not working, and they are seeing "Please check your internet connection and try again later."


At the moment, [Facebook's .onion site is also down](https://twitter.com/OliverLinow/status/1445061097166458889), showing the same DNS\_PROBE\_FINISHED\_NXDOMAIN error as the one shown by the company's clear web sites.


It is unknown whether this is a planned outage, a problem with the three platforms' servers, or the services being attacked.



![Facebook, Instagram, WhatsApp down](https://www.bleepstatic.com/images/news/u/1109292/2021/Facebook_outage.png)*Image: BleepingComputer*


A Facebook spokesperson was not immediately available for comment when contacted by BleepingComputer earlier today.


While the company has not yet provided an explanation for this outage, in BleepingComputer's tests, the Facebook, Instagram, and WhatsApp DNS servers are not responding, which would suggest that this is a DNS configuration or server issue.



![Facebook DNS down](https://www.bleepstatic.com/images/news/u/1109292/2021/Facebook_DNS_down.png)*Image: BleepingComputer*



Based on user reports available on the outage.report and from conversations with users worldwide, this outage is currently impacting mostly US and European users.


However, until an explanation or status update is issued by Facebook, it's likely that the rest of their users haven't yet noticed it because they're offline.



![Facebook, WhatsApp, and Instagram down due to DNS outage](https://www.bleepstatic.com/images/news/u/1109292/2021/Facebook_outage_map.png)*Image: outage.report*


[Facebook](https://twitter.com/Facebook/status/1445061804636479493), [Instagram](https://twitter.com/InstagramComms/status/1445062531932835841), and [WhatsApp](https://twitter.com/WhatsApp/status/1445060216161116168) have now acknowledged the ongoing outage on Twitter and said they're working on getting back online as soon as possible.


"We’re aware that some people are having trouble accessing our apps and products," [said](https://twitter.com/andymstone/status/1445058088436908045) Facebook spokesperson Andy Stone regarding the outage. "We’re working to get things back to normal as quickly as possible, and we apologize for any inconvenience."


Facebook CTO Mike Schroepfer added that the company's engineering teams are working on debugging and restoring the services as soon as possible.


"\*Sincere\* apologies to everyone impacted by outages of Facebook powered services right now.  We are experiencing networking issues and teams are working as fast as possible to debug and restore as fast as possible," Schroepfer [said](https://twitter.com/schrep/status/1445114730151043073).



![Outage tweets](https://www.bleepstatic.com/images/news/u/1109292/2021/FB_outage_tweets.png)*Image: BleepingComputer*


According to networking experts [[1](https://twitter.com/g_bonfiglio/status/1445068649681801240), [2](https://twitter.com/jgrahamc/status/1445068309288951820)], a BGP routing issue is more likely the cause behind this ongoing outage.


"Between 15:50 UTC and 15:52 UTC Facebook and related properties disappeared from the Internet in a flurry of BGP updates," [explained](https://twitter.com/jgrahamc/status/1445065270272434176) John Graham-Cumming, CTO of Cloudflare.


"The BGP routes pointing traffic to Facebook's IP address space have been withdrawn. The Internet no longer knows where to find Facebook's IPs. One symptom is that DNS requests are failing," [added](https://isc.sans.edu/forums/diary/Facebook+Outage+Yes+its+DNS+sort+of+A+super+quick+analysis+of+what+is+going+on/27900/) Johannes B. Ullrich, Ph.D., Dean of Research at the SANS Technology Institute.


"But this is just the result of Facebook hosting its DNS servers inside its own network. Even with working DNS (for example if you still have cached results), the IPs are currently not reachable."




---

***Update:*** Facebook, Instagram, and WhatsApp are slowly coming back online afer roughly six hours of downtime. **[More info about the cause of this Facebook outage available HERE](https://www.bleepingcomputer.com/news/technology/facebook-instagram-and-whatsapp-back-online-after-bgp-fix/)**.






## Tags:


### Autogenerated tags:
[[facebook]] [[bleepingcomputer]] [[dns]] [[instagram]] [[whatsapp]] [[bgp]]
