# Fedora ditches 'No Rights Reserved' software over patent concerns
## The Fedora Project has announced that it will no longer permit Creative Commons 'No Rights Reserved' aka CC0-licensed code in its Linux distro or the Fedora Registry.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/fedora-ditches-no-rights-reserved-software-over-patent-concerns/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 27 July 2022, 11:23
+ Date scraped: 28 July 2022, 09:06

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2016/11/18/Fedora.jpg)



The Fedora Project has announced that it will no longer permit Creative Commons 'No Rights Reserved' aka CC0-licensed code in its Linux distro or the Fedora Registry.


Fedora is a Linux distribution, developed and maintained by the Fedora Project, with sponsorship support from Red Hat and other parties.


The decision to ditch CC0-licensed open source software stems from the fact it could, in the future, pose patent issues.


## Devs shipping CC0-licensed code retain patent rights


The Fedora Project will no longer allow CC0-licensed software aka code with 'No Rights Reserved' to be distributed on the [Fedora Registry](https://registry.fedoraproject.org/), or as part of the Fedora Linux distribution.


And, the organization admits this "fairly unusual change" may impact a small number of Fedora packages.


"CC0 has been listed by Fedora as a '[good](https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses)' license for code and content (corresponding to allowed and allowed-content under the new system). We plan to classify CC0 as allowed-content only, so that CC0 would no longer be allowed for code," announced [Richard Fontana](https://twitter.com/richardfontana), Senior Commercial Counsel at Red Hat via a [mailing list](http://lwn.net/ml/fedora-legal/CAC1cPGw1xScGAXo-0NRs92zFB7ptRxTt=oCYi0BxfZDfAgUtYQ@mail.gmail.com/) this week.


"This is a fairly unusual change and may have an impact on a nontrivial number of Fedora packages (that is not clear to me right now), and we may grant a carveout for existing packages that include CC0-covered code."


The reason for the policy change is simply this—while Creative Commons' CC0 license allows content creators including software developers to waive copyright to their work, it has [no bearing on the patent or trademark rights](https://wiki.creativecommons.org/wiki/CC0_FAQ#What_about_other_IP_related_rights.2C_such_as_trademark_and_patent_rights.3F) that the creators continue to retain.


One particular clause of CC0, shown below, is what prompted Fedora's decision to ditch the license:


"No trademark or patent rights held by Affirmer are waived, abandoned, surrendered, licensed or otherwise affected by this document." (The trademark side of that clause is nonproblematic from a  

FOSS licensing norms standpoint.) The regular Creative Commons licenses have similar clauses.
Existing Fedora packages bearing the CC0 license [may be grandfathered in](https://lwn.net/Articles/902410/), but that is something the Project has not affirmatively decided yet.


## Why does it matter?


Open source software usage is ubiquitous, including by large corporations. Consuming and distributing free and open source (FOSS) software that continues to retain patent restrictions could become problematic in the future in the event of a legal dispute.


In a [statement](https://www.theregister.com/2022/07/25/fedora_sours_on_creative_commons/) to *The Register,*Bradley M. Kuhn, policy fellow at the Software Freedom Conservancy (SFC) explained, "Patents that [apply to] software are a constant threat to the rights of users and redistributors of FOSS — particularly those that deploy FOSS commercially. That's why SFC opposes the patenting of software entirely."


Kuhn, commenting from a policy rather than a legal perspective, further stressed, often times copyleft licenses like GPLv2 contain "very strong" patent licenses, whether implicitly or explicitly.


An excerpt from the [GPL v2 license](http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html) seen by BleepingComputer does attest to the fact:


"Finally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all."
"We are aware that large patent-holding companies — Oracle in particular, but others as well — have urged FOSS developers to choose licenses such as CC0 that explicitly withhold granting of patent licenses," said Kuhn.


The expert further suggests that software developers are better off adopting transparent licenses like GPL or [copyleft-next](https://raw.githubusercontent.com/copyleft-next/copyleft-next/master/Releases/copyleft-next-0.3.1), as opposed to CC0 where patent rights are not waived or licenses with ambiguous patent clauses.


Artist and hacker [Rhea Myers](https://twitter.com/rheaplex) also suggested how an organization like Red Hat, an IBM subsidiary supporting Fedora wouldn't want to land in legal hot waters over future patent issues.



Interestingly, technology blogger [Diego Elio Pettenò](https://twitter.com/flameeyes) aka *FlameEyes* [points out](https://lwn.net/Articles/902412/) how in the past, Fedora had [recommended the use of CC0](http://fedoraproject.org/wiki/Licensing/Unlicense) when juxtaposing it with 'Unlicense,' whereas Google, over time, moved towards [rejecting](http://web.archive.org/web/20200507022439/https://opensource.google/docs/patching/) software patches licensed under either CC0 or Unlicense.





## Tags:


### Autogenerated tags:
[[cc0]] [[cc0-licensed]] [[linux]] [[kuhn]]
