# France demands Apple pull iPhone 12 due to high RF radiation levels
## The Agence Nationale des Fréquences (ANFR) has asked Apple to withdraw iPhone 12 smartphones from the French market because the device emits radiofrequency energy that is beyond the limit permitted to be absorbed by the human body.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/france-demands-apple-pull-iphone-12-due-to-high-rf-radiation-levels/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 13 September 2023, 13:41
+ Date scraped: 13 September 2023, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/08/16/iphone.jpg)



The Agence Nationale des Fréquences (ANFR) has asked Apple to withdraw iPhone 12 smartphones from the French market because the device emits radiofrequency energy that is beyond the limit permitted to be absorbed by the human body.


The agency tested over 140 mobile devices from various vendors to check for compliance with specific absorption rate (SAR) values.


SAR is a a measure of the rate of RF (radiofrequency) energy absorption by the body from a source that is measured, a mobile phone in this case. It provides a means to evaluate exposure to the transfer of energy by radio waves.


### SAR level significantly higher


Many regulatory bodies worldwide set safety limits for SAR levels to ensure that consumers can enjoy their electronics, especially mobile phones, with minimized risk.


The Federal Communications Commission (FCC) in the U.S. has set the SAR [limit to 1.6 watts/kg](https://www.fcc.gov/general/radio-frequency-safety-0#:~:text=The%20FCC%20limit%20for%20public,(1.6%20W%2Fkg).), while the European Union Council recommended [a limit of 2.0W/kg](https://www.europarl.europa.eu/doceo/document/E-9-2020-002425_EN.html) for body tissue and 4.0W/kg for the more susceptible limps like hands and wrists.


ANFR says it recently conducted measurements on 141 phones available on the French market by contracting an accredited laboratory, where it found that iPhone 12's SAR value for limbs is 5.74 W/kg, exceeding the 4.0 W/kg limit by 43.5%.


As such, the agency demands that Apple withdraws all iPhone 12 devices from the French market and takes the required action to make them compliant with European regulations.


If Apple fails to remediate the exceeding SAR level, the agency threatens to impose a forced recall on the product, so current owners of iPhone 12 will have to return them to the vendor and receive a replacement.



"ANFR has demanded that Apple withdraw the iPhone 12 from the French market, effective 12 September 2023, as measures show the specific absorption rate (SAR) exceeds the set limits" - [Agence Nationale des Fréquences](http://www.anfr.fr/liste-actualites/actualite/temporary-withdrawal-from-the-market-of-the-iphone-12-for-non-compliance-with-eu-regulation)



"The ANFR expects Apple to deploy all available means to put an end to the non-compliance. Failure to act will result in the recall of equipment that has already been made available to consumers," the French agency adds.


ANFR notes that iPhone 12's SAR measurement for the user's body is within the limit, under 2.0 W/kg.


### Firmware update could solve the issue


Reducing the SAR value of an already-released phone is challenging since the device's physical properties and design have been finalized, so adding or modifying shielding materials is practically impossible.


However, Apple might be able to reduce SAR on the iPhone 12 via a software or firmware update that adjusts the phone's transmission algorithms that manage the phone's power levels during various operations, reducing the emission of radiation as required.


It should also be noted that Apple has just released iPhone 15, so the impacted model is already three generations old and not available on Apple's website for purchase anymore.


However, consumers can still purchase it from third-party retailers in new or refurbished condition. Given its reduced price over time and Apple's long-term software support that covers the model, it remains a popular smartphone choice.


BleepingComputer has reached out to Apple for a comment, but a statement wasn't immediately available.





## Tags:


### Autogenerated tags:
[[iphone]] [[anfr]] [[w/kg]]
