# French government recommends against using foreign chat apps
## Prime Minister of France Élisabeth Borne signed a circular last week requesting all government employees to uninstall foreign communication apps such as Signal, WhatsApp, and Telegram by December 8, 2023, in favor of a French messaging app named 'Olvid.'
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/french-government-recommends-against-using-foreign-chat-apps/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 01 December 2023, 13:12
+ Date scraped: 01 December 2023, 19:25

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/06/flag-of-france.jpg)



Prime Minister of France Élisabeth Borne signed a circular last week requesting all government employees to uninstall foreign communication apps such as Signal, WhatsApp, and Telegram by December 8, 2023, in favor of a French messaging app named 'Olvid.'


The guideline addressed to ministers, secretaries of state, chiefs of staff, and cabinet members proposes that they instead install and use the Olvid app made by a French company.


BleepingComputer discussed the development with French journalists, who clarified that this isn't a ban on using foreign messaging apps but rather a recommendation to switch to locally developed software.


Olvid supports end-to-end encrypted messages, uses a decentralized infrastructure, and doesn't require a phone number or any other personal data for registration. Hence, it is seen as a more trustworthy option that includes all the key features of its more renowned and widely used competitors.


"The main consumer instant messaging applications occupy a growing place in our daily communications. However, these digital tools are not devoid of security vulnerabilities and therefore do not ensure the security of conversations and information shared through them," reads the PM's address, according to [Le Point published excerpts](https://www.lepoint.fr/high-tech-internet/les-ministres-francais-invites-a-desinstaller-whatsapp-signal-et-telegram-29-11-2023-2545099_47.php).


"To counter the threats that arise from using these applications, the French company Olvid has developed instant messaging which guarantees the protection of its users' data thanks to a decentralized directory and end-to-end message encryption while maintaining the same functionalities as current applications."


Meredith Whittaker, President of Signal, took to Twitter to challenge the vague claims about security vulnerabilities in the app, labeling them unfounded and misleading.


[![tweet](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/57/whittaker.png)](https://twitter.com/mer__edith/status/1730207726180204885)


Security comparisons between Olvid and other messaging apps may be rendered moot due to Olvid's unique distinction of having ANSII (France's national cybersecurity agency) "[first-level security certification](https://cyber.gouv.fr/produits-certifies/olvid)."


This certification involves a thorough examination of the app's source code by the state's experts, and none of the other mainstream apps mentioned in this post have undergone the stringent evaluation process.


This by itself elevates Olvid's security credentials beyond typical industry benchmarks and practically makes it a sound choice for use in the highest ranks of the French government.


In addition to ANSII's approval, Olvid has also independently [validated](https://eprint.iacr.org/2020/808) the design of its custom cryptographic protocols by cryptography professor Michel Abdalla.


Finally, Olvid's symmetric cryptography is already quantum-resistant, while the project provides guarantees of its readiness to implement similar strength for its public-key cryptography as soon as NIST's public-key algorithms [selection process](https://csrc.nist.gov/Projects/Post-Quantum-Cryptography) is finalized.


The exact reason behind the decision to suggest the use of Olvid within the French government remains unknown, and as French journalist [Emile Marzolf](https://twitter.com/emile_marzolf) told BleepingComputer, not everyone agrees with the PM's instruction.


Marzolf revealed that during his conversation with the French Digital Department, they expressed dissatisfaction with the directive, finding the promotion of Olvid excessive while also conveying that Signal is an acceptable platform to them.


Previously, in March 2023, the French government followed the example of many other Western countries to [ban the use of the TikTok app](https://twitter.com/StanGuerini/status/1639220992517058561) on state officials' devices over fears of espionage.





## Tags:


### Autogenerated tags:
[[olvid]] [[apps]]
