# Frustration grows over Google's AI Overviews feature, how to disable
## Since Google enabled its AI-powered search feature, many people have tried and failed to disable the often incorrect AI Overviews feature in regular search results. However, there are ways to turn it off using a new "Web" search mode, which we explain in this article..
## Information:

+ Link: https://www.bleepingcomputer.com/news/google/frustration-grows-over-googles-ai-overviews-feature-how-to-disable/
+ Source: Bleeping Computer
+ Author: Mayank Parmar
+ Date published: 19 May 2024, 13:43
+ Date scraped: 19 May 2024, 18:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/12/29/Google_headpic.jpg)



Since Google enabled its AI-powered search feature, many people have tried and failed to disable the often incorrect AI Overviews feature in regular search results. Unfortunately, you can't. However, there are ways to turn it off using a new "Web" search mode, which we explain below.


AI Overviews, also known as "Search Generative Experience," is Google's new search feature that summarizes web content using its in-house LLM (large language models).


Google says AI overviews appear only when the search engine believes it can provide more value than traditional blue links.


When you're signed into Google and search for general topics like how to install one of Windows 11's recent updates, Google's AI will rewrite content from independent websites and summarize it in its own words.



![Google AI Overviews](https://www.bleepstatic.com/images/news/u/1097497/Google/Google-AI-Overviews-result.jpg)**Example of Google AI Overviews**  

Source: BleepingComputer


This feature may sound good in theory, but Google's AI integration has several quality issues, including causing a slight delay as it generates the answer and, even more problematic, sometimes displaying incorrect information.


For example, Google AI Overviews [recently told](http://www.seroundtable.com/google-sge-drink-urine-to-pass-kidney-stones-37339.html) searchers to drink two quarts of urine when they asked how to pass kidney stones quickly.


While initially released as an opt-in Search Labs experiment, Google [recently began rolling out AI Overviews](http://x.com/searchliaison/status/1790440947928760461) to everyone in the United States whether they want it or not, with other countries coming soon.


Google says that AI Overviews cause people to "use Search more, and are more satisfied with their results," but that doesn't seem to be the case based on the many Google support forum questions on how to turn off the feature.


"I'm finding the results very repetitive, often wrong, and they don't at all match what I'm looking for but they take up so much space and feel in the way. I just want them to go away," [posted a user](https://support.google.com/websearch/thread/274932868/how-can-i-turn-off-ai-overviews?hl=en) trying to disable AI Overviews.


"Every single result I've received from the AI overviews has been incorrect. I'm more than capable of misinterpreting internet articles on my own, and I can probably get at least slightly closer to actually understanding than the AI because I actually have cognitive processes," [posted another user](https://support.google.com/websearch/thread/275141613/how-do-i-remove-ai-overviews-from-search-results?hl=en).



![Users want to disable Google AI integration](https://www.bleepstatic.com/images/news/u/1097497/Google/Google-AI-overviews-block.jpg)**Users want to disable Google AI integration**  
*Source: BleepingComputer*



As the [posts on Google forums suggest](https://support.google.com/websearch/threads?hl=en&thread_filter=(category%3Asearch_labs)&sjid=1374533838362309130-NA&max_results=40), early feedback on Google AI Overviews has been negative, with people finding the feature unnecessary and often misleading.


Unfortunately, there is no way to disable it now that it is out of Search Labs, and Google has quickly locked support threads for many people asking how to do so.


As the Google search we all fell in love with 26 years ago no longer exists, now filled with endless features, sponsored results, and shopping results, the company recently [introduced a new "Web" search option](https://www.theverge.com/2024/5/14/24074314/google-now-offers-web-search) to return the old search feel.


When using the new Google Web search, search results will no longer be cluttered with the abundance of features we usually see, including "Top Stories", "AI Overviews", and shopping listings.


For those who don't want to see AI Overviews, we can use this new Web search feature to get rid of Google's AI feature.


How to remove Google AI Overviews
---------------------------------


If you dislike Google AI Overviews, you can force Google to always show Web search results without AI summaries, videos, images, and other search features.


To do this, change the search engine in your web browser to a specific Google entry point that triggers the "Web" filter by following these steps:


1. Open Google Chrome, click the three-dot menu in the top-right corner, and select **Settings**.
2. Scroll down to the **Search engine"** section and click Manage search engines and site search.
3. Click **Add** next to Site search.
4. In theAdd search engine dialog, enter a name for your search engine (e.g., "Google Web"). For a shortcut, enter a keyword to quickly use this search engine from the address bar (e.g., "Web").
![Google Chrome](https://www.bleepstatic.com/images/news/google/chrome-add-site-search.jpg)
5. ​Change URL to `{google:baseURL}/search?udm=14&q=%s`.
6. Click **Add**.
7. Click on the three-dot menu next to the new search engine you created and select **Make Default**.
8. The new search engine will now appear as the default under Search engines.
9. Close the Settings page.

Now, when you search from the address bar in Google Chrome, it will perform the search using Google's new Web search feature instead. To switch back to the previous Google search, just go back into the Search settings and set Google as the default search engine.


The overall process remains the same whether you're using Chrome or Edge, yet the location in the browser's settings may be different.


If you don't want to change search settings manually, you can also install a Google Chrome extension called "[Hide AI Overviews](https://chromewebstore.google.com/detail/hide-google-ai-overviews/neibhohkbmfjninidnaoacabkjonbahn)" from the Chrome Web Store.


This extension allows you to hide the generative search overviews from Google.com without changing settings manually.


On mobile devices, you'll need to install Firefox and change its search engine settings to force the above entry point.





## Tags:


### Autogenerated tags:
[[google]]
