# German government advises against using Kaspersky antivirus
## BSI, the federal cybersecurity authority in Germany, has issued a public statement to warn critical entities in the country against using Kaspersky antivirus software products.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/german-government-advises-against-using-kaspersky-antivirus/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 15 March 2022, 14:15
+ Date scraped: 15 March 2022, 15:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/15/kaspersky-header.jpg)



![Kaspersky Labs](https://www.bleepstatic.com/content/hl-images/2022/03/15/kaspersky-header.jpg)Kaspersky Lab *(Wikipedia, By Alexxsun - Own work, CC BY-SA 4.0)*
Germany's Federal Office for Information Security, BSI, is warning companies against using Kaspersky antivirus products due to threats made by Russia against the EU, NATO, and Germany.


Kaspersky is a Moscow-based cybersecurity and antivirus provider founded in 1997, that has a long history of success, but also controversy over the company's possible [relationship with the Russian government](https://www.bleepingcomputer.com/news/security/kaspersky-denies-report-it-might-help-russian-government-spy-on-us-citizens/).


Kaspersky's founder and CEO, Eugene Kaspersky, recently expressed a wish for "compromise" regarding Russia's invasion of Ukraine, which sparked outrage on Twitter, with many rejecting the firm's stance on the matter.


[![Tweet from Eugene Kaspersky](https://www.bleepstatic.com/images/news/government/g/germany/bsi/kaspersky/kaspersky-tweet.jpg)](http://twitter.com/e_kaspersky/status/1498547337043525633)


Kaspersky is also believed to offer its cybersecurity protection services to [Russian state IT infrastructure](https://twitter.com/Lexcor1/status/1498623436716916737), making it a concern that the company cannot stay completely neutral.


## BSI warns against using Kaspersky


Today, the BSI is warning German companies to replace Kaspersky AV and any other products from the firm with alternative software from non-Russian vendors.


As the [BSI statement explains](http://www.bsi.bund.de/DE/Service-Navi/Presse/Pressemitteilungen/Presse2022/220315_Kaspersky-Warnung.html), antivirus software typically has higher-level privileges on Windows systems, maintaining a permanent, encrypted, and non-verifiable connection to the vendor’s servers for constant virus definition updates.


Furthermore, as real-time protection from almost all antivirus vendors can upload suspicious files to remote servers for further analysis, there is concern that antivirus developers could use their software to exfiltrate sensitive files.


While Kaspersky is likely trustworthy and ethical, it still has to abide by Russian laws and regulations, including allowing state agents to access private firm databases.


BSI is taking this further by suggesting that Kaspersky could be forced into aiding the Russian intelligence forces in carrying out cyberattacks or conducting espionage.



> 
> "The actions of military and/or intelligence forces in Russia and the threats made by Russia against the EU , NATO and the Federal Republic of Germany in the course of the current military conflict are associated with a considerable risk of a successful IT attack. A Russian IT manufacturer can carry out offensive operations itself, be forced to attack target systems against its will, or be spied on without its knowledge as a victim of a cyber operation, or be misused as a tool for attacks against its own customers."
> 
> 
> *BSI*
> 
> 
> 


To avoid panic moves like switching off protection without activating a replacement security product, BSI advises all organizations to prepare accordingly by first performing a complete assessment.


Also, whenever a switch to alternative security products takes place, loss of comfort, functionality, and even safety is expected, so a remediation plan to address all that must be developed.


This warning has already led to German organizations, such as [Germany's Eintracht sports club](https://en.eintracht.de/news/eintracht-beendet-partnerschaft-mit-kaspersky-140037), to no longer use Kaspersky's services. 


However, Kaspersky believes that BSI's warning to remove Kaspersky products is a political decision rather than a technical assessment of their products.


A Kaspersky spokesperson shared the following statement with BleepingComputer regarding BSI's warnings, which we have shared in full below:



> 
> We believe this decision is not based on a technical assessment of Kaspersky products – that we continuously advocated for with the BSI and across Europe – but instead is being made on political grounds. We will continue to assure our partners and customers in the quality and integrity of our products, and we will be working with the BSI for clarification on its decision and for the means to address its and other regulators’ concerns.
> 
> 
> At Kaspersky, we believe that transparency and the continued implementation of concrete measures to demonstrate our enduring commitment to integrity and trustworthiness to our customers is paramount. Kaspersky is a private global cybersecurity company and, as a private company, does not have any ties to the Russian or any other government.
> 
> 
> We believe that peaceful dialogue is the only possible instrument for resolving conflicts. War isn’t good for anyone.
> 
> 
> Our data processing infrastructure was relocated to Switzerland in 2018: since then, malicious and suspicious files voluntarily shared by users of Kaspersky products in Germany are processed in two data centers in Zurich that provide world-class facilities, in compliance with industry standards, to ensure the highest levels of security. Beyond our cyberthreat-related data processing facilities in Switzerland, statistics provided by users to Kaspersky can be processed on the Kaspersky Security Network’s services located in various countries around the world, including Canada and Germany. The security and integrity of our data services and engineering practices have been confirmed by independent third-party assessments: through the SOC 2 Audit conducted by a ‘Big Four’ auditor, and through the ISO 27001 certification and recent re-certification by TÜV Austria.
> 
> 
> Kaspersky has set the industry benchmark for digital trust and transparency. Our customers can run a free technical and comprehensive review of our solutions, allowing them to:
> 
> 
> * Review our secure software development documentation including threat analysis, secure review, and application security testing processes
> * Review the source code of our leading solutions including Kaspersky Internet Security (KIS), our flagship consumer product; Kaspersky Endpoint Security (KES), our flagship enterprise product; and Kaspersky Security Center (KSC), a control console for our enterprise products
> * Review all versions of our builds and AV-database updates, as well as the types of information which Kaspersky products send to our cloud-based Kaspersky Security Network (KSN)
> * Rebuild the source code to make sure it corresponds to publicly available modules
> * Review the results of an external audit of the company’s engineering practices conducted by one of the ‘Big Four’ accounting firms;
> * Review the Software Bill of Materials (SBOM) for Kaspersky Internet Security (KIS), Kaspersky Endpoint Security (KES), and Kaspersky Security Center (KSC)
> 





## Tags:


### Autogenerated tags:
[[kaspersky]] [[bsi]] [[cybersecurity]]
