# GitHub goes passwordless, announces passkeys beta preview
## GitHub announced today the introduction of passwordless authentication support in public beta, allowing users to upgrade from security keys to passkeys.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/github-goes-passwordless-announces-passkeys-beta-preview/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 12 July 2023, 11:00
+ Date scraped: 12 July 2023, 17:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/10/GitHub-headpic.jpg)



GitHub announced today the introduction of passwordless authentication support in public beta, allowing users to upgrade from security keys to passkeys.


Passkeys are associated with individual devices like computers, tablets, or smartphones and play a vital role in minimizing the likelihood of data breaches by protecting users against phishing attacks by thwarting credential theft and beach attempts.


They also enable logging into applications and online platforms using personal identification numbers (PINs) or biometric authentication methods, such as facial recognition or fingerprints.


By eliminating the need to remember and manage unique passwords for every app and website, they also vastly improve user experience and security.


GitHub's Staff Product Manager Hirsch Singhal revealed today that "Passkeys are now available in public beta. Opting in lets you upgrade security keys to passkeys, and use those in place of both your password and your 2FA method."


To activate passkeys on your account, click your profile photo in the top-right corner of any GitHub page. From there, open the 'Feature Preview' menu and click the 'Enable passkeys' option.


"The next time you sign in with [a] security key, we'll ask you if you want to upgrade it to a passkey, which will re-register it with your passkey provider," Singhal said.


"Because passkeys are privacy preserving, you might have to trigger your passkey a few times during that upgrade flow so we can make sure we're upgrading the right credential. Once you do, you're all set for a passwordless experience."



![Upgrading security keys to passkeys](https://www.bleepstatic.com/images/news/u/1109292/2023/Upgrading%20security%20keys%20to%20passkeys.png)*Upgrading security keys to passkeys (BleepingComputer)*


​This is another step taken by GitHub to enhance software supply chain security by transitioning away from basic password-based authentication.


Today's announcement comes after GitHub [made two-factor authentication (2FA) mandatory](https://www.bleepingcomputer.com/news/security/github-makes-2fa-mandatory-next-week-for-active-developers/) for all active developers using its platform starting March 13.


Previously, the code hosting platform [gradually phased out account passwords](https://www.bleepingcomputer.com/news/security/github-deprecates-account-passwords-for-authenticating-git-operations/) for authenticating Git operations and introduced [device verification via email](http://github.blog/changelog/2019-07-01-verified-devices/).


In November 2020, GitHub [disabled REST API password authentication](http://github.blog/2020-07-30-token-authentication-requirements-for-api-and-git-operations/) and introduced [FIDO2 security keys support](https://www.bleepingcomputer.com/news/security/github-now-supports-security-keys-when-using-git-over-ssh/) to secure SSH Git operations in May 2021.


Over the years, GitHub bolstered its account security measures by implementing [two-factor authentication](http://github.blog/2013-09-03-two-factor-authentication/) and [sign-in alerts](http://github.blog/changelog/2018-11-27-unrecognized-location-sign-in-notifications/), [blocking compromised password usage](http://github.blog/changelog/2018-07-31-new-improvements-and-best-practices-for-account-security-and-recoverability/), and [adding WebAuthn support](http://github.blog/2019-08-21-github-supports-webauthn-for-security-keys/).


"We're excited to continue to provide more flexibility, reliability, and security in the ways you can authenticate to GitHub," Singhal added on Wednesday.


In May, Google also [announced](https://www.bleepingcomputer.com/news/security/google-adds-passkeys-support-for-passwordless-sign-in-on-all-accounts/) a passkey support rollout for Google Accounts across all its services and platforms to let users sign into their accounts without entering a password or using 2-Step Verification (2SV).


Last month, Microsoft [expanded support for passkeys in Windows 11](https://www.bleepingcomputer.com/news/microsoft/windows-11-is-getting-a-built-in-passkey-manager-for-windows-hello/) by adding a built-in passkey manager for Windows Hello and making it more secure to log in using biometric authentication.





## Tags:


### Autogenerated tags:
[[github]] [[singhal]]
