# Google Chrome is crashing worldwide on Windows 10 PCs, how to fix
## Google Chrome has suddenly started crashing yesterday for many Windows users worldwide making the browser unusable.
## Information:

+ Link: https://www.bleepingcomputer.com/news/google/google-chrome-is-crashing-worldwide-on-windows-10-pcs-how-to-fix/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 21 May 2021, 10:16
+ Date scraped: 12 December 2023, 12:48

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/09/27/sad-chrome.jpg)



Google Chrome has suddenly started crashing yesterday for many Windows users worldwide making the browser unusable.


Google released Chrome 90.0.4430.212 on May 10th, and for the most part, there have been no reported issues with the release until yesterday.


As first reported by [Windows Latest](https://www.windowslatest.com/2021/05/21/google-chrome-is-crashing-on-windows-10-heres-the-fix/), starting yesterday morning, users began reporting that Google Chrome extensions and tabs suddenly began crashing while using the browser.


Due to these crashes, the Chrome subreddit and Chrome product forums have begun filling up with posts from people experiencing these issues.


"Seemingly out of nowhere ~15 minutes ago, Google Chrome stopped working for me. My extensions crashed and all pages (including Chrome pages like settings) refuse to load. The screen is completely blank, and the tab is simply labeled "Untitled" with a frowning folder next to it," a user posted yesterday to [Reddit](https://old.reddit.com/r/chrome/comments/nha7bu/chrome_suddenly_not_working/).



![Google Chrome alerts stating an extension has crashed](https://www.bleepstatic.com/images/news/web-browsers/chrome/crashes/extensions-chrome-90/chrome-crashes.jpg)**Google Chrome alerts stating an extension has crashed**  

Source: [Reddit](https://old.reddit.com/r/chrome/comments/nhqz3w/keep_getting_this_pop_up_and_cant_even_search_on/)


While BleepingComputer has not experienced these crashes, users report that Chrome is displaying a gray screen and cannot open the Settings or Extensions pages of the browser.


Furthermore, users are reporting that these crashes happen in both the regular and Incognito browsing modes.


It is believed that the crashes are caused by an issue with the Google Chrome '%UserProfile%\AppData\Local\Google\Chrome\User Data' folder, which is used to store your data, extensions, and configuration settings for the browser.


A Google Product Expert [recommends](https://support.google.com/chrome/thread/110605125/chrome-crashing-unable-to-access-anything-not-even-settings?hl=en&msgid=110633372) that users create a backup of the 'User Data' folder and then perform one of the following steps to fix the crashes:



> 
> As this only seems to be happening on Windows I will provide such instructions, but this will be operating system dependent:
> 
> 
> 1. Ensure your Sync data is accurate at <https://chrome.google.com/sync> and passwords appear at [https://passwords.google.com](https://passwords.google.com/) (If you have a passphrase they will not but they should be reflected in the sync data link)
> 2. Close any open Chrome instance
> 3. Open File Explorer and navigate to:`%LOCALAPPDATA%\Google\Chrome\User Data`
> 4. Delete the "`Local State`" file from the directory (**ensure you have a backup!**)
> 5. Re-Open Chrome
> 
> If the above steps don't resolve the problem then try the following
> 
> 
> 1. Open File Explorer and navigate to:`%LOCALAPPDATA%\Google\Chrome\User Data`
> 2. Take a copy of everything in this directory and store it somewhere such as your desktop
> 3. Rename the "`User Data`" folder to something other than User Data
> 4. Re-Open Chrome
> 


Some users have reported that after performing these steps, the Google Chrome crashes have stopped.


Others state that once you restart Google Chrome the issue occurs again.


It is not clear what is causing the crashes, but it is likely a change pushed out to some users by Google since the latest browser release.


It is common for Google to push out configuration changes or new features to Google Chrome users in limited tests. One of these tests or configuration changes may be causing the issues seen by so many users.


***Update 5/23/21:*** Google has shared the following fix that can be used to resolve the crashes:



> 
> **For impacted Windows devices follow these steps:**
> 
> 
> 1. Quit any open Chrome windows.
> 2. Re-open Chrome. You will still see the broken behavior.
> 3. Keep Chrome open for about 5 minutes.
> 4. After 5 minutes quit Chrome and then relaunch Chrome. The behavior should be resolved.
> 
> **For impacted Linux devices follow these steps:**
> 
> 
> * Navigate to the directory containing the Chrome user profile:
> 	+ `.config/google-chrome/`
> * Delete the contents of the `[Chrome user profile]`\`Origin Trials subdirectory`
> 	+ This should include a "1.0.0.7" directory
> * Delete the `[Chrome user profile]`\`Local State file`
> * Start Chrome, which should load as expected
> 





## Tags:
***ipv4-adresses***: 1.0.0.7
***urls***: https://chrome.google.com/sync https://passwords.google.com

### Autogenerated tags:
[[google]] [[windows]] [[re-open]]
