# Google Chrome updates failing on Android devices in Russia
## A growing number of Russian Chrome users on Android report getting errors when attempting to install the latest available update of the popular web browser.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-chrome-updates-failing-on-android-devices-in-russia/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 13 May 2022, 13:52
+ Date scraped: 13 May 2022, 14:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Google___Chrome.jpg)



A growing number of Android Google Chrome users in Russia are reporting errors when attempting to install the latest update for the web browser.


The number of complaints is increasing every day but so far, the cause of the problem remains unknown and is still unsolved.


According to [Russian news outlets](https://www.kommersant.ru/doc/5348679) and numerous user comments on the Play Store, the issues started on May 9th, 2022, when Google released Chrome version 101 for Android.


Those who attempted to install the latest release got an error saying, “Fail to install Google Chrome”. The message further advises the user to try again and to follow troubleshooting tips if that doesn’t help.



![Update error message](https://www.bleepstatic.com/images/news/u/1220909/Software/error.png)**Update error message** *(Rozetked)*
Users who thought the problem might get a fix by removing and re-installing Chrome denied adding the browser to their device.


Google had announced that Russian users and developers [would be blocked](https://www.bleepingcomputer.com/news/google/google-play-now-blocks-paid-app-downloads-updates-in-russia/) from downloading or updating paid apps from the Play Store starting on May 5, 2022. However, Chrome is free, so it should be outside this new policy.


Moreover, the error message doesn’t make clear the reason for the failed update, whether it is due to sanctions or a technical problem. At the same time, Google’s support agent on the Play Store [suggests](https://support.google.com/chrome/thread/61453692?msgid=78592808) that Russian users find a solution in the Support Community discussions.


![User comments on the Play Store](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/more-comments.png)


![More user comments](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/even-more-comments.png)


![even more user comments](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/comments.png)


BleepingComputer has reached out to Google for a comment or a clarification on the situation, asking for an explanation of the update issue for users in Russia. We are yet to receive a response and will update the article when we get it.


## What Russians can do


The situation leaves Russian users of Chrome for Android with several options that might do the trick:


* stay on the version they’re using
* download an APK to install Chrome manually
* use a VPN to trick the Play Store into giving them the update
* switch to a different browser

Keeping an older version comes with security risks as Google [fixed 13 vulnerabilities](https://chromereleases.googleblog.com/2022/05/chrome-for-android-update.html) in the latest release, and the list is likely to grow longer in time.


Downloading a the Chrome APK and installing it manually might work fine but users should get the package from a trusted source. Obviously, the situation creates the perfect conditions for setting up scams and malware-dropping sites that pretend to offer Russians the latest version of Chrome.


Using a VPN to update the device with the latest version of Chrome may be the safest way to get the app, although it violates Play Store’s terms, so it could have your account banned. Additionally, the few VPN products still [available legally in Russia](https://www.bleepingcomputer.com/news/legal/russian-internet-watchdog-announces-ban-of-six-more-vpn-products/) may not work even after clearing the Play Store app's cache.


Considering the above, if switching to a different browser is not desirable, sticking to the older version is likely the surest option to keep using Chrome in Russia.





## Tags:


### Autogenerated tags:
[[google]] [[android]] [[vpn]]
