# Google Chromebook bug causes black screens after login
## Google is investigating reports of black screens showing up on users' Chromebooks when trying to log into their Chrome OS accounts.
## Information:

+ Link: https://www.bleepingcomputer.com/news/google/google-chromebook-bug-causes-black-screens-after-login/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 14 September 2021, 14:50
+ Date scraped: 11 December 2023, 14:43

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/14/Chromebook_Chrome_OS.jpg)



*Image:*[*Anete Lūsiņa*](https://unsplash.com/@anete_lusina)


*Update:* Google has fixed the black screen issues by deploying a server-side fix.



> 
> Engineering has deployed a server side fix to resolve the issue regarding some user accounts being unable to log into Chrome OS devices and receiving a black screen. Customers that are still experiencing issues, should reach out via their support cases for assistance.
> 
> 
> 




---

Google is investigating reports of black screens showing up on users' Chromebooks when trying to log into their Chrome OS accounts.


The company has acknowledged this issue on the Google Customer Care Portal almost one hour ago and is yet to provide updates or a workaround for customers impacted by this bug.


"We are aware of issues with users unable to login to Chrome OS devices and looping back to the login screen. Engineering is continuing to investigate this issue," the company said.


Google hasn't yet shared the operating system versions impacted by this issue as the status page only lists Chrome OS as the affected product.


Chromebook customers are sharing reports of not being able to sign into their devices across several channels, including Google's help community and social media.


Some incoming reports [say](https://twitter.com/AlexHankel/status/1437829315400388611) that 80% of users on a network aren't currently able to sign in as they're automatically kicked back onto the login screen.


Others [shared](https://support.google.com/chromebook/thread/125568718/my-chromebook-screen-is-on-but-is-only-showing-black?hl=en) that the only sign their Chromebook is on is that the screen lights up even though it is entirely black.


"I can still turn the brightness up and down, but nothing else," [a report reads](https://support.google.com/chromebook/thread/125568718/my-chromebook-screen-is-on-but-is-only-showing-black?hl=en). "I have tried fulling shutting it down, and doing a hard reset with the refresh button and power button. Neither worked."


"I have tried fully powering it off (Holding the button down 30 seconds), and I have tried a hard reset (Holding the refresh button and then pressing the power button) but neither has worked," another report [says](https://www.reddit.com/r/chromeos/comments/pmz1sl/chromebook_screen_is_on_but_only_showing_black/).



Two months ago, Chromebook users were hit by another severe issue blocking them from logging into their devices after updating to Chrome OS 91.0.4472.165.


Affected customers should wait for a fix to be deployed by Google and download the update using the steps [available here](https://support.google.com/chromebook/answer/177889?hl=en).


Until Google gets to the bottom of the current black screen bug, impacted users might also be able to work around the issue by rolling back the Chrome OS device to a previous version via USB or [powerwashing](https://support.google.com/chromebook/answer/183084?hl=en) (resetting their Chromebooks to factory settings).


Before resetting or rolling back to a previous on your device, **be aware that you should [back up your files](https://support.google.com/chromebook/answer/1700055#save)** to an external hard drive or on Google Drive because all information on your Chromebook's hard drive, including all files in the Downloads folder, will be erased.


Chromebooks enrolled on a work or school network will [have to be reset by the administrator](https://support.google.com/accounts/answer/6208960) who manages your Google device.


A Google spokesperson was not available for comment when contacted by BleepingComputer earlier today.





## Tags:


### Autogenerated tags:
[[google]] [[chromebook]] [[chromebooks]]
