# Google Drive flags macOS '.DS_Store' files for copyright violation
## Google Drive was seen flagging '.DS_Store' files generated by macOS file systems as a violation of its copyright infringement policy. '.DS_Store' is a metadata file commonly seen by Apple users when they transfer their folders and archives from a macOS to a non-Apple operating system, like Windows.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-drive-flags-macos-ds-store-files-for-copyright-violation/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 18 February 2022, 09:10
+ Date scraped: 18 February 2022, 10:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/25/Google__Drive__headpic.jpg)



Google Drive was seen flagging '.DS\_Store' files generated by macOS file systems as a violation of its copyright infringement policy.


'.DS\_Store' is a metadata file commonly seen by Apple users when they transfer their folders and archives from a macOS to a non-Apple operating system, like Windows.


Is '.DS\_Store' copyrighted?
----------------------------


A user [reported](https://www.reddit.com/r/DataHoarder/comments/su3yur/google_drive_now_flagging_my_illicit_ds_store/) seeing a ".DS\_Store" file on their Google Drive being flagged for violating Google's 'Copyright Infringement' policy.


And, it seems this isn't the first time it's happened either. A similar issue was experienced by some last month, specifically with '.DS\_Store' files [[1](https://twitter.com/morgandawn6/status/1485748875633725442), [2](https://twitter.com/campanalbero/status/1480553930346340353)].



![Google Drive flags '.DS_Store' for copyright violation](https://www.bleepstatic.com/images/news/u/1164866/2022/Feb-2022/google-drive-ds-store/ds-store-copyright(1).jpeg)**Google Drive flags '.DS\_Store' for copyright violation** (Reddit)
Apple users often see mysterious '.DS\_Store' appear when they copy ZIP files and folders from their macOS devices to another operating system, such as Windows.


'[.DS\_Store](https://en.wikipedia.org/wiki/.DS_Store)' files are automatically generated by macOS' Finder application to store custom attributes and metadata such as icon information and background image location. This information helps Finder render the layout as per the user's preferences.


On macOS systems, .DS\_Store files remain typically hidden within Finder. In fact, the file is analogous to the hidden [*desktop.ini*](https://answers.microsoft.com/en-us/windows/forum/all/desktop-ini-files-what-are-they/71466527-2728-4fcb-aa24-5f759a96bb20) and *[thumbs.db](https://en.wikipedia.org/wiki/Windows_thumbnail_cache#Thumbs.db)* files seen occasionally by Windows users (if their Explorer settings permit showing 'hidden' files).


However, when uploading archives and folders to a third-party cloud service, such as Google Drive or Dropbox, the storage provider's file manager may regardless show ".DS\_Store," "desktop.ini," and other such files, otherwise obscured on a user's personal computer.


Google says this may be an 'edge case'
--------------------------------------


It isn't known yet what causes this behavior, and BleepingComputer has been unable to reproduce the issue at the time of writing.


One plausible assumption we had was, Google relies on [checksums](https://en.wikipedia.org/wiki/Checksum) to keep track of copyrighted content, and a [possible hash-collision](https://en.wikipedia.org/wiki/Hash_collision) between copyrighted files and benign files sharing the same hash can trigger false violations.


Last month, Google Drive users were left baffled on seeing their [nearly empty files being erroneously flagged](https://www.bleepingcomputer.com/news/security/google-drive-flags-nearly-empty-files-for-copyright-infringement/) for violating the company's copyright infringement policy.


These text files contained nothing other than numbers like 0, 1, 173, 174, 186, and a few others.



![nearly empty files erroneously flagged by Google Drive in January](https://www.bleepstatic.com/images/news/u/1164866/2022/January-2022/google-drive-copyright/google-drive-violation.jpeg)**Nearly empty files erroneously flagged by Google Drive in January**
The theory would explain why many users would be able to reproduce the issue with files that contain just digits, as opposed to '.DS\_Store' files. The latter could be quite unique for individuals, producing specific hashes—and as such hard to reproduce. But, this theory has not been authoritatively confirmed.


BleepingComputer reached out to Google with specific questions to better understand the issue.


A Google spokesperson explained that in January the company discovered and addressed the aforementioned issue that "impacted a small number of Drive files."


The same month, Google says, they had corrected "all known cases where files were incorrectly flagged for violating Google's Copyright Infringement [policy](https://support.google.com/legal/answer/4558836?hl=en)" and took steps to prevent this behavior from recurring.


"This is still correct for all new files, but we're still updating some edge cases," a Google spokesperson told BleepingComputer.


"Google Drive is constantly working to protect the security and safety of our users, and we take copyright protection very seriously."


In December 2021, the company released a [blog post](https://workspaceupdates.googleblog.com/2021/12/abuse-notification-emails-google-drive.html) explaining the "new notifications" that are sent to users when their Google Drive content violates policies.


"With these new notifications, the owner of the item in Google Drive will now receive an email notifying them of the action taken and why, and alerting them of how to request a review of the verdict if they think it is a mistake," Google tells us.


Note, however, erroneous Google Drive notifications sent to users this January ended with a "review cannot be requested for this restriction" message.


In 2018, Google published a detailed [document](https://www.blog.google/documents/27/How_Google_Fights_Piracy_2018.pdf/) explaining how the company fights piracy. But when specifically talking about Google Drive, the report states a "full-time abuse engineering  

team" was set up by Google for tackling illegal streams served on Google Drive. As such, not much information is available on how Google's algorithms process non-video content stored on Drive.





## Tags:


### Autogenerated tags:
[[google]] [[macos]] [[windows]] [[bleepingcomputer]]
