# Google News, Discover links showing 404 Not Found? Here's how to fix
## It happens here and then when Google Discover news feed stories you click on, take you to a 404 (Not Found) page—despite being live and up at the time. Here's how you can still read your favorite stories, and even workaround the bug that has occasionally bothered some users in the past.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/google-news-discover-links-showing-404-not-found-heres-how-to-fix/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 06 August 2023, 13:11
+ Date scraped: 06 August 2023, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/04/26/Google.jpg)



It happens every once in a while when a story on your Google Discover news feed will mysteriously take you to Google's 404 (Not Found) page—despite the story being very much live at the time.


BleepingComputer has been observing this behavior over the past few weeks at random on Android devices, and we are able to identify the cause of the problem.


Here's how you can still read your favorite stories, and even workaround the bug that has occasionally bothered some users in the past.


## Google News (or Discover) stories not found


Every now and then you may tap on a story served by [Google Discover](https://support.google.com/websearch/answer/2819496?hl=en) or [Google News Showcase](https://support.google.com/news/publisher-center/answer/10018888?hl=en-GB) on an Android device. Except, the story takes you to Google's clunky "Error 404 (Not Found)!!1" page.



![A sample Google Discover Showcase story leading to 404](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/google-discover-not-found-bug/google-easyjet-404-bc.jpg)**A sample Google Discover Showcase story taking you to 404 (Not Found) despite being up**  

(BleepingComputer)


This happens in some cases, even though the story is otherwise live on the news outlet:


https://www.liverpoolecho.co.uk/news/uk-world-news/easyjet-ryanair-tui-jet2-rule-27346395
Further, we noticed that the story publisher had not changed the original URL of the story at any point for an error like this to have occurred.


BleepingComputer has observed this behavior with the Google app on Android devices at random, which makes it hard to reproduce.


Other users seem to have also noticed the glitch:



![User reports Google Discover News story taking them to 404 ](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/google-discover-not-found-bug/google-not-found-tweet.jpg)**User reports Google Discover News story taking them to a 404 page**(X)


In fact, none of the links shared by these users on social media or with their friends (such as via WhatsApp) will work—these lead to 404 pages, even though the stories they meant to take you to, are up.



![Users share Google Discover News stories which have 'dead' links](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/google-discover-not-found-bug/not-found-tweets.jpg)**Users share Google Discover News stories with 'dead' links** (X)


## Why does the issue occur?


When you tap on a story served by Google News feed, the URL it's taking you to looks like this (taking the *Liverpool Echo* story above as an example):


https://play.google.com/newsstand/api/v3/articleaccess?url=https://www.liverpoolecho.co.uk/news/uk-world-news/easyjet-ryanair-tui-jet2-rule-27346395?gaa...
This link is functional and can be tested by copying-pasting it in a web browser. It should take you to the page shown below:



![Liverpool Echo article](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/google-discover-not-found-bug/liverpool-echo.jpg)***Liverpool Echo*examplearticle served by Google News**​​​​​​


The first part of the URL, that uses Google Play's *play.google.com* domain, is essentially a "redirect" service taking you to the desired news story.


The bits at the end following a question mark are a long string of GET parameters, that we have discarded from the view, as these serve no functional purposes with regards to the redirect and are purportedly being used for tracking and analytics.


The problem arises when multiple Google accounts are signed onto a device.


Whenever, multiple Google (think Gmail) accounts are logged in on a device, the URLs for Google services get "rewritten" with an account identifier.


For example, Gmail Desktop users may have noticed the *mail.google.com/mail/* URL turning into *mail.google.com/mail/**u/0**/*when they are using multiple Gmail accounts simultaneously (the '/u/0' part denotes which account is currently in the user's view).


Similarly, the URLs for these news stories, in some cases, get rewritten with an account identifier:


https://play.google.com**/u/0/**newsstand/api/v3/articleaccess?url=https://www.liverpoolecho.co.uk/news/uk-world-news/easyjet-ryanair-tui-jet2-rule-27346395?gaa...
And this causes the redirect service to break, showing you a 404 (Not Found) page for the story instead of Google Play's servers honoring or ignoring the account identifier parameter ("/u/...").


We submitted bug reports to Google, via the "Send Feedback" button on multiple occasions that we witnessed the issue but it remains unclear if that has helped with the remediation of the issue.


## What can you do?


We tried [clearing the cache](https://support.google.com/googlenews/thread/3959497/how-do-i-clear-the-google-news-cache-on-my-android-phone?hl=en) for both [Google](https://play.google.com/store/apps/details?id=com.google.android.googlequicksearchbox) and [Google News](https://play.google.com/store/apps/details?id=com.google.android.apps.magazines) apps on Android device, but the error would recur on random occasions.


Going to the Google Play store and ensuring we had the latest version of each apps (and tapping "update" when not) appeared to yield minimal improvement and did not completely eradicate the issue.


A workaround we have identified is, for Google News/Discover stories that show a 404 page, users can simply return to their news feed screen.


You can then tap on the three-dots next to a story, on the bottom right corner, and select "About this source & topic."



![Workaround for not found stories](https://www.bleepstatic.com/images/news/u/1164866/2023/Aug/google-discover-not-found-bug/ezjet-solution.jpg)**Workaround for stories with 'dead' links on Discover** (BleepingComputer)


This will now show you the story as an organic search result on Google Search that can proceed to normally.


Of course, a longer workaround would involve using Google Search to type and look up the story's headline.


A bug like this might not occur frequently and be hard to reproduce, but given other users who have reported experiencing it, BleepingComputer is sharing this information in hopes that it makes your Google News journey a tad smoother.





## Tags:
***urls***: https://play.google.com/newsstand/api/v3/articleaccess?url=https://www.liverpoolecho.co.uk/news/uk-world-news/easyjet-ryanair-tui-jet2-rule-27346395?gaa https://play.google.com/u/0/newsstand/api/v3/articleaccess?url=https://www.liverpoolecho.co.uk/news/uk-world-news/easyjet-ryanair-tui-jet2-rule-27346395?gaa https://www.liverpoolecho.co.uk/news/uk-world-news/easyjet-ryanair-tui-jet2-rule-27346395

### Autogenerated tags:
[[google]] [[bleepingcomputer]] [[android]] [[workaround]] [[url]] [[gmail]]
