# Google Play Store now forces apps to disclose what data is collected
## Google is rolling out a new Data Safety section on the Play Store, Android's official app repository, where developers must declare what data their software collects from users of their apps.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-play-store-now-forces-apps-to-disclose-what-data-is-collected/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 26 April 2022, 15:00
+ Date scraped: 27 April 2022, 07:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/17/Android_headpic.jpg)



Google is rolling out a new Data Safety section on the Play Store, Android's official app repository, where developers must declare what data their software collects from users of their apps.


This will be like a privacy label giving users crucial information at a glance, which should be enough to help them decide if they would like to proceed with the installation.



![App declaring what data it collects](https://www.bleepstatic.com/images/news/u/1220909/Software/data-collected.png)**App declaring what data it collects**  
*(Google)*
Not only will developers declare what data they collect, but also what data they share with third parties, essentially disclosing the purpose behind the collection.


If the user wants to learn more about a particular entry, tapping on the corresponding item will collapse the menu to reveal more information on what is collected or shared.



![Viewing details on the shared data section](https://www.bleepstatic.com/images/news/u/1220909/Software/data-shared.png)**Viewing details on the shared data section**  
*(Google)*
The third pillar of the Data Safety section will be the app's security practices, which describe the security mechanisms employed to protect the collected data, like the [MASVS standard](https://appdefensealliance.dev/masa).


This third section also clarifies whether users are given the option to ask for the deletion of their data at any time.


Finally, Data Safety will specify if the app follows Google Play Families Policy, which is geared toward children's protection.


Google is rolling out the new Data Safety section gradually so that Android users won't see this new section immediately but over the next couple of weeks.


Developers can begin declaring how collected data is used starting today, with the deadline to complete their submissions being July 20th, 2022.


Google told BleepingComputer that developers would provide this information themselves, which Google will not confirm. However, if it is discovered that a developer has misrepresented their data use disclosures, they will be required to fix the provided information.


Failure to do so would lead to policy violations, leading to the suspension of the app in the Google Play Store.


For more information on the new system, what it includes, and how it works, check out [Google's support page](https://support.google.com/googleplay/android-developer/answer/10787469).


## Replacing a bad system


Up until now, Android apps on the Play Store had to list a link to their Privacy Policy under the "Additional Information" section and provide a contact email.


Since this privacy policy is hosted on an external location, it's subject to modifications, might be vague, may not disclose all the crucial details about data collection and protection, and may even lead to a broken link.



![Current way to access data collection info](https://www.bleepstatic.com/images/news/u/1220909/Software/details.png)**Current way to access data collection info** *(Play Store)*
Moreover, since reading large texts of legal jargon isn't exactly what users look forward to when browsing the Google Play Store for new apps, almost nobody checks these.


Finally, due to the practical difficulties arising from the above, it has been impossible for Google to validate that apps respect the terms presented in their privacy policies.


Data Safety gives users a clear understanding of what happens with their data without requiring them to spend time digging into sections, while it also empowers Google with enforcement.


## Catching up


While Google's move is beneficial to Android users, a similar feature called '[Privacy Nutrition Labels](https://www.apple.com/privacy/labels/)' was already introduced by Apple in 2020.



![Apple TV summary of data collection](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/apple.png)**Apple TV's summary of data collection** *(Apple)*
This is another case where competition in the mobile OS space has brought positive developments, giving users more insight and control over how their data are handled by the various software that runs on their smartphones.


With the large amount of scam apps, malware, and usury apps found on Google Play, this new Data Safety section will not only be useful for Android users, but also allows Google to find policy violators more quickly.





## Tags:


### Autogenerated tags:
[[google]] [[apps]] [[android]]
