# Google rolls back reCaptcha update to fix Firefox issues
## Google has rolled back a recent release of its reCaptcha captcha script after a bug caused the service to no longer work on Firefox for Windows.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-rolls-back-recaptcha-update-to-fix-firefox-issues/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 03 May 2024, 13:07
+ Date scraped: 03 May 2024, 18:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/11/17/Firefox.jpg)



Google has rolled back a recent release of its reCaptcha captcha script after a bug caused the service to no longer work on Firefox for Windows.


Yesterday, BleepingComputer received multiple reports that reCaptcha stopped working in the latest version of Mozilla Firefox, with the issues also reported on [Twitter](https://twitter.com/nickadubato/status/1786076997627564176) and [Reddit](https://www.reddit.com/r/firefox/comments/1cij0uc/recaptcha_no_longer_working_on_only_on_firefox/).


BleepingComputer tested reCaptcha on our devices and confirmed that the service no longer worked in Firefox. Instead, the reCaptcha prompt would show an endlessly spinning circle instead of performing the regular captcha routine, as shown below.



![Endlessly spinning reCaptch circle](https://www.bleepstatic.com/images/news/web-browsers/firefox/google-recaptcha-broken/recaptcha-spinning.gif)**Endlessly spinning reCaptcha circle**  
*Source: BleepingComputer*


According to a [Mozilla bug report](https://bugzilla.mozilla.org/show_bug.cgi?id=1894735#c15), the issue was related to reCaptcha's dark mode detection routine for Firefox in Windows.


The script attempted to modify a div's background color using `document.body.removeChild`, but as the script was loaded in the HTML head, the DOM had not loaded yet and document.body was not available, causing the script error.


As a temporary workaround, users could change their browser user agent to one for Microsoft Edge and Google Chrome, and reCaptcha would work again.


Mozilla Firefox software engineer [Dennis Schubert](https://twitter.com/denschub) confirmed the bug, stating that Google acknowledged it was an issue in their script rather than the browser and was working on a fix.


"Yes, Google is rolling out a fix. It seems to work in several of our internal tests on multiple continents, but we'll keep this bug open until we're sure it's fixed for everyone," [posted Schubert](https://bugzilla.mozilla.org/show_bug.cgi?id=1894735#c22).


An hour later, Google reverted back to an earlier version of the script, fixing the bug for Firefox users.


While [some were quick](https://www.reddit.com/r/technology/comments/1cj3iwc/google_breaks_captcha_working_on_firefox_for/) to pin this as being intentional by Google, it appears to be a mistake that was quickly resolved.





## Tags:


### Autogenerated tags:
[[recaptcha]] [[google]] [[firefox]] [[bleepingcomputer]] [[mozilla]]
