# Google rolls out Privacy Sandbox to use Chrome browsing history for ads
## Google has started to roll out its new interest-based advertising platform called the Privacy Sandbox, shifting the tracking of user's interests from third-party cookies to the Chrome browser.
## Information:

+ Link: https://www.bleepingcomputer.com/news/google/google-rolls-out-privacy-sandbox-to-use-chrome-browsing-history-for-ads/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 09 September 2023, 14:59
+ Date scraped: 09 September 2023, 19:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/06/16/Google-Chrome-headpic.jpg)



Google has started to roll out its new interest-based advertising platform called the Privacy Sandbox, shifting the tracking of user's interests from third-party cookies to the Chrome browser.


When starting the Google Chrome browser, users will now see an alert titled 'Enhanced ad privacy in Chrome' that briefly describes the new ad platform.


"We're launching new privacy features that give you more choice over the ads you see," reads the new Chrome alert.


"Chrome notes topics of interest based on your recent browsing history. Also, sites you visit can determine what you like. Later, sites can ask for this information to show you personalized ads. You can choose which topics and sites are used to show you ads."



![New Privacy Sandbox alert shown to Google Chrome users](https://www.bleepstatic.com/images/news/google/p/privacy-sandbox-rollout/privacy-sandbox-alert.jpg)**New Privacy Sandbox alert shown to Google Chrome users**  
*Source: BleepingComputer*


This alert offers two buttons, 'Got it' and 'Settings,' which many users complain are confusing and deceptive, as the new advertising platform will be enabled in Google Chrome regardless of the button you click.



![Google's Privacy Sandbox automatically enabled](https://www.bleepstatic.com/images/news/google/p/privacy-sandbox-rollout/google-ad-topics.jpg)**Google's Privacy Sandbox automatically enabled**  
*Source: BleepingComputer*


It began with third-party cookies
---------------------------------


Before we get into Google's Privacy Sandbox, it is essential to understand what a third-party cookie is and how we got to the point of creating a new interest-based advertising platform.


A third-party cookie is a browser cookie created by a web domain other than the website (such as an advertiser) you are currently visiting and is usually dropped by tracking scripts and advertisements. These cookies can then be used to track you on other sites utilizing code from the same third-party domain, allowing advertisers to determine what topics you are interested in, what you like to purchase, and your browsing habits.


As part of the European Union's General Data Protection Regulation (GDPR) act, which went live in 2018, advertisers were required to limit the use of third-party cookies without the permission of users.


This has led to the constant bombardment of cookie consent messages you see when you visit a website, including BleepingComputer, asking your permission to allow third-party cookies before an advertiser could show interest-based advertising.


In 2019, Mozilla Firefox began [blocking third-party cookies by default](https://blog.mozilla.org/en/products/firefox/todays-firefox-blocks-third-party-tracking-cookies-and-cryptomining-by-default/), followed by [Apple Safari in 2020](https://www.theverge.com/2020/3/24/21192830/apple-safari-intelligent-tracking-privacy-full-third-party-cookie-blocking), striking a massive blow to the advertising industry, with Google being the largest.


To overcome the decreasing use of third-party cookies and continue providing interest-based advertising, Google introduced a new platform called Federated Learning of Cohorts (FLoC), which ultimately morphed into [Topics](https://privacysandbox.com/proposals/topics/), a key feature of the new [Privacy Sandbox](https://privacysandbox.com/).


While Google states that the Privacy Sandbox is designed to increase privacy by letting your web browser compute your interests locally rather than through cookies, [Apple](https://github.com/WebKit/standards-positions/issues/111#issuecomment-1359609317), [Mozilla](https://github.com/mozilla/standards-positions/issues/622#issuecomment-1372979100), and the [WC3 TAG](http://www.w3.org/2001/tag/) have cited numerous issues with the proposal.


"It's also clear from the positions shared by Mozilla and Webkit that there is a lack of multi-stakeholder support," [explains](http://github.com/w3ctag/design-reviews/issues/726#issuecomment-1379908459) Amy Guy from WC3 TAG.


"We remain concerned about fragmentation of the user experience if the Topics API is implemented in a limited number of browsers, and sites that wish to use it prevent access to users of browsers without it (a different scenario from the user having disabled it in settings)."


Google's Privacy Sandbox
------------------------


The Privacy Sandbox is a new advertising platform created by Google designed to create a more private way of tracking a user's interests for advertising.


Instead of using third-party cookies placed by different advertisers and tracking companies, the Privacy Sandbox will locally compute a user's interests directly within the browser, currently only used in Google Chrome.


Advertisers using the new Privacy Sandbox can request visitors' interests to show a relevant ad, with the browser replying with anonymous data that lists the categories the user is interested in.


These interests are computed from the user's browsing history, where are sites are associated with various subject categories, such as College sports, Razors & shavers, Ice skating, Comics, Bodybuilding, etc.


The Privacy Sandbox is broken up into three components named Ad Topics, Site-suggested ads, and Ad Measurement, as described below.


**Ad Topics**is the main component of the Privacy Sandbox and is used to generate users' interests based on their browsing history to show personalized ads.


These interests are generated by visiting websites, which are associated by Google to be in a certain category. If you visit many sites related to a particular category or topic, the browser will associate you with those interests.


Google says that the browser will delete your computed interests on a rolling basis each month and will continue to refresh until you remove them.


Users can see and delete their generated interests and the sites that define them by going into **Settings** > **Privacy & security** > **Ad privacy > Ad topics**.  

 


**Site-suggested ads** is a new way to "remarket" advertisements to a user by allowing a website to tell Chrome what type of advertisement should be shown to a visitor.


When you visit other sites, an advertiser can request the user's interest group, which can then show the suggested advertisement.


For example, this allows advertisers to show you ads for video cards after visiting a video card manufacturer's website.


Users can see and block the sites that want to show you ads by going into **Settings** > **Privacy & security** > **Ad privacy** > **Site-suggested ads**.


**Ad Measurement** allows sites and advertisers to [measure the performance](https://developer.chrome.com/docs/privacy-sandbox/attribution-reporting/) of their advertisements by storing data in the web browser, which is then shared with other sites you visit.


The data transmitted includes the time of day an ad was shown, whether an ad was viewed or clicked, and how the ad was displayed.


Google says this ad measurement data is regularly deleted from your device and that your browsing history is kept private.


Google told BleepingComputer that the Privacy Sandbox platform uses Oblivious HTTP Relays to transmit data between the browser to advertisers, providing further privacy for users.


These relays prevent Google from associating users' IP addresses with their interest data and strip unnecessary request headers from any connections.


Google says that they will be testing the Privacy Sandbox feature through 2024, with 1% of third-party cookies deprecated starting in Q1 2024, with them ultimately being entirely disabled by default in Q4 2024.


How to disable Google's Privacy Sandbox
---------------------------------------


If you do not wish to use Google's Privacy Sandbox, it is possible to disable it in Google Chrome.


To disable the Privacy Sandbox in Google Chrome, follow these steps:


1. Go to **Settings** > **Privacy & security** > **Ad privacy** and you will be shown a screen showing each individual feature.

![Google Chrome Ad privacy settings](https://www.bleepstatic.com/images/news/google/p/privacy-sandbox-rollout/ad-privacy-settings.jpg)**Google Chrome Ad privacy settings**  
*Source: BleepingComputer*
2. To disable each feature, click on Ad Topics and toggle the feature so its disabled.

![Ad Topics feature disabled](https://www.bleepstatic.com/images/news/google/p/privacy-sandbox-rollout/ad-topics-disabled.jpg)**Ad Topics feature disabled**  
*Source: BleepingComputer*
3. Do the same thing for Site-suggested ads and Ad measurement also to turn those features off.
4. Once all three options are disabled, the Privacy Sandbox feature will be disabled in its entirety.

You can now close the Chrome Settings page and use the browser as usual.





## Tags:


### Autogenerated tags:
[[google]] [[third-party]] [[bleepingcomputer]] [[interest-based]] [[website]] [[site-suggested]] [[mozilla]]
