# Google shares fix for Pixel phones hit by bad system update
## Google has shared a temporary fix for owners of Google Pixel devices that were rendered unusable after installing the January 2024 Google Play system update.
## Information:

+ Link: https://www.bleepingcomputer.com/news/mobile/google-shares-fix-for-pixel-phones-hit-by-bad-system-update/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 01 February 2024, 11:05
+ Date scraped: 01 February 2024, 17:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/01/24/google-pixel-7.jpg)



Google has shared a temporary fix for owners of Google Pixel devices that were rendered unusable after installing the January 2024 Google Play system update.


As [previously reported by BleepingComputer](https://www.bleepingcomputer.com/news/google/google-pixel-phones-unusable-after-january-2024-system-update/), after the January 2024 Google Play system updates came out, some owners of various Google Pixel models experienced internal storage access problems, the inability to open apps or the camera, or even take screenshots.


Google acknowledged the problem and told BleepingComputer that they were looking into the issues, and owners who hadn't applied the January 2024 Play system update were advised to hold off.


Today, Google shared a temporary and somewhat complicated fix on the Google Pixel support forums that could help impacted users restore their phones to normal working status.


"We are aware of a storage issue occurring on a small number of Pixel phones that have received the January Google Play system update, causing some devices to behave incorrectly," reads a post by a Google community manager on [Pixel's support forums](https://support.google.com/pixelphone/thread/256412156).


"If your device was impacted, you might notice multiple apps crashing, screenshots not saving, and external storage working inconsistently."


Although Google hasn't shared any details regarding the root cause of the issue, it stated it's more prevalent on Pixel devices with multiple user accounts.


The company says they are working on fixing the root cause of the system update issue and will provide further updates when they learn more.


A complicated fix
-----------------


While Google is working on a fix that will be pushed out to all Pixel phones via an update, it has released a fairly complicated temporary solution that requires installation of the [Android Platform Tools](http://developer.android.com/tools/releases/platform-tools#downloads) developer toolkit.


If you are comfortable using the command, then you can follow these steps to fix your Google Pixel device:


1. Enable ‘[Developer options](https://developer.android.com/studio/debug/dev-options)’ within Settings on your Pixel phone by:
	* Navigating to **Settings > About phone > Build number**
	* Tapping the **Build Number** option seven times until you see the message ‘You are now a developer!’ This enables **Developer options** on your device
	* Go to **Settings > System > Developer options**
	* Under **Developer options** enable **USB debugging**
2. Connect your Pixel phone to your computer via USB-C cable.
	* If device shows “Charging this device via USB” -> tap for more options and set to “File Transfer”
3. Click [here](https://developer.android.com/tools/releases/platform-tools#downloads) to download Android’s folder of Platform Tools to your computer, which includes the Android Debug Bridge (ADB) application.
4. After unzipping the downloaded folder, open your terminal / command prompt.
5. Within Terminal / Command prompt:
	* Change your working directory to the platform-tools directory you just extracted the tools to.
	* Type “./adb devices” (“adb devices” in Windows) and press the Enter key.
		+ If the result within Terminal lists your phone as “Unauthorized” – your Pixel phone is likely prompting you to allow USB debugging. Tap **Allow** and retry this step so that your phone is listed as “device” within Terminal.
	* Input the following commands in your Terminal, pressing the Enter key after each line:
		+ “./adb uninstall com.google.android.media.swcodec”
		+ “./adb uninstall com.google.android.media”
6. Disconnect your Pixel phone from your computer
7. Restart your Pixel phone (your device might disconnect from network, this is OK)
	* On Pixel 5a and earlier: Press your phone's Power button for about 30 seconds, or until your phone restarts
	* On Pixel 6 and later, including Fold: Press and hold the Power and Volume up buttons at the same time until your phone restarts
8. Return your phone and computer to their previous settings:
	* Turn off USB debugging
		+ Go to **Settings** and scroll to the System section (on Android 8 and above, go to **Settings > System**)
		+ Tap **Developer Options**.
		+ Tap the button to toggle developer options **Off**. USB Debugging is included in Developer Options
	* Stop adb:
		+ Type “./adb kill-server” in your Terminal window and press the Enter key. Exit the Terminal application.

The above fix requires having a Windows, Linux, or macOS computer available and a certain level of comfort or familiarity working with developer tools, so it's certainly not ideal for everyone.


Rightfully, some users complained that the fix was far too complicated. Others underlined that Google was too late to share a fix, noting that many impacted users have performed a factory reset by now.


![Comment](https://www.bleepstatic.com/images/news/u/1220909/2024/Android/user-comment.png)


Those still on the November 2023 Play Services update would be better off postponing the installation of the latest update, especially if they use multiple user profiles.


If you're already impacted and need extra help resolving the issue, it is recommended that you ask your questions in [Google's support forums](http://support.google.com/pixelphone/?visit_id=638423752659746705-1245130315&rd=1#topic=7078250).





## Tags:


### Autogenerated tags:
[[google]] [[android]] [[usb]] [[./adb]] [[adb]]
