# Google will remove secure website indicators in Chrome 117
## Google announced today that the lock icon, long thought to be a sign of website security and trustworthiness, will soon be changed with a new icon that doesn't imply that a site is secure or should be trusted.
## Information:

+ Link: https://www.bleepingcomputer.com/news/google/google-will-remove-secure-website-indicators-in-chrome-117/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 02 May 2023, 19:27
+ Date scraped: 02 May 2023, 20:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/03/24/Google-Chrome-headpic.jpg)



Google announced today that the lock icon, long thought to be a sign of website security and trustworthiness, will soon be changed with a new icon that doesn’t imply that a site is secure or should be trusted.


While first introduced to show that a website was using HTTPS encryption to encrypt connections, the lock symbol is no longer needed given that more than 99% of all web pages are now loaded in Google Chrome over HTTPS.


These also include websites used as landing pages in phishing attacks or other malicious purposes, designed to take advantage of the lock icon to trick the targets into thinking they're safe from attacks.


"This misunderstanding is not harmless — nearly all phishing sites use HTTPS, and therefore also display the lock icon," [Google said](https://blog.chromium.org/2023/05/an-update-on-lock-icon.html).


"Misunderstandings are so pervasive that many organizations, including [the FBI](https://www.ic3.gov/Media/Y2019/PSA190610), publish explicit guidance that the lock icon is not an indicator of website safety."


The lock icon will be changed in Chrome 117 with a "variant of the tune icon," a user interface element commonly linked to app settings and designed to show that it's a clickable item.



![New Google Chrome 'tune' icon](https://www.bleepstatic.com/images/news/u/1109292/2023/New_Chrome_tune_icon.jpg)*New Google Chrome 'tune' icon (BleepingComputer)*


However, it will not be removed entirely as Google will continue to show the lock in the 'tune' submenu when website connections are secure, as shown in the screenshot above.


This move was [first announced](https://www.bleepingcomputer.com/news/google/google-chrome-to-no-longer-show-secure-website-indicators/) almost two years ago, in August 2021, when the company revealed that secure website indicators are no longer needed and would be removed from Google Chrome's address bar since over 90% of connections are made over HTTPS.



![Percentage of pages loaded over HTTPS in Chrome](https://www.bleepstatic.com/images/news/u/1109292/2023/Percentage%20of%20pages%20loaded%20over%20HTTPS%20in%20Chrome%20by%20platform.png)*Percentage of pages loaded over HTTPS in Chrome (Google)*


​"When HTTPS was rare, the lock icon drew attention to the additional protections provided by HTTPS. Today, this is no longer true, and HTTPS is the norm, not the exception, and we've been evolving Chrome accordingly," Google [said](https://blog.chromium.org/2023/05/an-update-on-lock-icon.html).


"The new icon is scheduled to launch in Chrome 117, which releases in early September 2023, as part of a general design refresh for desktop platforms."


The lock icon will also be replaced in Google Chrome for Android in September, but it will be removed from iOS given that it cannot be tapped and it's only displayed to convey additional information about the loaded website.


It's worth noting that Google Chrome will continue to alert users of insecure plaintext HTTP connections on all platforms.


## How to test the new Chrome tune icon


Those who want to test the lock icon replacement can enable it in Chrome Canary using the following instructions.


1. Enter **chrome://flags** in the address bar and hit **ENTER**.
2. Search for '**chrome-refresh-2023**'
3. When the '**Chrome Refresh 2023**' flag is shown, click '**Default**' and select '**Enabled**.'
4. Relaunch the browser when prompted to get the refreshed Chrome Desktop user interface.

As Google warned today, this feature is still under active development, does not reflect the final product, and bugs are expected.





## Tags:


### Autogenerated tags:
[[google]] [[https]] [[website]]
