# Hacked corporate email accounts used to send MSP remote access tool
## MuddyWater hackers, a group associated with Iran's Ministry of Intelligence and Security (MOIS), used compromised corporate email accounts to deliver phishing messages to their targets.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hacked-corporate-email-accounts-used-to-send-msp-remote-access-tool/
+ Source: Bleeping Computer
+ Author: Ionut Ilascu
+ Date published: 08 December 2022, 21:19
+ Date scraped: 08 December 2022, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/07/03/Iran_ed.jpg)



MuddyWater hackers, a group associated with Iran’s Ministry of Intelligence and Security (MOIS), used compromised corporate email accounts to deliver phishing messages to their targets.


The group adopted the new tactic in a campaign that might have started in September but wasn’t observed until October and combined the use of a legitimate remote administration tool.


### From one MSP tool to another


MuddyWater has used legitimate remote administration tools for its hacking activities in the past. Researchers discovered campaigns from this group in 2020 and 2021 that relied on RemoteUtilities and ScreenConnect.


In another campaign in July, the hackers continued with this tactic but switched to Atera, as [highlighted by Simon Kenin](https://twitter.com/k3yp0d/status/1543883858294210560), a security researcher at Deep Instinct.


Deep Instinct researchers caught a new MuddyWater campaign in October that used [Syncro](https://syncromsp.com/integrated-msp-software/), a remote administration tool designed for managed service providers (MSPs).


Kenin notes in a report today that the initial infection vector is phishing sent from a legitimate corporate email account that the hackers compromised.



![MuddyWater campaign overview](https://www.bleepstatic.com/images/news/u/1100723/2022/MuddyWater-campaign_Oct2022_Syncro.png)**MuddyWater campaign overview**  
*source: Deep Instinct*


The researcher told BleepingComputer that while the official signature of the company was missing from the phishing message, victims still trusted the email since it came from a legitimate address belonging to a company they know.


Among the targets in this campaign are two Egyptian hosting companies, one of them breached to send out phishing emails. The other was the recipient of the malicious message.


“This is a known technique to build trust. The receiving end knows the company who sent the mail,” [Kenin explains](https://www.deepinstinct.com/blog/new-muddywater-threat-old-kitten-new-tricks) in a report today.


To lower the chance of getting detected by email security solutions, the attacker attached an HTML file containing the link to download the Syncro MSI installer.



“The attachment is not an archive or an executable which doesn’t raise the end-user suspicion because HTML is mostly overlooked in phishing awareness trainings and simulations” - Deep Instinct



The tool was hosted on Microsoft’s OneDrive file storage. A previous message sent from the compromised email account of the Egyptian hosting company stored the Syncro installer on Dropbox.


However, the researcher says that most Syncro installers used by MuddyWater are hosted on OneHub’s cloud storage, a service the actor used in the past for its hacking campaigns.


Syncro has been used by other threat actors such as [BatLoader](https://www.bleepingcomputer.com/news/security/seo-poisoning-pushes-malware-laced-zoom-teamviewer-visual-studio-installers/) and [LunaMoth](https://www.bleepingcomputer.com/news/security/new-luna-moth-hackers-breach-orgs-via-fake-subscription-renewals/). The tool has a trial version valid for 21 days that comes with the complete web interface and provides full control of a computer with the Syncro agent installed.


Once on the target system, the attackers can use it to deploy backdoors to establish persistence as well as steal data.


Other targets in this MuddyWater campaign include multiple insurance companies in Israel. The actor used the same tactic and delivered the emails from a hacked email account belonging to an entity in the Israeli hospitality industry.


Under the pretense of looking for insurance, the hackers added an HTML attachment with a link to the Syncro installer hosted on OneDrive.



![MuddyWater phishing email sent to insurance companies](https://www.bleepstatic.com/images/news/u/1100723/2022/MuddyWater-campaign_Nov2022_Syncro.png)**MuddyWater phishing email targeting insurance companies in Israel**  
*source: Deep Instinct*


Kenin observes that while the email was written in Hebrew, a native speaker could spot the red flags due to the poor choice of words.


MuddyWater’s tactics are not particularly sophisticated, yet show that freely available tools can be effective for hacking operations.


The actor is tracked by different names (Static Kitten, Cobalt Ulster, Mercury) and has been active since at least 2017.


It typically engages in espionage operations that target both public and private organizations (telcos, local governments, defense, oil and gas companies) in the Middle East, Asia, Europe, North America, and Africa.





## Tags:


### Autogenerated tags:
[[muddywater]] [[syncro]] [[phishing]] [[kenin]] [[html]]
