# Hands on with Windows 11's new modern File Explorer
## With the introduction of Windows 11 23H2, Microsoft has modernized File Explorer on Windows 11, bringing a fresher look and feel to the system's integral file management tool.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/hands-on-with-windows-11s-new-modern-file-explorer/
+ Source: Bleeping Computer
+ Author: Mayank Parmar
+ Date published: 07 August 2023, 13:11
+ Date scraped: 07 August 2023, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/08/07/windows-11-laptop.jpg)



With the introduction of Windows 11 23H2, Microsoft has modernized File Explorer on Windows 11, bringing a fresher look and feel to the system's integral file management tool.


This update is not only visually pleasing but also comes with enhanced features and functions aimed at boosting productivity and making navigation simpler.


Among the new enhancements, the redesigned File Explorer now features a modern home page powered by WinUI, which integrates the [Fluent Design System](https://fluent2.microsoft.design/) into all controls and styles.



![The modern Windows 11File Explorer](https://www.bleepstatic.com/images/news/u/1097497/Windows%2011/New%20File%20Explorer%20hands.gif)**The modern Windows 11File Explorer**  
*Source: BleepingComputer*


For those logged into Windows using an Azure Active Directory (AAD) account, recommended files will appear in a carousel with the soon-to-be-introduced support for file thumbnails.


Quick Access folders, Favorites, and Recent sections also get a visual overhaul, providing a seamless, contemporary user experience.


The new File Explorer has an updated address bar that can distinguish between local and cloud folders, displaying built-in status. Particularly for OneDrive users, the address bar will also indicate your OneDrive sync status and provide a flyout for your quota.


Another exciting introduction is the modernized details pane (accessed by ALT + Shift + P). This pane offers a variety of contextual information about selected files, including file thumbnails, share status, file activity, related files and emails, and more.


This new feature enhances the user's ability to manage and collaborate on files without opening them


## A new Gallery View


Microsoft is also introducing the Gallery, a new feature in File Explorer designed to simplify access to your photo collection. The photos displayed in the Gallery are the same ones you'd see in the 'All Photos' view of the Photos app.



![New File Explorer Gallery view](https://www.bleepstatic.com/images/news/u/1097497/Windows%2011/Explorer-gallery.jpg)**New File Explorer Gallery view**  
*Source: BleepingComputer*


The new gallery is optimized to showcase your most recent photos, and if you have the OneDrive Camera Roll Backup set up, photos you take will automatically appear at the top of the view.


Users can choose which folders appear in the Gallery and can even add subfolders to filter specific content.


Overall, the modernized File Explorer on Windows 11 breathes new life into a tool that is central to users' daily interactions with their computers.


From smart address bars to detailed file insights and easy photo access, the update greatly enhances user experience, making file management easier and more efficient.


If you want to test the new File Explorer yourself, you can install the Windows Insider Beta, Dev, and Canary preview builds.





## Tags:


### Autogenerated tags:
[[windows]] [[onedrive]]
