# How to bypass the Windows 11 TPM 2.0 requirement
## Microsoft now requires a computer to have a TPM 2.0 module to install Windows 11. However, new Registry entries have been discovered that allow you to bypass the TPM requirement and minimum memory and secure boot requirements.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/how-to-bypass-the-windows-11-tpm-20-requirement/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 02 July 2021, 11:22
+ Date scraped: 12 December 2023, 10:53

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/15/Windows_11.jpg)



Microsoft now requires a computer to have a TPM 2.0 module to install Windows 11. However, new Registry entries have been discovered that allow you to bypass the TPM requirement and minimum memory and secure boot requirements.


With Windows 11, Microsoft added new [minimum system requirements](https://www.bleepingcomputer.com/news/microsoft/microsoft-publishes-the-windows-11-system-requirements/) that all devices [need to have a TPM 2.0 security processor](https://www.bleepingcomputer.com/news/microsoft/windows-11-wont-work-without-a-tpm-what-you-need-to-know/) to power some of the operating system's security features.


"The following Windows features require TPM 2.0: Measured Boot, Device Encryption, WD System Guard, Device Health Attestation, Windows Hello/Hello for Business, TPM Platform Crypto Provider Key Storage, SecureBIO, DRTM, vTPM in Hyper-V," Microsoft told BleepingComputer.


For most people running CPUs created in the past 5-6 years, a firmware-based TPM (fTPM) is built into the CPU and can be enabled in the BIOS.


To enable the fTPM, simply boot your computer into the BIOS and enable the Intel Platform Trust Technology (Intel PTT) or the AMD Platform Security Processor, depending on your CPU.


For those who do not have this feature, you may be able to install a discrete TPM 2.0 processor on the motherboard. However, if your processor is old enough that it does not have one built-in fTPM, your motherboard's module will likely be TPM 1.2, which is not compatible with Windows 11.


This requirement is frustrating for users running Windows 10 on older equipment, as now they are being forced to purchase new hardware to install Windows 11.


Furthermore, as Microsoft has [stated in documentation](https://download.microsoft.com/download/7/8/8/788bf5ab-0751-4928-a22c-dffdc23c27f2/Minimum%20Hardware%20Requirements%20for%20Windows%2011.pdf) that OEMs can get permission to disable the TPM requirement in Windows 11 for their devices, the question becomes: Do you really need a TPM 2.0 processor to use Windows 11?


How to bypass the TPM requirement in Windows 11
-----------------------------------------------


If you are attempting to install Windows 11 and receive a message stating, "This PC can't run Windows 11," it is likely that you do not have a TPM 2.0 installed or enabled.


The good news is that Microsoft includes a new 'LabConfig' registry key that allows you to configure settings to bypass the TPM 2.0, the 4GB memory, and Secure Boot requirements.


Based on the name of this registry key, it is likely used by Microsoft or OEMs to set up a "lab" environment to test the Windows 11 on older equipment or when testing new features.


To bypass the TPM 2.0 requirements when installing Windows 11, please follow these steps:


1. Install Windows 11 via an ISO or the Windows 11 Insider Program. While installing Windows 11, if your computer does not meet the hardware requirements, you will see a message stating, "This PC can't run Windows 11."

![Windows 11 setup blocked due to missing hardware requirements](https://www.bleepstatic.com/images/news/Microsoft/windows-11/t/tpm-bypass/cant-run-windows-11.jpg)**Windows 11 setup blocked due to missing hardware requirements**
2. When you see the above message, press **Shift+F10** on your keyboard at the same time to launch a command prompt.  At this command prompt, type **regedit** and press **enter** to launch the Windows Registry Editor.

![Opening command prompt in Windows Setup](https://www.bleepstatic.com/images/news/Microsoft/windows-11/t/tpm-bypass/command-prompt.jpg)**Opening command prompt in Windows Setup**
3. When the Registry Editor opens, navigate to **HKEY\_LOCAL\_MACHINE\SYSTEM\Setup**, right-click on the **Setup** key and select **New** > **Key**.  
  

When prompted to name the key, enter **LabConfig** and press **enter**.  
  

Now right-click on the **LabConfig** key and select **New** > **DWORD  (32-bit) value** and create a value named **BypassTPMCheck**,and set its data to **1**. Now create the **BypassRAMCheck** and **BypassSecureBootCheck** values and set their data to **1** as well, so it looks like the following image.

![Configuring the Registry to bypass hardware requirements](https://www.bleepstatic.com/images/news/Microsoft/windows-11/t/tpm-bypass/registry-keys.jpg)**Configuring the Registry to bypass hardware requirements**
4. Once you configure those three values under the LabConfig key, close the Registry Editor, and then type **exit** in the Command Prompt followed by **enter** to close the window.
5. You will now be back at the message stating that the PC can't run Windows 11. Click on the back button in the Windows Setup dialog, as shown below.

![Press the back button in Windows setup](https://www.bleepstatic.com/images/news/Microsoft/windows-11/t/tpm-bypass/back-button.jpg)**Press the back button in Windows setup**
6. You will now be back at the screen prompting you to select the version of Windows 11 you wish to install. You can now continue with the setup, and the hardware requirements will be bypassed, allowing you to install Windows 11.

![Hardware requirements are now bypassed](https://www.bleepstatic.com/images/news/Microsoft/windows-11/t/tpm-bypass/can-now-continue.jpg)**Hardware requirements are now bypassed**

It is important to note that disabling these features could affect the performance or stability of Windows 11, so be sure to only use them on a virtual machine or test box that are you are ok with working in an unsupported environment.


Furthermore, by disabling the TPM 2.0 requirement, you are effectively reducing the security in Windows 11.


Finally, running Windows 11 on anything less than 4GB will not be an optimal experience and is not recommended.


*H/T [Albacore](https://twitter.com/thebookisclosed)*





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[ftpm]] [[labconfig]]
