# How to download a Windows 11 23H2 ISO from Microsoft
## Microsoft released Windows 11 23H2, the Windows 11 2023 Update, today, and you can now download an ISO image for the new version to put aside for emergencies or clean installs.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/how-to-download-a-windows-11-23h2-iso-from-microsoft/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 31 October 2023, 15:12
+ Date scraped: 31 October 2023, 20:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/13/Windows_11.jpg)



Microsoft released Windows 11 23H2, the Windows 11 2023 Update, today, and you can now download an ISO image for the new version to put aside for emergencies or clean installs.


Windows 11 23H2 was expected to be a feature-rich update, but all of the expected features were already released as part of a [recent Windows 11 22H2 'Moment 4' update](https://www.bleepingcomputer.com/news/microsoft/windows-11-moment-4-update-released-here-are-the-many-new-features/).


These new features are also available in the [newly released Windows 11 23H2](https://www.bleepingcomputer.com/news/microsoft/microsoft-releases-windows-11-23h2-as-an-enablement-package/), which can now be installed via Windows Update as a small enablement package.


However, if you plan on upgrading to the new version of Windows 11, it is recommended to download an ISO to troubleshoot problems or perform clean installs of Windows.


Why Windows ISO images are important
------------------------------------


An ISO image is a sector-by-sector copy of a DVD stored in a single file. As this file is a replica of the original media, it can then be written (burned) to another DVD or USB key in the exact same way it was created, making it very useful for installation media.


Using ISOs allows you to create backups of DVD and bootable media in the event that you lose the original media and need to recreate it.


ISO images can also be [mounted as a drive letter in Windows](https://www.bleepingcomputer.com/tutorials/mount-an-iso-image-in-windows/) by double-clicking on the file or extracted by programs like [7-Zip](https://www.7-zip.org/) to access the files within them.


ISO images are commonly used to are particularly handy for performing "clean" installations of Windows, which is a fresh install of the operating system without any of your previously installed programs, data, or configuration settings.


Finally, ISO images can be used to create bootable USB drives that can be used to access the Windows Recovery Environment if Windows does not boot properly, diagnose crashes, or remove a particularly stubborn malware infection.



![Windows 11 recovery environment](https://www.bleepstatic.com/images/news/Microsoft/windows-11/windows-11-recovery-environment.jpg)**Windows 11 recovery environment**


Due to this, it is recommended that all users download the latest Windows 11 ISO as new feature updates are released.


How to download a Windows 11 23H2 ISO from Microsoft
----------------------------------------------------


Microsoft allows you to get a Windows 11 23H2 ISO using two methods that are both good useful on what you need.


### Method 1: Manually download the Windows 11 23H2 ISO


The first method is simply to go to [Microsoft's Download Windows 11 page](https://www.microsoft.com/software-download/windows11), scroll down to the bottom of the page, and manually download the offered ISO file.


At this time, the Windows 11 23H2 ISO is 6.7 GB, which may take some time to download.


Once downloaded you can then double-click on the ISO to mount it as a drive letter in Windows or burn it to a [DVD that can support the 6.7 GB file size](https://amzn.to/47eEqxW).


Windows 10 and later includes the ability to right-click on the ISO and select Burn Image to burn the media to a DVD.



![Windows 10 Burn Image prompt](https://www.bleepstatic.com/images/news/Microsoft/windows-11/windows-10-burn-image.jpg)**Windows 10 Burn Image prompt**  
*Source: BleepingComputer*


### **Option 2: Use the Windows 11 Media Creation Tool**


The second, and likely the most straightforward method, is to use the Media Creation Tool (MCT) to create the ISO.


However, this takes longer as the tool needs to download files and convert them into an ISO.


To download the Windows 11 23H2 ISO using the Media Creation Tool, please follow these steps:


1. Visit the [Windows 11 download page](https://www.microsoft.com/software-download/windows11) using your web browser.
2. Under 'Create Windows 11 installation media,' click on the '**Download tool now**' link and save the offered 'Windows11InstallationAssistant.exe' executable.
3. Once downloaded, run the Windows11InstallationAssistant.exe, and Windows will prompt you for permission to allow it to run. Click **Yes,** and the Media Creation Tool will prepare a few things before it can proceed.
4. When done, the MCT will show you a license agreement. To continue, click on the **Accept** button.
![MCT: Getting things ready](https://www.bleepstatic.com/images/news/Microsoft/windows-11/i/iso/windows-11-23h2/Windows-11-media-creation-tool.jpg)
5. The tool will now state it is 'Getting a few things ready,' and when done, ask you what language and Windows 11 edition you would like to download. BleepingComputer suggests you leave the recommended settings and click on the **Next** button.
![What do you want to do?](https://www.bleepstatic.com/images/news/Microsoft/windows-11/i/iso/windows-11-23h2/select-language-edition.jpg)
6. You will now be prompted to select the media you wish to create bootable Windows 11 installation media.  
  

On most modern computers, it will be easier to burn the ISO to a bootable USB drive that can be used to boot your computer. You are also offered the option to create and download an ISO to be burned later.
![Select media to burn ISO](https://www.bleepstatic.com/images/news/Microsoft/windows-11/i/iso/windows-11-23h2/select-media.jpg)


After selecting the media you wish to use, click on the **Next** button.
7. If you selected the USB bootable media option, you will now be asked to select the USB drive to use. If you selected to create an ISO file, you will be prompted for a folder and filename to save the ISO.  
  

When done, press the **Next** button.
8. The Media Creation Tool will now download and verify the necessary files to create an ISO or a bootable USB drive. This process can take some time, so please be patient.
9. When done, the MCT will display a message stating that the ISO has been downloaded or the bootable USB media has been created.  
  

When done, click the **Finish**button to close the program and clean up the downloaded files.
![Media Creation Tool finished](https://www.bleepstatic.com/images/news/Microsoft/windows-11/i/iso/windows-11-23h2/USB-drive-ready.jpg)

You will now have the latest Windows 11 23H2 ISO image file saved to the selected folder or created into bootable USB media, which can be used to perform a clean install or boot virtual machines.





## Tags:


### Autogenerated tags:
[[windows]] [[23h2]] [[usb]] [[dvd]] [[microsoft]] [[mct]]
