# Kali Linux 2022.4 adds 6 new tools, Azure images, and desktop updates
## Offensive Security has released ​Kali Linux 2022.4, the fourth and final version of 2022, with new Azure and QEMU images, six new tools, and improved desktop experiences.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/kali-linux-20224-adds-6-new-tools-azure-images-and-desktop-updates/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 06 December 2022, 21:43
+ Date scraped: 06 December 2022, 23:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/11/kali-linux.jpg)



Offensive Security has released ​Kali Linux 2022.4, the fourth and final version of 2022, with new Azure and QEMU images, six new tools, and improved desktop experiences.


Kali Linux is a distribution designed for ethical hackers to perform penetration testing, security audits, and cybersecurity research against networks.


With this release, the Kali Linux Team introduces a variety of new features, including:


* Kali Linux distro is back on Microsoft Azure
* Six new ~~toys~~ tools.
* Release of Kali NetHunter Pro
* Gnome and KDE Plasma desktop updates
* Enhanced ARM support

Offensive Security decided to release Kali Linux 2022.4 in conjunction with the Black Hat, BSides LV, and DefCon security conference as a "nice surprise for everyone to enjoy!"


With this release, Kali Linux is using Linux Kernel 5.18.5. However, Raspberry Pi releases are using version 5.15.



## Kali Linux images for Azure, QEMU


Kali Linux is now available in the [Azure Marketplace](https://azuremarketplace.microsoft.com/en-us/marketplace/apps/kali-linux.kali?tab=Overview), allowing you to deploy the image and perform penetration testing from the cloud.


In reality, Kali Linux 2022.3 made it to Azure first, with the team [tweeting its addition](https://twitter.com/kalilinux/status/1564691130737987588) on August 30th, after 2022.3 was already released.


The Kali Team is also now offering a [pre-built image for QEMU](https://www.kali.org/get-kali/#kali-virtual-machines:~:text=sum-,Qemu,-torrent)


"We are now including a **QEMU** image with our [pre-generated images](https://www.kali.org/get-kali/). We hope this makes it easier for the people who use self-hosted Proxmox Virtual Environments (VE), [virt-manager](https://pkg.kali.org/pkg/virt-manager), or [libvirt](https://pkg.kali.org/pkg/libvirt)," announced the Kali Team.


## Six new tools added in Kali Linux 2022.4


It's never a new Kali Linux release without new tools to play with.


This release adds six new tools, including Windows NTLM relay tools, a Windows privilege elevation tool, and a driver for [Hak5's WiFi Coconut](https://shop.hak5.org/products/wifi-coconut).


Below are the six new tools added in Kali 2022.4:


* [bloodhound.py](https://www.kali.org/tools/bloodhound.py/) - A Python based ingestor for BloodHound
* [certipy](https://www.kali.org/tools/certipy-ad/) - Tool for Active Directory Certificate Services enumeration and abuse
* [hak5-wifi-coconut](https://www.kali.org/tools/hak5-wifi-coconut/) - A user-space driver for USB Wi-Fi NICs and the Hak5 Wi-Fi Coconut
* [ldapdomaindump](https://www.kali.org/tools/python-ldapdomaindump/) - Active Directory information dumper via LDAP
* [peass-ng](https://www.kali.org/tools/peass-ng/) - Privilege escalation tools for Windows and Linux/Unix\* and MacOS.
* [rizin-cutter](https://www.kali.org/tools/rizin-cutter/) - reverse engineering platform powered by rizin

## GNOME and KDE Plasma desktop updates


This release brings numerous desktop updates, including GNOME 43 with a new GTK3 theme, shown below.



![New GNOME 43 Kali Linux theme](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2022.4/kali-theme.jpg)**New GNOME 43 Kali Linux theme**  
*Source: Kali*


KDE Plasma has also been updated to version 5.26, with tweaks to various widgets.


## Kali NetHunter updates


Kali Nethunter Pro has been officially released, with images available for PinePhone and PinePhonePro.


"The launch of Kali NetHunter Pro is the beginning of a new chapter for Kali Linux and NetHunter, a bare metal installation of Kali Linux with Phosh desktop environment, optimized for mobile devices."


"First of all we make available SD card images for the PinePhone and the PinePhone Pro to dual boot alongside the main OS. Soon we will release alternative versions with Plasma Mobile as well as installers so you can install Kali NetHunter Pro onto the internal flash memory," reads the Kali Linux 2022.4 [announcement](https://www.kali.org/blog/kali-linux-2022-4-release/).


In addition to NetHunter Pro officially being released, Kali Nethunter has also received improvements.


With this release, NetHunter now has internal Bluetooth support, improved Wardriving, audio support for Kex, and fixes for crashes on Android 11 and Android 12.


## How to get Kali Linux 2022.4


To start using Kali Linux 2022.4, you can upgrade your existing installation, [select a platform](https://www.kali.org/get-kali/), or [directly download ISO images](https://cdimage.kali.org/kali-2022.3/) for new installs and live distributions.


For those updating from a previous version, you can use the following commands to upgrade to the latest version.



```
echo "deb http://http.kali.org/kali kali-rolling main non-free contrib" | sudo tee /etc/apt/sources.list

sudo apt update && sudo apt -y full-upgrade

cp -rbi /etc/skel/. ~

[ -f /var/run/reboot-required ] && sudo reboot -f
```

If you are running Kali on the Windows Subsystem for Linux, make sure to upgrade to WSL2 for a better experience, including support for graphical apps.


You can check the WSL version Kali uses with the 'wsl -l -v' command in a Windows command prompt.


Once you are done upgrading, you can check if the upgrade was successful by using the following command:



```
grep VERSION /etc/os-release
```


![Checking version of Kali Linux](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2022.4/kali-wsl-2022_4.jpg)**Checking version of Kali Linux**  
*Source: BleepingComputer*


While we only shared the highlighted improvements in Kali 2022.4, you can view the [complete changelog](https://www.kali.org/blog/kali-linux-2022-4-release/#new-tools-in-kali) at Kali's website.





## Tags:
***urls***: http://http.kali.org/kali

### Autogenerated tags:
[[linux]] [[nethunter]] [[windows]] [[qemu]] [[sudo]] [[kde]] [[pinephone]]
