# Kimsuky hackers use new recon tool to find security gaps
## The North Korean Kimsuky hacking group has been observed employing a new version of its reconnaissance malware, now called 'ReconShark,' in a cyberespionage campaign with a global reach.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/kimsuky-hackers-use-new-recon-tool-to-find-security-gaps/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 04 May 2023, 17:40
+ Date scraped: 04 May 2023, 22:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/09/29/North_Korea_hacker.jpg)



The North Korean Kimsuky hacking group has been observed employing a new version of its reconnaissance malware, now called 'ReconShark,' in a cyberespionage campaign with a global reach.


Sentinel Labs reports that the threat actor has expanded its targeting scope, now targeting government organizations, research centers, universities, and think tanks in the United States, Europe, and Asia.


In March 2023, South Korean and German authorities [warned](https://www.bleepingcomputer.com/news/security/north-korean-hackers-using-chrome-extensions-to-steal-gmail-emails/) that Kimsuky, also known as Thallium and Velvet Chollima, began spreading malicious Chrome extensions that targeted Gmail accounts and an Android spyware that served as a remote access trojan.


Previously, in August 2022, Kaspersky revealed another Kimsuky campaign targeting politicians, diplomats, university professors, and journalists in South Korea using a multi-stage [target validation scheme](https://www.bleepingcomputer.com/news/security/how-kimsuky-hackers-ensure-their-malware-only-reach-valid-targets/) that ensured only valid targets would be infected with malicious payloads.


## Phishing attack


After [Microsoft disabled macros by default](https://www.bleepingcomputer.com/news/microsoft/microsoft-starts-blocking-office-macros-by-default-once-again/) on downloaded Office documents, most threat actors switched to new file types in phishing attacks, such as [ISO files](https://www.bleepingcomputer.com/news/security/uptick-seen-in-iso-email-attachments-delivering-malware/) and, more recently, [OneNote documents](https://www.bleepingcomputer.com/news/security/hackers-now-use-microsoft-onenote-attachments-to-spread-malware/).


"The attackers are likely looking for easy wins against outdated versions of Office or simply users enabling macros," Tom Hegel, Sr. Threat Researcher at SentinelLabs, told BleepingComputer.


"Kimsuky is not being too innovative here -- especially since they are still evolving the BabyShark malware family."



![The malicious document used in a Kimsuky attack](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/26/malicious-doc.jpg)**The malicious document used in a Kimsuky attack** *(Sentinel Labs)*


After [Microsoft disabled macros by default](https://www.bleepingcomputer.com/news/microsoft/microsoft-starts-blocking-office-macros-by-default-once-again/) on downloaded Office documents, most threat actors switched to new file types for phishing attacks, such as [ISO files](https://www.bleepingcomputer.com/news/security/uptick-seen-in-iso-email-attachments-delivering-malware/), and more recently, [OneNote documents](https://www.bleepingcomputer.com/news/security/hackers-now-use-microsoft-onenote-attachments-to-spread-malware/).


"The attackers are likely looking for easy wins against outdated versions of Office or simply users enabling macros," Tom Hegel, Sr. Threat Researcher at SentinelLabs, told BleepingComputer.


"Kimsuky is not being too innovative here -- especially since they are still evolving the BabyShark malware family."


## ReconShark


ReconShark is considered by Sentinel Labs analysts an evolution of Kimsuky's 'BabyShark' malware, which was [also seen deployed by APT43](https://www.bleepingcomputer.com/news/security/newly-exposed-apt43-hacking-group-targeting-us-orgs-since-2018/), an overlapping North Korean cyberespionage group targeting U.S. organizations.


ReconShark abuses WMI to collect information about the infected system, like the running processes, battery data, etc.


It also checks if security software runs on the machine, with Sentinel Labs mentioning specific checks for Kaspersky, Malwarebytes, Trend Micro, and Norton Security products.



![Checking for security tool processes](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/26/sec-soft.jpg)**Checking for security tool processes** *(Sentinel Labs)*


The exfiltration of the reconnaissance data is direct, with the malware sending everything to the C2 server via HTTP POST requests without storing anything locally.


"The ability of ReconShark to exfiltrate valuable information, such as deployed detection mechanisms and hardware information, indicates that ReconShark is part of a Kimsuky-orchestrated reconnaissance operation that enables subsequent precision attacks, possibly involving malware specifically tailored to evade defenses and exploit platform weaknesses," warned SentinelOne.


Another capability of ReconShark is to fetch additional payloads from the C2, which can give Kimsuky a better foothold on the infected system.


"In addition to exfiltrating information, ReconShark deploys further payloads in a multi-stage manner that are implemented as scripts (VBS, HTA, and Windows Batch), macro-enabled Microsoft Office templates, or Windows DLL files," reads the [Sentinel Labs report](https://www.sentinelone.com/labs/kimsuky-evolves-reconnaissance-capabilities-in-new-global-campaign/).


"ReconShark decides what payloads to deploy depending on what detection mechanism processes run on infected machines."


The payload deployment stage involves editing Windows shortcut files (LNK) associated with popular applications like Chrome, Outlook, Firefox, or Edge to execute the malware when the user launches one of those apps.



![ReconShark edits shortcut files](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/26/edit-lnk.jpg)**ReconShark edits shortcut files** *(Sentinel Labs)*


An alternative method is to replace the default Microsoft Office template, Normal.dotm, with a malicious version hosted on the C2 server to load malicious code whenever the user launches Microsoft Word.



![Loading a malicious Office template](https://www.bleepstatic.com/images/news/u/1220909/2023/APTs/26/off-temp.jpg)**Loading a malicious Office template** *(Sentinel Labs)*


Both techniques offer a stealthy way to infiltrate deeper into the targeted system, maintain persistence, and execute additional payloads or commands as part of the threat actor's multi-stage attack.


Kimsuky's level of sophistication and shape-shifting tactics call for heightened vigilance and blurring the line that separates its operation from other North Korean groups that conduct broader campaigns.





## Tags:


### Autogenerated tags:
[[kimsuky]] [[reconshark]] [[malware]] [[microsoft]] [[multi-stage]] [[phishing]] [[c2]] [[windows]]
