# LastPass breach linked to theft of $4.4 million in crypto
## Hackers have stolen $4.4 million in cryptocurrency on October 25th using private keys and passphrases stored in stolen LastPass databases, according to research by crypto fraud researchers who have been researching similar incidents.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/lastpass-breach-linked-to-theft-of-44-million-in-crypto/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 30 October 2023, 18:46
+ Date scraped: 30 October 2023, 23:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/06/10/cryptocurrency-header.jpg)



Hackers have stolen $4.4 million in cryptocurrency on October 25th using private keys and passphrases stored in stolen LastPass databases, according to research by crypto fraud researchers who have been researching similar incidents.


The news comes from [ZachXBT](https://twitter.com/zachxbt) and MetaMask developer [Taylor Monahan](https://twitter.com/tayvano_), who have been tracking these crypto thefts.


"We regularly have people reach out via DM who have had their crypto assets stolen. We also approach victims we discover on-chain," ZachXBT told BleepingComputer.


"We ask potential LastPass victims multiple questions and typically have found one commonality between them all being LastPass."


According to a tweet by ZachXBT on X, the threat actors stole $4.4 million from 25+ victims due to a LastPass breach in 2022.


[![ZachXBT tweet](https://www.bleepstatic.com/images/news/cryptocurrency/attacks/lastpass-leak-theft/crypto-theft-lastpass.jpg)](https://twitter.com/zachxbt/status/1717901088521687330)


The LastPass breach
-------------------


In 2022, LastPass suffered two breaches that ultimately allowed threat actors to [steal source code](https://www.bleepingcomputer.com/news/security/lastpass-developer-systems-hacked-to-steal-source-code/), [customer data](https://www.bleepingcomputer.com/news/security/lastpass-says-hackers-accessed-customer-data-in-new-breach/), and production backups stored in cloud services that included encrypted password vaults.


At the time, LastPass CEO Karim Toubba said that while the encrypted vaults were stolen, only customers knew the master password required to decrypt them.


Therefore, if you were following [password best practices](https://support.lastpass.com/help/what-is-the-lastpass-master-password-lp070014#:~:text=We%20recommend%20using,%3A) recommended by LastPass, your vaults should be safe.


However, LastPass warned that for those using weaker passwords, it was advised to reset the master password.


"Depending on the length and complexity of your master password and iteration count setting, you may want to reset your master password," reads a [LastPass support bulletin](https://support.lastpass.com/s/document-item?language=en_US&bundleId=lastpass&topicId=LastPass/security-bulletin-recommended-actions-free-premium-families.html&_LANG=enus) about the cyberattack.


This suggestion was given because a weaker password can more easily be cracked using specialized programs that utilize a GPU to brute force easy-to-crack passwords.


According to research [conducted by Monahan](https://twitter.com/tayvano_/status/1648187031468781568) and ZachXBT, it is believed that the threat actors are cracking these stolen password vaults to gain access to stored cryptocurrency wallet passphrases, credentials, and private keys.


Once they gain access to this information, they can load the wallets onto their own devices and drain them of all funds.


According to a [report by Brian Krebs](https://krebsonsecurity.com/2023/09/experts-fear-crooks-are-cracking-keys-stolen-in-lastpass-breach/) on this research, Monahan and other researchers have generated a unique signature that links the theft of over $35 million to the same threat actors.


"At this point I'm also confident in saying that, in most of these cases, the compromised keys were stolen from LastPass," [tweeted Monahan](https://twitter.com/tayvano_/status/1696222671699329271) in August.


"The number of victims who only had the specific group of seeds/keys that were drained stored in LastPass is simply too much to ignore."


It is becoming increasingly clear that the threat actors behind the LastPass attack have successfully cracked the passwords for vaults and are using the stolen information to fuel their own attacks.


Therefore, if you are a LastPass user who had an account during the August and December 2022 breaches, it is strongly suggested that you reset all of your passwords, including your password.





## Tags:


### Autogenerated tags:
[[lastpass]] [[zachxbt]] [[monahan]]
