# Latest Adblock update causes massive YouTube performance hit
## Adblock and Adblock Plus users report performance issues on YouTube, initially blamed on Google but later determined to be an issue in the popular ad-blocking extension.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/latest-adblock-update-causes-massive-youtube-performance-hit/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 15 January 2024, 11:16
+ Date scraped: 15 January 2024, 17:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/05/10/YouTube.jpeg)



Adblock and Adblock Plus users report performance issues on YouTube, initially blamed on Google but later determined to be an issue in the popular ad-blocking extension.


Adblock and Adblock Plus are two ad blockers created by the same developer for the Chrome/Edge browsers and have 113 million active users, according to figures reported on the Chrome Web Store.


A post [on Reddit](https://www.reddit.com/r/youtube/comments/195octe/youtube_started_slowing_video_buffer_with_adblock/) over the weekend claimed that Google had begun to slow the buffering of videos when an ad blocker was installed, causing video loading times, thumbnail previews, full-screen video transitions, and even scrolling to be significantly slower.


Some even reported that their Chrome browser was so stressed during the YouTube video playback that it impacted the performance of the entire operating system.


BleepingComputer confirmed the issues after installing the Adblock Chrome extension, which caused YouTube to become very slow, making the site hard to navigate and for videos to load very slowly.



![YouTube videos buffering slowly with AdBlock installed](https://www.bleepstatic.com/images/news/software/a/adblock-youtube/youtube-loading-slowly.gif)**YouTube videos buffering slowly with Adblock installed**  
*Source: BleepingComputer*


Confused about the cause of the performance degradation, many users assumed they were having internet speed problems or memory leak issues.


However, it soon became evident that the problems specifically impacted users with active Adblock and Adblock Plus ad-blocking extensions. Some media reported that YouTube Premium subscribers did not report encountering any performance issues, further obscuring the source of the problem.


Due to Google's [previous experimentation](https://www.bleepingcomputer.com/news/technology/youtube-tests-blocking-videos-unless-you-disable-ad-blockers/) with aggressive [ad-blocker restrictions](https://www.bleepingcomputer.com/news/technology/youtube-tests-restricting-ad-blocker-users-to-3-video-views/), many assumed that YouTube was purposefully throttling performance for users with active ad-blocking tools in certain regions.


However, uBlock Origin, another popular ad-blocking extension for Chrome, isn't impacted.


Problem with Adblock extension
------------------------------


An [issue](https://www.reddit.com/r/youtube/comments/195octe/youtube_started_slowing_video_buffer_with_adblock/) opened on the Adblock project's GitLab page suggests that the performance problems are caused by version 1.1.1 of the extension engine, introduced in Adblock version 5.17 and Adblock Plus 3.22, which was released last week.


uBlock Origin developer Raymond Hill [explained on X](https://twitter.com/gorhill/status/1746263759495077919) that the issues were not caused by a change in Google's code but by the Adblock extensions themselves.


Using browser profiler tools, he identified that the cause of the severe performance issues was the time consumed by the content script code of Adblock Plus on the YouTube webpage.


"I investigated a bit the performance regressions, and the cause is many distinct code paths, and affect many sites, those for which the problematic code paths are triggered," explained Hill.



![Adblock script showing abhorrent performance even on Firefox](https://www.bleepstatic.com/images/news/u/1220909/2024/Software/profiler.jpg)**Adblock script showing abhorrent performance even on Firefox** ([@gorhill](https://twitter.com/gorhill/status/1746543688975581604))


Hill also notes that these performance issues are not exclusive to YouTube and may also impact other sites, especially those with dynamically updating pages.


Disabling Adblock Plus or Adblock is not enough to resolve the performance issues. Hill explains that you first need to reload the web pages a few times or open them in new tabs for the extension to be fully disabled.


However, in BleepingComputer's tests, once we disabled Adblock and refreshed the pages, YouTube once again loaded videos quickly, even with uBlock Origin enabled.


The Adblock developers are aware of the performance issues and are investigating them. However, they state that they can't reproduce the problem and request users provide feedback so they can determine the cause.


"Thanks for spotting that problem and for reporting it to us. We’re slowly getting similar reports from a few other users, so it does appear to be some problem with one of the changes included in version 3.22," reads [a comment](https://blog.adblockplus.org/releases/adblock-plus-322-for-chrome-firefox-microsoft-edge-and-opera#Comment:~:text=that%20you%20do.-,Reply%20from%20Thomas%20Greiner%3A,-Thanks%20for%20spotting) from Adblock team.


"Unfortunately, we aren’t able to reproduce the problem ourselves yet, but we’ve created https://gitlab.com/Adblockinc/ext/Adblockplus/Adblockplusui/-/issues/1576 to keep track of it to help us find the problem and develop a fix for it."


"In general, any additional information on this could be helpful, so I’d suggest contacting support@Adblockplus.org, if you’d like to help us with that."


BleepingComputer has contacted Adblock and Google with questions about the situation, but neither has responded by publication time.





## Tags:
***email-adresses***: contactingsupport@adblockplus.org
***urls***: https://gitlab.com/Adblockinc/ext/Adblockplus/Adblockplusui/-/issues/1576

### Autogenerated tags:
[[adblock]] [[youtube]] [[google]] [[ad-blocking]] [[bleepingcomputer]] [[ublock]]
