# MailChimp discloses new breach after employees got hacked
## Email marketing firm MailChimp suffered another breach after hackers accessed an internal customer support and account administration tool, allowing the threat actors to access the data of 133 customers.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/mailchimp-discloses-new-breach-after-employees-got-hacked/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 18 January 2023, 21:11
+ Date scraped: 18 January 2023, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/01/18/mailchimp-mobile-header.jpg)



Email marketing firm MailChimp suffered another breach after hackers accessed an internal customer support and account administration tool, allowing the threat actors to access the data of 133 customers.


MailChimp says the attackers gained access to employee credentials after conducting a social engineering attack on Mailchimp employees and contractors.


The attack was first detected on January 11th, after MailChimp detected the unauthorized person accessing their support tools.


"After we identified evidence of an unauthorized actor, we temporarily suspended account access for Mailchimp accounts where we detected suspicious activity to protect our users’ data," reads [a statement](https://mailchimp.com/january-2023-security-incident/) about the security incident.


"We notified the primary contacts for all affected accounts on January 12, less than 24 hours after initial discovery."


As first reported by [TechCrunch](https://techcrunch.com/2023/01/18/mailchimp-hacked/), one of the customers affected by this breach is the massively popular WooCommerce eCommerce plugin for WordPress.


WooCommerce has emailed customers warning them that the MailChimp breach exposed their names, store URLs, addresses, and email addresses.



While WooCommerce states that there is no indication that the stolen data has been misused, threat actors commonly use this type of data for targeted phishing attacks to steal credentials or install malware.


In April 2022, Trezor hardware wallet owners began receiving [fake data breach notifications](https://www.bleepingcomputer.com/news/security/fake-trezor-data-breach-emails-used-to-steal-cryptocurrency-wallets/) prompting customers to download a fake Trezor Suite software that would steal their recovery seeds.



![Fake Trezor data breach notification](https://www.bleepstatic.com/images/news/security/c/cryptocurrency/trezor/fake-data-breach/trezor-data-breach-notification-email.jpg)**Fake Trezor data breach notification**


Trezor [said on Twitter](http://twitter.com/Trezor/status/1510548489884815361) that the mailing list used in this phishing campaign was a Trezor mailing list stolen in a breach on MailChimp.


MailChimp later [confirmed that the breach was more extensive](https://www.bleepingcomputer.com/news/security/hackers-breach-mailchimps-internal-tools-to-target-crypto-customers/), with employees falling for a social engineering attack that allowed threat actors to access 319 MailChimp accounts and export the data from 102 customers.


The marketing company confirmed that this data was being used in phishing emails but declined to share more information about the attacks.


In August 2022, MailChimp was again breached after employees [fell for an Okta phishing attack](https://www.bleepingcomputer.com/news/security/twilio-hackers-hit-over-130-orgs-in-massive-okta-phishing-attack/) dubbed '0ktapus.' 


MailChimp told BleepingComputer at the time that the [threat actors accessed 214 MailChimp accounts](https://www.bleepingcomputer.com/news/security/new-mailchimp-breach-exposed-digitalocean-customer-email-addresses/), focusing on cryptocurrency-related customers.


Customers affected in the August breach included Edge Wallet, Cointelegraph, NFT creators, Ethereum FESP, and Messari and Decrypt.





## Tags:


### Autogenerated tags:
[[mailchimp]] [[trezor]] [[phishing]] [[woocommerce]]
