# Microsoft 365 users report Outlook, Teams won't start or freezes
## Network and IT admins have been dealing with ongoing Microsoft 365 issues this week, reporting that some end users cannot use Microsoft Outlook or other Microsoft 365 apps.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-365-users-report-outlook-teams-wont-start-or-freezes/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 22 June 2023, 17:19
+ Date scraped: 22 June 2023, 22:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/11/03/Outlook.jpg)



Network and IT admins have been dealing with ongoing Microsoft 365 issues this week, reporting that some end users cannot use Microsoft Outlook or other Microsoft 365 apps.


The issues started Monday, with numerous admins contacting BleepingComputer to say that some of their users are experiencing disruptive issues in Microsoft Outlook, with the program not opening, freezing after opening, seeing delays in mail delivery, or errors saying there is no valid license associated with the user.


These same issues were confirmed by other admins on Reddit [[1](https://old.reddit.com/r/Office365/comments/14fbmrd/help_365_app_woes/), [2](https://old.reddit.com/r/sysadmin/comments/14exlr6/office_issue/), [3](https://old.reddit.com/r/Office365/comments/14f6g28/is_something_down/)] and in the [Microsoft forums](https://techcommunity.microsoft.com/t5/outlook/massive-outlook-issues-since-monday-not-opening-at-all-freezing/m-p/3854453).


"Is anyone having issues with office at all? We have a department using HP probook 450 G9 , every single one is experiencing outlook, word etc being really slow and not responding," reads a [post on Reddit](https://old.reddit.com/r/sysadmin/comments/14exlr6/office_issue/).


"The status page doesn't list these symptoms but have lots of users on my org reporting they can't sign in to teams or outlook. Toggling their licenses from business basic to e1 appears to let them in. Anyone heard anything?," [another post](https://old.reddit.com/r/Office365/comments/14f6g28/is_something_down/) on Reddit reads.


"Have a few users who are unable to sign in and authenticate with desktop apps. Some connection to Microsoft appears completely down for them... even the defender scan when installing new software reports it is not able to connect. The weather widget is down. OneDrive, Teams, Word... all down. But they can use browser versions," [commented](https://old.reddit.com/r/Office365/comments/14f6g28/is_something_down/jp0m8vd/) another admin.


Most of the complaints seen by BleepingComputer have been about Microsoft Outlook, but there are also reports that users are experiencing crashes and freezes in Word, Excel, and Teams.


While Microsoft has not shared any info about these issues publicly and is yet to reply to a request for more info from BleepingComputer, some admins have come up with various solutions that helped resolve the problems on their network.


The workarounds shared by various admins in the Reddit threads above include:


* Ensure the Outlook, SharePoint, or other Microsoft 365 apps are enabled for users in the Azure AD Tenant.
* Remove and add back Microsoft 365 licenses to impacted users.
* Disable the Internet Protocol Version 6 (TCP/IPv6) setting in the workstation's network adapter properties.
* Uninstall EDR security software seemed to help with performance (Not recommended as a solution).

However, these workarounds have not worked for everyone.


"No Mac reports here, but the Windows reports just keep on coming. I did try the remove/re-add of the users' A3 licenses in Azure AD based on the other comments, but that no effect," [shared](https://old.reddit.com/r/sysadmin/comments/14exlr6/office_issue/jp3ypwm/) an admin today.


Because of this, some admins have switched affected users to Outlook on the Web (OWA) until these issues are addressed.


What is so frustrating about this issue is that it does not affect all tenants or even all users in a tenant, making it hard to track down what exactly is causing the problem.


On Tuesday, Microsoft provided a workaround for a [problem with Microsoft Outlook](https://www.bleepingcomputer.com/news/microsoft/microsoft-shares-workaround-for-outlook-freezes-slow-starts/) that also causes performance issues and freezes when launching the application.


"One known cause of this symptom is cache re-priming. This is expected if the user has created a new profile, or manually toggled from REST to MAPI by disabling Shared Calendar Improvements," Microsoft [says](https://support.microsoft.com/en-us/office/outlook-starts-up-slowly-and-hangs-at-splash-screen-when-rest-to-mapi-is-unexpectedly-toggled-c155c379-5ba5-4067-9d0a-5c3b7d603702).


"However, due to endemic problems in reading service enabled feature's status in non-Office MAPI based applications, running such apps can force this toggle unexpectedly."


It is unclear, though, if this is the same issue reported by admins or a different one, as there is no mention of missing licenses or problems with other Microsoft 365 apps.


BleepingComputer has once again reached out to Microsoft to see if they are aware of the issue and if there are any workarounds, but a response was not immediately available.





## Tags:


### Autogenerated tags:
[[microsoft]] [[admins]] [[apps]] [[bleepingcomputer]] [[reddit]] [[teams]] [[workarounds]]
