# Microsoft Defender falsely detects Win32/Hive.ZY in Google Chrome, Electron apps
## A bad Microsoft Defender signature update mistakenly detects Google Chrome, Microsoft Edge, Discord, and other Electron apps as 'Win32/Hive.ZY' each time the apps are opened in Windows.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-defender-falsely-detects-win32-hivezy-in-google-chrome-electron-apps/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 04 September 2022, 15:30
+ Date scraped: 04 September 2022, 16:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/12/Microsoft-Defender.jpg)



A bad Microsoft Defender signature update mistakenly detects Google Chrome, Microsoft Edge, Discord, and other Electron apps as 'Win32/Hive.ZY' each time the apps are opened in Windows.


The issue started Sunday morning when Microsoft pushed out Defender [signature update 1.373.1508.0](https://www.microsoft.com/en-us/wdsi/definitions/antimalware-definition-release-notes?requestVersion=1.373.1508.0) to include two new threat detections, including [Behavior:Win32/Hive.ZY](https://www.microsoft.com/en-us/wdsi/threats/malware-encyclopedia-description?Name=Behavior:Win32/Hive.ZY&ThreatID=2147830806).


"This generic detection for suspicious behaviors is designed to catch potentially malicious files. If you downloaded a file or received it through email, ensure that it is from a reliable source before opening it," reads the Microsoft [detection page](https://www.microsoft.com/en-us/wdsi/threats/malware-encyclopedia-description?Name=Behavior:Win32/Hive.ZY&ThreatID=2147830806) for Win32/Hive.ZY.


According to [BornCity](https://borncity.com/win/2022/09/04/windows-defender-meldet-flschlich-behaviourwin32-hive-zy-4-9-2022/), the false positive is widespread, with users reporting on [BleepingComputer](https://www.bleepingcomputer.com/forums/t/776703/behaviorwin32hivezy-being-detected-by-windows-defender-every-few-minutes/), [Twitter](https://twitter.com/search?q=Win32%2FHive.ZY&src=typed_query&f=live), and [Reddit](https://www.reddit.com/r/antivirus/comments/x5ij97/all_electronbased_apps_and_chrome_detected_as/) that the detections appear each time they open their browser or an Electron app.



![Microsoft Defender falsely detecting Win32/Hive.ZY](https://www.bleepstatic.com/images/news/Microsoft/microsoft-defender-preview/hive-update/hive-detection.jpg)**Microsoft Defender falsely detecting Win32/Hive.ZY**  
*Source: [Twitter](https://twitter.com/andrii_shcherba/status/1566390977190940673)*


Even though Microsoft Defender will continuously display these detections when apps are opened, it is important to note that this is a false positive, and your device is mistakenly being detected as infected.


Microsoft has since released two new Microsoft Defender security intelligence updates, the latest being 1.373.1518.0.


While this signature update does not display Win32/Hive.ZY detections in BleepingComputer's tests, other users report that they [continue to receive false positives](https://www.reddit.com/r/computerviruses/comments/x5idjw/comment/in27yix/?utm_source=share&utm_medium=web2x&context=3).


To check for new security intelligence updates, Windows users can search for and open **Windows Security** from the Start Menu, click **Virus & threat protection**, and then click on **Check for updates** under Virus & threat protection updates.



![Currently installed Microsoft Defender security intelligence versions](https://www.bleepstatic.com/images/news/Microsoft/microsoft-defender-preview/hive-update/security-intelligence-update.jpg)**Currently installed Microsoft Defender security intelligence versions**  
*Source: BleepingComputer*


While it is usually not required, in this case, it may be helpful to reboot Windows after installing the new security intelligence update to see if it resolves the false positive.


As this issue is widespread and causing panic among Windows users worldwide, we will likely see a new update fixing the problem within a few hours, if not sooner.


At this time, there has been no formal confirmation of the issue from Microsoft.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[apps]] [[bleepingcomputer]]
