# Microsoft Defender flags Google Chrome updates as suspicious
## Microsoft Defender for Endpoint has been tagging Google Chrome updates delivered via Google Update as suspicious activity due to a false positive issue.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-defender-flags-google-chrome-updates-as-suspicious/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 20 April 2022, 15:02
+ Date scraped: 20 April 2022, 15:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/12/Microsoft-Defender.jpg)



Microsoft Defender for Endpoint has been tagging Google Chrome updates delivered via Google Update as suspicious activity due to a false positive issue.


According to Windows system admins reports [[1](https://twitter.com/thiskevgray/status/1516537571823738883), [2](https://www.reddit.com/r/sysadmin/comments/u7fqlc/defender_epp_blowing_up_on_google_updater/), [3](https://www.reddit.com/r/sysadmin/comments/u7ghbi/is_defender_flagging_chrome/), [4](https://twitter.com/LongDogSecurity/status/1516528454971367429)], the security solution (formerly known as Microsoft Defender ATP) began marking Chrome updates as suspicious starting last evening.


Those who encountered this issue reported seeing "Multi-stage incident involving Execution & Defense evasion" alerts on affected Windows endpoints monitored using Defender for Endpoint.


In a Microsoft 365 Defender service advisory issued after reports of these alarming alerts started showing up online, Microsoft revealed that they were erroneously triggered by a false positive and not due to malicious activity.


"Admins may receive a false positive alert for Google Update on Microsoft Defender for Endpoint monitored devices," Microsoft said.


Roughly one and a half hours later, the advisory was updated, with Redmond saying the false positive issue was addressed and the service restored.



![Defender for Endpoint false positive alerts](https://www.bleepstatic.com/images/news/u/1109292/2022/Defender%20for%20Endpoint%20false%20positive%20alerts.png)*Defender for Endpoint false positive alerts ([Kevin Gray](https://twitter.com/thiskevgray))*
Windows admins have had to deal with multiple other Defender for Endpoint false positive issues during the last two years.


For instance, they were hit by a wave of Defender for Endpoint alerts where Office updates were tagged as malicious in warnings pointing to ransomware behavior detected on Windows endpoints.


In November, Defender ATP blocked Office documents and some Office executables from opening or launching because of another false positive [tagging the files Emotet malware payloads](https://www.bleepingcomputer.com/news/microsoft/microsoft-defender-scares-admins-with-emotet-false-positives/).


One month later, [it mistakenly displayed "sensor tampering" alerts](https://www.bleepingcomputer.com/news/microsoft/microsoft-defender-log4j-scanner-triggers-false-positive-alerts/) linked to the [Microsoft 365 Defender scanner for Log4j processes](https://twitter.com/MsftSecIntel/status/1475627081753112579).


Other similar Defender for Endpoint issues include [alerts of network devices infected with Cobalt Strike](https://www.bleepingcomputer.com/news/microsoft/microsoft-defender-atp-scars-admins-with-false-cobalt-strike-alerts/) and [Chrome updates as PHP backdoors](https://www.bleepingcomputer.com/news/security/microsoft-defender-atp-detects-chrome-updates-as-php-backdoors/), both caused by false-positive detections.


A Microsoft spokesperson said they would get back with additional information if available when contacted by BleepingComputer earlier today.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[google]] [[admins]]
