# Microsoft Defender for Windows is getting a massive overhaul
## Microsoft Defender for Windows is getting a massive overhaul allowing home network admins to deploy Android, iOS, and Mac clients to monitor antivirus, phishing, compromised passwords, and identity theft alerts from a single security dashboard.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-defender-for-windows-is-getting-a-massive-overhaul/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 01 November 2021, 17:35
+ Date scraped: 11 December 2023, 12:17

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Microsoft--Defender.jpg)



Microsoft Defender for Windows is getting a massive overhaul allowing home network admins to deploy Android, iOS, and Mac clients to monitor antivirus, phishing, compromised passwords, and identity theft alerts from a single security dashboard.


In the past, antivirus solutions were very much a single PC application, where each device got its own protection, but none of the devices spoke to each other.


With this setup, if one device detected malware, only the person using the device would know about it, rather than providing a centralized reporting dashboard.


As home networks became increasingly more complicated, connected, and diverse, antivirus vendors started to offer stripped-down versions of their enterprise products that allowed a home admin to manage all of their devices from a single dashboard.


Microsoft's full-featured home security suite
---------------------------------------------


For the past few years, Microsoft has been focusing on the enterprise's security while leaving Windows 10 consumers with the passable but fairly generic built-in Microsoft Defender antivirus software.


Based on a new Microsoft Defender Preview app added to the Microsoft Store last week, this is all about to change, with Microsoft building what appears to be a full-featured home security suite for Windows 11, Windows 10, iOS, Android, and macOS.


"Microsoft Defender is a security application that gives you peace of mind. Through our personalized dashboard, you can view the security posture of your Windows device and other connected devices (Mac, iOS, and Android) all in one place," reads [the Microsoft Defender Preview app description](https://www.microsoft.com/en-us/p/microsoft-defender-preview/9p6pmztm93lr?activetab=pivot:overviewtab).


This new preview is codenamed 'Gibraltar' internally as it is currently restricted to Microsoft employees.


However, BleepingComputer found strings in the executables that indicate that the new security solution will include antivirus, phishing protection, password breach detection, identity theft monitoring, security recommendations, and more.


Home admins will add other family members to their personal dashboard using email or QR code invites. These invites will likely allow a device to install an iOS, Android, Windows, or macOS agent that automatically enrolls in the family's security dashboard.


Windows software developer [Ahmed Walid](https://twitter.com/AhmedWalid605/status/1453613578150350849) patched the application to bypass authentication, allowing us to get a glimpse of how the new Microsoft Defender security dashboard will look.



![Microsoft Defender Preview dashboard](https://www.bleepstatic.com/images/news/Microsoft/microsoft-defender-preview/beta/dashboard.jpg)**Microsoft Defender Preview dashboard**  
*Source: Walid*


As you can see above, the dashboard will allow you to view health alerts for devices, with Identity and "Connections" monitoring coming soon. In addition, the Identity Theft Monitoring feature will support child, and adult subscriptions from API calls found in the Microsoft Defender Preview.


Using their "personal dashboard," home network administrators can monitor all enrolled devices for "health" alerts that may include compromised passwords, malware alerts, or identity theft issues.



![](https://www.bleepstatic.com/images/news/Microsoft/microsoft-defender-preview/beta/enrolled-devices.jpg)**Summary of monitored devices**  
*Source: Walid*


It is unclear when the Microsoft Defender Preview will be available to test, but it will likely come to Windows 10 and Windows 11 Insiders first in the coming months.


BleepingComputer has contacted Microsoft with further questions about this new feature and will update the article if we receive a response.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[android]] [[walid]]
