# Microsoft Edge 105 won't start due to old group policy - How to fix
## The new Microsoft Edge 105 is not starting for many Windows users due to a deprecated group policy used to disable reporting of usage and crash-related data to Microsoft.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-edge-105-wont-start-due-to-old-group-policy-how-to-fix/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 03 September 2022, 22:43
+ Date scraped: 03 September 2022, 23:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/21/Microsoft-Edge.jpg)



The new Microsoft Edge 105 is not starting for many Windows users due to a deprecated group policy used to disable reporting of usage and crash-related data to Microsoft.


On Thursday, Microsoft Edge 105 was released with [numerous enhancements](https://docs.microsoft.com/en-us/deployedge/microsoft-edge-relnote-stable-channel#version-1050134325-september-1-2022), including enhanced security mode improvements and new group policies.


However, after upgrading to the new version, Windows users began reporting on [BleepingComputer](https://www.bleepingcomputer.com/forums/t/776666/cant-open-microsoft-edge/), Reddit [[1](https://www.reddit.com/r/edge/comments/x3whem/after_last_edge_update_from_past_days_wont_start/), [2](https://www.reddit.com/r/MicrosoftEdge/comments/wszf7c/later_versions_of_edge_than_10500_are_completely/)], and the [Microsoft Answers forum](https://answers.microsoft.com/en-us/microsoftedge/forum/all/edge-wont-run-after-the-update-104105/e7bbd14e-4221-443c-bbea-97edbc880451) that Microsoft Edge would no longer start.


This issue was also confirmed by readers of [BornCity](https://borncity.com/win/2022/09/02/microsoft-edge-105-0-1343-25-1-september-2022/) and [Deskmodder](https://www.deskmodder.de/blog/2022/09/02/microsoft-edge-105-105-0-1343-25-korrigiert-15-sicherheitsluecken/), with the latter discovering that the problem was caused by a deprecated [**MetricsReportingEnabled**](https://docs.microsoft.com/en-us/deployedge/microsoft-edge-enterprise-privacy-settings)policy in the Windows registry.



Windows Registry Editor Version 5.00


[HKEY\_CURRENT\_USER\SOFTWARE\Policies\Microsoft\Edge]  

"MetricsReportingEnabled"=dword:00000000



This policy allows Microsoft Edge users to enable or disable the reporting of usage or crash-related data to Microsoft.


However, when this policy exists, whether it is set to '0' or '1', Microsoft Edge 105 will start, immediately suspend, and then shut down without showing the browser window, as shown below.



![Microsoft Edge 105 starting and immediately terminating](https://www.bleepstatic.com/images/news/web-browsers/edge/105/not-starting/edge-105.gif)**Microsoft Edge 105 starting and immediately terminating**  
*Source: BleepingComputer*


Microsoft Edge General Manager Sean Lyndersay confirmed that the deprecated policy causes the bug and that it would be fixed in the next Stable version of the browser.


[![Sean tweet](https://www.bleepstatic.com/images/news/web-browsers/edge/105/not-starting/sean-tweet.jpg)](https://twitter.com/SeanOnTwt/status/1565846234719727622)


If you find that Microsoft Edge will no longer start, you can delete the **MetricsReportingEnabled**value from the **HKEY\_CURRENT\_USER\SOFTWARE\Policies\Microsoft\Edge** or the **HKEY\_LOCAL\_MACHINE\SOFTWARE\Policies\Microsoft\Edge**registry keys.


AskWoody's [Susan Bradley](https://twitter.com/SBSDiva) told BleepingComputer that many of the people affected by this issue used the "I don't want telemetry" setting in an older version of the O&O ShutUp tool, which appears to have created this Registry value.


Another privacy tool found by BleepingComputer to create this value is [PrivateZilla](https://github.com/builtbybel/privatezilla/blob/0c24b54027311ddec8bf81aa6069b7b2da8809f9/scripts/Telemetry%20of%20third-party%20apps%20(Template).ps1).


Until the next version of Microsoft Edge is released, users can remove the MetricsReportingEnabled to use the app without it affecting anything, as the policy has been deprecated since Microsoft Edge 89.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[bleepingcomputer]] [[metricsreportingenabled]]
