# Microsoft Edge Canary gets the new Sharing Hub feature
## Microsoft Edge Canary has received a new experimental Chromium-based Sharing Hub feature that makes it easier to share content with other people.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-edge-canary-gets-the-new-sharing-hub-feature/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 28 May 2021, 09:14
+ Date scraped: 12 December 2023, 12:28

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/12/10/Microsoft-Edge.jpg)



Microsoft Edge Canary has received a new experimental Chromium-based Sharing Hub feature that makes it easier to share content with other people.


Earlier this month, Google added a new experimental feature to Google Chrome Canary that adds a paper plan icon to your address bar, that when clicked, opens a new Sharing Hub feature.


This week, [Reddit](https://www.reddit.com/r/MicrosoftEdge/comments/nlo7p2/desktop_sharing_hub_now_available_in_edge_canary/) user Leopeva64 (via [Windows Central](https://www.windowscentral.com/microsoft-testing-new-edge-menu-make-it-easier-share-websites)) discovered that Microsoft Edge Canary also received this feature but without any customization of Google's implementation.



![The new Sharing Hub dialog box](https://www.bleepstatic.com/images/news/web-browsers/edge/edge-92/new-sharing-controls/new-sharing-controls.jpg)**The new Sharing Hub dialog box**


When opening the new Sharing Hub dialog, users are presented with four choices that are described below:


* **Copy link** - Copies the URL of the page into your Windows clipboard.
* **QR code** - Generates a QR code that you can scan with your device's camera to open the page.
* **Save page as** - Prompts you to save the webpage as a local HTML file.
* **Cast** - Uses Chromecast to cast the page to a local device, such as a TV.

While this feature has come to Microsoft Edge, it has not been customized by the Microsoft team to support some of their Windows-specific features.


For example, Microsoft Edge already can share a web page using Windows 10's native sharing controls under **Settings**> **Share**.



![Microsoft Edge using Windows 10 native sharing controls](https://www.bleepstatic.com/images/news/web-browsers/edge/edge-92/new-sharing-controls/windows-10-native-sharing.jpg)**Microsoft Edge using Windows 10 native sharing controls**


This native sharing feature is missing from the new Chromium Sharing Hub dialog and would be a perfect fit for Microsoft to add for Windows users.


If Microsoft decides to continue developing this feature, we should expect to see Edge's 'Share' option moved to this dialog, as well as the ability to share the open page with other devices running Microsoft Edge.


**Update 5/30/21:** Microsoft sleuth [Leopeva64](https://twitter.com/Leopeva64) has told BleepingComputer that some users who are logged in with their Microsoft account may see the 'Share' option in the Sharing Hub, but it has not rolled out for all users.


How to enable the new sharing dialog
------------------------------------


If you want to test the new sharing dialog in Microsoft Edge Canary, you can follow these steps:


1. Install the [Microsoft Edge Canary](https://www.microsoftedgeinsider.com/en-us/download) browser. This browser will be installed alongside the existing Microsoft Edge and can be used as necessary to test out in-development features.
2. Enter **edge://flags** in your browser and press **enter**on your keyboard.
3. Search for '**Desktop Sharing Hub in Omnibox**' and enable it, as shown below.

![Enable Microsoft Edge flag](https://www.bleepstatic.com/images/news/web-browsers/edge/edge-92/new-sharing-controls/enable-flag.jpg)**Enable Microsoft Edge flag**
4. Relaunch the browser when prompted to do so.

Once Microsoft Edge restarts, you will see the new sharing dialog in the browser's address bar.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[google]]
