# Microsoft Edge gets performance boost with updated sleeping tabs
## Microsoft has tweaked the Microsoft Edge sleeping tabs feature to further improve the web browser's overall responsiveness and performance.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-edge-gets-performance-boost-with-updated-sleeping-tabs/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 April 2022, 14:00
+ Date scraped: 10 April 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/01/Microsoft-Edge.jpg)



Microsoft has tweaked the Microsoft Edge sleeping tabs feature to improve the web browser's overall responsiveness and performance.


This feature [started rolling out](https://www.bleepingcomputer.com/news/microsoft/microsoft-edge-gets-a-performance-boost-with-sleeping-tabs/) for Edge users running version Beta 88 in December 2020 to drastically reduce memory and CPU resource usage, four months after its [initial unveil](https://www.bleepingcomputer.com/news/microsoft/microsoft-edges-new-feature-will-reduce-memory-and-cpu-usage/), in September 2020, as an experiment.


"Beginning in Microsoft Edge 100, we've updated sleeping tabs to enable pages that are sharing a browsing instance with another page to now go to sleep," the Microsoft Edge Team [said](https://blogs.windows.com/msedgedev/2022/04/07/sleeping-tabs-edge-100-improvements/) earlier this week.


"With this change, 8% more tabs on average will sleep, saving you even more resources! On average, each sleeping tab saves 85% of memory and 99% CPU for Microsoft Edge."


Redmond also added a new dialog that will give users an overview of how much system memory is saved by the sleeping tabs feature.


You can open it by clicking 'Performance' under the top-right menu or enabling the Performance button to the Microsoft Edge toolbar to have access to this info with a mouse click.



![Microsoft Edge performance info](https://www.bleepstatic.com/images/news/u/1109292/2022/Edge_performance_info.png)*Microsoft Edge performance info (BleepingComputer)*
## How Edge sleeping tabs works


Sleeping tabs will automatically force inactive background tabs to "go to sleep" automatically, " releasing system resources after a pre-defined time. These resources get redirected to active or newly opened tabs.


By default, inactive tabs get "put to sleep" after two hours of inactivity, but you can easily change this interval from the Settings page at edge://settings/system.


Resuming a sleeping tab requires only a mouse click, and you can add websites you never want to be frozen by this feature via a blocklist accessible on the same Settings page.



![Microsoft Edge sleeping tabs in action](https://www.bleepstatic.com/images/news/u/1097497/Microsoft/Sleeping-edge-tabs.gif)*Microsoft Edge sleeping tabs in action (BleepingComputer)*
"Sleeping tabs builds upon the core of Chromium's 'freezing' technology," Microsoft Senior Program Manager Eleanor Huynh [explained](https://techcommunity.microsoft.com/t5/articles/introducing-sleeping-tabs-experiment-improving-memory-usage-in/m-p/1705571) when the feature was announced.


"Freezing pauses a tab's script timers to minimize resource usage. A sleeping tab resumes automatically when clicked, which is different than discarded tabs, which require the page to fully be reloaded."


The feature significantly lowers Microsoft Edge's memory and CPU requirements leading to better browser performance and increased battery life.


Based on performance tests across roughly 13000 devices, Microsoft says sleeping tabs reduce memory usage by 32% on average and, in most cases, it will also lead to approximately 37% lower CPU usage.





## Tags:


### Autogenerated tags:
[[microsoft]]
