# Microsoft: Edge update will disable Internet Explorer in February
## Microsoft announced today that a future Microsoft Edge update would permanently disable the Internet Explorer 11 desktop web browser on some Windows 10 systems in February.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-edge-update-will-disable-internet-explorer-in-february/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 16 December 2022, 17:46
+ Date scraped: 16 December 2022, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/16/Internet_Explorer.jpg)



Microsoft announced today that a future Microsoft Edge update would permanently disable the Internet Explorer 11 desktop web browser on some Windows 10 systems in February.


This comes after a [previous warning from June 15](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-update-to-permanently-disable-internet-explorer/), the day Internet Explorer reached its end of support, when the company told customers that the legacy web browser would get disabled via a Windows update.


"The out-of-support Internet Explorer 11 (IE11) desktop application is scheduled to be permanently disabled on [certain versions of Windows 10](https://aka.ms/IEModeFAQ) devices on February 14, 2023, through a Microsoft Edge update, not a Windows update as previously communicated," [Redmond said on Friday](https://learn.microsoft.com/en-us/windows/release-health/windows-message-center#2985).


"All remaining devices that have not already been redirected from IE11 to Microsoft Edge are scheduled to be redirected with the Microsoft Edge update scheduled for February 14, 2023."


Enterprise admins are advised to transition from IE11 to Microsoft Edge with IE mode and remove IE visual references from the Start Menu and the Windows taskbar with the [Disable IE policy](https://aka.ms/Disable_IE_Policy) before February 14 to avoid "business disruption at scale when users lose access to IE11-dependent applications."


Next year's May non-security preview release and the June Windows monthly security update are also designed to remove them in environments where admins will not act before IE11 gets permanently disabled.


BleepingComputer previously [reported](https://www.bleepingcomputer.com/news/microsoft/internet-explorer-almost-breathes-its-final-byte-on-wednesday/) that Internet Explorer would redirect users to the new Chromium-based Microsoft Edge when launching the Internet Explorer 11 desktop applications.


Starting in October 2020, IE11 has been automatically launching Microsoft Edge when visiting incompatible sites. The [list of incompatible sites](https://edge.microsoft.com/neededge/v1) (managed by Microsoft) contains 7,562 domains belonging to a long list of high-profile online platforms and services, including Facebook, Instagram, Google Drive, Microsoft Teams, Twitter, and many others.


During the redirection process, users' data (including settings, passwords, and favorites) will be imported into Microsoft Edge to make the switch easier.



## Internet Explorer still around for some time


Even though officially retired from multiple Windows 10 versions on the semi-annual channel (SAC) servicing channel and not shipping with Windows 11, IE11 will still be available on Windows 7 ESU, Windows 8.1, and versions of Windows 10 LTSC client, IoT, and Server.


The web browser will continue receiving technical support and security updates on systems running these Windows versions for the lifecycle of the Windows version it runs on.


Microsoft has been urging customers to switch to Microsoft Edge with IE mode for years as it enables backward compatibility and will be supported through at least 2029—you can learn more about IE mode and how to make the switch in this [getting started guide](https://aka.ms/IEModeGuide).


To enable IE mode in Microsoft Edge, you have to go to *edge://settings/defaultbrowser*, toggle on the '*Allow sites to be reloaded in Internet Explorer*' option, and restart the browser.


Microsoft first [announced plans to ditch support](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-plans-to-ditch-legacy-edge-in-windows-10/) for IE11 in Windows 10 and Microsoft 365 in August 2020, with an [official retirement announcement](https://www.bleepingcomputer.com/news/microsoft/microsoft-to-retire-internet-explorer-on-some-windows-10-versions/) issued in May 2021.


[Microsoft discontinued IE support in Teams](https://www.bleepingcomputer.com/news/microsoft/microsoft-really-wants-you-to-stop-using-internet-explorer/) in November 2020 and also ended support across Microsoft 365 apps and services [in August 2021](https://www.bleepingcomputer.com/news/microsoft/microsoft-365-drops-support-for-internet-explorer-11-in-august/).


Other Microsoft services and apps have also ended support for Internet Explorer during the last few years—a complete list is available [here](https://docs.microsoft.com/en-us/lifecycle/announcements/internet-explorer-11-support-end-dates).





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[ie11]]
