# Microsoft: May Windows updates cause AD authentication failures
## Microsoft is investigating a known issue causing authentication failures for some Windows services after installing updates released during the May 2022 Patch Tuesday.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-may-windows-updates-cause-ad-authentication-failures/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 12 May 2022, 07:11
+ Date scraped: 12 May 2022, 08:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/15/Microsoft_passwordless.jpg)



Microsoft is investigating a known issue causing authentication failures for some Windows services after installing updates released during the May 2022 Patch Tuesday.


This comes after Windows admins started [sharing reports](https://www.reddit.com/r/sysadmin/comments/um9qur/patch_tuesday_megathread_20220510/i85p2ll/?context=3) of some policies failing after installing this month's security updates with "Authentication failed due to a user credentials mismatch. Either the user name provided does not map to an existing account or the password was incorrect." errors.


The issue impacts client and server Windows platforms and systems running all Windows versions, including the latest available releases (Windows 11 and Windows Server 2022).


Microsoft says the known issue is only triggered after installing the updates on servers used as domain controllers. The updates will not negatively impact when deployed on client Windows devices and non-domain controller Windows Servers.


"After installing updates released May 10, 2022 on your domain controllers, you might see authentication failures on the server or client for services such as [Network Policy Server (NPS)](https://docs.microsoft.com/en-us/windows-server/networking/technologies/nps/nps-top), [Routing and Remote access Service (RRAS)](https://docs.microsoft.com/en-us/previous-versions/windows/it-pro/windows-server-2012-R2-and-2012/dn614140(v=ws.11)), [Radius](https://docs.microsoft.com/en-us/windows/win32/nps/ias-radius-authentication-and-accounting), [Extensible Authentication Protocol (EAP)](https://docs.microsoft.com/en-us/windows-server/networking/technologies/extensible-authentication-protocol/network-access), and [Protected Extensible Authentication Protocol (PEAP)](https://docs.microsoft.com/en-us/openspecs/windows_protocols/ms-peap/a128a089-0919-41a5-a0c2-9f25ef28289d)," Microsoft explains.


"An issue has been found related to how the mapping of certificates to machine accounts is being handled by the domain controller."


Redmond is investigating this newly acknowledged issue and will provide an update addressing it in an upcoming release.


## Caused by security updates, workaround available


Microsoft explains in a [separate support document](https://support.microsoft.com/en-us/topic/kb5014754-certificate-based-authentication-changes-on-windows-domain-controllers-ad2c23b0-15d8-4340-a468-4d4f3b188f16#bkmk_compatmode) that these ongoing service authentication problems are caused by security updates addressing CVE-2022-26931 and CVE-2022-26923, two elevations of privilege vulnerabilities in Windows Kerberos and Active Directory Domain Services.


The more severe one, CVE-2022-26923 (discovered by security researcher Oliver Lyak and dubbed [Certifried](https://research.ifcr.dk/certifried-active-directory-domain-privilege-escalation-cve-2022-26923-9e098fe298f4)), can let attackers with access to a low privileged account [elevate privileges to domain admin](https://twitter.com/wdormann/status/1524446644942647299) on default Active Directory configurations.


To address the known issue until an official update is available, Microsoft recommends [manually mapping certificates](https://support.microsoft.com/topic/kb5014754-certificate-based-authentication-changes-on-windows-domain-controllers-ad2c23b0-15d8-4340-a468-4d4f3b188f16#bkmk_certmap) to a machine account in Active Directory.


"If the preferred mitigation will not work in your environment, please see '[KB5014754](https://support.microsoft.com/topic/kb5014754-certificate-based-authentication-changes-on-windows-domain-controllers-ad2c23b0-15d8-4340-a468-4d4f3b188f16)—Certificate-based authentication changes on Windows domain controllers' for other possible mitigations in the *SChannel registry key* section," the company [added](https://docs.microsoft.com/en-us/windows/release-health/status-windows-11-21h2#you-might-see-authentication-failures-on-the-server-or-client-for-services).


**"**Any other mitigation except the preferred mitigations might lower or disable security hardening."


Microsoft says the May 2022 updates automatically set the StrongCertificateBindingEnforcement registry key, which changes the enforcement mode of the Kerberos Distribution Center (KDC) to Compatibility mode (and this should allow all auth attempts unless the certificate is older than the user).


However, a Windows admin told BleepingComputer that the only way to get some of their users to log in with this update was to disable the StrongCertificateBindingEnforcement key by setting it to 0.


If you don't find the key in the registry, create it from scratch using a REG\_DWORD Data Type and set it to 0 to disable the strong certificate mapping check (although not recommended by Microsoft, it's the only way to allow all users to log in).


In November, Microsoft also addressed [Windows Server authentication failures](https://www.bleepingcomputer.com/news/microsoft/microsoft-new-security-updates-trigger-windows-server-auth-issues/) related to Kerberos delegation scenarios impacting Domain Controllers (DC) [via out-of-band updates](https://www.bleepingcomputer.com/news/microsoft/new-microsoft-emergency-updates-fix-windows-server-auth-issues/).





## Tags:
***CVE's***: CVE-2022-26931 CVE-2022-26923

### Autogenerated tags:
[[windows]] [[microsoft]] [[kerberos]]
