# Microsoft: Old Windows updates now expire to improve speed, security
## Microsoft says it regularly evaluates Windows updates for expiration to make the entire update process faster and safer by removing older releases that have already been superseded by newer packages.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-old-windows-updates-now-expire-to-improve-speed-security/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 20 October 2021, 13:13
+ Date scraped: 11 December 2023, 12:53

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/11/Windows-Update.jpg)



Microsoft says it regularly evaluates Windows updates for expiration to make the entire update process faster and safer by removing older releases that have already been superseded by newer packages.


Installing updates is slower and their size gets incrementally bigger due to the long backlog caused by the two or more updates for each Windows platform released every month.


Also, older packages are delivered via Windows Update as part of cumulative updates, further decreasing update performance and making the entire process take longer than needed.


Microsoft increases Windows Update's overall performance by marking earlier updates for expiration as part of a regular evaluation process.


"Microsoft produces two to three updates per supported Windows platform monthly. Many of these updates, however, are cumulative and include all earlier updates that have been published for that platform," [said](https://techcommunity.microsoft.com/t5/windows-it-pro-blog/windows-update-expiration-policy-explained/ba-p/2860928) Christine Ahonen, a Program Manager at Microsoft.


"By expiring older, redundant packages, you get better performance, shorter scan times, a faster user experience, and reduced risk of deploying older updates which have been superseded with newer, more secure ones."


Some older Windows updates never expire
---------------------------------------


Ahonen also added that some older packages may not go through evaluation or may never meet the criteria Microsoft uses to mark updates for expiration.


Additionally, security-only update packages for some earlier Windows versions (i.e., Windows 8.1, Windows Server 2012 SP2, Windows Server 2012, Windows 7 SP1, Windows Server 2008 R2, and Windows Server 2008 SP2) will never expire since they only hold one month of fixes and are not cumulative.


"This KB is no longer available from Windows Update, the Microsoft Update Catalog, or other release channels," Microsoft says on the entries of expired updates.


"We recommend that you update your devices to the latest security quality update. The latest security quality update is cumulative and contains all the addressed issues in this update."



![Expiration notice](https://www.bleepstatic.com/images/news/u/1109292/2021/Expiration%20notice.png)*Expiration notice (BleepingComputer)*


Smarter and faster Windows 11 updates
-------------------------------------


Microsoft is also testing a new method to deliver Windows update improvements in Windows 11 using a new feature known as Update Stack Package.


The company explains that, by using Update Stack Package, it can deliver improvements to the update experience before monthly or feature Windows updates, outside of major OS updates.


"The Update Stack Package will help ensure that your PC has the highest likelihood of successfully installing new updates with the best and least disruptive experience available," Microsoft said.


Delivery through Update Stack Package is limited to a small set of update-related Windows system files developed independently of the operating system.


Microsoft also announced last week that it [redesigned cumulative updates in Windows 11](https://techcommunity.microsoft.com/t5/windows-it-pro-blog/windows-11-cumulative-update-improvements-an-overview/ba-p/2842961) to allow users to install security and quality updates faster by removing reverse differentials from the cumulative update package and with the help of more efficient packaging.


"The cumulative update size in Windows 11 is approximately 40% smaller than the same set of quality and security updates would have been packaged for Windows 10," Microsoft [said](https://techcommunity.microsoft.com/t5/windows-it-pro-blog/windows-11-cumulative-update-improvements-an-overview/ba-p/2842961).





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]]
