# Microsoft Outlook bug prevents viewing or creating email worldwide
## A Microsoft Outlook update released today for the desktop client introduced bugs that prevent users from creating or viewing mail.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-outlook-bug-prevents-viewing-or-creating-email-worldwide/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 11 May 2021, 17:01
+ Date scraped: 12 December 2023, 13:17

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/11/outlook-header-image.jpg)



A Microsoft Outlook update released today for the desktop client introduced bugs that prevent users from creating or viewing mail.


Today, Microsoft released Outlook version 2104 build 13929.20372, and after installing the update, users of the click-to-run desktop client found that they could no longer properly view emails or create new ones.


When attempting to view an email, instead of seeing the entire message body, they only see a small portion or a single line of the email message, as shown below.



![Missing Outlook email content](https://www.bleepstatic.com/images/news/Microsoft/o/outlook/missing-email/broken-email.jpg)**Missing Outlook email content**  
*Source: BleepingComputer*


To make it even more frustrating, when creating a new email message, every time you press enter, all the previously written content will be removed, as shown below.



![Outlook email text disappearing when you press enter](https://www.bleepstatic.com/images/news/Microsoft/o/outlook/missing-email/disappearing-text-outlook.gif)**Outlook email text disappearing when you press enter**  
*Source: BleepingComputer*


In an incident status message in the Microsoft 365 Admin Center titled 'EX255650: Issue affecting viewing email content in Outlook', Microsoft states that they have identified the root cause of the issue and released a fix.



Title: Issue affecting viewing email content in Outlook


User Impact: Users may be unable to view email message content within Outlook.


More info: Impact is specific to the Outlook client and users with access to other protocols, such as Outlook on the web or the Outlook mobile app, can view message content in those platforms as a potential workaround while our fix is applied.


Current status: We’ve identified the underlying cause of impact and are applying a fix. This fix will reach all affected users incrementally over the course of the next four-to-five hours. Once users receive the fix, they will need to restart their email client to apply the fix. In some circumstances, users may need to restart their client a second time for the changes to take effect. We expect to complete this process and restore service for all affected users by May 12, 2021, at 3:00 AM UTC.


We encourage affected users who are able to do so to leverage the workarounds described above in the "more info" section of this post while we complete the process of fixing this problem.


Scope of impact: This issue could affect any user attempting to view an email message in the Outlook client.


Root cause: A recent change to systems that facilitate text display management for content within the Outlook client caused impact.



All affected users will receive the update over the next 3 to 4 hours and will need to restart Outlook for the fix to install.


If you have previously disabled Microsoft Office updates, you should enable them again to receive this update from Microsoft.


How to fix the Microsoft Outlook issues
---------------------------------------


If you are experiencing this issue in Microsoft Outlook, users have reported that you can fix the bug by rolling back to a previous Microsoft Outlook version.


BleepingComputer has tested this method, and it resolved the problems in our Outlook desktop client.


Method 1: Roll back Microsoft Office to latest April 2021 release
-----------------------------------------------------------------


To roll back to the April 23rd, 2021, release and fix the Microsoft Outlook problems, please follow these steps:


1. Open a command prompt by clicking on the Start Menu and typing **CMD**. When the 'Command Prompt' result appears, click on it.
2. In the command prompt type `cd "C:\Program Files\Common Files\microsoft shared\ClickToRun"` and press **enter**.
3. You will now be in the ClickToRun folder. Type `officec2rclient.exe /update user updatetoversion=16.0.13901.20462` and press **enter**.

![Entering commands in Command Prompt](https://www.bleepstatic.com/images/news/Microsoft/o/outlook/missing-email/rollback.jpg)**Entering commands in Command Prompt**
4. Microsoft Office will now download the specified version of Microsoft Office and roll back to that previous version. Please be patient as this may take a few minutes or longer, depending on your computer and Internet connection speed.

![Rolling back Microsoft Office to the previous version](https://www.bleepstatic.com/images/news/Microsoft/o/outlook-crash/downloading-microsoft-updates.jpg)**Rolling back Microsoft Office to the previous version**
5. When the updates are finished installing, you will be shown a screen stating 'Updates were installed.' You can press the **Close** button on this screen.

![Microsoft Office updates were installed](https://www.bleepstatic.com/images/news/Microsoft/o/outlook-crash/updates-installed.jpg)**Microsoft Office updates were installed**
6. Microsoft Outlook will now be rolled back to the previous version, and you should be able to start Microsoft Outlook again.
7. You can now close the Command Prompt by clicking on the X button.

Method 2: Start Microsoft Outlook in Safe Mode
----------------------------------------------


If you do not want to roll back to a previous version of Microsoft Office or cannot find the ClickToRun folder,  you can launch Microsoft Outlook in Safe Mode to fix the bugs until an update is released.


It should be noted that when starting Outlook in Safe Mode, all add-ins will be disabled, including security add-ins.


To start Outlook in Safe Mode, please follow these steps:


1. Press and hold the **Ctrl** key on your keyboard and then launch Microsoft Outlook. Outlook will proceed to start and then ask if you are sure you wish to start in safe mode.

![Do you want to start Outlook in safe mode?](https://www.bleepstatic.com/images/news/Microsoft/o/outlook-crash/safe-mode.jpg)**Do you want to start Outlook in safe mode?**
2. You should now press the **Yes** button and Outlook will start in Safe Mode with add-ins disabled.
3. Once Outlook starts, you can confirm you are in Safe Mode, as the title of the Outlook window will state "Microsoft Outlook (Safe Mode)", as shown below.

![Microsoft Outlook started in Safe Mode](https://www.bleepstatic.com/images/news/Microsoft/o/outlook-crash/in-safe-mode.jpg)**Microsoft Outlook started in Safe Mode**
4. When done using Outlook, you can simply close the program.

It should be noted that you need to repeat this procedure every time you want to start Outlook in Safe Mode.


Please let us know if these methods work for you.


How to disable Microsoft Office updates
---------------------------------------


If you want to prevent Microsoft Office from autoupdating to this buggy version, you can temporarily disable updates.


To prevent Microsoft Outlook from autoupdating, follow these steps:


1. Open Microsoft Outlook.
2. Click on the **File** menu.
3. Click on '**Office Account**' option in the bottom left of the sidebar.
4. When the Account screen opens, click on the '**Update options**' button and then select '**Disable Updates**.'

![Disabling updates in Microsoft Outlook](https://www.bleepstatic.com/images/news/Microsoft/o/outlook/missing-email/outlook-account-page.jpg)**Disabling updates in Microsoft Outlook**
5. You will now be shown a User Account Control (UAC) prompt. At this prompt, click on the '**Yes**' button to allow the updates to be disabled.

![Microsoft Office UAC prompt](https://www.bleepstatic.com/images/news/Microsoft/o/outlook/missing-email/office-uac.jpg)**Microsoft Office UAC prompt**
6. After you press the Yes button, you will be back at the Outlook Account screen, and it will state that updates are disabled, as shown below.

![Microsoft Office updates are disabled](https://www.bleepstatic.com/images/news/Microsoft/o/outlook/missing-email/updates-disabled.jpg)**Microsoft Office updates are disabled**
7. To exit from the Account page, you can press the **Esc** key on your keyboard.

Microsoft Outlook updates will now be disabled and you can reverse these steps to enable them again when a fix is released.


*This is a developing story.*


*Update 5/11/21 6:32 PM EST: Added Safe Mode instructions non-ClickToRun Outlook users.  

Update 5/11/21 7:00 PM EST: Added instructions on how to disable Microsoft Office updates temporarily.  

Update 5/11/21 8:20 PM EST: Added updated statement from Microsoft.*





## Tags:


### Autogenerated tags:
[[microsoft]] [[bleepingcomputer]] [[add-ins]]
