# Microsoft PowerToys adds Windows 11 theme, new mouse utility
## Microsoft has added new utilities to the PowerToys toolset and updated the user interface with a new Windows 11 theme for PowerRename.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-powertoys-adds-windows-11-theme-new-mouse-utility/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 29 October 2021, 10:57
+ Date scraped: 11 December 2023, 12:22

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/30/power-toys.jpg)



Microsoft has added new utilities to the PowerToys toolset and updated the user interface with a new Windows 11 theme for PowerRename.


The Windows PowerToys were initially tiny freeware utilities created by Windows developers as side projects [during the Windows 95 era](http://en.wikipedia.org/wiki/Microsoft_PowerToys).


Microsoft revived them in September 2019 when the [first version of modern PowerToys](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-first-powertoys-preview-release-for-windows-10/) was released as an open-source toolset that allows Windows users to speed-up various tasks, from rearranging windows to file renaming.


The new Windows 11 theme for the PowerRename bulk file renaming tool made the top of the list in Microsoft changelog for the PowerToys 0.49 version.


According to Redmond, the new user interface is simpler to use and blends in better when used on Windows 11 systems.


"PowerRename's new UI brings a refreshed experience that reflects the modern UI theming of Windows 11, along with helpful regular expression guidance and file formatting tips," Microsoft [said](https://github.com/microsoft/PowerToys/releases/tag/v0.49.0).



![PowerRename Windows 11 theme](https://www.bleepstatic.com/images/news/u/1109292/2021/PowerRename_Windows11_theme.png)*PowerRename Windows 11 theme ([Niels Laute](https://twitter.com/Niels9001))*


Hit CTRL to find your mouse
---------------------------


The new [mouse utilities](https://docs.microsoft.com/en-us/windows/powertoys/mouse-utilities) category only includes a Find My Mouse tool for now. Still, Microsoft promises to expand it to include other features to enhance mouse and cursor functionality on Windows.


To use the Find My Mouse and quickly find the mouse pointer, you only have to tap the `CTRL` key twice to get a dimmed screen and see a spotlight surrounding the mouse cursor.


This will likely prove a valuable feature for both low-vision Windows users and those with high-resolution displays.


"Double press the left ctrl key to activate a spotlight that focuses on the cursor's position. Click the mouse or press the esc key to dismiss it," Microsoft [explains](https://github.com/microsoft/PowerToys/releases/tag/v0.49.0).


"If you move the mouse while the spotlight is active, the spotlight will dismiss on its own shortly after the mouse stops moving."


You can enable Find My Mouse from PowerToys' settings and toggle on an option that disables the tool from activating while playing games.



![PowerToys Find My Mouse](https://www.bleepstatic.com/images/news/u/1109292/2021/PowerToys_Find_My_Mouse.webp)*PowerToys Find My Mouse in action (Microsoft)*


Toggle off the camera and mic in conference calls
-------------------------------------------------


Video Conference Mute, the newly added feature to stable PowerToys releases, makes it easy to quickly disable your camera and microphone with a keyboard shortcut at once or separately.


The shortcuts can be customized and they are by default set to:


* `Win`+`N` to toggle both Audio and Video at the same time
* `Win`+`Shift`+`A` to toggle microphone
* `Win`+`Shift`+`O` to toggle video

When toggling off the microphone and camera using these shortcut keys, you will also see a small toolbar on your desktop which lets you know whether they are set to on, off, or not in use.


You can also customize the toolbar's position from the Video Conference Mute tab in the PowerToys settings.


To use the Video Conference Mute utility, your computer needs to run at least Windows 10 version 1903 (build 18362).



![PowerToys Video Conference Mute](https://www.bleepstatic.com/images/news/u/1109292/2021/PowerToys_video_conference_mute.png)*PowerToys Video Conference Mute (BleepingComputer)*


The complete list of PowerToys tools available at the moment includes:


* **Awake:** Keeps the computer awake.
* **Color Picker:** Adds a system-wide color picker.
* **FancyZones:** Window manager that helps create window layouts for simple multi-tasking.
* **File Explorer add-ons:**Adds a File Explorer preview pane with support for SVG and Markdown.
* **Image Resizer:** Adds a context-menu image resizer.
* **Keyboard Manager:**Helps remap keys and keyboard shortcuts.
* **Mouse utilities:** Enhance your mouse and cursor.
* **PowerRename:** Advanced bulk renamer with support for regular expressions.
* **PowerToys Run:** Quick launcher similar to the macOS Spotlight.
* **Shortcut Guide:** Shows an overlay containing Windows keyboard shortcuts.
* **Video Conference Mute:** "Mute" both your microphone and camera in conference calls

Microsoft also provides a shortlist of planned PowerToys features, including a battery tracker, an animated GIF recorder, and a tool to end tasks using the mouse.


The list of future utilities that could be included in future PowerToys releases includes:


* MTND widget: Maximize to new desktop widget
* [Process terminate tool](https://github.com/indierawk2k2/PowerToys-1/blob/master/specs/Terminate%20Spec.md)
* [Animated gif screen recorder](https://github.com/indierawk2k2/PowerToys-1/blob/master/specs/GIF%20Maker%20Spec.md)
* Resource use tool: maps between a resource like a file handle to an app and vice-versa
* Better Alt+Tab including browser tab integration and search for running apps
* [Quick resolution swaps in the taskbar](https://github.com/microsoft/PowerToys/issues/27)
* [Battery tracker](https://github.com/microsoft/PowerToys/issues/7)

To install the latest Microsoft PowerToys version, you can install it by downloading and running [the PowerToys 0.49 installer from GitHub](https://github.com/microsoft/PowerToys/releases/tag/v0.49.0).





## Tags:


### Autogenerated tags:
[[powertoys]] [[windows]] [[microsoft]] [[powerrename]]
