# Microsoft PowerToys adds ‘Paste as plain text’ and Mouse Jump tools
## Microsoft has added two new utilities to the open-source PowerToys toolset to help Windows users paste text without formatting and make it easier to move the mouse across multiple screens or on ultra-wide monitors.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-powertoys-adds-paste-as-plain-text-and-mouse-jump-tools/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 01 March 2023, 22:24
+ Date scraped: 01 March 2023, 23:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/24/powertoys-bright.jpg)



Microsoft has added two new utilities to the open-source PowerToys toolset to help Windows users paste text without formatting and make moving the mouse across multiple screens or on ultra-wide monitors easier.


The new PowerToys 0.68 version also comes with new GPO policies for update toast notifications and automatic update downloads.


While you can already paste clipboard contents as plain text using CTRL+SHIFT+V, this shortcut doesn't work within native Windows apps.


As its name implies, the new "[Paste as Plain Text](https://github.com/microsoft/PowerToys/pull/23645)" tool can quickly paste the most recent clipboard content as unformatted text into any app.


The tool can be toggled on from the PowerToys Settings dialog and is activated using a global keyboard shortcut (the default shortcut is `Win`+`Shift`+`V`).


The idea behind the Paste as Plain Text module comes from a GitHub issue [opened two years ago](https://github.com/microsoft/PowerToys/issues/1684) and is heavily inspired by Steve P. Miller's free [PureText](https://stevemiller.net/PureText/) tray utility.



![Paste as Plain Text PowerToy](https://www.bleepstatic.com/images/news/u/1109292/2023/Paste%20as%20Plain%20Text%20PowerToy.png)*Paste as Plain Text PowerToy (BleepingComputer)*


​​Today's release also bundles a new [Mouse Jump](https://github.com/microsoft/PowerToys/pull/23566) utility that can also be enabled via a dedicated pane in the PowerToys Settings.


Mouse Jump is also activated using a customizable global shortcut (the default is `Win`+`Shift`+`D`).


After hitting the activation shortcut, you will see an overview of the entire desktop as a thumbnail center on the mouse pointer's position, allowing you to move the pointer to any part of the desktop quicker by significantly shortening the mouse moving distance.


"This feature would be most useful for any workstation setup that has an ultrawide monitor, or multiple monitors configured in a large screen estate, but could be used on any setup to move the mouse quickly to specific desktop locations," Michael Clayton says in the [original feature proposal GitHub issue](https://github.com/microsoft/PowerToys/issues/23216) from January.


"Traditionally, moving across a large screen estate requires repeated "swiping" of the physical mouse - moving it to the edge of its available bounds, lifting it and moving back to the opposite bound repeatedly until the pointer has moved to the desired location."



 
*Mouse Jump PowerToy in action (Michael Clayton)* 
​​The Microsoft PowerToys toolset was initially a collection of tiny freeware utilities developed as side projects by Windows developers [during the Windows 95 era](http://en.wikipedia.org/wiki/Microsoft_PowerToys).


In September 2019, Microsoft decided to revive them and released the [first version of the modern PowerToys](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-first-powertoys-preview-release-for-windows-10/) open-source utility pack, which adds extra functionality to Windows and speeds up various tasks without using third-party tools.


PowerToys is available through the [Microsoft Store](https://aka.ms/getPowertoys) or from Microsoft's [PowerToys GitHub page](https://github.com/microsoft/PowerToys/releases/tag/v0.68.0), where you can also find additional info on improvements, changes, and bug fixes included with this release.





## Tags:


### Autogenerated tags:
[[powertoys]] [[microsoft]] [[windows]] [[github]]
