# Microsoft WinGet package manager failing due to CDN issues
## Microsoft's WinGet package manager is currently having problems installing or upgrading packages due to the Azure Content Delivery Network (CDN) returning a 0-byte database file.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-winget-package-manager-failing-due-to-cdn-issues/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 07 November 2022, 19:12
+ Date scraped: 07 November 2022, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/01/windows-11-glow-glass.jpg)



Microsoft's WinGet package manager is currently having problems installing or upgrading packages due to the Azure Content Delivery Network (CDN) returning a 0-byte database file.


The Windows Package Manager (WinGet) was [released in May 2020](https://www.bleepingcomputer.com/news/security/winget-how-to-use-windows-10s-new-native-package-manager/) and allows users to install applications directly from the command line.


Starting over the weekend, Windows users began reporting that when they attempted to install or upgrade apps using WinGet, they would receive different errors depending on the operation.


For example, `winget upgrade` would display an error stating, "Failed in attempting to update the source: winget" and `winget install <program>` would display the error, "An unexpected error occurred while executing the command: 0x8a15000f : Data required by the source is missing".


In tests conducted by BleepingComputer, we could produce the error on multiple devices, as shown below.



![WinGet displaying error](https://www.bleepstatic.com/images/news/Microsoft/w/winget/cdn-issues/winget-install.jpg)**WinGet displaying error**  
*Source: BleepingComputer*


Windows users posted in a [GitHub issue](https://github.com/microsoft/winget-cli/issues/2666) that the problem appears to be a CDN issue causing a zero-byte file to be sent back rather than the complete index of available applications.


Like other package managers, WinGet uses a default repository to retrieve the available packages, which for WinGet is located at https://cdn.winget.microsoft.com/cache/source.msix.


However, starting over the weekend, this repository began to return an empty, zero-byte file causing WinGet to no longer work correctly.



![Empty source.msix file](https://www.bleepstatic.com/images/news/Microsoft/w/winget/cdn-issues/file-properties.jpg)**Empty source.msix file**  
*Source: BleepingComputer*


Microsoft Product Manager Demitrius Nelon has since [confirmed](https://github.com/microsoft/winget-cli/issues/2666#issuecomment-1305986331) that they are suffering a CDN issue causing these errors for certain users.


"Hey everyone. We've been having a CDN issue. We're working through it. It's not affecting all users," explained Nelon.


While some users have been able to modify their HOSTS file to point to a working IP address for the CDN, others, including BleepingComputer, found that it did not resolve the issue.


If you are using WinGet, your best bet is to wait for Microsoft to fix the CDN issue, and the package manager should automatically begin working again.


*Thx to Janson and Joel for the story tip.*





## Tags:
***urls***: https://cdn.winget.microsoft.com/cache/source.msix

### Autogenerated tags:
[[winget]] [[cdn]] [[bleepingcomputer]] [[microsoft]] [[windows]]
