# Microsoft: Windows 10 21H2 is reaching end of service in June
## Microsoft reminded customers today that multiple editions of Windows 10, version 21H2, will reach the end-of-service (EOS) in two months, on June 13, 2023.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-10-21h2-is-reaching-end-of-service-in-june/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 06 April 2023, 17:48
+ Date scraped: 06 April 2023, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/09/15/Windows_10.jpg)



Microsoft reminded customers today that multiple editions of Windows 10, version 21H2, will reach the end-of-service (EOS) in two months, on June 13, 2023.


This applies to the following Windows 10 editions released in November 2021: Home, Pro, Pro Education, and Pro for Workstations.


"These editions will no longer receive security updates after June 13, 2023," Microsoft [said](https://learn.microsoft.com/en-us/lifecycle/announcements/windows-10-21h2-end-of-servicing) in an initial announcement on March 14.


"Customers who contact Microsoft Support after this date will be directed to update their device to the latest version of Windows 10 or upgrade to Windows 11 to remain supported."


After the end-of-service date is reached, Windows 10 21H2 devices running Home and Pro editions will no longer receive security and monthly quality updates with bug fixes and patches for recently discovered security threats.


Windows 10 20H2 for enterprise and education users is also reaching EOS next month, after multiple other versions (Home, Pro, Pro Education, and Pro for Workstations) reached it one year ago, on May 10, 2022.


Microsoft provides customers with a complete [list of all products](https://docs.microsoft.com/en-us/lifecycle/end-of-support/end-of-support-2022) reaching their ending support or that will be retired later this year.


You can find more details regarding Windows end-of-service dates in the [Windows Lifecycle FAQ](https://docs.microsoft.com/en-us/lifecycle/faq/windows), the [Windows 10 Servicing Frequently Asked Questions](https://support.microsoft.com/help/4035050/windows-10-serviced-versions-frequently-asked-questions), and with the help of the [Lifecycle Policy search tool](https://docs.microsoft.com/en-us/lifecycle/products/?terms=windows).


## Latest Windows versions in broad deployment


Windows 10 22H2 (the Windows 10 2022 Update) has reached broad deployment and is available to everyone via Windows Update, starting November 2022.


It is currently being offered to customers with eligible devices running Windows 10 20H2 or later that are not affected by compatibility holds and haven't been configured to defer feature updates.


However, Microsoft will force the Windows 10 2022 Update to consumer and non-managed business devices running Windows 10 20H2 until it reaches EOS this June.


"To help keep you protected and productive, Windows Update will automatically initiate a feature update for Windows 10 consumer devices and non-managed business devices that are at, or within several months of reaching end of servicing," [Microsoft said today](https://learn.microsoft.com/en-us/windows/release-health/windows-message-center#3062).


"This keeps your device supported and receiving monthly updates that are critical to security and ecosystem health. For these devices, you will be able to [choose a convenient time](https://support.microsoft.com/windows/get-updates-when-you-re-away-from-your-pc-with-active-hours-in-windows-09b5376c-7647-4361-1423-c29aa692a8c4#WindowsVersion=Windows_10) for your device to restart and complete the update."



![Windows 10 22H2 feature update](https://www.bleepstatic.com/images/news/u/1109292/2022/Windows%2010%2022H2%20update.png)*Windows 10 22H2 feature update (BleepingComputer)*


Windows 11 22H2 (aka the Windows 11 2022 Update) is now also [broadly available](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-11-22h2-now-available-for-all-eligible-devices/) for eligible devices, with Redmond [force installing](https://www.bleepingcomputer.com/news/microsoft/microsoft-starts-force-upgrading-windows-11-21h2-devices/) it on systems running Windows 11 21H2, a release that is quickly approaching its end-of-service date on October 10, 2023.


"Since Windows 10, we have been helping Windows users stay up to date and secure with supported versions of Windows through automatic updates," the company [explains](https://learn.microsoft.com/en-us/windows/release-health/status-windows-11-22h2) on the Windows release health dashboard.


"We are utilizing this same approach for Windows 11 to help you stay protected and productive. As always, you will have the ability to choose a convenient time for your device to restart and complete the update."





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[end-of-service]] [[21h2]] [[20h2]] [[22h2]]
