# Microsoft: Windows 11 21H2 reaching end of service in October
## Microsoft warned customers today that multiple editions of Windows 11, version 21H2, will reach the end-of-service (EOS) in three months, on October 10, 2023.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-11-21h2-reaching-end-of-service-in-october/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 July 2023, 14:52
+ Date scraped: 10 July 2023, 19:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/07/10/Windows_11.jpg)



Microsoft warned customers today that multiple editions of Windows 11, version 21H2, will reach the end-of-service (EOS) in three months, on October 10, 2023.


This applies to Windows 11 21H2 editions released in October 2021: Home, Pro, Pro Education, and Pro for Workstations.


"These editions will no longer receive security updates after October 10, 2023," Microsoft [announced](https://learn.microsoft.com/en-US/lifecycle/announcements/windows-11-21h2-end-of-servicing) Monday.


"Customers who contact Microsoft Support after this date will be directed to update their device to the latest version of Windows 11 to remain supported."


After the end-of-service date, Windows 10 21H2 devices running the above Home and Pro editions will no longer receive security and monthly quality updates with fixes and patches for newly discovered bugs and security issues.


Multiple editions of Windows 10 21H2 (the Windows November 10 2021 Update) [also reached EOS](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-10-21h2-has-reached-end-of-servicing/) earlier this month.


Microsoft also provides users [with a list of all products](https://docs.microsoft.com/en-us/lifecycle/end-of-support/end-of-support-2022) that will reach the end of their support or be retired in the coming months.


Customers can refer to the [Windows Lifecycle FAQ](https://docs.microsoft.com/en-us/lifecycle/faq/windows) and the [Lifecycle Policy search tool](https://docs.microsoft.com/en-us/lifecycle/products/?terms=windows) for further information regarding the specific end-of-service dates for Windows.


## ​Windows 11 2022 Update now force-installing on some devices


​Windows 11 22H2 (aka the Windows 11 2022 Update) has entered [widespread availability](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-11-22h2-now-available-for-all-eligible-devices/) for Windows devices meeting the eligibility criteria since October.


You can confirm Windows 11 upgrade eligibility by checking the [Windows 11 specs, features, and computer requirements](https://www.microsoft.com/windows/windows-11-specifications) or with the help of the [PC Health Check app](https://www.microsoft.com/windows/windows-11#pchealthcheck).


Notably, Microsoft is also [force-installing](https://www.bleepingcomputer.com/news/microsoft/microsoft-starts-force-upgrading-windows-11-21h2-devices/) this update on systems currently running Windows 11 21H2, which is rapidly approaching its EOS date.



![Windows 11 22H2 feature update](https://www.bleepstatic.com/images/news/u/1109292/2022/windows-11-22h2-windows-update.jpg)*Windows 11 22H2 feature update (BleepingComputer)*


​"In January 2023, Home and Pro consumer and non-managed business devices running Windows 11, version 21H2 started to automatically update to version 22H2," Microsoft [says](https://learn.microsoft.com/en-us/windows/release-health/status-windows-11-22h2) on the Windows release health dashboard.


"Since Windows 10, we've been helping Windows users stay up to date and secure with supported versions of Windows through automatic updates.


"We're using the same approach for Windows 11 to help you stay protected and productive. And remember: you can choose a convenient time for your device to restart and complete the update."


Microsoft also provides this [support document](http://support.microsoft.com/help/4089834) and a [guided walk-through](https://support.microsoft.com/en-us/help/10164/fix-windows-update-errors) to help resolve any issues experienced during the Windows 11 22H2 upgrade.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[21h2]] [[22h2]] [[end-of-service]]
