# Microsoft: Windows update to permanently disable Internet Explorer
## Microsoft confirmed today that a future Windows update will permanently disable the Internet Explorer web browser on users' systems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-update-to-permanently-disable-internet-explorer/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 15 June 2022, 15:56
+ Date scraped: 15 June 2022, 16:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/17/Internet-Explorer__headpic.jpg)



Microsoft confirmed today that a future Windows update will permanently disable the Internet Explorer web browser on users' systems.


This was revealed on Wednesday, June 15, the day Internet Explorer has finally reached its end of life for the Windows 10 semi-annual channel (SAC) servicing option.


As BleepingComputer [previously reported](https://www.bleepingcomputer.com/news/microsoft/internet-explorer-almost-breathes-its-final-byte-on-wednesday/), the now-retired web browser will start redirecting users to the new Chromium-based Microsoft Edge when launching the Internet Explorer 11 desktop application.


"Users will still see the Internet Explorer icon on their devices (such as on the taskbar or in the Start menu) but if they click to open Internet Explorer, Microsoft Edge will open instead with easy access to IE mode," said the General Manager for Microsoft Edge Enterprise Sean Lyndersay today.


"Eventually, ***Internet Explorer* *will be disabled permanently as part of a future Windows Update***, at which point the Internet Explorer icons on users' devices will be removed." [emphasis ours]


During this redirection process, the users' data (including settings, favorites, and passwords) will be imported into Microsoft Edge to make the switch easier.


Microsoft will also add a "Reload in IE mode" button to Edge's toolbar to help users quickly launch sites requesting to be opened in Internet Explorer using IE mode.



![Internet Explorer redirect message](https://www.bleepstatic.com/images/news/u/1109292/2022/Internet_Explorer_redirect_message.png)*Internet Explorer redirect message (Microsoft)*


Internet Explorer has been automatically launching Microsoft Edge when visiting incompatible sites starting with October 2020.


The [list of incompatible sites](https://edge.microsoft.com/neededge/v1) (managed by Microsoft) currently contains 1,427 sites, including Twitter, Facebook, Instagram, Google Drive, Microsoft Teams, and many others.


## Microsoft Edge is the future


While officially retired from multiple Windows 10 versions and not shipping with Windows 11, Internet Explorer will still be available on Windows 7 ESU, Windows 8.1, and all versions of Windows 10 LTSC client, IoT, and Server.


On systems running these Windows versions, the web browser will continue receiving technical support and security updates for the lifecycle of the Windows version it runs on.


Microsoft has been encouraging customers to switch from Internet Explorer to Microsoft Edge for years—you can learn more about IE mode and how to make the switch in this [getting started guide](https://aka.ms/IEModeGuide).


"Customers are encouraged to move to Microsoft Edge with IE mode. IE mode enables backward compatibility and will be supported through at least 2029," Redmond says.


To enable IE mode in Microsoft Edge, you have to go to *edge://settings/defaultbrowser*, enable the '*Allow sites to be reloaded in Internet Explorer*' option, and restart the web browser.


In August 2020, Microsoft first [announced plans to ditch support](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-plans-to-ditch-legacy-edge-in-windows-10/) for Internet Explorer 11 web browsers in Windows 10 and Microsoft 365, with an [official announcement](https://www.bleepingcomputer.com/news/microsoft/microsoft-to-retire-internet-explorer-on-some-windows-10-versions/) of the retirement issued on May 19, 2021.


[Microsoft also discontinued IE support in Teams](https://www.bleepingcomputer.com/news/microsoft/microsoft-really-wants-you-to-stop-using-internet-explorer/) on November 30, 2020, and ended support across Microsoft 365 apps and services [on August 17, 2021](https://www.bleepingcomputer.com/news/microsoft/microsoft-365-drops-support-for-internet-explorer-11-in-august/).


Other Microsoft apps and services have also ended support for Internet Explorer over the last years—a complete list is available [here](https://docs.microsoft.com/en-us/lifecycle/announcements/internet-explorer-11-support-end-dates).






## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]]
