# Microsoft adds Office subscriptions to Windows 11 account settings
## Microsoft has improved the account settings in the latest Windows 11 preview build, a settings page that now lists Office subscriptions linked to the user's Microsoft 365 account.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-adds-office-subscriptions-to-windows-11-account-settings/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 25 May 2022, 18:31
+ Date scraped: 25 May 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/26/Windows_11_HDR.jpg)



Microsoft has improved the account settings in the latest Windows 11 preview build, a settings page that now lists Office subscriptions linked to the user's Microsoft 365 account.


The Windows Insider team started rolling out a new 'Your Microsoft account' settings page within Windows 11's Settings [in October 2021](https://blogs.windows.com/windows-insider/2021/10/27/announcing-windows-11-insider-preview-build-22489/).


The end goal is to provide users with all the information they need on their Microsoft accounts (such as Microsoft 365 subscriptions) from within the OS, eliminating the need to log into their account on the web.


"With this build, we're making it easier for you to view all supported Office perpetual products such as [Office 2021](https://www.microsoft.com/microsoft-365/get-started-with-office-2021) or [Office 2019](https://www.microsoft.com/microsoft-365/previous-versions/microsoft-office-2019) associated with your account within Settings > Accounts," Microsoft's Amanda Langowski and Brandon LeBlanc said today.


"This update will allow you to view all supported Microsoft 365 Office products licensed to your account and you can view details about your product or install Office by clicking the 'View Details' button."


You can now access this info (previously only available on the [Microsoft account management page](https://account.microsoft.com/)) from Windows by going into Settings > Accounts.


The new feature has started rolling out to Windows Insiders in the Dev Channel, who have installed Windows 11 Insider Preview Build 25126.



![M365 Office products listed in Account settings](https://www.bleepstatic.com/images/news/u/1109292/2022/Office%20products%20listed%20in%20Account%20settings.png)*M365 Office products listed in Account settings (BleepingComputer)*


In today's Windows 11 dev build, Microsoft also addressed a known issue that rolled back installations of the latest builds in the Dev Channel following bugchecks with DRIVER\_IRQL\_NOT\_LESS\_OR\_EQUAL errors in pci.sys.


Redmond is also working on mitigating a CPU usage issue, causing the Program Compatibility Assistant Service to use large amounts of resources after upgrades to the latest Insider Preview builds in the Windows 11 Dev Channel.


This build also fixed an explorer.exe crash when using Search and a Task Manager freeze when explorer.exe would become unresponsive.


Microsoft [released the first ISO image for the new Windows 11 Dev preview builds](https://www.bleepingcomputer.com/news/microsoft/microsoft-releases-first-iso-image-for-new-windows-11-dev-builds/) earlier this month, enabling Windows Insiders to clean install the operating system.


Microsoft also began testing a new Windows 11 feature with a small subset of Windows Insiders that displays an Internet search box on the OS desktop.


You can find detailed steps to enable the new Desktop Search bar in Windows 11 using ViveTool in [our previous report](https://www.bleepingcomputer.com/news/microsoft/microsoft-tests-new-windows-11-desktop-search-that-only-works-with-edge/).





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]]
