# Microsoft adds Windows 10 HDR support for Photoshop, Lightroom
## Microsoft has added HDR support to color managed apps to access your display's whole color gamut in the latest Windows 10 build released for Insiders in the Dev Channel.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-adds-windows-10-hdr-support-for-photoshop-lightroom/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 14 May 2021, 14:02
+ Date scraped: 12 December 2023, 13:07

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/14/Windows-10.jpg)



Microsoft has added HDR support to color managed apps to access your display's whole color gamut in the latest Windows 10 build released for Insiders in the Dev Channel.


"HDR mode changes the behavior of some creative and artistic apps that use International Color Consortium (ICC) display color profiles, such as Adobe Photoshop, Adobe Lightroom Classic, and CorelDraw (amongst others)," Microsoft's Amanda Langowski and Brandon LeBlanc [said](https://blogs.windows.com/windows-insider/2021/05/14/announcing-windows-10-insider-preview-build-21382/).


While, in the past, color managed apps were limited to only accessing the sRGB color gamut on Windows 10, this newly added feature will allow color-managed applications to get accurate color and access the whole gamut of your HDR display.


"To turn this feature on, close your application, right-click the app's icon and click in Properties > Compatibility tab and then under Settings select 'Use legacy display ICC color management'," Langowski and LeBlanc [added](https://blogs.windows.com/windows-insider/2021/05/14/announcing-windows-10-insider-preview-build-21382/).


[Color managed apps](https://support.microsoft.com/en-us/windows/about-color-management-2a2ed8fa-cf09-83c5-e55c-d1428519f616) such as Adobe's Photoshop and Lightroom Classic can accurately display colors outside color spaces outside sRGB and can assign different color profiles to different display devices, creating a uniform color experience across a user's devices.



![Enable HDR mode](https://www.bleepstatic.com/images/news/u/1109292/2021/Enable-HDR-support.png)*Image: Microsoft*


Starting with this Windows 10 build, the Start menu will also launch after finishing an upgrade or clean install or upgrade to help you get to your apps quicker.


The new icons for generic File Explorer folders have been updated to indicate when they contain files and documents.


Microsoft has also recently added a new [Device Manager 'Devices by driver' view mode](https://www.bleepingcomputer.com/news/microsoft/windows-10-device-manager-update-makes-removing-drivers-easier/) to see the devices using a specific driver for easier driver management and uninstalling.


Redmond's devs have also added 'Drivers by type' and 'Drivers by device' view modes that group the .inf driver files by the type of device and display the .inf files under the name of the device using it, respectively.


This new feature will most likely be included in the [Windows 10 Sun Valley UI refresh](https://www.bleepingcomputer.com/news/microsoft/the-windows-10-sun-valley-design-refresh-heres-whats-coming/) rolling out with the Windows 10 21H2 update in Fall 2021.



![Devices by driver Device Manager view mode](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/device-manager-upgrade/devices-by-driver.jpg)*Image: BleepingComputer*


The Windows 10 Insider Preview Build 21382 released for Windows Insiders in the Dev Channel also comes with a long list of fixes, including:


* We fixed an issue in the previous flight where after updating some devices unexpectedly showed a warning in the taskbar indicating the version of Windows 10 had reached end of service.
* We fixed an issue impacting explorer.exe reliability.
* We fixed an issue that could result in multiple hung SearchProtocolHost.exe processes.
* We fixed a memory leak that could result in DWM unexpectedly using a lot of memory over time.
* We fixed an issue resulting in certain notification toasts unexpected not firing.
* We fixed an issue resulting in delayed audio playback on ARM64 devices.
* We fixed an issue where the new unified audio endpoint work wasn’t displaying on ARM64 devices.
* We fixed an issue that could result in certain games launching to a black screen in recent builds.
* We fixed an issue where if you select the System option after pressing WIN + X it would just open Settings and not navigating to the About page.
* We fixed an issue resulting in certain devices unexpectedly being listed twice on the Printers and Scanners page in Settings.
* We fixed an issue that could result in Windows Update failing with error 0x80070003.
* We fixed an issue that could cause pixilation when a colored mouse pointer was set to be a large size.
* We fixed an issue where the cursive style for closed captions wasn’t displaying in the list on the Captions page in Settings.
* We fixed an issue where Japanese touch keyboard in 50-on or 12-key layout could show a non-functional and broken text candidate.
* We fixed an issue where incorrect spacing was applied when using the voice typing to type a parenthesis.
* We fixed an issue where when using the handwriting panel to write Chinese, pressing the return key wasn’t committing the text.





## Tags:


### Autogenerated tags:
[[windows]] [[apps]] [[microsoft]] [[hdr]]
