# Microsoft blames ‘unsupported processor’ blue screens on OEM vendors
## Microsoft says the recent wave of blue screens impacting some Windows users is not caused by issues in its August 2023 optional updates.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-blames-unsupported-processor-blue-screens-on-oem-vendors/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 28 August 2023, 12:23
+ Date scraped: 28 August 2023, 17:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/10/Windows.jpg)



Microsoft says the recent wave of blue screens impacting some Windows users is not caused by issues in its August 2023 optional updates.


Instead, the company implies that the root cause is an incompatibility problem with the affected devices' firmware and asks those impacted by the issue to reach out to the CPU manufacturer for a solution.


"After investigating these reports, we have found that the 'UNSUPPORTED\_PROCESSOR' error was not caused by issues in KB5029351 and is limited to a specific subset of processors," Microsoft [said](https://learn.microsoft.com/en-us/windows/release-health/status-windows-11-22h2#microsoft-received-reports-about-an--unsupported-processor--error).


"We are collaborating with device manufacturers (OEMs) and will temporarily mitigate this issue by not offering KB5029351 to Windows devices that might be affected by this issue."


​Microsoft first [acknowledged this known issue](https://www.bleepingcomputer.com/news/microsoft/new-windows-updates-cause-unsupported-processor-blue-screens/) on Wednesday, saying that affected platforms include Windows 11 22H2 and Windows 10 21H2/22H2.


Redmond added that the buggy optional update "might automatically uninstall to allow Windows to start up as expected" and warned customers not to reinstall it to avoid further issues.


This was confirmed by [user](https://www.reddit.com/r/Windows11/comments/15ybvgn/august_22_2023kb5029351_os_build_226212215_preview/jxg4y04/) [reports](https://www.reddit.com/r/Windows11/comments/15ybvgn/august_22_2023kb5029351_os_build_226212215_preview/jxg6kad/) who said that the troublesome updates were automatically rolled back following multiple system reboots.



![UNSUPPORTED_PROCESSOR BSOD](https://www.bleepstatic.com/images/news/u/1109292/2023/UNSUPPORTED_PROCESSOR%20BSOD.jpg)*UNSUPPORTED\_PROCESSOR BSOD (MSI)*


Incompatibility issues confirmed by MSI​
----------------------------------------


While Microsoft suggests that users should reach out to their device's processor manufacturer (e.g., Intel and AMD) if they continue experiencing issues, only Taiwanese PC vendor MSI has officially confirmed that users of some of its motherboard models might be affected by this known issue.


"MSI has received several reports of users encountering a Blue Screen of Death that has an error message that reads 'UNSUPPORTED\_PROCESSOR' with MSI's 600/700 series motherboards after installing the Windows 11 update, KB5029351 Preview," the company [said](https://www.msi.com/news/detail/MSI-On--UNSUPPORTED-PROCESSOR--Error-Message-of-Windows-11-Update-KB5029351-Preview-142215) on Friday.


"Both MSI and Microsoft are aware of the 'UNSUPPORTED\_PROCESSOR' error and have begun investigating the root cause."


MSI has also cautioned all users against installing the August 2023 preview updates on their Windows devices.


For those who have already deployed these updates and experienced blue screens, the recommended course of action involves reverting their BIOS to an earlier version and uninstalling the problematic optional Windows updates.


The computer hardware vendor provides guidance on using M-FLASH to revert motherboard firmware to a previous version [in this video](https://www.youtube.com/watch?v=sKMub20CUNI).


Intel and AMD spokespersons were not available for comment when contacted by BleepingComputer earlier today.





## Tags:


### Autogenerated tags:
[[windows]] [[msi]] [[microsoft]] [[kb5029351]]
