# Microsoft confirms Windows Server issue behind domain controller crashes
## Microsoft confirmed that a memory leak introduced with the March 2024 Windows Server security updates is behind a widespread issue causing Windows domain controllers to crash.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-confirms-windows-server-issue-behind-domain-controller-crashes/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 21 March 2024, 08:27
+ Date scraped: 21 March 2024, 14:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/01/04/Windows__Server.jpg)



Microsoft confirmed that a memory leak introduced with the March 2024 Windows Server security updates is behind a widespread issue causing Windows domain controllers to crash.


As BleepingComputer [first reported](https://www.bleepingcomputer.com/news/microsoft/new-windows-server-updates-cause-domain-controller-crashes-reboots/) on Wednesday and as [many](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kusp4bs/) [admins](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kvlf7ed/) [have](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kvfqg5p/) [warned](https://techcommunity.microsoft.com/t5/exchange-team-blog/released-march-2024-exchange-server-security-updates/bc-p/4088764/highlight/true#M38300) over the last week, affected servers are freezing and restarting unexpectedly due to a Local Security Authority Subsystem Service (LSASS) process memory leak introduced with this month's cumulative updates.


"Since installation of the march updates (Exchange as well as regular Windows Server updates) most of our DCs show constantly increasing lsass memory usage (until they die)," one admin [said](https://techcommunity.microsoft.com/t5/exchange-team-blog/released-march-2024-exchange-server-security-updates/bc-p/4088764/highlight/true#M38300).


"Our symptoms were ballooning memory usage on the lsass.exe process after installing KB5035855 (Server 2016) and KB5035857 (Server 2022) to the point that all physical and virtual memory was consumed and the machine hung," another Windows admin told BleepingComputer.


The known issue impacts all domain controller servers with the latest Windows Server 2012 R2, 2016, 2019, and 2022 updates.


It also only affects enterprise systems using the impacted Windows Server platform; home users are not affected.


"Following installation of the March 2024 security update, released March 12, 2024 (KB5035857), Local Security Authority Subsystem Service (LSASS) may experience a memory leak on domain controllers (DCs)," Microsoft [says](https://learn.microsoft.com/en-us/windows/release-health/status-windows-server-2022#3271msgdesc).


"This is observed when on-premises and cloud-based Active Directory Domain Controllers service Kerberos authentication requests. Extreme memory leaks may cause LSASS to crash, which triggers an unscheduled reboot of underlying domain controllers (DCs)."


Microsoft has identified the root cause and is working on a fix, which will be released soon.


Temporary workaround
--------------------


Until Microsoft releases a fix for this severe memory leak issue and if they're unwilling to monitor affected systems' memory usage and reboot them when needed, Windows admins are advised to remove the troublesome updates from their domain controllers.


"Microsoft Support has recommended that we uninstall the update for the time being," the same admin told BleepingComputer.


To remove these buggy updates, open an elevated command prompt from the Start menu by typing 'cmd,' right-clicking the Command Prompt application, and then clicking 'Run as Administrator.'


Next, depending on what update you have installed on affected domain controllers, run one of the following commands:



```
wusa /uninstall /kb:5035855

wusa /uninstall /kb:5035849

wusa /uninstall /kb:5035857
```

In December 2022, Microsoft resolved [another LSASS memory leak](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-server-issue-causing-freezes-restarts/) affecting domain controllers. After installing Windows Server updates released during the November 2022 Patch Tuesday, [impacted servers would freeze and restart](https://www.bleepingcomputer.com/news/microsoft/new-windows-server-updates-cause-domain-controller-freezes-restarts/).


Additionally, in March 2022, Microsoft fixed [one more LSASS crash](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-domain-controller-restarts-caused-by-lsass-crashes/) that caused unexpected reboots of Windows Server domain controllers.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[lsass]] [[uninstall]] [[bleepingcomputer]] [[dcs]] [[wusa]]
