# Microsoft disables Google's FLoC tracking in Microsoft Edge, for now
## Microsoft has disabled Google's controversial FLoC browser-based tracking feature in their Chromium-based Microsoft Edge browser.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-disables-googles-floc-tracking-in-microsoft-edge-for-now/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 19 April 2021, 13:41
+ Date scraped: 12 December 2023, 14:19

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/12/10/Microsoft-Edge.jpg)



Microsoft has disabled Google's controversial FLoC browser-based tracking feature in their Chromium-based Microsoft Edge browser.


This month, Google began testing a new tracking platform called Federated Learning of Cohorts, or FLoC, that places users in anonymous buckets, or cohorts, based on their interest and browsing behavior.


Unlike third-party cookies used by advertisers to track your behavior and interests across different sites, FLoC  is built into the web browser, which assigns you to behavior cohorts and shares that information with websites and advertisers.


As FLoC is a Google browser-based feature, it is currently only supported on Google Chrome and Chromium-based browsers through a component named 'Federated Learning of Cohorts.'



![Chromium 90 build with Federated Learning of Cohorts component](https://www.bleepstatic.com/images/news/web-browsers/edge/FLoC/chromium-floc-component.jpg)**Chromium 90 build with Federated Learning of Cohorts component**


When building Chromium-based browsers, Google has enabled support for FLoC by default, as [shown in Chromium's source code.](https://chromium.googlesource.com/chromium/src/+/refs/tags/90.0.4430.83/chrome/browser/BUILD.gn)


This means that other companies who develop Chromium-based browsers, such as Microsoft Edge, will automatically have the component installed as well unless they specifically disable it.


Such is the case with Microsoft Edge, where FLoC has not been enabled, and the component is not available in the browser even if enabled via command-line arguments.



![Browser components enabled in Microsoft Edge](https://www.bleepstatic.com/images/news/web-browsers/edge/FLoC/edge-components.jpg)**Browser components enabled in Microsoft Edge**


When we reached out to Microsoft to confirm if FLoC was intentionally disabled, we were not given a clear answer. Microsoft instead pivoted to their favoring of a Microsoft-led proposal called PARAKEET.



> 
> "We believe in a future where the web can provide people with privacy, transparency and control while also supporting responsible business models to create a vibrant, open and diverse ecosystem. Like Google, we support solutions that give users clear consent, and do not bypass consumer choice. That’s also why we do not support solutions that leverage non-consented user identity signals, such as fingerprinting. The industry is on a journey and there will be browser-based proposals that do not need individual user ids and ID-based proposals that are based on consent and first party relationships. We will continue to explore these approaches with the community. Recently, for example, we were pleased to introduce one possible approach, as described in our [PARAKEET proposal](https://github.com/WICG/privacy-preserving-ads/blob/main/Parakeet.md). This proposal is not the final iteration but is an evolving document." - Microsoft.
> 
> 
> 


However, in conversations with people familiar with Microsoft's plans, we were told that they plan to wait and watch how FLoC evolves before committing to any particular platform.


Other developers reject or hold off implementing FLoC
-----------------------------------------------------


Other browser developers are also holding off on implementing FLoC in their browsers to see how the tests go and how people react to it's test.


In a statement shared with BleepingComputer, Mozilla states that they are currently evaluating various advertising proposals but have not implemented any of the platforms in Mozilla Firefox.



> 
> "We are currently evaluating many of the privacy preserving advertising proposals, including those put forward by Google, but have no current plans to implement any of them at this time.
> 
> 
> We don’t buy into the assumption that the industry needs billions of data points about people, that are collected and shared without their understanding, to serve relevant advertising. That is why we’ve implemented Enhanced Tracking Protection by default to block more than ten billion trackers a day, and continue to innovate on new ways to protect people who use Firefox.
> 
> 
> Advertising and privacy can co-exist. And the advertising industry can operate differently than it has in past years. We look forward to playing a role in finding solutions that build a better web." - Mozilla.
> 
> 
> 


While Apple has not made a public statement about whether they support FLoC, Safari browser engineer John Wilander, who works the Tracking Prevention feature, has stated that they will wait and see as well.



However, privacy advocates and browser developers, including Brave, Vivaldi, the EFF, and DuckDuckGo, have already stated that they believe FLoC is a bad idea and will not be supporting it.


* EFF has stated that "[Google’s FLoC Is a Terrible Idea](https://www.eff.org/deeplinks/2021/03/googles-floc-terrible-idea)."
* WordPress is proposing adding code to their blogging platform that automatically [disables FLoC on WordPress sites](https://www.bleepingcomputer.com/news/security/wordpress-may-automatically-disable-google-floc-on-websites/).
* [Brave Browser](https://brave.com/why-brave-disables-floc/) and [Vivaldi](https://vivaldi.com/blog/no-google-vivaldi-users-will-not-get-floced/) have [disabled FLoC it in their browsers](https://www.bleepingcomputer.com/news/security/vivaldi-brave-duckduckgo-reject-googles-floc-ad-tracking-tech/).
* DuckDuckGo is now blocking FLoC in their '[DuckDuckGo Privacy Essentials](https://chrome.google.com/webstore/detail/duckduckgo-privacy-essent/bkdgflcldnnnapblkhphbgpggdiikppg?hl=en)' Chrome browser extension used by over 5 million people.

Even with the lack of support from browser developers and privacy advocates, with Google holding close to a 70% web browser market share, it may be challenging to get rid of FLoC at this point for those who use Google Chrome.





## Tags:


### Autogenerated tags:
[[google]] [[microsoft]] [[chromium-based]] [[browser-based]] [[mozilla]]
