# Microsoft fixes Windows 10 bug that can corrupt NTFS drives
## Microsoft has fixed a bug that could allow a threat actor to create specially crafted downloads that crash Windows 10 simply by opening the folder where they are downloaded.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-fixes-windows-10-bug-that-can-corrupt-ntfs-drives/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 17 April 2021, 11:08
+ Date scraped: 12 December 2023, 14:22

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/17/windows-10-sapphire.jpg)



Microsoft has fixed a bug that could allow a threat actor to create specially crafted downloads that crash Windows 10 simply by opening the folder where they are downloaded.


In January, we reported on a new Windows 10 vulnerability discovered by [Jonas Lykkegård](https://twitter.com/jonasLyk) that allows any user or program, even those with low privileges, to [mark an NTFS drive as corrupted simply by accessing the special ​folder](https://www.bleepingcomputer.com/news/security/windows-10-bug-corrupts-your-hard-drive-on-seeing-this-files-icon/).


What is particularly concerning is how easy it is easy to trigger the bug. By simply changing to the folder in a command prompt, accessing it from the Run: field, opening it from File Explorer, Windows 10 would mark the drive as dirty and prompt you to reboot your computer and run chkdsk, as shown below.



![​ Accessing an NTFS path triggers a corruption warning](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/bugs/ntfs-corruption-fix/ntfs-corruption-bug.jpg)​  
**Accessing an NTFS path triggers a corruption warning**


To make matters worse, threat actors and pranksters began distributing fake tools, malicious shortcuts, or malware [[1](https://www.virustotal.com/gui/file/0ccd9adffd4680547b512ddcc715a5c54d6f402c85ccec0cf0f42f8d55e08fe2/detection), [2](https://www.virustotal.com/gui/file/7061f2d5ad03e78f427891b4a810560445a266e64615cb2b5421dda2324849a6/content/strings), [3](https://www.virustotal.com/gui/file/e8652055e62acd3cdf1f6e9de111d925bb20473858d874a7de4eb7abc365fe07/detection), [4](https://www.virustotal.com/gui/file/64e86bc630eb97b3ad3c15e0a0d4646f3e32cfbadc29551c9e1c573cb0c994e4/detection)] on Discord and social media that, when executed, would access the folder and trigger the bug.


Threat actors could also use the bug to force a crash of a breached system to hide their activities.


While the error generated by the bug stated the drive was corrupted, Microsoft [clarified](http://www.osr.com/blog/2021/01/21/mitigating-the-i30bitmap-ntfs-bug/) that volume was only marked as dirty, and a reboot and chkdsk would quickly mark it as clean.


Unfortunately, in one of our and other people's tests, chkdsk did not fix the issue, and Windows 10 refused to boot again.



Microsoft fixes the NTFS corruption bug
---------------------------------------


In February, Microsoft quietly started testing the fix within Windows Insider builds. This week, as part of the April 2021 Patch Tuesday, Microsoft has finally fixed the vulnerability in all supported versions of Windows 10.


Microsoft has classified this bug as a DDoS vulnerability and is tracking it as [CVE-2021-28312](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2021-28312) with the title 'Windows NTFS Denial of Service Vulnerability.'


After installing this week's Patch Tuesday updates, BleepingComputer can confirm that the bug no longer works as it will now just display an error stating that "The directory name is invalid," as shown below.



![Accessing the path no longer marks a drive as corrupted](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/bugs/ntfs-corruption-fix/directory-name-invalid.jpg)**Accessing the path no longer marks a drive as corrupted**


BleepingComputer strongly recommends that all Windows users install the latest Patch Tuesday security updates. Not only for this vulnerability but the 107 other vulnerabilities fixed this month.





## Tags:
***CVE's***: CVE-2021-28312

### Autogenerated tags:
[[windows]] [[microsoft]] [[ntfs]] [[chkdsk]]
