# Microsoft fixes Windows 11 issue behind Remote Desktop freezes
## Microsoft has addressed a known issue causing Remote Desktop app freezes on Windows 11 systems after installing the Windows 11 2022 Update.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-11-issue-behind-remote-desktop-freezes/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 27 January 2023, 16:42
+ Date scraped: 27 January 2023, 17:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/29/windows-10-fire.jpg)



Microsoft has addressed a known issue causing the Remote Desktop app to freeze on Windows 11 systems after installing the Windows 11 2022 Update.


According to the company, home users are unlikely to experience any problems while using the app, as it utilizes a connection process different from the one on enterprise devices, which are known to be affected by this particular issue.


"After installing Windows 11, version 22H2 (also called Windows 11 2022 Update), the Windows Remote Desktop application might stop responding when connecting via a Remote Desktop gateway or Remote Desktop Connection Broker," Redmond explains on the Windows health dashboard entry published in November.


"An example of this connection scenario is when connecting to a Remote Desktop Services collection. RemoteApp and Desktop Connections are ways in which this connection is accomplished."


Microsoft has fixed this in the [KB5022360](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5022360-preview-update-released-with-15-improvements/) preview cumulative update released earlier this week on Thursday.


Since preview updates do not contain security fixes, they are optional and will not be installed automatically. Users will be prompted to click on the 'Download and install' button before Windows 11 installs the update, or they can install it manually from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=kb5022360).


As [BleepingComputer reported](https://www.bleepingcomputer.com/news/microsoft/microsoft-investigates-windows-11-22h2-remote-desktop-issues/), Microsoft began investigating this known issue in late September following a stream of reports from administrators and home users saying the Windows 11 22H2 update causes Remote Desktop clients not to connect, freeze unexpectedly, or randomly disconnect.


After installing the update, customers have also reported experiencing [Remote Desktop Services failures](https://learn.microsoft.com/en-us/answers/questions/941499/rds-connection-broker-failing-to-connect-to-local.html), [frequent remote desktop disconnects](https://learn.microsoft.com/en-us/answers/questions/1021754/windows-11-remote-desktop-frequent-disconnects.html), [remote virtual desktop not working](https://learn.microsoft.com/en-us/answers/questions/1033523/remote-desktop-stopped-working-after-updating-to-w.html), and [Remote Desktop published apps issues](https://learn.microsoft.com/en-us/answers/questions/952681/remote-desktop-apps-fail-to-appear-on-windows-22h2.html).


## Workaround also available


Affected customers who don't want to install this week's preview update and want to wait for next month's Patch Tuesday cumulative updates that will roll out to all users can work around the Remote Desktop app freezing issue by terminating the process via the Windows Task Manager.


To do that, you have to go through the following steps:


1. Press and hold the Ctrl, Shift, and Esc keys on your keyboard.
2. Select Processes from the left-hand side menu
3. In the list that appears, find the process mstsc.exe
4. Right-click on the process name and select End task

Windows admins can also resolve this known issue by configuring a special Group Policy on affected endpoints.


They have to go to Computer Configuration > Administrative Templates > Windows Components > Remote Desktop Services > Remote Desktop Connection Client and enable the "Turn Off UDP On Client" option using the Group Policy Management Console (managed devices) or the Group Policy Editor (unmanaged devices).


"Remote Desktop sessions which connect over WAN (wide-area network) might experience poor performance following the application of the below workaround," Microsoft [warned](https://learn.microsoft.com/en-us/windows/release-health/status-windows-11-22h2#connections-may-fail-when-using-remote-desktop-connection-brokers).


"Setting this policy also disables UDP (User Datagram Protocol) for all Remote Desktop connections made from the device. We strongly recommend that this Group Policy change is reverted once this issue is resolved in a future Windows update."





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]]
