# Microsoft fixes Windows bug causing File Explorer freezes
## Microsoft has addressed a known issue causing File Explorer on Windows 11 and Windows Server systems after viewing a file's effective access permissions.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-bug-causing-file-explorer-freezes/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 28 June 2023, 13:15
+ Date scraped: 28 June 2023, 18:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/01/10/Windows_headpic.jpg)



Microsoft has addressed a known issue causing File Explorer on Windows 11 and Windows Server systems after viewing a file's effective access permissions.


When users of affected devices click the "View effective access" button under Properties > Advanced to check a shared file or folder effective permissions, they may see a message stating "Computing effective access...." without displaying the query results.


Additionally, the explorer.exe process will keep using CPU resources even after closing the Advanced Security settings dialog, leading to File Explorer freezes.


It's important to note that this issue is primarily observed in non-consumer environments and is unlikely to affect individuals using Windows devices at home.


The known issue impacts systems running the latest Windows releases, including Windows 11 21H2/22H2 and Windows Server 2022. According to Microsoft, users will experience Explorer freezes after installing Windows updates released since May 9th, 2023.



![Viewing effective access permissions](https://www.bleepstatic.com/images/news/u/1109292/2023/Viewing%20effective%20access%20permissions.png)*Viewing effective access permissions (BleepingComputer)*


​Microsoft addressed it on Tuesday for Windows 11 22H2 users with the release of this month's optional cumulative update (KB5027303), and it will be made generally available to all affected Windows users with the release of July Patch Tuesday cumulative updates.


"This update addresses an issue that affects File Explorer. It might stop responding indefinitely. This occurs after you try to view the effective access permissions for files in File Explorer," Microsoft [explained](https://support.microsoft.com/en-us/topic/june-27-2023-kb5027303-os-build-22621-1928-preview-1ada2c0a-fa85-43f8-91c4-6ee13fdf278b).


"This issue will be resolved on other affected Windows versions in updates that will be released in the near term," the company [added](https://learn.microsoft.com/en-us/windows/release-health/resolved-issues-windows-11-22h2#3114msgdesc) on the Windows release health tracker.


## Workaround available for users still affected by this bug


Redmond also provides a workaround for Windows 11 21H2 and Windows Server 2022 users impacted by this known issue, advising them to reboot their systems or sign out.


"If you have attempted to view effective access, you can mitigate the CPU usage issue by restarting your device or by signing out for the affected user," Microsoft said.


Two weeks ago, the company also addressed a Windows 11 bug triggering intermittent failures when saving and copying files on Windows 11 22H2 systems.


The known issue was fixed in the [KB5027231](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5027231-cumulative-update-released-with-34-changes/) Windows 11 cumulative update released during [this month's Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-june-2023-patch-tuesday-fixes-78-flaws-38-rce-bugs/).





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]]
