# Microsoft fixes bug behind apps not installing during provisioning
## Microsoft has addressed a Windows 11 22H2 known issue causing some apps not to be installed during Windows provisioning.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-bug-behind-apps-not-installing-during-provisioning/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 01 March 2023, 15:41
+ Date scraped: 01 March 2023, 16:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/01/10/Windows_headpic.jpg)



Microsoft has addressed a Windows 11 22H2 known issue causing some apps not to be installed during Windows provisioning.


This is caused by the affected apps' additional requirement of using administrative privilege when being deployed via provisioning packages (.PPKG files admins use to configure new endpoints without imaging) during [the initial Windows setup phase](https://learn.microsoft.com/en-us/windows/configuration/provisioning-packages/provisioning-apply-package#during-initial-setup).


"Using provisioning packages on Windows 11, version 22H2 (also called Windows 11 2022 Update) might not install all expected apps," the company [explained](https://learn.microsoft.com/en-us/windows/release-health/resolved-issues-windows-11-22h2#some-apps-might-not-be-installed-when-using-provisioning-packages#2982msgdesc) in a new update to the Windows Release Health dashboard.


"Affected apps require elevated privileges to install (must be installed as administrator) and might not have sufficient privileges during provisioning to install."


This known issue does not affect apps installed during Windows provisioning via Windows Autopilot.


Microsoft also provides a workaround for impacted systems, saying that admins could also deploy any required apps not deployed during the provisioning phase after the setup completes.



![Installing Windows 11 provisioning packages](https://www.bleepstatic.com/images/news/u/1109292/2022/Installing%20Windows%2011%20provisioning%20packages.png)*Installing Windows 11 provisioning packages (Microsoft)*


The company addressed the known issue in the [KB5022913](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5022913-preview-update-comes-with-newly-announced-features/) February 2023 non-security preview update released Tuesday.


However, as BleepingComputer first reported, KB5022913 is also [causing boot issues](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5022913-causes-boot-issues-if-using-ui-customization-apps/) on Windows 11 22H2 systems because of compatibility issues with third-party UI customization apps like ExplorerPatcher and StartAllBack.


Last month, Redmond fixed [another known issue breaking Windows 11 22H2 provisioning](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-11-bug-behind-0x800700b7-provisioning-errors/) and leaving some enterprise endpoints partially configured and failing to finish the Windows installation process.


The issue was [first acknowledged](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-breaks-provisioning-with-0x800700b7-errors/) in October when Microsoft said that provisioning packages after deploying the Windows 11 2022 Update might not work as expected and would fail with 0x800700b7 errors.


Over the weekend, Microsoft also fixed a bug leading to [Windows 11 22H2 upgrades being offered to unsupported PCs](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-bug-offering-windows-11-upgrades-to-unsupported-pcs/) and causing them not to finish the installation process.


Windows 11 22H2 was also offered eight months ago to [Windows 11 Insiders](https://www.reddit.com/r/Windows11/comments/v798je/my_6700k_desktop_gtx_1080_32gb_ram_became/) in [the Release Preview channel](https://twitter.com/barbbowman/status/1534573201040322561) with ineligible devices.





## Tags:


### Autogenerated tags:
[[windows]] [[apps]] [[22h2]] [[microsoft]]
