# Microsoft fixes bug that breaks Windows Start Menu, UWP apps
## Microsoft has addressed a bug causing Windows Search and the Start Menu to become unresponsive and some Windows applications to no longer open.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-bug-that-breaks-windows-start-menu-uwp-apps/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 29 June 2023, 06:33
+ Date scraped: 29 June 2023, 11:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/13/windows-10-glass-broken.jpg)



Microsoft has addressed a bug causing Windows Search and the Start Menu to become unresponsive and some Windows applications to no longer open.


[Redmond has been investigating](https://www.bleepingcomputer.com/news/microsoft/microsoft-investigates-bug-behind-unresponsive-windows-start-menu/) the Start Menu and Search issues since January 18 after [confirming](https://call4cloud.nl/2022/06/the-adventures-of-the-broken-store-apps-across-the-8th-s-1-15-2-1/#part8) in August 2023 that Windows was breaking permissions on systems where Office was deployed using ClickToRun.


Microsoft first acknowledged this known issue on January 24 when it said it affects only client platforms, including Windows 11 21H2/22H2 and Windows 10 20H2/21H2/22H2.


As BleepingComputer [reported in January](https://www.bleepingcomputer.com/news/microsoft/microsoft-investigates-bug-behind-unresponsive-windows-start-menu/), one impacted app is ClickShare, which helps share Windows devices' screens wirelessly.


"The Start menu, Windows search, and Universal Windows Platform (UWP) apps might not work as expected or might have issues opening," Microsoft [says](https://learn.microsoft.com/en-us/windows/release-health/resolved-issues-windows-11-22h2#3001msgdesc) on the Windows health dashboard.


"Affected Windows devices might have damaged registry keys or data, which might affect apps using Microsoft Office APIs to integrate with Windows, Microsoft Office, or Microsoft Outlook or Outlook Calendar.


"Affected devices have apps installed which integrate with Windows, Microsoft Office, or Microsoft Outlook."


​Microsoft addressed this known issue on Tuesday with this month's optional cumulative updates ([KB5027303](https://support.microsoft.com/en-us/topic/june-27-2023-kb5027303-os-build-22621-1928-preview-1ada2c0a-fa85-43f8-91c4-6ee13fdf278b) and [KB5027293](https://support.microsoft.com/en-us/topic/june-27-2023-kb5027293-os-build-19045-3155-preview-1c50b938-6a65-4e7e-9fdd-967f391c846f)). The fix will generally be made available to all impacted Windows users with the release of next month's Patch Tuesday cumulative updates.


## Workaround also available


Microsoft also provides affected customers who don't want to install the June 2023 preview updates with a workaround to address this issue until July's Patch Tuesday.


"To mitigate this issue, you can uninstall apps which integrate with Windows, Microsoft Office, Microsoft Outlook or Outlook Calendar," Redmond says.


"Updates to affected apps or guidance from the developer of the app might also be available."


For those using apps with Office APIs on devices where Microsoft Office was installed via Office ClickToRun, another temporary fix is available on [this support page](https://learn.microsoft.com/en-us/troubleshoot/windows-client/shell-experience/troubleshoot-start-menu-errors#symptom-start-menu-and-other-shell-components-fail-when-apps-including-barcos-clickshare-access-office-apis).


Additionally, impacted users are advised to remove the problematic apps from startup or configure them to start on-demand to prevent this issue from re-occurring.


On Wednesday, Microsoft also addressed a known issue [causing File Explorer freezes](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-bug-causing-file-explorer-freezes/) on Windows 11 and Windows Server devices after viewing effective access permissions for shared files.


Two weeks ago, the company also fixed a Windows 11 bug [triggering intermittent file saving and copying failures](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-11-issue-causing-copying-saving-failures/) on Windows 11 22H2 systems.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[apps]]
