# Microsoft fixes issue blocking Microsoft Teams, Outlook logins
## Microsoft has fixed a known issue causing Microsoft 365 to experience authentication issues when logging into desktop client apps like Microsoft Teams, OneDrive for Business, and Microsoft Outlook.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-issue-blocking-microsoft-teams-outlook-logins/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 11 June 2021, 07:03
+ Date scraped: 12 December 2023, 11:50

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/11/Microsoft.jpg)



Microsoft has fixed a known issue causing Microsoft 365 to experience authentication issues when logging into desktop client apps like Microsoft Teams, OneDrive for Business, and Microsoft Outlook.


When attempting to sign in, users are shown a message saying, "We ran into a problem. Reconnecting…" and asking them to restart the application.


This same screen will also display 80080300 error codes at the bottom left of the window and suggesting reaching out to an IT admin if the login problems persist.


This known issue is caused by the Windows 10 1909 [KB5003169](https://www.bleepingcomputer.com/news/microsoft/windows-10-cumulative-updates-kb5003169-and-kb5003173-released/) cumulative update released last month as part of the [May 2021 Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-may-2021-patch-tuesday-fixes-55-flaws-3-zero-days/) updates.


Microsoft suggested a temporary workaround that would allow impacted customers to sign into the impacted Microsoft 365 apps.


"To mitigate this issue on most devices, you can restart your device a second time," the company said. "Most devices will sign into affected apps as expected for all subsequent restarts after the first restart that completes installation of the update."


If restarting the affected systems doesn't allow logins, customers are also advised to use the web versions of [Microsoft Teams](https://www.microsoft.com/microsoft-teams/log-in), [OneDrive for Business](https://office.live.com/start/OneDrive.aspx), and [Outlook](https://go.microsoft.com/fwlink/p/?linkid=2102556).


Microsoft also reminded customers that users of the Home and Pro editions of Windows 10, version 1909 will not receive the update fixing this issue since these versions have reached their end of servicing on May 11, 2021.


"Devices running these editions will no longer receive monthly security or quality updates and will need to update to a later version of Windows 10 to resolve this issue," Microsoft said.



![Microsoft Teams 80080300 error](https://www.bleepstatic.com/images/news/Microsoft/known-issues/microsoft-365-80080300-error/teams-80080300-error-message.jpg)*Microsoft Teams 80080300 error (BleepingComputer)*


Fix issued with June Patch Tuesday updates
------------------------------------------


While Microsoft initially suggested a workaround to bypass this known issue on affected devices, the company has now resolved the known issue in the [KB5003635](https://support.microsoft.com/en-us/topic/june-8-2021-kb5003635-os-build-18363-1621-2cc248e5-ca5f-4f51-bce4-004d6863e4cd) Windows 10 1909 cumulative update.


Microsoft [says](http://docs.microsoft.com/en-us/windows/release-health/status-windows-10-1909#1610msgdesc) that KB5003635 "addresses an issue that might prevent you from signing in to some Microsoft 365 desktop client apps after installing the May 11, 2021 or later update and restarting your device."


The KB5003635 will be automatically installed via Windows Update, Windows Update for Business, or Windows Server Update Services (WSUS).


If configured policies on your system prevent the update from being downloaded and installed automatically, you can also get the standalone package from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5003635) and do it manually.


Microsoft also recently shared a workaround for customers experiencing 0x8004de40 errors when attempting to log ino their OneDrive accounts.


Customers are also seeing 0x80049d61 errors when trying to launch the OneDrive Store app. Until a fix is available, users are advised to use the [OneDrive desktop app](https://www.microsoft.com/microsoft-365/onedrive/download) or go to [Onedrive.com](https://go.microsoft.com/fwlink/p/?LinkID=2119709).





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[onedrive]] [[apps]] [[teams]] [[workaround]] [[kb5003635]]
