# Microsoft investigates bug behind unresponsive Windows Start Menu
## Microsoft is investigating an issue causing the Windows taskbar and Start Menu to become unresponsive and triggering Outlook and Teams login problems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-investigates-bug-behind-unresponsive-windows-start-menu/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 18 January 2023, 23:02
+ Date scraped: 19 January 2023, 00:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/23/Store-broke.jpg)



Microsoft is investigating an issue causing the Windows taskbar and Start Menu to become unresponsive and triggering Outlook and Teams login problems.


Windows admins have told BleepingComputer that their users have been reporting issues not seeing the Windows Start Menu when clicking, not being able to launch modern apps, and that the Windows Search feature is broken.


Others have also reported encountering issues while trying to log into Azure Active Directory (Azure AD) to activate Office 365 apps.


Similar issues have happened in the past, too, with Microsoft MVP Rudy Ooms [linking](https://call4cloud.nl/2022/06/the-adventures-of-the-broken-store-apps-across-the-8th-s-1-15-2-1/) them in June 2022 with the ClickShare app (a tool that helps share a Windows device's screen wirelessly) corrupting User Shell Folders registry permissions.


However, Microsoft sent a statement two months later acknowledging that its own software was breaking permissions for the affected apps and causing unresponsiveness and connection issues.


"While this initially appeared to be an issue with the 3rd party app, it now appears to be Microsoft code (profapi.dll) which breaks the permissions thinking they need to be recovered," Redmonds told Ooms.


"This may occur when an x32 third-party process (like ClickShare) uses Office APIs on a machine where Office is deployed using Office ClickToRun, because of a bug in AppvIsvSubsystem32.dll registry hooks.


"In this case, profapi.dll will start recovering the ACLs, but after a second failure, it won't write the All Application Packages ACLs, causing issues (crashes & registration failures) with packaged apps."


## Script to fix corrupt registry permissions


Today, Barco (ClickShare's developer) has updated an advisory it initially issued in July 2022 to share a helper Diagnostic PowerShell script provided by Microsoft Support that would allow affected users to repair the corrupted User Shell Folders registry permissions.


"Although the app is not causing the problem, we still want to offer our ClickShare App users a possible intermediate solution," [Barco said](https://www.barco.com/nl/support/knowledge-base/6077-unresponsive-windows-taskbar-with-clickshare-app).


"In most cases it has been possible to recover by using the recovery tool from Microsoft: the recovery tool FixUserShellFolderPermissions."


The script can be downloaded from the [Downloads section](https://www.barco.com/nl/support/knowledge-base/6077-unresponsive-windows-taskbar-with-clickshare-app#:~:text=not%2Dconne.html-,Downloads,-FixUserShellFolderPermissions.zip) at the end of Barco's recently updated advisory.


If the issue is not addressed after running the helper script, you should manually disable the Calendar Integration feature from ClickShare's Settings dialog.


"Please contact Barco Support for more details on an dedicated APP version (4.25.2) to prevent the issue from happening until a final solution can be offered," the company added.


## Issue under investigation


While Microsoft is yet to acknowledge this issue publicly, Barco said that Redmond's Windows team is investigating it and advises affected customers to reach out to Microsoft to file a report of their own.


"The issue is under investigation with Microsoft Windows team but it still is good to take up contact directly with Microsoft Windows team to flag this issue," Barco said.


"Make sure to mention for ticket submission the tittle "unresponsive start menu or task bar" and refer to Microsoft internal bug number: 41322218."


A Microsoft spokesperson was not immediately available for comment when contacted by BleepingComputer earlier today.


*H/T [Günter Born](https://www.borncity.com/blog/about/)*





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[barco]] [[clickshare]] [[apps]]
