# Microsoft investigating claims of hacked source code repositories
## Microsoft says they are investigating claims that the Lapsus$ data extortion hacking group breached their internal Azure DevOps source code repositories and stolen data.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-investigating-claims-of-hacked-source-code-repositories/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 21 March 2022, 14:34
+ Date scraped: 21 March 2022, 15:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/03/16/Microsoft-headpic.jpg)



Microsoft says they are investigating claims that the Lapsus$ data extortion hacking group breached their internal Azure DevOps source code repositories and stolen data.


Unlike many extortion groups we read about today, Lapsus$ does not deploy ransomware on their victim's devices.


Instead, they target the source code repositories for large companies, steal their proprietary data, and then attempt to ransom that data back to the company for millions of dollars.


While it is not known if the extortion group has successfully ransomed stolen data, Lapsus has gained notoriety over the past months for their confirmed attacks against [NVIDIA](https://www.bleepingcomputer.com/news/security/hackers-to-nvidia-remove-mining-cap-or-we-leak-hardware-data/), [Samsung](https://www.bleepingcomputer.com/news/security/hackers-leak-190gb-of-alleged-samsung-data-source-code/), [Vodafone](https://www.bleepingcomputer.com/news/security/vodafone-portugal-4g-and-5g-services-down-after-cyberattack/), [Ubisoft](https://www.bleepingcomputer.com/news/security/ubisoft-confirms-cyber-security-incident-resets-staff-passwords/), and [Mercado Libre](https://www.bleepingcomputer.com/news/security/e-commerce-giant-mercado-libre-confirms-source-code-data-breach/).


## Lapsus$ claims to have breached Microsoft


Early Sunday morning, the Lapsus$ gang indicated that they hacked Microsoft's Azure DevOps server by posting a screenshot on Telegram of alleged internal source code repositories.


This screenshot, shown below, is for an Azure DevOps repository containing the source code for Cortana and various Bing projects, named 'Bing\_STC-SV', 'Bing\_Test\_Agile', and "Bing\_UX.'



![Screenshot of Microsoft's Azure DevOps account leaked by Lapsus$](https://www.bleepstatic.com/images/news/security/attacks/l/lapsus/microsoft/azure.jpg)**Screenshot of Microsoft's Azure DevOps account leaked by Lapsus$**  
*Source: [Tom Malka](https://twitter.com/ZeroLogon/status/1505408208059383809)*
The screenshot also shows other source code repositories, but it is unknown what is contained within them.


Strangely, the extortion gang left the initials of the logged-in user, "IS," in the screenshot, potentially allowing Microsoft to identify and secure the compromised account.



![Initials of account used to access Azure DevOps](https://www.bleepstatic.com/images/news/security/attacks/l/lapsus/microsoft/initials.jpg)**Initials of account used to access Azure DevOps**
Including the initials may also mean that they no longer have access to the repository or are simply taunting Microsoft, which the extortion gang is known to do with previous victims.



![Lapsus$ taunting NVIDIA](https://www.bleepstatic.com/images/news/security/attacks/l/lapsus/microsoft/taunting-nvidia.jpg)**Lapsus$ taunting NVIDIA**  
*Source: BleepingComputer*
Soon after posting the screenshot, the Lapsus$ gang took their post down and replaced it with a message stating, "Deleted for now will repost later." However, [security researchers](https://twitter.com/ZeroLogon/status/1505408208059383809) had already grabbed the screenshot and shared it on Twitter by that time.



![](https://www.bleepstatic.com/images/news/security/attacks/l/lapsus/microsoft/deleted-post.jpg)**Deleted Telegram post**  
*Source: BleepingComputer*
While Microsoft has not confirmed if their Azure DevOps account was breached, they have told BleepingComputer that they are aware of the claims and are investigating them.


Unfortunately, Lapsus$ has a good track record, with their claims of attacks on other companies later confirmed to be true.


## Are source code leaks bad?


While the leaking of source code makes it easier to find vulnerabilities in a company's software, Microsoft has previously stated that leaked source code does not create an elevation of risk.


Microsoft says that their threat model assumes that threat actors already understand how their software works, whether through reverse engineering or previous source code leaks.


"At Microsoft, we have an [inner source](https://en.wikipedia.org/wiki/Inner_source) approach – the use of open source software development best practices and an open source-like culture – to making source code viewable within Microsoft. This means we do not rely on the secrecy of source code for the security of products, and our threat models assume that attackers have knowledge of source code," explained Microsoft in a blog post about the SolarWinds attackers [gaining access to their source code](https://msrc-blog.microsoft.com/2020/12/31/microsoft-internal-solorigate-investigation-update/).


"So viewing source code isn’t tied to elevation of risk."


However, source code repositories also commonly contain access tokens, credentials, API keys, and even code signing certificates.


When Lapsus$ breached NVIDIA and released their data, it also included code-signing certificates that other threat actors quickly used to sign their malware. Using NVIDIA's code signing certificate could cause antivirus engines to trust the executable and not detect it as malicious.



![Quasar RAT signed by the stolen NVIDIA certificate](https://www.bleepstatic.com/images/news/security/attacks/n/nvidia/code-signing-certs/signed-malware.jpg)**Quasar RAT signed by the stolen NVIDIA certificate**  
*Source: BleepingComputer*
Microsoft has [previously said](https://msrc-blog.microsoft.com/2021/02/18/microsoft-internal-solorigate-investigation-final-update/) that they have a development policy that prohibits "secrets," such as API keys, credentials, or access tokens, from including their source code repositories.


Even if that is the case, it does not mean that there is no other valuable data included in the source code, such as private encryption key or other proprietary tools.


It is unknown what is contained within these repositories, but as was done with previous victims, it is only a matter of time before Lapsus$ leaks whatever stolen data they claim to have obtained.





## Tags:


### Autogenerated tags:
[[microsoft]] [[lapsus$]] [[screenshot]] [[devops]] [[nvidia]] [[bleepingcomputer]]
