# Microsoft is bringing the Linux sudo command to Windows Server
## Microsoft is bringing the Linux 'sudo' feature to Windows Server 2025, offering a new way for admins to elevate privileges for console applications.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-is-bringing-the-linux-sudo-command-to-windows-server/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 04 February 2024, 12:26
+ Date scraped: 04 February 2024, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/13/WindowsServer.jpg)



Microsoft is bringing the Linux 'sudo' feature to Windows Server 2025, offering a new way for admins to elevate privileges for console applications.


Superuser do, or sudo, is a Linux console program that allows low-privileged users to execute a command with elevated privileges, usually as root.


This command offers increased security in Linux as servers can be used normally under low-privileged accounts while still allowing users to elevate their privileges as needed when running specific commands.


An example of the sudo command is shown below, where we run 'whoami' as a low-privileged user and then run it using sudo.


Notice that the whoami command shows that I am running it as the bleeping user. However, when I execute whoami with sudo, it elevates my privileges to root.



![Demonstrating the sudo command using whoami](https://www.bleepstatic.com/images/news/Microsoft/s/sudo/sudo-whoami.jpg)**Demonstrating the sudo command using whoami**  
*Source: BleepingComputer*


Testing sudo in Windows Server 2025
-----------------------------------


Microsoft [released the first Windows Server 2025 Insider preview build](https://www.bleepingcomputer.com/news/microsoft/microsoft-releases-first-windows-server-2025-preview-build/) last week. However, soon after, a newer version was leaked online.


As first reported by [Windows Latest](https://www.windowslatest.com/2024/02/01/first-look-windows-11-is-getting-native-macos-or-linux-like-sudo-command/), the leaked version contains some new in-development features, including new settings for a Windows 'sudo' command.



![New sudo settings in Windows Server 2025 preview build](https://www.bleepstatic.com/images/news/Microsoft/s/sudo/sudo-setings.jpg)**New sudo settings in Windows Server 2025 preview build  
*Source: WindowsLatest***


These settings are only available after enabling developer mode, and the sudo command does not currently work from the command line yet, showing it is early in development.


However, the sudo settings provide some clues as to how the command will work, with the ability to run sudo applications 'In a new windows', 'With input disabled', and 'Inline'.


Windows already offers the ability to elevate programs automatically using UAC prompts, causing the programs to run with elevated privileges in their own window.


However, some administrative tools, such as bcdedit and reagentc, require you to be an administrator to run these commands.


In these cases, the sudo command will allow the programs to run based on its Windows settings, such as in a new window, inline in the current window, or possibly in a non-interactive shell using the disabled input setting.


It is important to note that Microsoft commonly tests new features in preview builds that do not make it into the production builds.


However, it will be interesting to see how Microsoft integrates this feature into Windows and will be something to keep an eye on.





## Tags:


### Autogenerated tags:
[[sudo]] [[windows]] [[microsoft]] [[linux]] [[low-privileged]] [[window]]
