# Microsoft pushes emergency fix for Windows Server 2019 update errors
## Microsoft has released an emergency out-of-band (OOB) update for Windows Server 2019 that fixes a bug causing 0x800f0982 errors when attempting to install the May 2024 Patch Tuesday security updates.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-pushes-emergency-fix-for-windows-server-2019-0x800f0982-update-errors/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 23 May 2024, 20:32
+ Date scraped: 24 May 2024, 01:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/13/WindowsServer.jpg)



Microsoft has released an emergency out-of-band (OOB) update for Windows Server 2019 that fixes a bug causing 0x800f0982 errors when attempting to install the May 2024 Patch Tuesday security updates.


As [reported](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-server-2019-updates-fail-with-0x800f0982-errors/) by BleepingComputer last week, [many](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kusp4bs/) [system administrators](https://www.reddit.com/r/sysadmin/comments/1crk56o/patch_tuesday_megathread_20240514/l4173sd/) have reported that they could not install this month's Patch Tuesday security updates, receiving a 0x800f0982 when attempting to do so.


"Yep, 6 Windows Server 2019 (german) by different Costumers. All the same issue: error 0x800f0982," reported a Windows admin on Reddit.


"Spanish servers have the same problem," confirmed another admin.


Redmond publicly acknowledged the issue, stating, "This issue is more likely to affect devices that do not have the English (United States) language pack." However, they said it could also affect Windows servers when the English language pack is installed.


Today, Microsoft released the KB5039705 out-of-band (OOB) update for Windows Server 2019, resolving the errors when installing the May updates.


"This update addresses a known issue that is related to the English (United States) language pack. If your device does not have it, installing KB5037765 might fail," reads the [KB5039705 support bulletin](http://support.microsoft.com/en-us/topic/may-23-2024-kb5039705-os-build-17763-5830-out-of-band-2285667a-13a3-4fd9-98a0-e980eb996aac).


"The error code is 0x800f0982. But this issue might affect devices that do have that language pack. In that case, the error code is 0x80004005."


To fix this known issue, admins must download the OOB updates using Windows Update, WSUS, or the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5039705) and install them on affected servers.


After installing this OOB update and rebooting the server, Microsoft says the May 2024 Patch Tuesday security updates will install without errors.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[oob]] [[0x800f0982]]
