# Microsoft releases emergency fix for Windows Server crashes
## Microsoft has released emergency out-of-band (OOB) updates to fix a known issue causing Windows domain controllers to crash after installing the March 2024 Windows Server security updates.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-releases-emergency-fix-for-windows-server-crashes/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 22 March 2024, 18:12
+ Date scraped: 22 March 2024, 23:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/11/15/Windows_Server.jpg)



Microsoft has released emergency out-of-band (OOB) updates to fix a known issue causing Windows domain controllers to crash after installing the March 2024 Windows Server security updates.


As [reported](https://www.bleepingcomputer.com/news/microsoft/new-windows-server-updates-cause-domain-controller-crashes-reboots/) by BleepingComputer on Wednesday, [many](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kusp4bs/) [system administrators](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kvlf7ed/) [have](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kvfqg5p/) [warned](https://techcommunity.microsoft.com/t5/exchange-team-blog/released-march-2024-exchange-server-security-updates/bc-p/4088764/highlight/true#M38300) since this month's Patch Tuesday that servers are unexpectedly freezing and restarting due to a memory leak in the Local Security Authority Subsystem Service (LSASS) process.


"Our symptoms were ballooning memory usage on the lsass.exe process after installing KB5035855 (Server 2016) and KB5035857 (Server 2022) to the point that all physical and virtual memory was consumed and the machine hung," a Windows admin told BleepingComputer.


"Since installation of the march updates (Exchange as well as regular Windows Server updates) most of our DCs show constantly increasing lsass memory usage (until they die)," another admin [said](https://techcommunity.microsoft.com/t5/exchange-team-blog/released-march-2024-exchange-server-security-updates/bc-p/4088764/highlight/true#M38300).


Redmond [publicly acknowledged](https://www.bleepingcomputer.com/news/microsoft/microsoft-confirms-windows-server-issue-behind-domain-controller-crashes/) this issue after BleepingComputer reached out for more details, saying it affects all domain controller servers with the latest Windows Server 2012 R2, 2016, 2019, and 2022 updates.


Today, Microsoft released the following emergency Windows Server cumulative updates that should fix the LSASS memory leak and prevent impacted servers from crashing and restarting:


* [KB5037422](https://support.microsoft.com/en-us/topic/march-22-2024-kb5037422-os-build-20348-2342-out-of-band-e8f5bf56-c7cb-4051-bd5c-cc35963b18f3) (Windows Server 2022)
* [KB5037423](https://support.microsoft.com/en-us/topic/march-22-2024-kb5037423-os-build-14393-6799-out-of-band-1775cda2-4bb6-43a9-9fd4-ddc3528d3408) (Windows Server 2016)

"This update addresses a known issue that affects the Local Security Authority Subsystem Service (LSASS). It might leak memory on domain controllers (DCs)," the company explains.


"The leak occurs when on-premises and cloud-based Active Directory DCs process Kerberos authentication requests. This substantial leak might cause excessive memory usage. Because of this, LSASS might stop responding, and the DCs will restart when you do not expect it."


To fix this known issue, admins must download the OOB updates from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=2024-03%20Cumulative%20Update) and install them on affected domain controllers.


If you installed previous Windows Server updates, only the new updates in these packages will be downloaded and installed. Microsoft has not reported any known issues with these emergency updates.


Microsoft resolved other Windows Server crash issues [in December 2022](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-server-issue-causing-freezes-restarts/) after the November 2022 updates introduced another leak and [in March 2022](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-domain-controller-restarts-caused-by-lsass-crashes/) when admins again reported widespread domain controller reboots.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[lsass]] [[dcs]] [[bleepingcomputer]]
