# Microsoft releases first Windows 10 package manager stable version
## Microsoft has released the first stable version of the native Winget Windows 10 package manager that helps you manage applications directly from the command line.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-releases-first-windows-10-package-manager-stable-version/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 26 May 2021, 15:10
+ Date scraped: 12 December 2023, 12:34

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/10/13/Windows--10.jpg)



Microsoft has released the first stable version of the native Winget Windows 10 package manager that helps you manage applications directly from the command line.


Just as other package managers available on other platforms, [Winget](https://docs.microsoft.com/en-us/windows/package-manager/) allows you to automate app management by enabling you to install, configure, upgrade, and remove Windows applications.


Microsoft first announced the first preview version of its Windows 10 package manager at [Microsoft Build 2020](http://devblogs.microsoft.com/commandline/windows-package-manager-preview/) and has developed it as an open-source project on GitHub since then.


Today, at Microsoft Build 2021, the company announced [Windows Package Manager 1.0](https://devblogs.microsoft.com/commandline/windows-package-manager-1-0/), the package manager's first stable release after a year of development.



![Windows Package Manager](https://www.bleepstatic.com/images/news/u/1109292/2021/Windows%20Package%20Manager%20.png)*Windows Package Manager's help message (BleepingComputer)*


How to install Winget now
-------------------------


Microsoft provides multiple ways to install the stable version of the Windows 10 package manager.


Windows 10 Insiders and those who have already signed up for the Windows Package Manager Insider group may already have it automatically installed on their systems.


Customers using release versions of Windows 10 can get it by installing the [App Installer](https://www.microsoft.com/en-us/p/app-installer/9nblggh4nns1) from the Microsoft Store.


You can also get it by downloading and installing the latest appxbundle from Winget's official GitHub [releases page](https://github.com/microsoft/winget-cli/releases/) or just by [directly installing](ms-appinstaller:?source=https://aka.ms/getwinget) the latest available version.


Windows Package Manager 1.0 will soon be delivered as an automatic update through the Microsoft Store on all devices running Windows 10, version 1809 or later.


Microsoft has also shared info on how IT professionals can [manage and deploy the Windows Package Manager](http://techcommunity.microsoft.com/t5/windows-it-pro-blog/manage-windows-package-manager-with-group-policy/ba-p/2346322) in their organizations' environments using group policies.


Windows 10 package manager features
-----------------------------------


To get the current list of commands available for Windows Package Manager users, you have to run it on the command-line using the Command Prompt, a PowerShell prompt, or the new Windows Terminal.


Winget also allows you to find packages (or apps) available for installation using info available in metadata fields such as its name, moniker, or tags) with the `winget search`  command.



![Windows Package Manager search](https://www.bleepstatic.com/images/news/u/1109292/2021/Windows%20Package%20Manager%20%20%20.png)*Windows Package Manager search (BleepingComputer)*


To install an app on your computer, you need to use `winget install` , and `winget upgrade` to check for upgrades to already installed packages. To upgrade all installed packages at once, you can use `winget upgrade --all`.


You can get a list of all apps installed on your Windows 10 computer using `winget list`, and `winget uninstall`  to remove a specific app from your system.



![Windows Package Manager list](https://www.bleepstatic.com/images/news/u/1109292/2021/Windows%20Package%20Manager.png)*Windows Package Manager list (BleepingComputer)*


Additional information on using the native Winget Windows 10 package manager is available on Microsoft's [documentation site](https://docs.microsoft.com/windows/package-manager/).





## Tags:


### Autogenerated tags:
[[windows]] [[winget]] [[microsoft]] [[bleepingcomputer]]
