# Microsoft removes Windows 11 update block for PCs with gaming issues
## Microsoft has removed a compatibility hold after fixing lower-than-expected performance or stuttering in some games affecting some Windows 11, version 22H2 systems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-removes-windows-11-update-block-for-pcs-with-gaming-issues/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 15 December 2022, 20:27
+ Date scraped: 15 December 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/05/windows-11-header.jpg)



Microsoft has removed a compatibility hold after fixing lower-than-expected performance or stuttering in some games affecting some Windows 11, version 22H2 systems.


Compatibility holds (also known as [safeguard holds](https://docs.microsoft.com/en-us/windows/deployment/update/update-compliance-feature-update-status#safeguard-holds)) are added by Redmond based on diagnostic data and known issues to block Windows upgrades on affected devices. They are released once the known issues are addressed, or the diagnostic data collected from impacted systems shows that the fixes correct the problems.


Microsoft first confirmed the gaming performance issues on Windows 11 22H2 in mid-November when it said that the performance hit was likely caused by some apps and games accidentally enabling GPU performance debugging features.


The update block added to prevent affected systems from being offered the Windows 11, version 22H2, was removed on Wednesday after the issue was fixed two weeks ago with the [Windows 11 KB5020044 preview update](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5020044-preview-update-released-with-25-changes/), released on November 29.


"This issue was resolved in KB5020044 and the safeguard hold has been removed as of December 14, 2022," Microsoft [said](https://learn.microsoft.com/en-us/windows/release-health/resolved-issues-windows-11-22h2#2950msgdesc) on the Windows Health dashboard.


"Please note, if there are no other safeguards that affect your device, it can take up to 48 hours before the update to Windows 11, version 22H2 is offered."


Until the update is offered, affected customers can work around the performance issues by updating impacted games and apps to the latest available version.



![Windows 11 22H2 feature update](https://www.bleepstatic.com/images/news/u/1109292/2022/windows-11-22h2-windows-update.jpg)*Windows 11 22H2 feature update (BleepingComputer)*


## Fifth Windows 11 22H2 update block


Since Windows 11 22H2 has been released, Microsoft has added four other safeguard holds (all of them now lifted) to prevent upgrades because of [Xbox Game Bar Capture](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-blocked-on-systems-using-xbox-game-bar-capture/), [blue screens](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-blocked-due-to-blue-screens-on-some-intel-systems/), [printing](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-blocked-on-some-systems-due-to-printer-issues/), and [Windows Hello](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-blocked-due-to-windows-hello-issues-on-some-systems/) issues.


It also confirmed the upgrade comes with [Remote Desktop freeze](https://www.bleepingcomputer.com/news/microsoft/microsoft-warns-of-remote-desktop-freezes-on-windows-11-22h2/) issues, a significant [performance hit when copying large files over SMB](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-11-22h2-causes-file-copy-performance-hit/), and might [break provisioning](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-breaks-provisioning-with-0x800700b7-errors/) on some systems (leaving Windows 11 endpoints partially configured and failing to install).


Windows 11 22H2 has been [available to seekers](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-11-22h2-now-available-for-all-eligible-devices/) with eligible devices since October 4, 2022, when it entered a new deployment phase.


You can check if your Windows 10 device is eligible for a Windows 11 upgrade with the [PC Health Check app](https://www.microsoft.com/windows/windows-11#pchealthcheck) or by reading the [Windows 11 specs, features, and computer requirements](https://www.microsoft.com/windows/windows-11-specifications).


Redmond also provides a [guided walk-through](https://support.microsoft.com/en-us/help/10164/fix-windows-update-errors) and [detailed info](http://support.microsoft.com/help/4089834) on how to deal with errors encountered upgrading to the latest Windows version.





## Tags:


### Autogenerated tags:
[[windows]] [[22h2]] [[microsoft]]
