# Microsoft reveals new Windows 11 File Explorer, Focus features
## Microsoft has unveiled new Windows 11 features at today's 'Windows Powers the Future of Hybrid Work' event, including a redesigned File Explorer, new accessibility features, Focus for Windows 11, and more.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-reveals-new-windows-11-file-explorer-focus-features/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 05 April 2022, 15:00
+ Date scraped: 06 April 2022, 09:09

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/01/Windows-11.jpg)



Microsoft has unveiled new Windows 11 features at today's '[Windows Powers the Future of Hybrid Work](https://www.microsoft.com/en-us/windows/business/event)' event, including a redesigned File Explorer, new accessibility features, Focus for Windows 11, and more.


New technology challenges arise as companies evolve into a hybrid workforce of employees working both in-office and remotely.


In today's event, Microsoft has revealed solutions to these challenges by allowing Windows devices to more seamlessly integrate with the cloud, giving users access to their settings, data, and applications whether they are home or at the office.


To help Windows users increase productivity, Microsoft has revealed new features and enhancements to Windows 11, including a revamped File Explorer, App Folder in the Start Menu, new Focus features, and the new Live Captions accessibility features.


While Microsoft has not said when these new features will be available, they may be included in the Windows 11 22H2 feature update coming later this year.


## Windows 11's redesigned File Explorer


Microsoft announced today that they are bringing a redesigned File Explorer to Windows 11 that supports tabs, a new home page, and contextual suggestions when sharing files.


One of the most requested File Explorer features is the ability to open folders in their own tabs within a single File Explorer window. This feature is [already being tested](https://www.bleepingcomputer.com/news/microsoft/windows-11-gets-a-new-tabbed-interface-for-file-explorer/) as a hidden feature in the Windows 11 Insider Dev channel preview builds and was formally announced today.


As you can see below, the new File Explorer will allow you to open every folder in its own tab, letting you quickly switch folders or copy data between them.



![Windows 11 File Explorer's tabbed interface](https://www.bleepstatic.com/images/news/Microsoft/windows-11/f/file-explorer/tabbed-file-explorer/tabbed-file-explorer.jpg)**Windows 11 File Explorer's tabbed interface**  
*Source: BleepingComputer*
The new File Explorer home page offers a birdseye view of your content, displaying the most recently used content, your favorites, and the Quick Launch folders.


The home screen will also share related information about each file, such as who last modified it or if anyone left a comment, as seen below.



![New File Explorer Home page](https://www.bleepstatic.com/images/news/Microsoft/windows-11/h/hybrid-workforce-event/file-explorer-home-screen.jpg)**New File Explorer Home page**  
*Source: Microsoft*
Finally, Microsoft is bringing Contextual Suggestions powered by Microsoft's Context IQ AI experience to recommend content and contacts as you perform various actions in File Explorer.


"Now, finding files is a breeze with new contextual suggestions in Windows powered by Context IQ. This recommends relevant content and contacts across Windows—including content to the cloud," explains Microsoft's Wangui McKelvey in a new blog post.


"For example, I can see what files I might want including files that my frequent collaborators are working on that I also have access to."



![File Explorer offers contextual suggestions when sharing a file](https://www.bleepstatic.com/images/news/Microsoft/windows-11/h/hybrid-workforce-event/contextual-suggestions.jpg)**File Explorer offers contextual suggestions when sharing a file**  
*Source: Microsoft*
## New Live Captions accessibility feature


Microsoft is bringing a new accessibility feature called Live Captions to the public release of Windows 11 that enables captions on all audio experiences and apps in the operating system.


This feature allows those who are deaf, hard of hearing, or simply like to read what is being said on a video, to enable Live Captions to automatically translate audio into text shown at the top of the screen.



![Live captions feature](https://www.bleepstatic.com/images/news/Microsoft/windows-11/h/hybrid-workforce-event/live-captions.jpg)**Live captions feature**  
*Source: Microsoft*
## Focus for Windows 11


The 'Focus assist' feature for Windows 11 is getting a redesign that helps you focus on the task at hand while removing unnecessary distractions.


The Focus for Windows 11 feature includes a new Do Not Disturb feature that shuts off all notifications and a Focus Timer that allows you to specify how long you should not be disturbed.


Couple this with Focus Sessions, which adds periodic breaks, and you will be able to focus for more extended periods while using your device.



![Redesigned Focus for Windows 11 feature](https://www.bleepstatic.com/images/news/Microsoft/windows-11/h/hybrid-workforce-event/focus-for-windows-11.jpg)**Redesigned Focus for Windows 11 feature**  
*Source: Microsoft*
## Start Menu App Folders


Finally, Microsoft has unveiled App Folders for the Windows 11 Start Menu that lets you create folders to group similar apps.


For example, if you want a folder dedicated to your favorite games, you can create an app folder and drag the various game shortcuts into the folder to make them easily accessible from one place.



![Windows 11 Start Menu App Folders](https://www.bleepstatic.com/images/news/Microsoft/windows-11/h/hybrid-workforce-event/start-menu-app-folders.jpg)**Windows 11 Start Menu App Folders**  
*Source: Microsoft*
## New cybersecurity and Cloud PC features


Microsoft also announced new Windows security and cloud computing features, as they play such an essential role for the remote workforce.


These solutions include [new Windows 365 Cloud PC features](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-365-to-get-offline-boot-to-cloud-pc-features/), such as Windows 365 Offline, allowing users to continue using their Cloud PC even when they are disconnected from the Internet.


Another exciting feature is Windows 365 Boot, allowing devices to boot directly into their Cloud PC rather than the installed operating system.


Microsoft is also bringing a [long list of new security features to Windows 11](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-new-windows-11-security-encryption-features/), allowing the workforce to encrypt their files better and stay protected from emerging cyber threats, even while working from home.


You can read more about these new security and cloud features in our dedicated articles above.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[cloud]]
