# Microsoft says it fixed a Windows Metadata server issue that’s still broken
## Microsoft claims to have fixed Windows Metadata connection issues which continue to plague customers, causing problems for users trying to manage their printers and other hardware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-says-it-fixed-a-windows-metadata-server-issue-thats-still-broken/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 15 February 2024, 15:03
+ Date scraped: 15 February 2024, 21:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/28/Windows.jpg)



Microsoft claims to have fixed Windows Metadata connection issues which continue to plague customers, causing problems for users trying to manage their printers and other hardware.


When new hardware is added to a Windows computer, the operating system connects to a Microsoft-operated website called the [Windows Metadata and Internet Services](https://learn.microsoft.com/en-us/windows-hardware/drivers/install/windows-metadata-and-internet-services) (WMIS) to download metadata packages associated with the particular hardware. 


"When the operating system detects a new device, it queries an online service called the [Windows Metadata and Internet Services](https://learn.microsoft.com/en-us/windows-hardware/drivers/install/windows-metadata-and-internet-services) (WMIS) for a metadata package for the device," reads a description of the WMIS site.


"If a device metadata package is available, the Device Metadata Retrieval Client (DMRC) that runs on the local computer downloads the package from WMIS and installs the package on the local computer."


These metadata packages contain information about the hardware, such as its model name, description, OEM provider, various properties and actions, and the device's associated hardware categories.


This information is then used in various Window dialogs, such as the Devices and Printers settings page.


Windows Metadata services unavailable
-------------------------------------


However, since November, Windows has been unable to connect to the Metadata service located at http://go.microsoft.com/fwlink/?LinkID=252669&clcid=0x409, which redirects to http://dmd.metaservices.microsoft.com/metadata.svc.


When visiting the URL from a browser, the site shows an error stating "502 Bad Gateway," indicating something is wrong with the site.


As [reported by BornCity](https://borncity.com/win/2023/12/12/windows-reports-metadata-staging-error-0x80070490-in-devicesetupmanager-dec-2023/) in December, this caused occasional Event ID 201 connection error events and repeated Event ID 131 errors for 'DeviceSetupManager' to appear in the Windows Event Viewer logs, with a description of "Metadata staging failed, result=0x80070490".



![Repeated 131 errors in Windows event logs](https://www.bleepstatic.com/images/news/Microsoft/w/wmis-errors/before-patch-events.jpg)**Repeated 131 errors in Windows event logs**


BleepingComputer was told by an admin dealing with these errors that the inability to connect to the Windows Metadata services is causing problems in their organization.


These problems include 4-5 minute delays when troubleshooting printer problems or adding and deleting print queues, usually leading to support tickets being filed about the issues.


For a large organization with thousands of Windows devices, this can quickly become a problem for IT staff.


However, Windows admins had short-lived happiness this week, as Microsoft released the [Windows 10 KB5034763](https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5034763-update-released-with-new-fixes-changes/) and [Windows 11 KB5034765](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5034765-update-released-with-start-menu-fixes/) cumulative updates as part of the [February 2024 Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-february-2024-patch-tuesday-fixes-2-zero-days-73-flaws/) with what they claim is a fix for the Window Metadata connection issues.


These updates both state that they resolve the problems connecting to the Windows Metadata servers, and as an added bonus, the connection will be over HTTPS, making them more secure.


"This update addresses an issue that affects the download of device metadata," reads both support bulletins.


"Downloads from the Windows Metadata and Internet Services (WMIS) over HTTPS are now more secure."


After installing the updates, BleepingComputer can confirm that the new Metadata server URL, https://go.microsoft.com/fwlink/?LinkID=2257403&clcid=0x409, is using HTTPs and redirects to the new URL https://devicemetadataservice.trafficmanager.net/dms/metadata.svc?LinkID=2257403&clcid=0x409, which also uses HTTPs.


However, Microsoft has [failed to associate an IP address](https://mxtoolbox.com/SuperTool.aspx?action=a%3adevicemetadataservice.trafficmanager.net&run=toolpage) to devicemetadataservice.trafficmanager.net in DNS, causing connection attempts to fail.



![Connection errors to new WMIS server](https://www.bleepstatic.com/images/news/Microsoft/w/wmis-errors/connection-error.jpg)**Connection errors to new WMIS server**  
*Source: BleepingComputer*


BleepingComputer is now told that this is causing the Event Log to show repeated Event ID 201 connection errors, stating, "A connection to the Windows Metadata and Internet Services (WMIS) could not be established."


Other Windows admins report seeing similar Event ID 201 errors in Event Viewer after installing the update.


"Same here - no 131's anymore but \*\*\*\* of 201's," reads a post on the [Microsoft forums](https://answers.microsoft.com/en-us/windows/forum/all/metadata-staging-failed-result0x80070490-for/73130c25-0414-4925-8368-ee42c731d554?page=6).


It is unclear why Microsoft disabled the Metadata servers in the first place and why they are not bringing them back online as expected.


BleepingComputer contacted Microsoft about this issue yesterday but has not received a response to our email.





## Tags:
***urls***: https://devicemetadataservice.trafficmanager.net/dms/metadata.svc?LinkID=2257403&clcid=0x409 https://go.microsoft.com/fwlink/?LinkID=2257403&clcid=0x409 http://go.microsoft.com/fwlink/?LinkID=252669&clcid=0x409 http://dmd.metaservices.microsoft.com/metadata.svc

### Autogenerated tags:
[[metadata]] [[windows]] [[wmis]] [[microsoft]] [[bleepingcomputer]] [[https]] [[url]]
