# Microsoft shares Windows 11 TPM check bypass for unsupported PCs
## Microsoft has published a new support webpage where they provide an official method to bypass the TPM 2.0 and CPU checks (TPM 1.2 is still required) and have Windows 11 installed on unsupported systems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-shares-windows-11-tpm-check-bypass-for-unsupported-pcs/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 06 October 2021, 06:27
+ Date scraped: 11 December 2023, 13:42

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/03/windows-11-dark-storm-clouds.jpg)



Microsoft has published a new support webpage where they provide an official method to bypass the TPM 2.0 and CPU checks (TPM 1.2 is still required) and have Windows 11 installed on unsupported systems.


This is somewhat surprising considering the tech giant's unwavering stance concerning the minimum requirements for the new Windows version.


However, it looks like Microsoft couldn’t ignore the fact that bypassing TPM checks [is fairly simple](https://www.bleepingcomputer.com/news/microsoft/new-windows-11-install-script-bypasses-tpm-system-requirements/), so to avoid having people breaking their systems by using non-standardized third-party scripts, they decided to just give users an official way to do it.


Installing Windows 11 on unsupported hardware comes with some pitfalls that users must be aware of, and in some cases, agree to before the operating system will install.



![Waiver for installing Windows 11 on unsupported hardware](https://www.bleepstatic.com/images/news/Microsoft/windows-11/windows-11-unsupported-hardware-waiver.jpg)**Waiver for installing Windows 11 on unsupported hardware**  
*Image: BleepingComputer*


"Your device might malfunction due to these compatibility or other issues. Devices that do not meet these system requirement will no longer be guaranteed to receive updates, including but not limited to security updates," Microsoft explains in a new support bulletin.


If you are willing to accept these risks, then you can use the following method to install Windows 11 on a device without a TPM 2.0 processor or a compatible CPU.


How to install Windows 11 on unsupported devices
------------------------------------------------


Microsoft's official bypass is to add a Registry value named “**AllowUpgradesWithUnsupportedTPMOrCPU**” and then install Windows 11 using bootable media.


The whole registry entry required can be seen below.



Windows Registry Editor Version 5.00


[HKEY\_LOCAL\_MACHINE\SYSTEM\Setup\MoSetup]  

"AllowUpgradesWithUnsupportedTPMOrCPU"=dword:00000001



The Windows 11 setup program will no longer check for a TPM 2.0 security processor or compatible CPUs when added.


However, you will still require a TPM 1.2 security processor, which many will not likely have. If you are missing a TPM 1.2 processor, you can bypass all TPM checks by [using this script](https://www.bleepingcomputer.com/news/microsoft/new-windows-11-install-script-bypasses-tpm-system-requirements/) that deletes appraiser.dll during setup.


To use the new AllowUpgradesWithUnsupportedTPMOrCPU bypass to install Windows 11 on devices, Microsoft instructs you to perform the following steps:


1. Please read all of these instructions before continuing.
2. Visit the [Windows 11 software download page](http://www.microsoft.com/en-gb/software-download/windows11), select “**Create tool now”**, and follow the installation instructions to create a bootable media or download an ISO.
3. On Windows, click ‘**Star**t’, type ‘**Registry Editor**’ and click on the icon to launch the tool.
4. Navigate to the **HKEY\_LOCAL\_MACHINE\SYSTEM\Setup\MoSetup** Registry key and create a new “**REG\_DWORD**” value named “**AllowUpgradesWithUnsupportedTPMOrCPU**” and set it to “1”.  
  

Alternatively, you can download a [premade Registry file](https://download.bleepingcomputer.com/reg/tpm-cpu-bypass.reg) that you can double-click on and merge it to create the above value for you.  
  

When done, it should look like this in the Registry Editor.

![Adding the new registry AllowUpgradesWithUnsupportedTPMOrCPU value](https://www.bleepstatic.com/images/news/Microsoft/windows-11/released/registry-editor.jpg)**Adding the new registry AllowUpgradesWithUnsupportedTPMOrCPU value**  
*Image: BleepingComputer*
5. Reboot your system

Having done all that, you may now upgrade to Windows 11 by double-clicking on the downloaded ISO file and running Setup.exe or by using the bootable Windows 11 media you created in Step 1.


Microsoft states that standard installation options such as 'Full Upgrade', 'Keep Data Only', and 'Clean Install', will all be available as usual.


Not a dependable solution
-------------------------


At this point, we should warn you that even if the above appears to be fairly simple and straightforward, there are risks involved when adding registry keys or modifying existing entries.


Doing something wrong in the Registry Editor could result in a corrupted filesystem or unbootable OS, leaving you with the only option to reinstall it. As such, if you want to experiment with [Microsoft’s guidelines](https://support.microsoft.com/en-us/windows/ways-to-install-windows-11-e0edbbfb-cfc5-4011-868b-2ce77ac7c70e), you are doing so at your own risk.


Also, TPM 2.0 remains an important security feature that powers some of Windows 11's security features, so if you’re installing Windows 11 on a non-TPM 2.0 chip, you will miss out on all of them.


Understanding and accepting these risks is important, as is the fact that Microsoft is not recommending to install Windows 11 on an unsupported system unless you are instructed otherwise by support.


Some of the underlying incompatibilities may introduce minor or major functional problems in the future, so we would recommend this path only to those who have a good reason to take it. Plain curiosity and fear of missing out aren’t.


For the rest, just wait until you can upgrade your hardware or buy a new and supported system. The Windows 10 EOL (end of life) date is in October 2025, so there’s plenty of time.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[allowupgradeswithunsupportedtpmorcpu]]
