# Microsoft shares fix for 'camera upload is paused' Android OneDrive error
## Microsoft says a OneDrive issue prevents some Android users from uploading photos and videos from their camera roll to the cloud.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-shares-fix-for-camera-upload-is-paused-android-onedrive-error/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 15 September 2021, 12:52
+ Date scraped: 11 December 2023, 14:41

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/15/OneDrive.jpg)



Microsoft says a OneDrive issue prevents some Android users from uploading photos and videos from their camera roll to the cloud.


According to stats available on [the OneDrive app's Google's Play Store entry](https://play.google.com/store/apps/details?id=com.microsoft.skydrive&hl=en&gl=US), more than 1 billion users worldwide have installed the Android app.


Based on [user reports on the Microsoft Community site](https://answers.microsoft.com/en-us/search/search?SearchTerm=%22camera%20upload%20is%20paused%22&tab=&status=all&advFil=&IsSuggestedTerm=false&isFilterExpanded=undefined&CurrentScope.ForumName=all&CurrentScope.Filter=&ContentTypeScope=QnA,Discussion,Article,MicrosoftSupport&page=1&sort=Relevance&dir=Desc) and other social media platforms, camera upload errors have affected desktop and mobile users since at least 2018.


OneDrive Android customers impacted by this problem are seeing "Camera upload is paused. To activate camera upload, give OneDrive permission to access your photos and media." errors.



![OneDrive Android camera upload paused](https://www.bleepstatic.com/images/news/u/1109292/2021/OneDrive--Android-Camera-Upload-Paused.jpg)*OneDrive Android camera upload paused*


While Redmond engineers are still working on finding a solution for this ongoing issue preventing OneDrive users from backing up their photos, the company provided a workaround to resolve this error by tweaking OneDrive's permissions.


As Microsoft says, you'll first have to set OneDrive's permissions for Media/Camera to Deny and enable 'Camera upload' for your account from the OneDrive app's Settings.


To fix OneDrive camera upload being paused on Android, as well as on Macs and Windows computers, you have to follow this procedure:


1. On your Android device go to **Settings** > **Permission Manager** > **Files and Media**.
2. Select **OneDrive** in the app list and choose **Deny**.
3. Go back to the OneDrive app and select **Me**.
4. Select **Settings** > **Camera upload**.
5. Ensure the **Camera upload account** shows the account you want to back up.
6. Enable **Camera upload**.

*BleepingComputer has reached out to a Microsoft spokesperson for more details, but has not heard back until this article was published.*


Microsoft is also addressing another known issue impacting Android 11, where the OneDrive mobile app does not clean up space.


As a workaround, customers are asked to check if their files or photos are available in the OneDrive mobile app or at OneDrive.com. If they're found, users can safely remove them from affected devices.


The company also [accidentally lowered OneDrive storage limits for some Business customers](https://www.bleepingcomputer.com/news/microsoft/microsoft-accidentally-lowers-onedrive-for-business-storage-limits/), causing storage space to shrink to the default setting or switching the storage to read-only mode.





## Tags:
***email-adresses***: appor@onedrive.com

### Autogenerated tags:
[[onedrive]] [[android]] [[microsoft]]
