# Microsoft shares workaround for unresponsive Windows Start Menu
## Microsoft has confirmed an issue causing the Windows Start menu to become unresponsive and some applications to no longer launch.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-shares-workaround-for-unresponsive-windows-start-menu/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 24 January 2023, 20:04
+ Date scraped: 24 January 2023, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/23/Store-broke.jpg)



Microsoft has confirmed an issue causing the Windows Start menu to become unresponsive and some applications to no longer launch.


The newly acknowledged issue affects only client platforms, including Windows 10 20H2, 21H2, and 22H2, and Windows 11, version 22H2.


"The Start menu, Windows search, and Universal Windows Platform (UWP) apps might not work as expected or might have issues opening," Redmond said.


"Affected Windows devices might have damaged registry keys or data which might affect apps using Microsoft Office APIs to integrate with Windows, Microsoft Office, or Microsoft Outlook or Outlook Calendar."


As BleepingComputer [reported one week ago](https://www.bleepingcomputer.com/news/microsoft/microsoft-investigates-bug-behind-unresponsive-windows-start-menu/), one of the impacted apps is ClickShare, a tool that helps share a Windows device's screen wirelessly.


Microsoft said today that the underlying issue behind these ongoing Start Menu and app opening problems is not triggered by a Windows update but "might be exposed by an update to an affected app."


## Workaround available


Microsoft [said](https://learn.microsoft.com/en-us/windows/release-health/status-windows-11-22h2#3001msgdesc) the Windows team is investigating this issue and will provide affected customers with more information in an update to the Windows health dashboard entry.


Until a fix is available, the company has shared a temporary fix that will allow working around the issue.


"To mitigate this issue, you can uninstall apps which integrate with Windows, Microsoft Office, Microsoft Outlook or Outlook Calendar," Redmond said.


"Updates to affected apps or guidance from the developer of the app might also be available."


Users of apps that use Office APIs on a computer where Office was installed via Office ClickToRun are also advised to use a workaround available on [this support page](https://learn.microsoft.com/en-us/troubleshoot/windows-client/shell-experience/troubleshoot-start-menu-errors#symptom-start-menu-and-other-shell-components-fail-when-apps-including-barcos-clickshare-access-office-apis) to fix the issue when it happens.


To prevent the issue from re-occurring, affected users must remove the impacted apps from startup or configure them to start on-demand.


Today's update comes after reports from Windows admins that users have issues not seeing the Windows Start Menu when clicking, not being able to launch UWP apps or use the Windows Search feature.


While Redmond hasn't mentioned it, other reports also mention issues when logging into Azure Active Directory (Azure AD) to activate Office 365 apps.





## Tags:


### Autogenerated tags:
[[windows]] [[apps]] [[microsoft]] [[redmond]]
