# Microsoft testing a Windows ‘PC Manager’ system optimizer app
## Microsoft is developing a Windows system optimization program called 'PC Manager' that combines existing Windows tools into one interface.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-testing-a-windows-pc-manager-system-optimizer-app/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 21 October 2022, 16:17
+ Date scraped: 21 October 2022, 17:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/09/18/windows-utility.jpg)



Microsoft is developing a Windows system optimization program called 'PC Manager' that combines existing Windows tools into one interface.


If you are a Windows user, you have likely run into various Windows system cleaners or system optimization programs that promise to increase the speed of your computer by deleting unnecessary files and Registry keys.


The most popular of these types of programs is Piriform's CCleaner and Iobit's Advanced System Care.


While some people love these programs and say that they increase the speed of their computer, Microsoft has always said that Windows users should [avoid all Registry cleaners](https://support.microsoft.com/en-us/topic/microsoft-support-policy-for-the-use-of-registry-cleaning-utilities-0485f4df-9520-3691-2461-7b0fd54e8b3a) as they could damage the operating system.


While at first glance, Microsoft's PC Manager app looks similar to one of these system optimizers, it actually acts as a central location for performing various tasks that already exist in other built-in Windows tools.


## Microsoft's new Windows PC Manager


First discovered by [Aggiornamenti Lumia](https://twitter.com/ALumia_Italia/status/1583332269879877632), Microsoft's PC Manager is currently in beta and is offered at the [pcmanager.microsoft.com](https://pcmanager.microsoft.com/) subdomain. As the page is written in Chinese, Microsoft is likely testing the PC manager beta in China first.



![Microsoft's PC Manager website](https://www.bleepstatic.com/images/news/Microsoft/windows/p/pc-manager/pc-manager-website.jpg)**Microsoft's PC Manager website**  
*Source: BleepingComputer*


While the website is in Chinese, the program's interface is in English and contains two sections — a Cleanup section for various system optimization tools and a Security section for antivirus scanning and browser protection, as shown below.



![Microsoft's new Windows PC Manager](https://www.bleepstatic.com/images/news/Microsoft/windows/p/pc-manager/Windows-PC-Manager.jpg)**Microsoft's new Windows PC Manager**  
*Source: BleepingComputer*


The Cleanup section contains four different tools used to optimize your Windows PC by looking for unnecessary files, high resource-utilizing processes, rarely used apps, large files, and automatic startup programs that increase the time to boot into the operating system.


The first tool, 'Health Check,' scans the device for viruses (using Microsoft Defender), unnecessary files (like the built-in Windows Disk Cleanup), potential issues (not using Edge as the default browser), and startups that increase the boot time of Windows (similar to Startups tab in Task Manager).



![PC Manager performing the Health Check feature](https://www.bleepstatic.com/images/news/Microsoft/windows/p/pc-manager/storage-manager.jpg)**PC Manager performing the Health Check feature**  
*Source: BleepingComputer*


The 'Storage Management' feature lets you scan again for unnecessary files (Disk Clean), search for large files on your device (Windows Search), and launch built-in Windows utilities to automatically delete Temporary files (Storage Sense) or uninstall rarely used applications (Apps & features settings).



![PC Manager's Storage Manager section](https://www.bleepstatic.com/images/news/Microsoft/windows/p/pc-manager/storage-manager.jpg)**PC Manager's Storage Manager section**  
*Source: BleepingComputer*


The 'Process Management' feature lists processes utilizing a lot of resources and the 'Startups apps' feature lists processes that increase the operating system's boot time.


The 'Security' section of PC Manager contains a 'Windows Update' feature that lets you see available updates and a 'Browser Protection' feature that enables you to change your default browser and block attempts by programs to change it without permission.



![PC Manager's Browser Protection feature](https://www.bleepstatic.com/images/news/Microsoft/windows/p/pc-manager/security-browser-protection.jpg)**PC Manager's Browser Protection feature**  
*Source: BleepingComputer*


Overall, the tool is fairly interesting, providing a single interface for various optimization tools already built into Windows to some degree.


For advanced users, PC Manager will not bring much to the table that is not already found in Windows. However, for less experienced users, it could provide an easier way to perform various maintenance tasks.


Unlike CCleaner or Advanced System Care, there is no Registry cleaning built into the application, so those who like to avoid those types of apps, you are in luck.


BleepingComputer has reached out to Microsoft to learn more about this new application and will update the article when we receive a response.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[bleepingcomputer]] [[apps]] [[built-in]]
