# Microsoft testing improved Explorer details pane, Windows Spotlight
## Microsoft has released a new Windows 11 dev build that modernizes the File Explorer details pane, improves the Windows Spotlight lock screen feature, and expands the roll out of "notification badging" in the Start menu.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-testing-improved-explorer-details-pane-windows-spotlight/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 04 May 2023, 14:04
+ Date scraped: 04 May 2023, 19:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/15/Windows_11.jpg)



Microsoft has released a new Windows 11 dev build that modernizes the File Explorer details pane, improves the Windows Spotlight lock screen feature, and expands the "notification badging" rollout in the Start menu.


These improvements are rolling out with the Windows 11 Insider Preview Build 23451 to the recently [rebooted Dev Channel](https://www.bleepingcomputer.com/news/microsoft/microsoft-new-windows-canary-channel-has-most-cutting-edge-features/) flighting 23000 series builds.


"We are introducing a modernized details pane in File Explorer (ALT + Shift + P) designed to help you easily access related content, stay up to date with file activity, and collaborate without even opening a file," [said](https://blogs.windows.com/windows-insider/2023/05/04/announcing-windows-11-insider-preview-build-23451/) Microsoft's Amanda Langowski and Brandon LeBlanc.


"When a user selects a file in File Explorer and enables the pane, a modern pane will display contextual information about the file including file thumbnail, share status and button, file activity, related files and e-mails, and other information."


To enable the new details pane (which will replace the legacy File Explorer details pane), you have to click "Details pane" from the View menu and toggle it on using the button on the right-hand side of the command bar.



![New File Explorer details pane](https://www.bleepstatic.com/images/news/u/1109292/2023/New%20File%20Explorer%20details%20pane.png)*New File Explorer details pane (BleepingComputer)*


With this Windows Insider build, two different designs (or treatments, as Microsoft calls them) for Windows Spotlight are now also being tested.


One of the designs will feature a more detailed and richer user interface (UI), with both full-screen and minimized modes available. Both will showcase 4K portrait images and provide the option to learn additional details about each desktop image.


The Windows Spotlight designs will vary across different PCs in the Dev Channel for Insiders and will only be available in English.



![Windows Spotlight treatment](https://www.bleepstatic.com/images/news/u/1109292/2023/Windows%20Spotlight%20treatment.png)*Windows Spotlight treatment with richer UI (Microsoft)*


## ​Start menu "notification badging" expansion


Microsoft also announced today that it would start expanding the rollout of what it calls "notification badging" for Microsoft accounts—that some may consider ads for the company's other products, including Microsoft 365 and OneDrive—on the Windows 11 Start menu.


This has been [under testing](https://www.bleepingcomputer.com/news/microsoft/microsoft-is-showing-ads-in-the-windows-11-sign-out-menu/) since at least November 2022, and some of these "notifications" are [already being shown](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5023778-update-adds-promotions-to-the-start-menu/) to users who have installed the [March 2023 preview update](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5023778-update-adds-promotions-to-the-start-menu/) or newer updates for Windows 11.


"A Microsoft account is what connects Windows to your Microsoft apps, backs up all of your data, helps you manage subscriptions, and where you can add extra security steps so you're never locked out of your account," Langowski and LeBlanc said today.


"With this feature, we're giving customers quick access to important account-related notifications."


On systems where the new "treatments of badging on the Start menu" roll out, the ads will show up in the sign-out flyout of the Windows 11 Start menu.


Microsoft says users can manage these notifications by going to Personalization > Start in the Windows 11 Settings app.



![Windows 11 badging expansion](https://www.bleepstatic.com/images/news/u/1109292/2023/Windows-11-badging.png)*Windows 11 Start menu "treatment" (Microsoft)*


​Redmond also announced last month that it [started testing new treatments](https://www.bleepingcomputer.com/news/microsoft/microsoft-expands-start-menu-ads-test-with-new-treatments/) in the Windows Start menu for users logged into local accounts.


The list being tested includes, but is not limited to, the following prompts:


* Sign in to your Microsoft account. You'll be able to back up your device and keep it more secure
* Use Microsoft 365 for free. Sign in with your Microsoft account to use productivity apps and cloud storage
* Keep your account safer. Sign in to personalize your security and profile settings in one place
* Access your files from anywhere. You'll get 5 GB of cloud storage for free when you sign in

It's also important to note that features tested in the Dev Channel may be heavily tweaked before being made available to general customers or may never get released.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]]
