# Microsoft tests new Windows 11 Desktop search that only works with Edge
## Microsoft is testing a new feature in the latest Windows 11 preview build that displays an Internet search box directly on the desktop. The problem is that it does not honor your default browser and only uses Bing and Microsoft Edge instead.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-tests-new-windows-11-desktop-search-that-only-works-with-edge/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 22 May 2022, 15:07
+ Date scraped: 22 May 2022, 17:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/26/Windows_11_HDR.jpg)



Microsoft is testing a new feature in the latest Windows 11 preview build that displays an Internet search box directly on the desktop. The problem is that it does not honor your default browser and only uses Bing and Microsoft Edge instead.


This new feature is currently being tested with a small subset of Windows Insiders running the Windows 11 build 25120 on the 'Dev' channel.


When this feature is enabled, Windows 11 will launch the DesktopSearchBoxWin32Exe.exe process to display what Microsoft internally calls the 'Desktop Search Box,' as shown below.



![New rejuvenated Windows 11 Task Manager](https://www.bleepstatic.com/images/news/Microsoft/windows-11/d/desktop-search-bar/windows-11-desktop-search-bar.jpg)**New rejuvenated Windows 11 Task Manager**


Windows 11 users can simply enter a search keyword or URL to launch Microsoft Edge and perform the search using Bing or directly access the entered URL.


The problem is that this forces you to use Bing and Edge, regardless of what default browser is configured in the operating system, continuing Microsoft's relentless push to force users onto their browser.


While some people may find this an interesting feature, I do not know the last time I actually saw my desktop to use it, so I would likely simply perform the same function directly in an open browser Windows.e


However, for those who routinely shut down their Windows and display their desktop, this could be an exciting feature for them.


Thankfully, if you do not believe you will use this feature and would like to free up some resources, you can disable it.


To disable the Desktop Search Box, you can right-click on the desktop, select '**Show More Options'** and then uncheck the '**Show search**' option, as shown below.



![Disable the Windows 11 Desktop Search Box](https://www.bleepstatic.com/images/news/Microsoft/windows-11/d/desktop-search-bar/show-search-menu.jpg)**Disable the Windows 11 Desktop Search Box**  
*Source: BleepingComputer*


It should also be noted that Microsoft uses the 'Dev' channel to test new features, get feedback from users, and test fixes.


Therefore, there is no guarantee that this Desktop Search Box feature will ever make it into a stable release of Windows 11.


## How to enable the new Desktop Search bar in Windows 11


If you were not selected to test for this feature, you can still manually enable it using a special tool called ViveTool.


First, make sure you are running the latest Windows 11 Dev build (build 25120) or later.


Once the latest Windows 11 insider build is installed, please follow these steps, as provided by [Rafael Rivera](https://twitter.com/WithinRafael/status/1527155014522720256), to enable the new Desktop Search Bar.


1. [Download ViveTool](https://github.com/thebookisclosed/ViVe/releases/tag/v0.2.1), which enables hidden developer features in Windows 10 and Windows 11. Once downloaded, extract the zip file.
2. Open an [Elevated Command prompt](https://www.bleepingcomputer.com/tutorials/how-to-open-a-windows-10-elevated-command-prompt/) and navigate to the folder you extracted ViveTool.
3. Now type and enter the following command in the command prompt:

```
vivetool addconfig 37969115 2
```

After entering the command, ViveTool will respond with "Successfully set feature configuration," as shown below. 



![Using ViveTool to enable the new Desktop Search Box](https://www.bleepstatic.com/images/news/Microsoft/windows-11/d/desktop-search-bar/vivetool-desktop-search-bar.jpg)**Using ViveTool to enable the new Desktop Search Box**  
*Source: BleepingComputer*
4. After enabling this new configuration, log off and log back in, and the desktop should now show the search field.

When done testing the feature, you can disable the Desktop Search Box feature by running the following ViveTool command from an elevated command prompt.



```
vivetool addconfig 37969115 0
```

Once again, log off and back into Windows to remove the Desktop Search Bar.





## Tags:


### Autogenerated tags:
[[windows]] [[vivetool]] [[microsoft]]
