# Microsoft warns of Remote Desktop freezes on Windows 11 22H2
## Microsoft is investigating and working on a fix for Remote Desktop issues on Windows 11 systems after installing the Windows 11 2022 Update.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-warns-of-remote-desktop-freezes-on-windows-11-22h2/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 22 November 2022, 21:29
+ Date scraped: 22 November 2022, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/26/Windows.jpg)



Microsoft is investigating and working on fixing Remote Desktop issues on Windows 11 systems after installing the Windows 11 2022 Update.


"After installing Windows 11, version 22H2 (also called Windows 11 2022 Update), the Windows Remote Desktop application might stop responding when connecting via a Remote Desktop gateway or Remote Desktop Connection Broker," the company explained.


"An example of this connection scenario is when connecting to a Remote Desktop Services collection. RemoteApp and Desktop Connections are ways in which this connection is accomplished."


Home users are unlikely to experience issues while using the app because it uses a connection process different than the one on enterprise devices, the ones affected by this known issue.


Redmond added that it's currently working on a resolution, with more details regarding this issue to be provided in a future update.


## Workaround available


Until Microsoft provides a fix, affected customers can work around the Remote Desktop app freezing by terminating the process using the Windows Task Manager:


To do that, you have to go through the following procedure:


1. Press and hold the Ctrl, Shift, and Esc keys on your keyboard.
2. Select Processes from the left-hand side menu
3. In the list that appears, find the process mstsc.exe
4. Right-click on the process name and select End task

IT admins can also configure a special Group Policy on affected endpoints by going to Computer Configuration > Administrative Templates > Windows Components > Remote Desktop Services > Remote Desktop Connection Client using the Group Policy Management Console (managed devices) or the Group Policy Editor (unmanaged devices) and enabling "Turn Off UDP On Client."


"Remote Desktop sessions which connect over WAN (wide-area network) might experience poor performance following the application of the below workaround," Microsoft [warned](https://learn.microsoft.com/en-us/windows/release-health/status-windows-11-22h2#connections-may-fail-when-using-remote-desktop-connection-brokers).


"Setting this policy also disables UDP (User Datagram Protocol) for all Remote Desktop connections made from the device. We strongly recommend that this Group Policy change is reverted once this issue is resolved in a future Windows update."


## Under investigation since late September


As [BleepingComputer previously reported](https://www.bleepingcomputer.com/news/microsoft/microsoft-investigates-windows-11-22h2-remote-desktop-issues/), Microsoft has been investigating this issue since late September following a stream of reports from administrators and home users saying that installing Windows 11 22H2 will cause Remote Desktop clients not to connect, randomly disconnect, or freeze unexpectedly.


After installing the Windows 11 2022 Update, customers have also reported experiencing [frequent remote desktop disconnects](https://learn.microsoft.com/en-us/answers/questions/1021754/windows-11-remote-desktop-frequent-disconnects.html), [Remote Desktop Services failures](https://learn.microsoft.com/en-us/answers/questions/941499/rds-connection-broker-failing-to-connect-to-local.html), [remote virtual desktop not working](https://learn.microsoft.com/en-us/answers/questions/1033523/remote-desktop-stopped-working-after-updating-to-w.html), and [Remote Desktop published apps issues](https://learn.microsoft.com/en-us/answers/questions/952681/remote-desktop-apps-fail-to-appear-on-windows-22h2.html).


"I understand the issue is with the Client, it makes absolute sense. I am asking all these questions in the attempt to reproduce the issue on my side," a Microsoft employee [said](https://answers.microsoft.com/en-us/windows/forum/all/issues-with-remote-desktop-on-windows-11-after/2f0b90c8-9549-46bb-bede-41c2d3990380?page=2) o September 22, confirming the company was looking into the issue.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]]
