# Microsoft's Windows Cloud PC service almost here - What we know so far
## In addition to Windows 11, Microsoft has been secretly working on a new Windows PC experience called 'Cloud PC' that allows business customers to run virtualized desktops in the cloud.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsofts-windows-cloud-pc-service-almost-here-what-we-know-so-far/
+ Source: Bleeping Computer
+ Author: Mayank Parmar
+ Date published: 11 July 2021, 15:15
+ Date scraped: 12 December 2023, 10:34

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/10/13/Windows-10-headpic.jpg)



In addition to Windows 11, Microsoft has been secretly working on a new Windows PC experience called '[Cloud PC'](https://www.bleepingcomputer.com/news/microsoft/windows-10-cloud-pc-what-is-known-about-microsofts-new-service/) that allows business customers to run virtualized desktops in the cloud.


Cloud PC is reportedly based on Azure and uses Windows Virtual Desktop and remote desktop clients to stream a Windows desktop to any device.


However, Cloud PC won't replace any existing versions of Windows or virtualization technology but instead will be used as an additional option for Microsoft 365 customers who want to access their cloud-based desktop from anywhere at any time.


According to [reports](https://twitter.com/_h0x0d_/status/1411286999944765442), Microsoft may unveil the new Cloud PC during the Inspire 2021 on July 14th, whose keynote is heavily focused on Microsoft Cloud initiatives.


There is an Inspire conference titled "[What's Next in End-User Computing](https://myinspire.microsoft.com/sessions/9d27017b-e117-418a-b329-33ebd6da1734?source=sessions)," where attendees can "learn about the newest Microsoft cloud solution for enabling hybrid work."


As noted by [ZDNet](https://www.zdnet.com/article/here-comes-microsofts-cloud-pc-virtualization-service/), this session is being given by Scott Manchester, the Director of Program Management for Cloud Managed Desktops at Microsoft.


Cloud PC features
-----------------


According to earlier reports, Cloud PC will help users access their work apps and programs online from any device. This means it will be supported by all remote desktop apps and mobile apps, but you'll need a Microsoft 365 account to access and subscribe to the service.


The company is said to be working on three different tiers for Cloud PC service:


* Medium tier: 2 virtual CPUs, 4GB of RAM, and 96GB of SSD storage.
* Heavy tier: 2 virtual CPUs, 8GB of RAM, and 96GB of SSD storage.
* Advanced tier: 3 virtual CPUs, 8GB of RAM, and 40GB of SSD storage.

Based on information found by BleepingComputer, admins will be able to upgrade their virtual desktops as needed with extra memory, CPUs, and storage.


The Cloud PC management console will also allow admins to manage PCs to perform tasks, such as upgrading devices and performing restarts, resets, renames, and diagnostics of the Cloud PC.


A screenshot found in the scripts used by the service is for Windows 10 desktop, indicating that Cloud PC will likely launch with Windows 10 and then add Windows 11 when it becomes available.



![Cloud PC Windows 10 wallpaper](https://www.bleepstatic.com/images/news/Microsoft/c/cloud-pc/windows-10-wallpaper.jpg)**Cloud PC Windows 10 wallpaper**


It is unknown if Cloud PC will support Windows Virtual Desktop's web-browser client, but BleepingComputer has learned that the service will support the following Remote Desktop clients:


* Windows 64-bit: <https://go.microsoft.com/fwlink/?linkid=2068602>
* Windows 32-bit: <https://go.microsoft.com/fwlink/?linkid=2098960>
* Windows ARM64: <https://go.microsoft.com/fwlink/?linkid=2098961>
* Android: <https://play.google.com/store/apps/details?id=com.microsoft.rdc.androidx>
* Mac: <https://apps.apple.com/app/microsoft-remote-desktop/id1295203466?mt=12>
* iOS: <https://aka.ms/rdios>

A leaked help document image illustrates the use of Remote Desktop to connect to the Cloud PC service.



![Instructions on downloading Remote Desktop Client](https://www.bleepstatic.com/images/news/Microsoft/c/cloud-pc/download-rdc.png)**Instructions on downloading Remote Desktop Client**


According to a job listing, Microsoft's 'Cloud PC' aims to help administrators deploy and manage Windows PCs in the cloud via web browser, mobile app, or another PC.


Microsoft is already testing this service with a small group of organizations, and a public preview is expected to begin later this year.





## Tags:
***urls***: https://apps.apple.com/app/microsoft-remote-desktop/id1295203466?mt=12 https://go.microsoft.com/fwlink/?linkid=2068602 https://aka.ms/rdios https://play.google.com/store/apps/details?id=com.microsoft.rdc.androidx https://go.microsoft.com/fwlink/?linkid=2098960 https://go.microsoft.com/fwlink/?linkid=2098961

### Autogenerated tags:
[[cloud]] [[windows]] [[microsoft]] [[desktops]] [[apps]] [[ssd]]
