# New Dell BIOS updates cause laptops and desktops not to boot
## Recently released Dell BIOS updates are reportedly causing serious boot problems on multiple laptops and desktop models.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/new-dell-bios-updates-cause-laptops-and-desktops-not-to-boot/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 21 December 2021, 22:07
+ Date scraped: 21 December 2021, 23:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/18/Dell.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/06/18/Dell.jpg)

![New Dell BIOS updates cause laptops and desktops not to boot ](https://www.bleepstatic.com/content/hl-images/2021/06/18/Dell.jpg)


Recently released Dell BIOS updates are reportedly causing serious boot problems on multiple laptops and desktop models.


Impacted models include Dell Latitude laptops (5320 and 5520), as well as Dell Inspiron 5680 and Alienware Aurora R8 desktops.


Customer reports shared on social media platforms, including Dell's official community website [[1](https://www.dell.com/community/Latitude/Latitude-5320-System-BIOS-Update-1-14-3-Blue-Screen-amp-Booting/td-p/8107112), [2](https://www.dell.com/community/Alienware-Desktops/Aurora-R8-BSOD-loop-can-t-recover-Dell-Recovery-disk-or-Ubuntu/m-p/8108855)] and Reddit [[1](https://www.reddit.com/r/sysadmin/comments/rlhmp3/fyi_do_not_update_dell_latitude_5320s_to_latest/), [2](https://www.reddit.com/r/Dell/comments/rkzrsg/black_screen_after_starting_critical_updates_on/)], warn that the [latest BIOS version](https://www.dell.com/support/home/ro-ro/drivers/driversdetails?driverid=x18ng&oscode=wt64a&productcode=latitude-13-5320-2-in-1-laptop) (version 1.14.3 for Latitude laptops, 2.8.0 for Inspiron, and 1.0.18 for Aurora R8) will cause booting issues.


Although the impacted systems will power up, users say peripheral lights and displays will not turn on. When they boot up, they'll go straight to a blue screen and shut down again.


"After upgrading my 5320's BIOS to the new 1.14.3 version today, the laptop will not boot. When pressing the power button, the light on the button will show for around 10 seconds and then turn off again," an affected customer [said](https://www.dell.com/community/Latitude/Latitude-5320-System-BIOS-Update-1-14-3-Blue-Screen-amp-Booting/m-p/8107112/highlight/true#M38565).


"Occasionally the whole keyboard lights up but the laptop will shutdown shortly after, but sometimes the laptop will turn on and display a 'Time-of-day not set - please run SETUP program' error, and upon pressing 'Continue,' the laptop will then shutdown again. A few times it has booted but then shown a blue screen for a while before shutting down."


Unnoficial fix available: BIOS downgrades
-----------------------------------------


The easy fix until Dell releases an update to address the bugs leading to boot issues is a downgrade to a previous firmware version.


"If you do manage to get them to boot, they'll complain about "Time of Day Not Set" every time they're shut down and restarted. Rolling back to 1.13.0 apparently fixes the issue, if you can get them to boot and live long enough to do it," a Latitude user [advised](https://www.reddit.com/r/sysadmin/comments/rlhmp3/fyi_do_not_update_dell_latitude_5320s_to_latest/).


Some of the affected users have shared detailed procedures that can be used to [downgrade their BIOS](https://www.dell.com/community/Latitude/Latitude-5320-System-BIOS-Update-1-14-3-Blue-Screen-amp-Booting/m-p/8108256/highlight/true#M38621) to an older version using SupportAssist OS Recovery to solve this issue.


It's also important to mention that laptops impacted by this issue might still have boot problems until you disconnect the battery, push the power button for 15 seconds, and plug back in the battery and charger before powering up again.


However, you also have the option to first try Dell's official guidance on how to [downgrade the system BIOS](https://www.dell.com/support/kbdoc/ro-ro/000130652/downgrading-the-system-bios-on-a-dell-system), [fix a computer not booting up](https://www.youtube.com/watch?v=ZBKQMe72aJg), [troubleshoot POST issues](https://www.youtube.com/watch?v=N9AbGgZH-9k), and [solve boot issues using SupportAssist OS Recovery](https://www.youtube.com/watch?v=_cVIuJAUCNU).


A Dell spokesperson was not available for comment when BleepingComputer reached out earlier today.







## Tags:


### Autogenerated tags:
[[laptops]]
