# New Firefox privacy feature strips URLs of tracking parameters
## Mozilla Firefox 102 was released today with a new privacy feature that strips parameters from URLs that are used to track you around the web.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-firefox-privacy-feature-strips-urls-of-tracking-parameters/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 28 June 2022, 21:11
+ Date scraped: 29 June 2022, 08:06

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/11/17/Firefox.jpg)



Mozilla Firefox 102 was released today with a new privacy feature that strips parameters from URLs that are used to track you around the web.


Numerous companies, including Facebook, Marketo, Olytics, and HubSpot, utilize custom URL query parameters to track clicks on links.


For example, Facebook appends a fbclid query parameter to outbound links to track clicks, with an example of one of these URLs shown below.



```
https://www.example.com/?fbclid=IwAR4HesRZLT-fxhhh3nZ7WKsOpaiFzsg4nH0K4WLRHw1h467GdRjaLilWbLs

```

With the release of Firefox 102, Mozilla has added the new 'Query Parameter Stripping' feature that automatically strips various query parameters used for tracking from URLs when you open them, whether that be by clicking on a link or simply pasting the URL into the address bar.


Once enabled, Mozilla Firefox will now strip the following tracking parameters from URLs when you click on links or paste an URL into the address bar:


* **Olytics**: *oly\_enc\_id=*, *oly\_anon\_id=*
* **Drip**: *\_\_s=*
* **Vero**: *vero\_id=*
* **HubSpot**: *\_hsenc=*
* **Marketo**: *mkt\_tok=*
* **Facebook**: *fbclid=*, *mc\_eid=*

To illustrate how this works, BleepingComputer [created a test page](https://www.bleepingcomputer.com/PoC/qs.html) containing links to example.com with the above tracking parameters.


As you can see below, when I click on the link for https://example.com/?fbclid=12, it opens https://example.com but with the tracking parameter removed.



![Demonstration of the Firefox Query Stripping feature](https://www.bleepstatic.com/images/news/web-browsers/firefox/102/query-stripping/query-stripping.gif)**Demonstration of the Firefox Query Stripping feature**  
*Source: BleepingComputer*


While this is a great start, there are additional trackers that are not being filtered, which privacy-focused Brave Browser currently blocks.


## How to enable the new privacy feature


The new Query Parameter Stripping feature is part of Firefox's Enhanced Tracking Protection.


To enable Query Parameter Stripping, go into the Firefox Settings, click on Privacy & Security, and then change 'Enhanced Tracking Protection' to 'Strict.' 



![Mozilla Firefox's Enhanced Tracking Protection set to Strict](https://www.bleepstatic.com/images/news/web-browsers/firefox/102/query-stripping/strict-enhanced-tracking-protection.jpg)**Mozilla Firefox's Enhanced Tracking Protection set to Strict**  
*Source: BleepingComputer*


However, these tracking parameters will not be stripped in Private Mode even with Strict mode enabled.


To also enable the feature in Private Mode, enter **about:config**in the address bar, search for **strip**, and set the '**privacy.query\_stripping.enabled.pbmode**' option to **true**, as shown below.



![Enable privacy.query_stripping.enabled.pbmode setting](https://www.bleepstatic.com/images/news/web-browsers/firefox/102/query-stripping/enable-in-private-browsing.jpg)**Enable privacy.query\_stripping.enabled.pbmode setting**  
*Source: BleepingComputer*


It should be noted that setting Enhanced Tracking Protection to Strict could cause issues when using particular sites. 


If you enable this feature and find that sites are not working correctly, just set it back to Standard (disables this feature) or the Custom setting, which will require some tweaking.





## Tags:
***urls***: https://example.com https://www.example.com/?fbclid=IwAR4HesRZLT-fxhhh3nZ7WKsOpaiFzsg4nH0K4WLRHw1h467GdRjaLilWbLs https://example.com/?fbclid=12

### Autogenerated tags:
[[firefox]] [[mozilla]] [[urls]] [[bleepingcomputer]] [[facebook]] [[url]]
