# New Microsoft PowerToy lets you control 4 PCs with one mouse, keyboard
## Microsoft has updated PowerToys with two new tools that help control multiple Windows systems with the same keyboard/mouse and quickly preview various file types.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/new-microsoft-powertoy-lets-you-control-4-pcs-with-one-mouse-keyboard/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 23 May 2023, 17:17
+ Date scraped: 23 May 2023, 22:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/30/power-toys.jpg)



Microsoft has updated PowerToys with two new tools that help control multiple Windows systems with the same keyboard/mouse and quickly preview various file types.


The new [PowerToys 0.70](https://github.com/microsoft/PowerToys/releases/tag/v0.70.0) version released today also includes improvements for several other PowerToys and addresses a bug that sometimes causes settings to clear during the upgrade process.


As its name implies, the new Mouse Without Borders utility can let users control up to four computers using a single mouse and keyboard.


It also allows you to transfer files under 100MB between devices via drag and drop and share text and image clipboard contents across all controlled PCs.


Like similar apps such as [Synergy](https://symless.com/synergy) and [ShareMouse](https://www.sharemouse.com/), it will let you switch between systems by moving the mouse pointer to their screen edges or with the help of customizable keyboard shortcuts. 


To configure the utility, you have to go to Mouse Without Borders in the PowerToys Settings and generate a new security key on the main computer.


On the secondary computer, enter the security key and the name of the control computer, then click "Connect." After connecting the computers, you can seamlessly transition between them by moving the mouse cursor through the screens' edges.


"To allow Mouse Without Borders to control elevated applications or the lock screen from another computer, it's possible to run Mouse Without Borders as a service under the System account," Microsoft [says](https://learn.microsoft.com/en-us/windows/powertoys/mouse-without-borders).


"To enable the service mode, run PowerToys in administrator mode and enable the Use Service setting in the Mouse Without Borders settings page."



![Mouse Without Borders](https://www.bleepstatic.com/images/news/u/1109292/2023/Mouse%20Without%20Borders.png)*Mouse Without Borders (BleepingComputer)*


​PowerToys 0.70 also adds a new Windows utility named Peek that will let you preview a wide range of file types without opening them with the associated files, just as the macOS built-in [Quick Look](https://support.apple.com/en-gb/guide/mac-help/mh14119/13.0/mac/13.0) quick preview feature.


Once toggled on via the PowerToys settings, Peek will show a preview of the currently selected file in the File Explorer app when pressing the Ctrl+Space keyboard shortcut.


You can use the left and right keys to navigate between files within the current folder. To switch between a limited number of files, select them in File Explorer first.


You can also open the currently previewed file in the default program by hitting Enter.


Earlier this year, Microsoft Power was also updated to include a [Windows Registry preview feature](https://www.bleepingcomputer.com/news/microsoft/microsoft-powertoys-adds-windows-registry-preview-feature/) and ['Paste as plain text' and Mouse Jump tools](https://www.bleepingcomputer.com/news/microsoft/microsoft-powertoys-adds-paste-as-plain-text-and-mouse-jump-tools/).


You can get PowerToys through the [Microsoft Store](http://aka.ms/getPowertoys) or from [Microsoft's PowerToys GitHub page](http://github.com/microsoft/PowerToys/releases/), which details each version's changes.


Microsoft PowerToys was released [during the Windows 95 era](http://en.wikipedia.org/wiki/Microsoft_PowerToys) as small freeware tools developed by Windows developers as personal projects.


In September 2019, Microsoft resurrected the toolset as a [modern and open-source utility pack](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-first-powertoys-preview-release-for-windows-10/) designed to enhance Windows functionality and streamline various tasks that previously required installing third-party tools.





## Tags:


### Autogenerated tags:
[[powertoys]] [[microsoft]] [[windows]]
