# New Windows Server updates cause domain controller crashes, reboots
## The March 2024 Windows Server updates are causing some domain controllers to crash and restart, according to widespread reports from Windows administrators.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/new-windows-server-updates-cause-domain-controller-crashes-reboots/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 20 March 2024, 16:40
+ Date scraped: 20 March 2024, 21:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/13/Windows_Server.jpg)



The March 2024 Windows Server updates are causing some domain controllers to crash and restart, according to widespread reports from Windows administrators.


Affected servers are freezing and rebooting because of a Local Security Authority Subsystem Service (LSASS) process memory leak introduced with the March 2024 cumulative updates for Windows Server 2016 and Windows Server 2022.


LSASS is a Windows service that enforces security policies and handles user logins, access token creation, and password changes.


As [many](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kusp4bs/) [admins](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kvlf7ed/) [have](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kvfqg5p/) [warned](https://techcommunity.microsoft.com/t5/exchange-team-blog/released-march-2024-exchange-server-security-updates/bc-p/4088764/highlight/true#M38300), after installing the KB5035855 and KB5035857 Windows Server updates released this Patch Tuesday, domain controllers with the latest updates would crash and reboot due to increasing LSASS memory usage.


"Since installation of the march updates (Exchange as well as regular Windows Server updates) most of our DCs show constantly increasing lsass memory usage (until they die)," one admin [said](https://techcommunity.microsoft.com/t5/exchange-team-blog/released-march-2024-exchange-server-security-updates/bc-p/4088764/highlight/true#M38300).


"We've had issues with lsass.exe on domain controllers (2016 core, 2022 with DE and 2022 core domain controllers) leaking memory as well. To the point all domain controllers crashed over the weekend and caused an outage," another one [added](https://www.reddit.com/r/sysadmin/comments/1bcp2ql/patch_tuesday_megathread_20240312/kvnvp08/).


"Our symptoms were ballooning memory usage on the lsass.exe process after installing KB5035855 (Server 2016) and KB5035857 (Server 2022) to the point that all physical and virtual memory was consumed and the machine hung," one admin told BleepingComputer.


"The Support rep says they expect official comms to be announced from Microsoft soon."


Temporary workaround available
------------------------------


Until Microsoft officially acknowledges this memory leak issue, admins are advised to uninstall the buggy Windows Server updates from their domain controllers.


"Microsoft Support has recommended that we uninstall the update for the time being," the same admin told BleepingComputer.


To remove the troublesome updates, open an elevated command prompt by clicking the Start menu, typing 'cmd,' right-clicking the Command Prompt application, and then choosing 'Run as Administrator.'


Next, run one of the following commands, depending on what update you have installed on your Windows domain controller:



```
wusa /uninstall /kb:5035855
wusa /uninstall /kb:5035857
```

Once uninstalled, you should also use the ['Show or Hide Updates' troubleshooter](http://download.microsoft.com/download/F/2/2/F22D5FDB-59CD-4275-8C95-1BE17BF70B21/wushowhide.diagcab) to hide the buggy update so it will no longer appear in the available updates list.


Microsoft [addressed another LSASS memory leak](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-server-issue-causing-freezes-restarts/) affecting domain controllers in December 2022, when [affected servers would freeze and restart](https://www.bleepingcomputer.com/news/microsoft/new-windows-server-updates-cause-domain-controller-freezes-restarts/) after installing Windows Server updates released during the November 2022 Patch Tuesday.


In March 2022, Microsoft [fixed one more LSASS crash](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-domain-controller-restarts-caused-by-lsass-crashes/), causing unexpected Windows Server domain controller reboots.


A Microsoft spokesperson could not immediately provide more details when contacted by BleepingComputer earlier today.





## Tags:


### Autogenerated tags:
[[windows]] [[lsass]] [[microsoft]] [[uninstall]] [[bleepingcomputer]]
