# Not Windows 11? New Windows 10 name scheme hinted in Microsoft docs
## Microsoft may have mistakenly leaked that the upcoming next generation of Windows 10 will move away from its current naming scheme and switch to a macOS scheme using geographic locations or development names.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/not-windows-11-new-windows-10-name-scheme-hinted-in-microsoft-docs/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 09 June 2021, 11:33
+ Date scraped: 12 December 2023, 11:55

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/02/New-Windows.jpg)



Microsoft may have mistakenly leaked that the upcoming next generation of Windows 10 will move away from its current naming scheme and switch to a macOS scheme using geographic locations or development names.


When Microsoft releases new major versions of Windows, it has historically changed the number associated with the version. For example, Windows 7 > Windows 8 > Windows 8.1 > Windows 10.


Last week, Microsoft announced a press event on June 24 where they will "unveil the next generation of Windows."


Microsoft's Panos Panay tweeted a teaser video with this announcement showing what appeared to be sunlight streaming through a Windows logo to show a number 11.



Due to this, many thought that [Microsoft might be dropping hints](https://www.bleepingcomputer.com/news/microsoft/microsoft-hints-of-upcoming-windows-11-reveal-later-this-month/) that the next version is Windows 11.


Regardless of the name, we know that the next major version of Windows 10 is currently codenamed '[Sun Valley](https://www.bleepingcomputer.com/news/microsoft/windows-10-sun-valley-everything-you-need-to-know/) .' Unlike the past few feature updates, it is a massive release with new modern features and an updated user interface.


Leaked metadata may point to a new naming scheme
------------------------------------------------


When Microsoft updates their website documentation, they publish the changes on their GitHub repository.


As first reported by [Windows Latest](https://www.windowslatest.com/2021/06/09/microsoft-accidentally-confirms-windows-sun-valley-update/), Microsoft recently changed the HTML meta description for the public '[Windows application management](https://docs.microsoft.com/en-us/windows/application-management/)' page to use the following description:



> 
> "Learn about managing applications in Windows 10 and Windows Sun Valley."
> 
> 
> 



![Reference to Windows 10 Sun Valley in Microsoft documentation site](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/versions/sun-valley/microsoft-docs.jpg)**Reference to Windows 10 Sun Valley in Microsoft documentation site**  
*Source: Windows Latest*


After realizing they mistakenly added 'Windows Sun Valley' to the page's metadata, they quickly changed the meta description to "Learn about managing applications in Windows 10."



![GitHub commit showing the removed reference to Windows Sun Valley](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/versions/sun-valley/microsoft-github-change.jpg)**GitHub commit showing the removed reference to Windows Sun Valley**  
*Source: BleepingComputer*


This leak is Microsoft's first public reference to the Windows 10 Sun Valley update. However, the way it was written also indicates that Microsoft considers Windows 10 and Windows Sun Valley to be significantly different, rather than just an update to Windows 10.


It may also indicate that Microsoft is moving to a new naming scheme for the Windows operating system similar to macOS.


For example, macOS Catalina > macOS Big Sur > macOS Monterey.


While this is all speculation at this point, and we will not know for sure until the upcoming Windows event, moving to this naming scheme would make it a lot easier for Microsoft.


As they previously stated, Windows 10 is the last version of Windows, they could continue utilizing the current code base and switch to a new naming scheme.


By doing this, they would continue to validate their statement that Windows 10 is the last version.


Microsoft's continued use of Windows 10 as the codebase for Windows ~~10 (?)~~ Sun Valley is also indicated by [existing enablement packages](https://betawiki.net/wiki/Windows_10_build_19044.1023) that allow you to change the version number to Windows 10 build 19044, aka Windows 10 21H2 or Windows Sun Valley.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[macos]]
