# October Windows Server updates cause Hyper-V VM boot issues
## According to customer reports, this month's Patch Tuesday updates are breaking virtual machines on Hyper-V hosts, causing them to no longer boot and display "failed to start" errors.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/october-windows-server-updates-cause-hyper-v-vm-boot-issues/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 17 October 2023, 08:31
+ Date scraped: 17 October 2023, 13:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/13/Windows_Server_headpic.jpg)



According to customer reports, this month's Patch Tuesday updates are breaking virtual machines on Hyper-V hosts, causing them to no longer boot and display "failed to start" errors.


According [to](https://learn.microsoft.com/en-us/answers/questions/1390482/vms-wont-start-since-windows-updates-october-2023) [complaints](http://learn.microsoft.com/en-us/answers/questions/1390624/virtual-machines-failed-to-start-after-installing) [from](http://twitter.com/JetzeMellema/status/1713277368968650786) [Windows](https://answers.microsoft.com/en-us/windowserver/forum/all/hyper-v-guests-fail-to-start-after-october-2023/fa4ef87f-001f-44a2-af05-92de8fa84706) [admins](https://community.spiceworks.com/topic/2496148-hyper-v-vm-won-t-start-vhdx-incorrect-function), the issue is triggered after installing [KB5031361](https://support.microsoft.com/en-gb/topic/october-10-2023-kb5031361-os-build-17763-4974-766593db-b47a-4b18-a698-906426860313) and [KB5031364](https://support.microsoft.com/en-us/topic/october-10-2023-kb5031364-os-build-20348-2031-7f1d69e7-c468-4566-887a-1902af791bbc) on Windows Server 2019 and Windows Server 2022 systems.


The following errors will be logged to the event viewer when trying to start a VM on an affected Hyper-V system:


* Failed to start virtual machine TOOLS. Error: 'TOOLS' failed to start.
* Failed to Power on with Error 'Incorrect function.'
* Failed to open attachment 'vhdx\_path'. Error: 'Incorrect function.'

While Microsoft has yet to acknowledge this as a known issue, administrators with impacted devices have noted that uninstalling the problematic updates resolves the issue, allowing all virtual machines (VMs) to start up without any problems.


This can be accomplished using the Windows Update Standalone Installer (WUSA) tool, which helps install and remove update packages through the Windows Update Agent API.


To fix the Hyper-V boot issues, open an elevated command prompt by clicking the Start menu, typing cmd, right-clicking the Command Prompt application, and choosing 'Run as Administrator.'


Next, run the following commands, depending on what cumulative update you have installed on your system:



```
wusa /uninstall /kb:5031364
wusa /uninstall /kb:5031361
```


![Hyper-V start failure error](https://www.bleepstatic.com/images/news/u/1109292/2023/Hyper-V_start_failure_error.png)*Hyper-V start failure error ([Jetze Mellema](https://twitter.com/JetzeMellema))*


​Microsoft has yet to add this as a known issue to the Windows Health Dashboard or confirm the customers' Hyper-V complaints.


Nonetheless, when it released the buggy cumulative updates, the company revised the support document for KB5031364, including and removing a known issue related to VMware ESXi, describing boot issues encountered by guest VMs operating Windows Server 2022 with Secure Boot enabled.


"After installing this update on guest virtual machines (VMs) running Windows Server 2022 on some versions of VMware ESXi, Windows Server 2022 might not start up," the [now-removed known issue said](https://web.archive.org/web/20231010231351/https://support.microsoft.com/en-us/topic/october-10-2023-kb5031364-os-build-20348-2031-7f1d69e7-c468-4566-887a-1902af791bbc).


"Only Windows Server 2022 VMs with Secure Boot enabled are affected by this issue. Affected versions of VMware ESXi are versions vSphere ESXi 7.0.x and below."


Redmond also released emergency out-of-band Windows Server updates in January and December 2022 to fix known issues that [caused Hyper-V VMs to no longer start](https://www.bleepingcomputer.com/news/microsoft/new-windows-server-updates-cause-dc-boot-loops-break-hyper-v/) and [problems creating new VMs on some Hyper-V hosts](https://www.bleepingcomputer.com/news/microsoft/microsoft-pushes-emergency-fix-for-windows-server-hyper-v-vm-issues/).


Microsoft [acknowledged a similar issue](https://www.bleepingcomputer.com/news/microsoft/microsoft-february-updates-break-some-windows-server-2022-vms/) earlier this year affecting VMware ESXi VMs with Secure Boot after installing February 2023 cumulative updates. VMware issued [emergency vSphere ESXi updates](https://www.bleepingcomputer.com/news/microsoft/emergency-vmware-esxi-update-fixes-windows-server-2022-vm-boot-issues/) that fixed a bug causing boot issues after failing to locate a bootable operating system.


A Microsoft spokesperson could not provide a statement regarding these Hyper-V VM issues when contacted by BleepingComputer on Monday.





## Tags:


### Autogenerated tags:
[[windows]] [[hyper-v]] [[vms]] [[esxi]] [[vmware]] [[microsoft]] [[wusa]]
