# Oracle warns that macOS 14.4 update breaks Java on Apple CPUs
## Oracle warned Apple customers to delay installing the latest macOS 14.4 Sonoma update because it will break Java on ARM-based Macs.
## Information:

+ Link: https://www.bleepingcomputer.com/news/apple/oracle-warns-that-macos-144-update-breaks-java-on-apple-cpus/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 19 March 2024, 12:52
+ Date scraped: 19 March 2024, 17:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/09/11/apple_triangle.jpg)



Oracle warned Apple customers to delay installing the latest macOS 14.4 Sonoma update because it will break Java on ARM-based Macs.


This issue frequently and intermittently causes the Jave process to terminate without warning on impacted Macs. It affects all Java versions, from Java 8 to the latest early access builds of JDK 22, and, at the moment, there are no workarounds available.


"There is no workaround available, and since there is no easy way to revert a macOS update, affected users might be unable to return to a stable configuration unless they have a complete backup of their systems prior to the OS update," warned Aurelio Garcia-Ribeyro, Senior Director of Product Management at Oracle.


This happens because Apple's macOS keeps track of and controls how dynamically generated code is written or executed by sending a SIGKILL signal to threads that attempt to access protected memory regions.


According to Garcia-Ribeyro, since the Java Virtual Machine uses dynamic code generation and accesses memory in protected memory regions to ensure correctness and performance, its process will be terminated after deploying the macOS 14.4 update.


Oracle has already alerted customers, Apple, and their OpenJDK partners and advises Apple users to delay updating until the issue is fixed.


"We recommend that users of Java on ARM-based Apple devices running macOS 14 delay applying the update until this issue is resolved," Garcia-Ribeyro [said](https://blogs.oracle.com/java/post/java-on-macos-14-4).


More issues caused by macOS 14.4
--------------------------------


Apple customers who already installed macOS 14.4 Sonoma have also reported experiencing other problems besides Java getting killed unexpectedly, as [MacRumors reported](https://www.macrumors.com/2024/03/18/do-not-update-macos-sonoma-14-4/).


Other issues that users who want to update to macOS 14.4 should be aware of:


* Printer drivers, especially for HP printers, [might get removed or corrupted](https://discussions.apple.com/thread/255522015?sortBy=best).
* Those who utilize "Optimize Mac Storage" [may lose all previously saved file versions](https://eclecticlight.co/2024/03/18/serious-bug-in-sonoma-14-4-will-destroy-saved-versions-in-icloud-drive/) if it is removed from iCloud Drive's local storage.
* Some users have [reported](https://discussions.apple.com/thread/255518397) [connectivity](https://www.reddit.com/r/MacOS/comments/1b9volo) [problems](https://x.com/rhysmorgan/status/1766171380272300262?s=20) with USB hubs and monitors with USB ports.
* Apple silicon Macs running macOS 14.4 may have [compatibility issues with PACE products](https://help.uaudio.com/hc/en-us/articles/24492336117652-PACE-iLok-Issue-with-macOS-Sonoma-14-4-Update), including the iLok License Manager.

An Apple spokesperson was not immediately available for comment when contacted by BleepingComputer today.





## Tags:


### Autogenerated tags:
[[macos]] [[garcia-ribeyro]]
