# RCMP investigating cyber attack as its website remains down
## The Royal Canadian Mounted Police (RCMP), Canada's national police force has disclosed that it recently faced a cyber attack targeting its networks. The federal body has started its criminal investigation into the matter as it works to determine the scope of the security breach.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/rcmp-investigating-cyber-attack-as-its-website-remains-down/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 25 February 2024, 06:30
+ Date scraped: 25 February 2024, 12:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/11/20/0_Canada_flag.jpg)



The Royal Canadian Mounted Police (RCMP), Canada's national police force has disclosed that it recently faced a cyber attack targeting its networks.


The federal body has started its criminal investigation into the matter as it works to determine the scope of the security breach.


RCMP: No threat to safety and security of Canadians
---------------------------------------------------


According to [a CBC report](https://www.cbc.ca/news/politics/cybersecurity-breach-rcmp-1.7123787), RCMP's chief security officer Paul L. Brown stated that the police force is managing a "cyber event" and has cautioned employees to remain vigilant.


"The situation is evolving quickly but at this time, there is no impact on RCMP operations and no known threat to the safety and security of Canadians," said an RCMP spokesperson in a media statement.


"While a breach of this magnitude is alarming, the quick work and mitigation strategies put in place demonstrate the significant steps the RCMP has taken to detect and prevent these types of threats."


At this time, there is no evidence of foreign police and intelligence services being impacted by the cyber incident. The Office of the Privacy Commissioner (OPC) was notified of the cyberattack.


RCMP website down
-----------------


BleepingComputer further observed that the RCMP website is down as of this morning and throwing an HTTP 404 (Not Found) error message.


Requests made to *https://www.rcmp-grc.gc.ca/*are being redirected to an *install.php* page which does not exist:



![RCMP website down](https://www.bleepstatic.com/images/news/u/1164866/2024/Feb/rcmp-down/rcmp-down.jpg)**RCMP website is throwing a 404 (Not Found) error message** (BleepingComputer)


Setup scripts, such as *install.php* are typically associated with fresh website installations, typically those using CMS products like WordPress and Drupal—the latter appearing to be in use by the RCMP, based on our preliminary assessment.


The act of a server redirecting any incoming requests to an *install.php* page is generally indicative of a new website that needs to be configured by its sysadmins before it can go live and begin serving content to the public. In properly configured live websites, install scripts are not and should generally not be made accessible to the public.


BleepingComputer was still able to access some pages of RCMP's separate domain, rcmp.ca, such as *[Individual Web Services](https://rcmp.ca/en/firearms/individual-web-services).* The rcmp.ca homepage itself, however, redirects to rcmp-grc.gc.ca, which is offline at the moment.


BleepingComputer has approached the RCMP media office to better understand whether this issue is related to the ongoing cyber incident.





## Tags:
***urls***: https://www.rcmp-grc.gc.ca/

### Autogenerated tags:
[[rcmp]] [[website]] [[bleepingcomputer]] [[install.php]]
