# Ruby updates code of conduct to promote inclusion
## Maintainers behind the Ruby programming language have revised the project's Code of Conduct on GitHub to remove tolerating opposing viewpoints as a prerequisite. The decision comes after a community member posted a joke that many deemed sexist.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/ruby-updates-code-of-conduct-to-promote-inclusion/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 02 October 2021, 10:01
+ Date scraped: 11 December 2023, 13:54

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/12/16/RubyGems.jpg)



Maintainers behind the Ruby programming language have revised the project's Code of Conduct on GitHub to remove tolerating opposing viewpoints as a prerequisite.


The decision comes after a community member was seen posting a joke that many deemed sexist and ageist.


Tolerance for opposing views no longer enforced
-----------------------------------------------


Ruby's Code of Conduct has historically stated that community members maintain regard and tolerance for each other's viewpoints, even if they aren't always in agreement:



![Ruby site before the change](https://www.bleepstatic.com/images/news/u/1164866/2021/Oct-2021/ruby-coc/ruby-site-before(1).jpg)**Ruby site has historically stated participants will be tolerant of opposing views**([Wayback Machine](http://web.archive.org/web/20210808122234/https://www.ruby-lang.org/en/conduct/))


But, on September 29th, in a pull request titled, "Remove abuse enabling language," software engineer [Jake Herrington](https://twitter.com/JakeHerrington) proposed that Ruby's Code of Conduct be revised to ensure everyone in the community feels safe.


Herrington's [initially proposed change](https://github.com/ruby/www.ruby-lang.org/pull/2690/commits/8ff5273146db3d5e2f0ffbf22cbbc1597610c7dc#diff-bc06027e8236e608ab690a75268f3d8499189e961a4bb7d42cbe525663ce5c2aR21) to the code was minimal: changing that participants should "always assume good intentions" when interpreting words and actions of others to "participants should speak and act with good intentions, **but understand that intent and impact are not equivalent.**"


But, a pseudonymous GitHub member urged that the document be further revised to take out the line on opposing viewpoints.


"Some people may have views that when expressed, may be harmful to the interest of particular groups of people like big corporations. This has to be taken into account," [suggested](https://github.com/ruby/www.ruby-lang.org/pull/2690#issuecomment-930575204) the user.


The following day, Ruby's documentation was further updated to convey the suggested language, as [confirmed](http://github.com/jacobherrington/www.ruby-lang.org/commit/66bbbcb9eaea3074dce4e15bf79373d45c3525de#diff-bc06027e8236e608ab690a75268f3d8499189e961a4bb7d42cbe525663ce5c2a) by BleepingComputer:



![Ruby revises Code of Conduct](https://www.bleepstatic.com/images/news/u/1164866/2021/Oct-2021/ruby-coc/code-of-conduct-master.jpeg)**Ruby's revised Code of Conduct no longer enforces tolerating opposing viewpoints**(GitHub)


The change is now [live](https://www.ruby-lang.org/en/conduct/) on the Ruby website.


Herrington's [rationale](http://web.archive.org/web/20211001004040/https://twitter.com/JakeHerrington/status/1443286841533374469) behind the swift move is based on a recent action of a community member. In the Ruby mailing list, the member is seen posting a [note](http://rubytalk.org/t/simple-operations/75577) on how Ruby's *Date.today* method behaves, along with a sexist remark.


A Twitter [thread](http://web.archive.org/web/20210929182315/https://twitter.com/keystonelemur/status/1443280163203125248) by Ruby Lead and Square's Global Neurodiversity Chair, Brandon Weaver explains what caused these changes to be made.



![Twitter thread explaining the reasons behind the changes](https://www.bleepstatic.com/images/news/u/1164866/2021/Oct-2021/ruby-coc/weaver-tweet.jpg)**Twitter thread explaining the reasons behind the changes**


Ruby's decision attracts polarized views
----------------------------------------


Many urged that the mailing list moderators step up and figure out a solution to prevent such a behavior in the future:


"Who is responsible for this mailing list? If it's not appropriately moderated I will suggest removing references to it from [the [Ruby Mailing Lists page](https://www.ruby-lang.org/en/community/mailing-lists/)] today," expressed developer [Olivier Lacan](https://twitter.com/olivierlacan/status/1443289157267304449).


And, to a large extent, most Ruby community members have welcomed the subtle but noteworthy revisions to the Code of Conduct.


"Just wanna say thanks for publicly denouncing this behavior. What's going on in there right now is absolutely disgusting and shameful," tweeted Ruby developer [Jemma Issroff](https://twitter.com/JemmaIssroff/status/1443312161829359625). 


But, not everyone is pleased with this approach, as seen in different places:


In the GitHub thread started by Herrington, user Brian Spilner [argued](https://github.com/ruby/www.ruby-lang.org/pull/2690#issuecomment-931230643) that as a consequence there may be no more room for any kind of jokes, as someone is bound to get offended:


"As a consequence, there will be no more space for any kind of humor (cause someone could feel shocked)... no more general criticism (cause some ppl might feel too offended) unless we use the perfect working for that... but hang on: what if some ppl still feel offended even IF we use the right words? Do they loose [sic] the right to feel offended in that case?"


Later, a debate emerged on [Y Combinator's Hacker News](https://news.ycombinator.com/item?id=28712821) leaving netizens divided:



![Some users displeased with Ruby's approach](https://www.bleepstatic.com/images/news/u/1164866/2021/Oct-2021/ruby-coc/ycomb-conv-1.jpg)**Some [called](http://news.ycombinator.com/item?id=28718489) it "a pretty chilling and despotic approach"**​​​​​


"So in the name of being inclusive, they're bullying someone who is not a native English speaker for not knowing the nuances of political correctness in a foreign culture? Cool cool," [posted](https://news.ycombinator.com/item?id=28720260) a pseudonymous user.


But, the Ruby community is pretty clear on what constitutes acceptable behavior, and that advanced technical knowledge is no excuse for poor conduct.


Ruby's mailing list [guidelines](https://www.ruby-lang.org/en/community/mailing-lists/ruby-talk-guidelines/) also advise to *always* be friendly, considerate, tactful, and tasteful, so as to keep the environment hospitable and safe for everyone.  


"To be honest, I think that catering to 'fire-breathing' wizards is a bad policy. I don't care what technical knowledge or context someone brings to a conversation, it shouldn't be codified in conduct docs that Ruby 'caters' to jerks," says Herrington.


"That behavior certainly doesn't reflect the values that attracted me to the Ruby community in the first place."


"For the sake of clarity, it is the community that keeps me in the Ruby space. If those values aren't being lived, then why would I pick Ruby over other technically viable tools in the same space?" continues Herrington.


No matter what changes are ultimately included in the new Code of Conduct, the debate on the matter has become so polarized that there will always be someone who is upset with the outcome.


*Update—Oct 3rd, 2:40 AM ET: Replaced links to tweets with archived copies as the tweets were restricted or removed after the publication of this article.*





## Tags:


### Autogenerated tags:
[[herrington]] [[github]]
