# Samsung sued for flawed Chromebook hinges cracking displays
## Samsung is being sued for selling the Samsung Chromebook Plus 2-in-1 even though they allegedly knew for years of a defect that caused displays to break.
## Information:

+ Link: https://www.bleepingcomputer.com/news/legal/samsung-sued-for-flawed-chromebook-hinges-cracking-displays/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 06 November 2021, 11:36
+ Date scraped: 11 December 2023, 12:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/16/computer-angry.jpg)



Samsung is being sued for selling the Samsung Chromebook Plus 2-in-1 even though they allegedly knew for years of a defect that caused displays to break.


The class action lawsuit has been filed by Tony McCoy out of the U.S. District Court for the District of New Jersey and claims that Samsung concealed the defect of the Chromebook and denied covering repair costs (reaching $350), even though the flaw affected numerous customers.


The Chromebook Plus 2-in-1 with the alleged defect was promoted as a laptop/tablet hybrid, featuring a 360-degree rotating touchscreen that made it easy for users to transform the device and switch modes.



![The Samsung Chromebook Plus 2-in-1](https://www.bleepstatic.com/images/news/legal/samsung-chromebook-display-crack/samsung-chrome-book.jpg)**The Samsung Chromebook Plus 2-in-1**  
*Source: Samsung*


The model was launched in January 2017 at a retail price of $449, with the marketing materials highlighting its "supreme flexibility."


Samsung [also promoted](https://news.samsung.com/global/samsung-and-google-introduce-the-next-generation-chromebook-designed-for-google-play-the-samsung-chromebook-plus-and-chromebook-pro) chemically-hardened 'Gorilla Glass 3' to indicate the durability and longevity of the Chromebook's display.


A cracking problem
------------------


However, according to the complaint, the hinges which hold the display and connect it to the chassis are defective, and typically detach from their mounting points after a period of daily use.


Once the defect manifests, the display will crack when opening or closing the Chromebook as the hinge is now hanging at an angle. This will also cause the display panel underneath to split or rupture, causing color and pixel problems.


"Unbeknownst to consumers, however, the Class Devices’ display hinges are defective in that they detach from their mounting point within the display and break through the screen when the display is moved (the “Defect”). When the Defect manifests, attempting to open an impacted Class Device or change the display angle causes the screen to split, rupture, or suffer other serious damage," reads the [complaint filed against Samsung](http://www.documentcloud.org/documents/21098761-samsung_class_action).


"The Defect renders the Class Devices inoperable by (1) breaking the screen glass and/or (2) restricting the user’s ability to open or close the display and adjust the viewing angle without causing severe damage to the screen glass."


As the user is now unable to open or close the device, the complaint states that they are also deprived of the 2-in-1 functionality, which was the core marketing premise of the Chromebook.



![McCoy's device after the screen cracked](https://www.bleepstatic.com/images/news/u/1220909/Legal/cracked%20screen.jpg)**McCoy's device after the screen cracked**


Denying inherent failure
------------------------


According to the complaint, Samsung customers affected by the problem were forced to cover the fixing costs for replacing both the impacted hinge assembly and the screen, as Samsung placed the fault on them for improper use.



> 
> "When consumers seek relief pursuant to the warranty, Samsung typically declines to repair or replace the Class Devices or refund their purchase price. Instead, Samsung classifies the problems caused by the Defect as the result of “misuse”—as Plaintiff was told, “opening and closing the laptop too much”—or other user error or accident. Defendant takes this approach to avoid responsibility and the costs associated with honoring their warranty." - Tony McCoy vs. Samsung Electronics America, Inc. complaint.
> 
> 
> 


Even if the hinge is replaced, Samsung allegedly uses the same defective spare part, so the screen-cracking issue is set to re-occur in a couple of months.


The lawsuit claims that due to the widespread complaints about the problem, Samsung should have known about the issue by August 2021, when the defect cracked the screen of the Plaintiff's Chromebook.


"Defendant willfully, falsely, and knowingly omitted various material facts regarding the quality, character, and abilities of the Class Devices. Rather than disclose the Defect to Plaintiff and other prospective purchasers of Class Devices, Defendant concealed the Defect," reads the complaint.


After McCoy’s display cracked, his wife filed a formal complaint with Samsung’s customer service team and spent many hours speaking with representatives in the following days but to no avail.


After the issue was escalated to a customer support supervisor, her concerns were dismissed and was told damage was caused by "opening and closing the laptop too much."


McCoy's class action lawsuit demands a trial by jury and seeks monetary relief through an order awarding actual, statutory, punitive, treble, and any other form of damages and/or equitable relief, as well as judiciary costs.


The causes of action presented in the motion are the following:


* Violation of the Magnusson-Moss warranty act
* Breach of the implied warranty of merchantability
* Violation of the Oklahoma deceptive trade practices act
* Violation of the deception prong of the OCPA
* Violation of the unfair prong of the OCPA
* Unjust enrichment
* Fraudulent omission or concealment

Finally, the lawsuit seeks an order to compel Samsung to disclose and remediate the hinge defect adequately.


Not an isolated case
--------------------


Bleeping Computer was able to find an abundance of online reports about the display hinge popping out of the frame and causing the screen to crack on this particular device.


This hinge defect appears to be a common complaint among the device's owners, with negative reviews flooding [Samsung's Chromebook Plus product page](https://www.samsung.com/us/computing/chromebooks/12-14/samsung-chromebook-plus-xe521qab-k01us/?CID=afl-ecomm-cjn-cha-092118-53005&cjevent=ea5ca88fcd5611eb822700270a82b839&utmd43f6d80INT#reviews).


"I've had this Chromebook for over a year and the left hinge suddenly pop out and cracked the screen. This is obviously an issue Samsung has to look at since I've read about 8 reviews in a row showing the same issue," an owner stated in a review on the product page.


"I've had mine for a year and a half and have loved it. Today I opened it up and the left hinge was just frozen. It tore the bottom left corner of the display, cracking the screen. I in no way manhandled it. I just opened it like I've done a million times before! Like Samsung doesn't know about their faulty hinges! Unreal!" stated another review on the product page.


Attached to many of the negative reviews for the Chromebook's defective hinges are photos of the damage it caused, as seen below.



![Photo of a broken hinge shared in a review](https://www.bleepstatic.com/images/news/legal/samsung-chromebook-display-crack/hinge-1.jpg)**Photo of a broken hinge shared in a review**



![Another photo of broken hinge shared in a review](https://www.bleepstatic.com/images/news/legal/samsung-chromebook-display-crack/hinge-2.jpg)**Another photo of broken hinge shared in a review**


Customer complaints are not isolated to the Chromebook's product page.


Unhappy customers have also taken to [Reddit](https://www.reddit.com/search/?q=samsung%20hinge%20chromebook) and Twitter to complain about the hinges, as shown in the slightly censored tweet below.



[![Twitter user complaining about unjustified damage](https://www.bleepstatic.com/images/news/u/1220909/Legal/twitter%20user(1).jpg)](https://twitter.com/BrianDivaCox/status/1300842393210695684)
**Twitter user complaining about unjustified damage**


For updates on the case and for taking part in an amended future complaint, check the relevant [webpage of the law firm](http://classlawdc.com/2021/06/22/samsung-chromebook-plus-hinge-defect/) that is representing McCoy.


BleepingComputer contacted Samsung with questions regarding this lawsuit but did not receive a response.





## Tags:


### Autogenerated tags:
[[samsung]] [[chromebook]] [[2-in-1]]
