# Satoshi Island: 'Crypto paradise' where citizenship costs $130,000
## Meet Satoshi Island, a 32 million square foot private isle giving you access to pristine waters, year-round sunlight, modular homes, and the "promise of a decentralized future." The Satoshi Island we're talking about isn't a tale of fiction, but a real-life private island dedicated to the crypto community.
## Information:

+ Link: https://www.bleepingcomputer.com/news/cryptocurrency/satoshi-island-crypto-paradise-where-citizenship-costs-130-000/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 28 March 2022, 17:41
+ Date scraped: 28 March 2022, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/28/satoshi-crypto-island.png)


  
*Image credit: Satoshi Island*


Meet *Satoshi Island*, a 32 million square foot private isle giving you access to pristine waters, year-round sunlight, modular homes, and the promise of a decentralized democracy.


The Satoshi Island we're talking about isn't a tale of fiction, but a real-life private island dedicated to the crypto community.


## A home for crypto lovers to thrive, starting 2023


Located in the tropical paradise of [Vanuatu](https://en.wikipedia.org/wiki/Vanuatu), between Australia and Fiji, the island is owned by Satoshi Island Holdings Ltd., which intends to turn it into "the crypto capital of the world"— a place where crypto enthusiasts and professionals can thrive.


And, the name of the island is hardly surprising—inspired by [Satoshi Nakamoto](https://en.wikipedia.org/wiki/Satoshi_Nakamoto), the pseudonymous person purported to be the original developer of Bitcoin (BTC).


"After years of preparation, a green light from the Vanuatu Prime Minister and Minister Of Finance and all approvals in place, Satoshi Island is now ready to be developed into a real-world crypto economy and blockchain based democracy," says the company, that foresees the island operating as "a decentralized autonomous organization" in the future.


In an [interview](https://cointelegraph.com/news/satoshi-island-crypto-utopia-receives-50k-citizenship-nft-applications) with Cointelegraph last week, Satoshi Island team of Denys Troyak, James Law, Taras Filatov and Benjamin Nero said that the crypto paradise will be "a true crypto-economy" where everything can be paid for and bought in crypto. All ownership of assets on the island will be represented with [Non-Fungible Tokens (NFTs)](https://en.wikipedia.org/wiki/Non-fungible_token), powered by blockchain.


With modular homes currently under construction, Satoshi Island plans to open its doors to the world starting in 2023:



![Satoshi Island Modular Homes Illustration](https://www.bleepstatic.com/images/news/u/1164866/2022/Mar-2022/satoshi-island/modular-homes.jpeg)**An illustration showing how Satoshi Island's sea-side modular homes will look like**(Satoshi Island)
## 'A metaverse mirrored in reality'


Don't be fooled into thinking the so-called modular homes, like NFTs, exist in the digital world alone. Every home will be a "Satoshi Island Land NFT" which, like an NFT, can be traded.


"Satoshi Island is taking the next step in the evolution of NFTs by introducing a way to turn digital ownership into physical," explains the company.


"Anyone can own a piece of the island by acquiring Satoshi Island Land NFTs that can be bought and sold easily, without any of the complications associated with the transfer of traditional real estate."


However, the founders explain, NFT holders can turn their digital rights into physical documentation on the official land registry of Vanuatu.


And, it doesn't end here. The Island's majestic plans also include hosting crypto-focused events all year round, housing crypto projects, and gathering a place for crypto enthusiasts worldwide.


## *Citizenship* NFTs are free, citizenship costs $130,000


Satoshi Island's founders state they have been flooded with over 50,000 visa nonfungible token (NFT) applicationsfrom crypto enthusiasts all around the world who'd like to become "permanent crypto residents."


And, those who become Satoshi Island NFT "citizens" will additionally enjoy an earlier 'private opening' set for the fourth quarter of 2022 which is when the island's borders open up to NFT Citizenship holders for a short trip.



![Satoshi Island neighbourhood](https://www.bleepstatic.com/images/news/u/1164866/2022/Mar-2022/satoshi-island/satoshi-island-community.png)**An artistic concept of a Satoshi Island neighborhood**(Satoshi Island)
NFT Citizens also get the right to vote on the policies that govern the island. Each wallet can only hold one Citizenship and that NFT will count as one vote. And, NFT Mints & Airdrops are another perk given to such citizens: "Addresses that hold a Citizenship NFT are automatically whitelisted for early access to all Satoshi Island NFT mints and airdrops," the company explains.


Note, however, the visa or citizenships NFTs, in this context, do not represent or by themselves grant [immigration authorization](https://en.wikipedia.org/wiki/Travel_visa) to the island which involves a separate, governmental visa process.


Anybody can apply for [Satoshi Island NFT Citizenship](https://satoshi-island.com/citizenship) today but that is not to be confused with the term 'citizenship' as understood colloquially.


The island website explicitly states, "Satoshi Island Citizenship NFTs have no relation to citizenship of Vanuatu," and the company [tweeted a clarification](https://twitter.com/satoshiisland/status/1508134959218933769) reinforcing the fact.


Anyone, regardless of whether they hold Satoshi Island's Citizenship NFT, must be considered permissible for entry to the Republic of Vanuatu and possess a valid government-issued visa, or have a passport from one of the 130 countries that grant visa-free travel to Vanuatu.


The Republic of Vanuatu does offer a separate citizenship application process via the investment route that costs [at least US$130,000 for a single applicant](https://vancitizenship.gov.vu/index.php/citizenship/fees-and-charges).


"It is important to remember that a Satoshi Island Citizenship NFT is not the same as a Vanuatu Citizenship. However, Vanuatu does have a well respected citizenship by investment program for people looking for a second passport," explains the Island team.


"For those looking to take advantage of this program, Satoshi Island Citizenship NFTs provide the holders with access to our expedited processing through [Vanuatu Investment & Migration Bureau](https://vimb.vu/)."


However, as palatable as all of this sounds, and despite getting the approval of Vanuatu's Prime Minister, novel ventures involving [volatile financial assets like cryptocurrency and NFTs](http://www.businessinsider.com/what-are-risks-of-investing-in-nft-2021-3?r=US&IR=T) always come with inherent risks, including that of never materializing.


In January, a similar venture like Crypoland—a 'tropical haven for cryptocurrency enthusiasts' [failed to secure a Fiji resort in a $12 million deal](https://www.theguardian.com/technology/2022/jan/16/cryptoland-runs-aground-as-12m-bid-to-buy-fiji-island-for-resort-falls-through) that fell apart.


Furthermore, it remains yet to be known what all legal guarantees and rights, if any, will be afforded to "NFT citizens" by the Vanuatuan government policies. As such, until Satoshi Island's glorious plans materialize, there remains a risk of losing money over goods and services that you may pay for but never receive.


*Editor's note: This is not a promotion. Neither BleepingComputer nor the author is not receiving any financial incentive or material favor from Satoshi Island, its affiliates, or any cryptocurrency platforms for the publication of this piece.*





## Tags:


### Autogenerated tags:
[[satoshi]] [[nft]] [[vanuatu]] [[nfts]]
