# ShinyHunters claims Santander breach, selling data for 30M customers
## A threat actor known as ShinyHunters is claiming to be selling a massive trove of Santander Bank data, including information for 30 million customers, employees, and bank account data, two weeks after the bank reported a data breach.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/shinyhunters-claims-santander-breach-selling-data-for-30m-customers/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 31 May 2024, 11:47
+ Date scraped: 31 May 2024, 16:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/05/15/im-storie-medidas-para-frenar-el-coronavirus-nuestra-tarea-como-banco-responsable-es-cuidar-de-todos-desktop.jpg)



A threat actor known as ShinyHunters is claiming to be selling a massive trove of Santander Bank data, including information for 30 million customers, employees, and bank account data, two weeks after the bank reported a data breach.


ShinyHunters is known for selling and leaking data from numerous companies over the years, including this week's [alleged massive Ticketmaster data breach](https://www.bleepingcomputer.com/news/security/data-of-560-million-ticketmaster-customers-for-sale-after-alleged-breach/) impacting 560 million people.


They're also the owner of BreachForums, a notorious online community trafficking in the sale and leaking of stolen data which has survived [several](https://www.bleepingcomputer.com/news/security/raidforums-hacking-forum-seized-by-police-owner-arrested/) law enforcement [takedowns](https://www.bleepingcomputer.com/news/security/fbi-seizes-breachforums-after-arresting-its-owner-pompompurin-in-march/) over the past couple of years


Two weeks ago, Spain's largest bank, Santander, [disclosed a data breach](https://www.bleepingcomputer.com/news/security/banco-santander-warns-of-a-data-breach-exposing-customer-info/) after detecting unauthorized access to a database hosted by a third-party provider.


The company's investigation determined that the threat actor accessed data for employees and customers in Chile, Spain, and Uruguay.


"Following an investigation, we have now confirmed that certain information relating to customers of Santander Chile, Spain and Uruguay, as well as all current and some former Santander employees of the group had been accessed," reads a [statement from Santander](https://www.santander.com/en/stories/statement).


"Customer data in all other Santander markets and businesses are not affected."


Fast forward two weeks, and as first spotted by [Dark Web Informer](https://x.com/DarkWebInformer/status/1796230210947268628), ShinyHunters is now claiming to sell the data for Santander customers in Chile, Spain, and Uruguay for $2 million, the same data the bank reported was stolen.



![Selling of Santander Bank data on a hacking forum](https://www.bleepstatic.com/images/news/security/d/data-breaches/s/santander/hacking-forum-post.jpg)

**Selling of Santander Bank data on a hacking forum**  
*Source: BleepingComputer*




ShinyHunters claims that the stolen data contains the personal information of 30 million customers and employees, 28 million credit card numbers, and 6 million account numbers and balances.


As part of the sale listing, the threat actor also shared samples of the data that contains the listed information but cannot be confirmed to belong to Santander.


This listing comes soon after the [FBI seized BreachForums](https://www.bleepingcomputer.com/news/security/fbi-seize-breachforums-hacking-forum-used-to-leak-stolen-data/) on May 15th, which was operated by ShinyHunters and another threat actor known as Baphomet.


While ShinyHunters says that Baphomet was arrested, he quickly restored the BreachForums site from a backup to a new domain.


Since then, the threat actor posted the sale of Ticketmaster and Santander, which [some feel](https://x.com/Cyberknow20/status/1795667145235595332) was done to restore the reputation of the site after its takedown by law enforcement.


However, what makes these sales unusual is that both were first listed on the Russian-speaking Exploit hacking forum days before they were listed on the newly-restored BreachForums.



![Santander data sold on Exploit earlier in the week](https://www.bleepstatic.com/images/news/security/d/data-breaches/s/santander/exploit-post.jpg)

**Santander data sold on Exploit earlier in the week**  
*Source: [Kela](https://www.kelacyber.com/)*




These sales were listed under the accounts of new members, with no reference to BreachForums or ShinyHunters, making others believe the sale on BreachForums is a fake.


However, ShinyHunters has commonly acted as a data breach broker for other threat actors in the past, and it is not uncommon for these threat actors to create new aliases on various forums to sell stolen data.


While TicketMaster has not confirmed whether a data breach occurred, ShinyHunters has a reputation for selling valid data breaches in the past.


In 2021, Shiny Hunters [claimed to be selling the stolen data](https://www.bleepingcomputer.com/news/security/atandt-denies-data-breach-after-hacker-auctions-70-million-user-database/) of 73 million AT&T customers, which the company repeatedly denied to BleepingComputer.


"I don't care if they don't admit. I'm just selling," ShinyHunters told BleepingComputer at the time.


In 2024, after the AT&T data was leaked on a hacking forum, [AT&T finally confirmed](https://www.bleepingcomputer.com/news/security/atandt-denies-data-breach-after-hacker-auctions-70-million-user-database/) that the data was legitimate and that they had suffered a breach.


In the past, ShinyHunters has breached or leaked the data for numerous companies, including [Wattpad](https://www.bleepingcomputer.com/news/security/wattpad-data-breach-exposes-account-info-for-millions-of-users/), [Tokopedia](https://www.bleepingcomputer.com/news/security/hacker-sells-91-million-tokopedia-accounts-cracked-passwords-shared/), [Microsoft's GitHub account](https://www.bleepingcomputer.com/news/security/microsofts-github-account-hacked-private-repositories-stolen/), [BigBasket](https://www.bleepingcomputer.com/news/security/hacker-leaks-20-million-alleged-bigbasket-user-records-for-free/), [Nitro PDF](https://www.bleepingcomputer.com/news/security/hacker-leaks-full-database-of-77-million-nitro-pdf-user-records/), [Pixlr](https://www.bleepingcomputer.com/news/security/hacker-posts-19-million-pixlr-user-records-for-free-on-forum/), [TeeSpring](https://community.teespring.com/blog/security-incident-june-2020/), [Promo.com](https://www.bleepingcomputer.com/news/security/promocom-discloses-data-breach-after-22m-user-records-leaked-online/), [Mathway](https://www.bleepingcomputer.com/news/security/mathway-investigates-data-breach-after-25m-records-sold-on-dark-web/), and [many more](https://www.bleepingcomputer.com/news/security/startups-disclose-data-breaches-after-massive-386m-records-leak/).





## Tags:


### Autogenerated tags:
[[shinyhunters]] [[santander]] [[breachforums]] [[ticketmaster]] [[bleepingcomputer]] [[at&t]]
