# Slack's private GitHub code repositories stolen over holidays
## Slack suffered a security incident over the holidays affecting some of its private GitHub code repositories.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/slacks-private-github-code-repositories-stolen-over-holidays/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 05 January 2023, 08:50
+ Date scraped: 05 January 2023, 09:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/08/30/slack-header.jpg)



Slack suffered a security incident over the holidays affecting some of its private GitHub code repositories.


The immensely popular Salesforce-owned IM app is used by an estimated 18 million users at workplaces and digital communities around the world.


## Customer data is not affected


BleepingComputer has come across a security incident notice issued by Slack on December 31st, 2022.


The incident involves threat actors gaining access to Slack's externally hosted GitHub repositories via a "limited" number of Slack employee tokens that were stolen.


While some of Slack's private code repositories were breached, Slack’s primary codebase and customer data remains unaffected, according to the company.


The wording from the notice [[1](https://slack.com/intl/en-gb/blog/news/slack-security-update), [2](https://archive.is/0AxEV)] published on New Year's eve is as follows:


"On December 29, 2022, we were notified of suspicious activity on our GitHub account. Upon investigation, we discovered that a limited number of Slack employee tokens were stolen and misused to gain access to our externally hosted GitHub repository. Our investigation also revealed that the threat actor downloaded private code repositories on December 27. No downloaded repositories contained customer data, means to access customer data, or Slack’s primary codebase."


Slack has since invalidated the stolen tokens and says it is investigating "potential impact" to customers.


At this time, there is no indication that sensitive areas of Slack's environment, including production, were accessed. Out of caution, however, the company has rotated the relevant secrets.


"Based on currently available information, the unauthorized access did not result from a vulnerability inherent to Slack. We will continue to investigate and monitor for further exposure," states Slack's security team.


## Security update hidden from search engines


Ironically, the security update speaks of Slack taking your "security, privacy, and *transparency* very seriously," and yet comes with some uncanny caveats.


For starters, this "news" item [doesn't appear](https://archive.is/eyAcP) on the company's news blog among other articles, at the time of writing.


Additionally, contrary to Slack's earlier blog posts, this update is marked with '[noindex](https://developers.google.com/search/docs/crawling-indexing/block-indexing)'—an HTML feature that is used to purposely exclude a webpage from search engine results, thereby making it harder if not impossible to discover the page.



![Slack security update marked with noindex SEO tag](https://www.bleepstatic.com/images/news/u/1164866/2023/Jan/slack-code-repo-stolen/slack-noindex.jpg)**Slack security update slapped with a 'noindex' SEO tag** (BleepingComputer)


BleepingComputer further observed that the "meta" tag containing the "noindex" attribute was itself placed towards the bottom within the page's HTML code, in an elongated line that overflows without breaking. This means, those viewing the source code (like us) wouldn't readily get to see the buried tag unless they actively searched (Ctrl+F) the source code for it. Per convention, HTML [head and meta tags](https://www.w3schools.com/tags/tag_head.asp#:~:text=The%20element%20is%20a,and%20the%20tag.) are typically placed at the top of a page.



![Line containing the noindex tag](https://www.bleepstatic.com/images/news/u/1164866/2023/Jan/slack-code-repo-stolen/slack-noindex-line.jpg)**Elongated line 149 containing the 'noindex' tag doesn't wrap**(BleepingComputer)


Other techniques employed by businesses looking to limit the visibility of uncanny news may include the use of [geo-fencing](https://twitter.com/campuscodi/status/1524001689036115968) and tailoring the [robots.txt](https://developers.google.com/search/docs/crawling-indexing/robots/intro) file. Such techniques, including the use of 'noindex' in important announcements, are however typically frowned upon.


Last year, infosec reporter and editor Zack Whittaker [called out](https://twitter.com/zackwhittaker/status/1598708397364326402) LastPass and GoTo for employing similar tactics with LastPass' [2022 security breach disclosure](https://www.bleepingcomputer.com/news/security/lastpass-says-hackers-accessed-customer-data-in-new-breach/).


Sadly, the move doesn't seem to have worked out for Slack as Google indexed the advisory anyway:



![Google search results for Slack Security Update](https://www.bleepstatic.com/images/news/u/1164866/2023/Jan/slack-code-repo-stolen/slack-search-cache.jpg)**Google search results for 'Slack Security Update'** (BleepingComputer)


BleepingComputer noticed the 'noindex' tag appears to have been added retroactively and rather late—after Google had already cached the original advisory [without one](https://archive.is/mip9F). It may therefore take a while before Google's index purges the already-fetched advisory from its cache.


In August 2022,  [Slack reset user passwords](https://www.bleepingcomputer.com/news/security/slack-resets-passwords-after-exposing-hashes-in-invitation-links/) after accidentally exposing their password hashes in a separate incident. Unsurprisingly, that particular notice is [also marked with](https://slack.com/intl/en-gb/blog/news/notice-about-slack-password-resets) a 'noindex'.


In 2019, Slack announced it had [reset passwords](https://slack.com/intl/en-gb/blog/news/new-information-2015-incident) for about 1% of users impacted by the 2015 data breach who additionally met a set criteria.


The good news, with regards to the most recent security update is that no action needs to be taken by customers, for now.





## Tags:


### Autogenerated tags:
[[bleepingcomputer]] [[github]] [[google]] [[html]]
