# Study reveals Android phones constantly snoop on their users
## A new study by a team of university researchers in the UK has unveiled a host of privacy issues that arise from using Android smartphones.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/study-reveals-android-phones-constantly-snoop-on-their-users/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 12 October 2021, 09:34
+ Date scraped: 11 December 2023, 13:21

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/01/Android__malware.jpg)



A new study by a team of university researchers in the UK has unveiled a host of privacy issues that arise from using Android smartphones.


The researchers have focused on Samsung, Xiaomi, Realme, and Huawei Android devices, and LineageOS and /e/OS, two forks of Android that aim to offer long-term support and a de-Googled experience


The conclusion of the study is worrying for the vast majority of Android users .



> 
> With the notable exception of /e/OS, even when minimally configured and the handset is idle these vendor-customized Android variants transmit substantial amounts of information to the OS developer and also to third parties (Google, Microsoft, LinkedIn, Facebook, etc.) that have pre-installed system apps. - Researchers.
> 
> 
> 


As the summary table indicates, sensitive user data like persistent identifiers, app usage details, and telemetry information are not only shared with the device vendors, but also go to various third parties, such as Microsoft, LinkedIn, and Facebook.



![Summary of collected data](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/data%20collection%20summary.jpg)**Summary of collected data**  

Source: Trinity College Dublin


And to make matters worse, Google appears at the receiving end of all collected data almost across the entire table.


No way to "turn it off"
-----------------------


It is important to note that this concerns the collection of data for which there’s no option to opt-out, so Android users are powerless against this type of telemetry.


This is particularly concerning when smartphone vendors include third-party apps that are silently collecting data even if they’re not used by the device owner, and which cannot be uninstalled.


For some of the built-in system apps like miui.analytics (Xiaomi), Heytap (Realme), and Hicloud (Huawei), the researchers found that the encrypted data can sometimes be decoded, putting the data at risk to man-in-the-middle (MitM) attacks.



![Volume of data (KB/h) transmitted by each vendor](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/volume%20of%20data(1).jpg)**Volume of data (KB/h) transmitted by each vendor**  

Source: Trinity College Dublin


As [the study](https://www.scss.tcd.ie/Doug.Leith/Android_privacy_report.pdf) points out, even if the user resets the advertising identifiers for their Google Account on Android, the data-collection system can trivially re-link the new ID back to the same device and append it to the original tracking history..


The deanonymisation of users takes place using various methods, such as looking at the SIM, IMEI, location data history, IP address, network SSID, or a combination of these.



![Potential cross-linking data collection points](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/data%20collector%20points.jpg)**Potential cross-linking data collection points**  

Source: Trinity College Dublin


Privacy-conscious Android forks like /e/OS are getting more traction as increasing numbers of users realize that they have no means to disable the unwanted functionality in vanilla Android and seek more privacy on their devices.


However, the majority of Android users remain locked into never ending stream of data collection, which is where regulators and consumer protection organizations need to step in and to put an end to this.


Gael Duval, the creator of /e/OS has told BleepingComputer:



> 
> Today, more people understand that the advertising model that is fueling the mobile OS business is based on the industrial capture of personal data at a scale that has never been seen in history, at the world level. This has negative impacts on many aspects of our lives, and can even threaten democracy as seen in recent cases. I think regulation is needed more than ever regarding personal data protection. It has started with the GDPR, but it's not enough and we need to switch to a "privacy by default" model instead of "privacy as an option".
> 
> 
> 


Update - A Google spokesperson has provided BleepingComputer the following comment on the findings of the study:



> 
> While we appreciate the work of the researchers, we disagree that this behavior is unexpected – this is how modern smartphones work. As explained in our Google Play Services [Help Center article](https://support.google.com/android/answer/10546414?hl=en), this data is essential for core device services such as push notifications and software updates across a diverse ecosystem of devices and software builds. For example, Google Play services uses data on certified Android devices to support core device features. Collection of limited basic information, such as a device’s IMEI, is necessary to deliver critical updates reliably across Android devices and apps.
> 
> 
> 


Update 2 - A person from the LineageOS development team has reached out to share the following statement with BleepingComputer:



> 
> The study linked chose to install "opengapps" on a LineageOS device (per page 6). Google Apps are not preinstalled on LineageOS. We have no control over what data is sent by third party applications a user chooses to install, including packages from Google. Those services are neither required nor recommended, and free open source alternatives (such as microG and F-Droid) exist.  
> 
>  
> 
> 
> 





## Tags:


### Autogenerated tags:
[[android]] [[google]] [[apps]] [[lineageos]] [[e/os]] [[bleepingcomputer]]
