# Surprise! Coldplay lyrics hidden in Kingston SSD firmware
## What has firmware got to do with pop rock, you ask? That's the question that crossed a security researcher's mind as he analyzed Kingston's firmware and stumbled upon the lyrics of a popular Coldplay song buried deep within it.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/surprise-coldplay-lyrics-hidden-in-kingston-ssd-firmware/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 10 May 2023, 10:13
+ Date scraped: 10 May 2023, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/05/10/coldplay-concert.jpg)



![Coldplay](https://www.bleepstatic.com/content/hl-images/2023/05/10/coldplay-concert.jpg)*Image: [benhoudijk](https://depositphotos.com/414013502/stock-photo-coldplay-performing-stage-music-festival.html)*


What has firmware got to do with pop rock, you ask? That's the question that crossed a security researcher's mind as he analyzed Kingston's firmware and stumbled upon the lyrics of a popular Coldplay song buried deep within it.


The researcher, surprised by this finding, reached out to BleepingComputer disclosing the details of the firmware version—and the Coldplay song.


Kingston is a household name, known for its flash memory products including hard drives, USB drives, and card readers.


## How cool — firmware that sings


Iowa-based security researcher [Nicholas Starke](https://starkeblog.com/) reached out to BleepingComputer after he analyzed a few bytes of an SSD (solid-state drive) controller firmware distributed by Kingston that left him astonished.


Available on [Kingston's official support website](https://media.kingston.com/support/downloads/S2681103-210414.zip) at the time of writing, the ZIP file contains a little more than just firmware—a type of software that provides low-level control functionality for a device's hardware.



![Kingston firmware ZIP contents](https://www.bleepstatic.com/images/news/u/1164866/2023/May/kingston-firmware-coldplay/inside-zip.jpg)**Kingston's SDD firmware ZIP contents**(BleepingComputer)


While the contents of the ZIP file hardly raise an eyebrow and contain release notes along with a working firmware (\*.bin) file, it's what's inside the '.bin' that you can't unsee:



![Coldplay The Scientist 2002 Lyrics](https://www.bleepstatic.com/images/news/u/1164866/2023/May/kingston-firmware-coldplay/kingston-ssd-firmware.jpg)**Lyrics of Coldplay's 2002 song *The Scientist* buried in firmware** (BleepingComputer)


"I found Coldplay lyrics in SSD controller firmware," Starke told BleepingComputer after analyzing Kingston firmware versioned "SKC2000\_S2681103."


Firmware versions SKC2000\* typically run on Kingston's PCI Express solid-state drive products such as the KC2000:



![](https://www.bleepstatic.com/images/news/u/1164866/2023/May/kingston-firmware-coldplay/Kingston-KC2000-SSD.jpg)**Kingston's KC2000 product line running the specific firmware** (Amazon UK)


Released in January 2020, the specific version S2681103 [delivers improvements](http://%C2%A0https://media.kingston.com/support/downloads/SKC2000_S2681103_RN.pdf) to Kingston's data storage hardware performance and security.


BleepingComputer downloaded the firmware file from Kingston's official website and confirmed that it contained strings comprising lyrics of Coldplay's 2002 hit, *The Scientist.*


"I have absolutely no clue why it is in the firmware," Starke, a seasoned reverse engineer who was picking apart the file for his research project, told BleepingComputer.


"I've seen many many firmware images in my time and this just seemed out of place," said the researcher who admits to never seeing anything "quite like it" especially in deeply embedded component firmware; a hard disk controller, like this one.


Do these hidden lyrics serve any functional purpose, for example, as sample data for testing, or is it a mere prank by the company developers?


BleepingComputer approached Kingston for comment prior to publishing.


Meanwhile, here's the spotlight-stealing song for you—now made even more famous by Kingston:






## Tags:


### Autogenerated tags:
[[bleepingcomputer]] [[coldplay]] [[starke]]
