# Swiss visa appointments cancelled in UK due to 'IT incident'
## All appointments for Swiss Schengen tourist and transit visa applicants have been cancelled across the UK. TLSContact, the Swiss government's chosen IT provider for facilitating visa applicants for citizens of third countries, has blamed an 'IT incident' at its London, Manchester, and Edinburgh centers for appointment cancellations.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/swiss-visa-appointments-cancelled-in-uk-due-to-it-incident/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 27 July 2023, 07:53
+ Date scraped: 27 July 2023, 12:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/07/27/andrzej-bialy-EbwFJUs4KLU-unsplash.jpg)



All appointments for Swiss (Schengen) tourist and transit visas have been cancelled across the UK.


TLSContact, the Swiss government's chosen IT provider for facilitating visa applicants for citizens of third countries, has blamed an 'IT incident' at its London, Manchester, and Edinburgh centers for appointment cancellations.


With its 150 visa application centers and presence across 90 countries, TLScontact provides visa processing and IT services to several governments and claims to have handled millions of visa applications to date.


## All Swiss visa appointments cancelled in UK


This week, TLSContact, Switzerland's chosen outsourced provider of visa and consular services, has cancelled visa appointments for applicants at its [London](https://ch.tlscontact.com/gb/LON/myapp.php), [Manchester](https://ch.tlscontact.com/gb/MNC/myapp.php), and [Edinburgh](https://ch.tlscontact.com/gb/edi/index.php) centers, as observed by BleepingComputer.


The development has been blamed on an ongoing "IT incident."



![TLSContact cancels Swiss visa appointments](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/tlscontact-swiss/tls-it-incident.jpg)**TLSContact cancels Swiss visa appointments** (BleepingComputer)


BleepingComputer also filled out a test form for a Swiss (Schengen) visa application, and we were presented with a blank screen at the subsequent step where appontment slots would otherwise appear:



![TLScontact appointment page blank](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/tlscontact-swiss/tls-no-appointment.jpg)**TLScontact appointment slots screen blank for Switzerland** (BleepingComputer)


British residents who are citizens of countries which require a visa to travel to Europe [are required to apply via TLScontact](https://www.eda.admin.ch/countries/united-kingdom/en/home/visa/entry-ch/up-90-days/where-to-apply-schengen.html) when travelling to Switzerland, France, Belgium, or Germany. All four countries form part of the Schengen area, meaning possessing a valid (tourist or business) visa for one automatically grants the applicant travel access to the [27 Schengen countries](https://www.schengenvisainfo.com/schengen-visa-countries-list/).


Over the past few decades, rather than allocating in-house staff, embassies of many countries have opted to procure services of an external vendor, such as TLScontact, for facilitating visa application submissions and scheduling biometric appointments for applicants.


Consequently, in addition to collecting and holding on to physical documents, such as passports and visa application forms, outsourcing agencies like TLScontact possess highly sensitive information on applicants, including their:


* names, addresses, family biographical data, workplace and contact information
* biometrics, such as photographs and fingerprints collected during visa appointments
* travel history, prospective travel plans, copies of flight and hotel reservations
* legal documents such as employment contracts, tax returns, bank statements, and possibly copies of birth, marriage, or divorce certificates
* Biometric Residence Permits (BRPs) and ID cards

As such, it becomes paramount to ensure that IT systems of external visa processing agencies are functional and secure against cyberattacks.


BleepingComputer has reached out to TLScontact to understand the cause of this 'IT incident' and when will appointments resume.


We also contacted the visa office of Swiss Embassy in London to understand the development. Our calls to the embassy's press office were redirected to voicemail.


We, however, received the following automated email acknowledgement bearing today's date, July 27th, with regards to when was the notice last updated:



![Swiss embassy auto-reply](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/tlscontact-swiss/swiss-embassy-auto-reply.jpg)**Swiss embassy auto-reply to visa applicants**(BleepingComputer)


"Due to technical reasons, this week's visa appointments at TLScontact had to be cancelled and rescheduled," states the automated response sent to BleepingComputer from the visas department of Swiss Embassy in London.


"We are working together with TLScontact to fix the problems as soon as possible. TLScontact will contact all applicants for the next earliest appointment possible."


## Securing Schengen visa appointments is already hard


It's a busy travel season. Third country citizens rely exclusively and heavily on outsourced IT and visa processing partners like TLSContact, VFS Global, and BLS International—their only means of liason between themselves and foreign embassies, to be able to legally cross borders for short trips.


These applicants, some of whom have waited months to secure an appointment, are now struggling as TLScontact battles IT issues and has had to cancel their slots:



![Customers left without appointment](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/tlscontact-swiss/swiss-tweet1.jpg)**Visa applicants left without appointment amid IT issues** ([Twitter/X](https://twitter.com/ratherethelinda/status/1684132583146151937))



![Customers left without visa appointment](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/tlscontact-swiss/swiss-tweet2.jpg)**Another applicant left without visa appointments** (Twitter/X)


Even without IT hiccups, securing a Schengen visa appointment, particularly for prominent tourist destinations like Spain, France, Portugal, and much of Europe has become an impossible task during peak seasons over the past few years.


As an example, BleepingComputer can confirm that both VFS Global and BLS International centers across UK have no appointment availablility for Schengen countries like Spain and Portugal for entire July and August this year—even if applicants opt for a "premium" (pricier) service route:



![No appointments for July and August](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/tlscontact-swiss/bls-no-appt.jpg)**Visa appointments fully booked Spanish for July, August in the UK**(BLS International)


To complicate matters further, Schengen visa applicants must book a flight and hotel reservation *in advance* of their visa appointment—dates for which are often already laid out weeks or months in the future [[1](https://twitter.com/Annapurnamenon/status/1642835184541204480), [2](https://twitter.com/RWB_Mills/status/1636867536774995973)] with no defined processing time.


A large-scale cancellation like this week's is bound to cause disruptions to Swiss visa applicants who are now left at the mercy of the outsourced agency, and would have to reschedule or entirely forego their holiday plans.


*Full disclosure: I have previously procured the services of TLScontact in London on one occasion in 2019, and of VFS Global on several occasions around the world.*





## Tags:


### Autogenerated tags:
[[tlscontact]] [[schengen]] [[bleepingcomputer]] [[uk]] [[outsourced]] [[vfs]]
