# T-Mobile says new data breach caused by SIM swap attacks
## T-Mobile confirmed that recent reports of a new data breach are linked to notifications sent to a very small number of customers that they fell victim to SIM swap attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/t-mobile-says-new-data-breach-caused-by-sim-swap-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 29 December 2021, 17:03
+ Date scraped: 29 December 2021, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/02/26/T-Mobile-headpic.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/02/26/T-Mobile-headpic.jpg)

![T-Mobile says new data breach caused by SIM swap attacks](https://www.bleepstatic.com/content/hl-images/2021/02/26/T-Mobile-headpic.jpg)


T-Mobile confirmed that recent reports of a new data breach are linked to notifications sent to a "very small number of customers" who fell victim to SIM swap attacks.


"We informed a very small number of customers that the SIM card assigned to a mobile number on their account may have been illegally reassigned or limited account information was viewed," a T-Mobile spokesperson told BleepingComputer.


"Unauthorized SIM swaps are unfortunately a common industry-wide occurrence, however this issue was quickly corrected by our team, using our in-place safeguards, and we proactively took additional protective measures on their behalf."


[SIM swapping](https://www.bleepingcomputer.com/tag/sim-swap/) (also known as SIM hijacking) makes it possible for attackers to take control of a target's mobile phone number by tricking or bribing the carrier's employees to reassign the numbers to attacker-controlled SIM cards.


This enables the threat actors to take control of their victims' phone numbers and use them to bypass SMS-based multi-factor authentication (MFA), steal their credentials, log into the victims' bank accounts to steal money, or hijack their online accounts by changing the passwords.


All T-Mobile customers be on the lookout for any suspicious text messages or emails pretending to be from T-Mobile. Don't click any links if you receive one, as attackers could use them to harvest your credentials.


T-Mobile provides information on preventing account takeover attempts on [this support page](https://www.t-mobile.com/support/plans-features/account-takeover-protection).



Series of data breaches
-----------------------


T-Mobile was the victim of multiple data breaches during the last four years, including a very similar one in February 2021 when attackers used an internal T-Mobile application to target up to 400 customers in SIM swap attempts.


In total, T-Mobile has disclosed six data breaches since 2018:


* In 2018, info belonging to [millions of T-Mobile customers was accessed by hackers](https://www.bleepingcomputer.com/news/security/t-mobile-detects-and-stops-ongoing-security-breach/).
* In 2019, [T-Mobile exposed prepaid customers' data](https://www.bleepingcomputer.com/news/security/t-mobile-discloses-data-breach-impacting-prepaid-customers/).
* In March 2020, hackers [gained access to T-Mobile employees' email accounts](https://www.bleepingcomputer.com/news/security/t-mobile-data-breach-exposes-customer-personal-financial-info/).
* In December 2020, hackers accessed [exposed customer proprietary network information (phone numbers, call records)](https://www.bleepingcomputer.com/news/security/t-mobile-data-breach-exposed-phone-numbers-call-records/).
* In February 2021, threat actors targeted hundreds of users in SIM swap attacks after [gaining access to an internal T-Mobile application](https://www.bleepingcomputer.com/news/security/t-mobile-discloses-data-breach-after-sim-swapping-attacks/).
* In August 2021, attackers [brute-forced their way through T-Mobile's network](https://www.bleepingcomputer.com/news/security/t-mobile-ceo-hacker-brute-forced-his-way-through-our-network/) after [gaining access to testing environments](https://www.bleepingcomputer.com/news/security/t-mobile-confirms-servers-were-hacked-investigates-data-breach/).

The FBI [shared guidance](http://www.fbi.gov/contact-us/field-offices/sanfrancisco/news/press-releases/fbi-san-francisco-warns-the-public-of-the-dangers-of-sim-swapping) on defending against SIM hijacking attacks following an increase in the number of SIM hijacking attacks targeting cryptocurrency investors and adopters.


The Federal Trade Commission (FTC) has info on [securing personal information on your phone](https://www.consumer.ftc.gov/articles/how-protect-your-phone-and-data-it) and [keeping personal info secure online](https://www.consumer.ftc.gov/articles/0272-how-keep-your-personal-information-secure#online).


T-Mobile is yet to reply to a request for more info on the total number of affected customers and the method used by the attackers to pull off the SIM swap attacks successfully.







## Tags:


### Autogenerated tags:
[[t-mobile]]
