# Trojanized Signal and Telegram apps on Google Play delivered spyware
## Trojanized Signal and Telegram apps containing the BadBazaar spyware were uploaded onto Google Play and Samsung Galaxy Store by a Chinese APT hacking group known as GREF.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/trojanized-signal-and-telegram-apps-on-google-play-delivered-spyware/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 30 August 2023, 11:16
+ Date scraped: 30 August 2023, 16:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/08/07/Android-malware.jpg)



![Android](https://www.bleepstatic.com/content/hl-images/2023/08/07/Android-malware.jpg)*Image: Midjourney*


Trojanized Signal and Telegram apps containing the BadBazaar spyware were uploaded onto Google Play and Samsung Galaxy Store by a Chinese APT hacking group known as GREF.


This malware was [previously used](https://www.bleepingcomputer.com/news/security/new-badbazaar-android-malware-linked-to-chinese-cyberspies/) to target ethnic minorities in China, but ESET's telemetry shows that this time, the attackers target users in Ukraine, Poland, the Netherlands, Spain, Portugal, Germany, Hong Kong, and the United States.


BadBazaar's capabilities include tracking the device's precise location, stealing call logs and SMS, recording phone calls, taking pictures using the camera, exfiltrating contact lists, and stealing files or databases.


The trojanized apps containing BadBazaar code were discovered by ESET's researcher, Lukas Stefanko.



![Victims heatmap](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/26/map.png)**Victims heatmap** *(ESET)*


Trojanized IM apps
------------------


The two apps GREF used in its campaign are named 'Signal Plus Messenger' and 'FlyGram,' both being patched versions of the popular open-source IM apps Signal and Telegram.


The threat actors also set up dedicated websites at "signalplus[.]org" and "flygram[.]org" to add legitimacy to the malware campaign, offering links to install the app from Google Play or directly from the site.


ESET reports that FlyGram targets sensitive data like contact lists, call logs, Google Accounts, and WiFi data and also offers a dangerous backup feature that sends Telegram communication data to an attacker-controlled server.


Analysis of the available data shows that at least 13,953 FlyGram users enabled this backup feature, but the total number of users of the spyware app is undefined.


The Signal clone collects similar information but focuses more on extracting Signal-specific information like the victim's communications and the PIN that protects their account from unauthorized access.


However, the fake Signal app includes a feature that makes the attack more interesting, as it allows the attacker to link a victim's Signal accounts to attacker-controlled devices so the attackers can see future chat messages.


Signal includes a QR-code-based feature that allows you to link multiple devices to a single account so that chat messages can be seen from all of them.


The malicious Signal Plus Messenger abuses this feature by bypassing the QR-code linking process and automatically linking their own devices to victims' Signal accounts without the victim knowing. This lets the attackers monitor all future messages sent from the Signal account.


"BadBazaar, the malware responsible for the spying, bypasses the usual QR code scan and user click process by receiving the necessary URI from its C&C server, and directly triggering the necessary action when the Link device button is clicked," [explains ESET](http://www.welivesecurity.com/en/eset-research/badbazaar-espionage-tool-targets-android-users-trojanized-signal-telegram-apps/).


"This enables the malware to secretly link the victim's smartphone to the attacker's device, allowing them to spy on Signal communications without the victim's knowledge, as illustrated in Figure 12."



![Signal Link abuse diagram](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/26/uri-link.png)**Signal Link abuse diagram** *(ESET)*


ESET says this method of spying on Signal has been used before as it's the only way to obtain the content of Signal messages.



To figure out if rogue devices are linked to your Signal account, launch the real Signal app, go to Settings, and tap the "Linked Devices" option to view and manage all connected devices.


FlyGram was uploaded on Google Play in July 2020, and it was removed on January 6, 2021, having amassed a total of 5,000 installations through that channel.



![FlyGram app on the two stores](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/26/flygram.jpeg)**FlyGram app on the two stores** *(ESET)*


Signal Plus Messenger was uploaded on Google Play and Samsung Galaxy store in July 2022, and Google removed it on May 23, 2023.



![Signal Plus Messager on the two stores](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/26/signal-plus.png)**Signal Plus Messenger on the two stores** *(ESET)*


At the time of writing this, BleepingComputer confirmed that [both apps](https://galaxystore.samsung.com/detail/org.thoughtcrime.securesmsplus) were [still available](https://galaxystore.samsung.com/detail/org.telegram.FlyGram) on the Samsung Galaxy Store.


Android users are recommended to use the original versions of Signal and Telegram and avoid downloading fork apps that promise enhanced privacy or additional features, even if those are available on official app stores.





## Tags:
***urls***: http://flygram.org http://signalplus.org

### Autogenerated tags:
[[eset]] [[apps]] [[google]] [[badbazaar]] [[malware]] [[flygram]] [[trojanized]] [[samsung]]
