# UK e-visa rollout begins today: no more immigration cards for millions
## Starting today, millions living in the UK will receive email invitations to sign up for an e-visa account that will replace their physical immigration documents like Biometric Residence Permits (BRPs). The move is, according to the Home Office, "a key step in creating a modernised and digital border."
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/uk-e-visa-rollout-begins-today-no-more-immigration-cards-for-millions/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 17 April 2024, 01:48
+ Date scraped: 17 April 2024, 06:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/03/29/London-UK-Millennium-Bridge.jpg)



Starting today, millions living in the UK will receive email invitations to sign up for an e-visa account that will replace their physical immigration documents like Biometric Residence Permits (BRPs).


The move is, according to the Home Office, "a key step in creating a modernised and digital border" that will "boost security and value for the UK public" and provide greater reassurance, convenience, and flexibility.


Email invites sent to millions
------------------------------


The Home Office has started rolling out e-visas for existing holders of physical immigration documents like Biometric Residence Permits (BRPs) and Biometric Residence Cards (BRCs).


Millions of such residents will start receiving email invites from today, in batches, prompting them to create a UK Visas and Immigration (UKVI) account that will serve as digital proof of their legal immigration status.


"These invitations will be issued in phases, and although initially by invitation only, the process will open to all BRP holders in summer 2024," states the Home Office.


"eVisas are central to making the UK safer by reducing the risk of fraud, loss and abuse of physical documents, strengthening border security, and providing a more secure way to prove immigration status. This will pave the way for increased automation to deliver the government’s vision for a contactless border."


"It is free and straightforward for customers who hold physical and paper documents to create a UKVI account to access their eVisa. Creating a UKVI account will not change, impact or remove customers’ current immigration status or their rights in the UK."


Minister for Legal Migration and the Border, Tom Pursglove MP, said in a press statement:


"We've already taken really significant steps to digitally transform the border and immigration system, and this wider rollout of eVisas is a key part of that process."


"Replacing physical immigration documents with eVisas will ensure firm control over who comes here to live, work or study, strengthening border security and preventing abuse of the immigration system, while delivering cost-savings for UK taxpayers."


'Tried and tested'
------------------


The announcement follows the British government's plans we had [earlier reported on](https://www.bleepingcomputer.com/news/security/uk-to-replace-physical-biometric-immigration-cards-with-e-visas/) that focus on fully digitalizing the border systems and phasing out physical immigration documents by 2025.


According to the Home Office, eVisas bring "substantial benefits" to the UK public and are secure as "unlike a physical document cannot be lost, stolen or tampered with."



![UK BRP card](https://www.bleepstatic.com/images/news/u/1164866/2024/Feb/uk-brp-phase-out/uk-brp-example.jpeg)**A sample UK Biometric Residence Permit (BRP) card used to enter the country**  

(UK Visas & Immigration)


E-visas can be accessed in real-time from anywhere and as such, says the government, puts "customers in control of their own data." The online system will also allow them to "swiftly update the Home Office with new contact or passport details."


Organizations that require proof of your immigration status will conduct a quick and simple check via the GOV.UK website, whereas, public bodies such as the NHS England and Department for Work and Pensions (DWP) can automatically and securely access an individual's status when they apply to access benefits and public services.


"eVisas are tried and tested, with millions of customers already using them across routes including the EU Settlement Scheme (EUSS). Most physical documents, such as biometric residence permits/cards (BRPs/BRCs) are being gradually phased out, with most BRPs expiring at the end of 2024," says the Home Office."


Much like BRPs, an e-visa will be securely linked to its holder's unique biometric information.


The shift to e-visas aligns with other developed countries that have already moved towards or are planning on adopting digital forms of immigration status.


Pros and cons
-------------


While e-visas offer some advantages and the greater convenience of not having to worry about collecting and carrying physical documents, there may be some caveats.


Despite their drawbacks, a key advantage of physical documents, especially chip-based ones, is their ability to be reliably verified offline, given the basics of [public-key encryption](https://www.icao.int/Security/FAL/PKD/BVRT/Pages/Basics.aspx). When combined with additional security features such as UV holograms and watermarks built into these documents, the dependence on an always-online system is practically eliminated.


In other words, one can even use an NFC-powered smartphone app to securely read and verify the authenticity of a BRP card (or an ePassport) with utmost confidence, without being connected to the Internet. The document holder's details and photograph—all digitally signed by the issuing government, are stored in the biometric chip itself. Despite this, passengers have faced chaos at airports in the past [when eGates went down](https://www.theregister.com/2023/09/22/egates_down/). 


What happens when the internet-connected IT systems used by airlines and border officials face an outage? In such a case, how can the identity of arriving passengers with eVisas, as opposed to physical biometric documents, be reliably verified?


BleepingComputer posed the question to the Home Office but is yet to receive clarity on the matter.


Millions already use e-visas after their enrollment as part of the EU Settlement Scheme (EUSS), and UK visitors from several countries are, in any case, granted an [Electronic Travel Authorisation (ETA)](https://homeofficemedia.blog.gov.uk/2024/02/01/electronic-travel-authorisation-eta-scheme-factsheet-february-2024/) as opposed to a physical visa sticker, so the technology seems to be delivering thus far.


People already with an e-visa don't need to take any additional steps but are advised to keep their information and passport details up to date in their UKVI account.


The UK government still advises individuals to carry their valid physical immigration documents when traveling internationally, until these expire.


Additional information and updates regarding the rollout will be published at [www.gov.uk/evisa](https://www.gov.uk/evisa).





## Tags:
***urls***: www.gov.uk/evisa.

### Autogenerated tags:
[[uk]] [[evisas]] [[e-visas]] [[brps]] [[ukvi]] [[e-visa]] [[brp]]
