# UK govt seeks advice on defending against supply-chain cyberattacks
## Today, the UK government has announced a call for advice on defending against software supply-chain attacks and ways to strengthen IT Managed Service Providers (MSPs) across the country. The move comes after last week when President Biden had issued an executive order to increase cybersecurity defenses across the U.S.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/uk-govt-seeks-advice-on-defending-against-supply-chain-cyberattacks/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 17 May 2021, 12:48
+ Date scraped: 12 December 2023, 13:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2016/11/18/UK-Flag.jpg)



Today, the UK government has announced a call for advice on defending against software supply-chain attacks and ways to strengthen IT Managed Service Providers (MSPs) across the country.


The move comes after last week when President Biden had issued an [executive order](https://www.bleepingcomputer.com/news/security/biden-issues-executive-order-to-increase-us-cybersecurity-defenses/) to increase cybersecurity defenses across the U.S.


The government's invitation to provide feedback that will be open for almost two months comes at a time of prominent cyberattacks such as, the [Colonial Pipeline](https://www.bleepingcomputer.com/news/security/colonial-pipeline-restores-operations-5-million-ransom-demanded/) incident, the [Codecov](https://www.bleepingcomputer.com/news/security/hundreds-of-networks-reportedly-hacked-in-codecov-supply-chain-attack/) supply-chain attack, and ransomware attacks on mission-critical organizations [[1](https://www.bleepingcomputer.com/news/security/insurer-axa-hit-by-ransomware-after-dropping-support-for-ransom-payments/), [2](https://www.bleepingcomputer.com/news/security/ireland-s-health-services-hit-with-20-million-ransomware-demand/)] that continue to grow.  


UK Government seeking views on cybersecurity
--------------------------------------------


Starting today, the Department for Digital, Culture, Media, and Sport (DCMS) is seeking advice on measures to increase cybersecurity efforts across the UK from firms that both procure and provide digital services.


The initiative is a part of the nationwide "[cyber resilience](https://www.gov.uk/government/collections/cyber-resilience)" efforts set forth by the UK's National Cyber Security Strategy to safeguard businesses and organizations that increasingly rely on technology from cyber-attacks, and to strengthen digital supply-chain security.


To do so, the government has opened up a [survey](https://dcms.eu.qualtrics.com/jfe/form/SV_0cAUmhdALn9iVGm) today, May 17th, that members of firms that either procure or provide IT services can respond to, until **23:59 on Sunday, July 11th**:



![uk government survey supply-chain security](https://www.bleepstatic.com/images/news/u/1164866/2021/May%202021/uk%20govt%20views/supply-chain-uk.jpg)**UK government-provided survey that can be filled out by IT firms (MSPs) and customers**


In a [press release](http://www.gov.uk/government/news/new-plans-to-boost-cyber-resilience-of-uks-critical-supply-chains), DCMS stated that only 12% of organizations reviewed cybersecurity risks posed to them from their immediate suppliers and that only 5% of the firms remediated vulnerabilities in the wider software supply-chain.


As more and more businesses are relying on technology or moving entirely online, securing digital supply-chains and services provided by the IT Managed Service Providers (MSPs) has become significantly more important to ensure business continuity and resilience, says DCMS.


"There is a long history of outsourcing of critical services. We have seen attacks such as '[CloudHopper](https://www.bleepingcomputer.com/news/security/historic-apt10-cyber-espionage-group-breached-systems-in-over-12-countries/)' where organisations were compromised through their managed service provider."


"It’s essential that organisations take steps to secure their mission-critical supply chains – and remember they cannot outsource risk," says Matt Warman, Minister (MP) of Digital Infrastructure.


"Firms should follow free government advice on offer. They must take steps to protect themselves against vulnerabilities and we need to ensure third-party kit and services are as secure as possible," continued Mr. Warman.


Proposals could mean new rules for firms
----------------------------------------


Depending on the input collected from firms and industry experts, the UK government would then review whether the further strengthening of current cybersecurity policies is needed, and specifically what areas need to be improved on.


The proposals collected as a part of this two-month long survey could mean IT management firms (MSPs) will be required to follow updated new security standards.


A detailed [policy paper](https://www.gov.uk/government/publications/call-for-views-on-supply-chain-cyber-security/call-for-views-on-cyber-security-in-supply-chains-and-managed-service-providers) expands on the two major tasks that the government wishes to accomplish through this initiative:


1. Evaluating supply-chain risk management, understanding the barriers to effective supplier cyber risk management, methods of improvement, the current risks, and the defenses.
2. Examining the critical role of MSPs in the UK’s supply chains across all sectors of the economy, including government and critical national infrastructure, and building a security framework for MSPs.

The need to focus on strengthening IT vendors is important as ransomware operators have recently [targeted MSPs to mass-infect all of their clients](https://www.bleepingcomputer.com/news/security/ransomware-attacks-target-msps-to-mass-infect-customers/) in a single attack, as reported earlier by BleepingComputer.


Multiple MSPs have been reportedly hacked in the last few years, leading to hundreds, if not thousands, of clients being infected with the "[GandCrab](https://www.bleepingcomputer.com/tag/gandcrab/)" Ransomware.


Last year's SolarWinds supply-chain attack allowed threat actors to push a trojanized Orion update downstream to [over 18,000 company customers](https://www.bleepingcomputer.com/news/security/us-govt-fireeye-breached-after-solarwinds-supply-chain-attack/), where they targeted high-value organizations for further attacks.


The government's request for input comes at a time when, more recently, prominent cyber incidents like the [Colonial Pipeline](https://www.bleepingcomputer.com/news/security/colonial-pipeline-restores-operations-5-million-ransom-demanded/) attack and the [Codecov](https://www.bleepingcomputer.com/news/security/hundreds-of-networks-reportedly-hacked-in-codecov-supply-chain-attack/) supply-chain incident are under the spotlight, and multi-million dollar ransomware attacks on mission-critical organizations like [Ireland's Health Services](https://www.bleepingcomputer.com/news/security/ireland-s-health-services-hit-with-20-million-ransomware-demand/) continue to grow.





## Tags:


### Autogenerated tags:
[[msps]] [[uk]] [[supply-chain]] [[cybersecurity]] [[ransomware]] [[mission-critical]] [[dcms]]
