# UK to replace physical biometric immigration cards with e-visas
## By 2025, Britain is set to ditch physical immigration documents like Biometric Residence Permits (BRPs) and Biometric Residence Cards (BRCs) in a bid to make its borders digital, in-line with developed countries like Australia. Understand what these Home Office changes mean for existing BRP and BRC holders, and what you need to do.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/uk-to-replace-physical-biometric-immigration-cards-with-e-visas/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 10 February 2024, 05:00
+ Date scraped: 10 February 2024, 12:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2016/11/18/UK-Flag.jpg)



By 2025, Britain is set to ditch physical immigration status documents such as Biometric Residence Permits (BRPs) and Biometric Residence Cards (BRCs) in a bid to make its borders digital, which is in-line with developed countries like Australia.


Understand what the new Home Office development means for existing BRP and BRC holders, and what you need to do.


e-Visas to replace biometric residence cards
--------------------------------------------


Presently, students, workers, immigrants and their dependents from non-EU countries residing in the UK are eventually issued Biometric Residence Permits (BRPs), cards which are proof of their immigration status in the country. Much like e-Passports, these plastic cards contain a chip that can be used by a Border Force officer to cryptographically verify the authenticity of the document itself and a person's identity via biometrics (facial photograph and fingerprints) stored in that chip.



![UK BRP card](https://www.bleepstatic.com/images/news/u/1164866/2024/Feb/uk-brp-phase-out/uk-brp-example.jpeg)**A sample UK Biometric Residence Permit (BRP) card used to enter the country**  

(UK Visas & Immigration)


Some developed nations such as Australia, much like the UK, also collect biometrics from immigrants but in contrast, do not issue physical cards or in-passport vignettes (physical visa stickers and stamps). Instead, applicants are granted an e-visa that can be verified online and serves a digital proof of their immigration status.


All UK BRPs issued up until today are set to expire December 31, 2024—even if your immigration status is valid beyond that date, or has no time limit on it (i.e. permanent residents with an 'Indefinite Leave to Remain'). The reason for this being, while the UK was a part of the European Union (EU), [regulations required the government](https://www.linkedin.com/pulse/why-brps-due-expire-31-december-2024-gayatri/) to implement next-generation encryption technology into its immigration documents, and as such the UK planned on rolling out enhanced cards after the end of this year, while phasing existing ones out.


Since post-Brexit, however, EU requirements no longer apply to the UK and the Home Office has decided to discontinue BRPs altogether by 2025.


"You will not need a BRP from 1 January 2025. You'll be able to prove your immigration status online, without a BRP," reads [a webpage](https://www.gov.uk/biometric-residence-permits/report-problem#:~:text=If%20your%20BRP%20expires%20on%2031%20December%202024&text=You'll%20be%20able%20to,status%20will%20not%20be%20affected.) on the GOV.UK website.


"[UK Visas & Immigration (UKVI)] will update their information on how to prove your immigration status in early 2024. You do not need to do anything and your immigration status will not be affected."


Advantages and disadvantages
----------------------------


An eVisa is an electronic record of a person's immigration status and provides customers with the ability to view and prove their immigration status digitally, [explains](https://www.gov.uk/guidance/online-immigration-status-evisa) Home Office. It removes the need for physical documents such as, the Biometric Residence Permit (BRP), ink stamps and visa vignette stickers in a customer's passport or the Biometric Residence Card (BRC).


This also saves an applicant the inconvenience associated with submitting their physical passport to a consulate for visa issuance, waiting for weeks, and subsequently arranging its collection.


Despite their drawbacks, a key advantage of physical documents, especially chip-based ones, is their ability to be reliably verified offline, given the basics of [public-key encryption](https://www.icao.int/Security/FAL/PKD/BVRT/Pages/Basics.aspx). When combined with security features such as UV holograms and watermarks built into these documents, the dependence on an always-online system is practically eliminated.


In other words, one can even use an NFC-powered smartphone app to securely read and verify the authenticity of a BRP card (or an ePassport) without being connected to the Internet. The card holder's personal details and photograph—all digitally signed by the issuing government, are stored in the chip itself. Despite this, passengers have faced chaos at airports in the past [when eGates went down](https://www.theregister.com/2023/09/22/egates_down/). 


What happens should the internet-connected IT systems used by the airlines and border officials face an outage? In such a case, how can the identity of arriving passengers with eVisas, as opposed to physical biometric documents, be reliably verified?


What will the new process look like?
------------------------------------


Because we are already in February, those with BRP cards expiring over the next few months may be wondering what they need to do.


BleepingComputer reached out to the Home Office to better understand the upcoming changes and what will the new process to prove and renew immigration status look like.


"EVisas provide secure confirmation of someone's UK immigration status and make it easier for those who need to check status, such as employers and landlords, via online services," a Home Office spokesperson told BleepingComputer.


"Replacing physical immigration documents with eVisas by 2025 is a key part of the transformation and digitisation of the border and immigration system, delivering enhanced security and cost-savings for the UK public and greater convenience for customers and status checkers."


### UKVI accounts to open for all


Our understanding is that the physical biometric cards and printed visa stickers will entirely be replaced by e-visas, similar to the ones issued by Australia, where immigrants currently use the Visa Entitlement Verification Online ([VEVO](https://immi.homeaffairs.gov.au/visas/already-have-a-visa/check-visa-details-and-conditions/check-conditions-online)) system to prove their status digitally.


Similarly, starting 2025, existing UK BRP holders are expected to register for a [UKVI online account](https://www.gov.uk/guidance/using-your-uk-visas-and-immigration-account) to view or prove immigration status.


For a few years now, proving your [Right to Work](https://www.gov.uk/prove-right-to-work/get-a-share-code-online) to an employer, or your [Right to Rent](https://www.gov.uk/prove-right-to-rent) to a landlord has already been a digital process, conducted through the GOV.UK website by using details from your physical document:



![UK right to work online system step 1](https://www.bleepstatic.com/images/news/u/1164866/2024/Feb/uk-brp-phase-out/uk-right-to-work-pre.jpg)**UK Right to Work online check system** (BleepingComputer)



![A sample Right to Work check result](https://www.bleepstatic.com/images/news/u/1164866/2024/Feb/uk-brp-phase-out/uk-right-to-work-example.jpg)**A sample online result for a Right to Work check**(BleepingComputer)


Furthermore, millions of people with an '[EU settled status](https://www.gov.uk/settled-status-eu-citizens-families)' or those who have used the '[UK Immigration: ID Check](https://www.gov.uk/guidance/using-the-uk-immigration-id-check-app)' app already hold a UKVI account and use e-visas to prove their right to enter and live in the UK.


The upcoming changes are expected to extend these conveniences to nationals of all countries.


An eVisa, much like a physical BRP, will be securely linked to its holder's unique biometric information to safeguard against identity fraud.


Immigrants who already have an eVisa do not need to do anything while changes are being implemented, but are advised to keep their UKVI account up to date with current personal particulars, including changed contact details or details of a new passport.


Starting this summer, the Home Office plans on providing airlines, train and ferry operators with integrated secure access to passenger immigration information to enhance border security and reduce unnecessary passenger delays.


With the move towards e-Visas, public government bodies like the Department for Work and Pensions (DWP) and the NHS in England and Wales will be able to automatically and securely access an individual's status when they apply to access benefits and public services.


It is important to note, until the new system gets a green light, the process to [renew an existing BRP or replace a lost one](https://www.gov.uk/biometric-residence-permits/replace-expired-brp) remains the same until the end of this year.


Home Office customers including existing BRP and physical document holders should monitor [www.gov.uk/evisa](https://www.gov.uk/evisa) over the next few months for upcoming information on what they need to do and when.


While the UK government is on track to deliver a digital border and immigration system, including plans to trial contactless entry using just facial recognition, there are no plans at the moment to replace physical passports with digital equivalents, such as those [piloted by Finland](https://www.euronews.com/travel/2023/09/03/no-more-queuing-at-the-border-finland-tests-digital-passports-in-world-first), BleepingComputer understands.





## Tags:


### Autogenerated tags:
[[uk]] [[brp]] [[ukvi]] [[bleepingcomputer]] [[brps]] [[e-visas]] [[evisa]] [[evisas]]
