# US sanctions Iran’s Ministry of Intelligence over Albania cyberattack
## The U.S. Treasury Department announced sanctions today against Iran's Ministry of Intelligence and Security (MOIS) and its Minister of Intelligence for their role in the July cyberattack against the government of Albania, a U.S. ally and a NATO member state.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/us-sanctions-iran-s-ministry-of-intelligence-over-albania-cyberattack/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 09 September 2022, 16:35
+ Date scraped: 09 September 2022, 17:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/10/01/US-Treasury-Department.jpg)



The U.S. Treasury Department announced sanctions today against Iran's Ministry of Intelligence and Security (MOIS) and its Minister of Intelligence for their role in the July cyberattack against the government of Albania, a U.S. ally and a NATO member state.


MOIS is the Iranian government's leading intelligence agency, tasked with coordinating intelligence and counterintelligence efforts, as well as covert actions supporting the Islamic regime's goals beyond the country's borders.


"Since at least 2007, the MOIS and its cyber actor proxies have conducted malicious cyber operations targeting a range of government and private-sector organizations around the world and across various critical infrastructure sectors," the Treasury Dept's Office of Foreign Assets Control (OFAC) said.


"In July 2022, cyber threat actors assessed to be sponsored by the Government of Iran and MOIS disrupted Albanian government computer systems, forcing the government to suspend online public services for its citizens."


After linking the [July cyberattack](https://www.kryeministria.al/en/newsroom/sherbimet-publike-online-rikthehen-ne-normalitet-te-plote-ne-e-albania/) that targeted Albanian government infrastructure to [Iranian threat actors](https://www.mandiant.com/resources/blog/likely-iranian-threat-actor-conducts-politically-motivated-disruptive-activity-against), Albanian Prime Minister Edi Rama announced on Wednesday that the country severed diplomatic ties with Iran and asked all embassy staff to leave within 24 hours.


The [U.S. government](https://www.whitehouse.gov/briefing-room/statements-releases/2022/09/07/statement-by-nsc-spokesperson-adrienne-watson-on-irans-cyberattack-against-albania/), [NATO](https://www.nato.int/cps/en/natohq/official_texts_207156.htm), and [the U.K.](https://www.gov.uk/government/news/uk-condemns-iran-for-reckless-cyber-attack-against-albania) also formally blamed Iran for its reckless cyberattacks against Albania, saying the country would be held accountable for threatening the security of a NATO ally.


"Iran's cyber attack against Albania disregards norms of responsible peacetime State behavior in cyberspace, which includes a norm on refraining from damaging critical infrastructure that provides services to the public," [said](https://home.treasury.gov/news/press-releases/jy0941) Brian E. Nelson, the Treasury's Under Secretary for Terrorism and Financial Intelligence today.


"We will not tolerate Iran's increasingly aggressive cyber activities targeting the United States or our allies and partners."



## MOIS-controlled threat groups


Earlier this year, U.S. Cyber Command (USCYBERCOM) [officially linked](https://www.bleepingcomputer.com/news/security/us-links-muddywater-hacking-group-to-iranian-intelligence-agency/) the Iranian-backed MuddyWatter threat group to Iran's Ministry of Intelligence and Security (MOIS).


This cyber-espionage group (also known as [SeedWorm](https://www.bleepingcomputer.com/news/security/seedworm-spy-gang-stores-malware-on-github-keeps-up-with-infosec-advances/) and [TEMP.Zagros](http://www.fireeye.com/blog/threat-research/2018/03/iranian-threat-group-updates-ttps-in-spear-phishing-campaign.html)) was first [spotted in 2017](https://blog.malwarebytes.com/threat-analysis/2017/09/elaborate-scripting-fu-used-in-espionage-attack-against-saudi-arabia-government_entity/) and is known for focusing its espionage attacks on Middle Eastern entities targeting dissidents and government organizations.


MuddyWater was also linked to attacks against government and defense entities in Central and Southwest Asia and numerous privately-held and public orgs from North America, Europe, and Asia [[1](https://www.symantec.com/blogs/threat-intelligence/seedworm-espionage-group), [2](https://securelist.com/muddywater/88059/), [3](https://blog.malwarebytes.com/threat-analysis/2017/09/elaborate-scripting-fu-used-in-espionage-attack-against-saudi-arabia-government_entity/)].


MOIS is also known for controlling APT39, another cyber espionage group engaging in surveillance operations aligned with Iranian interests since [November 2014](https://www.mandiant.com/resources/blog/apt39-iranian-cyber-espionage-group-focused-on-personal-information).


"MOIS carries out cyber espionage and disruptive ransomware attacks on behalf of the Iranian government in parallel with the other Iranian security service the IRGC," John Hultquist, Mandiant's Vice President of Intelligence Analysis, told BleepingComputer.


"These actors have also been involved in ransomware incidents that may have been ultimately designed for disruptive purposes rather than financial gain. Those operations were a template for the Albania attack."





## Tags:


### Autogenerated tags:
[[mois]] [[u.s]]
