# UnitedHealth confirms Optum hack behind US healthcare billing outage
## US healthcare giant UnitedHealth Group announced that its subsidiary Optum suffered a cyberattack by "nation-state" hackers on the Change Healthcare platform, forcing the company to shut down IT systems and various services.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/unitedhealth-confirms-optum-hack-behind-us-healthcare-billing-outage/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 23 February 2024, 04:41
+ Date scraped: 23 February 2024, 10:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/08/22/healthcare-cyber.jpg)



US healthcare giant UnitedHealth Group announced that its subsidiary Optum suffered a cyberattack by "nation-state" hackers on the Change Healthcare platform, forcing the company to shut down IT systems and various services.


United Health Group (UHG) is a health insurance company with a presence across all 50 US states. The organization is the world's largest healthcare company by revenue ($324.2 billion in 2022), employing 440,000 people worldwide.


Its subsidiary, Optum Solutions, operates the Change Healthcare platform, which is the largest payment exchange platform between doctors, pharmacies, healthcare providers, and patients in the US healthcare system.


If you have any information regarding this incident or any other undisclosed attacks, you can contact us confidentially via Signal at 646-961-3731 or at tips@bleepingcomputer.com.


Optum suffers massive cyberattack
---------------------------------


Change Healthcare first started warning customers Wednesday that some of its services had become unavailable, later stating a cybersecurity incident caused it.


An 8-K filing submitted by UnitedHealth Group with the SEC yesterday confirmed that a cyberattack by suspected "nation-state" hackers was behind the disruption to Optum's Change Healthcare services.


"On February 21, 2024, UnitedHealth Group (the "Company") identified a suspected nation-state associated cyber security threat actor had gained access to some of the Change Healthcare information technology systems," [reads the filing](https://www.sec.gov/Archives/edgar/data/731766/000073176624000045/unh-20240221.htm).


"Immediately upon detection of this outside threat, the Company proactively isolated the impacted systems from other connecting systems in the interest of protecting our partners and patients, to contain, assess and remediate the incident."


"The Company is working diligently to restore those systems and resume normal operations as soon as possible, but cannot estimate the duration or extent of the disruption at this time."


Optum is providing regular updates on the status of its services [on this portal](https://status.changehealthcare.com/incidents/hqpjz25fn3n7), which says that the outage is currently impacting 119 Change Healthcare and Optum services and platforms. 


Change Healthcare has a wide presence in the US healthcare systems, used by hospitals, clinics, and pharmacies nationwide for electronic health record (EHR) systems, payment processing, care coordination, and data analytics.


Employees at healthcare clinics, medical billing companies, and pharmacies have reported widescale problems due to the outage, including being unable to bill or send claims for prescriptions or [healthcare services](https://www.reddit.com/r/pharmacy/comments/1awm81l/optumrx_is_down_and_we_havent_been_able_to/).


The payment processing disruption in pharmacies has been [particularly noticeable](https://www.reddit.com/r/pharmacy/comments/1awm81l/optumrx_is_down_and_we_havent_been_able_to/), with the majority of local and box store pharmacies across the country unable to process any insurance claims or accept discount prescription cards.


In response to the situation, the American Hospital Association (AHA) issued a warning yesterday recommending that all healthcare organizations that rely on Optum solutions disconnect their systems immediately to protect their partners' and patients' data.


"We recommend that all health care organizations that were disrupted or are potentially exposed by this incident consider disconnection from Optum until it is independently deemed safe to reconnect to Optum," warned the [American Hospital Association](http://www.aha.org/advisory/2024-02-22-unitedhealth-groups-change-healthcare-experiencing-cyberattack-could-impact-health-care-providers-and).


BleepingComputer has learned that healthcare providers have begun to disconnect all connections to Optum, Change Healthcare, and UHG to prevent the potential spread of the attack to their own systems.


Columbia University [announced](http://humanresources.columbia.edu/news/uhg-and-optum-cyber-attacks) that the New York Presbyterian healthcare system, which includes the Weill Cornell and Columbia hospitals, advises partners to disconnect from UGH services.



![Columbia University warning about the attack](https://www.bleepstatic.com/images/news/security/attacks/o/optum-change-healthcare/columbia-alert.jpg)**Columbia University warning about the attack**  
*Source: BleepingComputer*


Columbia University said they have also blocked all email connections with UnitedHealth Group's domains and advise that no employees visit those domains until told it is safe.


"Additionally, to minimize the risk this external cyber security event presents to our computing environment, we have taken the extraordinary precaution of blocking email from the following domains: Optum.com, Changehealthcare.com, Caremount.com, Unitedhealthgroup.com, Uhc.com, and Uhg.com."


The US military's healthcare provider for active-duty personnel, Tricare, has also been impacted, announcing that the Optum outage has forced all US military pharmacies worldwide to [fill prescriptions manually](https://tricare.mil/GettingCare/VirtualHealth/SecurePatientPortal/PatientPortalOutages).


While it is unclear what type of attack is behind Change Healthcare and Optum's outages, even though they claim it is a "nation-state" actor, it bears all the signs of a ransomware attack.


If a ransomware gang conducted this cyberattack, then it is likely that patient and corporate data would have been stolen in the attack.


This stolen data will then be used as leverage, where the threat actors will threaten to leak the data if a ransom is not paid.


The investigation into the incident is ongoing, and official details regarding the extent of the cyberattack have yet to be disclosed.





## Tags:
***email-adresses***: attips@bleepingcomputer.com

### Autogenerated tags:
[[optum]] [[cyberattack]] [[unitedhealth]] [[nation-state]]
