# Verizon users report blurry photos in Android messaging apps
## Verizon customers using Android phones report that they receive blurry images through text messages on different services and apps, with no response from Verizon as to why.
## Information:

+ Link: https://www.bleepingcomputer.com/news/mobile/verizon-users-report-blurry-photos-in-android-messaging-apps/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 03 June 2024, 11:37
+ Date scraped: 03 June 2024, 16:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/18/Verizon-headpic.jpg)





*Image: [Adrien Olichon](https://unsplash.com/@adrienolichon)*




Verizon customers using Android phones report that they receive blurry images through text messages on different services and apps, with no response from Verizon as to why.


Verizon Communications is the second-largest wireless carrier and the largest LTE network operator in the United States, estimated to serve nearly 145 million subscribers.


Some report that the blurry photos problem on Verizon started in February 2024, but user reports escalated in May following a recent software update from their vendors.


This has led many to speculate that an update in Verizon's MMS system, possibly involving multimedia compression changes, was recently rolled out more widely, causing problems.


An employee of US Mobile, which uses both Verizon and T-Mobile cell towers to provide service, [indicated that this has been a known issue](http://www.reddit.com/r/USMobile/comments/1d4gtk0/incoming_pictures_2_are_compressed_and_any_gif_is/) on Android phones since the transition to the Warp 5G network.


However, as of writing this, there has yet to be an official confirmation about the exact source of the problem.


Blurry images for Android users
-------------------------------


According to multiple reports on [Verizon's support portal](https://community.verizon.com/t5/Samsung/Receiving-blurry-photos-all-of-a-sudden-in-May-2024/m-p/1757278) and [Reddit discussion boards](https://www.reddit.com/r/AndroidQuestions/comments/1cpux4o/pictures_being_sent_to_me_via_text_are_blurry_all/), numerous customers have received blurry images when multiple images are sent to their Android phones in a single message.


"All of a sudden the photos I receive via text are blurry on my S21. The word on Reddit is it's a Verizon issue," reported a Verizon user on their support forums.


"Perhaps a Verizon/Samsung issue. It's happening across Android devices - regardless of age - on old and new phones, fancy and less fancy."


The issue does not impact image quality when a message [contains only one image](https://www.reddit.com/r/GalaxyS22/comments/1d5x6rr/mms_pictures_blurry/) or multiple images are sent in separate texts.


Apart from the blurry static images, some users also [report problems with animated GIFs](https://www.reddit.com/r/USMobile/comments/1d4gtk0/incoming_pictures_2_are_compressed_and_any_gif_is/), which are now displayed as still images with heavy pixelation.


The problem is not limited to a specific phone model, with people facing issues using various Android devices.


The sender's device also doesn't make a difference, as texting from various generations of Samsung Galaxies, OnePlus, and Apple iPhones are [used to send blurry images](https://www.reddit.com/r/verizon/comments/1d0ktkv/blurry_photosbroken_gifs_regardless_of_what/). However, most users report this issue when sending multiple photos from their iPhones.


Unfortunately, switching to a different messaging app does not help, as the issue persists across other apps, including SMS, Google Messages, Samsung Messages, and Textra.


"Verizon and Android seem to be the common denominators here. I've seen a few different messaging apps mentioned so I don't think that matters as much. For me it happened with Textra and the standard app," another Verizon customer [posted on Reddit](https://www.reddit.com/r/AndroidQuestions/comments/1cpux4o/comment/l59cio9/).


Many impacted customers claim they contacted Verizon's customer support about the issue but received no valuable guidance or explanations about what's causing it.


BleepingComputer has contacted Verizon, Apple, and Google for a comment on the potential cause of the issue, and we will update this post as soon as we hear back.


Possible solutions
------------------


It is anticipated that an update will eventually resolve the blurry image problem, so keeping all apps and software up to date is the first step.


A more active step would be clearing the cache and data for messaging apps and retrying the media exchange.


Apps that bypass Verizon's network, such as Signal, WhatsApp, or Telegram, could be helpful for sending and receiving images where possible.


Some have recommended enabling Rich Communication Services (RCS) in all messaging apps where the option is available. However, many say this has not resolved the issue, and it appears to be a Verizon network issue.


Verizon has yet to officially acknowledge the problem, so reporting and escalating the issue to the telco's support department might drive a quicker resolution.





## Tags:


### Autogenerated tags:
[[verizon]] [[android]] [[apps]] [[reddit]]
