# Vivaldi, Brave, DuckDuckGo reject Google's FLoC ad tracking tech
## Makers of Vivaldi and Brave web browsers have rejected Google's new privacy-preserving proposal called FLoC, which is meant to replace third-party tracking cookies across websites on browsers, including Chrome.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/vivaldi-brave-duckduckgo-reject-googles-floc-ad-tracking-tech/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 14 April 2021, 11:59
+ Date scraped: 12 December 2023, 14:31

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/10/16/Google-headpic.jpg)



Last month, Google announced plans to roll out a new privacy-focused feature called Federated Learning of Cohorts (FLoC) for the Chrome browser and ad serving websites.


The technology is meant to replace the more traditional third-party cookies used by ad networks and analytics platforms to track users across the web, which can be detrimental to preserving user privacy.


However, Google's proposal to replace third-party tracking cookies with FLoC has not been welcomed by everyone.


FLoC has been criticized by the Electronic Frontier Foundation (EFF) and outright rejected by makers of Vivaldi and Brave browsers for its debatable claim of being a privacy-preserving technology.


Google FLoC replaces cookie-based tracking with "cohorts"
---------------------------------------------------------


This week, makers of Vivaldi web browser have declared that they will not include Google FLoC support in Vivaldi.


The announcement comes out shortly after Google unveiled its plans to trial the technology with a selected group of Chrome users, who will automatically be included in FLoC's pilot.


FLoC aims to replace tracking technologies like third-party cookies and *localStorage* with what is being called "cohorts."


As opposed to servers (or ad networks) tracking users across the world wide web and recording their browsing history, FLoC hands off this responsibility to the user's individual web browser.


That is, every Google Chrome web browser instance selected as a part of FLoC trial would be lumped with specific "cohorts" or groups that most closely represent their recent web browsing activity.


Thousands of browsers with identical browsing history (belonging to the same "cohort") stored *locally* will have a shared "cohort" identifier assigned, which will be shared with a site when requested.


As Google explains it:


"FLoC doesn’t share your browsing history with Google or anyone."


"This is different from third-party cookies, which allow companies to follow you individually across different sites."


"FLoC works on your device without your browsing history being shared. Importantly, everyone in the ads ecosystem, including Google’s own advertising products, will have the same access to FLoC," explains Google in a [blog post](https://blog.google/products/chrome/privacy-sustainability-and-the-importance-of-and/).


In simple words, this means, if you are interested in technology sites—as recorded in your web browser's history, and so are a thousand other users, your browser and browsers of these thousand others will be added to a group of browsers that visit technology sites. All such browsers will be represented by a shared identifier.


This limits the visibility of an ad provider to merely a list of browsers that may be interested in *technology* ads, in this example, as opposed to the ad provider having visibility into an individual user's browsing habits.


Additionally, Google states that Chrome won't be creating FLoC groups for topics deemed sensitive, such as websites that predominantly feature medical, political, or religious content.


Google will also allow sites to opt-out of FLoC. This means, a web browser will not include visits to opted-out sites when generating cohort data.


FLoC rejected by Vivaldi, Brave, DuckDuckGo
-------------------------------------------


But, Vivaldi disagrees, and so do the makers of the Brave web browser.


"At Vivaldi, we stand up for the privacy rights of our users. We do not approve tracking and profiling, in any disguise. We certainly would not allow our products to build up local tracking profiles," says Jon von Tetzchner, Vivaldi CEO and co-founder.


"To us, the word 'privacy' means actual privacy. We do not twist it into being the opposite. We do not even observe how you use our products. Our privacy policy is simple and clear; we do not want to track you," von Tetzchner further stated in a [blog post](https://vivaldi.com/blog/no-google-vivaldi-users-will-not-get-floced/) released this week.


The company has dismissed Google's labelling of FLoC as a "pretense" of privacy-preserving technology that is in fact privacy-invasive.


The view has also been shared by many groups, including those behind the [Brave web browser](https://brave.com/why-brave-disables-floc/), DuckDuckGo, and the [Electronic Frontier Foundation (EFF)](https://www.eff.org/deeplinks/2021/03/googles-floc-terrible-idea).


Brave calls FLoC "a step in the wrong direction," and considers FLoC to be harmful to user privacy under the guise of being "privacy-friendly."


Makers of privacy-focused search engine DuckDuckGo also expressed [disappointment](http://spreadprivacy.com/block-floc-with-duckduckgo/) over Google forcing FLoC on users without them explicitly opting-in.


This is, despite the fact that there are many publicly voiced concerns with FLoC that are yet to be addressed.


How do I know if my browser is included in a FLoC cohort?
---------------------------------------------------------


You can check if your web browser has been selected to be a part of the FLoC trial experiment by following the instructions provided at EFF's *[AmIFloced.org](https://amifloced.org/).*



![floc google eff](https://www.bleepstatic.com/images/news/u/1164866/2021/Apr%202021/floc%20google/am-i-floced.png)**AmIFloced site by EFF lets users check if their web browser has FLoC support enabled**  

Source: [Twitter](https://twitter.com/Ivarn/status/1381368629996888068/photo/3)


As seen by BleepingComputer, to determine if a user is affected, the script checks whether or not you are running Chrome browser version 89 or greater, that come with FLoC support, and if the *interestCohort* API is available:



![floc test script](https://www.bleepstatic.com/images/news/u/1164866/2021/Apr%202021/floc%20google/floc-script.jpg)**FLoC test script run by EFF's AmIBeingFloced**  

Source: BleepingComputer


To accomplish this, the script checks if the *document.interestCohort()* property is set. An affirmative answer would mean your web browser is part of a cohort with an assigned identification number.


DuckDuckGo has published the [*Privacy Essentials*](https://chrome.google.com/webstore/detail/duckduckgo-privacy-essent/bkdgflcldnnnapblkhphbgpggdiikppg) Chrome extension that users can install to block FLoC on their Chrome browsers.


Website owners that do not wish to take part in FLoC can block it by issuing the following HTTP request header to their visitors:


Permissions-Policy: interest-cohort=()
At this time, FLoC is expected to be rolled out among "a small percentage of users" based in Australia, Brazil, Canada, India, Indonesia, Japan, Mexico, New Zealand, the Philippines, and the U.S, according to Google.





## Tags:


### Autogenerated tags:
[[google]] [[vivaldi]] [[brave]] [[third-party]] [[duckduckgo]]
