# Windows 10 20H2 for Enterprise reaches end of service in May
## Microsoft says Windows 10, version 20H2 for enterprise and education users will reach the end of service (EOS) in three months, on May 9, 2023.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-20h2-for-enterprise-reaches-end-of-service-in-may/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 13 February 2023, 17:29
+ Date scraped: 13 February 2023, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/13/windows-10-blue.jpg)



Microsoft says Windows 10, version 20H2 for enterprise and education users will reach the end of service (EOS) in three months, on May 9, 2023.


This applies to the following Windows 10 editions released in October 2020: Enterprise, Enterprise multi-session, Education, and IoT Enterprise.


This announcement comes after multiple other versions (Home, Pro, Pro Education, and Pro for Workstations) reached EOS one year ago, on May 10, 2022.


"These editions will no longer receive security updates after May 9, 2023. Customers who contact Microsoft Support after this date will be directed to update their device to the latest version of Windows 10 or upgrade to Windows 11 to remain supported," Microsoft [said](https://learn.microsoft.com/en-US/lifecycle/announcements/windows-10-20h2-enterprise-education-eos).


After the EOS date is reached, Windows 10 20H2 devices running Enterprise and Education editions will no longer receive monthly quality or security updates containing bug fixes and patches to protect them from recently discovered security threats.


## Windows 10 22H2 in broad deployment


Microsoft has tagged Windows 10, version 22H2 (aka the Windows 10 2022 Update) for broad deployment in November, making it available to everyone via Windows Update.


Windows 10 22H2 is being offered to customers with eligible devices running Windows 10 20H2 or later on systems not affected by compatibility holds that haven't been configured to defer feature updates.


However, Redmond will likely force Windows 10 22H2 feature updates to consumer and non-managed business devices once the Windows 10 20H2 reaches EOS in May.


"Devices currently on Windows 10, version 20H2 or newer will have a fast installation experience because this feature update will install like a monthly update," the company [says](https://learn.microsoft.com/en-us/windows/release-health/status-windows-10-22h2) on the Windows Health Dashboard.


More info regarding end-of-service dates for supported versions of Windows can be found in the [Windows Lifecycle FAQ](https://docs.microsoft.com/en-us/lifecycle/faq/windows), the [Windows 10 Servicing Frequently Asked Questions](https://support.microsoft.com/help/4035050/windows-10-serviced-versions-frequently-asked-questions), and via the [Lifecycle Policy search tool](https://docs.microsoft.com/en-us/lifecycle/products/?terms=windows).



![Windows 10 22H2 feature update](https://www.bleepstatic.com/images/news/u/1109292/2022/Windows%2010%2022H2%20update.png)*Windows 10 22H2 feature update (BleepingComputer)*


## ​Windows 11 22H2 force installing on some devices


Windows 11, version 22H2 (aka the Windows 11 2022 Update) is now also [broadly available to all users](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-11-22h2-now-available-for-all-eligible-devices/) with eligible devices after entering a new deployment phase on October 4.


Microsoft is also [force installing Windows 11 22H2](https://www.bleepingcomputer.com/news/microsoft/microsoft-starts-force-upgrading-windows-11-21h2-devices/) to systems running Windows 11 21H2, approaching the EOS date on October 10, 2023.


"Since Windows 10, we have been helping Windows users stay up to date and secure with supported versions of Windows through automatic updates," the company [explains](https://learn.microsoft.com/en-us/windows/release-health/status-windows-11-22h2).


"We are utilizing this same approach for Windows 11 to help you stay protected and productive. As always, you will have the ability to choose a convenient time for your device to restart and complete the update."


You can determine if your Windows 10 device is eligible for a Windows 11 upgrade using the [PC Health Check app](https://www.microsoft.com/windows/windows-11#pchealthcheck) or by checking [Windows 11 specs, features, and computer requirements](https://www.microsoft.com/windows/windows-11-specifications).


More details on the Windows 11 22H2 rollout and safeguard holds are available on the [release health page](https://learn.microsoft.com/en-us/windows/release-health/status-windows-11-22h2).


At the moment, the only compatibility hold blocking the Windows 11 2022 Update impacts systems with [specific driver versions for Intel Smart Sound Technology (Intel SST)](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-blocked-due-to-blue-screens-on-some-intel-systems/) that trigger blue screens of death (BSODs) on devices with Intel 11th Gen Core processors.





## Tags:


### Autogenerated tags:
[[windows]] [[22h2]] [[microsoft]] [[20h2]]
