# Windows 10 KB5001716 update fails with 0x80070643 errors, how to fix
## Microsoft is pushing out a Windows 10 KB5001716 update used to improve Windows Update that is ironically failing to install, showing 0x80070643 errors.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5001716-update-fails-with-0x80070643-errors-how-to-fix/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 07 March 2024, 13:00
+ Date scraped: 08 March 2024, 20:56

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/20/Windows.jpg)



Microsoft is pushing out a Windows 10 KB5001716 update used to improve Windows Update that is ironically failing to install, showing 0x80070643 errors.


Titled 'KB5001716: Update for Windows Update Service components,' this update has been pushed out by Microsoft over the years when new functionality needs to be added to Windows Update.


However, instead of improving Windows Update, the KB5001716 update is not installing and causing 0x80070643 errors to be displayed in Windows Update without any details as to what is causing it.


"There were some problems installing updates, but we'll try again later. If you keep seeing this and want to search the web or contact support for information, this may help: (0x80070643)," reads the Windows Update error message.



![Windows Update displaying the 0x80070643 error](https://www.bleepstatic.com/images/news/Microsoft/windows-updates/KB5001716/windows-update-error.jpg)**Windows Update displaying the 0x80070643 error**  
*Source: BleepingComputer*


However, the Windows Event Viewer will show more information, indicating that the failed installation of the KB5001716 update is causing this error.


"Installation Failure: Windows failed to install the following update with error 0x8024200B: 2023-10 Update for Windows 10 Version 22H2 for x64-based Systems (KB5001716)," reads the Windows event logs.


Making it more confusing, this update is shown as an October 2023 update, yet Microsoft is pushing it out in March 2024.  

​



![Event Viewer showing KB5001716 update installation error](https://www.bleepstatic.com/images/news/Microsoft/windows-updates/KB5001716/event-log.jpg)**Event Viewer showing KB5001716 update installation error**  
*Source: BleepingComputer*


The KB5001716 installation problems are widely reported, with BleepingComputer first learning about it after a member [posted in our discussion forums](https://www.bleepingcomputer.com/forums/t/795247/windows-10-updates/?p=5622249).


BleepingComputer has since been able to confirm the same installation errors on our own Windows 10 computer.


"OK, I looked at the update history and noticed that the update was installed silently last night but then there were 4 failed attempts to install the same update. So is it actually installed or not? What a mystery," reads a post on [Wilder Security Forums](http://www.wilderssecurity.com/threads/bork-tuesday-any-problems-yet.370217/page-326).


The problem appears to stem from the fact that Microsoft had previously issued this update in October 2023, with most people installing it then. For some reason, Microsoft reissued the same update to those machines, causing the error.


For those who did not install it in October, this update will install without any problems now.



![Update already installed in October](https://www.bleepstatic.com/images/news/Microsoft/windows-updates/KB5001716/already-installed.jpg)**Update already installed in October**  
*Source: BleepingComputer*


How to fix KB5001716 installation errors
----------------------------------------


To resolve this error, a user pointed out on [Reddit](https://www.reddit.com/r/Windows10/comments/1b7sv67/comment/ktn063f/) that you can uninstall the older update installed in October 2023 and reinstall it again through this month's push of the KB5001716 update.


To uninstall the KB5001716 update, go into Settings > Apps, and under Apps & features, scroll down until you see the update, click on it, and then click on Uninstall, as shown below.



![Uninstall the KB5001716 update](https://www.bleepstatic.com/images/news/Microsoft/windows-updates/KB5001716/uninstall-update.jpg)**Uninstall the KB5001716 update**  
*Source: BleepingComputer*


BleepingComputer has confirmed that once the October version of the update is uninstalled, you can then Check for Updates again, and the KB5001716 update will install successfully in Windows Update.





## Tags:


### Autogenerated tags:
[[windows]] [[kb5001716]] [[bleepingcomputer]] [[microsoft]] [[0x80070643]] [[uninstall]]
