# Windows 10 KB5014666 update brings new printing features, bug fixes
## Microsoft has released the optional KB5014666 Preview cumulative update for Windows 10 20H2, Windows 10 21H1, and Windows 10 21H2.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5014666-update-brings-new-printing-features-bug-fixes/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 28 June 2022, 22:37
+ Date scraped: 29 June 2022, 08:06

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/25/Windows-10.jpg)



Microsoft has released the optional KB5014666 Preview cumulative update for Windows 10 20H2, Windows 10 21H1, and Windows 10 21H2.


This update includes numerous bug fixes and new, unexpected printing features.


The KB5014666 cumulative update preview is part of Microsoft's June 2022 monthly "C" update, allowing admins to test fixes in the July 2022 Patch Tuesday.


Unlike Patch Tuesday updates, the "C" preview updates are optional and do not include any security updates.


Windows users can install this update by going into **Settings**, clicking on **Windows Update,** and manually performing a **'Check for Updates**.'


As this is an optional update, you will be asked whether you wish to install it by clicking on the 'Download and install' link, as shown in the image below.



![Windows 10 KB5014666 cumulative update preview](https://www.bleepstatic.com/images/news/Microsoft/KB5014666.jpg)**Windows 10 KB5014666 cumulative update preview**  
*Source: BleepingComputer*


Windows 10 users can also manually download and install the KB5014666 preview update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5011543).


## What's new in Windows 10 KB5014666


With this update, Microsoft is introducing a bunch of new Print and Scan features, including support for the Internet Print Protocol (IPP) on USB printers.


The Internet Print Protocol allows you to print and manage documents on a Windows print server directly over HTTP. While Microsoft has supported IPP in network printers, with this update, Microsoft is also supporting IPP over USB.


"Microsoft has supported Internet Print Protocol (IPP) for network printers starting in 2018 with the release of Windows 10, version 1809. We are now expanding IPP support to USB printers," explains the update's release notes.


Other new printer features include:


* Print support app (PSA) APIs – Using the PSA framework, printer manufacturers can extend printer functionalities and user experience. For more information, see [Print support app design guide](https://aka.ms/print/psa).
* PIN-protected printing for IPP and Universal Print - Standard print dialogs now include a user interface to enter a PIN code.
* eSCL Mopria Scan protocol - Windows now supports the eSCL Mopria Scan protocol. It can be used with Mopria certified scanner devices.

In addition to the new printing features, the Windows 10 KB5014666 cumulative update preview includes twenty-six other improvements or fixes, with the two highlighted ones below:


* Addresses a known issue that might prevent you from using the Wi-Fi hotspot feature.
* ***New!***Adds IP address auditing for incoming Windows Remote Management (WinRM) connections in security event 4262 and WinRM event 91. This addresses an issue that fails to log the source IP address and machine name for a remote PowerShell connection.
* ***New!***Adds Server Message Block (SMB) redirector (RDR) specific public File System Control (FSCTL) code FSCTL\_LMR\_QUERY\_INFO.

After installing this update, Windows 10 20H2 will be updated to build 19042.1806, Windows 10 21H1 will be updated to build 19043.1806, and Windows 10 21H2 will be updated to build 19044.1806.


You can find a complete list of fixes in the [KB5014666 support bulletin](https://support.microsoft.com/en-us/topic/june-28-2022-kb5014666-os-builds-19042-1806-19043-1806-and-19044-1806-preview-4bd911df-f290-4753-bdec-a83bc8709eb6).





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5014666]] [[ipp]] [[usb]] [[mopria]]
