# Windows 10 KB5017380 preview update released with new FIDO2 features
## Microsoft has released the optional KB5017380 Preview cumulative update for Windows 10 20H2, Windows 10 21H1, and Windows 10 21H2 with new FIDO2 and Windows Hello features.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5017380-preview-update-released-with-new-fido2-features/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 20 September 2022, 21:50
+ Date scraped: 20 September 2022, 22:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/02/03/Windows-10-headpic.jpg)



Microsoft has released the optional KB5017380 Preview cumulative update for Windows 10 20H2, Windows 10 21H1, and Windows 10 21H2.


This update includes numerous bug fixes and enhancements, including a new FIDO2 and Windows Hello authentication features.


The KB5017380 cumulative update preview is part of Microsoft's September 2022 monthly "C" update, allowing admins to test upcoming fixes released in the October 2022 Patch Tuesday.


Unlike Patch Tuesday cumulative updates, the "C" preview updates are optional and do not include security updates. However, If you run a Windows Insider build, the preview update will be installed automatically.


Windows users can install this update by going into **Settings**, clicking on **Windows Update,** and manually performing a **'Check for Updates**.'


As this is an optional update, you will be asked whether you wish to install it by clicking on the 'Download and install' link, as shown in the image below.



![Windows 10 KB5017380 cumulative update preview](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/KB5015878-update.jpg)**Windows 10 KB5017380 cumulative update preview**  
*Source: BleepingComputer*


After installing this update, Windows 10 20H2 will be updated to build 19042.2075, Windows 10 21H1 will be updated to build 19043.2075, and Windows 10 21H2 will be updated to build 19044.2075.


Windows 10 users can also manually download and install the KB5017380 preview update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5017380).


## What's new in Windows 10 KB5017380


With this update, Microsoft has introduced a new security feature that allows you to log in to sites in a Remote Desktop session and authenticate using your local FIDO2 hardware security keys or Windows Hello.


In addition, you can now log in to your Windows device over RDP using Azure Active Directory (AD) authentication with local Windows Hello or FIDO 2 security keys.


"Introduces functionality that lets you use Azure Active Directory (AD) authentication to sign in to Windows using Remote Desktop," reads today's update.


"Then, you can use Windows Hello or security devices, such as Fast Identity Online 2.0 (FIDO2) keys, for remote sign in. It also enables the use of Conditional Access policies."


In addition to the FIDO2 enhancements, the Windows 10 KB5017380 cumulative update preview includes forty other improvements or fixes, with nine changes highlighted by Microsoft listed below:


* ***New!***News and Interests settings can now be found under **Settings > Personalization > Taskbar > News and interests.**Otherwise,right-click the taskbar and select **Taskbar settings**.
* ***New!***All taskbar orientations now support news and interests. A top, left, or right taskbar now has features and settings much like the horizontal taskbar.
* Addresses an issue that requires you to reinstall an app if you did not get the app from the Microsoft Store. This issue occurs after you upgrade to Windows 10 or a newer OS.
* Fixes a rare blue screen of death that occurred after you change the display mode while you are using more than one display.
* Addresses an issue that forces the IE mode tabs in a session to reload.
* Addresses an issue that affects IE mode after you open a PDF file. When you try to open a different page using the same browser window, the page will not open in that browser window.
* Addresses an issue that affects the Microsoft Japanese IME when it is active and the IME mode is on. When you use the numeric keypad to insert a dash (-) character, the IME inserts the wrong one.
* Addresses an issue that affects the rendering of the search box. It does not render properly if you sign in using Tablet mode.
* Addresses a known issue that affects daylight saving time in Chile. This issue might affect the time and dates used for meetings, apps, tasks, services, transactions, and more.

Microsoft warns that after installing this update, some Windows devices may have issues playing audio.


"After installing this update, some Windows devices might have issues with audio not working. Some affected Windows devices might have no audio, but other affected Windows devices might only have issues on certain ports, certain audio devices or only within certain applications," reads the KB5017380 release notes.


"Most affected audio devices drivers have the "audio enhancements" setting disabled before installing this update or the sound device driver has issues with the "audio enhancements" feature."


You can find a complete list of fixes in the [KB5017380 support bulletin](https://support.microsoft.com/en-us/topic/september-20-2022-kb5017380-os-builds-19042-2075-19043-2075-and-19044-2075-preview-59ab550c-105e-4481-b440-c37f07bf7897).





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5017380]] [[taskbar]] [[fido2]] [[ime]]
