# Windows 10 KB5019275 preview update released with 14 fixes
## Microsoft has released the optional KB5019275 Preview cumulative update for Windows 10 20H2, Windows 10 21H1, and Windows 10 21H2, with fourteen fixes and improvements.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5019275-preview-update-released-with-14-fixes/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 20 January 2023, 00:23
+ Date scraped: 20 January 2023, 01:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/25/Windows-10.jpg)



Microsoft has released the optional KB5019275 Preview cumulative update for Windows 10 20H2, Windows 10 21H1, and Windows 10 21H2, with fourteen fixes and improvements.


This release is primarily a maintenance release, fixing numerous bugs in ReFS, FIDO2, and various issues that cause applications or the Windows desktop to become unresponsive.


The KB5019275 cumulative update preview is part of Microsoft's January 2023 monthly "C" update, allowing admins to test upcoming fixes released in the February 2023 Patch Tuesday.


Unlike Patch Tuesday cumulative updates, the "C" preview updates are optional and do not include security updates.


Windows users can install this update by going into **Settings**, clicking on **Windows Update,** and manually performing a **'Check for Updates**.'


As this is an optional update, you will be asked whether you wish to install it by clicking the 'Download and install' link, as shown in the image below.



![Windows 10 KB5019275 cumulative update preview](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/KB5019275%20/KB5019275.jpg)**Windows 10 KB5019275 cumulative update preview**  
*Source: BleepingComputer*


After installing this update, Windows 10 20H2 will be updated to build 9042.2546, Windows 10 21H2 will be updated to build 19044.2546, and Windows 10 22H2 will be updated to build 19045.2546.


Windows 10 users can also manually download and install the KB5019275 preview update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5019275).


Microsoft is also warning today that after March 2023, no more optional preview updates will be released for Windows 10, version 20H2, and Windows 10, version 21H2.


"After March 2023, there are no more optional, non-security preview releases for the supported editions of Windows 10, version 20H2 and Windows 10, version 21H2," explains Microsoft in the KB5019275 support bulletin.


"Only cumulative monthly security updates (known as the "B" or Update Tuesday release) will continue for these versions. Windows 10, version 22H2 will continue to receive security and optional releases."


## What's new in Windows 10 KB5019275


With this update, Microsoft has introduced a new feature where the 'System' setting screen will now display Microsoft OneDrive storage alerts.


Microsoft says these new alerts will only be shown when you run out of storage, allowing Windows users to purchase more.


The KB5019275 also fixes thirteen issues related to various Windows services, primarily to fix crashes, unresponsive features, or general bugs.


Of particular interest, Microsoft has added support for URL lengths of up to 8196 characters, which is much more than anyone will likely see when browsing the web.


Some of the other notable bug fixes in this release are:


* This update addresses an issue that affects searchindexer.exe. It randomly stops you from signing in or signing out.
* This update addresses an issue that affects conhost.exe causing it to stop responding.
* This update addresses a problem that occurs when you open Task View. It causes the desktop to stop responding.
* This update addresses an issue that damages memory. The issue occurs when you use particular HD audio controller hardware.

Microsoft is warning of one long-standing issue in this update: Windows installations created from offline media or ISO may have Microsoft Edge Legacy removed and replaced with the new modern Microsoft Edge.


"Devices with Windows installations created from custom offline media or custom ISO image might have Microsoft Edge Legacy removed by this update, but not automatically replaced by the new Microsoft Edge," explains the KB5019275 bulletin.


"This issue is only encountered when custom offline media or ISO images are created by slipstreaming this update into the image without having first installed the standalone servicing stack update (SSU) released March 29, 2021 or later."


You can find a complete list of fixes in the [KB5019275 support bulletin](https://support.microsoft.com/en-us/topic/january-19-2023-kb5019275-os-builds-19042-2546-19044-2546-and-19045-2546-preview-8ae1b678-d38c-4249-848d-06b722e7c0ad).





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5019275]] [[20h2]] [[21h2]]
