# Windows 10 KB5023773 preview update released with 10 fixes
## Microsoft has released the optional KB5023773 Preview cumulative update for Windows 10 20H2, Windows 10 21H2, and Windows 10 22H2, with ten fixes for various issues.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5023773-preview-update-released-with-10-fixes/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 21 March 2023, 22:25
+ Date scraped: 21 March 2023, 23:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/02/03/Windows-10-headpic.jpg)



Microsoft has released the optional KB5023773 Preview cumulative update for Windows 10 20H2, Windows 10 21H2, and Windows 10 22H2, with ten fixes for various issues.


This release is primarily a maintenance release, fixing a bug with USB printer drivers, FIDO2, and other issues causing processes to hang, crash, or become unresponsive.


The KB5023773 cumulative update preview is part of Microsoft's March 2023 monthly "C" update, allowing admins to test upcoming fixes released in the April 2023 Patch Tuesday.


Unlike Patch Tuesday cumulative updates, the "C" preview updates are optional and do not include security updates.


Windows users can install this update by going into **Settings**, clicking on **Windows Update,** and manually performing a **'Check for Updates**.'


As this is an optional update, you will be asked whether you wish to install it by clicking the 'Download and install' link, as shown in the image below.



![Windows 10 KB5023773 cumulative update preview](https://www.bleepstatic.com/images/news/Microsoft/KB5023773.png)**Windows 10 KB5023773 cumulative update preview**  
*Source: BleepingComputer*


After installing this update, Windows 10 20H2 will be updated to build 19042.2788, Windows 10 21H2 will be updated to build 19044.2788, and Windows 10 22H2 will be updated to build 19045.2788.


Windows 10 users can also manually download and install the KB5023773 preview update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5023773).


Microsoft is warning that after this March 21st release, there will be no more optional, non-security preview updates for Windows 10 20H2 and 21H2. For Windows 10 users who wish to continue receiving preview updates, you must upgrade to Windows 10 10 22H2.


The release notes also shared that optional, non-security preview updates will [now be released on the fourth Tuesday of the month](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-preview-updates-to-target-last-week-of-the-month/), making it easier for admins to plan their update cycles.


## What's new in Windows 10 KB5023773


With this update, Microsoft has not introduced any new features but fixed a total of ten issues in Windows 10.


The highlighted fixes in the KB5023773 update are:


* This update addresses an issue that affects USB printers. The system classifies them as multimedia devices even though they are not.
* This update addresses an issue that affects the Fast Identity Online 2.0 (FIDO2) PIN credential icon. It does not appear on the credentials screen of an external monitor. This occurs when that monitor is attached to a closed laptop.

Microsoft is warning of two issues with this release, with one being a long-standing issue where Windows installations created from offline media or ISO may have Microsoft Edge Legacy removed and replaced with the new modern Microsoft Edge.


The other issue warns that Kiosk devices with auto log-on enabled may not sign on automatically. Microsoft says they are working on a fix for an upcoming update.


"After installing updates released January 10, 2023, and later, kiosk device profiles that have auto log on enabled might not sign in automatically. After Autopilot completes provisioning, affected devices will stay on the sign-in screen prompting for credentials," explains Microsoft.


You can find a complete list of fixes in the [KB5023773 support bulletin](https://support.microsoft.com/en-us/topic/march-21-2023-kb5023773-os-builds-19042-2788-19044-2788-and-19045-2788-preview-5850ac11-dd43-4550-89ec-9e63353fef23).





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5023773]] [[20h2]] [[21h2]] [[22h2]]
