# Windows 10 KB5029331 update introduces a new Backup app
## Microsoft has released the optional KB5029331 Preview cumulative update for Windows 10 22H2 with sixteen improvements or fixes, including the introduction of a new Backup app.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5029331-update-introduces-a-new-backup-app/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 23 August 2023, 16:52
+ Date scraped: 23 August 2023, 21:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/17/windows-10-sapphire.jpg)



Microsoft has released the optional KB5029331 Preview cumulative update for Windows 10 22H2 with sixteen improvements or fixes, including the introduction of a new Backup app.


The KB5029331 cumulative update preview is part of Microsoft's "[optional non-security preview updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-preview-updates-to-target-last-week-of-the-month/)" schedule, which are released on the fourth Tuesday of every month. This update allows Windows admins to test upcoming fixes and features that will be released in the upcoming September Patch Tuesday.


Unlike Patch Tuesday cumulative updates, the preview updates do not include security updates.


Windows users can install this update by going into **Settings**, clicking on **Windows Update,** and manually performing a **'Check for Updates**.'


As this is an optional update, you will be asked whether you wish to install it by clicking the 'Download and install' link, as shown in the image below.



![Windows 10 KB5029331 cumulative update preview](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/KB5029331-update.jpg)**Windows 10 KB5029331 cumulative update preview**  
*Source: BleepingComputer*


After installing this update, Windows 10 22H2 will be updated to build **19045.3393**.


Windows 10 users can also manually download and install the KB5029331 preview update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5029331).


What's new in Windows 10 KB5029331
----------------------------------


While recent Windows 10 updates have been acting primarily as bug fixes, this update includes several new features, demonstrating that Microsoft is not completely ignoring Windows 10 in favor of Windows 11.


The 16 highlighted fixes and new features in the KB5029331 update are:


* **New!**  This update adds the Windows Backup app to your device, as described in the next section.
* **New**! This update improves how Windows detects your location. This helps to give you better weather, news, and traffic information.
* **New!** This update expands the roll out of notification badging for Microsoft accounts on the Start menu. A Microsoft account is what connects Windows to your Microsoft apps. The account backs up all your data and helps you to manage your subscriptions. You can also add extra security steps to keep you from being locked out of your account. This feature gives you quick access to important account-related notifications.
* This update supports daylight saving time (DST) changes in Israel.
* This update addresses an issue that affects the display of the search box.
* This update addresses an issue that affects settings. They do not sync even if you turn on the toggle on the Windows backup page in the Settings app.

Finally, Microsoft continues to warn about a long-standing bug with Windows installations created from offline media or ISO images that causes Microsoft Edge Legacy to be removed and not replaced with the new modern Microsoft Edge.


Instructions on resolving this issue and a complete list of fixes can be found in the [KB5029331 support bulletin](https://support.microsoft.com/en-us/topic/august-22-2023-kb5029331-os-build-19045-3393-preview-9f6c1dbd-0ee6-469b-af24-f9d0bf35ca18).


The new Windows 10 Backup app
-----------------------------


One of the most unexpected additions in this release, is the release of a new Windows 10 Backup app that will automatically be installed with the update.


The Windows Backup app replicates the features of Windows 11's built-in backup settings page as well as the scattered settings throughout Windows 10.


However, instead of creating a new dedicated section for these features in the Windows 10 settings, Microsoft has released it as a standalone app called Windows Backup.



![New Windows Backup app for Windows 10](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/b/new-windows-backup/windows-10-backup.jpg)**New Windows Backup app for Windows 10**  
*Source: BleepingComputer*


Like the Windows 11 Backup app, you can use Windows Backup to backup your files, directories, and folders to OneDrive. You can also backup stored WiFI credentials and other saved passwords, settings, and installed apps and preferences to your Microsoft account.


All of these features already exist in Windows 10 but are scattered throughout the Windows 10 settings and apps.


For example, the **Settings** > **Accounts** > **Sync your settings** page already lets you control what data is synchronized with your Microsoft account, and you can use the OneDrive app to backup data.


The Windows Backup app just brings these settings into one place, allowing Windows 10 users a one-stop view to manage these functions.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5029331]] [[new!]] [[apps]]
