# Windows 10 KB5031445 preview update fixes ctfmon.exe memory leak, 9 issues
## Microsoft has released the optional KB5031445 Preview cumulative update for Windows 10 22H2 with nine improvements or fixes, including a fix for a memory leak in ctfmon.exe.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5031445-preview-update-fixes-ctfmonexe-memory-leak-9-issues/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 26 October 2023, 19:37
+ Date scraped: 27 October 2023, 00:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/17/windows-10-sapphire.jpg)



Microsoft has released the optional KB5031445 Preview cumulative update for Windows 10 22H2 with nine improvements or fixes, including a fix for a memory leak in ctfmon.exe.


The KB5031445 cumulative update preview is part of Microsoft's "[optional non-security preview updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-preview-updates-to-target-last-week-of-the-month/)" schedule, which are typically released on the fourth Tuesday of every month. This update allows Windows admins to test upcoming fixes and features that will be released in the upcoming November Patch Tuesday.


Unlike Patch Tuesday cumulative updates, the preview updates do not include security updates.


Windows users can install this update by going into **Settings**, clicking on **Windows Update,** and manually performing a **'Check for Updates**.'


As this is an optional update, you will be asked whether you wish to install it by clicking the 'Download and install' link, as shown in the image below.



![Windows 10 KB5031445 cumulative update preview](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/KB5029331-update.jpg)**Windows 10 KB5031445 cumulative update preview**  
*Source: BleepingComputer*


After installing this update, Windows 10 22H2 will be updated to build **19045.3636**.


Windows 10 users can also manually download and install the KB5031445 preview update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5029331).


What's new in Windows 10 KB5031445
----------------------------------


Microsoft has not added any new features in this release, and the update acts as a bug for Windows 10, resolving nine issues.


The three highlighted fixes and new features in the KB5029331 update are:


* Addresses an issue that affects touchscreens
* Supports daylight saving time (DST) changes in Syria
* This update addresses a memory leak in ctfmon.exe

The only known issue in this update causes BitLocker errors:


"Using the [FixedDrivesEncryptionType](https://learn.microsoft.com/en-us/windows/client-management/mdm/bitlocker-csp#fixeddrivesencryptiontype) or [SystemDrivesEncryptionType](https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Flearn.microsoft.com%2Fwindows%2Fclient-management%2Fmdm%2Fbitlocker-csp%23systemdrivesencryptiontype&data=05%7C01%7Cv-shros%40microsoft.com%7C16b4fd95f0a040b1c7e308dbc9fbb7f8%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C638325855199157966%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=mNOGflxiEnZVs5pI%2BxzTjAVqHBrJ%2F%2Baa60sV%2BlIshw4%3D&reserved=0) policy settings in the [BitLocker configuration service provider (CSP)](https://learn.microsoft.com/en-us/windows/client-management/mdm/bitlocker-csp) node in mobile device management (MDM) apps might incorrectly show a 65000 error in the "Require Device Encryption" setting for some devices in your environment," explains the release notes.


"Affected environments are those with the "Enforce drive encryption type on operating system drives" or "Enforce drive encryption on fixed drives" policies set to enabled and selecting either "full encryption" or 'used space only'."


"Microsoft Intune is affected by this issue but third-party MDMs might also pe affected."


Microsoft says this is only a reporting issue, not a BitLocker drive encryption problem. Redmond says they are working on a fix and will release it when it's ready.


A complete list of fixes can be found in the [KB5031445 support bulletin](https://support.microsoft.com/en-us/topic/october-26-2023-kb5031445-os-build-19045-3636-preview-03f350cb-57f9-45e6-bfd7-438895d3c7fa).





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5031445]] [[bitlocker]]
