# Windows 10 KB5032189 update released with 11 improvements
## Microsoft has released the KB5032189 cumulative update for Windows 10 21H2 and Windows 10 22H2, which contains eleven fixes for various issues.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5032189-update-released-with-11-improvements/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 14 November 2023, 13:30
+ Date scraped: 14 November 2023, 19:09

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/25/Windows-10.jpg)



Microsoft has released the KB5032189 cumulative update for Windows 10 21H2 and Windows 10 22H2, which contains eleven fixes for various issues.


KB5032189 is a mandatory Windows 10 cumulative update containing the November 2023 Patch Tuesday security updates.


Windows users can install this update by going into **Settings**, clicking on **Windows Update,** and manually performing a **'Check for Updates**.'


As this is a mandatory update, it will automatically be installed after checking for updates. However, you can schedule when your computer is restarted to finish the installation.



![Windows 10 KB5032189 cumulative update preview](https://www.bleepstatic.com/images/news/Microsoft/KB5032189.jpg)**Windows 10 KB5032189 cumulative update preview**  
*Source: BleepingComputer*


After installing this update, Windows 10 22H2 will be updated to build 19045.3693, and Windows 10 21H2 will be updated to build 19044.3693.


Windows 10 users can also manually download and install the KB5032189 preview update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5032189).


What's new in Windows 10 KB5032189
----------------------------------


With this update, Microsoft has fixed eleven issues in Windows 10, with them listed below:


* This update addresses an issue that affects touchscreens. They do not work properly when you use more than one display.
* This update supports daylight saving time (DST) changes in Syria. To learn more, see Interim guidance for Syria DST changes 2022.
* This update addresses a memory leak in ctfmon.exe.
* This update addresses a memory leak in TextInputHost.exe.
* This update addresses an error that occurs when you print using v4 print drivers.
* This update addresses an issue that affects Outlook. It stops responding. This occurs when you print to an Internet Printing Protocol (IPP) printer that has a slow response time.
* This update addresses an issue that affects connectivity. It is lost. This occurs when you add a second network interface card (NIC) that has no default gateway.
* This update makes Country and Operator Settings Asset (COSA) profiles up to date for certain mobile operators.
* This update addresses an issue that affects Windows Defender Application Control (WDAC). Its “allow” policies might block some binaries from running.
* This update includes quarterly changes to the Windows Kernel Vulnerable Driver Blocklist file, DriverSiPolicy.p7b. It adds to the list of drivers that are at risk for Bring Your Own Vulnerable Driver (BYOVD) attacks.
* This update addresses an issue that affects robocopy. The /efsraw switch stops it from copying data properly.

Microsoft says that the onle known issues with this update is a reporting error in BitLocker.


"Using the [FixedDrivesEncryptionType](https://learn.microsoft.com/en-us/windows/client-management/mdm/bitlocker-csp#fixeddrivesencryptiontype) or [SystemDrivesEncryptionType](https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Flearn.microsoft.com%2Fwindows%2Fclient-management%2Fmdm%2Fbitlocker-csp%23systemdrivesencryptiontype&data=05%7C01%7Cv-shros%40microsoft.com%7C16b4fd95f0a040b1c7e308dbc9fbb7f8%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C638325855199157966%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=mNOGflxiEnZVs5pI%2BxzTjAVqHBrJ%2F%2Baa60sV%2BlIshw4%3D&reserved=0) policy settings in the [BitLocker configuration service provider (CSP)](https://learn.microsoft.com/en-us/windows/client-management/mdm/bitlocker-csp) node in mobile device management (MDM) apps might incorrectly show a 65000 error in the "Require Device Encryption" setting for some devices in your environment," explains the release notes.


"Affected environments are those with the "Enforce drive encryption type on operating system drives" or "Enforce drive encryption on fixed drives" policies set to enabled and selecting either "full encryption" or 'used space only'."


"Microsoft Intune is affected by this issue but third-party MDMs might also pe affected."


Microsoft says the errors can be ignored and is working on a fix.


You can find a complete list of fixes in last month's [KB5031445 preview update bulletin](https://support.microsoft.com/en-us/topic/october-26-2023-kb5031445-os-build-19045-3636-preview-03f350cb-57f9-45e6-bfd7-438895d3c7fa).





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5032189]]
