# Windows 10 KB5034203 preview update adds EU DMA compliance
## Microsoft has released the January 2024 preview update for Windows 10, version 22H2, which adds Digital Markets Act (DMA) compliance in the European Economic Area (EEA) to allow European users to uninstall all apps in Windows by March 6.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5034203-preview-update-adds-eu-dma-compliance/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 23 January 2024, 14:11
+ Date scraped: 23 January 2024, 20:07

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/01/10/Windows_headpic.jpg)



Microsoft has released the January 2024 preview update for Windows 10, version 22H2, which adds Digital Markets Act (DMA) compliance in the European Economic Area (EEA) to allow European users to uninstall all apps in Windows by March 6.


The [KB5034203](https://support.microsoft.com/en-us/topic/january-23-2024-kb5034203-os-build-19045-3996-preview-d9540687-af96-46ba-9192-88fe44833561) is a monthly non-security optional cumulative update that enables Windows administrators to try out fixes and improvements that will come with the February 2024 Patch Tuesday release.


This approach enables testing changes before they become part of the regular Windows update cycle to ensure a smoother, more reliable experience for end users.


"Microsoft has been working to ensure compliance with the Digital Markets Act (DMA) in the European Economic Area (EEA)," the company [said](https://support.microsoft.com/en-us/topic/january-23-2024-kb5034203-os-build-19045-3996-preview-d9540687-af96-46ba-9192-88fe44833561) on Tuesday.


EEA customers installing this update will be able to uninstall all Windows apps, including Microsoft Edge, Web Search from Microsoft Bing, Photos, and Camera.


While Windows will always use the app default settings for link and file types configured by EEA users, some Microsoft apps will still open web links in Microsoft Edge (however, the company doesn't explain what happens after uninstalling Edge).


According to a [November 2023 announcement](https://blogs.windows.com/windows-insider/2023/11/16/previewing-changes-in-windows-to-comply-with-the-digital-markets-act-in-the-european-economic-area/), these compliance changes will be enacted by March 6, 2024.


As this monthly "C" update is optional, it does not come with security fixes, and you will be asked to install it by clicking the 'Download and install' link after checking for updates.


You can also download the KB5034203 update directly from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5034203) to manually install it.



![KB5034203 preview update](https://www.bleepstatic.com/images/news/u/1109292/2024/KB5034203%20preview%20update.png)*KB5034203 preview update (BleepingComputer)*


​​​​Other highlights in the January 2024 preview update
-------------------------------------------------------


According to Microsoft, this preview update also addresses an issue impacting some single-function printers, causing them to be installed as scanners, and an issue blocking reconnection attempts in existing Remote Desktop sessions.


The Windows 10 KB5034203 optional release bundles additional fixes and enhancements, some of the more important ones highlighted below:


* This update addresses an issue that affects Windows Management Instrumentation (WMI). A caching issue occurs. The issue causes CurrentTimeZone to change to the wrong value.
* This update addresses an issue that affects the Code Integrity Module (ci.dll). This issue stops your device from responding.
* This update addresses a known issue that affects BitLocker data-only encryption. A mobile device management (MDM) service, such as Microsoft Intune, might not get the right data.
* This update includes quarterly changes to the Windows Kernel Vulnerable Driver Blocklist file, DriverSiPolicy.p7b. It adds to the list of drivers that are at risk for Bring Your Own Vulnerable Driver (BYOVD) attacks.

You can find the complete list of changes included with this update in the [KB5034203 support bulletin](https://support.microsoft.com/en-us/topic/january-23-2024-kb5034203-os-build-19045-3996-preview-d9540687-af96-46ba-9192-88fe44833561) published by Microsoft earlier today.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[kb5034203]] [[eea]] [[apps]]
