# Windows 10 KB5035941 update released with lock screen widgets
## Microsoft has released the optional KB5035941 preview cumulative update for Windows 10 22H2, introducing widgets on the lock screen, Windows Spotlight on the desktop, and 21 other fixes or changes.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5035941-update-released-with-lock-screen-widgets/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 26 March 2024, 18:19
+ Date scraped: 26 March 2024, 23:06

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/02/03/Windows-10-headpic.jpg)



Microsoft has released the optional KB5035941 preview cumulative update for Windows 10 22H2, introducing widgets on the lock screen, Windows Spotlight on the desktop, and 21 other fixes or changes.


As with all new Windows 10 updates, this is primarily a maintenance release, with most fixes in this update relating to enterprise services, such as Azure, Remote Desktop, and Windows Hello for Business.


This KB5035941 cumulative update allows Windows admins to test upcoming fixes and features that will be released in the upcoming mandatory April Patch Tuesday.


Unlike Patch Tuesday cumulative updates, the preview updates do not include security updates.


Windows users can install this update by going into **Settings**, clicking on **Windows Update,** and manually performing a **'Check for Updates**.'


As this is an optional update, you will be asked whether you wish to install it by clicking the 'Download and install' link, as shown in the image below.



![Windows 10 KB5035941 cumulative update preview](https://www.bleepstatic.com/images/news/Microsoft/KB5035941-update.jpg)**Windows 10 KB5035941 cumulative update preview**  
*Source: BleepingComputer*


After installing this update, Windows 10 22H2 will be updated to build 19045.4239.


Windows 10 users can also manually download and install the KB5035941 preview update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5035941).


What's new in Windows 10 KB5035941
----------------------------------


With this update, Microsoft has introduced twenty-three fixes and changes in Windows 10.


The two significant changes in this update are the introduction of widgets to the Windows 10 lock screen and Windows Spotlight for desktop wallpapers.


The Windows 10 lock screen will now display widgets, including weather, sports scores, traffic information, and stock information. This feature can be customized at the **Settings**> **Personalization** > **Lockscreen**page.


While Windows Spotlight has been available on the lock screen for years, Microsoft is now letting you enable it for your desktop background. This feature can be controlled on the **Settings**> **Personalization**> **Background**> **Personalize**page.


Both of these features are still rolling out, so they may not be available for everyone.


The four other highlighted fixes and new features in the KB5035941 update are:


* This update addresses an issue that affects the touch keyboard. It does not open sometimes.
* When you sign in, you might see a message that invites you to upgrade to Windows 11. This message only appears if your device is eligible for an upgrade.
* New! This update adds search highlights to the taskbar search box for the European Economic Area. To learn more, see [Windows Search providers](https://learn.microsoft.com/windows/apps/develop/search/search-providers).
* New! This update affects Windows Hello for Business. IT admins can now use mobile device management (MDM) to turn off the prompt that appears when users sign in to an Entra-joined machine. To do this, they can turn on the "DisablePostLogonProvisioning" policy setting. After a user signs in, provisioning is off for Windows 10 and Windows 11 devices.

Finally, Microsoft continues to warn about two long-standing bugs where Copilot may cause icons to switch between multiple monitors, and Copilot is currently not supported if your taskbar is located vertically on the left or right of the screen.


Instructions on resolving this issue and a complete list of fixes can be found in the [KB5035941 support bulletin](https://support.microsoft.com/en-us/topic/march-26-2024-kb5035941-os-build-19045-4239-preview-a170797c-503e-4372-b3b6-89f290b4f2cb).





## Tags:


### Autogenerated tags:
[[windows]] [[kb5035941]] [[microsoft]]
