# Windows 10 optional updates fix performance problems introduced last month
## Optional updates for Windows 10 and Windows 11 released in January have fixed performance problems when playing games, using the operating system, or even opening folders in File Explorer.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-optional-updates-fix-performance-problems-introduced-last-month/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 02 February 2022, 18:45
+ Date scraped: 02 February 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/10/13/Windows-10-headpic.jpg)


![Windows 10](https://www.bleepstatic.com/content/hl-images/2020/10/13/Windows-10-headpic.jpg)


Optional updates for Windows 10 and Windows 11 released in January have fixed performance problems when playing games, using the operating system, or even opening folders in File Explorer.


With the January 2022 updates, Microsoft [introduced numerous bugs](https://www.bleepingcomputer.com/news/microsoft/new-windows-server-updates-cause-dc-boot-loops-break-hyper-v/) breaking LT2P VPN connections, causing domain controller reboots, and preventing Hyper-V from working.


Microsoft later [released out-of-band updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-releases-emergency-fixes-for-windows-server-vpn-bugs/) to fix these issues, whose fixes were also rolled into the optional preview updates.


However, these optional updates seem to have fixed more than the reported bugs, as they are also resolving significant performance issues caused by the January updates.


Recent Windows updates caused performance hits
----------------------------------------------


After installing the January 2022 [KB5009543](https://www.bleepingcomputer.com/news/microsoft/new-windows-kb5009543-kb5009566-updates-break-l2tp-vpn-connections/) update, Windows 10 users [began to notice](https://answers.microsoft.com/en-us/windows/forum/all/cumulative-updates-for-windows-10-and-windows-11/fcf30b6e-93d9-41cf-8a1e-3385b2986001?page=3&msgid=7cbd5927-3aba-4927-ab8a-7f9772492ebd) that Windows suffered from severe performance issues.


These performance issues included slow boots and slow response times when opening the Start Menu, launching apps, playing games, and performing pretty much all of the basic functions of the operating system. In general, Windows felt "laggy" after installing the updates.


"Prior to the update, it took maybe 2 minutes for my laptop to boot to the home screen. It now takes close to a half hour. I'm frustrated to the point where I'm now planning to disable updates and uninstall this update," a user named Ninja\_Bobcat posted on [Reddit](https://www.reddit.com/r/Windows10/comments/s1kp76/cumulative_updates_january_11th_2022/hsei38w/).


"This update has ruined my laptop in games, namely warzone and apex. Goes to 0 fps and huge stutters everywhere," another person [posted](https://www.reddit.com/r/Windows10/comments/s1kp76/comment/ht0m86y/).


"My computer is incredibly slow after KB5009543 security update and KB5008876 windows update. It takes about 3 minutes for my computer to boot and maybe 2-3 minutes to open a tab on chrome. Absolutely killed my computer," [said](https://www.reddit.com/r/Windows10/comments/s1kp76/cumulative_updates_january_11th_2022/hsfs82s/) a third Windows 10 user.


BleepingComputer replicated these performance issues after installing the January 2022 KB5009543 update on multiple laptops.


The good news is that BleepingComputer found that installing the optional KB5009596 preview update released late last month fixed these newly introduced performance issues.



![Windows 10 KB5009596 optional update](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/update/KB5009596/KB5009596-optional-update.jpg)**Windows 10 KB5009596 optional update**
However, as these updates are optional, many users will not know to install them. Thus, their performance issues will continue until the mandatory February 2022 Patch Tuesday updates are installed, which will include these fixes.


Windows users can install the optional updates by going into **Settings**, clicking on **Windows Update,** and manually performing a **'Check for Updates**.'


As this is an optional update, you will need to install the KB5009596 by clicking on the 'Download and install' link.


Windows 11 issues were fixed as well
------------------------------------


Not to be outdone by Windows 10, Windows 11 has also been dealing with performance issues within File Explorer.


Users found that it was slow to switch between folders, browse folders, or select files when using File Explorer.


However, the optional Windows 11 KB5008353 cumulative update preview has resolved these issues, with users reporting that File Explorer is back to normal.


"I honestly lost hope because this issue has been there since I upgraded to Win11, other users were claiming it was solved but it wasn't the case for everyone. However, this update seems to have fixed this issue for good amongst others of course," a Windows 11 user [posted](https://www.reddit.com/r/Windows11/comments/sgy4tp/kb5008353_cumulative_update_fixes_the_performance/) on Reddit.


BleepingComputer has not been able to replicate the performance issues on Windows 11 to test the fix.


BleepingComputer has also reached out to Microsoft with further questions about what has been fixed but has not received a reply as of yet.





## Tags:


### Autogenerated tags:
[[windows]] [[bleepingcomputer]] [[microsoft]] [[kb5009543]] [[kb5009596]]
