# Windows 10 will soon let you tell Microsoft how you use your PC
## Windows 10 will soon let you select pre-configured categories, such as Gaming and Business, that tell the operating system how you plan on using the device.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-will-soon-let-you-tell-microsoft-how-you-use-your-pc/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 10 April 2021, 09:25
+ Date scraped: 12 December 2023, 14:41

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/25/Windows-10.jpg)



Windows 10 will soon let you different usage categories, such as Gaming and Business, that tell the operating system how you plan on using the device.


In recent Windows 10 builds, Windows sleuth [Albacore discovered](http://twitter.com/thebookisclosed/status/1372238675338231810) a hidden Settings screen under the 'Personalization' section called 'Device Usage' that contains six different categories for how you "plan to use your device."



![New hidden Device Usage settings screen](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/features/d/device-usage/new-device-usage-screen.jpg)**New hidden Device Usage settings screen**


The Device usage setting is optional, but when enabled, it allows you to select different categories corresponding to how you will use Windows 10, which are described below.


**Gaming**  

Play and discover games, keep up with new releases


**Family**  

Connect with the whole family, edit safety settings, and give everyone their own profile on this device


**Creativity**  

Bring ideas to life - from novels and presentations to photos and videos


**Schoolwork**  

Take notes, write essays, collaborate on projects


**Entertainment**  

Watch videos, browse the web, connect on social media


**Business**  

Track expenses, manage customers, run your business


After you enable a category, Windows 10 will create a Registry key under 'HKEY\_CURRENT\_USER\Software\Microsoft\Windows\CurrentVersion\CloudExperienceHost' for each category you selected.


For example, if you enable the Business category, Windows 10 will create the following Registry entries.


[HKEY\_CURRENT\_USER\Software\Microsoft\Windows\CurrentVersion\CloudExperienceHost\Intent\business]  

"Intent"=dword:00000001  

"Priority"=dword:00000000


What does the Device usage setting do?
--------------------------------------


When first discovered, it was believed that selecting a Device usage category could possibly cause Windows 10 to tune your system based on the selection. It was also believed that Microsoft would offer application suggestions and guides based on the categories.


Yesterday, Microsoft officially shared more information about the feature that indicates it will likely focus at first on providing recommendations and guides through the Microsoft Tips app.


"Under **Settings** > **Personalization** > **Device usage**, you can select all the ways you plan to use your device to get customized suggestions for tips, tools, and services," announced the [release notes](https://blogs.windows.com/windows-insider/2021/04/07/announcing-windows-10-insider-preview-build-21354/) for Windows 10 preview build 21354.


This was also [confirmed by WindowsLatest](https://www.windowslatest.com/2021/04/09/microsoft-confirms-windows-10s-new-feature-will-suggest-tools-and-services/), who was told by Windows Insider Program Manager Brandon LeBlanc that the feature would be used by the Tips application.



While BleepingComputer has not triggered any customized tips after selecting various categories, the Microsoft Tips application does include support for the feature as the categories are listed in the app's strings.



![Categories listed in Microsoft Tips strings](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/features/d/device-usage/strings.jpg)**Categories listed in Microsoft Tips strings**


Hopefully, Microsoft will expand this feature not only to offer tips but to tune the default Windows 10 settings based on your device usage.


For example, suppose you tell Windows 10 you are going to use it for gaming. In that case, it could automatically enable Focus Assist automatic rules that turn the feature off when playing a game.


Another example could be to automatically remove any preinstalled games if the device is configured for business use or schoolwork (though everyone needs a break here and there).


It is still too soon to see how Microsoft will ultimately use the feature, but for now, the feature is slowly rolling out to Windows Insiders using the latest 'Dev' builds.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]]
