# Windows 10’s optional update feature is broken - Here’s why
## Windows 10 has a frustrating and annoying problem where Windows Update will only offer one optional update at a time.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-10-s-optional-update-feature-is-broken-here-s-why/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 13 June 2021, 17:56
+ Date scraped: 12 December 2023, 11:44

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/25/Windows-10.jpg)



Windows 10 has a frustrating and annoying problem where Windows Update will only offer one optional update at a time.


Microsoft commonly releases new updates that are considered optional that won't be installed automatically by Windows Update.


Optional updates include new Windows 10 feature updates, Windows 10 preview cumulative updates, feature experience packs, and some out-of-band fixes that target a specific bug in the operating system.


However, for over a year now, Windows 10 will only offer one optional update at a time, even if there are multiple optional updates available for your version of Windows 10.


For example, the recently released Windows 10 21H1 update has preferential treatment in Windows Update and is offered regardless of other available optional updates.



![Windows 10 21H1 feature update offered as an optional update](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/optional-updates/windows-10-21h1-optional-update.jpg)**Windows 10 21H1 feature update offered as an optional update**


This week, Microsoft released the out-of-band (OOB) [KB5004476 Windows 10 update](https://www.bleepingcomputer.com/news/microsoft/microsoft-pushes-emergency-update-for-windows-10-xbox-game-pass-bug/) to fix an Xbox Game Pass bug preventing users from installing or launching games.


What is frustrating is that even though this update applies to Windows 10 20H2, Windows Update refused to offer it to my devices until I first installed the Windows 10 21H1 update.


Microsoft introduced a new "[Optional Update Experience](https://www.bleepingcomputer.com/news/microsoft/windows-10-is-getting-a-new-optional-update-experience/)" to Windows 10 in 2019 that was supposed to resolve this issue and allow you to pick and choose what optional updates you wish to install.


This feature is clearly not working, as before we installed the Windows 10 21H1 feature update, we were still not offered the optional KB5004476 update in the Optional Updates screen, as shown below.



![Windows 10 Optional Updates screen](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/optional-updates/optional-updates.jpg)**Windows 10 Optional Updates screen**


Once we installed the optional Windows 10 21H1 feature update, Windows Update gladly offered us the new optional KB5004476 OOB update.



![Windows 10 KB5004476 OOB update shown after installing Windows 10 21H1](https://www.bleepstatic.com/images/news/Microsoft/Windows-10/optional-updates/KB5004476-update.jpg)**Windows 10 KB5004476 OOB update shown after installing Windows 10 21H1**


BleepingComputer tried these same steps on multiple devices, and Windows 10 demonstrated the same behavior on all of them.


While some of these optional updates are available from the Microsoft Catalog, many people are unfamiliar with [manually installing Windows updates](https://www.bleepingcomputer.com/news/microsoft/how-to-manually-install-windows-10-cumulative-updates/).


It is not clear why Microsoft is not offering **all** optional updates under the 'Optional updates' feature. However, in its current form users are unnecessarily forced to install feature updates before they can get access to the actual updates that they want.





## Tags:


### Autogenerated tags:
[[windows]] [[21h1]] [[microsoft]] [[kb5004476]] [[oob]]
