# Windows 11 KB5023778 update adds promotions to the Start menu
## Microsoft has released the optional March 2023 non-security preview update for Windows 11 that comes with a search box that matches the current color scheme and, unfortunately, with Start menu ads the company describes as "notifications for Microsoft accounts."
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5023778-update-adds-promotions-to-the-start-menu/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 28 March 2023, 18:31
+ Date scraped: 28 March 2023, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/21/windows-11-gradient-header.jpg)



Microsoft has released the optional March 2023 non-security preview update for Windows 11 with a search box that matches the current color scheme and a new feature the company describes as "notifications for Microsoft accounts."


Th [KB5023778 Windows 11 non-security release](https://support.microsoft.com/help/5023778) also has many improvements and bug fixes with the list, including new Microsoft Defender for Endpoint features and a fix for a Microsoft PowerPoint freeze issue.


As a monthly non-security preview release that helps Windows admins test improvements that will roll out with next month's Patch Tuesday, KB5023778 is optional and does not contain security updates.


You can only install this preview update from Settings > Windows Update by clicking the 'Download and install' button after checking for updates, or manually download it and install it from th [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5023778).



![Windows 11 KB5023778 preview update](https://www.bleepstatic.com/images/news/u/1109292/2023/Windows_11_KB5023778.png)*Windows 11 KB5023778 preview update (BleepingComputer)*


## Promoting Microsoft products in the Start menu


As mentioned in the beginning, this month's preview update also comes with a new set of notifications (that some might describe as ads), which will show up in the sign-out flyout of the Windows 11 Start menu.


"This update introduces notifications for Microsoft accounts in the Start menu. This is only available to a small audience right now," Microsoft [explains](https://support.microsoft.com/en-us/topic/march-28-2023-kb5023778-os-build-22621-1485-preview-d490bb51-492e-410c-871f-50ad01b0f765).


"It will deploy more broadly in the coming months. Some devices might notice different visual treatments as we gather feedback."


This "feature" has been [under testing](https://www.bleepingcomputer.com/news/microsoft/microsoft-is-showing-ads-in-the-windows-11-sign-out-menu/) since at least November 2022, when Windows enthusiast Albacore first spotted an initial iteration.


Some screenshots Albacore showed Microsoft promoting the OneDrive file hosting service or prodding users to create or complete their Microsoft accounts.


Reactions on social media to the "Microsoft account notifications" (or start menu promotional messages) were adverse (to say the least).


Today, Microsoft also shared a (tiny) screenshot of what these notifications will look like, showing a prompt asking Windows 11 users to backup their files to the cloud (likely using the company's OneDrive service).



![Notifications for Microsoft accounts](https://www.bleepstatic.com/images/news/u/1109292/2023/Notifications%20for%20Microsoft%20accounts.png)*New notifications for Microsoft accounts feature (Microsoft)*


​This isn't the first time Microsoft has dabbled into promoting its products within the user interface of Windows apps.


In August 2022, it displayed ads for Microsoft 365 Family subscriptions to Office 2021 customers and ads for some Microsoft products (including Microsoft Editor) [in the File Explorer app](https://www.bleepingcomputer.com/news/microsoft/microsoft-is-testing-ads-in-the-windows-11-file-explorer/), in March, as part of a Windows Insider test.


The File Explorer got injected with [OneDrive promotional messages](https://twitter.com/teroalhonen/status/786619324819791872) again in 2016, and the Windows 10 Wordpad app showed [ads pushing Microsoft's free Office web apps](https://www.bleepingcomputer.com/news/microsoft/microsoft-tests-office-ads-in-windows-10-wordpad/) four years later.


Microsoft also advertised its [Microsoft Edge web browser](https://www.bleepingcomputer.com/news/microsoft/windows-10-start-menu-promo-for-microsoft-edge-cant-be-disabled/) in the Windows 10 Start Menu and accidentally broke the Start Menu and Taskbar when [testing Microsoft Teams ads](https://www.bleepingcomputer.com/news/microsoft/microsoft-breaks-windows-11-start-menu-taskbar-with-teams-promo/) on some Windows Insider builds.


## ​​​Other highlights in this month's preview update


The Windows 11 KB5023778 preview release comes with more fixes and improvements, some of the more notable ones highlighted below:


* This update addresses an issue that affects Windows Search. Windows Search fails inside of Windows container images.
* This update affects the Group Policy Editor. It adds Transport Layer Security (TLS) 1.3 to the list of protocols that you can set.
* This update addresses an issue that affects the Microsoft HTML Application Host (HTA). This issue blocks code execution that uses Microsoft HTA. This occurs when you turn on Windows Defender Application Control (WDAC) User Mode Code Integrity (UMCI) enforced mode.
* The update addresses an issue that affects the Remote Procedure Call Service (rpcss.exe). The issue might cause a race condition between the Distributed Component Object Model (DCOM) and the Microsoft Remote Procedure Call (RPC) endpoint mapper.

Microsoft also warned today that after starting next month, there wouldn't be any other preview cumulative updates for supported Windows 10 versions.


"After March 2023, there are no more optional, non-security preview releases for the supported editions of Windows 10, version 20H2 and Windows 10, version 21H2," Microsoft [said](https://learn.microsoft.com/en-us/windows/release-health/windows-message-center#3054).


"Only cumulative monthly security updates (known as the 'B' or Update Tuesday release) will continue for these versions. Windows 10, version 22H2 will continue to receive security and optional releases."


Also, starting April 2023, optional non-security preview updates will be released [on the Tuesday of the fourth week of the month](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-preview-updates-to-target-last-week-of-the-month/) to replace the "C" and "D" releases previously issued during the third and fourth weeks.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[non-security]] [[kb5023778]] [[onedrive]]
