# Windows 11 KB5025305 adds prioritized Windows updates setting
## Microsoft has released the optional April 2023 non-security cumulative updates for all editions of Windows 11 22H2 with a new option to prioritize non-security and feature Windows updates.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5025305-adds-prioritized-windows-updates-setting/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 25 April 2023, 17:44
+ Date scraped: 25 April 2023, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/15/Windows_11.jpg)



Microsoft has released the optional April 2023 non-security cumulative updates for all editions of Windows 11 22H2 with a new option to prioritize non-security and feature Windows updates.


After applying today's [KB5025305](https://support.microsoft.com/en-us/topic/april-25-2023-kb5025305-os-build-22621-1635-preview-2482528b-7e8e-4179-b255-808f484b9c0c) preview update, you can configure your PC to prioritize installing the latest available updates.


To set up your device to install non-security updates as soon as possible, go to Start > Settings > Windows Update and enable the "Get the latest updates as soon as they're available" setting.


"Whether you set the toggle to Off or On, you'll still get the regular security updates as usual. The toggle determines how quickly you get the additional non-security updates, fixes, feature updates, and improvements," Microsoft [explains](https://support.microsoft.com/en-us/windows/get-windows-updates-as-soon-as-they-re-available-for-your-device-cad7b32b-001e-435b-9110-f18309b54168).


"With the Get the latest updates as soon as they're available toggle set to On, you can be sure you'll have access to the latest changes as soon as they're available for your device, you'll be prioritized for future updates, and you'll still get security updates as usual."


For commercial customers, on devices managed by Windows Update for Business or WSUS, the toggle is disabled by default. The latest changes will be controlled and deployed by their organizations' IT administrators.



![Windows 11 KB5025305 preview update](https://www.bleepstatic.com/images/news/u/1109292/2023/KB5025305.jpg)*Windows 11 KB5025305 preview update (BleepingComputer)*


KB5025305 is a monthly "C" update that allows Windows users to test fixes and improvements, which will roll out to all customers with the May 2023 Patch Tuesday.


Unlike Patch Tuesday updates, non-security preview updates like KB5025305 are optional and do not contain security updates.


You can install this preview update by going into Settings > Windows Update and clicking the 'Check for Updates' button.


However, since it's an optional Windows update, you must manually install it by clicking the 'Download and install' button (preview updates only install automatically on Windows Insider builds).


You can also manually download and install the KB5025305 from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5025305).


## ​​​What's new in this preview update


The Windows 11 KB5025305 preview release comes with 19 additional fixes and improvements, some of the more notable ones highlighted below:


* This update addresses an issue that affects Microsoft Edge IE mode. Pop-up windows open in the background instead of in the foreground.
* This update changes firewall settings. You can now configure application group rules.
* This update addresses an issue that affects the Local Security Authority Subsystem Service (LSASS) process. It might stop responding. Because of this, the machine restarts. The error is 0xc0000005 (STATUS\_ACCESS\_VIOLATION).
* This update addresses an issue that affects signed Windows Defender Application Control (WDAC) policies. They are not applied to the Secure Kernel. This occurs when you enable Secure Boot.
* This update addresses an issue that affects the Resilient File System (ReFS). A stop error occurs that stops the OS from starting up correctly.

Microsoft [revealed](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-preview-updates-to-target-last-week-of-the-month/) in March that Windows optional and non-security preview updates would be released during the fourth week of the month starting April 2023.


"We have found this to be the optimal time for us to publish and for you to consume these updates," explained Chris Morrissey, Windows and Devices Senior Director of Communications at Microsoft.


"That's two weeks after your latest monthly security update and about two weeks before you'll see these features become part of the next mandatory cumulative update."





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[non-security]] [[kb5025305]]
