# Windows 11 KB5026372 cumulative update released with 20 changes
## Microsoft has released the Windows 11 22H2 KB5026372 cumulative update to fix security vulnerabilities and introduce 20 changes, improvements, and bug fixe
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5026372-cumulative-update-released-with-20-changes/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 09 May 2023, 14:24
+ Date scraped: 09 May 2023, 19:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/07/12/windows-11-gradient.jpg)



Microsoft has released the Windows 11 22H2 KB5026372 cumulative update to fix security vulnerabilities and introduce 20 changes, improvements, and bug fixes.


KB5026372 is a mandatory Windows 11 cumulative update containing the [May 2023 Patch Tuesday security updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-may-2023-patch-tuesday-fixes-3-zero-days-38-flaws/) that fix 38 vulnerabilities and three zero-days in various Microsoft products.


Windows 11 users can install today's update by going to **Start**> **Settings** > **Windows Update**and clicking on **'Check for Updates**.'



![Windows 11 KB5026372 cumulative update](https://www.bleepstatic.com/images/news/Microsoft/windows-11/Windows-11-KB5026372-update.jpg)**Windows 11 KB5026372 cumulative update**  
*Source: BleepingComputer*


Windows 11 users can also manually download and install the update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=windows%2011).


## What's new in the Windows 11 KB5026372


After installing today's [KB5026372](https://support.microsoft.com/en-us/topic/may-9-2023-kb5026372-os-build-22621-1702-ce93c18e-e819-458f-abcf-dc7154ce7e40) update, Windows 11 22H2 will have its build number changed to **22621.1635**.


Microsoft made twenty changes in the Windows 11 22H2 KB5026372 update, with the highlighted ones listed below:


* This update fixes a race condition in the Windows Local Administrator Password Solution (LAPS), which causes the Local Security Authority Subsystem Service (LSASS) to become unresponsive. The LSASS stops responding due to the simultaneous processing of multiple local account operations, resulting in an access violation error code of 0xc0000005.
* Microsoft animated some of the icons for Widgets in the taskbar. For example, you will notice a new animation when a new announcement appears.
* Microsoft added a new toggle control on the Windows Update settings page. When turned on, Microsoft will prioritize the devices to get the latest non-security updates and enhancements when they are available.
* Microsoft Edge will now correctly display pop-up windows in the foreground rather than the background when using IE Mode.
* Fixed a Chinese input method issue that prevented Windows users from seeing suggested items.
* Protected content will no longer be visible in taskbar live thumbnail previews.

Microsoft has also added more drivers to the database of drivers not compatible with the [Kernel-mode Hardware-enforced Stack Protection](https://www.bleepingcomputer.com/tutorials/how-to-enable-kernel-mode-hardware-enforced-stack-protection-in-windows-11/) security feature after Windows users reported problems.


Last month, a Microsoft Defender update suddenly added a new security feature to Windows 11 22H2 devices without any information on how it works.


However, some users who enabled the feature found that their programs would no longer work or [Windows 11 would crash unexpectedly due to conflicts](https://www.bleepingcomputer.com/news/microsoft/microsoft-defender-update-causes-windows-hardware-stack-protection-mess/) with installed drivers.


Many of these conflicts involved game-related drivers, such as those for DRM and anti-cheat platforms.


Microsoft has added additional drivers that, if installed, will prevent the Kernel-mode Hardware-enforced Stack Protection feature from being enabled.


Microsoft is aware of two ongoing issues for Windows 11 22H2 that have not been resolved in this update.


These are issues causing [provisioning packages not to work as expected](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-breaks-provisioning-with-0x800700b7-errors/) and a bug causing some apps to have intermittent problems with speech recognition, expressive input, and handwriting when using Chinese or Japanese languages. 


You can review last month's [Windows 11 KB5025305 preview update bulletin](https://support.microsoft.com/en-us/topic/april-25-2023-kb5025305-os-build-22621-1635-preview-2482528b-7e8e-4179-b255-808f484b9c0c) for a complete list of changes in this cumulative update.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5026372]] [[22h2]]
