# Windows 11 KB5026436 fixes printing and audio playback issues
## Microsoft has released the May 2023 optional cumulative update for Windows 11, version 21H2, with fixes for audio and printer install problems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5026436-fixes-printing-and-audio-playback-issues/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 23 May 2023, 14:25
+ Date scraped: 23 May 2023, 19:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/05/windows-11-header.jpg)



Microsoft has released the May 2023 optional cumulative update for Windows 11, version 21H2, with fixes for audio and printer install problems.


KB5026436 is a monthly non-security preview release designed to enable Windows administrators to test improvements that will be incorporated in the upcoming June 2023 Patch Tuesday release.


According to Microsoft, it addresses a problem encountered by some printers during installation when they connect to Wi-Fi automatically.


The update also fixes an audio playback issue that occurs only on devices equipped with specific processors and a Message Block (SMB) issue preventing users from accessing SMB shared folders because of "Not enough memory resources" or "Insufficient system resources."


It's also important to note that this monthly "C" update is optional and, unlike Patch Tuesday releases, does not include any security-related fixes.


To install [KB5026436](https://support.microsoft.com/en-gb/topic/may-23-2023-kb5026436-os-build-22000-2003-preview-46661369-f3dd-4b56-82eb-9f3a44f3fe59), users can either navigate to Settings > Windows Update, where they will find the 'Download and install' button after checking for updates.


You can also download the update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5026436) and install it manually.



![Windows KB5026436 preview update](https://www.bleepstatic.com/images/news/u/1109292/2023/Windows%20KB5026436%20preview%20update.png)*Windows 11 KB5026436 preview update (BleepingComputer)*


# ​​​​Other highlights in the KB5026436 update


The Windows 11 KB5026436 preview release comes with additional fixes and improvements, some of the more significant ones highlighted below:


* The update addresses an issue that sends unexpected password expiration notices to users. This occurs when you set up an account to use "Smart Card is Required for Interactive Logon" and set "Enable rolling of expiring NTLM secrets."
* This update addresses an issue that affects the Local Security Authority Subsystem Service (LSASS). It stops working. This occurs when you use Azure Virtual Desktop (AVD).
* This update addresses an issue that affects applications that perform certain actions in a callback. The applications might stop working. These actions include closing a Window (WM\_CLOSE).
* This update addresses an issue affecting devices joined to Azure Active Directory (Azure AD). The Windows Firewall cannot apply the correct domain and profile for them.

You can find the complete list of fixes and improvements in the [KB5026436 support bulletin](https://support.microsoft.com/en-gb/topic/may-23-2023-kb5026436-os-build-22000-2003-preview-46661369-f3dd-4b56-82eb-9f3a44f3fe59) published by Microsoft today.


Microsoft also [revealed](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-preview-updates-to-target-last-week-of-the-month/) in March that Windows non-security preview updates would be released during the fourth week of the month starting April 2023.


"We have found this to be the optimal time for us to publish and for you to consume these updates," said Chris Morrissey, Windows and Devices Senior Director of Communications at Microsoft.


"That's two weeks after your latest monthly security update and about two weeks before you'll see these features become part of the next mandatory cumulative update."





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5026436]]
