# Windows 11 KB5027303 preview update enables new Moment 3 features
## Microsoft has released the June 2023 optional cumulative update for Windows 11, version 22H2, which enables the recently announced new Moment 3 fixes, improvements, and new features.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5027303-preview-update-enables-new-moment-3-features/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 27 June 2023, 15:20
+ Date scraped: 27 June 2023, 20:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/13/Windows_11_dark_hdr.jpg)



Microsoft has released the June 2023 optional cumulative update for Windows 11, version 22H2, which enables the recently announced [new Moment 3 fixes, improvements, and new features](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-windows-11-moment-3-update-here-are-the-new-features/).


While Moment 3 changes have been disabled by default, even though [included with the KB5026446 update](https://www.bleepingcomputer.com/news/microsoft/windows-11-moment-3-released-with-kb5026446-update-how-to-enable/), users could still enable them by turning on a toggle in the Windows Update settings.


KB5027303 is a monthly non-security preview release that allows Windows administrators to test improvements that will be introduced with the upcoming July 2023 Patch Tuesday release.


It's also worth mentioning that this update is optional and does not include any security patches, unlike Patch Tuesday releases.


To install KB5027303, you have two options. You can go to Settings and navigate to Windows Update, where they will find the 'Download and install' button after checking for updates.


Alternatively, you can download the update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5027303) and install it manually.



![Windows 11 KB5027303 preview update](https://www.bleepstatic.com/images/news/u/1109292/2023/KB5027303.jpg)*Windows 11 KB5027303 preview update (BleepingComputer)*


Microsoft previously stated that these features will be toggled on by default with today's optional update ([KB5027303](https://support.microsoft.com/en-us/topic/june-27-2023-kb5027303-os-build-22621-1928-preview-1ada2c0a-fa85-43f8-91c4-6ee13fdf278b)) and in July's mandatory Patch Tuesday updates.


"These features will be enabled by default in the June 2023 optional non-security preview release for all editions of Windows 11, version 22H2," [said](https://blogs.windows.com/windowsexperience/2023/05/23/announcing-new-windows-11-innovation-with-features-for-secure-efficient-it-management-and-intuitive-user-experience/) Aaron Woodman, Windows Marketing VP at Microsoft.


However, in BleepingComputer's tests, not all features are enabled yet.


## Highlights in the Moment 3 update


Moment 3 features that the KB5027303 optional update enables include:


* Roll out of notification badging for Microsoft accounts on the Start menu.
* A VPN status icon, a small shield, to the system tray. It displays when you are connected to [a recognized VPN profile](https://support.microsoft.com/windows/connect-to-a-vpn-in-windows-3d29aeb1-f497-f6b7-7633-115722c1009c#WindowsVersion=Windows_11). The VPN icon will be overlayed in your system's accent color over the active network connection.
* Seconds in the clock on the system tray. To turn this on, go to the Taskbar behaviors section in **Settings** > **Personalization** > **Taskbar**. You can also right-click the taskbar to get to taskbar settings quickly.
* Access key shortcuts in File Explorer's context menu
* Pluton chips and Moment 3 integration
* [Content Adaptive Brightness Control](https://support.microsoft.com/windows/content-adaptive-brightness-control-in-windows-292d1f7f-9e02-4b37-a9c8-dab3e1727e78) (CABC) to run on laptops and 2-in-1 devices.
* USB4 hubs and devices Settings page.
* Computer performance improvement when using mice with a high report rate for gaming.

Microsoft also joined forces with Samsung Galaxy and Intel to introduce support for Bluetooth Low Energy Audio, which provides high-quality audio while conserving power, and enhancing user experience during calls, videos, and music playback on compatible devices.


With this update, Windows 11 will also introduce a sneak peek into upcoming security advancements to bolster hardware and software protection, including token protection for sign-ins and new isolation capabilities for Win32 apps.


You can find the complete list of improvements and fixes in the [KB5027303 support bulletin](https://support.microsoft.com/en-us/topic/june-27-2023-kb5027303-os-build-22621-1928-preview-1ada2c0a-fa85-43f8-91c4-6ee13fdf278b) published by Microsoft today.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5027303]] [[taskbar]] [[vpn]]
