# Windows 11 KB5031455 preview update enables Moment 4 features by default
## Microsoft has released the optional KB5031455 Preview cumulative update for Windows 11 22H2, which enables 72 new Moment 4 features by default and fixes 22 issues.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5031455-preview-update-enables-moment-4-features-by-default/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 27 October 2023, 10:19
+ Date scraped: 27 October 2023, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/21/windows-11-gradient-header.jpg)



Microsoft has released the optional KB5031455 Preview cumulative update for Windows 11 22H2, which enables 72 new Moment 4 features by default and fixes 22 issues.


The KB5031455 cumulative update preview is part of Microsoft's "[optional non-security preview updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-preview-updates-to-target-last-week-of-the-month/)" schedule, released on the fourth week of every month.


This update allows Windows admins to test upcoming fixes and features that will be released in next month's November Patch Tuesday. However, unlike Patch Tuesday cumulative updates, these preview updates do not include security updates.


Windows users can install this update by going into **Settings**, clicking on **Windows Update,** and manually performing a **'Check for Updates**.'


As this is an optional update, you will be asked whether you wish to install it by clicking the 'Download and install' link, as shown in the image below.



![Windows 11 KB5031445 cumulative update preview](https://www.bleepstatic.com/images/news/Microsoft/KB5031455-udpate.jpg)**Windows 11 KB5031455 cumulative update preview**  
*Source: BleepingComputer*


After installing this update, Windows 11 22H2 will be updated to build **22621.2506**.


Windows 11 users can also manually download and install the KB5031455 preview update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5031455).


New Moment 4 features for everyone
----------------------------------


With the release of the KB5031455 update, Microsoft has now enabled all of its [Moment 4 features](https://www.bleepingcomputer.com/news/microsoft/windows-11-moment-4-update-released-here-are-the-many-new-features/) by default, bringing seventy-two new features to Windows 11.


These new features are not minor tweaks but bring significant changes and customization to the operating system that we usually see through a Windows feature update.


However, Microsoft has switched to a "continuous innovation" Windows strategy that rolls out new features as they are ready rather than waiting to be installed via feature updates. This new strategy allows the company to rapidly release features throughout the year rather than during scheduled patching periods.


There are too many new features to list individually, but below are some of the highlighted ones:


* Microsoft's AI-powered [Copilot for Windows](https://www.bleepingcomputer.com/news/microsoft/windows-copilot-your-new-ai-assistant-for-windows-11/) is now enabled for preview.
* Microsoft finally brings the "Never Combine" feature to the Windows 11 taskbar. However, this feature still prevents you from turning off Windows titles, [making it useless for many](https://www.bleepingcomputer.com/news/microsoft/windows-11s-new-never-combine-icons-feature-is-almost-usable/).
* Microsoft also brought the enhanced volume mixer to Quick Settings and the ability to hide the time on the taskbar.
* The Windows 11 File Explorer has been overhauled with a new modern experience, a new Photo Gallery feature, and better integration with Microsoft OneDrive.
* Microsoft now has native support for a variety of file archive formats, including .tar, .tar.gz, .tar.bz2, .tar.zst, .tar.xz, .tgz, .tbz2, .tzst, .txz, .rar, and .7z files. However, Windows does not support password-protected archives for these formats.
* New Windows Share features, including support for emailing shared items through Microsoft Outlook.
* Microsoft has added a new Microsoft Backup app that brings all of the operating system's backup functions into a single interface.
* [Windows 11 now has a built-in Passkey Manager](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-adds-a-built-in-passkey-manager-for-windows-hello/) that allows you to save passkeys generated on websites for passwordless logins.
* Windows 11 now has an [Auto Color Management](https://devblogs.microsoft.com/directx/auto-color-management/) (ACM) feature for Standard Dynamic Range (SDR) displays.
* New Settings pages for various features, including Bluetooth, Developers, Energy Recommendations, and Dynamic Lighting. Microsoft also changed many other Settings pages to make configuration options more intuitive.
* [Windows 365 Switch](https://support.microsoft.com/windows/windows-365-switch-4ea65cc3-05ff-4166-ac8b-389af27108f8) is here, allowing users of the virtual PC service to switch between their desktops and the remote PC seamlessly.

The only known issue in this update is related to BitLocker, which is reporting a 65000 error in the "Require Device Encryption" setting.


Microsoft says this is only a reporting issue and does not affect drive encryption. The company plans on fixing it in a future update.


A complete list of fixes can be found in the [KB5031455 support bulletin](https://support.microsoft.com/en-us/topic/october-26-2023-kb5031455-os-build-22621-2506-preview-6513c5ec-c5a2-4aaf-97f5-44c13d29e0d4).





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5031455]]
