# Windows 11 KB5037853 update fixes File Explorer issues, 20 bugs
## ​Microsoft has released the May 2024 non-security preview update for Windows 11 versions 22H2 and 23H2, which includes 32 fixes and changes.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5037853-update-fixes-file-explorer-issues-20-bugs/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 29 May 2024, 18:18
+ Date scraped: 29 May 2024, 23:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/13/Windows_11_blur.jpg)



​Microsoft has released the May 2024 non-security preview update for Windows 11 versions 22H2 and 23H2, which includes 32 fixes and changes.


Among this cumulative update's highlights, Microsoft mentions fixing an issue causing the Windows File Explorer to freeze when swiping from the screen edge after turning off edge swiping and a second bug fix that causes it to start with a two-minute delay after pining a folder on a network share to Quick Access.


This month's preview update also rolls out a new account manager on the Start menu, making it easier to manage account settings and a new sound settings backup feature when the user signs into a Microsoft account.


[KB5037853](https://support.microsoft.com/en-us/topic/may-29-2024-kb5037853-os-builds-22621-3672-and-22631-3672-preview-dcf14fd8-84d6-4234-9d5b-784c319cd7cf) is a monthly optional update that allows Windows admins to test improvements and fixes, which will be pushed to all customers with next month's Patch Tuesday release.


To install it on your computer, click 'Download and install' after checking for updates from Settings > Windows Update.


You can also download it directly from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=KB5037853) and manually install it. This [support document](https://support.microsoft.com/windows/update-windows-3c5ae7fc-9fb6-9af1-1984-b5e0412c556a#WindowsVersion=Windows_11)provides more information on installing updates on your device.



![KB5037853 preview update](https://www.bleepstatic.com/images/news/u/1109292/2024/KB5037853_preview_update.png)

*Windows 11 KB5037853 preview update (BleepingComputer)*




​​​​More highlights in the KB5037853 preview update
---------------------------------------------------


Besides the changes mentioned above, this Windows 11 optional release comes with additional fixes and improvements, some of the more significant ones listed below:


* This update addresses an issue that affects Bluetooth Low Energy (LE) Audio headsets. They do not show the option to connect or disconnect.
* This update addresses an issue that distorts parts of the screen when you use a Chromium-based browser to play a video.
* This update addresses an issue that affects printers. They do not work as you expect when using AppContainer or in a restricted environment.
* This update addresses an issue affecting an app that supports encrypted email. The app asks you to enter your credentials each time you open an encrypted email, even after you have entered your PIN at least once.

As [revealed in February](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-home-and-pro-get-preview-updates-until-june-26/), Redmond will keep pushing non-security preview updates for Windows 11 22H2 Enterprise and Education editions until June 2025, while the Home, Pro, Pro Education, and Pro for Workstations customers will only receive them until June 26, 2024.


Based on user feedback, this date has been changed from February 27 to allow more customers to test new features and enhancements released more frequently through the company's so-called "continuous innovation" approach.


"This extension will allow IT administrators to test improvements and fixes ahead of the upcoming security update on more devices," Microsoft said.


According to Microsoft's Modern Lifecycle Policy, Windows 11 22H2 Enterprise and Education will reach the end of servicing on [October 14, 2025](https://learn.microsoft.com/en-us/lifecycle/products/windows-11-enterprise-and-education), while Windows 11 22H2 Home and Pro editions will be retired on [October 8, 2024](https://learn.microsoft.com/en-us/lifecycle/products/windows-11-home-and-pro).


Today, Microsoft also released the [optional KB5037849 preview update](https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5037849-update-released-with-9-changes-or-fixes/) for Windows 10 22H2, which includes nine fixes and changes.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[22h2]] [[kb5037853]]
