# Windows 11 Moment 3 released with KB5026446 update, how to enable
## Microsoft has released the Windows 11 22H2 KB5026446 update, aka 'Moment 3,' bringing quite a few new and long-awaited features to the operating system.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-moment-3-released-with-kb5026446-update-how-to-enable/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 24 May 2023, 14:40
+ Date scraped: 24 May 2023, 19:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/21/windows-11-gradient-header.jpg)



Microsoft has released the Windows 11 22H2 KB5026446 update, aka 'Moment 3,' bringing quite a few new and long-awaited features to the operating system.


The KB5026446 update is a monthly preview update allowing users to test upcoming fixes and features that will be installed as part of the following month's mandatory Patch Tuesday.


While the [KB5026446](https://support.microsoft.com/en-us/topic/may-24-2023-kb5026446-os-build-22621-1778-preview-3c547100-7a73-4ae6-bb7d-ebd02e87dc04) update is supposed to be optional, it was automatically installed on our device when we checked for new updates.



![The Windows 11 22H2 KB5026446 update](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-3/release/KB5026446.jpg)**The Windows 11 22H2 KB5026446 update**  
*Source: BleepingComputer*


In addition to the [new Moment 3 features announced yesterday](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-windows-11-moment-3-update-here-are-the-new-features/), this update brings twenty-two additional changes, fixes, and features to Windows 11, with the highlighted ones listed below.


* ***New!***This update provides the total amount of storage capacity of all your Microsoft OneDrive subscriptions. It also displays the total storage on the Accounts page in the Settings app.
* ***New!***This update adds Bluetooth LE Audio. This improves audio fidelity and battery life when you pair your device with Bluetooth audio devices.
* This update addresses an issue that affects Narrator. It now announces text attributes correctly for words, such as "misspelled," "deletion change," and "comment."
* This update addresses an issue that affects access to Tab settings for IE mode sites.
* This update addresses a multi-function label printer issue. It affects the installation of some of them.
* This update addresses an issue that affects audio playback. It fails on devices that have certain processors.
* This update addresses an issue that affects the touch keyboard. It shows the wrong layout for the French-Canadian language.
* This update addresses an issue that affects the touch keyboard. Sometimes, it does not show the correct layout based on the current input scope.
* This update addresses an issue that affects the Chinese and Japanese Input Method Editor (IME). When you search within the Emoji Panel (Windows key + period (.) ), search might fail for some of you.

After installing this update, Windows 11 22H2 will have a new build number of 22621.1778.


However, with only this update installed, the new Moment 3 features remain dormant until activated with another update, as described in the next section.


## How to enable the new Moment 3 features


Microsoft's approach to updating its operating system has changed in Windows 11, with it receiving only one major feature update per year.


However, Microsoft has now introduced a new update process called "Moments," which allows Windows 11 to receive new feature-rich updates throughout the year.


Microsoft released the first Moment update in November 2022, the [second in February 2023](https://www.bleepingcomputer.com/news/microsoft/windows-11-moment-2-update-released-here-are-the-many-new-features/), and Moment 3 was released today as part of the KB5026446 update.


However, even with the KB5026446 update installed, you will only get access to the new Moment 3 features once you install another new '[Windows configuration update](https://support.microsoft.com/en-us/topic/may-24-2023-windows-configuration-update-cae8524a-4b62-4d38-bb67-f070bd282fff)' that enables these features.


To receive the Windows configuration update, you must first go into **Settings** > **Windows Update**, enable the '**Get the latest updates as soon as they're available**' setting, and then click on the '**Check for updates**' button.



![The new Windows 11 configuration update for Moment 3](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-3/release/windows-configuration-update.jpg)**The new Windows 11 configuration update for Moment 3**  
*Source: BleepingComputer*


After installing the Windows configuration update and restarting your computer, you will now have access to various new features slowly released by Microsoft over the coming months.


Some of the features released as part of Moment 3 include a new VPN status icon, a two-factor authentication code copy button, the ability to display seconds on the taskbar clock, support for USB4 hubs, Live Kernel Memory Dumps in Task Manager, Content Adaptive Brightness Control (CABC) for laptops, new Presence sensing setting, and user interface changes.



![New show seconds setting in Windows 11](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-3/release/show-seconds.jpg)**New show seconds setting in Windows 11**  
*Source: BleepingComputer*


However, only some of these features are available, with Microsoft saying more will be rolled out over time.


All of these features are scheduled to become enabled by default in the June preview update and then for everyone as part of the mandatory July 2023 Patch Tuesday.


BleepingComputer will be performing a hands-on review of the new available Moment 3 features later today.





## Tags:
***urls***: http://period.

### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5026446]] [[bleepingcomputer]] [[22h2]]
