# Windows 11 adds support for 11 file archives, including 7-Zip and RAR
## Microsoft says Windows 11 22H2 now natively supports almost a dozen additional archive formats, including RAR, 7-Zip, Tar, and GZ archives.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-adds-support-for-11-file-archives-including-7-zip-and-rar/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 29 October 2023, 10:09
+ Date scraped: 29 October 2023, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/13/Windows_11_dark_hdr.jpg)



Microsoft says Windows 11 22H2 now natively supports almost a dozen additional archive formats, including RAR, 7-Zip, Tar, and GZ archives.


The company has added support for 11 new file archive formats with this month's optional [KB5031455](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5031455-preview-update-enables-moment-4-features-by-default/) Preview cumulative update.


The updated list of supported archive types in Windows 11 now adds .rar, .7z, .tar, .tar.gz, .tar.bz2, .tar.zst, .tar.xz, .tgz, .tbz2, .tzst, and .txz, although support for password encrypted files is not yet available.


When asked for more details about the missing password-protected archive support, a Microsoft spokesperson said the company has nothing else to share at this time.


Redmond says it added the new file archive formats with the help of the [open-source libarchive project](https://github.com/libarchive/libarchive), which means we will likely see other formats like LZH, LZH, and XAR.


Since KB5031455 is an optional update, Windows users must install it manually by opening the Settings app, navigating to Windows Update, and clicking 'Check for Updates.' Users will then be prompted to install the update by clicking the 'Download and install' link.


This new capability will also roll out to all Windows 11 users through cumulative updates scheduled for release during November's Patch Tuesday.



![Windows 11 KB5031455 preview update](https://www.bleepstatic.com/images/news/Microsoft/KB5031455-udpate.jpg)*Windows 11 KB5031455 preview update (BleepingComputer)*


​Redmond first announced that Windows 11 will get support for additional archive formats during the Build 2023 conference in a May blog post introducing the new Dev Home Windows control center.


"We have added native support for additional archive formats, including tar, 7-Zip, RAR, gz and many others using the libarchive open-source project," Microsoft's former Chief Product Officer, Panos Panay said. "You now can get improved performance of archive functionality during compression on Windows."


Archive formats like ZIP, 7-Zip, and RAR are extensively used on Windows systems, with ZIP being the most widespread choice.


However, while Windows has integrated ZIP archive support since 1998, third-party applications like 7-Zip and WinRAR were required for handling 7-Zip (.7z), RAR (.rar), or gz (.gz) files.


The .gz archive format is more commonly associated with Linux through the GNU Zip (gzip) utility. Still, it is expected to become much more helpful to Windows users with the increasing popularity of the Windows Subsystem for Linux feature.


Today's optional update also enabled all [Moment 4 features](https://www.bleepingcomputer.com/news/microsoft/windows-11-moment-4-update-released-here-are-the-many-new-features/), bringing 72 new features to Windows 11, including an overhauled File Explorer, a new Backup app, a [built-in Passkey Manager](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-adds-a-built-in-passkey-manager-for-windows-hello/), and the AI-powered [Copilot for Windows](https://www.bleepingcomputer.com/news/microsoft/windows-copilot-your-new-ai-assistant-for-windows-11/).





## Tags:


### Autogenerated tags:
[[windows]] [[rar]] [[7-zip]] [[gz]] [[microsoft]] [[kb5031455]]
