# Windows 11 browser change: Europe applauds, outrage everywhere else
## Microsoft will soon allow users in the European Union, as well as from Iceland, Liechtenstein, and Norway, to once again open all links in Windows using their default web browser rather than forcing the use of Microsoft Edge.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-browser-change-europe-applauds-outrage-everywhere-else/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 30 August 2023, 17:08
+ Date scraped: 30 August 2023, 22:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/21/windows-11-gradient-header.jpg)



Microsoft will soon allow users in the European Union, as well as from Iceland, Liechtenstein, and Norway, to once again open all links in Windows using their default web browser rather than forcing the use of Microsoft Edge.


As the company said when it released Windows 11 Insider Preview Build 23531 to the Dev Channel on Friday, links in Windows systems apps will no longer open using Microsoft Edge, ignoring the users' browser of choice.


"In the European Economic Area (EEA), Windows system components use the default browser to open links," the Windows 11 Dev build's changelog [explains](https://blogs.windows.com/windows-insider/2023/08/25/announcing-windows-11-insider-preview-build-23531-dev-channel/).


While this might not seem like a big deal to many, Microsoft's choice to push Edge over the default web browser has irked Windows users for a while now.


Windows 10 and Windows 11 include many features that display internet links you can click on, such as help articles in the Settings screens and Windows programs, search results in the Start Menu, and the Widget articles.



![Links in Start Menu search results](https://www.bleepstatic.com/images/news/Microsoft/windows-11/search-the-web-start-menu.jpg)**Links in Start Menu search results**  
*Source: BleepingComputer*


However, when clicking on these built-in links, Windows forces them to open in Microsoft Edge regardless of the default browser you have configured.


Earlier this year, the company also [confirmed](https://support.microsoft.com/en-au/topic/web-links-from-outlook-emails-and-teams-chats-open-in-microsoft-edge-b0e1a1c1-bd62-462c-9ed5-5938b9c649f0) that web links from Outlook emails and Team chats now open in Edge "to improve and streamline [..] product experiences" (although this behavior can be turned off).


The forcing of Microsoft Edge on Windows 11 users has annoyed enough people that some have created dedicated tools (like [EdgeDeflector](https://github.com/da2x/EdgeDeflector)) specifically designed to enforce the default browser by rewriting microsoft-edge:// links used in Microsoft apps and across the OS shell to https://, which open using the default browser.


However, Microsoft caught wind of their efforts after Brave and Firefox also added support for opening microsoft-edge:// links, which prompted Redmond to make changes to the OS so that this workaround [no longer works](https://www.ctrl.blog/entry/microsoft-edge-protocol-competition.html) in Windows 11 build 22494 and later. 


This change was also implemented in Windows 10, according to Daniel Aleksandersen, EdgeDeflector's developer.


Microsoft has yet to explain why it's only allowing European users to open all links on their systems using the default web browser and hasn't implemented this change for all Windows users.


While news has been met favorably by users in Europe, Windows users from other countries are now even more frustrated because this will not be a global change.


"How do I make Windows 11 think I'm in the EU?," someone [asked](https://news.ycombinator.com/item?id=37321047) today on the Hacker News social news platform.


"When you're at the point of tricking your operating system into thinking you're in a different country in order to make it function properly, it may be time to try a new OS," came the reply.


When BleepingComputer reached out earlier today, a spokesperson said that "Microsoft does not have anything further to add beyond the blog."





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]]
