# Windows 11 changing Print Screen to open Snipping Tool by default
## Microsoft is testing changes to how the print screen button works in Windows 11, causing it to open the Windows Snipping Tool rather than copying a screenshot to the clipboard.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-changing-print-screen-to-open-snipping-tool-by-default/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 10 April 2023, 19:24
+ Date scraped: 10 April 2023, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/26/Windows_11_HDR.jpg)



Microsoft is testing changes to how the print screen button works in Windows 11, causing it to open the Windows Snipping Tool rather than copying a screenshot to the clipboard.


Since Windows 95, pressing the print screen keyboard button in Windows would create a screenshot of the current screen and copy it to the clipboard.


This screenshot could then be pasted into documents, image editing software, or messenger chats to quickly share or edit the image.


As reported by [Windows Latest](https://www.windowslatest.com/2023/04/09/windows-11-kb5025310-changes-how-the-print-screen-key-works/), Microsoft is now testing a change in Windows 11 Beta preview builds 22621.1546 and 22624.1546 ([KB5025310](https://blogs.windows.com/windows-insider/2023/04/07/announcing-windows-11-insider-preview-build-22621-1546-and-22624-1546/)) that may irritate some users using the print screen button for the past 28 years.


With this change, pressing the print screen button will no longer copy the screenshot into the Windows clipboard. Instead, it will open the Windows Snipping Tool, allowing you to create an image using the built-in screenshot tool.


Thankfully, for people who do not like this change, like me, you can disable it in the Windows 11 Settings by going to **Settings**> **Accessibility**> **Keyboard** and toggling off the 'Use the Print Screen key to open Snipping Tool' setting, shown below.



![Use the Print Screen key to open the Snipping Tool setting](https://www.bleepstatic.com/images/news/Microsoft/windows-11/p/print-screen-snipping-tool/print-screen-setting.jpg)**Use the Print Screen key to open the Snipping Tool setting**  
*Source: BleepingComputer*


You can also manually disable this change by creating the **PrintScreenKeyForSnippingEnabled** DWORD value under **HKCU\Control Panel\Keyboard** and setting it to **0**, as shown by the registry file below.



Windows Registry Editor Version 5.00


[HKEY\_CURRENT\_USER\Control Panel\Keyboard]  

"PrintScreenKeyForSnippingEnabled"=dword:00000000



Microsoft has said that there is no guarantee that new features in Windows 11 preview builds will make it into final releases.


However, as this is a minor feature that is already complete and can be disabled, and as it promotes another Windows tool, it would be surprising for it not to make it into a public Windows release in the future.





## Tags:


### Autogenerated tags:
[[windows]] [[screenshot]] [[microsoft]]
