# Windows 11 dark mode has quieter, more soothing sounds - Listen now
## Windows 11 brings a redesigned user interface and an overhaul to the system sounds, including different sounds for Light Mode and Dark Mode.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-dark-mode-has-quieter-more-soothing-sounds-listen-now/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 05 September 2021, 11:14
+ Date scraped: 11 December 2023, 14:59

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/15/Win-11-flare.jpg)



Windows 11 brings a redesigned user interface and an overhaul to the system sounds, including different sounds for Light Mode and Dark Mode.


When developing Windows 11, the Microsoft audio team developed new system sounds designed to provide a calm experience while still being able to notify you of something as necessary.


"Windows 10 sounds were sharp, literally created with sharp wave lengths. In Windows 11, we have focused on making the technology calm. In order to do this, we needed to reevaluate our sound scape to also be calm," Microsoft told BleepingComputer in a statement.


"The new sounds have a much rounder wavelength, making them softer so that they can still alert/notify you, but without being overwhelming."


"Just like we rounded UI visually, we rounded our sound scape as well to soften the overall feel of the experience."


Unlike all previous versions of Windows, Microsoft also created different versions of the system sounds for Windows 11, depending on whether you are in Light Mode or Dark Mode.


For Light Mode users, the sounds are meant to be brighter and louder, while in Dark Mode, the sounds will be quieter and more subdued with a slight echo.



> 
> "We introduced light and dark sound options so that people who may have low visibility or no vision can still experience light and dark themes audibly. Themed sounds improve productivity by matching your working style through your theme. Dark Sounds help you stay in focus while Light Sounds ensure you’re always engaged" - Microsoft spokesperson.
> 
> 
> 


The Light Mode sounds are still stored under the C:\Windows\Media folder with the new Dark Mode sounds stored under C:\Windows\Media\dm.


Compare the Windows 11 Light and Dark mode sounds
-------------------------------------------------


With Windows 11, Microsoft created ten new system sounds that will be played while in Dark Mode. These ten sounds, and their Light Mode counterparts, are displayed below to compare their differences easily.


The Light Mode sound will be in audio control with a white background, while the Dark Mode sound will be the dark background.


We have also labeled each sound based on default assignment under the 'Program Events' section in the Windows 11 Sound properties screen.


**Asterisk,****Default Beep, Exclamation, Low Battery Alarm, System Notification**:This system sound is played when an alert is displayed, such as a warning message.



 



 


**Critical Battery Alarm** and **Critical Stop**: This sound is played when an error occurs.



 



 


**Device failed to connect**:This sound will play when an inserted device could not be correctly set up by Windows 11.



 



 


**Device Disconnect**: This sound will play when you disconnect a device, such as a USB key, from your computer.



 



 


**Calendar Reminder**: This sound will be played when a Calendar event occurs.



 



 


**New Email Notification** and **New Fax Notification**: When a new email or fax is received, this sound will play.



 



 


**New Text Message Notification**: This sound will play when you receive a new text message.



 



 


**Notification**: This sound will play when a program wants to issue a notification.



 



 


**Windows User Account Control**: This system sound will play when a User Account Control prompt is displayed in Windows 11.



 



 


There are still quite a few system sounds that do not have new Dark Mode versions. So we will have to wait and see if Microsoft adds other sounds in the future.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]]
