# Windows 11 gets a new tabbed interface for File Explorer
## Microsoft is testing a hidden feature that enables a new tabbed interface for Windows 11's File Explorer, which has been highly requested for years.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-gets-a-new-tabbed-interface-for-file-explorer/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 11 March 2022, 21:42
+ Date scraped: 11 March 2022, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/21/windows-11-gradient-header.jpg)



Microsoft is testing a hidden feature that enables a new tabbed interface for Windows 11's File Explorer, which has been highly requested for years.


File Explorer is one of the most commonly used built-in Windows features, allowing you to view a device's file system, access folders, and manage files.


However, one of the most requested Windows features on the Microsoft Feedback Hub has been the addition of a tabbed interface to File Explorer.


While Microsoft [briefly tested the feature](https://www.bleepingcomputer.com/news/microsoft/windows-10-finally-adding-tabs-to-file-explorer/) in 2017 on Windows 10 Insider builds, it was removed soon after from development builds.


As [first spotted](https://twitter.com/WithinRafael/status/1501675774847246337) by Windows developer Rafael Rivera, Microsoft has now added it as a hidden Windows 11 development feature, allowing all insiders to test out File Explorer's new tabbed interface.


## Hands on with Windows 11's new tabbed File Explorer


When the [feature is enabled](#enable), you can open different folders in the same File Explorer window, with each having its own tabs.


For example, you can have a single File Explorer window, but tabs open for the Libraries collection, the Desktop folder, Pictures folder, Users folder, and Documents folder, as shown below.



![Windows 11 File Explorer's tabbed interface](https://www.bleepstatic.com/images/news/Microsoft/windows-11/f/file-explorer/tabbed-file-explorer/tabbed-file-explorer.jpg)**Windows 11 File Explorer's tabbed interface**  
*Source: BleepingComputer*
To open a folder in a new tab, you can right-click on it and click on the 'Open in new tab' context menu option.



![Opening a folder in a File Explorer tab](https://www.bleepstatic.com/images/news/Microsoft/windows-11/f/file-explorer/tabbed-file-explorer/open-in-new-tab.jpg)**Opening a folder in a File Explorer tab**  
*Source: BleepingComputer*
For the most part, the new tabbed interface works really well.


The interface is quick and easy to use, and as you open many tabs, you will see left and right overflow arrows allowing you to scroll through all of the open tabs.


However, Microsoft is still working on the ability to reorder tabs in File Explorer by dragging and dropping them, as shown below.



![Unable to reorder File Explorer tabs](https://www.bleepstatic.com/images/news/Microsoft/windows-11/f/file-explorer/tabbed-file-explorer/dragging-tabs.jpg)**Unable to reorder File Explorer tabs**  
*Source: BleepingComputer*
While there is still some work to do, it should be noted that this is a hidden development feature and thus not meant to be used by Windows users at this time.


Furthermore, as Microsoft always says, not all Windows 11 Dev build features will even make it into a public release.


However, when it comes to a tabbed interface in File Explorer, there is enough demand by Windows users that it would be very surprising for Microsoft not to add this feature in the future.


## How to enable the tabbed File Explorer in Windows 11


If you wish to test out the new Windows 11 tabbed Task Manager, you can join the Windows Insider programs and install the current Windows 11 build (build 22572) or later.


To get this build, you will need to join the 'Dev' channel of the Windows Insider program.


Once the latest Windows 11 insider build is installed, please follow these steps to enable the new Task Manager:


1. [Download ViveTool](https://github.com/thebookisclosed/ViVe/releases/tag/v0.2.1), which enables hidden developer features in Windows 10 and Windows 11. Once downloaded, extract the zip file.
2. Open an [Elevated Command prompt](https://www.bleepingcomputer.com/tutorials/how-to-open-a-windows-10-elevated-command-prompt/) and navigate to the folder you extracted ViveTool.
3. Now type and enter each of these commands. Not all of them are necessary, but all are part of this new feature.

```
vivetool addconfig 34370472 2

```

After entering each command, ViveTool will respond with "Successfully set feature configuration," as shown below. 



![Using ViveTool to enable new tabbed File Explorer](https://www.bleepstatic.com/images/news/Microsoft/windows-11/f/file-explorer/tabbed-file-explorer/vivetool.jpg)**Using ViveTool to enable new tabbed File Explorer**
4. After entering this command, BleepingComputer found that you need to restart Windows for tabs to work in File Explorer.

You can disable the new File Explorer feature when done testing by running the following ViveTool commands from an elevated command prompt.



```
vivetool addconfig 34370472 0
```

Once again, restart Windows 11 to revert to the normal File Explorer.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[vivetool]] [[bleepingcomputer]]
