# Windows 11 is getting a built-in passkey manager for Windows Hello
## Microsoft is expanding support for passkeys in Windows 11 to make it more secure to log into websites and apps using biometric authentication.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-is-getting-a-built-in-passkey-manager-for-windows-hello/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 26 June 2023, 13:33
+ Date scraped: 26 June 2023, 18:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/15/Microsoft_passwordless.jpg)



Microsoft is expanding support for passkeys in Windows 11 to make it more secure to log into websites and apps using biometric authentication.


Passkeys are unique codes linked to specific devices such as computers, tablets, or smartphones. Using passkeys significantly reduces the risk of data breaches as they provide protection against phishing attacks that cannot steal them and gain unauthorized access.


Passkeys offer a more secure and convenient alternative to passwords as they allow using personal identification numbers (PINs) or biometric authentication like fingerprints or facial recognition to log in to websites and applications.


This eliminates the need to remember and manage multiple passwords, enhancing overall security and user experience.


As Microsoft [revealed](https://blogs.windows.com/windows-insider/2023/06/22/announcing-windows-11-insider-preview-build-23486/), the Windows 11 Insider Preview Build 23486 release pushed to the Dev Channel has passwordless improvements allowing customers to sign into their accounts using passkeys and Windows Hello.


"We are improving the passkey experience for Windows users. They can now go to any app or website that supports passkeys to create and sign in using passkeys with the Windows Hello native experience," Microsoft's Amanda Langowski and Brandon LeBlanc [said](http://blogs.windows.com/windows-insider/2023/06/22/announcing-windows-11-insider-preview-build-23486/).


"Once a passkey is created, users can use Windows Hello (face, fingerprint, PIN) to sign in. In addition, users can use their phone to complete the application logon process."


To use passkeys on your Windows device for website sign-ins, you have to go to passkey-enabled websites like bestbuy.com, ebay.com, or google.com, create a passkey by accessing from your account settings, and then sign out of your account and then sign back in using your newly created passkey.


You can also manage your passkeys with the help of a new passkey management dialog integrated into the Windows settings by going to Settings > Accounts > Passkeys.


You will see all passkeys saved on the Windows device, and you can search for and delete the ones you no longer use.



![Managing passkeys on Windows 11](https://www.bleepstatic.com/images/news/u/1109292/2023/passkey-manager.jpg)*Managing passkeys on Windows 11 (BleepingComputer)*


​When testing the feature, BleepingComputer could use Windows 11 passkeys with Best Buy and Microsoft accounts when attempting to log in.


However, while Google allowed for the creation of a passkey, it never prompted us to log in with a passkey when trying to sign into a Google account.



![Logging into BestBuy site with a passkey](https://www.bleepstatic.com/images/news/u/1109292/2023/login-with-passkey.jpg)*Logging into BestBuy site with a passkey (BleepingComputer)*


In May, Google [announced](https://www.bleepingcomputer.com/news/security/google-adds-passkeys-support-for-passwordless-sign-in-on-all-accounts/) that it's rolling out support for passkeys for Google Accounts across all its services and platforms to allow users to sign into their accounts without entering a password or using 2-Step Verification (2SV).


In May 2022, Microsoft and Apple also confirmed their commitment to passkeys, endorsing [Web Authentication (WebAuthn)](https://www.w3.org/TR/2018/CR-webauthn-20180320/) credentials (aka FIDO credentials).


This has now become the standard approach for accessing accounts without requiring traditional passwords across platforms controlled by the three tech giants.


"Passkeys will allow you to replace passwords when you sign into a web site or application that supports them," Langowski and LeBlanc said.


"Passkeys represent a future where bad actors will have a much harder time stealing and using your credentials when signing into a web site or application. Passkeys are phish-resistant, recoverable, and faster for users."





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[google]] [[websites]] [[bleepingcomputer]]
