# Windows 11 ‘Moment 2’ update released, here are the many new features
## Microsoft has released the Windows 11 22H2 'Moment 2' update, bringing many new and long-awaited features to the operating system.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-moment-2-update-released-here-are-the-many-new-features/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 28 February 2023, 14:00
+ Date scraped: 28 February 2023, 15:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/14/windows-11.jpg)



Microsoft has released the Windows 11 22H2 'Moment 2' update, bringing many new and long-awaited features to the operating system.


This Moment update includes many new features, including the tabbed Notepad, Phone Link for iOS, a searchable Task Manager, an AI-powered Bing Chat in the Windows taskbar, and much more.


The new update is being released as an optional cumulative preview update that can be manually installed by opening **Settings**> **Windows Update**and clicking the '**Check for updates'** button.


All Windows 11 users will receive these new features as part of the mandatory March 2023 Patch Tuesday updates, which include security fixes.


Microsoft is delivering some of today's new features in updates on the Microsoft Store, which can be downloaded by going into **Library**and clicking '**Get updates**.'


After installing today's update, the operating system's version will change to Windows 11 22H2 build 22621.1344.


## What are Windows 11 Moments?


Unlike Windows 10, which received significant feature updates twice a year that usually included new features, Windows 11 only receives one feature update yearly.


Due to this less frequent update cycle, Microsoft introduced a new update process for Windows 11 that allows new features to be released more frequently.


These new updates are called "Moments" and are released as routine cumulative updates, but used by Microsoft to add new features to Windows 11 when they are ready without waiting for the annual feature update.


The first Windows 11 moment, "Moment 1," was [released in October 2022](https://www.bleepingcomputer.com/news/microsoft/microsoft-finally-releases-tabbed-file-explorer-for-windows-11/) as the optional KB5019509 preview cumulative update that included a new tabbed File Explorer, Suggested Actions, Taskbar Overflow features, and added back the ability to right-click on the taskbar to open Task Manager.


## What's new in the Windows 11 22H2 Moment 2 update


Today's Windows 11 Moment 2 update includes many highly anticipated features, including a built-in screen recorder via the Snipping Tool, Phone Link for iOS, a searchable Task Manager, a tabbed Notepad, and Bing AI-powered Chat integrated directly into the Windows search bar.


Below we highlight the new features of the Windows 11 Moment 2 update.


### Bing Chat in the Windows Taskbar


This update integrates Microsoft's AI-powered Bing directly into the Windows taskbar, allowing you to get an AI copilot to answer your questions, perform searchers, and generate content.


"Today, we take the next major step forward and combine the incredible breadth and ease of use of the Windows PC with the amazing capability of the new AI-powered Bing," explained Microsoft's Chief Product Officer Panos Panay in a new blog post.


"Soon hundreds of millions of Windows 11 users can get access to this incredible new technology to search, chat, answer questions and generate content from right on their Windows taskbar."


"And we have simultaneously enhanced the taskbar by implementing a typable Windows Search box so that all your Search needs for Windows are in one easy to find location."


![Bing Chat in Windows 11 taskbar](https://www.bleepstatic.com/images/news/u/1109292/2023/Bing%20Chat%20in%20Windows%2011%20taskbar.jpg)**Bing Chat in Windows 11 taskbar**  
*Source: Microsoft*

Microsoft told BleepingComputer that the integration will only consist of a Bing entry point in the Windows search home.


"There is now a Bing entry point directly in Windows search home, allowing you to quickly access the new chat experience from Bing," a Microsoft spokesperson told BleepingComputer.


"When you start a query with Windows search, you will notice an option to continue your search with Bing. You may also see rotating suggested content in search highlights."


This new feature is likely the first step into integrating Microsoft's Bing Chat directly into the Windows operating system.


Earlier this month, BleepingComputer discovered the ability to [enable a secret Personal Assistant mode](https://www.bleepingcomputer.com/news/microsoft/bing-chats-secret-modes-turn-it-into-a-personal-assistant-or-friend/) in Bing Chat that allows you to schedule meetings, send emails, and set reminders.


Most of these features did not work, likely because it needs Windows integration, which would be a likely progression for the AI technology.


### Link your iPhone to your Windows 11 PC


For years, users could link their Android devices to Windows to see messages and make phone calls directly from the desktop.


Today, Microsoft is releasing the first preview of Phone Link for iOS, which allows you to link your iPhone directly with Windows 11. Once connected, you can access your messages and make or receive phone calls from within Windows.



![Phone Link for iOS](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-2/phone-link.jpg)**Phone Link for iOS**  
*Source: Microsoft*


This feature is first being released as a preview for Windows 11 Insiders on the release, beta, and developer channels.


### Studio Effects is now in Quick Settings


The Windows 11 Quick Settings screen now include Microsoft's AI-powered Studio Effects for devices with a dedicated Neural Processing Unit (NPU).


This new feature will allow you to quickly apply various filters to video, including Background Blur, Eye Contact, and Automatic Framing.



![Studio Effects in Windows 11 Quick Settings](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-2/studio-effects.jpg)**Studio Effects in Windows 11 Quick Settings**  
*Source: Microsoft*


### Task Manager search bar


The Windows 11 Task Manager now has a search bar at the top of the app that allows you to filter the list of processes by name or the process ID.


As shown in the animated image below, you can see how we first filter the list of processes by their name ('chrome') and their process ID ('5360').



![Demonstration of the new Task Manager process filter](https://www.bleepstatic.com/images/news/Microsoft/windows-11/t/task-manager/process-filter/task-manager-filter.gif)**Demonstration of the new Task Manager process filter**  
*Source: BleepingComputer*


This feature makes it very easy to search for processes that may be causing issues on your computer, allowing you to terminate them quickly.


### Tablet optimized taskbar


This update introduces a new tablet-optimized taskbar that makes it more comfortable when using your Windows 11 device as a tablet.


With this new feature, the Windows 11 taskbar will automatically collapse when you disconnect or fold back your keyboard on a 2-in-1 PC. Then, when you wish to use the taskbar, you can simply swipe up to display a taskbar optimized for touch.



![The new tablet-optimized taskbar experience](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-2/tablet-optimized-taskbar.jpg)**The new tablet-optimized taskbar experience**  
*Source: Microsoft*


This feature can be enabled by going to **Settings** > **Personalization** > **Taskbar** > **Taskbar behaviors** and configuring "Automatically hide the taskbar when using your device as tablet."


### New Tabbed Notepad


Microsoft has released a new version of the Windows Notepad with a new tabbed interface, allowing you to open multiple text files within one window.


Microsoft developers have worked hard over the past few years to modernize the venerable text editor with new features like Unicode support, zoom, wrap-around search, and more.


With the new tabbed interface, Microsoft has made Notepad a powerful tool that includes almost everything a regular user would need from a text editor.



![The new Tabbed Notepad](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-2/notepad-tabs.jpg)**The new Tabbed Notepad**  
*Source: BleepingComputer*


### Screen recording in the Snipping Tool


While Windows already included a screen recorder in the Xbox Game Bar, it was designed to record your games and thus only allowed recording of your entire screen.


With the release of the Moment 2 update, the Windows 11 Snipping Tool now contains a screen recording feature that allows you to select a specific region on your desktop that you wish to record.


This feature allows you to create smaller, more focused screen recordings or large full-screen videos as needed.



![New screen recording feature of the Windows 11 Snipping Tool](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-2/snipping-tool-recording.jpg)**New screen recording feature of the Windows 11 Snipping Tool**  
*Source: BleepingComputer*


### Updated Widgets experience


Today's update brings a new Widgets experience that allows you to use the feature without a Microsoft account, offers a full-screen mode, and now allows third-party widgets.


"We are excited to introduce the expansion of Widgets to include Phone Link, Xbox Game Pass, and partners like Meta and Spotify, so it has never been easier to stay up to date on the things that matter," explains Microsoft.


"By simply clicking the weather icon in your taskbar or swiping from the left, Widgets delivers important information at a glance."


Developers can learn more about creating their own Windows 11 Widgets in [this article](https://learn.microsoft.com/en-us/windows/apps/design/widgets/).



![New Widgets experience](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**New Widgets experience**  
*Source: Microsoft*


### A redesigned Quick Assist app


This update includes a redesigned Quick Assist app that lets you remotely help others or receive help with technical issues, even if your device is behind a firewall.


"You can open Quick Assist right from the Start menu and get connected more quickly than before, and even take advantage of the new capability to switch between screen sharing and full control during a  

session to give or get help the way you want," announced Microsoft.


"And you’ll love this there’s a new laser pointer you can use to highlight an icon, menu, or anything else on screen so that you can help guide people through the learning process."



![A redesigned Quick Assist app](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**A redesigned Quick Assist app**  
*Source: Microsoft*


## New accessibility features


This update brings additional enhancements to Narrator with further support for braille displays, including three new Designed for Surface displays from HumanWare.


"Now switching between Narrator and other screen readers while using your braille display is a seamless experience. This crucial functionality means Narrator can effortlessly interact with accessible accessories, ensuring people who are blind are able to use Windows with ease," says Microsoft.


Microsoft is also bringing Voice Assist out of preview, allowing you to control your favorite Microsoft apps with your voice.


"We’re also bringing voice access functionality out of preview and delivering a more flexible and enhanced solution when using voice on Windows 11," announced Microsoft.


"You can use voice access with your favorite Microsoft apps across Windows 11 from working on a Word document to managing files in File Explorer."


## Energy Recommendations in Settings


Windows 11 now has a new Energy recommendations page under **Settings**> **System**> **Power,**where you can receive energy-saving recommendations to lower your carbon footprint and help protect the environment.


In our tests, Windows 11 recommended that we put our device to sleep after 10 minutes, turn off the screen after 3 minutes, and turn off the screen saver feature to reduce energy and carbon footprint.



![Energy recommendations Settings page](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Energy recommendations Settings page**  
*Source: BleepingComputer*


Many of these suggestions were already in **Settings**> **System**> **Power** but have been reworked to make it easier to apply recommendations.


## AI-powered Recommended content


Microsoft has added a new Recommend content section to the Windows 11 Start menu for business users that displays relevant files and contacts for upcoming events.


This feature is only available for Windows 11 Pro devices and higher that are joined to an Azure Active Directory (AAD).



![Recommended content in the Windows 11 Start Menu](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Recommended content in the Windows 11 Start Menu**  
*Source: Microsoft*


### File Explorer live search


The search field in File Explorer now includes a live search that shows updating search results as you type.


### Modern System Tray


A new modern System Tray lets you drag and drop icons from the hidden notification tray easily.



![New modern System Tray flyout](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**New modern System Tray flyout**  
*Source: BleepingComputer*


### New Search bar customizations


You can now modify the appearance of the Windows Search bar under **Settings** > **Personalization** >**Taskbar.**According to a [Microsoft support document](https://techcommunity.microsoft.com/t5/windows-it-pro-blog/customizing-search-on-the-windows-11-taskbar/ba-p/3730314), you can configure it using the following customizations:


* **Hide**: If you enable this policy setting and set it to hide, search on taskbar will be hidden by default.
* **Search icon only**: If you enable this policy setting and set it to “Search icon only,” the search icon will be displayed on the taskbar by default.
* **Search icon and label**: If you enable this policy setting and set it to “Search icon and label,” the search icon and label will be displayed on the taskbar by default.
* **Search box**: If you enable this policy setting and set it to “Search box,” the search box will be displayed on the taskbar by default.


![New Windows Search bar appearance customizations](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**New Windows Search bar appearance customizations**  
*Source: Microsoft*


Significant updates like today's usually come with other more minor, hidden features that we discover as we use the new version of Windows.


If any new features are discovered, we will update this story.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[taskbar]] [[bleepingcomputer]] [[ai-powered]] [[22h2]]
