# Windows 11 ‘Moment 4’ update released, here are the many new features
## Microsoft has released the Windows 11 22H2 'Moment 4' update, bringing 150 new features, including new AI-powered versions of Paint, ClipChamp, Snipping tool, and the new Microsoft Copilot.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-moment-4-update-released-here-are-the-many-new-features/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 26 September 2023, 13:00
+ Date scraped: 26 September 2023, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/13/Windows_11_dark_hdr.jpg)



Microsoft has released the Windows 11 22H2 'Moment 4' update, bringing 150 new features, including new AI-powered versions of Paint, ClipChamp, Snipping tool, and the new Microsoft Copilot.


Artificial intelligence takes center stage in this Windows 11 22H2 update, with Microsoft incorporating AI into numerous applications to make it easier to perform various tasks and access information.


However, this update is not rolling out to everyone, and to receive it, you first need to enable the '**Get the latest updates as soon as they're available**' setting in Windows update to receive it.



![New Windows Configuration update for Windows 11 Moment 4](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-4/windows-update-setting.jpg)**New Windows Configuration update for Windows 11 Moment 4**  
*Source: BleepingComputer*


Once this setting is enabled, Windows 11 22H2 users can click on the 'Check for updates' button to receive a new Windows Configuration update or the KB5030310 preview update to enable the new features in the operating system.


Windows Configuration updates are used as part of Microsoft's "continuous innovation" strategy that rolls out new features as they are ready rather than waiting to be installed via feature updates.


This new servicing strategy allows Microsoft to more rapidly release features throughout the year rather than during scheduled patching periods.


If you choose not to install today's update, these features will start rolling out for all Windows 11 22H2 users in the October optional preview update and then for all users as part of the November 2023 Patch Tuesday security updates.


While many of these features were expected to come with the Windows 11 2023 Update, aka Windows 11 23H2, Microsoft has opted to roll them out sooner, stating that 23H2 will be released later this fall.


What's new in the Windows 11 22H2 Moment 4 update
-------------------------------------------------


In new announcements today and last week, Microsoft says that today's Windows 11 22H2 update (Moment 4) includes 150 new features.


While Microsoft has not listed all of the changes in today's update, they have showcased quite a few.


BleepingComputer has also learned that other features expected as part of Windows 11 23H2 are being released today, once again illustrating how feature updates as we know them are now dead, and new features will be released as they are ready.


### Microsoft Copilot


The prominent new feature in today's update is the introduction of Microsoft Copilot.


Copilot is a new AI-powered assistant integrated directly into Windows 11, allowing you to use artificial intelligence to perform various tasks in the operating system and your supported applications.


Using Microsoft Copilot, you can change system settings, analyze documents and web pages, schedule appointments, and even get help composing an email.



![Microsoft Copilot in Windows 11](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-4/mcirosoft-copilot.jpg)**Microsoft Copilot in Windows 11**  
*Source: Microsoft (Click to enlarge)*


This new feature will replace Cortana, which Microsoft announced will be [retired at the end of the year](https://www.bleepingcomputer.com/news/microsoft/microsoft-is-killing-cortana-on-windows-starting-late-2023/).


### New AI features in Microsoft Paint


Microsoft Paint has received a significant upgrade, with new AI features and layer support, bringing the application closer to all you need to edit photos and images.


The new AI features in Microsoft Paint include a [new background remover tool](https://www.bleepingcomputer.com/news/microsoft/microsoft-paint-in-windows-11-gets-a-background-removal-tool/), demonstrated below, and the new Cocreator feature that generates images based on inputted text descriptions.



![AI-powered background remover](https://www.bleepstatic.com/images/news/Microsoft/p/paint/background-removal/paint-background-removal.gif)**AI-powered background remover**  
*Source: BleepingComputer*


In addition to the AI-powered features, [Microsoft has also introduced layers](https://www.bleepingcomputer.com/news/microsoft/microsoft-paint-finally-gets-support-for-layers-and-transparency/) and transparency, allowing you to use Paint as a full-featured image editor.


### Snipping Tool OCR features


Microsoft has added text recognition support to the latest Snipping Tool build with a new "text actions" mode that allows you to copy and redact text from a screenshot.



![OCR support in Snipping Tool](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-4/snipping-tool-ocr.jpg)**OCR support in Snipping Tool**  
*Source: Microsoft*


### New Photos AI features


A new Photos app includes new background blur effects and an improved search functionality, allowing you to find specific images backed up to One Drive.



![Background blur in the new Photos app](https://www.bleepstatic.com/images/news/Microsoft/windows-11/m/moment-4/photos-background-blur.jpg)**Background blur in the new Photos app**  
*Source: Microsoft*


### Clipchamp with auto-compose


Clipchamp now uses artificial intelligence to automatically create videos based on the photos and videos you add to the program.


"Simply upload your photos and videos, pick a video style and let our AI create a professional-looking video. Turn memories from your life events, travel or holiday season into videos that stand out on social media," explains a [blog post](https://clipchamp.com/en/blog/ai-video-editor-auto-compose-clipchamp/) about the new feature.


### Never combine taskbar items feature is here!


Microsoft has finally added the "[Never Combine](https://www.bleepingcomputer.com/news/microsoft/windows-11-finally-gets-a-never-combine-taskbar-buttons-mode/)" taskbar feature to Windows 11, allowing you to display all running instances of an application in the taskbar.


This has been one of the most requested features in Windows 11 since it was released, preventing many, including myself, from upgrading to the new operating system.


This feature can be managed under **Settings** > **Personalize** > **Taskbar** by changing the '**Combine taskbar buttons and hide labels**' setting.



![Windows 11 'Combine taskbar buttons and hide labels' setting](https://www.bleepstatic.com/images/news/u/1109292/2023/Taskbar_ungrouping_settings.png)**Windows 11 'Combine taskbar buttons and hide labels' setting**  
*Source: BleepingComputer*


### Windows passkey manager


Microsoft has added support for passkeys in Windows 11 that allow you to securely log into websites without passwords.


Passkeys are unique codes linked to your devices that allow you to use biometric controls or security keys to log in to websites.


Using passkeys significantly reduces the risk of data and network breaches as they protect against phishing attacks that cannot steal the authentication keys.


With this update, Microsoft has added a Passkey manager directly into Windows 11, allowing you to log in to websites using Windows Hello and security keys.



![Windows 11 Passkey manager](https://www.bleepstatic.com/images/news/u/1109292/2023/passkey-manager.jpg)**Windows 11 Passkey manager**  
*Source: BleepingComputer*


### New Windows Backup application


Microsoft has introduced a new Windows Backup application that can be used to back up your data, application preferences, encrypted credentials, and WiFi configuration to One Drive and your Microsoft account.


This feature lets you easily transfer your data and settings to a new device. However, it is not possible to use the feature to back up your data to a drive of your choice, severely limiting the application's functionality.



![New Windows Backup application](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**New Windows Backup application**  
*Source: BleepingComputer*


Microsoft has also released the [Windows Backup application for Windows 10](https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5029331-update-introduces-a-new-backup-app/).


### Modern File Explorer


The Windows 11 File Explorer is getting a new Gallery view to simplify access to your photo collection.



![File Explorer Gallery view](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**File Explorer Gallery view**  
*Source: BleepingComputer*


### Notepad auto-saving


Today, Microsoft released a new version of Notepad that automatically saves the text in the editor when you close the program and restores it when you next start Notepad.


This can be controlled in the Notepad settings screen, where you can specify if your previous content should be restored or if you wish to open a new window when starting the program.



![New Notepad session settings](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**New Notepad session settings**  
*Source: BleepingComputer*


### Support for more archive formats


Microsoft has added native support for the .7z, .rar, .gz, .tar, .bz2, and .tgz archive formats using the open-source [libarchive project](https://github.com/libarchive/libarchive/wiki/LibarchiveFormats).


It is now no longer required to install 7-Zip, WinRAR, or other file extraction utilities unless you need the program's more advanced features or find them easier to use.



![Native support for new archive formats](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Native support for new archive formats**  
*Source: BleepingComputer*


### New Outlook app


Microsoft is now rolling out the new Outlook app to replace the Windows 11 Mail and Calendar applications.


This new application includes a more modern email interface with new AI features that help you organize your inbox and compose emails.



![New Microsoft Outlook app](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**New Microsoft Outlook app**  
*Source: BleepingComputer*


Microsoft will force-migrate all users to the new Outlook app by the end of the year.


### New Developer features


This update also brings many new developer features, including Dev Home, Dev Drive, and new WinGet configuration files.


Dev Home can quickly set up a developer environment by downloading apps, packages, or repositories you need. It also lets you connect to your developer accounts and tools on GitHub in one central location.


Dev Drive is a new storage volume designed for performance and security using the Resilient File System (ReFS).


Finally, WinGet Configurations lets you create a template of the applications you wish to install on your computer to get it up and running as a developer environment quickly.


This is just a small sampling of the new features coming in today's update, and we will update this story as we discover new features introduced today.


Microsoft may be rolling out this update slowly, so if you do not receive it immediately, try again over the coming days.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[bleepingcomputer]] [[22h2]] [[taskbar]] [[ai-powered]] [[clipchamp]] [[23h2]] [[websites]]
