# Windows 11's Android apps feature now available in the US
## The public preview for the Android apps for Windows 11 is now live, allowing all users to begin running Android apps natively on the Windows desktop.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11s-android-apps-feature-now-available-in-the-us/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 15 February 2022, 17:00
+ Date scraped: 15 February 2022, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/02/15/windows-11-amazon-app-store.jpg)



The public preview for the Android apps for Windows 11 is now live in the US, allowing users to run Android apps natively on the Windows desktop.


Microsoft first [began testing Android apps on Windows 11](https://www.bleepingcomputer.com/news/microsoft/hands-on-with-microsofts-android-app-support-in-windows-11/) in October 2021, with Insiders running the 'Beta' preview builds. The feature allows users to run apps delivered through the Amazon App Store.


While the available Android apps are primarily for young kids, there's also a small selection of games and productivity apps for adults.



![Windows 11 Amazon App Store](https://www.bleepstatic.com/images/news/Microsoft/windows-11/a/android-for-windows/public-preview/amazon-app-store.jpg)**Windows 11 Amazon App Store**  
*Source: BleepingComputer*
The feature relies on a new platform called Windows Subsystem for Android that runs Android apps in a virtual machine to provide compatibility with the Android Open Source Project (AOSP) and hardware input devices.


While Microsoft only officially supports apps installed from the Amazon App Store, developers and power users have already created ways to [install the Google Play Store](https://www.youtube.com/watch?v=rIt00xDp0tM) and [different methods](https://github.com/alesimula/wsa_pacman) to [sideload apps in Windows 11](https://www.bleepingcomputer.com/news/microsoft/windows-11-subsystem-for-android-lets-you-sideload-apps-heres-how/).



![Retro Bowl sideloaded into Windows 11](https://www.bleepstatic.com/images/news/Microsoft/windows-11/a/android-for-windows/public-preview/sideloaded-retro-bowl.jpg)**Retro Bowl sideloaded into Windows 11**
Both the Amazon App Store and Windows Subsystem for Android are delivered via the Microsoft Store. To get started with Android apps in Windows 11 today, you need to first launch the Microsoft Store app and go to **Library**> **Get Updates** to ensure you are using the latest version.


Once the Microsoft Store has been updated, you can then install the Amazon App Store app, which will also cause the Windows Subsystem for Android to be installed as well.



![Windows Subsystem for Android installed via the Microsoft Store](https://www.bleepstatic.com/images/news/Microsoft/windows-11/a/android-for-windows/public-preview/microsoft-store-updates.jpg)**Windows Subsystem for Android installed via the Microsoft Store**  
*Source: BleepingComputer*
The system requirements for Android apps are similar to what users should be using with Windows 11, requiring at least 8 GB of RAM, a solid-state drive (SSD), and a supported processor (Intel® Core™ i3 8th Generation, AMD Ryzen™ 3000, Qualcomm® Snapdragon™ 8c, or above). 


Other new Windows 11 features launching today
---------------------------------------------


In addition to the Android apps on Windows 11 feature, Microsoft is also releasing redesigned versions of Notepad and the Windows Media Player.


The new Media Player has been optimized to provide better accessibility support, and Notepad includes Windows 11 design features, Dark Mode, and emoji support.



![New Notepad for Windows 11](https://www.bleepstatic.com/images/news/Microsoft/windows-11/a/android-for-windows/public-preview/new-notepad-with-emojis.jpg)**New Notepad for Windows 11**
The emoji support in Windows 11's new Notepad may cause strange results when viewing the saved text files with other tools, such as the command prompt's more command or within other text apps that do not support Unicode.



![Emojis not displayed properly in console](https://www.bleepstatic.com/images/news/Microsoft/windows-11/a/android-for-windows/public-preview/more-command-terminal.jpg)**Emojis not displayed properly in console**
You can download both the new Notepad and Windows Media Player by going into Windows Update and manually checking for updates.


Faster updates for Windows 11
-----------------------------


With the release of Windows 11, Microsoft has switched to an annual feature update cadence, meaning that users will only have to worry about one major update per year.


However, Microsoft does not plan on waiting for the feature updates to introduce new features and will be using other update mechanisms to deliver features as they are ready.


"As today’s release shows, we’re committed to delivering experiences into Windows 11 that enrich and inspire people’s lives. Overtime, you’ll see us release new features into Windows 11 for end users more frequently in addition to our annual update," Microsoft promised in [today's announcement](https://nam02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fblogs.windows.com%2Fwindowsexperience%2F%3Fp%3D176849&data=04%7C01%7Cmwo%40we-worldwide.com%7Cc4ee131a43f34fcb7e3408d9f093444b%7C3ed60ab455674971a5341a5f0f7cc7f5%7C0%7C0%7C637805337574604405%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=locPdSEkJOXY7XXPHLlyJSfg0y2fUIO9MMad%2BFAlxRQ%3D&reserved=0).


"We will leverage the variety of update mechanisms we have in place including servicing and Microsoft Store updates. Our goal is to deliver continuous innovation, providing you with the best experiences year-round."


Microsoft will now utilize newer update methods called Windows Feature Experience Pack(via Windows Update) and Web Experience Pack  (via the Microsoft Store) to install or modify Windows 11 features outside of Patch Tuesday updates and the annual feature update.





## Tags:


### Autogenerated tags:
[[windows]] [[android]] [[apps]] [[microsoft]]
