# Windows 365 - Microsoft's new virtualized Cloud PC service
## Microsoft has unveiled their greatly anticipated cloud-based Windows 365 service - a virtualized desktop service allowing businesses to deploy and stream Cloud PCs from Azure.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-365-microsofts-new-virtualized-cloud-pc-service/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 14 July 2021, 11:00
+ Date scraped: 12 December 2023, 10:26

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/07/14/cloud-pc-header.jpg)



Microsoft has unveiled their greatly anticipated cloud-based Windows 365 service - a virtualized desktop service allowing businesses to deploy and stream Cloud PCs from Azure.


Earlier this year, [information was leaked](https://www.bleepingcomputer.com/news/microsoft/windows-10-cloud-pc-the-latest-info-about-microsofts-new-service/) about a new service developed by Microsoft called Cloud PC was that allows businesses to deploy and run Windows 10 (and soon Windows 11) directly from the cloud.


Today, at the Inspire 2021 conference, Microsoft has finally revealed the Windows 365 cloud-based desktop experience running on top of Azure Virtual Desktop, which will be available on August 2nd, 2021.


"Today we are excited to announce Windows 365, a cloud service that introduces a new way to experience Windows 10 or Windows 11 (when it’s generally available later this calendar year) for workers from interns and contractors to software developers and industrial designers," Microsoft's Wangui McKelvey, General Manager, Microsoft 365, shared in a blog post.


"Windows 365 takes the operating system to the Microsoft Cloud, securely streaming the full Windows experience – including all your apps, data, and settings – to your personal or corporate devices. This approach creates a fully new personal computing category, specifically for the hybrid world: the Cloud PC."


Like we [previously reported](https://www.bleepingcomputer.com/news/microsoft/microsofts-windows-cloud-pc-service-almost-here-what-we-know-so-far/), Windows 365 is built on top of the [Azure Virtual Desktop](https://docs.microsoft.com/en-us/azure/virtual-desktop/overview) service but with a redesigned experience that allows businesses to easily deploy cloud-based virtualized Cloud PCs that fit their performance needs.


Windows 365 will be released with two subscription plans called Windows 365 Business and Windows 365 Enterprise. Each plan includes different per user per month pricing depending on the hardware tiers that are selected for Cloud PCs.


"Windows 365 can run on any device with an HTML5 browser or the Remote Desktop app. Windows 365 is a per-user, per-month subscription, which provides a fixed cost option for businesses," Microsoft told BleepingComputer.


"There are two plans: Windows 365 Business and Windows 365 Enterprise, and each provide different price tiers based on the CPU, RAM, and memory chosen."


"At launch, our smallest configuration is 1vCPU/2GB/64GB, and our largest offering is 8vCPU/32GB/512GB. We will have more details about pricing to share when the service becomes generally available on August 2, 2021."


Microsoft says that you will be able to stream a Cloud PC desktop from virtually any device, including Mac, iPads, Linux, and Android. From support information previously seen by BleepingComputer, this will be done using a standard Remote Desktop Client or an embedded client in the browser.


To manage the deployment of Cloud PCs, Microsoft has integrated Windows 365 directly into Microsoft Endpoint Manager.



![Managing Cloud PCs from Microsoft Endpoint Manager](https://www.bleepstatic.com/images/news/Microsoft/w/windows-365/microsoft-endpoint-manager.jpg)**Managing Cloud PCs from Microsoft Endpoint Manager**


In addition to diagnostics, statistics, and complete management of Cloud PCs, organizations will also manage the security configuration of their devices directly from Endpoint Manager.


This includes assigning secure baselines to Cloud PCs, managing antivirus, disk encryption, firewall settings, and Microsoft Defender.



![Assigning Security Baselines to Cloud PCs](https://www.bleepstatic.com/images/news/Microsoft/w/windows-365/endpoint-security.jpg)**Assigning Security Baselines to Cloud PCs**


Microsoft has not shared at this time the pricing for their Windows 365 Cloud PC service or the full hardware specifications that can be used for deployed devices.


*Update 7/14/21 12:06 PM EST: Added statement from Microsoft about different hardware tiers.*





## Tags:


### Autogenerated tags:
[[windows]] [[cloud]] [[microsoft]] [[pcs]] [[cloud-based]]
