# Windows Terminal gets support for creating custom themes
## Microsoft released a new Windows Terminal version today that adds a long-awaited feature, making it possible to create and use custom themes.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-terminal-gets-support-for-creating-custom-themes/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 13 September 2022, 20:44
+ Date scraped: 13 September 2022, 21:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/09/13/Windows_Terminal.jpg)



*Image: Microsoft*


Microsoft released a new Windows Terminal version today that adds a long-awaited feature, making it possible to create and use custom themes.


For now, users can only create themes by editing the Windows Terminal global JSON settings file to alter the background color of tabs and tab rows and choose between light and dark terminal window themes.


After adding a new theme config to the JSON file, it will automatically appear in the app's Settings > Appearance settings page.


"*themes* is a global property that can contain a variety of themes objects, which will appear in the Theme dropdown on the Appearance page of the settings UI," Windows Terminal Program Manager Kayla Cinnamon [explained](https://devblogs.microsoft.com/commandline/windows-terminal-preview-1-16-release/).


"Themes are only editable using the JSON file, but they will appear in the Theme dropdown in the settings UI."


To add your own custom themes, you will have to install the app's latest version, Windows Terminal Preview 1.16.


The new version also adds updated default colors and sets the dark theme as the default theme instead of following the default Windows system theme.


"We have modified some of the default colors in Windows Terminal for a more cohesive appearance. Additionally, we are defaulting Terminal to use dark theme, rather than following the system theme," Cinnamon added.



![Windows Terminal custom theme settings page](https://www.bleepstatic.com/images/news/u/1109292/2022/Choosing_A_Windows_Terminal_custom_theme.png)*Windows Terminal custom theme settings page (BleepingComputer)*


Microsoft [unveiled Windows Terminal](https://www.bleepingcomputer.com/news/microsoft/microsoft-launches-multi-shell-windows-terminal-console-app/) during the May 2019 Build developer conference and officially [launched it two months later](https://www.bleepingcomputer.com/news/microsoft/windows-terminal-is-here-in-its-multi-tabbed-console-glory/), in July.


Unlike the current default terminal app, Windows Terminal supports multiple console tabs. It also allows choosing between the cmd shell, PowerShell, and Linux distro shells installed via the Windows Subsystem for Linux (WSL).


Since August, Microsoft has also [made the Windows Terminal the default terminal](https://www.bleepingcomputer.com/news/microsoft/windows-terminal-is-now-the-default-terminal-in-windows-11-dev-builds/) in Windows 11 Insider 'Dev' preview builds.


"Over the course of 2022, we are planning to make Windows Terminal the default experience on Windows 11 devices," Windows Terminal Program Manager Kayla Cinnamon [said](https://devblogs.microsoft.com/commandline/windows-terminal-as-your-default-command-line-experience/).


You can install [Windows Terminal](https://aka.ms/terminal) and [Windows Terminal Preview](https://aka.ms/terminal-preview) from the official Microsoft Store, the [GitHub releases page](https://github.com/microsoft/terminal/releases), or with the help of the Windows Package Manager (winget) command-line tool.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[json]]
