# ‘Wall of Flippers’ detects Flipper Zero Bluetooth spam attacks
## A new Python project called 'Wall of Flippers' detects Bluetooth spam attacks launched by Flipper Zero and Android devices.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/wall-of-flippers-detects-flipper-zero-bluetooth-spam-attacks/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 23 December 2023, 10:09
+ Date scraped: 23 December 2023, 16:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/01/03/flipper-zero.jpg)



A new Python project called 'Wall of Flippers' detects Bluetooth spam attacks launched by Flipper Zero and Android devices.


By detecting the attacks and identifying their origin, users can take targeted protection measures, and culprits can potentially be held accountable for their actions.


Not an innocent prank
---------------------


The ability to launch Bluetooth LE (BLE) spam attacks using the Flipper Zero portable wireless pen-testing and hacking tool was [first demonstrated](https://www.bleepingcomputer.com/news/security/flipper-zero-can-be-used-to-launch-ios-bluetooth-spam-attacks/) in September 2023 by security researcher 'Techryptic.'


At the time, the attack involved spamming Apple devices with bogus Bluetooth connection notifications, so it appeared more like a prank than anything truly dangerous.


The idea was quickly adopted by other developers who created a [custom Flipper Zero firmware](https://www.bleepingcomputer.com/news/security/flipper-zero-can-now-spam-android-windows-users-with-bluetooth-alerts/) that could launch spam attacks against Android smartphones and Windows laptops.


Soon after, developer Simon Dankelmann [ported the attack to an Android app](https://www.bleepingcomputer.com/news/security/flipper-zero-bluetooth-spam-attacks-ported-to-new-android-app/), allowing people to launch Bluetooth spam attacks without needing a Flipper Zero.


However, people attending the recent Midwest FurFest 2023 conference discovered first-hand that the consequences of these Bluetooth spam attacks can go far beyond the scope of a harmless prank.


Many reported severe [business disruption](https://twitter.com/DrWildlife/status/1730711518944063711) with their Square payment readers, and others faced more threatening situations, like [causing an insulin pump controller to crash](https://twitter.com/morganiteproto/status/1730655861029114330).


[![Morganitel tweet](https://www.bleepstatic.com/images/news/u/1220909/2023/Devices/insulin.png)](https://twitter.com/morganiteproto/status/1730655861029114330)


People using Bluetooth-enabled [hearing aids](https://twitter.com/glawowow/status/1730754606253129950) and [heart rate monitoring tools](https://twitter.com/SappValentine/status/1730738562855825625) also reported disruption, which could put their well-being at risk.


Greynoise vulnerability researcher [Remy](https://twitter.com/_mattata) shaerd a [thread on Twitter](https://twitter.com/_mattata/status/1730974745657548892) about the dangers of these types of attacks, warning that conducting BLE spam can have serious health ramifications for those impacted.


[![Remy tweet](https://www.bleepstatic.com/images/news/security/b/ble-notification-spam-attacks/remy-tweet.jpg)](https://twitter.com/_mattata/status/1730974745657548892)


"For BTLE enabled medical equipment, at minimum a disruption results in a degraded quality of life for those affected," warned Remy in a conversation with BleepingComputer about BLE attacks.


"Some conditions may not be life threatening to have disruptions. Others may not be so lucky."


While some claim that Apple has [quietly introduced a mitigation](https://www.zdnet.com/article/ios-17-2-update-puts-an-end-to-flipper-zero-iphone-shenanigans/) for the BLE attacks in iOS 17.2, the problem has not been addressed in Android at this time.


Furthermore, BleepingComputer's tests sending BLE spam to iOS devices from an Android app continued to work after installing iOS 17.2.


BleepingComputer contacted Google about their plans for these attacks in Android, but a response was not immediately available.


Wall of Flippers
----------------


The Wall of Flippers (WoF) project aims to detect attackers conducting BlueTooth LE spam attacks so people on the receiving end can respond appropriately.


The Python script, which, for now, can run on Linux and Windows, is designed to be run continuously, constantly updating the user with the status of nearby BTLE devices, any potential threats, and general activity.


The main display features an ASCII art header, tables of live and offline devices, and detected BLE attack packets.



The script scans for BTLE packets in the vicinity and analyzes the transmitted packets against a set of predefined patterns considered to be indicative of malicious activity.


Wall of Flippers can currently detect the following at this time, but the project is a work in progress and will continue to get updates:


* Flipper Zero detection (BT must be enabled)
* Flipper archiving (saving past data)
* iOS crash and popup BTLE detection
* Android crash and popup BTLE detection
* Windows Swift Pair BTLE detection
* LoveSpouse BTLE detection

While listening passively, WoF captures the MAC address of the spamming device, which is a primary device identifier, the signal strength, which may be used to determine the attacker's proximity, and the data contained in the packets.


Instructions on installing WoF and setting up the project can be found on the developer's [GitHub repository](https://github.com/K3YOMI/Wall-of-Flippers).


BleepingComputer has not tested WoF and cannot provide guarantees about the safety of the script, so be sure to inspect the code before installing.





## Tags:


### Autogenerated tags:
[[android]] [[btle]] [[bluetooth]] [[ble]] [[bleepingcomputer]] [[wof]] [[windows]]
