# Ukraine, Conti, and the law of unintended consequences
## How the Russian invasion of Ukraine undid the world’s biggest ransomware gang
## Information:

+ Link: https://www.csoonline.com/article/3655628/ukraine-conti-and-the-law-of-unintended-consequences.html
+ Source: CSO
+ Author: Matthew Tyson
+ Date published: 01 April 2022, 07:00
+ Date scraped: 05 April 2022, 00:00

## Article:
![Main article image](https://images.idgesg.net/images/article/2019/05/matryoshka_russian_nesting_doll_inheritance_sequencing_hidden_layers_by_marco_verch_cc_by_2-0_via_flickr_2400x1600-100796612-large.jpg?auto=webp&quality=85,70)


The Russian invasion of Ukraine has demonstrated the law of unintended consequences in a most unexpected way.  By publicly backing the invasion, the heretofore most prolific ransomware group in the world inspired a backlash that appears to have temporarily crippled the group’s ability to operate and given unprecedented insight into the world of ransomware operators.

## Conti ransomware 101

Advances in cryptography have spawned new types of applications and business models.  Unfortunately, one of them is ransomware.   Combined with cloud computing, you get an especially virulent variety, ransomware-as-a-service (RaaS).  Among the practitioners of this dark art, the most successful in 2021 was [Conti](https://www.csoonline.com/article/3638056/conti-ransomware-explained-and-why-its-one-of-the-most-aggressive-criminal-groups.html), a Russia-based group.

The basic premise behind [ransomware](https://www.csoonline.com/article/3236183/what-is-ransomware-how-it-works-and-how-to-remove-it.html) is to encrypt data on computer systems such that only the holder of the decryption key can decipher the data (in Conti’s case, a variant of AES-256).  The organization behind the attack then offers to sell the key to the victim.  This is often combined with a dual-extortion scheme, where stolen data is threatened to be released.


[ Keep up with [8 hot cybersecurity trends (and 4 going cold)](https://www.csoonline.com/article/3262972/8-hot-cyber-security-trends-and-4-going-cold.html). Give your career a boost with [top security certifications: Who they're for, what they cost, and which you need](https://www.csoonline.com/article/3116884/top-security-certifications-who-theyre-for-what-they-cost-and-which-you-need.html). | [Sign up for CSO newsletters](https://www.csoonline.com/newsletters/signup.html). ]
Conti has taken this basic “business model” and refined it to the tune of [almost $200 million in 2021](https://blog.knowbe4.com/conti-ransomware-attacks-reap-in-180-million-in-2021-as-average-ransomware-payments-rise-by-34). 

The basic idea has a wide range of variations in the wild.  The most prominent perpetrators of this kind of extortion are organized gangs.  Many of these gangs are known to operate in Russia, with the tacit (or possibly explicit) approval of Russian security services.  These often explicitly do not attack targets within Russia.

Although the [Colonial Pipeline attack](https://www.csoonline.com/article/3618016/colonial-pipeline-shutdown-highlights-need-for-better-ot-cybersecurity-practices.html) of 2021 was not the work of Conti, it brought wide attention to the issue (and [sweeping regulatory response](https://www.csoonline.com/article/3620300/tsa-s-pipeline-cybersecurity-directive-is-just-a-first-step-experts-say.html)).  It saw a major piece of US oil infrastructure fall prey to ransomware, and ultimately the company paid out the 75 bitcoin ransom demand (the lion’s share of which was [later recovered](https://www.csoonline.com/article/3621250/feds-seize-2-3-million-in-cryptocurrency-wallet-reportedly-used-in-colonial-pipeline-ransomware-att.html) by the US Federal Bureau of Investigation, though [how they did this is not known](https://www.bankinfosecurity.com/how-did-fbi-recover-colonial-pipelines-darkside-bitcoins-a-16863)).

 Conti is egalitarian in picking their victims, including government institutions, corporations, and individuals.  Although Conti (and other such groups) claim not to target hospitals, schools, and the like, Conti’s attacks have included [first-responder and medical systems](https://www.zdnet.com/article/fbi-identifies-16-conti-ransomware-attacks-striking-us-healthcare-first-responders/), hampering their ability to deal with the Covid pandemic and a [devastating attack on Ireland’s Public Healthcare System](https://krebsonsecurity.com/2021/12/inside-irelands-public-healthcare-ransomware-scare/).  In the world of cybercrime, Conti seems to dispense with honor among thieves.

According to reports, a steady stream of victims pay out their ransoms quietly, without fanfare.  Meanwhile, national and international cybersecurity experts work to counter them and educate the public as to their approaches.


[![Modernize Your Kiosk and Signage Solutions with Chrome OS](//ntvcld-a.akamaihd.net/image/upload/w_640,h_360,c_fill,g_auto:text,f_auto,fl_lossy,e_sharpen:70/assets/21E52F0059A64C95BC1B30A517DA1637.png "Modernize Your Kiosk and Signage Solutions with Chrome OS")](https://googlechromeos.cio.com/1G2PvE1w/google-chrome-os-solutions "Modernize Your Kiosk and Signage Solutions with Chrome OS")

aside.nativo-promo.smartphone.tablet.desktop p { font-size: 16px !important; line-height: 1.2 !important; }
aside.nativo-promo.smartphone.tablet.desktop p.post-meta { margin-top:0px !important;}
aside.nativo-promo.smartphone.tablet.desktop p.crawl-headline { font-size: 20px !important; line-height:1 !important; }

#ntvImageBox {float: left;margin-right:20px;width: 300px; height:169px; overflow:hidden;}

@media only screen and (max-width: 667px) {
#ntvImageBox {margin-right:0; margin-bottom:10px; float:none; width:100%; height:auto;}

}


On this global stage, a dramatic plot twist unfolded: Russia invaded Ukraine. 

## The unraveling

The Russian invasion of Ukraine inspired Conti to [issue a threat](https://www.reuters.com/technology/russia-based-ransomware-group-conti-issues-warning-kremlin-foes-2022-02-25/) to those who opposed the invasion, making clear its support for Putin’s actions.  This was a bold public statement of support for Putin’s invasion, and it apparently exposed fault lines within Conti itself.  In short order, someone within the organization, or who obtained access, began unleashing a torrent of jaw dropping leaks giving insight into the internals of the so-called company.

These leaks are still arriving at the time of writing on [this Twitter account](https://twitter.com/contileaks).  They include chat logs, source code, infrastructure details, and identities—including GitHub profiles—of alleged gang members.

The chat logs are primarily from the Jabber service and purport to include communications from the highest levels of the Conti.  In addition to clear-eyed discussion of cyberextortion as though it were a legitimate line of business, they reveal a nasty environment of bigotry, antisemitism and misogyny, as well as a banal setting similar in tone to remote office workers everywhere.


[![The Growing Challenges of Certificate Lifecycle Management](//ntvcld-a.akamaihd.net/image/upload/w_640,h_360,c_fill,g_auto:text,f_auto/assets/177F550A4FD440A489131EEC369E2604.jpg "The Growing Challenges of Certificate Lifecycle Management")](https://www.csoonline.com/article/3647758/the-growing-challenges-of-certificate-lifecycle-management.html "The Growing Challenges of Certificate Lifecycle Management")

aside.nativo-promo.smartphone.tablet.desktop p { font-size: 16px !important; line-height: 1.2 !important; }
aside.nativo-promo.smartphone.tablet.desktop p.post-meta { margin-top:0px !important;}
aside.nativo-promo.smartphone.tablet.desktop p.crawl-headline { font-size: 18px !important; }

#ntvImageBox {float: left;margin-right:20px;width: 300px; height:169px; overflow:hidden;}

@media only screen and (max-width: 667px) {
#ntvImageBox {margin-right:0; margin-bottom:10px; float:none; width:100%; height:auto;}

}


It’s a curious mix of the everyday and the astonishing that reveals a lot about the world of cybercrime.  Perhaps the most telling is just how commonplace, work-a-day the process has become.  The organization has developed hacking kits that make the process of compromising networks something even entry level folks can get into.  (Amazingly, some new hires are even led to believe that they are working on legitimate white hat [penetration testing](https://www.zdnet.com/article/new-conti-ransomware-source-code-leaked/).)

The logs also reveal an intense interest in cryptocurrencies like Bitcoin within chats soliciting ideas about how best to get into crypto.  These ambitions include building their own [decentralized systems](https://intelx.io/?did=c1a56526-a254-4536-952f-cd9926f587c3), possibly for expediting the exchange of ransoms, or perhaps as a new means of driving income, or perhaps simply because it’s the cool thing to do these days.

To build our own, where it will already be possible to stick NFT, DEFI, DEX, and all the new trends that are and will be. So that others can already create their own coins, exchanges, and projects on our system. — Leaked Conti Chat LogsConti is constantly updating their capabilities to reflect the latest vulnerabilities, for example, [Conti was all over the Log4Shell vulnerability](https://www.techrepublic.com/article/conti-ransomware-is-exploiting-the-log4shell-vulnerability-to-the-tune-of-millions/).

The leaks also reveal more about the ties of [Conti to Russia and the FSB](https://www.wired.com/story/conti-ransomware-russia/).

 The sources are posted to VirusTotal in [this tweet](https://twitter.com/ContiLeaks/status/1505433648023146499).  BleepingComputer has successfully [compiled and run](https://www.bleepingcomputer.com/news/security/more-conti-ransomware-source-code-leaked-on-twitter-out-of-revenge/) the locker/decryptor package without issue.   The leaks also [include sources for the notorious TrickBot](https://twitter.com/ContiLeaks/status/1498633236855111680) malware, a kind of all-in-one hacking package.

## Hacktivists have their day

This is not the first time the group has been offered a taste of their own medicine.  In 2021, a disgruntled ‘partner’ revealed other information about the group.

This recent leak, however, is of a more thoroughgoing character, and has apparently compromised the ability of the group to function.  Although experts think the group will reconfigure to continue its activities, it’s not clear they will be able to operate at the same level as previously seen.  They [dismantled a significant portion of their infrastructure](https://www.scmagazine.com/analysis/ransomware/conti-ransomware-gang-dismantles-infrastructure-amid-ukraine-row) in response to the leaks.

Much of the leak is in Cyrillic, and there is a lot of it.  It’s an epic undertaking to parse and contextualize the information, especially as regards the practical technical information it provides for identifying and counteracting ransomware operators, but it’s clear the information is already having a profound effect on Conti, whose top boss has reportedly gone into hiding as a result.


[![](//ntvcld-a.akamaihd.net/image/upload/w_640,h_360,c_fill,g_auto:text,f_auto,fl_lossy,e_sharpen:70/assets/51D77B6CE72F45D49C71466A60EFDB1C.png)](https://googlechromeos.cio.com/1G2PvE1w/google-chrome-os-solutions)

 aside.nativo-promo{
 border-bottom: 1px solid #ccc;
 border-top: 1px solid #ccc; 
 padding-top: 10px; 
 margin-bottom: 20px !important;
 padding-bottom:10px; 
 position:relative;
 }
 
 aside.nativo-promo .excerpt-img img{
 max-height: 100% !important; 
 height: auto; 
 width:100% !important;
 }
 
aside.nativo-promo.smartphone.tablet.desktop p { font-size: 16px !important; line-height: 1.2 !important; }
aside.nativo-promo.smartphone.tablet.desktop p.post-meta { margin-top:0px !important;}
aside.nativo-promo.smartphone.tablet.desktop p.crawl-headline { font-size: 18px !important; }

#ntvImageBox {float: left;margin-right:20px;width: 300px; height:169px; overflow:hidden;}

@media only screen and (max-width: 667px) {
#ntvImageBox {margin-right:0; margin-bottom:10px; float:none; width:100%; height:auto;}

}


This is not the only instance of [hacktivism inspired by the Ukraine invasion](https://www.csoonline.com/article/3651535/rash-of-hacktivism-incidents-accompany-russia-s-invasion-of-ukraine.html).  For instance, the @beehivecybersec group posted a [successful attack](https://twitter.com/BeeHiveCyberSec/status/1505264447106867201) that brought the Russian foreign ministry website down.  A broader implication here is the power of sentiment in the global community to sway the force of cybersecurity and hacking activity one way or the other.  There is an interplay of the actual and virtual worlds here, and the invasion may have altered the shape of things in a fundamental way going forward.

By dividing the previous unity found in not attacking Slavic nations, the invasion has introduced a rift into the ransomware community.  Conti will probably reconfigure itself and return to its business of extortion, but the landscape in which it operates may never look the same.

The role that cybersecurity and cybercrime play in world events grows ever more prominent, as made clear in a March 21, 2021 [announcement from US President Biden](https://twitter.com/POTUS/status/1505974451434831874), where the threat of cyberattack from Russia is clearly spelled out.

The US Cybersecurity and Infrastructure Security Agency has issued an [ongoing advisory](https://www.cisa.gov/shields-up) covering the general cybersecurity situation, and a [specific one for Conti](https://www.cisa.gov/uscert/ncas/current-activity/2022/03/09/updated-conti-ransomware), with up-to-date [alerts](https://www.cisa.gov/uscert/ncas/alerts/aa21-265a).  These advisories are updated to reflect developments as the agency incorporates information from the leaks, including indicators of compromise as well as data on the various elements of their tactics for gaining access to networks.





## Tags:


### Autogenerated tags:
[[conti]] [[ransomware]] [[cybersecurity]] [[cybercrime]]
