# Entrust acknowledges June cyberattack, remains tight-lipped on the details
## The cybersecurity vendor has yet to disclose how the incident occurred, the type of data stolen and if ransomware was involved.
## Information:

+ Link: https://www.cybersecuritydive.com/news/entrust-cyberattack/628346/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 27 July 2022, 22:00
+ Date scraped: 02 August 2022, 16:01

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/teBpyKSIZs9_W_v54YyoDyh_cGZWkGBAWTB_0fKFh-U/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL3EySzh5MlJZLmpwZWc.jpeg)


Entrust confirmed it was hit by a cyberattack on June 18, which resulted in an intrusion of internal operations systems, but in a statement related to the attack the company remained tight-lipped.


The cybersecurity vendor said it has found no indication to date that its dozens of security products for identity and access management, ID and passport issuance, payments, cloud security and data processing were impacted and remain operational.


Entrust has more than 10,000 customers, including federal government agencies, banks, insurance companies, and tech firms such as Microsoft and VMware.


Though it admitted the attack, Entrust remains tight-lipped about how it happened, if ransomware was involved and what it’s doing in response.


#### **Entrust’s transparency is put to the test**


Transparency is a key differentiator following a cyberattack, and Entrust’s credibility going forward very much rides on how it responds in accordance with best practices, analysts said.


There’s also the matter of Entrust, a defender, becoming a victim and the extent to which it should be held to a higher standard.


That designation is intuitive for security companies because“they have access basically all the way down to the OS and kernel level on our systems to be able to enact security,”said Frank Dickson, group VP at IDC. The same standard applies to any software vendor or platform that has intimate access to critical data, he said.


“Any time when you’re entrusting someone with your most critical assets that basically involve whether or not your business can continue to exist, we have to have an elevated expectation for what security it operates for them,” Dickson said.


Allie Mellen, senior analyst at Forrester, concurs with that assessment. “Unfortunately, we live in a world where a post-breach mindset is critical. Any organization could be affected by a breach,” she said via email.


“What’s important here is how prepared the organization was to handle the incident, what safeguards were put in place to limit the scope of damage, and how they will prevent the attack from happening again,” Mellen said.


#### **Supply chain attacks can wreak havoc**


The 53-year-old company based in Minneapolis isn’t the first cybersecurity vendor, or in this case IAM specialist, to fall victim to a supply chain attack and it won’t be the last.



Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.


A[breach occurred at Okta in March](https://www.cybersecuritydive.com/news/okta-Microsoft-breach-Lapsus/620875/)when one of its third-party vendors was compromised, and in July 2021 remote IT monitoring firm[Kaseya was hit](https://www.cybersecuritydive.com/news/kaseya-supply-chain-attack/602867/)with an initial ransomware demand of $70 million in bitcoin following an attack that[impacted up to 1,500 downstream customers](https://www.cybersecuritydive.com/news/Kaseya-ransomware-what-happened/603103/).


Supply chain attacks are proliferating and of heightened concern because a “vendor’s compromised software can wreak havoc in customers’ environments,” Paul Rabinovich, senior director analyst at Gartner, said via email.


Entrust declined to answer questions about the extent and potential impact of the damage done, the type of data stolen or when customers were notified. It hired a firm to assist with an investigation that’s ongoing.


The company’s products and services “are run in separate, air-gapped environments from our internal systems and are fully operational,” Ken Kadet, VP of public relations and communications at Entrust, said in a statement.


Independent cybersecurity researcher Dominic Alvieri[published a letter](https://twitter.com/AlvieriD/status/1550119202287013891?s=20&t=-HBJnhB-kQ_Jpi4Qit_u_w)apparently sent to Entrust customers and signed by CEO Todd Wilkinson dated July 6 to alert them of the June 18 incident,[BleepingComputer reported](https://www.bleepingcomputer.com/news/security/digital-security-giant-entrust-breached-by-ransomware-gang/).


The company has yet to otherwise publicly acknowledge the attack. Entrust’s[last Twitter post](https://twitter.com/Entrust_Corp)occurred on June 17, the day before the attack, and there’s no mention of the incident on its blog.


That the breach occurred is less important than how Entrust performs during this stressful period, Dickson said. “It creates an event, and you’re either going to have a positive outcome or a negative outcome,” he said. “It will almost never be neutral.”





## Tags:


### Autogenerated tags:
[[cybersecurity]] [[dickson]]
