# Now Abyss Locker also targets VMware ESXi servers
## A Linux variant of the Abyss Locker designed to target VMware ESXi servers appeared in the threat landscape, experts warn. The operators behind the Abyss Locker developed a Linux variant that targets VMware ESXi servers expanding their potential targets. VMware ESXi servers are privileged targets of ransomware groups and are often part of enterprises’ infrastructures. […]
## Information:

+ Link: https://securityaffairs.com/148933/malware/abyss-locker-vmware-esxi.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 29 July 2023, 20:01
+ Date scraped: 29 July 2023, 21:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-43.png?resize=300%2C300&ssl=1)



## A Linux variant of the Abyss Locker designed to target VMware ESXi servers appeared in the threat landscape, experts warn.


The operators behind the Abyss Locker developed a Linux variant that targets VMware ESXi servers expanding their potential targets.


VMware ESXi servers are privileged targets of ransomware groups and are often part of enterprises’ infrastructures.


The Abyss Locker operation was launched early this year, like other ransomware groups, its operators implement a double-extortion model. At the time of this writing, the Tor leak site managed by the Abyss group lists 14 victim organizations.


[![](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-43.png?resize=1024%2C601&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-43.png?ssl=1)


Bleeping Computer [reported](https://www.bleepingcomputer.com/news/security/linux-version-of-abyss-locker-ransomware-targets-vmware-esxi-servers/) that the researcher [MalwareHunterTeam](https://twitter.com/malwrhunterteam) first discovered a Linux ELF encryptor for the Abyss ransomware that was designed to target VMware ESXi servers. Cybersecurity experts Michael Gillespie told BleepingComputer that the Abyss Locker Linux encryptor is based on the [Hello Kitty](https://securityaffairs.com/125675/cyber-crime/hellokitty-ransomware-ukraine.html) ransomware.


The analysis of the encryptor code revealed that use of the ‘esxcli’ command-line VMware ESXi management tool enumerate virtual machines and terminate them.


Once the VM has been terminated, the malicious code can encrypt virtual disks (.vmdk), metadata (.vmsd), and snapshots (.vmsn).


The Abyss encryptor appends the **.crypt** extension to the filenames of the encrypted files and for each file creates a file with a **.README\_TO\_RESTORE** extension, which is the ransom note that contains the instructions for the negotiations.


Abyss Locker is the last operation in order of time that developed an encryptor to target VMware ESXi servers, other ransomware groups using Linux encryptors are [AvosLocker](https://securityaffairs.com/126564/malware/avoslocker-targets-linux-esxi.html), [Black Basta](https://securityaffairs.com/132037/hacking/black-basta-ransomware-vmware-esxi.html), [BlackMatter](https://securityaffairs.com/120862/cyber-crime/blackmatter-ransomware-linux-version.html), [HelloKitty](https://securityaffairs.com/120158/cyber-crime/hellokitty-ransomware-linux-variant.html), [LockBit](https://securityaffairs.com/127248/cyber-crime/lockbit-ransomware-linux-vmware-esxi.html), [Luna](https://securityaffairs.com/133454/cyber-crime/luna-ransomware-rust.html), [RansomEXX](https://securityaffairs.com/141804/cyber-crime/vmware-esxi-ransomware.html), [REvil](https://securityaffairs.com/119497/cyber-crime/revil-ransomware-linux.html), and [Royal](https://securityaffairs.com/141876/cyber-crime/royal-ransomware-vmware-esxi.html).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **Abyss)**




  


---


  




## Tags:


### Autogenerated tags:
[[vmware]] [[esxi]] [[linux]] [[ransomware]] [[encryptor]]
