# Watch out, a bug in Linux Kernel 5.19.12 can damage displays on Intel laptops
## A bug in Linux Kernel 5.19.12 that was released at the end of September 2022 can potentially damage the displays of Intel laptops. Linux users reported the displays of their Intel laptops rapidly blinking, flickering, and showing white flashes after upgrading to Linux kernel version 5.19.12. Linux expert Ville Syrjäl pointed out that the anomalous […]
## Information:

+ Link: https://securityaffairs.co/wordpress/136751/security/linux-kernel-5-19-12-bug.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 06 October 2022, 21:14
+ Date scraped: 06 October 2022, 22:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2016/01/linux-malware.jpg?resize=300%2C300&ssl=1)


Linux users reported the displays of their Intel laptops rapidly blinking, flickering, and showing white flashes after upgrading to Linux kernel version 5.19.12.


Linux expert Ville Syrjäl [pointed out](https://lore.kernel.org/regressions/87y1twkgem.fsf@mattli.us/T/#t) that the anomalous [issue](https://gitlab.freedesktop.org/drm/intel/-/issues/7013) may damage displays.


*“After looking at some logs we do end up with potentially bogus panel power sequencing delays, which may harm the LCD panel.” [wrote Syrjäl](https://lore.kernel.org/regressions/87y1twkgem.fsf@mattli.us/T/#t). “Greg, I recommend immediate revert of this stuff, and new stable release ASAP. Plus a recommendation that no one using laptops with Intel GPUs run 5.19.12.”*


Syrjäl argued that the issue ends up with bogus panel power sequencing delays, which may harm the LCD panels.


[According to BleepingComputer](https://www.bleepingcomputer.com/news/linux/linux-kernel-51912-bug-could-damage-intel-laptop-displays/), most impacted Linux users running Arch and [Fedora](https://community.frame.work/t/fedora-freezes-and-flickering-on-newer-kernels/23063/3) distros on [Framework laptops](https://community.frame.work/t/psa-dont-upgrade-to-linux-kernel-5-19-12-arch1-1/23171).


The issue was addressed with the release of kernel version 5.19.13 on Tuesday.


*“I’m announcing the release of the 5.19.13 kernel. This release is to resolve a regression on some Intel graphics systems that had problems with 5.19.12.” reads the [announcement](https://lore.kernel.org/lkml/1664893073238194@kroah.com/T/) of the new release by Greg Kroah-Hartman. “If you do not have this problem with 5.19.12, there is no need to upgrade.”*


Experts recommend users to check the kernel version running on their laptops to avoid upgrading to the buggy Linux release.


Users that have already upgraded their laptops to Linux kernel version 5.19.12 are recommended to revert to stable and safe version.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Linux Kernel 5.19.12)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[linux]] [[laptops]] [[syrjäl]]
