# In Other News: Secure Use of AI, HHS Hacking, CISA Director Swatting
## Guidance on secure use of AI, HHS grant money stolen by hackers, CISA director Jen Easterly target of swatting.
## Information:

+ Link: https://www.securityweek.com/in-other-news-secure-use-of-ai-hhs-hacking-cisa-director-swatting/
+ Source: SecurityWeek
+ Author: SecurityWeek News
+ Date published: 26 January 2024, 13:48
+ Date scraped: 26 January 2024, 14:02

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/10/cybersecurity-news.jpg)


**SecurityWeek is publishing a weekly cybersecurity roundup that provides a concise compilation of noteworthy stories that might have slipped under the radar.**


We provide a valuable summary of stories that may not warrant an entire article, but are nonetheless important for a comprehensive understanding of the cybersecurity landscape.

[Each week](https://www.securityweek.com/topics/in-other-news/), we will curate and present a collection of noteworthy developments, ranging from the latest vulnerability discoveries and emerging attack techniques to significant policy changes and industry reports.


**Here are this week’s stories**:    


**Hackers stole millions in grant money from US Health Department**


[Hackers have stolen](https://www.bloomberg.com/news/articles/2024-01-18/us-health-department-cyber-attack-led-to-millions-in-grant-money-being-stolen) millions of dollars in grant money from the Department of Health and Human Services (HHS). The attackers gained access to an HHS system that processes civilian grant payments and withdrew roughly $7.5 million that was set aside for five accounts, Bloomberg reported. 


**SatoshiLabs investigating third-party support ticketing portal incident**


[SatoshiLabs is warning](https://blog.trezor.io/trezor-security-update-stay-vigilant-against-potential-phishing-attack-bb05015a21f8?gi=e007bd3e8c7b) of phishing attempts after a threat actor gained unauthorized access to a third-party support ticketing portal on January 17, likely accessing the contact information of 66,000 users who have interacted with Trezor Support since December 2021. The threat actor has already sent phishing emails to at least 41 customers, requesting sensitive information. 


**Threat actor selling the data of 15 million Trello members**


A threat actor announced on a hacking forum that they were selling a database containing the email addresses, names, and usernames of 15 million Trello users. The information has been added to the breach notification service [Have I Been Pwned](https://haveibeenpwned.com/PwnedWebsites#Trello). Atlassian, which owns Trello, told *SecurityWeek* that the data was not obtained via unauthorized access, but that the threat actor had been “testing a pre-existing list of email addresses against publicly available Trello user profiles”. The threat actor had been abusing a Trello REST API to query publicly available account information based on email addresses, BleepingComputer [says](https://www.bleepingcomputer.com/news/security/trello-api-abused-to-link-email-addresses-to-15-million-accounts/).


**CISA director Jen Easterly target of swatting**


Jen Easterly, the director of US cybersecurity agency CISA, was the target of a swatting attempt on December 30. Police in Arlington County, Virginia, received a 911 call that a shooting had occurred at her residence, The Record [reports](https://therecord.media/cisa-jen-easterly-swatting-incident). Other state and federal government officials were swatted in the recent months as well. 


**Browser-based phishing attacks increase**


Menlo Security has published a [report](https://resources.menlosecurity.com/all-content/state-of-browser-security-defending-browsers-against-zero-hour-phishing-attacks) focusing on browser-based phishing attacks. The company detected over 550,000 attacks in the past year and reported seeing a 198% increase. The number of attacks classified as evasive increased 206%. 


**Ransomware reports**


Reports focusing on ransomware were published this week by [Symantec](https://www.symantec.broadcom.com/ransomware-threat-landscape-2024), [GuidePoint](https://www.guidepointsecurity.com/wp-content/uploads/2024/01/GRIT_Ransomware_Annual_Report_2023.pdf), and [Dragos](https://www.dragos.com/blog/dragos-industrial-ransomware-analysis-q4-2023/). Symantec said the end of ransomware gangs’ reliance on critical vulnerabilities could be near. GuidePoint found an 80% year-over-year increase in activity and significant escalations in coercive tactics. Dragos looked at attacks aimed at industrial organizations in Q4 2023. 


**Kasseika ransomware**


Trend Micro reported that the [Kasseika ransomware](https://www.trendmicro.com/en_us/research/24/a/kasseika-ransomware-deploys-byovd-attacks-abuses-psexec-and-expl.html) is the latest to join the bring-your-own-vulnerable-driver (BYOVD) trend. Some evidence suggests the cybercriminals behind Kasseika have obtained the source code of the BlackMatter ransomware.  


**CherryLoader malware**


Arctic Wolf researchers discovered [CherryLoader](https://arcticwolf.com/resources/blog/cherryloader-a-new-go-based-loader-discovered-in-recent-intrusions/), a new loader written in Go. Its modularized features allow threat actors to swap exploits without recompiling code. The malware’s attack chain leverages process ghosting and allows hackers to escalate privileges and establish persistence on targeted devices.


**Government agencies publish guidance on secure use of AI systems**


A dozen government agencies from around the world have published joint guidance on the [secure use of AI systems](https://www.cyber.gov.au/resources-business-and-government/governance-and-user-education/governance/engaging-with-artificial-intelligence). The guidance provides an overview of AI-related threats and recommendations for managing AI-related risks.


**Related**: [In Other News: WEF’s Unsurprising Cybersecurity Findings, KyberSlash Cryptography Flaw](https://www.securityweek.com/in-other-news-wefs-unsurprising-cybersecurity-findings-kyberslash-cryptography-flaw/)


**Related**: [In Other News: WhatsApp Privacy Issue, Spying via Ambient Light Sensor, Bigpanzi Botnet](https://www.securityweek.com/in-other-news-whatsapp-privacy-issue-spying-via-ambient-light-sensor-bigpanzi-botnet/)





## Tags:


### Autogenerated tags:
[[ransomware]] [[trello]] [[cybersecurity]] [[phishing]] [[kasseika]]
