# 10-year-old Windows bug with 'opt-in' fix exploited in 3CX attack
## A 10-year-old Windows vulnerability is still being exploited in attacks to make it appear that executables are legitimately signed, with the fix from Microsoft still "opt-in" after all these years. Even worse, the fix is removed after upgrading to Windows 11.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/10-year-old-windows-bug-with-opt-in-fix-exploited-in-3cx-attack/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 31 March 2023, 14:38
+ Date scraped: 31 March 2023, 15:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/28/Windows.jpg)



A 10-year-old Windows vulnerability is still being exploited in attacks to make it appear that executables are legitimately signed, with the fix from Microsoft still "opt-in" after all these years. Even worse, the fix is removed after upgrading to Windows 11.


On Wednesday night, news broke that VoIP communications company [3CX was compromised](https://www.bleepingcomputer.com/news/security/hackers-compromise-3cx-desktop-app-in-a-supply-chain-attack/) to distribute trojanized versions of its Windows desktop application in a large-scale supply chain attack.


As part of this supply chain attack, two DLLs used by the Windows desktop application were replaced with malicious versions that download additional malware to computers, such as an information-stealing trojan.


One of the malicious DLLs used in the attack is usually a legitimate DLL signed by Microsoft named called d3dcompiler\_47.dll. However, the threat actors modified the DLL to include an encrypted malicious payload at the end of the file.


As [first noted](https://twitter.com/LawrenceAbrams/status/1641439503696134145) yesterday, even though the file was modified, Windows still showed it as correctly signed by Microsoft.



![Modified DLL seen as having a valid signature](https://www.bleepstatic.com/images/news/Microsoft/vulnerabilities/CVE-2013-3900/shows-as-signed.jpg)**Modified DLL seen as having a valid signature**  
*Source: BleepingComputer*


Code signing an executable, such as a DLL or EXE file, is meant to assure Windows users that the file is authentic and has not been modified to include malicious code.


When a signed executable is modified, Windows will display a message stating that the "digital signature of the object did not verify." However, even though we know that the d3dcompiler\_47.dll DLL was modified, it still showed as signed in Windows.


After contacting [Will Dormann](https://twitter.com/wdormann), a senior vulnerability analyst at ANALYGENCE, about this behavior and sharing the DLL, we were told that the DLL is exploiting the CVE-2013-3900 flaw, a "WinVerifyTrust Signature Validation Vulnerability."


Microsoft first disclosed this vulnerability on December 10th, 2013, and explained that adding content to an EXE's authenticode signature section (WIN\_CERTIFICATE structure) in a signed executable is possible without invalidating the signature.


For example, Dormann [explained in tweets](https://twitter.com/wdormann/status/1599854281711968257) that the Google Chrome installer adds data to the Authenticode structure to determine if you opted into "sending usage statistics and crash reports to Google." When Google Chrome is installed, it will check the authenticode signature for this data to determine if diagnostic reports should be enabled.


Microsoft ultimately decided to make the fix optional, likely because it would invalidate legitimate, signed executables that stored data in the signature block of an executable.


"On December 10, 2013, Microsoft released an update for all supported releases of Microsoft Windows that changes how signatures are verified for binaries signed with the Windows Authenticode signature format," explains Microsoft's disclosure for the CVE-2013-3900.


"This change can be enabled on an opt-in basis."


"When enabled, the new behavior for Windows Authenticode signature verification will no longer allow extraneous information in the WIN\_CERTIFICATE structure, and Windows will no longer recognize non-compliant binaries as signed."


It is now close to ten years later, with the vulnerability known to be exploited by numerous threat actors. Yet, it remains an opt-in fix that can only be enabled by manually editing the Windows Registry.


To enable the fix, Windows users on 64-bit systems can make the following Registry changes:



Windows Registry Editor Version 5.00    

[HKEY\_LOCAL\_MACHINE\Software\Microsoft\Cryptography\Wintrust\Config]     

"EnableCertPaddingCheck"="1"


[HKEY\_LOCAL\_MACHINE\Software\Wow6432Node\Microsoft\Cryptography\Wintrust\Config]   

"EnableCertPaddingCheck"="1"



Once these Registry keys are enabled, you can see how differently Microsoft validates the signature in the malicious d3dcompiler\_47.dll DLL used in the 3CX supply chain attack.




|  |  |
| --- | --- |
| 
**Malicious DLL shows as signed pre-fix**​​​

 | 
Malicious DLL shows as unsigned after the fix**Malicious DLL shows as unsigned after the fix**

 |

To make matters worse, even if you add the Registry keys to apply the fix, they will be removed once you upgrade to Windows 11, making your device vulnerable again.


[![Matty's tweet](https://www.bleepstatic.com/images/news/Microsoft/vulnerabilities/CVE-2013-3900/matty-tweet.jpg)](https://twitter.com/ThePhoenixVents/status/1610989613459410946)


As the vulnerability has been used in recent attacks, such as the 3CX supply chain and a [Zloader malware distribution campaign](https://research.checkpoint.com/2022/can-you-trust-a-files-digital-signature-new-zloader-campaign-exploits-microsofts-signature-verification-putting-users-at-risk/) in January, it has become clear that it should be fixed, even if that inconveniences developers.


Unfortunately, most don't know about this flaw and will look at a malicious file and assume it's trustworthy as Windows reports it as being so.


"But when a fix is optional, the masses aren't going to be protected," warned Dormann.


I enabled the optional fix, used the computer as usual throughout the day, and did not run into any issues that made me regret my decision.


While this may cause an issue with some installers, like Google Chrome, not showing as signed, the added protection is worth the inconvenience.


BleepingComputer reached out to Microsoft about the continued abuse of this flaw and it only being an opt-in fix but has not received a reply.





## Tags:
***CVE's***: CVE-2013-3900

### Autogenerated tags:
[[windows]] [[microsoft]] [[dll]] [[authenticode]] [[opt-in]] [[google]] [[3cx]] [[d3dcompiler_47.dll]] [[dormann]]
