# Trojanized dnSpy app drops malware cocktail on researchers, devs
## Hackers targeted cybersecurity researchers and developers this week in a sophisticated malware campaign distributing a malicious version of the dnSpy .NET application to install cryptocurrency stealers, remote access trojans, and miners.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/trojanized-dnspy-app-drops-malware-cocktail-on-researchers-devs/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 08 January 2022, 19:35
+ Date scraped: 08 January 2022, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/28/hacker.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/12/28/hacker.jpg)

![Cyberattack](https://www.bleepstatic.com/content/hl-images/2021/12/28/hacker.jpg)


Hackers targeted cybersecurity researchers and developers this week in a sophisticated malware campaign distributing a malicious version of the dnSpy .NET application to install cryptocurrency stealers, remote access trojans, and miners.


dnSpy is a popular debugger and .NET assembly editor used to debug, modify, and decompile .NET programs. Cybersecurity researchers commonly use this program when analyzing .NET malware and software.


While the software is no longer actively developed by the initial developers, the [original source code](https://github.com/dnSpy/dnSpy) and a new [actively developed version](https://github.com/dnSpyEx/dnSpy) is available on GitHub to be cloned and modified by anyone.


Malicious dnSpy delivers a cocktail of malware
----------------------------------------------


This week, a threat actor created a GitHub repository with a compiled version of dnSpy that installs a cocktail of malware, including clipboard hijackers to steal cryptocurrency, the Quasar remote access trojan, a miner, and a variety of unknown payloads.


This new campaign was discovered by security researchers [0day enthusiast](https://twitter.com/impost0r_/status/1479600560240222208) and [MalwareHunterTeam](https://twitter.com/malwrhunterteam/status/1479767752885874688) who saw the malicious dnSpy project initially hosted at https://github[.]com/carbonblackz/dnSpy/ and then switching to https://github[.]com/isharpdev/dnSpy to appear more convincing.


 



![Malicious dnSpy GitHub repository](https://www.bleepstatic.com/images/news/security/attacks/s/security-researchers/fake-dnspy/fake-releases-page.jpg)**Malicious dnSpy GitHub repository**  

Source: MalwareHunterTeam
The threat actors also created a website at dnSpy[.]net that was nicely designed and professional-looking. This site is now down, but you can see a screenshot of the archived version below.



![Malicious dnspy[.net] site](https://www.bleepstatic.com/images/news/security/attacks/s/security-researchers/fake-dnspy/fake-malicious-dnspy-site.jpg)**Malicious dnSpy[.net] site**  
*Source:BleepingComputer*
To promote the website, the threat actors performed successful search engine optimization to get dnSpy[.]net listed on the first page of Google. This domain was also [listed prominently](https://twitter.com/1ZRR4H/status/1479869137610551301) on Bing, Yahoo, AOL, Yandex, and Ask.com.


As a backup plan, they also took out search engine ads to appear as the first item in search results, as shown below.



![Google ad for fake DNSpy site](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Google ad for fake dnSpy site**  
*Source: BleepingComputer*
The malicious dnSpy application looks like the normal program when executed. It allows you to open .NET applications, debug them, and perform all the normal functions of the program.



![Fake DNSpy application](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Fake dnSpy application**  
*Source: BleepingComputer*
However, when the malicious dnSpy application [[VirusTotal](https://www.virustotal.com/gui/file/005526de4599f96a4a1eba9de9d6ad930de13d5ea1a23fada26e1575f4e3cf85)] is launched, it will execute a series of commands that create scheduled tasks that run with elevated permissions.


In a [list of the commands](https://pastebin.com/J6nH0KSD) shared with BleepingComputer by MalwareHunterTeam, the malware performs the following actions:


* Disables Microsoft Defender
* Uses bitsadmin.exe to download curl.exe to %windir%\system32\curl.exe.
* Uses curl.exe and bitsadmin.exe to download a variety of payloads to the C:\Trash folder and launch them.
* Disables User Account Control.


![Commands executed by fake DNSpy program](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Commands executed by fake dnSpy program**  
*Source: MalwareHunterTeam*
The payloads are downloaded from http://4api[.]net/ and include a variety of malware listed below:


* %windir%\system32\curl.exe - The curl program.
* C:\Trash\c.exe - Unknown [[VirusTotal](https://www.virustotal.com/gui/file/cabc62b3077c2df3b69788e395627921c309e112b555136e99949c5a2bbab4f2)]
* C:\Trash\ck.exe - Unknown
* C:\Trash\cbot.exe - Clipboard Hijacker [[VirusTotal](https://www.virustotal.com/gui/file/746a7a64ec824c63f980ed2194eb7d4e6feffc2dd6b0055ac403fac57c26f783)]
* C:\Trash\cbo.exe - Unknown [[VirusTotal](https://www.virustotal.com/gui/file/e998df840b687ec58165355c1d60938b367edc2967df2a9d44b74ad38f75f439/behavior/C2AE)]
* C:\Trash\qs.exe - Quasar RAT [[VirusTotal](https://www.virustotal.com/gui/file/70ad9112a3f0af66db30ebc1ab3278296d7dc36e8f6070317765e54210d06074)]
* C:\Trash\m.exe - Miner [[VirusTotal](https://www.virustotal.com/gui/url/8b7874d328da564aca73e16ae4fea2f2c0a811ec288bd0aba3b55241242be40d)]
* C:\Trash\d.exe - Legitimate [Defender Control](https://www.sordum.org/9480/defender-control-v2-0/) application to disable Microsoft Defender. [[VirusTotal](https://www.virustotal.com/gui/file/6606d759667fbdfaa46241db7ffb4839d2c47b88a20120446f41e916cad77d0b)]
* C:\Trash\nnj.exe - Unknown

The clipboard hijacker (cbot.exe) uses cryptocurrency addresses used in previous attacks with some success. The bitcoin address has [stolen 68 bitcoin transactions](http://twitter.com/sundhaug92/status/1479856038316810246) totaling approximately $4,200.


The cryptocurrency addresses used as part of this campaign are:


* Bitcoin: [175A7JNERg82zY3xwGEEMq8EyCnKn797Z4](https://www.blockchain.com/btc/address/175A7JNERg82zY3xwGEEMq8EyCnKn797Z4)
* Ethereum: [0x4dd10a91e43bc7761e56da692471cd38c4aaa426](https://etherscan.io/address/0x4dd10a91e43bc7761e56da692471cd38c4aaa426)
* Tron?: [TPRNNuj6gpBQt4PLsNv7ZVeYHyRJGgJA61](https://trx.tokenview.com/en/address/TPRNNuj6gpBQt4PLsNv7ZVeYHyRJGgJA61)
* Litecoin: [LQFiuJQCfRqcR9TjqYmi1ne7aANpyKdQpX](https://blockchair.com/litecoin/address/LQFiuJQCfRqcR9TjqYmi1ne7aANpyKdQpX)

At this time, both the dnSpy[.]net and the GitHub repository used to power this campaign are shut down.


However, security researchers and developers need to constantly be on the lookout for malicious clones of popular projects that install malware on their devices.


Attacks on cybersecurity researchers and developers are not new and are increasingly becoming more common to steal undisclosed vulnerabilities, source code, or gain access to sensitive networks.


Last year, Google and security researchers discovered that state-sponsored North Korean hackers targeted vulnerability researchers using a variety of lures. These lures included [fake Visual Studio projects](https://www.bleepingcomputer.com/news/security/north-korean-hackers-are-targeting-security-researchers-with-malware-0-days/), [Internet Explorer zero-day vulnerabilities](https://www.bleepingcomputer.com/news/security/hacking-group-also-used-an-ie-zero-day-against-security-researchers/), [malicious cybersecurity companies](https://www.bleepingcomputer.com/news/security/google-north-korean-hackers-target-security-researchers-again/), and [malicious IDA Pro](https://www.bleepingcomputer.com/news/security/lazarus-hackers-target-researchers-with-trojanized-ida-pro/) downloads.


IOCs:
-----



```
dnSpy-net-win32.zip - 6112e0aa2a53b6091b3d7834b60da6cd2b3c7bf19904e05765518460ac513bfa
dnSpy-net-win64.zip - 005526de4599f96a4a1eba9de9d6ad930de13d5ea1a23fada26e1575f4e3cf85
curl.exe - 0ba1c44d0ee5b34b45b449074cda51624150dc16b3b3c38251df6c052adba205
c.exe - cabc62b3077c2df3b69788e395627921c309e112b555136e99949c5a2bbab4f2
ck.exe - NA
cbot.exe - 746a7a64ec824c63f980ed2194eb7d4e6feffc2dd6b0055ac403fac57c26f783
cbo.exe - e998df840b687ec58165355c1d60938b367edc2967df2a9d44b74ad38f75f439/
qs.exe - 70ad9112a3f0af66db30ebc1ab3278296d7dc36e8f6070317765e54210d06074
m.exe - 8b7874d328da564aca73e16ae4fea2f2c0a811ec288bd0aba3b55241242be40d
d.exe - 6606d759667fbdfaa46241db7ffb4839d2c47b88a20120446f41e916cad77d0b
nnj.exe - NA
```






## Tags:
***email-adresses***: awebsite@dnspy.net
***urls***: http://dnSpy.net https://github.com/carbonblackz/dnSpy/ https://github.com/isharpdev/dnSpy http://4api.net/
***SHA1-hash***: 4dd10a91e43bc7761e56da692471cd38c4aaa426
***SHA256-hash***: 0ba1c44d0ee5b34b45b449074cda51624150dc16b3b3c38251df6c052adba205 70ad9112a3f0af66db30ebc1ab3278296d7dc36e8f6070317765e54210d06074 8b7874d328da564aca73e16ae4fea2f2c0a811ec288bd0aba3b55241242be40d 005526de4599f96a4a1eba9de9d6ad930de13d5ea1a23fada26e1575f4e3cf85 e998df840b687ec58165355c1d60938b367edc2967df2a9d44b74ad38f75f439 6606d759667fbdfaa46241db7ffb4839d2c47b88a20120446f41e916cad77d0b 6112e0aa2a53b6091b3d7834b60da6cd2b3c7bf19904e05765518460ac513bfa 746a7a64ec824c63f980ed2194eb7d4e6feffc2dd6b0055ac403fac57c26f783 cabc62b3077c2df3b69788e395627921c309e112b555136e99949c5a2bbab4f2

### Autogenerated tags:
[[dnspy]] [[malware]] [[[virustotal]]] [[cybersecurity]] [[github]] [[malwarehunterteam]] [[dnspy[.]net]] [[google]] [[bleepingcomputer]] [[curl.exe]]
