# Almost 900 servers hacked using Zimbra zero-day flaw
## Almost 900 servers have been hacked using a critical Zimbra Collaboration Suite (ZCS) vulnerability, which at the time was a zero-day without a patch for nearly 1.5 months.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/almost-900-servers-hacked-using-zimbra-zero-day-flaw/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 15 October 2022, 14:14
+ Date scraped: 15 October 2022, 22:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/28/server-rack.jpg)



Almost 900 servers have been hacked using a critical Zimbra Collaboration Suite (ZCS) vulnerability, which at the time was a zero-day without a patch for nearly 1.5 months.


The vulnerability tracked as CVE-2022-41352 is a remote code execution flaw that allows attackers to send an email with a malicious archive attachment that plants a web shell in the ZCS server while, at the same time, bypassing antivirus checks.


According to the cybersecurity company [Kaspersky](https://securelist.com/ongoing-exploitation-of-cve-2022-41352-zimbra-0-day/107703/), various APT (advanced persistent threat) groups actively exploited the flaw soon after it was reported on the [Zimbra forums](https://forums.zimbra.org/viewtopic.php?t=71153&p=306532).


Kaspersky told BleepingComputer that they detected at least 876 servers being compromised by sophisticated attackers leveraging the vulnerability before it was widely publicized and received a [CVE identifier](https://nvd.nist.gov/vuln/detail/CVE-2022-41352).


## Under active exploitation


Last week, a Rapid7 report [warned about the active exploitation](https://www.bleepingcomputer.com/news/security/hackers-exploiting-unpatched-rce-bug-in-zimbra-collaboration-suite/) of CVE-2022-41352 and urged admins to apply the available workarounds since a security update wasn’t available then.


On the same day, a proof of concept (PoC) was added to the Metasploit framework, enabling even low-skilled hackers to launch effective attacks against vulnerable servers.


Zimbra has since [released a security fix](https://wiki.zimbra.com/wiki/Zimbra_Releases/9.0.0/P27) with ZCS version 9.0.0 P27, replacing the vulnerable component (cpio) with Pax and removing the weak part that made exploitation possible.


However, the exploitation had picked up the pace by then, and numerous threat actors had already started launching opportunistic attacks.


Volexity reported yesterday that its analysts had identified approximately 1,600 ZCS servers that they believe were compromised by threat actors leveraging CVE-2022-41352 to plant webshells.


[![volexity tweet](https://www.bleepstatic.com/images/news/u/1220909/social%20media/volexity-tweet.png)](https://twitter.com/Volexity/status/1580591431197945857)


## Used by advanced hacking groups


In private conversations with cybersecurity firm Kaspersky, BleepingComputer was told that an unknown APT leveraging the critical flaw had likely pieced together a working exploit based on the information posted to the Zimbra forums.


The first attacks started in September, targeting vulnerable Zimbra servers in India and some in Turkey. This initial wave of attacks was likely a testing wave against low-interest targets to evaluate the effectiveness of the attack.


However, Kaspersky assessed that the threat actors compromised 44 servers during this initial wave.


As soon as the vulnerability became public, the threat actors shifted gears and began to perform mass targeting, hoping to compromise as many servers worldwide as possible before admins patched the systems and shut the door to intruders.


This second wave had a greater impact, infecting 832 servers with malicious webshells, although these attacks were more random than the previous attacks.


ZCS admins who haven’t applied the available Zimbra security updates or the workarounds need to do so immediately, as exploitation activity is in high gear and will likely not stop for some time.





## Tags:
***CVE's***: CVE-2022-41352

### Autogenerated tags:
[[zimbra]] [[zcs]] [[kaspersky]] [[cve-2022-41352]] [[admins]]
