# Apple re-releases zero-day patch after fixing browsing issue
## Apple fixed and re-released emergency security updates addressing a WebKit zero-day vulnerability exploited in attacks. The initial patches had to be withdrawn on Monday due to browsing issues on certain websites.
## Information:

+ Link: https://www.bleepingcomputer.com/news/apple/apple-re-releases-zero-day-patch-after-fixing-browsing-issue/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 12 July 2023, 17:27
+ Date scraped: 12 July 2023, 22:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/19/Apple.jpg)



Apple fixed and re-released emergency security updates addressing a [WebKit zero-day vulnerability exploited in attacks](https://www.bleepingcomputer.com/news/apple/apple-releases-emergency-update-to-fix-zero-day-exploited-in-attacks/). The initial patches had to be withdrawn on Monday due to browsing issues on certain websites.


"Apple is aware of an issue where recent Rapid Security Responses might prevent some websites from displaying properly," Apple [said](https://www.bleepingcomputer.com/news/security/apple-confirms-webkit-security-updates-break-browsing-on-some-sites/) on Tuesday.


The company added it would soon release fixed versions of the buggy updates and advised customers to remove them if they were experiencing issues while browsing the web after updating.


While Apple did not share why some websites were prevented from rendering correctly after installing the iOS 16.5.1 (a), iPadOS 16.5.1 (a), and macOS 13.4.1 (a) updates, this likely happened because the new Safari user agent containing an "(a)" string prevented websites from detecting it as a valid version of Safari, causing it to display "browser not supported" error messages.


Today, Apple started pushing iOS 16.5.1 (c), iPadOS 16.5.1 (c), and macOS 13.4.1 (c) Security Response updates that address the web browsing issues.


Apple uses RSR patches to address security issues impacting iPhone, iPad, and Mac devices and to quickly patch vulnerabilities actively exploited in attacks between major OS releases.



![Fixed macOS Security Response update](https://www.bleepstatic.com/images/news/u/1109292/2023/Fixed%20macOS%20Security%20Response%20update.png)*Fixed macOS Security Response update (BleepingComputer)*


The zero-day flaw (CVE-2023-37450) patched today impacts the WebKit browser engine, and it allows attackers to gain arbitrary code execution by tricking targets into opening maliciously crafted web pages.


"This Rapid Security Response provides important security fixes and is recommended for all users," Apple warns customers on devices where these emergency patches are delivered.


"Apple is aware of a report that this issue may have been actively exploited," the company says in [iOS](https://support.apple.com/en-us/HT213823) and [macOS](https://support.apple.com/en-us/HT213825) security advisories describing the CVE-2023-37450 flaw patched in today's re-released emergency security updates.


Since the start of 2023, the company addressed a total of ten zero-day flaws exploited in the wild to hack iPhones, Macs, or iPads:


* [three zero-days](https://www.bleepingcomputer.com/news/apple/apple-fixes-zero-days-used-to-deploy-triangulation-spyware-via-imessage/) (CVE-2023-32434, CVE-2023-32435, and CVE-2023-32439) in June
* [three more zero-days](https://www.bleepingcomputer.com/news/apple/apple-fixes-three-new-zero-days-exploited-to-hack-iphones-macs/) (CVE-2023-32409, CVE-2023-28204, and CVE-2023-32373) in May
* [two zero-days](https://www.bleepingcomputer.com/news/apple/apple-fixes-two-zero-days-exploited-to-hack-iphones-and-macs/) (CVE-2023-28206 and CVE-2023-28205) in April
* and [another WebKit zero-day](https://www.bleepingcomputer.com/news/security/apple-fixes-new-webkit-zero-day-exploited-to-hack-iphones-macs/) (CVE-2023-23529) in February





## Tags:
***CVE's***: CVE-2023-37450 CVE-2023-23529 CVE-2023-32373 CVE-2023-32409 CVE-2023-32434 CVE-2023-32439 CVE-2023-28206 CVE-2023-32435 CVE-2023-28205 CVE-2023-28204

### Autogenerated tags:
[[zero-day]] [[websites]] [[macos]] [[webkit]] [[zero-days]]
