# Apple’s first Rapid Security Response patch fails to install on iPhones
## Apple has launched the first Rapid Security Response (RSR) patches for iOS 16.4.1 and macOS 13.3.1 devices, with some users having issues installing them on their iPhones.
## Information:

+ Link: https://www.bleepingcomputer.com/news/apple/apples-first-rapid-security-response-patch-fails-to-install-on-iphones/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 01 May 2023, 20:17
+ Date scraped: 01 May 2023, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/19/Apple.jpg)



Apple has launched the first Rapid Security Response (RSR) patches for iOS 16.4.1 and macOS 13.3.1 devices, with some users having issues installing them on their iPhones.


As the company describes in a recently published [support document](https://support.apple.com/en-us/HT201224), RSR patches are small-sized updates that target the iPhone, iPad, and Mac platforms and patch security issues between major software updates.


Some of these out-of-band security updates may also be used to address vulnerabilities actively exploited in attacks.


"They deliver important security improvements between software updates — for example, improvements to the Safari web browser, the WebKit framework stack, or other critical system libraries," Apple explains.


"They may also be used to mitigate some security issues more quickly, such as issues that might have been exploited or reported to exist 'in the wild'."


You can go through the following steps to check if RSR patches are available for your device:


* iPhone or iPad: Go to Settings > General > Software Update > Automatic Updates, then make sure that "Security Responses & System Files" is turned on.
* Mac: Choose Apple menu  > System Settings. Click General in the sidebar, then click Software Update on the right. Click the Show Details button ​ next to Automatic Updates, then make sure that "Install Security Responses and system files" is turned on.

Should you disable automatic updates or decline to install Rapid Security Responses when offered, your device will receive the security patches as part of a future software upgrade.



![First RSR patch for Macs](https://www.bleepstatic.com/images/news/u/1109292/2023/First-RSR-patch-for-Macs.png)*First RSR patch for Macs (BleepingComputer)*


## ​First RSR patch fails to install on some iPhones


According to user reports [[1](https://twitter.com/tomwarren/status/1653103428053221376), [2](https://twitter.com/ClassicII_MrMac/status/1653104081232093199), [3](https://twitter.com/dhinakg/status/1653102574122196993), [4](https://twitter.com/GianlucAvagnina/status/1653099435503542283)], the RSR update delivered today for iPhones also fails to install on some devices with "Unable to Verify Security Response" errors.


"iOS Security Response 16.4.1 (a) failed verification because you are no longer connected to the Internet," the errors read.


Despite this, as BleepingComputer confirmed, the affected devices are connected to the Internet, and a server-side bug likely causes the issues.



![First iOS RSR patch failing to install](https://www.bleepstatic.com/images/news/u/1109292/2023/First-iOS-RSR-patch-failing-to-install.png)*The First iOS RSR patch failing to install (BleepingComputer)*


​While today's Rapid Security Responses are rolling to all iOS and macOS users, Apple is yet to share what security improvements they bring.


The ["Apple security updates" page](https://support.apple.com/en-gb/HT201222), which usually lists the latest security updates, has no details on today's RSR patches, and Apple has not yet shared where they'll share this information.


The only info shared on the update screen is that "This Rapid Security Response provides important security fixes and is recommended for all users. To learn more please visit: https://support.apple.com/HT201224."


However, the page linked in the release notes is [the support page](http://support.apple.com/en-us/HT201224) published this week to explain what Rapid Security Responses are, which provides no additional details on what security vulnerabilities were fixed today.


An Apple spokesperson was not immediately available for comment when contacted by BleepingComputer for more details on what was patched in today's RSR updates and what is causing the install issues.





## Tags:
***urls***: https://support.apple.com/HT201224

### Autogenerated tags:
[[rsr]] [[bleepingcomputer]] [[iphones]]
