# Barracuda working on fix for ongoing Email Gateway login issues
## Email and network security firm Barracuda is working to fix an ongoing issue that triggers invalid login errors and prevents Email Gateway Defense users from signing into their accounts.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/barracuda-working-on-fix-for-ongoing-email-gateway-login-issues/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 07 July 2023, 11:19
+ Date scraped: 07 July 2023, 16:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/07/07/Barracuda_sea.jpg)



*Image: Bing Image Creator*


Email and network security firm Barracuda is working to fix an ongoing issue that triggers invalid login errors and prevents Email Gateway Defense users from signing into their accounts.


The root cause of the sign-in problems showing "The link to login is invalid" errors has already been identified, and the company says this known issue will be addressed until next Friday according to the current projected timeline.


"We are investigating login problems seen by users and have identified the problem. We are working on fixing the issue with a tentative timeline for the fix to be released on or before July 14th," Barracuda [says](https://status.barracuda.com/incidents/4vvnnzc8ngx5).


"We thank you for your understanding and support as we work through this issue and sincerely apologize for any inconvenience it may cause."


The company is yet to reveal details on what is causing these login issues and how widespread they are.


A Barracuda spokesperson was not immediately available for comment when contacted by BleepingComputer earlier today.


## ESG zero-day exploited for data theft


This incident follows a series of data-theft attacks in which a [suspected pro-China hacker group](https://www.bleepingcomputer.com/news/security/barracuda-esg-zero-day-attacks-linked-to-suspected-chinese-hackers/) tracked by Mandiant as UNC4841 compromised Barracuda ESG (Email Security Gateway) appliances using a now-patched zero-day bug (CVE-2023-2868).


On May 19th, Barracuda revealed that the vulnerability was [under active exploitation](https://www.bleepingcomputer.com/news/security/barracuda-warns-of-email-gateways-breached-via-zero-day-flaw/). As a precautionary measure, CISA also [issued an alert](https://www.bleepingcomputer.com/news/security/cisa-warns-govt-agencies-of-recently-patched-barracuda-zero-day/) for U.S. Federal agencies, ordering them to secure their networks against the attacks.


CVE-2023-2868 has been exploited [since at least October 2022](https://www.bleepingcomputer.com/news/security/barracuda-zero-day-abused-since-2022-to-drop-new-malware-steal-data/) to drop previously unknown malware and steal data from hacked appliances.


In a rather unconventional move earlier last month, Barracuda provided impacted customers [with replacement devices at no cost](https://www.bleepingcomputer.com/news/security/barracuda-says-hacked-esg-appliances-must-be-replaced-immediately/), rather than merely re-image the existing devices with new firmware after warning that all hacked ESG appliances must be replaced immediately.


Barracuda claims its products and services are used by over 200,000 organizations worldwide, including high-profile ones such as Samsung, Delta Airlines, Mitsubishi, and Kraft Heinz.





## Tags:
***CVE's***: CVE-2023-2868

### Autogenerated tags:
[[esg]]
