# Black Basta, Bl00dy ransomware gangs join ScreenConnect attacks
## The Black Basta and Bl00dy ransomware gangs have joined widespread attacks targeting ScreenConnect servers unpatched against a maximum severity authentication bypass vulnerability.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/black-basta-bl00dy-ransomware-gangs-join-screenconnect-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 27 February 2024, 13:53
+ Date scraped: 27 February 2024, 19:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/11/13/hackers_data_center.jpg)



The Black Basta and Bl00dy ransomware gangs have joined widespread attacks targeting ScreenConnect servers unpatched against a maximum severity authentication bypass vulnerability.


This critical flaw (CVE-2024-1709) allows attackers to create admin accounts on Internet-exposed servers, delete all other users, and take over any vulnerable instance.


CVE-2024-1709 has been under active exploitation since last Tuesday, one day after ConnectWise [released security updates](https://www.bleepingcomputer.com/news/security/connectwise-urges-screenconnect-admins-to-patch-critical-rce-flaw/) and [proof-of-concept exploits](https://www.bleepingcomputer.com/news/security/screenconnect-critical-bug-now-under-attack-as-exploit-code-emerges/) were released by several cybersecurity companies.


Last week, ConnectWise also fixed a high-severity path traversal vulnerability (CVE-2024-1708) that can only be abused by threat actors with high privileges.


The company [removed all license restrictions](https://www.connectwise.com/company/trust/security-bulletins/connectwise-screenconnect-23.9.8) last week so customers with expired licenses can secure their servers from ongoing attacks given that these two security bugs impact all ScreenConnect versions.


On Thursday, CISA also [added CVE-2024-1709](https://www.cisa.gov/news-events/alerts/2024/02/22/cisa-adds-one-known-exploited-vulnerability-catalog) to its [Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog), ordering U.S. federal agencies to secure their servers by February 29.


Shadowserver says that CVE-2024-1709 is now [widely exploited](http://twitter.com/Shadowserver/status/1760740607268638809) in attacks, with dozens of IPs targeting servers exposed online, while Shodan currently tracks [over 10,000 ScreenConnect servers](https://www.shodan.io/search?query=%22Server%3A+ScreenConnect%22) (only 1,559 running the [ScreenConnect 23.9.8 patched version](https://www.shodan.io/search?query=%22Server%3A+ScreenConnect%2F23.9.8%22)).


While analyzing these ongoing attacks, Trend Micro discovered that the Black Basta and Bl00dy ransomware gangs have also started exploiting the ScreenConnect flaws for initial access and backdooring the victims' networks with web shells.



![ScreenConnect attack flow](https://www.bleepstatic.com/images/news/u/1109292/2024/ScreenConnect_attack_flow.jpg)*ScreenConnect attack flow (Trend Micro)*


​While investigating their attacks, [Trend Micro observed](https://www.trendmicro.com/en_us/research/24/b/threat-actor-groups-including-black-basta-are-exploiting-recent-.html) reconnaissance, discovery, and privilege escalation activity after the attackers gained access to the network and Black Basta-linked Cobalt Strike beacons being deployed on compromised systems.


The Bl00dy ransomware gang used payloads built using leaked Conti and LockBit Black builders. However, their dropped ransom notes identified the attackers as part of the Bl00dy cybercrime operation.


Trend Micro also saw attackers deploying the multi-purpose [XWorm malware](https://malpedia.caad.fkie.fraunhofer.de/details/win.xworm) with remote access trojan (RAT) and [ransomware capabilities](https://www.trellix.com/blogs/research/old-loader-new-threat-exploring-xworm/).


Other threat actors used the newly gained access to compromised ScreenConnect servers to deploy various remote management tools, such as Atera and Syncro, or a second ConnectWise instance.


Sophos first [revealed in a Thursday report](https://www.bleepingcomputer.com/news/security/new-screenconnect-rce-flaw-exploited-in-ransomware-attacks/) that the recently patched ScreenConnect flaws are exploited in ransomware attacks.


They spotted multiple ransomware payloads built using the LockBit ransomware builder [leaked online](https://www.bleepingcomputer.com/news/security/lockbit-ransomware-builder-leaked-online-by-angry-developer/) in late September 2022, including a buhtiRansom payload found on 30 different networks and a second LockBit variant created using the leaked Lockbit builder.


Cybersecurity company Huntress also confirmed their findings last week and told BleepingComputer that "a local government, including systems likely linked to their 911 Systems" and a "healthcare clinic" have also been hit by ransomware attackers who exploited the CVE-2024-1709 auth bypass to breach the victims' networks.


"Following our detailed examination of various threat actors exploiting vulnerabilities in ConnectWise ScreenConnect, we emphasize the urgency of updating to the latest version of the software," Trend Micro said today.


"Immediate patching is not just advisable; it is a critical security requirement to protect your systems from these identified threats."





## Tags:
***CVE's***: CVE-2024-1708 CVE-2024-1709

### Autogenerated tags:
[[screenconnect]] [[ransomware]] [[cve-2024-1709]] [[bl00dy]] [[connectwise]] [[lockbit]]
