# CISA: New Submarine malware found on hacked Barracuda ESG appliances
## CISA says new malware known as Submarine was used to backdoor Barracuda ESG (Email Security Gateway) appliances by exploiting a now-patched zero-day bug.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-new-submarine-malware-found-on-hacked-barracuda-esg-appliances/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 28 July 2023, 17:27
+ Date scraped: 28 July 2023, 22:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/07/01/CISA.jpg)



CISA says new malware known as Submarine was used to backdoor Barracuda ESG (Email Security Gateway) appliances by exploiting a now-patched zero-day bug.


A suspected pro-China hacker group (UNC4841) deployed the backdoor in a series of data-theft attacks [detected in May](https://www.bleepingcomputer.com/news/security/barracuda-warns-of-email-gateways-breached-via-zero-day-flaw/) but active [since at least October 2022](https://www.bleepingcomputer.com/news/security/barracuda-zero-day-abused-since-2022-to-drop-new-malware-steal-data/).


Barracuda revealed that the attackers exploited the [CVE-2023-2868](https://nvd.nist.gov/vuln/detail/CVE-2023-2868) remote command injection zero-day to [drop previously unknown malware](https://www.bleepingcomputer.com/news/security/barracuda-zero-day-abused-since-2022-to-drop-new-malware-steal-data/) dubbed Saltwater and SeaSpy and a malicious tool called SeaSide to establish reverse shells for easy remote access.


Last month, Barracuda took an unconventional approach and [offered replacement devices](https://www.bleepingcomputer.com/news/security/barracuda-says-hacked-esg-appliances-must-be-replaced-immediately/) to all affected customers at no charge.


This decision came after issuing a warning that all compromised ESG (Email Security Gateway) appliances needed immediate replacement instead of merely re-imaging them with new firmware.


Mandiant Incident Response Manager John Palmisano told BleepingComputer at the time that this was recommended out of caution, as the company could not ensure the complete removal of malware.


## Unknown backdoor found on hacked ESG appliances


On Friday, CISA [revealed](https://www.cisa.gov/news-events/alerts/2023/07/28/cisa-releases-malware-analysis-reports-barracuda-backdoors) that another new malware strain known as Submarine was found on the compromised appliances, a multi-component backdoor used for detection evasion, persistence, and data harvesting.


"SUBMARINE is a novel persistent backdoor that lives in a Structured Query Language (SQL) database on the ESG appliance. SUBMARINE comprises multiple artifacts that, in a multi-step process, enable execution with root privileges, persistence, command and control, and cleanup," CISA said in a [malware analysis report](http://www.cisa.gov/news-events/analysis-reports/ar23-209a) published on Friday.


"In addition to SUBMARINE, CISA obtained associated Multipurpose Internet Mail Extensions (MIME) attachment files from the victim. These files contained the contents of the compromised SQL database, which included sensitive information."


In the wake of the attacks, Barracuda provided guidance to affected customers, advising them to thoroughly review their environments to verify that the attackers had not compromised other devices within their networks.


This advice aligns with today's warning from CISA, which says that the "malware poses a severe threat for lateral movement."


Those who encounter suspicious activities linked to the Submarine malware and the Barracuda ESG attacks are urged to contact CISA's 24/7 Operations Center at [Report@cisa.gov](mailto:Report@cisa.gov).


Barracuda says its services and products are used by over 200,000 organizations worldwide, including high-profile ones such as Samsung, Delta Airlines, Kraft Heinz, and Mitsubishi.





## Tags:
***CVE's***: CVE-2023-2868
***email-adresses***: atreport@cisa.gov

### Autogenerated tags:
[[malware]] [[cisa]] [[esg]]
