# CISA orders agencies to patch iPhone bugs abused in spyware attacks
## Today, CISA ordered federal agencies to patch recently patched security vulnerabilities exploited as zero-days to deploy Triangulation spyware on iPhones via iMessage zero-click exploits.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-orders-agencies-to-patch-iphone-bugs-abused-in-spyware-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 23 June 2023, 14:06
+ Date scraped: 23 June 2023, 19:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/19/Apple.jpg)



Today, CISA ordered federal agencies to patch recently patched security vulnerabilities exploited as zero-days to deploy Triangulation spyware on iPhones via iMessage zero-click exploits.


The warning comes after Kaspersky published a report detailing a [Triangulation malware component](https://securelist.com/triangledb-triangulation-implant/110050/) used in a campaign it tracks as "[Operation Triangulation](https://www.bleepingcomputer.com/news/security/russia-says-us-hacked-thousands-of-iphones-in-ios-zero-click-attacks/)."


Kaspersky says it found the spyware on iPhones belonging to employees in its Moscow office and from other countries. The attacks started in 2019 and are still ongoing, according to the company, and they use iMessage zero-click exploits that exploit the now-patched iOS zero-day bugs.


Russia's FSB intelligence agency also claimed that Apple collaborated with the NSA to create a backdoor, facilitating the infiltration of iPhones in Russia. The FSB also said it allegedly found thousands of infected iPhones owned by Russian government officials and embassy staff in Israel, China, and NATO member nations.


"We have never worked with any government to insert a backdoor into any Apple product and never will," an Apple spokesperson told BleepingComputer.


"Apple is aware of a report that this issue may have been actively exploited against versions of iOS released before iOS 15.7," the company [said on Wednesday](https://www.bleepingcomputer.com/news/apple/apple-fixes-zero-days-used-to-deploy-triangulation-spyware-via-imessage/) when describing the two Kernel and WebKit vulnerabilities ([CVE-2023-32434](https://support.apple.com/en-us/HT213814) and [CVE-2023-32435](https://support.apple.com/en-us/HT213811)) exploited in the attacks.


The company also fixed a WebKit zero-day ([CVE-2023-32439](https://support.apple.com/en-us/HT213811)) this week that can let attackers gain arbitrary code execution on unpatched devices. This was also tagged by CISA today as an actively exploited flaw.


The list of affected devices is extensive, as the zero-day affects older and newer models, and it includes:


* iPhone 8 and later, iPad Pro (all models), iPad Air 3rd generation and later, iPad 5th generation and later, iPad mini 5th generation and later
* iPhone 6s (all models), iPhone 7 (all models), iPhone SE (1st generation), iPad Air 2, iPad mini (4th generation), and iPod touch (7th generation)
* Macs running macOS Big Sur, Monterey, and Ventura
* Apple Watch Series 4 and later, Apple Watch Series 3, Series 4, Series 5, Series 6, Series 7, and SE

On Thursday, Apple sent another round of [threat notifications](https://support.apple.com/en-us/HT212960) alerting customers they were targeted in state-sponsored attacks, one day after patching the zero-days exploited to deploy Triangulation spyware. However, it's not clear to what incidents these new warnings are related to, [according to CNN reporter Chris Bing](https://twitter.com/Bing_Chris/status/1672248349485875202).


[![Boris Larin Triangulation tweet](https://www.bleepstatic.com/images/news/u/1109292/2023/Boris%20Larin%20Triangulation%20tweet.png)](https://twitter.com/oct0xor/status/1671591564894773258)


## ​Federal agencies ordered to patch by July 14th


Another vulnerability CISA added to its known exploited vulnerabilities (KEV) list today is a critical pre-authentication command injection bug ([CVE-2023-27992](https://nvd.nist.gov/vuln/detail/CVE-2023-27992)) that can let unauthenticated attackers execute operating system commands on Internet-exposed Network-Attached Storage (NAS) devices left unpatched.


Zyxel warned customers [on Tuesday](https://www.bleepingcomputer.com/news/security/zyxel-warns-of-critical-command-injection-flaw-in-nas-devices/) to secure their NAS devices "for optimal protection," weeks after Mirai-based botnets targeted Zyxel firewalls and VPN products in a [massive wave of attacks](https://www.bleepingcomputer.com/news/security/hackers-exploit-critical-zyxel-firewall-flaw-in-ongoing-attacks/).


CISA also included a VMware ESXi vulnerability ([CVE-2023-20867](https://www.vmware.com/security/advisories/VMSA-2023-0013.html)) in its KEV catalog. This bug was [abused by a Chinese-backed hacking group](https://www.bleepingcomputer.com/news/security/chinese-hackers-used-vmware-esxi-zero-day-to-backdoor-vms/) (UNC3886) to backdoor Windows and Linux virtual machines in data theft attacks.


U.S. Federal Civilian Executive Branch Agencies (FCEB) must patch all security vulnerabilities added to CISA's KEV catalog within an allotted timeframe, according to a [binding operational directive (BOD 22-01)](https://www.bleepingcomputer.com/news/security/cisa-orders-federal-agencies-to-fix-hundreds-of-exploited-security-flaws/) released in November 2022.


After the latest update, federal agencies have been instructed to secure vulnerable devices against flaws included today by June 14th, 2023.


While BOD 22-01 primarily focuses on U.S. federal agencies, it is strongly recommended that private companies also prioritize addressing the vulnerabilities outlined in CISA's KEV list, which includes bugs known to be exploited in attacks.





## Tags:
***CVE's***: CVE-2023-32434 CVE-2023-32439 CVE-2023-32435 CVE-2023-27992 CVE-2023-20867

### Autogenerated tags:
[[cisa]] [[ipad]] [[iphones]] [[iphone]] [[kev]] [[spyware]] [[zero-day]]
