# CISA orders govt agencies to patch MOVEit bug used for data theft
## CISA has added an actively exploited security bug in the Progress MOVEit Transfer managed file transfer (MFT) solution to its list of known exploited vulnerabilities, warning U.S. federal agencies to patch their systems by June 23.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-orders-govt-agencies-to-patch-moveit-bug-used-for-data-theft/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 04 June 2023, 11:14
+ Date scraped: 04 June 2023, 18:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/06/02/0_CISA.jpg)



CISA has added an actively exploited security bug in the Progress MOVEit Transfer managed file transfer (MFT) solution to its list of known exploited vulnerabilities, ordering U.S. federal agencies to patch their systems by June 23.


The critical flaw (tracked as [CVE-2023-34362](https://nvd.nist.gov/vuln/detail/CVE-2023-34362)) is an SQL injection vulnerability that enables unauthenticated, remote attackers to gain access to MOVEit Transfer's database and execute arbitrary code.


According to the [November 2022 binding operational directive (BOD 22-01)](https://www.bleepingcomputer.com/news/security/cisa-orders-federal-agencies-to-fix-hundreds-of-exploited-security-flaws/), Federal Civilian Executive Branch Agencies (FCEB) must patch this security vulnerability once [added](https://www.cisa.gov/news-events/alerts/2023/06/02/cisa-adds-one-known-exploited-vulnerability-catalog) to CISA's Known Exploited Vulnerabilities catalog.


While BOD 22-01 primarily focuses on federal agencies, it is highly recommended that private companies also prioritize securing their systems against this actively exploited MOVEit Transfer flaw.


Progress [advises](https://community.progress.com/s/article/MOVEit-Transfer-Critical-Vulnerability-31May2023) all customers to patch their MOVEit Transfer instances to block exploitation attempts and potential breaches.


Those who cannot immediately apply security updates can also disable all HTTP and HTTPS traffic to their MOVEit Transfer environments to remote the attack surface.


You can find the list of affected MOVEit Transfer versions and the fixed versions in the table embedded below.




|  |  |  |
| --- | --- | --- |
| **Affected Version** | **Fixed Version** | **Documentation** |
| MOVEit Transfer 2023.0.0 | [MOVEit Transfer 2023.0.1](https://cdn.ipswitch.com/ft/MOVEit/Transfer/2023/2023.0.1/MOVEit-Transfer-2023.0.1-FullInstall.exe) | [MOVEit 2023 Upgrade Documentation](https://docs.progress.com/category/moveit-transfer-2023) |
| MOVEit Transfer 2022.1.x | [MOVEit Transfer 2022.1.5](https://cdn.ipswitch.com/ft/MOVEit/Transfer/2022/2022.1.5/MOVEit-Transfer-2022.1.5-FullInstall.exe) | [MOVEit 2022 Upgrade Documentation](https://docs.progress.com/category/moveit-transfer-2022) |
| MOVEit Transfer 2022.0.x | [MOVEit Transfer 2022.0.4](https://cdn.ipswitch.com/ft/MOVEit/Transfer/2022/2022.0.4/MOVEit-Transfer-2022.0.4-FullInstall.exe) |
| MOVEit Transfer 2021.1.x | [MOVEit Transfer 2021.1.4](https://cdn.ipswitch.com/ft/MOVEit/Transfer/2021/2021.1.4/MOVEit-Transfer-2021.1.4-FullInstall.exe) | [MOVEit 2021 Upgrade Documentation](https://docs.ipswitch.com/MOVEit/Transfer2021/Manuals/en/index.htm#90000.htm) |
| MOVEit Transfer 2021.0.x | [MOVEit Transfer 2021.0.6](https://cdn.ipswitch.com/ft/MOVEit/Transfer/2021/2021.0.6/MOVEit-Transfer-2021.0.6-FullInstall.exe) |
| MOVEit Transfer 2020.1.x | Special Patch Available | [See KB000234559](https://community.progress.com/s/article/Vulnerability-May-2023-Fix-for-MOVEit-Transfer-2020-1-12-1) |

Currently, there are more than [2,500 MOVEit Transfer servers](https://www.shodan.io/search?query=http.favicon.hash%3A989289239) on the Internet, most of which are in the United States.


Threat actors [have been exploiting CVE-2023-34362 as a zero-day vulnerability](https://www.bleepingcomputer.com/news/security/new-moveit-transfer-zero-day-mass-exploited-in-data-theft-attacks/) since at least May 27, according to Mandiant CTO Charles Carmakal, four days before Progress publicly disclosed it and began testing security patches for vulnerable systems.


"Mass exploitation and broad data theft has occurred over the past few days," Carmakal told BleepingComputer.


"Although Mandiant does not yet know the motivation of the threat actor, organizations should prepare for potential extortion and publication of the stolen data."


## Exploited to drop web shells and steal data


BleepingComputer has been told that multiple organizations have already been breached and their data stolen with the help of a newly discovered web shell ([dubbed LemurLoot](https://www.mandiant.com/resources/blog/zero-day-moveit-data-theft) by Mandiant).


LemurLoot helps the attackers harvest Azure Blob Storage account information, including credentials which can be used to exfiltrate data from the victims’ Azure Blob Storage containers.


Mandiant also found possible links between attacks targeting MOVEit Transfer servers and the FIN11 financially-motivated threat group, known for data theft extortion attempts through the Clop ransomware gang's leak site following exploitation of zero-days in other file transfer systems.


As of now, the identity of the attackers remains unknown, as they have yet to start extorting their victims.


Nevertheless, the method of exploitation bears a remarkable resemblance to previous instances, including the zero-day [exploitation of Accellion FTA servers](https://www.bleepingcomputer.com/tag/accellion/) in December 2020 and the mass exploitation of [a GoAnywhere MFT zero-day](https://www.bleepingcomputer.com/news/security/fortra-shares-findings-on-goanywhere-mft-zero-day-attacks/) in January 2023.


Both GoAnywhere MFT and Accellion FTA are managed file transfer platforms that [were](https://www.bleepingcomputer.com/news/security/global-accellion-data-breaches-linked-to-clop-ransomware-gang/) [targeted](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-it-breached-130-orgs-using-goanywhere-zero-day/) by the notorious Clop ransomware gang to steal data and extort victims.





## Tags:
***CVE's***: CVE-2023-34362

### Autogenerated tags:
[[moveit]] [[mandiant]] [[mft]] [[zero-day]]
