# CISA releases recovery script for ESXiArgs ransomware victims
## The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has released a script to recover VMware ESXi servers encrypted by the recent widespread ESXiArgs ransomware attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-releases-recovery-script-for-esxiargs-ransomware-victims/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 08 February 2023, 01:55
+ Date scraped: 08 February 2023, 02:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/14/CISA__headpic.jpg)



The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has released a script to recover VMware ESXi servers encrypted by the recent widespread ESXiArgs ransomware attacks.


Starting last Friday, exposed VMware ESXi servers were targeted in a [widespread ESXiArgs ransomware attack](https://www.bleepingcomputer.com/news/security/massive-esxiargs-ransomware-attack-targets-vmware-esxi-servers-worldwide/).


Since then, the attacks encrypted 2,800 servers according to a [list of bitcoin addresses](http://gist.github.com/cablej/c79102960c4615396e8ffc712136744a) collected by CISA technical advisor Jack Cable.


While many devices were encrypted, the campaign was largely unsuccessful as the threat actors failed to encrypt flat files, where the data for virtual disks are stored.


This mistake allowed Enes Sonmez & Ahmet Aykac of the YoreGroup Tech Team to [devise a method](https://enes.dev/) to rebuild virtual machines from unencrypted flat files.


This method has helped numerous people recover their servers, but the process has been complicated for some, with many people asking for help in our [ESXiArgs support topic](https://www.bleepingcomputer.com/forums/t/782193/esxi-ransomware-help-and-support-topic-esxiargs-args-extension/).


## Script released to automate recovery


To assist users in recovering their servers, CISA released an [ESXiArgs-Recover script](https://github.com/cisagov/ESXiArgs-Recover/blob/main/recover.sh) on GitHub to automate the recovery process.


"CISA is aware that some organizations have reported success in recovering files without paying ransoms. CISA compiled this tool based on publicly available resources, including [a tutorial](http://enes.dev/) by Enes Sonmez and Ahmet Aykac," explains CISA.


"This tool works by reconstructing virtual machine metadata from virtual disks that were not encrypted by the malware."


While the [GitHub project page](http://github.com/cisagov/ESXiArgs-Recover) has the steps you need to recover VMs, in summary, the script will clean up a virtual machine's encrypted files and then attempt to rebuild the virtual machine's .vmdk file using the unencrypted flat file.


When finished, if successful, you can then register the virtual machine again in VMware ESXi to gain access to the VM again.


CISA urges admins to review the script before using it to understand how it works and avoid possible complications. While the script should not cause any issues, BleepingComputer strongly advises that backups are created before attempting recovery.


"While CISA works to ensure that scripts like this one are safe and effective, this script is delivered without warranty, either implicit or explicit." warns CISA.


"Do not use this script without understanding how it may affect your system. CISA does not assume liability for damage caused by this script."





## Tags:


### Autogenerated tags:
[[cisa]] [[vmware]] [[esxi]] [[esxiargs]]
