# CISA tells federal agencies to fix actively exploited F5 BIG-IP bug
## The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has added a new security vulnerability to its list of actively exploited bugs, the critical severity CVE-2022-1388 affecting BIG-IP network devices.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-tells-federal-agencies-to-fix-actively-exploited-f5-big-ip-bug/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 11 May 2022, 14:35
+ Date scraped: 11 May 2022, 15:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/05/09/F5_logo_headpic.jpeg)



The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has added a new security vulnerability to its list of actively exploited bugs, the critical severity CVE-2022-1388 affecting BIG-IP network devices.


F5 customers using BIG-IP solutions include governments, Fortune 500 firms, banks, service providers, and consumer brands (including Microsoft, Oracle, and Facebook), with the company [claiming](https://www.f5.com/customer-stories) that "48 of Fortune 50 companies are F5 customers."


F5 solutions are also deployed across all 15 U.S. federal executive departments and used by all top 10 global telecom operators and top 15 U.S. commercial banks [[PDF](https://www.f5.com/pdf/f5/corporate-flyer.pdf)].


The company revealed last week that the CVE-2022-1388 critical bug impacts the BIG-IP iControl REST authentication component. It allows remote attackers to execute commands on unpatched BIG-IP network devices 'root' without authentication.


Days later, [threat actors started using exploits](https://www.bleepingcomputer.com/news/security/hackers-exploiting-critical-f5-big-ip-bug-public-exploits-released/) shared by security researchers online, on Twitter and GitHub.


Although most of these attackers only dropped web shells on breached networks, the SANS Internet Storm Center and security researcher Kevin Beaumont spotted attacks where the threat actors executed the 'rm -rf /\*' command [to wipe BIG-IP devices' Linux file systems](https://www.bleepingcomputer.com/news/security/critical-f5-big-ip-vulnerability-exploited-to-wipe-devices/).


"We have been in contact with SANS and are investigating the issue. If customers have not already done so, we urge them to update to a fixed version of BIG-IP or implement one of the mitigations detailed in the security advisory," F5 told BleepingComputer when contacted for more info on these destructive attacks.


"We strongly advise customers never to expose their BIG-IP management interface (TMUI) to the public internet and to ensure the appropriate controls are in place to limit access."



## U.S. federal agencies were given three weeks to patch


After info F5 BIG-IP exploits used in attacks to brick devices surfaced, CISA [added the flaw to the Known Exploited Vulnerabilities Catalog (KEV)](https://www.cisa.gov/uscert/ncas/current-activity/2022/05/10/cisa-adds-one-known-exploited-vulnerability-catalog).


According to the [BOD 22-01 binding operational directive](https://www.bleepingcomputer.com/news/security/cisa-orders-federal-agencies-to-fix-hundreds-of-exploited-security-flaws/) issued in November, all Federal Civilian Executive Branch Agencies (FCEB) agencies must secure their systems against attacks that would abuse security flaws added to CISA's KEV catalog.


On Tuesday, the U.S. cybersecurity agency has given the agencies three weeks, until May 31st, to patch the actively exploited CVE-2022-1388 vulnerability to block any ongoing and, potentially, destructive exploitation attempts.


Although the directive only applies to U.S. federal agencies, CISA also [strongly urges](https://www.cisa.gov/uscert/ncas/current-activity/2022/04/19/cisa-adds-three-known-exploited-vulnerabilities-catalog) all organizations to fix this bug to hinder attacks.


"These types of vulnerabilities are a frequent attack vector for malicious cyber actors of all types and pose significant risk to the federal enterprise," CISA [explained](https://cyber.dhs.gov/bod/22-01/) in November.


Since BOD 22-01 was issued, CISA has added hundreds of security bugs to its list of vulnerabilities actively exploited in attacks, ordering U.S. federal agencies to patch (some of them within weeks) to prevent breaches.





## Tags:
***CVE's***: CVE-2022-1388

### Autogenerated tags:
[[big-ip]] [[u.s]] [[cisa]] [[f5]] [[cve-2022-1388]]
