# CISA warns govt agencies to patch Ivanti bug exploited in attacks
## The Cybersecurity and Infrastructure Security Agency (CISA) warned U.S. federal agencies today to secure their systems against a maximum severity authentication bypass vulnerability in Ivanti's Endpoint Manager Mobile (EPMM), formerly MobileIron Core.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-warns-govt-agencies-to-patch-ivanti-bug-exploited-in-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 25 July 2023, 16:41
+ Date scraped: 25 July 2023, 21:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/08/CISA.jpg)



The Cybersecurity and Infrastructure Security Agency (CISA) warned U.S. federal agencies today to secure their systems against a maximum severity authentication bypass vulnerability in Ivanti's Endpoint Manager Mobile (EPMM), formerly MobileIron Core.


Tracked as CVE-2023-35078, this flaw has been exploited as a zero-day to hack a software platform [used by 12 Norwegian ministries](https://www.bleepingcomputer.com/news/security/norway-says-ivanti-zero-day-was-used-to-hack-govt-it-systems/), according to the country's National Security Authority.


Successful exploitation enables unauthenticated attackers to access specific API paths remotely to steal personally identifiable information (PII), including names, phone numbers, and other mobile device details.


They can also make configuration changes on the compromised devices, including creating EPMM administrative accounts, which provide them with the permissions required to make further changes to vulnerable systems.


Ivanti has also confirmed that [the bug is actively exploited in attacks](https://www.bleepingcomputer.com/news/security/ivanti-patches-mobileiron-zero-day-bug-exploited-in-attacks/) and warned customers that it's critical to "immediately take action" to ensure their systems are fully protected.


While the company is yet to publicly release indicators of compromise (IOCs), security experts and researchers say [[1](https://twitter.com/lost_troll/status/1683864180510822400), [2](https://twitter.com/jfslowik/status/1683862396979347462), [3](https://twitter.com/cyb3rops/status/1683787023335694336)] they contain info on the vulnerable endpoint required to exploit the vulnerability, which would allow threat actors to quickly create their own exploits and further escalate attacks.


Even though BleepingComputer has not been able to verify this independently, customers have claimed that Ivanti [requested them to sign non-disclosure agreements](http://twitter.com/lost_troll/status/1683519592210079750) when seeking further details about the CVE-2023-35078 vulnerability.


According to Shodan, [almost 2,900 MobileIron user portals](https://www.shodan.io/search?query=http.favicon.hash%3A362091310) are currently accessible on the internet; among them, [approximately three dozen](https://www.shodan.io/search?query=http.favicon.hash%3A362091310+country%3AUS+hostname%3A*.gov) belong to U.S. local and state government agencies.


Given this situation, it is essential that all network administrators immediately upgrade their Ivanti EPMM (MobileIron) installs to the latest version to safeguard their systems against potential attacks.



![MobileIron user portals exposed on the Internet](https://www.bleepstatic.com/images/news/u/1109292/2023/MobileIron%20user%20portals%20exposed%20on%20the%20Internet(1).png)*MobileIron user portals exposed on the Internet (Shodan)*


## ​Federal agencies ordered to patch by August 15


U.S. Federal Civilian Executive Branch Agencies (FCEB) have a three-week deadline, until August 15th, to secure their devices against attacks targeting the CVE-2023-35078 flaw, which was added to [CISA's list of Known Exploited Vulnerabilities](https://www.cisa.gov/known-exploited-vulnerabilities-catalog#:~:text=CVE%2D2023%2D35078,Authentication%20Bypass%20Vulnerability) on Tuesday.


Under the [binding operational directive (BOD 22-01)](https://www.bleepingcomputer.com/news/security/cisa-orders-federal-agencies-to-fix-hundreds-of-exploited-security-flaws/) issued in November 2021, federal agencies are now bound to scan their networks for vulnerable devices and address any security flaws added to CISA's KEV catalog.


While the catalog mainly pertains to U.S. federal agencies, it is highly recommended that private companies also prioritize and apply patches for all vulnerabilities listed in CISA's list of bugs exploited in attacks.


"These types of vulnerabilities are frequent attack vectors for malicious cyber actors and pose significant risks to the federal enterprise," CISA [warned](https://www.cisa.gov/news-events/alerts/2023/07/25/cisa-adds-one-known-exploited-vulnerability-catalog) today.


The U.S. cybersecurity agency also gave federal agencies three weeks [to patch their Adobe ColdFusion servers](https://www.bleepingcomputer.com/news/security/cisa-warns-govt-agencies-to-patch-adobe-coldfusion-servers/) against two critical security flaws exploited in attacks, one of them as a zero-day.


Last week, CISA also warned that unknown threat actors [breached the network of a critical infrastructure organization](https://www.bleepingcomputer.com/news/security/netscaler-adc-bug-exploited-to-breach-us-critical-infrastructure-org/) to steal Active Directory data after exploiting a zero-day RCE vulnerability (CVE-2023-3519) in NetScaler ADC and Gateway.





## Tags:
***CVE's***: CVE-2023-3519 CVE-2023-35078

### Autogenerated tags:
[[cisa]] [[u.s]] [[ivanti]] [[mobileiron]] [[epmm]] [[cve-2023-35078]] [[zero-day]]
