# CWP bugs allow code execution as root on Linux servers, patch now
## Two security vulnerabilities that impact the Control Web Panel (CWP) software can be chained by unauthenticated attackers to gain remote code execution (RCE) as root on vulnerable Linux servers.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cwp-bugs-allow-code-execution-as-root-on-linux-servers-patch-now/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 24 January 2022, 19:34
+ Date scraped: 24 January 2022, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/11/19/Linux_backdoor.jpg)


![Linux](https://www.bleepstatic.com/content/hl-images/2021/11/19/Linux_backdoor.jpg)


Two security vulnerabilities that impact the Control Web Panel (CWP) software can be chained by unauthenticated attackers to gain remote code execution (RCE) as root on vulnerable Linux servers.


[CWP](https://control-webpanel.com/), previously known as [CentOS Web Panel](http://centos-webpanel.com/), is a free Linux control panel for managing dedicated web hosting servers and virtual private servers.


The two security flaws found by Octagon Networks' [Paulos Yibelo](https://twitter.com/PaulosYibelo/status/1484739547392983041) are a file inclusion vulnerability (CVE-2021-45467) and a file write (CVE-2021-45466) bug that lead to RCE when chained together.


In short, successful exploitation requires bypassing security protections to prevent attackers from reaching the restricted API section without authentication.


This can be done by registering an API key using the file inclusion bug and creating a malicious authorized\_keys file on the server using the file write flaw.


While the CVE-2021-45467 file inclusion vulnerability was patched, Octagon Networks says that they saw how "some managed to reverse the patch and exploit some servers."



Octagon Networks says that, while the CVE-2021-45467 file inclusion vulnerability was patched, they saw how "some managed to reverse the patch and exploit some servers."


The security researchers also said they would release a proof-of-concept exploit for this pre-auth RCE chain after enough Linux servers running CWP will get upgraded to the latest version.


[According to CWP's developers](http://control-webpanel.com/installation-instructions#step2), their software supports the following operating systems: CentOS, Rocky Linux, Alma Linux, and Oracle Linux


While the CWP site claims that roughly 30,000 servers are running CWP, BleepingComputer found almost [80,000 Internet-exposed CWP servers](https://app.binaryedge.io/services/query?query=Control-WebPanel&page=1) on BinaryEdge. 


Over 200,000 can also be found on Shodan and Censys, according to the researchers who discovered the pre-authentication RCE chain.





## Tags:
***CVE's***: CVE-2021-45467 CVE-2021-45466

### Autogenerated tags:
[[cwp]] [[linux]] [[rce]] [[cve-2021-45467]]
