# Cheerscrypt ransomware linked to a Chinese hacking group
## The Cheerscrypt ransomware has been linked to a Chinese hacking group named 'Emperor Dragonfly,' known to frequently switch between ransomware families to evade attribution.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cheerscrypt-ransomware-linked-to-a-chinese-hacking-group/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 04 October 2022, 15:46
+ Date scraped: 04 October 2022, 16:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/28/China-world-map.jpg)



The Cheerscrypt ransomware has been linked to a Chinese hacking group named 'Emperor Dragonfly,' known to frequently switch between ransomware families to evade attribution.


The ransomware gang is tracked under different names, such as Bronze Starlight (Secureworks) and DEV-0401 (Microsoft), and has been seen using a wide variety of ransomware families since 2021.


While the hacking group appears to operate as a ransomware operation, previous research indicates that many of their victims are targets of interest for the Chinese government.


This has led researchers to believe that the ransomware activities of the hacking group could be a cover for Chinese government-sponsored cyber espionage campaigns.


## Night Sky and Cheerscrypt


During an incident response earlier this year, Sygnia's security experts determined that the hackers exploited the Apache '[Log4Shell](https://www.bleepingcomputer.com/news/security/new-zero-day-exploit-for-log4j-java-library-is-an-enterprise-nightmare/)' Log4j vulnerability (CVE-2021-44228) to execute PowerShell commands, which initiates a DLL-sideloading technique characteristic of [Night Sky TTPs](https://www.bleepingcomputer.com/news/security/night-sky-ransomware-uses-log4j-bug-to-hack-vmware-horizon-servers/).


Next, the intruders dropped a Cobalt Strike beacon connected to a C2 address previously associated with Night Sky operations.


The attackers deployed three Go tools rarely seen in the ransomware space: a modified Aliyun OSS keylogger, a customized version of the 'IOX' port-forwarding and proxy tool, and a customized version of the 'NPS' tunneling tool.


After reconnaissance and lateral movement, following in the footsteps of past Night Sky attacks, the ransomware strain deployed was not Night Sky but Cheerscrypt, encrypting Windows and Linux ESXi machines.



![Overlap between the two ransomware strains](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/overlap-diagram.jpg)**Overlap between the two ransomware strains** *(Sygnia)*


Trend Micro first spotted the 'Cheers' ransomware in May 2022 after the researchers found an [encryptor targeting VMware ESXi servers](https://www.bleepingcomputer.com/news/security/new-cheers-linux-ransomware-targets-vmware-esxi-servers/). 


Like other enterprise-targeting ransomware groups, the hackers breach networks, steal data, and encrypt devices. The data is then used in double-extortion tactics to pressure a victim into paying a ransom. If a ransom is not paid, the stolen data is published on a data leak site, shown below.



![Cheers data leak site](https://www.bleepstatic.com/images/news/ransomware/c/cheers/cheers-data-leak-site.jpg)**Cheers data leak site**  
*Source: BleepingComputer*


## Frequently switching ransomware strains


According to [Sygnia](https://blog.sygnia.co/revealing-emperor-dragonfly-a-chinese-ransomware-group), Cheerscrypt is yet another one of Emperor Dragonfly's continual payload rebranding efforts, attempting to evade attribution.


The ransomware group isn't operating as a RaaS (Ransomware-as-a-Service) platform for affiliates but rather as a "lone wolf" isolated from the rest of the cybercrime community.


A June 2022 report by Secureworks hypothesized that the particular threat actor uses ransomware families like Night Sky, Rook, Pandora, and AtomSilo to [mask government-sponsored cyberespionage campaigns](https://www.bleepingcomputer.com/news/security/chinese-hackers-use-ransomware-as-decoy-for-cyber-espionage/) as financially-motivated attacks.


That same month, Microsoft updated an [article on ransomware operations](https://www.microsoft.com/security/blog/2022/05/09/ransomware-as-a-service-understanding-the-cybercrime-gig-economy-and-how-to-protect-yourself/#DEV-0401) to include the hacking group, who they track as DEV-0401, and attributed them to Chinese threat actors.


"Differing from the other RaaS developers, affiliates, and access brokers profiled here, DEV-0401 appears to be an activity group involved in all stages of their attack lifecycle, from initial access to ransomware development," explained the Microsoft threat intelligence researchers.


"Despite this, they seem to take some inspiration from successful RaaS operations with the frequent rebranding of their ransomware payloads."


"Unique among human-operated ransomware threat actors tracked by Microsoft, DEV-0401 [is confirmed to be a China-based activity group](https://twitter.com/MsftSecIntel/status/1480730559739359233)."


Like Secureworks, Microsoft also found them constantly switching between ransomware brands, including additional strains, such as LockFile and LockBit 2.0.



![Ransomware payloads distributed by DEV-0401](https://www.bleepstatic.com/images/news/ransomware/c/cheers/nightsky/dev-0401-timeline.jpg)**Ransomware payloads distributed by DEV-0401**  
*Source: Microsoft*


Night Sky, Pandora, and Rook were all derived from [leaked Babuk source code](https://www.bleepingcomputer.com/news/security/babuk-ransomwares-full-source-code-leaked-on-hacker-forum/) and share numerous similarities in their code. In addition, trend Micro previously stated that Cheerscrypt also seems to [use Babuk as its basis](https://www.trendmicro.com/en_us/research/22/e/new-linux-based-ransomware-cheerscrypt-targets-exsi-devices.html), so the pieces fit.


No matter what the real goal of 'Emperor Dragonfly' is, as the group commonly targets vulnerabilities in Internet-exposed servers, it is essential to apply security updates to your devices as soon as possible.


As the group is known to target the Log4j vulnerability in VMware Horizon servers, applying patches to these devices should be a priority for all organizations.





## Tags:
***CVE's***: CVE-2021-44228

### Autogenerated tags:
[[ransomware]] [[microsoft]] [[cheerscrypt]] [[dev-0401]] [[secureworks]] [[sygnia]] [[raas]]
