# Claimants in Celsius crypto bankruptcy targeted in phishing attack
## Scammers are impersonating the bankruptcy claim agent for crypto lender Celsius in phishing attacks that attempt to steal funds from cryptocurrency wallets.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/claimants-in-celsius-crypto-bankruptcy-targeted-in-phishing-attack/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 19 September 2023, 19:38
+ Date scraped: 20 September 2023, 00:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/09/19/celsius-crypto.jpg)



Scammers are impersonating the bankruptcy claim agent for crypto lender Celsius in phishing attacks that attempt to steal funds from cryptocurrency wallets.


In July 2022, crypto lender Celsius filed for bankruptcy and froze withdrawals from user accounts. Customers have since filed claims against the company, hoping to recover a portion of the funds.


Over the past few days, [people have reported](https://twitter.com/search?q=%22case-stretto.com%22&src=typed_query&f=top) receiving phishing emails pretending to be from Stretto, the Claims Agent for the Celsius bankruptcy proceeding.


A recipient shared the phishing email with BleepingComputer, which claims to offer creditors a 7-day exit window to claim their frozen funds.


The email says they are from "Stretto Corporate Restructing," using the email address no-reply@stretto.com, as shown below.



![](https://www.bleepstatic.com/images/news/security/c/cryptocurrency/celsius-phishing/phishing-email.jpg)**Celsius phishing email**  
*Source: BleepingComputer*


The phishing email includes a link to the website *case-stretto[.]com*, which redirects the recipient to the phishing site *claims-stretto[.]com* below. The claims-stretto[.]com domain was registered today and is hosted at a web hosting provider in the Seychelles.


The legitimate Stretto site for Celsius claims is located at https://cases.stretto.com/celsius/claims/.



![Phishing site impersonating Celsius claims site](https://www.bleepstatic.com/images/news/security/c/cryptocurrency/celsius-phishing/claims-phishing-site.jpg)**Phishing site impersonating Celsius claims site**  
*Source: BleepingComputer*


The page prompts visitors to enter their email address to withdraw their claim, and when the submit button is pressed, it opens a WalletConnect prompt to connect your installed cryptocurrency wallet with the website.



![Prompt to connect crypto wallet](https://www.bleepstatic.com/images/news/security/c/cryptocurrency/celsius-phishing/phishing-connect-wallet.jpg)**Prompt to connect crypto wallet**  
*Source: BleepingComputer*


If you connect a wallet, the site will now have access to all the information stored within it, including crypto addresses, balances, activity, and the ability to suggest transactions.



![MetaMask connection](https://www.bleepstatic.com/images/news/security/c/cryptocurrency/celsius-phishing/metamask.jpg)**MetaMask connection**  
*Source: BleepingComputer*


With this connection in place, the threat actors can attempt to drain all assets and NFTs stored within the wallet by disguising the transaction as a deposit.


Passes SPF checks
-----------------


This phishing campaign stands out because the emails pass Sender Policy Framework (SPF) checks, which determine if an email comes from a valid email server for the sending domain.


SPF performs this check by comparing the IP address of the mail server that sends the email to a list of IP addresses found in the DNS SPF record for the domain used in the 'Return-Path' mail header.


In this case, the phishing email's return path is 'bounces+xxx-xx=xxx.com@em6462.stretto.com', with em6462.stretto.com having an SPF record of `v=spf1 ip4:149.72.171.199 -all`. This SPF record means that any emails from 149.72.171.199 should be considered valid and not marked as spam.


As these phishing emails originate from 149.72.171.199, which belongs to the email marketing firm SendGrid, they pass the SPF check and are allowed for delivery.


This is illustrated below (some information is redacted), where the email is successfully delivered to Gmail after passing SPF checks.



```
ARC-Authentication-Results: i=1; mx.google.com;
       dkim=pass header.i=@stretto.com header.s=s1 header.b=xx;
       spf=pass (google.com: domain of bounces+xxx-xxx-xx=xxx.com@em6462.stretto.com designates 149.72.171.199 as permitted sender) smtp.mailfrom="bounces+xxx-xxx-xx=xxx.com@em6462.stretto.com";
       dmarc=pass (p=QUARANTINE sp=QUARANTINE dis=NONE) header.from=stretto.com

```

A recipient of one of these phishing emails told BleepingComputer that they did not have an account at Celsius and never filed as a creditor, making it strange that they received this email.


The threat actors are likely using older contact lists previously stolen through hacked cryptocurrency marketing accounts.


BleepingComputer has reached out to Stretto to confirm if their SendGrid account was compromised to send these emails but has not received a reply.


If you receive an email claiming to be about Celsius' claims, please ignore it and check for new updates on the case at the legitimate <https://cases.stretto.com/celsius/> site.


Unfortunately, if you have already visited one of these phishing sites and lost funds or NFTs after connecting your wallet, there is likely no way to recover your assets.


Celsius has [previously reported](https://cases.stretto.com/celsius/court-docket/court-docket-category/1370-phishing-attempts/) similar phishing attacks used to steal creditors' funds.





## Tags:
***ipv4-adresses***: 149.72.171.199
***email-adresses***: addressno-reply@stretto.com xxx.com@em6462.stretto.com
***urls***: http://case-stretto.com https://cases.stretto.com/celsius/ http://claims-stretto.com https://cases.stretto.com/celsius/claims/

### Autogenerated tags:
[[phishing]] [[spf]] [[bleepingcomputer]] [[emails]]
