# Cloned CapCut websites push information stealing malware
## A new malware distribution campaign is underway impersonating the CapCut video editing tool to push various malware strains to unsuspecting victims.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cloned-capcut-websites-push-information-stealing-malware/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 20 May 2023, 11:08
+ Date scraped: 20 May 2023, 21:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/05/19/capcut.jpg)



A new malware distribution campaign is underway impersonating the CapCut video editing tool to push various malware strains to unsuspecting victims.


CapCut is ByteDance's official video editor and maker for TikTok, supporting music mixing, color filters, animation, slow-mo effects, picture-in-picture, stabilization, and more.


It has over 500 million downloads on Google Play alone, and its website receives over 30 million hits monthly.


The application's popularity, combined with nationwide bans in Taiwan, India, and other places, has pushed users to seek alternative ways of downloading the program.


However, threat actors exploit this by creating websites that distribute malware disguised as CapCut installers.


The malicious websites were discovered by [Cyble](https://blog.cyble.com/2023/05/19/capcut-users-under-fire/), which reports seeing two campaigns distributing different malware strains.


No specific information about how victims are directed on these sites was provided, but typically, threat actors use black hat SEO, search ads, and social media to promote the sites.



![A fake CapCut website](https://www.bleepstatic.com/images/news/u/1220909/2023/Malware/35/capcut-site.jpg)**A fake CapCut website**  
*Source: BleepingComputer*


The offending websites are:


* capcut-freedownload[.]com
* capcutfreedownload[.]com
* capcut-editor-video[.]com
* capcutdownload[.]com
* capcutpc-download[.]com

At the time of writing, all domains have since been taken offline.


## First campaign


The first campaign spotted by Cyble's analysts uses fake CapCut sites featuring a download button that delivers a copy of the Offx Stealer on the user's computer.


The stealer binary was compiled on PyInstaller and will only run on Windows 8, 10, and 11.


When the victim executes the downloaded file, they get a bogus error message claiming that the launch of the application has failed. However, Offx Stealer continues to operate in the background.



![Fake error message](https://www.bleepstatic.com/images/news/u/1220909/2023/Malware/35/fake-error.jpg)**Fake error message** *(Cyble)*


The malware will attempt to extract passwords and cookies from web browsers and specific filetypes (.txt, .lua, .pdf, .png, .jpg, .jpeg, .py, .cpp, and .db) from the user's desktop folder.


It also targets data stored in messaging apps like Discord and Telegram, cryptocurrency wallet apps (Exodus, Atomic, Ethereum, Coinomi, Bytecoin, Guarda, and Zcash), and remote access software like UltraViewer and AnyDesk.


All stolen data is saved in a randomly generated directory in the %AppData% folder, zipped, and then sent to the malware operators on a private Telegram channel. The threat actors also use the AnonFiles file hosting service for redundancy in the exfiltration step.


After the stolen files are transmitted to the attackers, the local directory created for temporarily hosting the data is deleted to wipe any traces of the infection.



![Randomly named directory holding the stolen data](https://www.bleepstatic.com/images/news/u/1220909/2023/Malware/35/directory.jpg)**Randomly named directory holding the stolen data** *(Cyble)*


## Second campaign


The second campaign involving fake CapCut sites drops a file named 'CapCut\_Pro\_Edit\_Video.rar' on the victims' devices, containing a batch script that, in turn, triggers a PowerShell script when opened.


Cyble says that at the time of its analysis, no antivirus engines would flag the batch file as malicious, so the loader is very stealthy.


The PowerShell script decrypts, decompresses, and loads the final payload: Redline Stealer and a .NET executable.



![Attack chain of the second campaign](https://www.bleepstatic.com/images/news/u/1220909/2023/Malware/35/batloader.jpg)**Attack chain of the second campaign** *(Cyble)*


Redline is a widely deployed information stealer that can grab data stored in web browsers and applications, including credentials, credit cards, and auto-complete data.


The role of the .NET payload is to bypass the AMSI Windows security feature, allowing Redline to operate undetected on the compromised system.


To stay safe from malware, download software directly from official sites rather than sites shared in forums, social media, or direct messages, and also make sure to avoid promoted results when searching for software tools on Google.


In this case, CapCut is available through [capcut.com](https://capcut.com), [Google Play](https://play.google.com/store/apps/details?id=com.lemon.lvoverseas&hl=en&gl=US) (for Android), and the [App Store](https://apps.apple.com/us/app/capcut-video-editor/id1500855883) (for iOS).





## Tags:
***urls***: http://capcutdownload.com http://capcutpc-download.com http://capcut-editor-video.com http://capcut-freedownload.com http://capcutfreedownload.com

### Autogenerated tags:
[[malware]] [[capcut]] [[cyble]] [[google]] [[websites]]
