# Clop ransomware claims to be behind GoAnywhere zero-day attacks
## The Clop ransomware gang claims to be behind recent attacks that exploited a zero-day vulnerability in the GoAnywhere MFT secure file transfer tool, saying they stole data from over 130 organizations.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-to-be-behind-goanywhere-zero-day-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 February 2023, 20:15
+ Date scraped: 10 February 2023, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/04/hacker-arms-raised-brighter.jpg)



The Clop ransomware gang claims to be behind recent attacks that exploited a zero-day vulnerability in the GoAnywhere MFT secure file transfer tool, saying they stole data from over 130 organizations.


The security flaw, now tracked as [CVE-2023-0669](https://nvd.nist.gov/vuln/detail/CVE-2023-0669), enables attackers to gain remote code execution on unpatched GoAnywhere MFT instances with their administrative console exposed to Internet access.


Clop reached out to BleepingComputer and told us that they had allegedly stolen the data over the course of ten days after breaching servers vulnerable to exploits targeting this bug.


However, the gang refused to provide proof or share additional details regarding their claims when BleepingComputer asked them when the attacks began, if they'd already started extorting their victims, and what ransoms they were asking for.


They also claimed that they could move laterally through their victims’ networks and deploy ransomware payloads to encrypt their systems but decided against it and only stole the documents stored on the compromised GoAnywhere MFT servers.


BleepingComputer could not independently confirm Clop's claims, and Fortra has not replied to emails asking for more info regarding CVE-2023-0669 exploitation and the ransomware group's allegations.


## Actively exploited flaw in secure file transfer tool


GoAnywhere MFT's developer Fortra (formerly known as HelpSystems) [disclosed](https://www.bleepingcomputer.com/news/security/goanywhere-mft-zero-day-vulnerability-lets-hackers-breach-servers/) to its customers over the weekend that the vulnerability was being exploited as a zero-day in the wild.


On Monday, a proof-of-concept exploit [was also released online](https://www.bleepingcomputer.com/news/security/exploit-released-for-actively-exploited-goanywhere-mft-zero-day/), allowing unauthenticated remote code execution on vulnerable servers.


The company issued [emergency security updates](https://www.bleepingcomputer.com/news/security/actively-exploited-goanywhere-mft-zero-day-gets-emergency-patch/) the next day to allow customers to secure their servers from incoming attack attempts.


Since then, Fortra has published another update on its support website (accessible only after logging in with a user account) on Thursday, saying that some of its MFTaaS instances were also breached in the attacks.


"We have determined that an unauthorized party accessed the systems via a previously unknown exploit and created unauthorized user accounts," Fortra said.


"As part of our actions to address this and out of an abundance of caution, we have implemented a temporary service outage. Service continues to be restored on a customer-by-customer basis as mitigation is applied and verified within each environment.


"We are working directly with customers to assess their individual potential impact, apply mitigations, and restore systems."


CISA also [added](https://www.cisa.gov/uscert/ncas/current-activity/2023/02/10/cisa-adds-three-known-exploited-vulnerabilities-catalog) the CVE-2023-0669 GoAnywhere MFT vulnerability to its  [Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) on Friday, ordering federal agencies to patch their systems within the next three weeks, until March 3rd.


While Shodan shows that [over 1,000 GoAnywhere instances](https://beta.shodan.io/search?query=http.favicon.hash%3A1484947000) are exposed online, only 135 are on ports 8000 and 8001 (the ones used by the vulnerable admin console).



![Internet-exposed GoAnywhere MFT appliances](https://www.bleepstatic.com/images/news/u/1109292/2023/Internet-exposed%20GoAnywhere%20MFT%20appliances.jpg)*Internet-exposed GoAnywhere MFT appliances (Shodan)*


## Clop's Accellion extortion attacks


Clop's alleged use of the GoAnywhere MFT zero-day to steal data is a very similar tactic to the one they used in December 2020, when they discovered and [exploited an Accellion FTA zero-day vulnerability](https://www.bleepingcomputer.com/news/security/global-accellion-data-breaches-linked-to-clop-ransomware-gang/) to steal the data of approximately 100 companies.


At the time, companies were receiving emails demanding $10 million ransom payments to avoid having their data publicly leaked.


In the 2020 Accellion attacks, Clop's operators stole large amounts of data from high-profile companies using Accellion's legacy File Transfer Appliance (FTA).


Organizations that had their servers hacked by Clop include, among others, [energy giant Shell](https://www.bleepingcomputer.com/news/security/energy-giant-shell-discloses-data-breach-after-accellion-hack/), [supermarket giant Kroger](https://www.bleepingcomputer.com/news/security/kroger-data-breach-exposes-pharmacy-and-employee-data/), [cybersecurity firm Qualys](https://www.bleepingcomputer.com/news/security/cybersecurity-firm-qualys-is-the-latest-victim-of-accellion-hacks/), and multiple universities worldwide (e.g., [Stanford Medicine](https://www.bleepingcomputer.com/news/security/ransomware-gang-leaks-data-from-stanford-maryland-universities/), [University of Colorado](https://www.cu.edu/accellion-cyberattack), University of Miami, University of Maryland Baltimore (UMB), and the University of California).


In June 2021, some of Clop's infrastructure was shut down following an international law enforcement operation codenamed Operation Cyclone when six money launderers who provided services to the Clop ransomware gang were [arrested in Ukraine.](https://www.bleepingcomputer.com/news/security/ukraine-arrests-clop-ransomware-gang-members-seizes-servers/)


The gang has also been linked to ransomware attacks worldwide [since at least 2019](https://www.bleepingcomputer.com/news/security/cryptomix-clop-ransomware-says-its-targeting-networks-not-computers/). Some victims that had their servers encrypted by Clop include [Maastricht University](https://www.bleepingcomputer.com/news/security/ransomware-hits-maastricht-university-all-systems-taken-down/), [Software AG IT](https://www.bleepingcomputer.com/news/security/software-ag-it-giant-hit-with-23-million-ransom-by-clop-ransomware/), [ExecuPharm](https://www.bleepingcomputer.com/news/security/clop-ransomware-leaks-execupharms-files-after-failed-ransom/), and [Indiabulls](https://www.bleepingcomputer.com/news/security/indiabulls-group-hit-by-clop-ransomware-gets-24h-leak-deadline/).





## Tags:
***CVE's***: CVE-2023-0669

### Autogenerated tags:
[[goanywhere]] [[mft]] [[ransomware]] [[zero-day]] [[fortra]] [[accellion]] [[cve-2023-0669]] [[bleepingcomputer]]
