# Critical F5 BIG-IP vulnerability exploited to wipe devices
## A recently disclosed F5 BIG-IP vulnerability has been used in destructive attacks, attempting to erase a device's file system and make the server unusable.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/critical-f5-big-ip-vulnerability-exploited-to-wipe-devices/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 10 May 2022, 22:50
+ Date scraped: 11 May 2022, 06:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/05/09/F5_loogo.jpg)



A recently disclosed F5 BIG-IP vulnerability has been used in destructive attacks, attempting to erase a device's file system and make the server unusable.


Last week, [F5 disclosed](https://www.bleepingcomputer.com/news/security/f5-warns-of-critical-big-ip-rce-bug-allowing-device-takeover/) a vulnerability tracked as CVE-2022-1388 that allows remote attackers to execute commands on BIG-IP network devices as 'root' without authentication. Due to the critical nature of the bug, F5 urged admins to apply updates as soon as possible.


A few days later, researchers began publicly publishing exploits on Twitter and GitHub, with [threat actors soon using them in attacks](https://www.bleepingcomputer.com/news/security/hackers-exploiting-critical-f5-big-ip-bug-public-exploits-released/) across the Internet.


While most attacks have been used to drop webshells for initial access to networks, steal SSH keys, and enumerate system information, SANS Internet Storm Center saw two attacks that targeted BIG-IP devices in a much more nefarious manner.


SANS told BleepingComputer that their honeypots saw two attacks coming from IP address 177.54.127[.]111 that executes the 'rm -rf /\*' command on the targeted BIG-IP device.


[![Tweet from SANS](https://www.bleepstatic.com/images/news/security/vulnerabilities/f/f5/big-ip/destructive-attack/sans-tweet.jpg)](https://twitter.com/sans_isc/status/1523741896707043328)


This command will attempt to erase all of the files on the BIG-IP devices' Linux file system when executed.


As the exploit gives attackers root privileges in the [Linux operating systems powering BIG-IP devices](https://support.f5.com/csp/article/K121), the rm -rf /\* command will be able to delete almost every file, including configuration files required for the device to operate correctly.


After publishing our story, security researcher Kevin Beaumont confirmed that devices were being erased this evening.


"Can confirm. Real world devices are being erased this evening, lots on Shodan have stopped responding," [tweeted](https://twitter.com/GossiTheDog/status/1524160730114764801) Beaumont.


Thankfully, these destructive attacks do not appear to be widespread, with most threat actors looking to benefit from breaching the devices rather than causing damage.


Cybersecurity threat intelligence firms [Bad Packets](https://badpackets.net/) and [GreyNoise](https://www.greynoise.io/) told BleepingComputer that they had not seen any destructive attacks on their honeypots.


GreyNoise researcher [kimber](https://twitter.com/kimb3r__) said they mostly see the exploits drop webshells, exfiltrate configs, or run commands to create admin accounts on the devices.


While the destructive attacks seen by SANS may be rare, the fact that they are happening should be all the incentive an admin needs to get their devices updated to the latest patch levels.


When we contacted F5 about these destructive attacks, they told BleepingComputer they are in contact with SANS and strongly advise admins not to expose the BIG-IP management interface to the Internet.



> 
> "We have been in contact with SANS and are investigating the issue. If customers have not already done so, we urge them to update to a fixed version of BIG-IP or implement one of the mitigations detailed in the security advisory. We strongly advise customers never to expose their BIG-IP management interface (TMUI) to the public internet and to ensure the appropriate controls are in place to limit access." - F5
> 
> 
> 


However, it is important to note that Beaumont found that attacks are also affecting devices on non-management ports if they are misconfigured.


[![Kevin Beaumont tweet](https://www.bleepstatic.com/images/news/security/vulnerabilities/f/f5/big-ip/destructive-attack/kevin-tweet.jpg)](https://twitter.com/GossiTheDog/status/1523635193491329026)


For those affected by attacks on their BIG-IP devices, F5 told BleepingComputer that their Security Incident Response Team is available 24 hours a day, seven days a week, and can be contacted at (888) 882-7535, (800) 11-275-435, or online. 


For F5 BIG-IP admins concerned their devices were already compromised, Sandfly Security founder Craig Rowland is [offering test licenses](https://twitter.com/CraigHRowland/status/1523800964507254784) that they can use to check their devices.


*Update 5/10/22: Added confirmation from Kevin Beaumont.*





## Tags:
***CVE's***: CVE-2022-1388
***ipv4-adresses***: 177.54.127.111
***urls***: http://177.54.127.111

### Autogenerated tags:
[[big-ip]] [[f5]] [[bleepingcomputer]] [[admins]]
