# Critical Fortinet flaw may impact 150,000 exposed devices
## Scans on the public web show that approximately 150,000 Fortinet FortiOS and FortiProxy secure web gateway systems are vulnerable to CVE-2024-21762, a critical security issue that allows executing code without authentication.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/critical-fortinet-flaw-may-impact-150-000-exposed-devices/
+ Source: Bleeping Computer
+ Author: Ionut Ilascu
+ Date published: 08 March 2024, 15:37
+ Date scraped: 08 March 2024, 21:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/03/13/Fortinet.jpg)



Scans on the public web show that approximately 150,000 Fortinet FortiOS and FortiProxy secure web gateway systems are vulnerable to CVE-2024-21762, a critical security issue that allows executing code without authentication.


America's Cyber Defense Agency CISA confirmed last month that attackers are actively exploiting the flaw by adding it to its Known Exploited Vulnerabilities (KEV) catalog.


### Vulnerable versions all over the world


Almost a month after Fortinet addressed CVE-2024-21762, The Shadowserver Foundation announced on Thursday that it found nearly 150,000 vulnerable devices.


Shadowserver's Piotr Kijewski told BleepingComputer that their scans check for vulnerable versions, so the number of affected devices may be lower if admins applied mitigations instead of upgrading.


A remote attacker could exploit CVE-2024-21762 ([9.8 severity score](https://nvd.nist.gov/vuln/detail/CVE-2024-21762) as per NIST) by sending specially crafted HTTP requests to vulnerable machines.


According to Shadowserver data, most vulnerable devices, more than 24,000, are in the United States, followed by India, Brazil, and Canada.



![Vulnerability map for CVE-2024-21762](https://www.bleepstatic.com/images/news/u/1100723/2024/CVE-2024-21762_VulnMap.png)**Devices with vulnerable versions of FortiOS and FortiProxy**  
*source: The Shadowserver Foundation*


Details about threat actors actively exploiting CVE-2024-21762 are currently limited, as public platforms are not showing such activity or the vulnerability is being leveraged in select attacks by more sophisticated adversaries.


A day after Fortinet's advisory, the Cybersecurity and Infrastructure Security Agency (CISA) [confirmed active exploitation](https://www.bleepingcomputer.com/news/security/new-fortinet-rce-bug-is-actively-exploited-cisa-confirms/) of the vulnerability by adding it to its KEV catalog.


Companies can check if their SSL VPN systems are vulnerable to this issue by running a simple [Python script](https://github.com/BishopFox/cve-2024-21762-check) developed by researchers at offensive security company BishopFox.


FortiOS is Fortinet's operating system with security features such as protection against denial-of-service (DoS) attacks, intrusion prevention (IPS), firewall, and VPN services.


It powers all Fortinet Security Fabric devices, from firewalls to access points, switches, and network access control products, providing visibility and control, centralized management across the network, and consistent deployment and enforcement of security policies.


FortiProxy is a secure web proxy solution with protection capabilities against web and DNS-based threats, data loss. It integrates an antivirus, intrusion prevention, and client browser isolation.





## Tags:
***CVE's***: CVE-2024-21762

### Autogenerated tags:
[[fortinet]] [[cve-2024-21762]] [[shadowserver]] [[fortios]]
