# Critical GitLab vulnerability lets attackers take over accounts
## GitLab has addressed a critical severity vulnerability that could allow remote attackers to take over user accounts using hardcoded passwords.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/critical-gitlab-vulnerability-lets-attackers-take-over-accounts/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 01 April 2022, 14:52
+ Date scraped: 01 April 2022, 15:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/01/GitLab.jpg)



*Image: Mahadevu Udaya Bhaskar*


GitLab has addressed a critical severity vulnerability that could allow remote attackers to take over user accounts using hardcoded passwords.


The bug (discovered internally and tracked as [CVE-2022-1162](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-1162)) affects both GitLab Community Edition (CE) and Enterprise Edition (EE).


This flaw results from static passwords accidentally set during OmniAuth-based registration in GitLab CE/EE.


"A hardcoded password was set for accounts registered using an OmniAuth provider (e.g. OAuth, LDAP, SAML) in GitLab CE/EE versions 14.7 prior to 14.7.7, 14.8 prior to 14.8.5, and 14.9 prior to 14.9.2 allowing attackers to potentially take over accounts," the GitLab team explained in a security advisory published on Thursday.


GitLab urged users to immediately upgrade all GitLab installations to the latest versions (14.9.2, 14.8.5, or 14.7.7) to block potential attacks.


"We strongly recommend that all installations running a version affected by the issues described below are upgraded to the latest version as soon as possible," they [said](https://about.gitlab.com/releases/2022/03/31/critical-security-release-gitlab-14-9-2-released/#static-passwords-inadvertently-set-during-omniauth-based-registration).


## Passwords reset for some GitLab users


GitLab also added that it reset the passwords of a limited number of GitLab.com users as part of the CVE-2022-1162 mitigation effort.


It also found no evidence that any accounts have been compromised by attackers using this hardcode password security flaw.


"We executed a reset of GitLab.com passwords for a selected set of users as of 15:38 UTC," the GitLab team said.


"Our investigation shows no indication that users or accounts have been compromised but we're taking precautionary measures for our users' security."



Over 100,000 organizations use its DevOps platform, according to GitLab, and the company estimates it has more than 30 million estimated registered users from 66 countries worldwide.


A GitLab spokesperson was not available for comment when contacted by BleepingComputer earlier today.





## Tags:
***CVE's***: CVE-2022-1162

### Autogenerated tags:
[[gitlab]]
