# Critical ManageEngine RCE bug now exploited to open reverse shells
## A critical remote code execution (RCE) vulnerability affecting multiple Zoho ManageEngine products is now being exploited in attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/critical-manageengine-rce-bug-now-exploited-to-open-reverse-shells/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 20 January 2023, 19:08
+ Date scraped: 20 January 2023, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/01/20/ManageEngine.jpg)



A critical remote code execution (RCE) vulnerability affecting multiple Zoho ManageEngine products is now being exploited in attacks.


The first exploitation attempts were observed by cybersecurity firm Rapid7 on Tuesday, two days before Horizon3 security researchers [released public exploit code](https://www.bleepingcomputer.com/news/security/exploit-released-for-critical-manageengine-rce-bug-patch-now/) and in-depth technical analysis of the flaw.


"Rapid7 is responding to various compromises arising from the exploitation of CVE-2022-47966, a pre-authentication remote code execution (RCE) vulnerability impacting at least 24 on-premise ManageEngine products," the threat detection firm [said](https://www.rapid7.com/blog/post/2023/01/19/etr-cve-2022-47966-rapid7-observed-exploitation-of-critical-manageengine-vulnerability/).


"Rapid7 observed exploitation across organizations as early as January 17, 2023 (UTC)."


This was confirmed by researchers at the Shadowserver Foundation, who said they are "picking up exploitation attempts from at least 10 IPs for CVE-2022-47966 unauthenticated RCE affecting multiple Zoho ManageEngine products (that have SAML SSO enabled)."


Their findings were also confirmed by threat intelligence firm GreyNoise which began tracking CVE-2022-47966 exploitation attempts last week, on January 12.


GreyNoise has detected [11 IP addresses](https://viz.greynoise.io/tag/zoho-manageengine-rce-cve-2022-47966-attempt?days=3) targeting Internet-exposed ManageEngine instances vulnerable to CVE-2022-47966 attacks.


At least one of these IPs (i.e., 221.226.159.22), assigned to a Linux server on China Telecom Backbone, has previously attempted to compromise servers unpatched against the [Log4shell](https://www.bleepingcomputer.com/tag/Log4shell/) vulnerability.



![IPs linked to CVE-2022-47966 exploitation](https://www.bleepstatic.com/images/news/u/1109292/2023/IPs%20linked%20to%20CVE-2022-47966%20exploitation.png)*IPs linked to CVE-2022-47966 exploitation (GreyNoise)*


## ​Post-exploitation activity on compromised devices


While investigating attacks that led to the compromise of some of its customers' ManageEngine instances, Rapid7 also observed post-exploitation activity.


The company says the attackers are using PowerShell scripts to disable Microsoft Defender real-time protection and adding the C:\Users\Public folder to Defender's exclusion lists.


The threat actors also deploy additional payloads, including remote access tools camouflaged as the Windows Service Host service.


One of these tools, a Golang protocol tunneling tool named Chisel that's similar to the Plink (PuTTY Link) command-line connection tool, is being used to create a reverse ssh tunnel (likely to open a remote shell to bypass firewalls).


In one exploitation attempt seen by ShadowServer and shared with BleepingComputer, the attackers used curl to download a file from a remote server (106.246.224[.]219/hlmllmo) and execute it.


Unfortunately, this file no longer exists on the server, so there's no info on its malicious behavior.


However, the IP address has a [history](https://www.virustotal.com/gui/file/d5059a738b942d8a985adc401f90b2780d6b95c44e1682abd28dab256e0b33d6) of distributing Linux backdoors on compromised devices using [VMware vulnerabilities](https://www.bleepingcomputer.com/news/security/hackers-exploit-critical-vmware-cve-2022-22954-bug-patch-now/) and the [Log4Shell flaw](https://twitter.com/tolisec/status/1501648068558704640).



![Script used to deploy additional payloads](https://www.bleepstatic.com/images/news/u/1109292/2023/Script%20used%20to%20deploy%20additional%20payloads.png)*Script used to deploy additional payloads in previous attacks (BleepingComputer)*


​"Organizations using any of the affected products listed in ManageEngine's advisory should update immediately and review unpatched systems for signs of compromise, as exploit code is publicly available and exploitation has already begun," Rapid7 warned.


Horizon [found](https://www.horizon3.ai/manageengine-cve-2022-47966-iocs/) over 8,300 Internet-exposed ServiceDesk Plus and Endpoint Central instances and warned of "spray and pray" attacks after estimating that roughly ​10% of exposed instances are also vulnerable to attacks.


CISA and the FBI have previously issued joint advisories ([1](https://us-cert.cisa.gov/ncas/alerts/aa21-259a), [2](https://us-cert.cisa.gov/ncas/alerts/aa21-336a)) to warn of state-backed threat actors exploiting ManageEngine flaws to drop web shells on the networks of organizations from multiple critical infrastructure sectors, including healthcare and financial services.





## Tags:
***CVE's***: CVE-2022-47966
***ipv4-adresses***: 221.226.159.22 106.246.224.219
***urls***: http://106.246.224.219/hlmllmo

### Autogenerated tags:
[[manageengine]] [[rapid7]] [[cve-2022-47966]] [[rce]] [[greynoise]]
