# Critical infrastructure also hit by supply chain attack behind 3CX breach
## The X_Trader software supply chain attack that led to last month's 3CX breach has also impacted at least several critical infrastructure organizations in the United States and Europe, according to Symantec's Threat Hunter Team.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/critical-infrastructure-also-hit-by-supply-chain-attack-behind-3cx-breach/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 21 April 2023, 19:26
+ Date scraped: 21 April 2023, 20:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2018/03/29/powerlines-edited.jpg)



The X\_Trader software supply chain attack that led to last month's 3CX breach has also impacted at least several critical infrastructure organizations in the United States and Europe, according to Symantec's Threat Hunter Team.


North Korean-backed threat group linked to the Trading Technologies and 3CX attacks used a trojanized installer for X\_Trader software to deploy the VEILEDSIGNAL multi-stage modular backdoor onto victims' systems.


Once installed, the malware could execute malicious shellcode or inject a communication module into Chrome, Firefox, or Edge processes running on compromised systems.


"Initial investigation by Symantec's Threat Hunter Team has, to date, found that among the victims are two critical infrastructure organizations in the energy sector, one in the U.S. and the other in Europe," the company [said in a report](https://symantec-enterprise-blogs.security.com/blogs/threat-intelligence/xtrader-3cx-supply-chain) published today.


"In addition to this, two other organizations involved in financial trading were also breached."


While the Trading Technologies supply chain compromise is the result of a financially motivated campaign, the breach of multiple critical infrastructure organizations is worrisome, seeing that North Korean-backed hacking groups are also known for cyber espionage.


It's very likely that strategic organizations compromised as part of this supply chain attack will also be singled out for subsequent exploitation.


While Symantec didn't name the two energy sector organizations, Symantec Threat Hunter Team Director of Security Response Eric Chien told BleepingComputer that they are "power suppliers generating and supplying energy to the grid."


## Wide-ranging supply chain attack


Having breached at least four more entities besides 3CX with the help of the trojanized X\_Trader software, it's also highly likely that the North Korean hacking campaign already impacted additional victims yet to be discovered.


"The discovery that 3CX was breached by another, earlier supply chain attack made it highly likely that further organizations would be impacted by this campaign, which now transpires to be far more wide-ranging than originally believed," Symantec added.


"The attackers behind these breaches clearly have a successful template for software supply chain attacks and further, similar attacks cannot be ruled out."


On Thursday, Mandiant linked a North Korean threat group it tracks as UNC4736 to the [cascading supply chain attack that hit VoIP company 3CX](https://www.bleepingcomputer.com/news/security/3cx-hack-caused-by-trading-software-supply-chain-attack/) in March.


UNC4736 is related to the financially motivated North Korean-sponsored Lazarus Group behind [Operation AppleJeus](https://www.bleepingcomputer.com/news/security/lazarus-group-deploys-its-first-mac-malware-in-cryptocurrency-exchange-hack/) [[1](https://www.bleepingcomputer.com/news/security/new-macos-threat-served-from-cryptocurrency-trading-platform/), [2](https://www.bleepingcomputer.com/news/security/attackers-create-elaborate-crypto-trading-scheme-to-install-malware/), [3](https://www.bleepingcomputer.com/news/security/us-shares-info-on-north-korean-malware-used-to-steal-cryptocurrency/)], previously [linked](https://www.bleepingcomputer.com/news/security/north-korean-hackers-exploit-chrome-zero-day-weeks-before-patch/) by Google's Threat Analysis Group (TAG) to the compromise of Trading Technologies' website.


Based on attack infrastructure overlap, Mandiant also connected UNC4736 with two APT43 malicious activity clusters tracked as UNC3782 and UNC4469.





## Tags:


### Autogenerated tags:
[[3cx]] [[symantec]] [[x_trader]] [[unc4736]]
