# Cryptocurrency companies backdoored in 3CX supply chain attack
## Some of the victims affected by the 3CX supply chain attack have also had their systems backdoored with Gopuram malware, with the threat actors specifically targeting cryptocurrency companies with this additional malicious payload.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cryptocurrency-companies-backdoored-in-3cx-supply-chain-attack/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 03 April 2023, 17:22
+ Date scraped: 03 April 2023, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/04/03/3CX.jpg)



Some of the victims affected by the 3CX supply chain attack have also had their systems backdoored with Gopuram malware, with the threat actors specifically targeting cryptocurrency companies with this additional malicious payload.


VoIP communications company [3CX was compromised](https://www.bleepingcomputer.com/news/security/hackers-compromise-3cx-desktop-app-in-a-supply-chain-attack/) by North Korean threat actors tracked as [Lazarus Group](https://www.bleepingcomputer.com/tag/lazarus-group/) to infect the company's customers with trojanized versions of its Windows and macOS desktop apps in a large-scale supply chain attack.


In this attack, the attackers replaced two DLLs used by the Windows desktop app with malicious versions that would download additional malware to computers, like an information-stealing trojan.


Since then, Kaspersky has discovered that the Gopuram backdoor previously used by the Lazarus hacking group against cryptocurrency companies since at least 2020, was also deployed as a second-stage payload in the same incident into the systems of a limited number of affected 3CX customers.


Gopuram is a modular backdoor that can be used by its operators to manipulate the Windows registry and services, perform file [timestomping](https://attack.mitre.org/techniques/T1070/006/) to evade detection, inject payloads into already running processes, load unsigned Windows drivers using the open-source [Kernel Driver Utility](https://github.com/hfiref0x/KDU), as well as partial user management via the net command on infected devices.


"The discovery of the new Gopuram infections allowed us to attribute the 3CX campaign to the Lazarus threat actor with medium to high confidence. We believe that Gopuram is the main implant and the final payload in the attack chain," [Kaspersky researchers said](https://securelist.com/gopuram-backdoor-deployed-through-3cx-supply-chain-attack/109344/).


The number of Gopuram infections worldwide increased in March 2023, with the attackers dropping a malicious library (wlbsctrl.dll) and an encrypted shellcode payload (.TxR.0.regtrans-ms) on the systems of cryptocurrency companies impacted by the 3CX supply chain attack.


Kaspersky researchers found that the attackers used Gopuram with precision, deploying it only on less than ten infected machines, suggesting the attackers' motivation may be financial and with a focus on such companies.


"As for the victims in our telemetry, installations of the infected 3CX software are located all over the world, with the highest infection figures observed in Brazil, Germany, Italy and France," Kaspersky experts added.


"As the Gopuram backdoor has been deployed to less than ten infected machines, it indicates that attackers used Gopuram with surgical precision. We additionally observed that the attackers have a specific interest in cryptocurrency companies."


## Customers asked to switch to PWA web client


3CX has confirmed its 3CXDesktopApp Electron-based desktop client was compromised to include malware one day after [news of the attack](https://www.bleepingcomputer.com/news/security/hackers-compromise-3cx-desktop-app-in-a-supply-chain-attack/) first surfaced on March 29 and more than a week after multiple customers reported alerts that the software was being tagged as malicious by security software.


The company [now advises customers](https://www.3cx.com/blog/news/security-incident-updates/) to uninstall the Electron desktop app from all Windows and macOS systems (a script for mass uninstalling the app across networks is available [here](https://www.3cx.com/blog/news/uninstalling-the-desktop-app/)) and to switch to the progressive web application (PWA) Web Client App.


A group of security researchers has [developed and released](https://twitter.com/silascutler/status/1641911912022589440) a web-based tool to [detect if a specific IP address has been potentially impacted](https://checkmyoperator.com/) by the March 2023 supply chain attack against 3CX.


"Identification of potentially impacted parties is based on lists of IP addresses that were interacting with malicious infrastructure," the development team explains.


As BleepingComputer reported days after the incident (now tracked as [CVE-2023-29059](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-29059)*)* was disclosed, the threat actors behind it [exploited a 10-year-old Windows vulnerability](https://www.bleepingcomputer.com/news/microsoft/10-year-old-windows-bug-with-opt-in-fix-exploited-in-3cx-attack/) (CVE-2013-3900) to make it appear that the malicious DLLs used to drop additional payloads were legitimately signed.


The same vulnerability has been used to infect Windows computers [with Zloader banking malware](https://research.checkpoint.com/2022/can-you-trust-a-files-digital-signature-new-zloader-campaign-exploits-microsofts-signature-verification-putting-users-at-risk/) capable of stealing user credentials and private information


3CX says its 3CX Phone System has over 12 million users daily and is used by over 600,000 companies worldwide.


Its [customer list](https://www.3cx.com/company/customers/) includes high-profile companies and organizations like American Express, Coca-Cola, McDonald's, Air France, IKEA, the UK's National Health Service, and multiple automakers, including BMW, Honda, Toyota, and Mercedes-Benz.





## Tags:
***CVE's***: CVE-2023-29059 CVE-2013-3900

### Autogenerated tags:
[[3cx]] [[gopuram]] [[windows]] [[malware]] [[kaspersky]]
