# Cybercrime service bypasses Android security to install malware
## A new dropper-as-a-service (DaaS) named 'SecuriDropper' has emerged, using a method that bypasses Android 13's 'Restricted Settings' to install malware on devices and grant them access to the Accessibility Services.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cybercrime-service-bypasses-android-security-to-install-malware/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 06 November 2023, 07:00
+ Date scraped: 06 November 2023, 13:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/05/25/Android_malware.jpg)



A new dropper-as-a-service (DaaS) cybercrime operation named 'SecuriDropper' has emerged, using a method that bypasses the 'Restricted Settings' feature in Android to install malware on devices and obtain access to Accessibility Services.


Restricted Settings is a security feature introduced with Android 13 that prevents side-loaded applications (APK files) installed from outside Google Play to access powerful features like the Accessibility settings and Notification Listener.


The two permissions are commonly abused by malware, so the feature was intended to protect users by blocking the approval of requests by displaying a warning when these permissions are requested.



![Restricted Settings warning pop-up](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/34/restricted.png)**Restricted Settings warning pop-up**  
*(ThreatFabric)*


Accessibility can be abused to capture on-screen text, granting additional permissions, and performing navigation actions remotely, while the Notification Listener can be used to steal one-time passwords.


In August 2022, ThreatFabric [reported](https://www.bleepingcomputer.com/news/security/malware-devs-already-bypassed-android-13s-new-security-feature/) that malware developers were already adjusting their tactics to this new measure through a new dropper named 'BugDrop.'


Based on its observations, the firm created a proof-of-concept (PoC) dropper to showcase that the bypass was possible.


The trick is to use the session-based installation API for the malicious APK (Android package) files, which installs them in multiple steps, involving a "base" package and various "split" data files.


When the particular API is used instead of the non-session method, Restricted Settings is bypassed, and users are not shown the 'Restricted setting' dialog that prevents them from granting the malware access to dangerous permissions.


BleepingComputer has confirmed that the security issue is still present in Android 14, and, according to a new ThreatFabric report, SecuriDropper follows the same technique to side-load malware on target devices and give them access to risky sub-systems.


This is the first observed case of this method being used in cybercrime operations targeting Android users.


Android Dropper-as-a-Service operations
---------------------------------------


SecuriDropper infects Android devices posing as a legitimate app, most often impersonating a Google app, Android update, video player, security app, or a game, and then installing a second payload, which is some form of malware.



![App types SecuriDropper impersonates](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/34/impersonation.png)**App types SecuriDropper impersonates** *(ThreatFabric)*


The dropper achieves this by securing access to the "Read & Write External Storage" and "Install & Delete Packages" permissions upon installation.


The second-stage payload is installed through user deception and interface manipulation, prompting users to click a "Reinstall" button after displaying bogus error messages about the dropper app's installation.



![Payload dropping process](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/34/drop-process.png)**Payload dropping process** *(ThreatFabric)*


ThreatFabric has seen [SpyNote](https://www.bleepingcomputer.com/news/security/spynote-android-malware-spreads-via-fake-volcano-eruption-alerts/) malware distributed through SecuriDropper disguised as a Google Translate app.


In other cases, SecuriDropper was seen distributing banking Ermac trojans disguised as the Chrome browser, targeting [hundreds](https://www.bleepingcomputer.com/news/security/new-ermac-20-android-malware-steals-accounts-wallets-from-467-apps/) of cryptocurrency and e-banking applications.


ThreatFabric [also reports](https://www.threatfabric.com/blogs/droppers-bypassing-android-13-restrictions) on the re-surfacing of [Zombinder](https://www.bleepingcomputer.com/news/security/new-zombinder-platform-binds-android-malware-with-legitimate-apps/), a DaaS operation first documented in December 2022. This service "glues" malicious payloads with legitimate apps to infect Android devices with info-stealers and banking trojans.


Worryingly, Zombinder's recent advertisements highlight the same Restricted Settings bypass strategy previously discussed, so the payloads are granted permission to use Accessibility settings upon installation.



![Zombinder's latest advertisment](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/34/zombinder.png)**Zombinder's latest advertisement** *(ThreatFabric)*


To protect against these attacks, Android users should avoid downloading APK files from obscure sources or publishers they don't know and trust.


Access to permissions for any installed app can be reviewed and revoked by going to **Settings → Apps → [select an app] → Permissions**.


BleepingComputer has contacted Google to ask if new security measures will be implemented to address this actively-leveraged problem, but we have not received a response by publication time.





## Tags:


### Autogenerated tags:
[[android]] [[threatfabric]] [[malware]] [[securidropper]] [[google]] [[apk]] [[zombinder]]
