# Donut extortion group also targets victims with ransomware
## The Donut (D0nut) extortion group has been confirmed to deploy ransomware in double-extortion attacks on the enterprise.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/donut-extortion-group-also-targets-victims-with-ransomware/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 22 November 2022, 20:53
+ Date scraped: 22 November 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/08/22/donut-leaks-header.jpg)



The Donut (D0nut) extortion group has been confirmed to deploy ransomware in double-extortion attacks on the enterprise.


BleepingComputer [first reported on the Donut extortion group](https://www.bleepingcomputer.com/news/security/new-donut-leaks-extortion-gang-linked-to-recent-ransomware-attacks/) in August, linking them to attacks on Greek natural gas company DESFA, UK architectural firm Sheppard Robson, and multinational construction company Sando.


Strangely, the data for Sando and DESFA was also posted to several ransomware operations’ sites, with the Sando attack claimed by Hive ransomware and DESFA claimed by Ragnar Locker.


Unit 42 researcher Doel Santos [also shared](https://infosec.exchange/@santosdoel/109388990804963479) that the TOX ID used in ransom notes was seen in samples of the HelloXD ransomware.


This cross-posting of stolen data and affiliation leads us to believe the threat actor behind Donut Leaks is an affiliate for numerous operations, now trying to monetize the data in their own operation.


## The Donut ransomware


This week, BleepingComputer found a sample [[VirusTotal](https://www.virustotal.com/gui/file/9455b7fcf93f0a5a6f9c099fbe938f5a9169f8d3dcc83833aa2c0f903518cfa3)] of an encryptor for the Donut operation, aka D0nut, showing that the group is using its own customized ransomware for double-extortion attacks.


The ransomware is still being analyzed, but when executed, it will scan for files matching specific extensions to encrypt. When encrypting files, the ransomware will avoid files and folders containing the following strings:



```
Edge
ntldr
Opera
bootsect.bak
Chrome
BOOTSTAT.DAT
boot.ini
AllUsers
Chromium
bootmgr
Windows
thumbs.db
ntuser.ini
ntuser.dat
desktop.ini
bootmgr.efi
autorun.inf

```

When a file is encrypted, the Donut ransomware will append the **.d0nut** extension to encrypted files. So, for example, 1.jpg will be encrypted and renamed to 1.jpg.d0nut, as shown below.



![Files encrypted by the Donut Ransomware](https://www.bleepstatic.com/images/news/ransomware/d/donut/encrypted-files.jpg)**Files encrypted by the Donut Ransomware**  
*Source: BleepingComputer*


The Donut Leaks operation has a flair for theatrics, using interesting graphics, a bit of humor, and even offering a builder for an executable that acts as a gateway to their Tor data leak site (see below).


This flair is especially shown in its ransom notes, where they use different ASCII art, such as the spinning ASCII donut below.



![Donut ransom note](https://www.bleepstatic.com/images/news/ransomware/d/donut/ransom-note.gif)**Donut ransom note**


Another ransomware note seen by BleepingComputer pretends to be a command prompt displaying a PowerShell error, which then prints a scrolling ransom note.



The ransom notes are heavily obfuscated to avoid detection, with all strings encoded and the JavaScript decoding the ransom note in the browser.


These ransom notes include different ways to contact the threat actors, including via TOX and a Tor negotiation site.



![Donut ransom negotiation site](https://www.bleepstatic.com/images/news/ransomware/d/donut/tor-negotiation-site.jpg)**Donut ransom negotiation site**  
*Source: BleepingComputer*


The Donut ransomware operation also includes a "builder" on their data leak site that consists of a bash script to create a Windows and Linux Electron app with a bundled Tor client to access their data leak sites.



![Donut ransomware electron app](https://www.bleepstatic.com/images/news/ransomware/d/donut/donut-electron-app.jpg)**D0nut ransomware electron app**


This app is currently "broken" as it uses HTTPS URLs, which are not currently operational.


Overall, this extortion group is one to keep an eye out for, not only for their apparent skills but their ability to market themselves.





## Tags:


### Autogenerated tags:
[[ransomware]] [[bleepingcomputer]] [[d0nut]] [[desfa]] [[sando]]
