# Emotet malware attacks return after three-month break
## The Emotet malware operation is again spamming malicious emails as of Tuesday morning after a three-month break, rebuilding its network and infecting devices worldwide.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/emotet-malware-attacks-return-after-three-month-break/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 07 March 2023, 21:10
+ Date scraped: 07 March 2023, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/10/06/Emotet-map.jpg)



The Emotet malware operation is again spamming malicious emails as of Tuesday morning after a three-month break, rebuilding its network and infecting devices worldwide.


Emotet is a notorious malware distributed through email containing malicious Microsoft Word and Excel document attachments. When users open these documents and macros are enabled, the Emotet DLL will be downloaded and loaded into memory.


Once Emotet is loaded, the malware will sit quietly, waiting for instructions from a remote command and control server.


Eventually, the malware will steal victims' emails and contacts for use in future Emotet campaigns or download additional payloads such as [Cobalt Strike](https://www.bleepingcomputer.com/news/security/emotet-starts-dropping-cobalt-strike-again-for-faster-attacks/) or other malware that commonly leads to ransomware attacks.


While Emotet has been considered the most distributed malware in the past, it has gradually slowed down, with its last spam operation seen in November 2022. However, even then, the spamming only lasted two weeks.


## Emotet returns in 2023


Today, cybersecurity firm [Cofense](https://cofense.com/blog/emotet-sending-malicious-emails-after-three-month-hiatus/) and the Emotet-tracking group Cryptolaemus warned that the Emotet botnet had once again resumed sending emails.


"As of 1200UTC Ivan finally got E4 to send spam. We are seeing Red Dawn templates that are very large coming in at over 500MB. Currently seeing a decent flow of spam. Septet of payload URLs and ugly macros," [tweeted Cryptolaemus](https://twitter.com/Cryptolaemus1/status/1633099154623803394).


Cofense also confirmed to BleepingComputer that the spam campaign began at 7:00 AM ET, with current volumes remaining low.


"The first email we saw was around 7am EST. Volume remains low at this time as they continue to rebuild and gather new credentials to leverage and address books to target," Cofense told BleepingComputer.


Instead of using reply-chain emails like in the previous campaign, the threat actors are utilizing emails that pretend to be invoices, as shown below.



![Emotet phishing email](https://www.bleepstatic.com/images/news/malware/e/emotet/emotet-returns-2023/cofense-phishing-email.jpg)**Emotet phishing email**  
*Source: Cofense*


Attached to these emails are ZIP archives containing inflated Word documents that are over 500 MB in size. They are swollen to make it harder for antivirus solutions to scan them and detect them as malicious.


These Microsoft Word documents use Emotet's '[Red Dawn](https://www.bleepingcomputer.com/news/security/emotet-malwares-new-red-dawn-attachment-is-just-as-dangerous/)' document template, prompting users to enable content on the document to see it correctly.



![Malicious Microsoft Word document using the Red Dawn template](https://www.bleepstatic.com/images/news/malware/e/emotet/emotet-returns-2023/red-dawn-template.jpg)**Malicious Microsoft Word document using the Red Dawn template**  
*Source: BleepingComputer*


These documents contain a mess of macros that will download the Emotet loader as a DLL from compromised sites, many of which are hacked WordPress blogs.



![A mess of malicious macros in an Emotet Word document](https://www.bleepstatic.com/images/news/malware/e/emotet/emotet-returns-2023/malicious-macros.jpg)**A mess of malicious macros in an Emotet Word document**  
*Source: BleepingComputer*


When downloaded, Emotet will be saved to a random-named folder under %LocalAppData% and launched using regsvr32.exe.



![Emotet loader launched by Regsvr32.exe](https://www.bleepstatic.com/images/news/malware/e/emotet/emotet-returns-2023/emotet-process.jpg)**Emotet loader launched by Regsvr32.exe**  
*Source: BleepingComputer*


Like the Word document, the Emotet DLL has been swollen to 526MB to hinder the ability to detect it as malicious by antivirus software.


This evasion technique shows success, as illustrated in a [VirusTotal scan](https://www.virustotal.com/gui/file/1c9be74d8f870d1218685a86a51ffb01d96524a742fe9f610eb07d9c345e3961) where the malware is only detected by one security vendor out of 64 engines, with that vendor only detecting that it was swollen.



![Swollen Emotet DLL to evade detection](https://www.bleepstatic.com/images/news/malware/e/emotet/emotet-returns-2023/massive-emotet-file.jpg)**Swollen Emotet DLL to evade detection**  
*Source: BleepingComputer*


Once running, the malware will run in the background, awaiting commands, which will likely install further payloads on the device


The payloads allow other threat actors to remotely access the device, which is then used to spread further in the compromised network.


These attacks commonly lead to data theft and full-blown ransomware attacks on breached networks.


Cofense says that they have not seen any additional payloads being dropped now, and the malware is just collecting data for future spam campaigns.


## Recent Microsoft changes save the day


While Emotet is rebuilding its network, the current method may not have much success after recent changes by Microsoft.


In July 2022, [Microsoft finally disabled macros by default](https://www.bleepingcomputer.com/news/microsoft/microsoft-starts-blocking-office-macros-by-default-once-again/) in Microsoft Office documents downloaded from the Internet.


Due to this change, users who open an Emotet document will be greeted with a message stating that the macros are disabled because the source of the file is not trusted.



![](https://www.bleepstatic.com/images/news/malware/e/emotet/emotet-returns-2023/macros-disabled-warning.jpg)Macros disabled by default in Microsoft Office  
***Source: BleepingComputer***


ANALYGENCE senior vulnerability analyst, [Will Dormann](https://twitter.com/wdormann), told BleepingComputer that this change also affects attachments saved from emails.


For most users receiving Emotet emails, this feature will likely protect them from mistakenly enabling macros unless they make a concerted effort to enable them.


This change has led other threat actors to move away from Word and Excel documents and abuse other file formats, [such as Microsoft OneNote](https://www.bleepingcomputer.com/news/security/hackers-now-use-microsoft-onenote-attachments-to-spread-malware/), ISO images, and JS files.


It would not be surprising to see Emotet also move to different attachment types after this initial campaign does not go as intended.





## Tags:


### Autogenerated tags:
[[emotet]] [[malware]] [[microsoft]] [[emails]] [[bleepingcomputer]] [[cofense]] [[dll]]
