# Exploit released for Fortra GoAnywhere MFT auth bypass bug
## Exploit code is now available for a critical authentication bypass vulnerability in Fortra's GoAnywhere MFT (Managed File Transfer) software that allows attackers to create new admin users on unpatched instances via the administration portal.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/exploit-released-for-fortra-goanywhere-mft-auth-bypass-bug/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 23 January 2024, 18:16
+ Date scraped: 24 January 2024, 00:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/06/Fortra_GoAnywhere_MFT_headpic.jpg)



Exploit code is now available for a critical authentication bypass vulnerability in Fortra's GoAnywhere MFT (Managed File Transfer) software that allows attackers to create new admin users on unpatched instances via the administration portal.


GoAnywhere MFT is a web-based managed file transfer tool that helps organizations transfer files securely with partners and keep audit logs of who accessed all shared files.


While Fortra silently patched the bug ([CVE-2024-0204](https://nvd.nist.gov/vuln/detail/CVE-2024-0204)) on December 7 with the release of GoAnywhere MFT 7.4.1, the company only [publicly disclosed it today](https://www.bleepingcomputer.com/news/security/fortra-warns-of-new-critical-goanywhere-mft-auth-bypass-patch-now/) in an advisory offering limited information (more details are available in a [private customer advisory](https://my.goanywhere.com/webclient/ViewSecurityAdvisories.xhtml)).


However, Fortra also issued [private advisories](https://twitter.com/malcolmx0x/status/1732126084584620515) to customers on December 4 before fixing the flaw, urging them to secure their MFT services to keep their data safe.


Admins who haven't yet and can't immediately upgrade to the last version are advised to remove the attack vector by:


1. Deleting the InitialAccountSetup.xhtml file in the installation directory and restarting the services.
2. Replacing the InitialAccountSetup.xhtml file with an empty file and restarting the services.

The company [told BleepingComputer](https://www.bleepingcomputer.com/news/security/fortra-warns-of-new-critical-goanywhere-mft-auth-bypass-patch-now/) on Tuesday that there have been no reports of attacks exploiting this vulnerability.


Today, almost seven weeks later, security researchers with Horizon3's Attack Team published a [technical analysis](https://www.horizon3.ai/cve-2024-0204-fortra-goanywhere-mft-authentication-bypass-deep-dive/) of the vulnerability and shared a [proof-of-concept (PoC) exploit](https://github.com/horizon3ai/CVE-2024-0204) that helps create new admin users on vulnerable GoAnywhere MFT instances exposed online.


Their exploit takes advantage of the path traversal issue at the root of CVE-2024-0204 to access the vulnerable /InitialAccountSetup.xhtml endpoint and start the initial account setup screen (that shouldn't be available after the server's setup process) to create a new administrator account.


"The easiest indicator of compromise that can be analyzed is for any new additions to the 'Admin users' group in the GoAnywhere administrator portal Users -> Admin Users section," said Zach Hanley, Chief Attack Engineer at Horizon3.


"If the attacker has left this user here you may be able to observe its last logon activity here to gauge an approximate date of compromise."



![GoAnywhere MFT hacked](https://www.bleepstatic.com/images/news/u/1109292/2024/GoAnywhere_MFT_hacked.jpg)*Exploit used to create new GoAnywhere MFT admin users (Horizon3)*


However, now that Horizon3 has released a PoC exploit, it's very likely that threat actors will start scanning for and compromise all GoAnywhere MFT instances left unpatched.


Clop's GoAnywhere MFT breach campaign
-------------------------------------


The [Clop ransomware gang breached over 100 organizations](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-it-breached-130-orgs-using-goanywhere-zero-day/) by exploiting a critical remote code execution flaw ([CVE-2023-0669](https://nvd.nist.gov/vuln/detail/CVE-2023-0669)) in the GoAnywhere MFT software.


Clop's attacks began on January 18, 2023, and Fortra discovered that the flaw was being weaponized to breach its customers' secure file servers on February 3.


The list of victims who came forward after being breached and extorted by Clop includes but is not limited to healthcare giant [Community Health Systems (CHS)](https://www.bleepingcomputer.com/news/security/healthcare-giant-chs-reports-first-data-breach-in-goanywhere-hacks/), Consumer goods giant [Procter & Gamble](https://www.bleepingcomputer.com/news/security/procter-and-gamble-confirms-data-theft-via-goanywhere-zero-day/), cybersecurity firm [Rubrik](https://www.bleepingcomputer.com/news/security/rubrik-confirms-data-theft-in-goanywhere-zero-day-attack/), [Hitachi Energy](https://www.bleepingcomputer.com/news/security/hitachi-energy-confirms-data-breach-after-clop-goanywhere-attacks/), fintech platform [Hatch Bank](https://www.bleepingcomputer.com/news/security/hatch-bank-discloses-data-breach-after-goanywhere-mft-hack/), luxury brand retailer [Saks Fifth Avenue](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-saks-fifth-avenue-retailer-says-mock-data-stolen/), and the [City of Toronto, Canada](https://www.bleepingcomputer.com/news/security/city-of-toronto-confirms-data-theft-clop-claims-responsibility/).


Clop's involvement in last year's data theft campaign is part of a much broader pattern of targeting MFT platforms in recent years.


Other instances include the breach of [Accellion FTA](https://www.bleepingcomputer.com/tag/accellion/) servers in December 2020, [SolarWinds Serv-U](https://www.bleepingcomputer.com/news/security/clop-gang-exploiting-solarwinds-serv-u-flaw-in-ransomware-attacks/) servers in 2021, and the widespread exploitation of [MOVEit Transfer](https://www.bleepingcomputer.com/tag/moveit/) servers starting June 2023.





## Tags:
***CVE's***: CVE-2023-0669 CVE-2024-0204

### Autogenerated tags:
[[mft]] [[goanywhere]] [[fortra]] [[horizon3]] [[initialaccountsetup.xhtml]]
