# FBI: BlackCat ransomware breached at least 60 entities worldwide
## The Federal Bureau of Investigation (FBI) says the Black Cat ransomware gang, also known as ALPHV, has breached the networks of at least 60 organizations worldwide, between November 2021 and March 2022.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/fbi-blackcat-ransomware-breached-at-least-60-entities-worldwide/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 21 April 2022, 07:21
+ Date scraped: 21 April 2022, 08:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/21/Black_cat.jpg)



*Image: [Eduardo Mallmann](https://unsplash.com/@epmallmann)*


The Federal Bureau of Investigation (FBI) says the Black Cat ransomware gang, also known as ALPHV, has breached the networks of at least 60 organizations worldwide between November 2021 and March 2022.


The FBI's Cyber Division revealed this in a TLP:WHITE flash alert released on Wednesday in coordination with the Cybersecurity and Infrastructure Security Agency (DHS/CISA).


The flash alert is part of a series of similar reports highlighting the tactics, techniques, and procedures (TTPs) used by and indicators of compromise (IOCs) linked to ransomware variants identified during FBI investigations.


Since the start of the year, the FBI has issued other alerts underlining how ransomware gangs, including [BlackByte](https://www.bleepingcomputer.com/news/security/fbi-blackbyte-ransomware-breached-us-critical-infrastructure/), [Ragnar Locker](https://www.bleepingcomputer.com/news/security/fbi-ransomware-gang-breached-52-us-critical-infrastructure-orgs/), and [Avoslocker](https://www.bleepingcomputer.com/news/security/fbi-avoslocker-ransomware-targets-us-critical-infrastructure/), are targeting and have already breached dozens of US critical infrastructure organizations.


BlackCat/ALPHV "is the first ransomware group to do so successfully using RUST, considered to be a more secure programming language that offers improved performance and reliable concurrent processing," the FBI said.


BlackCat's ransomware executable is also highly customizable, and it comes with support for multiple encryption methods and options that make it easy to adapt attacks to a wide range of corporate environments



![BlackCat / ALPHV encrypting a computer](https://www.bleepstatic.com/images/news/ransomware/b/blackcat-alphv/blackcat.gif)*BlackCat / ALPHV encrypting a computer (BleepingComputer)*
## BlackCat ransomware, a BlackMatter rebrand


"Many of the developers and money launderers for BlackCat/ALPHV are linked to Darkside/Blackmatter, indicating they have extensive networks and experience with ransomware operations," the FBI also added.


The [DarkSide RaaS operation launched](https://www.bleepingcomputer.com/news/security/darkside-new-targeted-ransomware-demands-million-dollar-ransoms/) in August 2020 and was [shut down in May 2021](https://www.bleepingcomputer.com/news/security/darkside-ransomware-servers-reportedly-seized-operation-shuts-down/) after law enforcement agencies' efforts to take down the gang following the widely publicized [attack on Colonial Pipeline](https://www.bleepingcomputer.com/news/security/largest-us-pipeline-shuts-down-operations-after-ransomware-attack/).


While they [rebranded as BlackMatter](https://www.bleepingcomputer.com/news/security/darkside-ransomware-gang-returns-as-new-blackmatter-operation/) on July 31st, they were [soon forced to shut down](https://www.bleepingcomputer.com/news/security/blackmatter-ransomware-claims-to-be-shutting-down-due-to-police-pressure/) again in November 2021, after [Emsisoft found and exploited a weakness](https://www.bleepingcomputer.com/news/security/blackmatter-ransomware-victims-quietly-helped-using-secret-decryptor/) in the ransomware to create a decryptor, and the gang's servers were seized.


A representative of the LockBit ransomware gang was first to expose the [BlackCat / BlackMatter link](https://www.bleepingcomputer.com/news/security/blackcat-alphv-ransomware-linked-to-blackmatter-darkside-gangs/) one month after BlackCat ransomware's November 2021 launch.



![LockBit rep exposing DarkSide to ALPHV rebrand](https://www.bleepstatic.com/images/news/ransomware/b/blackcat-alphv/blackmatter-rebrand/lockbit-post.jpg)*LockBit rep exposing DarkSide to BlackCat rebrand (BleepingComputer)*
The BlackCat gang also established a connection in an [interview with The Record](https://therecord.media/an-alphv-blackcat-representative-discusses-the-groups-plans-for-a-ransomware-meta-universe/) published several months later, in February 2022, but did not confirm the actual rebrand from BlackMatter.


While BlackCat claims they are just a DarkSide/BlackMatter affiliate who launched their own Ransomware-as-a-Service (RaaS) operation, some security researchers are not buying it, especially after finding similarities in features and configuration files.


## Victims asked to report attacks and not to pay ransoms


In the Wednesday flash alert, the FBI also asked admins who detect BlackCat activity to share any related info with their local FBI Cyber Squad.


Helpful information that would help track down and identify the threat actors behind this ransomware group includes "IP logs showing callbacks from foreign IP addresses, Bitcoin or Monero addresses and transaction IDs, communications with the threat actors, the decryptor file, and/or a benign sample of an encrypted file."


The FBI said that it doesn't encourage paying BlackCat ransoms since victims have no guarantee that this will prevent future attacks or leaks of stolen data.


However, the federal agency did acknowledge the damage inflicted by ransomware attacks, which may force company executives to pay the ransom and protect shareholders, customers, or employees.


The FBI also shared mitigation measures to help network defenders block such attacks and strongly urged all BlackCat victims to report such incidents to their [local FBI field office](https://www.fbi.gov/contact-us/field-offices).





## Tags:


### Autogenerated tags:
[[ransomware]] [[blackcat]] [[blackmatter]]
