# FBI: State hackers exploiting new Zoho zero-day since October
## The Federal Bureau of Investigation (FBI) says a zero-day vulnerability in Zoho's ManageEngine Desktop Central has been under active exploitation by state-backed hacking groups (also known as APTs or advanced persistent threats) since at least October.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/fbi-state-hackers-exploiting-new-zoho-zero-day-since-october/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 20 December 2021, 18:06
+ Date scraped: 20 December 2021, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/11/10/FBI.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/11/10/FBI.jpg)

![FBI: State hackers exploiting new Zoho zero-day since October](https://www.bleepstatic.com/content/hl-images/2021/11/10/FBI.jpg)


The Federal Bureau of Investigation (FBI) says a zero-day vulnerability in Zoho's ManageEngine Desktop Central has been under active exploitation by state-backed hacking groups (also known as APTs or advanced persistent threats) since at least October.


"Since at least late October 2021, APT actors have been actively exploiting a zero-day, now identified as CVE-2021-44515, on ManageEngine Desktop Central servers," the FBI's Cyber Division said [[PDF](https://www.ic3.gov/Media/News/2021/211220.pdf)].


"The APT actors were observed compromising Desktop Central servers, dropping a webshell that overrides a legitimate function of Desktop Central, downloading post-exploitation tools, enumerating domain users and groups, conducting network reconnaissance, attempting lateral movement and dumping credentials."


The security flaw, [patched by Zoho in early December](https://www.bleepingcomputer.com/news/security/zoho-patch-new-manageengine-bug-exploited-in-attacks-asap/), is a critical authentication bypass vulnerability attackers could exploit to execute arbitrary code on vulnerable Desktop Central servers.


CISA [added CVE-2021-44515 to its Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/uscert/ncas/current-activity/2021/12/10/cisa-adds-thirteen-known-exploited-vulnerabilities-catalog) on December 10, requiring federal agencies to patch it before Christmas under [Binding Operational Directive (BOD) 22-01](https://www.bleepingcomputer.com/news/security/cisa-orders-federal-agencies-to-fix-hundreds-of-exploited-security-flaws/).


Customers warned to patch their servers
---------------------------------------


After patching the vulnerability, the company also warned customers of ongoing exploitation attempts urging them to immediately deploy the security updates to block incoming attacks.


"As we are noticing indications of exploitation of this vulnerability, we strongly advise customers to update their installations to the latest build as soon as possible," Zoho said.


To detect if your server was breached using this security flaw, you can use Zoho's Exploit Detection Tool and go through the steps detailed [here](https://www.manageengine.com/products/desktop-central/cve-2021-44515-authentication-bypass-filter-configuration.html).


The company advises backing up critical business data, disconnecting impacted network systems, formatting all compromised servers, [restoring](https://www.manageengine.com/products/desktop-central/backup_restoration_desktop_central_server_incompatible.htmlhttps://www.manageengine.com/products/desktop-central/backup_restoration_desktop_central_server_incompatible.html) Desktop Central, and updating to the latest build.


If signs of compromise are found, Zoho recommends initiating a password reset "for all services, accounts, Active Directory, etc. that has been accessed from the service installed machine," together with Active Directory administrator passwords.


According to Shodan, there are [over 2,900 ManageEngine Desktop Central instances](https://www.shodan.io/search?query=http.title%3A%22manageengine+desktop+central%22) exposed to incoming attacks.



![CVE-2021-44515 impact](https://www.bleepstatic.com/images/news/u/1109292/2021/CVE-2021-44515_impact.jpg)*Internet-exposed Desktop Central servers (BleepingComputer)*
ManageEngine servers under siege
--------------------------------


In recent years, Zoho ManageEngine servers have been under constant targeting, with Desktop Central instances, for instance, having been hacked and access [to their networks sold on hacking forums](https://www.bleepingcomputer.com/news/security/hackers-sell-access-to-your-network-via-remote-management-apps/) since July 2020.


Between August and October 2021, Zoho ManageEngine installations have also been attacked by nation-state hackers using tactics and tooling similar to those employed by the Chinese-linked APT27 hacking group.


In these attacks, the threat actors focused their efforts on breaching the networks of critical infrastructure organizations worldwide in three different campaigns.


They first used an [ADSelfService zero-day exploi](https://www.bleepingcomputer.com/news/security/fbi-and-cisa-warn-of-state-hackers-exploiting-critical-zoho-bug/)t between early August and mid-September, then switched to an [n-day AdSelfService exploit](https://www.bleepingcomputer.com/news/security/state-hackers-breach-defense-energy-healthcare-orgs-worldwide/) until late October, and moved to [a ServiceDesk one starting with October 25](https://www.bleepingcomputer.com/news/security/hackers-use-in-house-zoho-servicedesk-exploit-to-drop-webshells/).


Following these campaigns, the FBI and CISA issued joint advisories ([1](https://us-cert.cisa.gov/ncas/alerts/aa21-259a), [2](https://us-cert.cisa.gov/ncas/alerts/aa21-336a)) warning of APT actors exploiting these ManageEngine flaws to drop web shells on the networks of breached critical infrastructure orgs, including healthcare, financial services, electronics, and IT consulting industries.







## Tags:
***CVE's***: CVE-2021-44515

### Autogenerated tags:
[[manageengine]] [[zoho]] [[zero-day]]
