# FBI and CISA warn of opportunistic Rhysida ransomware attacks
## The FBI and CISA warned today of Rhysida ransomware gang's opportunistic attacks targeting organizations across multiple industry sectors.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/fbi-and-cisa-warn-of-opportunistic-rhysida-ransomware-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 15 November 2023, 12:46
+ Date scraped: 15 November 2023, 18:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/11/15/Hacker_random.jpg)



The FBI and CISA warned today of Rhysida ransomware gang's opportunistic attacks targeting organizations across multiple industry sectors.


Rhysida, a ransomware enterprise that surfaced in May 2023, quickly gained notoriety after [breaching the Chilean Army (Ejército de Chile)](https://www.bleepingcomputer.com/news/security/rhysida-ransomware-leaks-documents-stolen-from-chilean-army/) and leaking stolen data online.


Recently, the US Department of Health and Human Services (HHS) also [warned](https://www.bleepingcomputer.com/news/security/rhysida-ransomware-behind-recent-attacks-on-healthcare/) that the Rhysida gang was responsible for recent assaults on healthcare organizations.


Today's joint cybersecurity advisory provides defenders with indicators of compromise (IOCs), detection info, and Rhysida tactics, techniques, and procedures (TTPs) discovered during investigations as of September 2023.


"Threat actors leveraging Rhysida ransomware are known to impact 'targets of opportunity,' including victims in the education, healthcare, manufacturing, information technology, and government sectors," the two agencies [noted](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-319a).


"Observed as a ransomware-as-a-service (RaaS) model, Rhysida actors have compromised organizations in education, manufacturing, information technology, and government sectors and any ransom paid is split between the group and affiliates."


Rhysida attackers have also been detected hacking into external-facing remote services (like VPNs that allow enterprise users to access company assets from external locations) using stolen credentials to establish initial access and maintain a presence within victims' networks.


This was possible when targeting organizations that didn't have Multi-Factor Authentication (MFA) enabled by default across their environment.



![Rhysida ransom note](https://www.bleepstatic.com/images/news/u/1109292/2023/Rhysida_ransom_note.png)*Rhysida ransom note (BleepingComputer)*


Furthermore, Rhysida malicious actors are known for phishing attacks and exploiting Zerologon (CVE-2020-1472), a critical vulnerability enabling Windows privilege escalation within Microsoft's Netlogon Remote Protocol.


The FBI and CISA add that affiliates associated with the Vice Society ransomware group, tracked by Microsoft as [Vanilla Tempest or DEV-0832](https://www.microsoft.com/en-us/security/blog/2022/10/25/dev-0832-vice-society-opportunistic-ransomware-campaigns-impacting-us-education-sector/), have transitioned to using Rhysida ransomware payloads during their attacks.


[Sophos](https://news.sophos.com/en-us/2023/11/10/vice-society-and-rhysida-ransomware/), [Check Point Research](https://research.checkpoint.com/2023/the-rhysida-ransomware-activity-analysis-and-ties-to-vice-society/), and [PRODAFT](https://twitter.com/PRODAFT/status/1686011744005586944) research have noted this shift occurring approximately in July 2023, right after Rhysida first began adding victims to its data leak website.


Network defenders are advised to apply mitigations outlined in today's joint advisory to minimize the likelihood and severity of ransomware incidents like Rhysida.


At the very least, it is crucial to prioritize patching vulnerabilities under active exploitation, enabling MFA across all services (particularly for webmail, VPN, and critical system accounts), and using network segmentation to block lateral movement attempts.





## Tags:
***CVE's***: CVE-2020-1472

### Autogenerated tags:
[[rhysida]] [[ransomware]]
