# FBI spots spear-phishing posing as Truist Bank bank to deliver malware
## Threat actors impersonated Truist, the sixth-largest U.S. bank holding company, in a spear-phishing campaign attempting to infect recipients with what looks like remote access trojan (RAT) malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/fbi-spots-spear-phishing-posing-as-truist-bank-bank-to-deliver-malware/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 17 May 2021, 15:01
+ Date scraped: 12 December 2023, 13:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/17/FBI.jpg)



Threat actors impersonated Truist, the sixth-largest US bank holding company, in a spear-phishing campaign attempting to infect recipients with what looks like remote access trojan (RAT) malware.


They also tailored the phishing campaign "to spoof the financial institution through registered domains, email subjects, and an application, all appearing to be related to the institution," the FBI said in a TLP:WHITE [private industry notification](https://www.ic3.gov/Media/News/2021/210513.pdf).


The PIN was released in coordination with DHS-CISA and is designed to provide security professionals and network admins with the indicators of compromise needed to detect and block such attacks.


Multiple impersonated financial institutions
--------------------------------------------


In one of the attacks targeting a renewable energy company in February 2021, the phishing emails instructed the target to download a malicious Windows app mimicking the legitimate Truist Financial SecureBank App and supposedly needed to complete the process behind a $62 million loan.


"The fraudulent loan amount was in line with the victim's business model," the FBI added. "The phishing e-mail also contained a link to download the application and a username and password for access."


"The phishing e-mail appeared to originate from a United Kingdom-based financial institution, stating the US financial institution's loan to the victim was confirmed and could be accessed through an application which appeared to represent the US financial institution."


The threat actors hosted the fake Windows application on a fraudulent domain registered by the threat actors before the attack and impersonating Truist.


Other US and UK financial institutions (e.g., MayBank, FNB America, and Cumberland Private) seem to have also been impersonated in this spear-phishing campaign.



![Impersonated financial institutions ](https://www.bleepstatic.com/images/news/u/1109292/2021/Impersonated%20financial%20institutions%20.png)*Impersonated financial institutions*


Malware with information-stealing capabilities
----------------------------------------------


To increase their attacks' success rate, the attackers used malware currently undetected by anti-malware engines on [VirusTotal](https://www.virustotal.com/gui/file/e09ae3c1ff5489f300ec9ecfc76ffdab90b6dab07eff1a0edf38285ab1e2b801/detection).


The malware deployed after recipients download and install the malicious executable in the spear-phishing emails connects to the *secureportal(.)online* domain.


As further detailed on the VirusTotal page for the malware sample shared by the FBI, the attackers can use the malware to log keystrokes and take screenshots of the victims' screens.



![Financial SecureBank App](https://www.bleepstatic.com/images/news/u/1109292/2021/Financial%20SecureBank%20App.png)*Fake Truist Financial SecureBank App loading (BleepingComputer)*


According to VirusTotal, the malware's list of capabilities includes:


* Privilege escalation
* Communications over UDP network
* System registry manipulation
* Screenshot grabbing
* Listening for incoming communication
* Running a keylogger
* Communicating using DNS
* File downloader/dropper
* Communications over HTTP
* Code injection with CreateRemoteThread in a remote process

Last month, world-leading employment agency Michael Page was [impersonated in a similar phishing campaign](https://www.bleepingcomputer.com/news/security/phishing-impersonates-global-recruitment-firm-to-push-malware/) attempting to infect recipients with Ursnif data-stealing malware capable of harvesting credentials and sensitive data from infected computers.


Using info harvested from infected systems, the attackers can then steal their victims' login credentials and various other sensitive data to further compromise their accounts or networks.


Fake applications used as decoys while performing malicious activity in the background is a known tactic employed in the past by [cybercriminals](https://www.bleepingcomputer.com/news/security/fake-pirate-chick-vpn-pushed-azorult-info-stealing-trojan/) and state-backed threat actors such as the Lazarus Group [[1](https://www.bleepingcomputer.com/news/security/new-macos-threat-served-from-cryptocurrency-trading-platform/), [2](https://www.bleepingcomputer.com/news/security/attackers-create-elaborate-crypto-trading-scheme-to-install-malware/)].





## Tags:
***urls***: http://secureportal.online

### Autogenerated tags:
[[malware]] [[phishing]] [[truist]] [[spear-phishing]] [[virustotal]]
