# FBI, CISA warn US hospitals of targeted BlackCat ransomware attacks
## Today, the FBI, CISA, and the Department of Health and Human Services (HHS) warned U.S. healthcare organizations of targeted ALPHV/Blackcat ransomware attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/fbi-cisa-warn-us-hospitals-of-targeted-blackcat-ransomware-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 27 February 2024, 17:26
+ Date scraped: 27 February 2024, 23:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/02/08/hospital~2.jpg)



Today, the FBI, CISA, and the Department of Health and Human Services (HHS) warned U.S. healthcare organizations of targeted ALPHV/Blackcat ransomware attacks.


"ALPHV Blackcat affiliates have been observed primarily targeting the healthcare sector," the joint advisory [cautions](https://www.cisa.gov/news-events/alerts/2024/02/27/cisa-fbi-and-hhs-release-update-stopransomware-advisory-alphv-blackcat).


Today's warning follows an [April 2022](https://www.bleepingcomputer.com/news/security/fbi-blackcat-ransomware-breached-at-least-60-entities-worldwide/) FBI flash alert and another advisory issued in [December 2023](https://www.bleepingcomputer.com/news/security/fbi-alphv-ransomware-raked-in-300-million-from-over-1-000-victims/) detailing the BlackCat cybercrime gang's activity since it surfaced in November 2021 as a suspected rebrand of the [DarkSide](https://www.bleepingcomputer.com/news/security/darkside-new-targeted-ransomware-demands-million-dollar-ransoms/) and [BlackMatter](https://www.bleepingcomputer.com/news/security/darkside-ransomware-gang-returns-as-new-blackmatter-operation/) ransomware groups.


The FBI linked BlackCat to over 60 breaches during its first four months of activity (between November 2021 and March 2022) and said the gang has raked in at least $300 million in ransoms from over 1,000 victims until September 2023.


"Since mid-December 2023, of the nearly 70 leaked victims, the healthcare sector has been the most commonly victimized," the three federal agencies warned in [today's joint advisory](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-353a).


"This is likely in response to the ALPHV Blackcat administrator's post encouraging its affiliates to target hospitals after operational action against the group and its infrastructure in early December 2023."


The FBI, CISA, and HHS advised critical infrastructure organizations to take necessary mitigation measures to minimize the likelihood and impact of Blackcat ransomware and data extortion incidents.


Moreover, they've urged healthcare organizations to implement [cybersecurity safeguards](https://hphcyber.hhs.gov/performance-goals.html) to counteract prevalent tactics, techniques, and procedures commonly employed within the Healthcare and Public Health (HPH) sector.


BlackCat now using ScreenConnect for initial access
---------------------------------------------------


Today's advisory comes after the BlackCat ransomware operation was [linked to a cyberattack on UnitedHealth Group subsidiary Optum](https://www.bleepingcomputer.com/news/security/unitedhealth-subsidiary-optum-hack-linked-to-blackcat-ransomware/) that triggered an ongoing outage impacting Change Healthcare, the largest payment exchange platform connecting doctors, pharmacies, healthcare providers, and patients in the U.S. healthcare system.


While UnitedHealth Group VP Tyler Mason did not confirm the BlackCat link in a statement shared with BleepingComputer, he said that 90% of the 70,000+ pharmacies using the impacted platform have switched to new electronic claim processes.


Sources familiar with the investigation told BleepingComputer that Change Healthcare has been conducting Zoom calls with partners in the healthcare industry to provide updates since the attack hit its systems.


BleepingComputer learned the attack had been linked to the BlackCat ransomware group by forensic experts investigating the incident and that the threat actors breached the network using the actively exploited [critical ScreenConnect auth bypass vulnerability](https://www.bleepingcomputer.com/news/security/new-screenconnect-rce-flaw-exploited-in-ransomware-attacks/) (CVE-2024-1709).


Even though the FBI, CISA, and the HHS didn’t link today’s advisory to the Change Healthcare incident, they shared indicators of compromise that confirm our reporting that the BlackCat ransomware gang is targeting vulnerable ScreenConnect servers for remote access into victim networks.



![BlackCat ScreenConnect IOCs](https://www.bleepstatic.com/images/news/u/1109292/2024/BlackCat_ScreenConnect_targeting.png)*BlackCat ScreenConnect IOCs (FBI/CISA/HHS)*


​The FBI [disrupted](https://www.bleepingcomputer.com/news/security/fbi-disrupts-blackcat-ransomware-operation-creates-decryption-tool/) the BlackCat gang's operations in December by [taking down](https://www.bleepingcomputer.com/news/security/alphv-ransomware-site-outage-rumored-to-be-caused-by-law-enforcement/) its Tor negotiation and leak sites. The [gang's servers were also hacked](https://www.bleepingcomputer.com/news/security/how-the-fbi-seized-blackcat-alphv-ransomwares-servers/), which allowed law enforcement to create a decryptor using collected keys during a months-long intrusion.


BlackCat has since "unseized" their sites and switched to a new Tor leak site that the FBI has not yet taken down.


The U.S. State Department [offers rewards](https://www.bleepingcomputer.com/news/security/us-offers-up-to-15-million-for-tips-on-alphv-ransomware-gang/) of up to $10 million for details leading to the identification or location of BlackCat gang leaders and $5 million for tips on individuals linked to the group's ransomware attacks.





## Tags:
***CVE's***: CVE-2024-1709

### Autogenerated tags:
[[blackcat]] [[ransomware]] [[screenconnect]] [[cisa]] [[hhs]] [[u.s]] [[bleepingcomputer]]
