# Fake KeePass site uses Google Ads and Punycode to push malware
## A Google Ads campaign was found pushing a fake KeePass download site that used Punycode to appear as the official domain of the KeePass password manager to distribute malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/fake-keepass-site-uses-google-ads-and-punycode-to-push-malware/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 19 October 2023, 14:17
+ Date scraped: 19 October 2023, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/05/05/malware-header.jpg)



A Google Ads campaign was found pushing a fake KeePass download site that used Punycode to appear as the official domain of the KeePass password manager to distribute malware.


Google has been battling with ongoing malvertising campaigns that allow threat actors to take out sponsored ads that appear above search results.


Even worse, Google Ads can be abused to show the legitimate domain for Keepass in the advertisements (https://www.keepass.info), making the threat hard to spot even for more diligent and security-conscious users.



![The malicious Google Search result](https://www.bleepstatic.com/images/news/u/1220909/2023/Adware/11/results.png)**The malicious Google Search result**  
*Source: Malwarebytes*


Those who click on the malicious link will pass through a series of system-profiling redirections that filter out bot traffic and sandboxes to arrive at the fake KeePass website using a Punycode URL, https://xn--eepass-vbb[.]info/, as shown below.



![Redirects users go through when clicking the malicious result](https://www.bleepstatic.com/images/news/u/1220909/2023/Adware/11/redirects.png)**Redirects users go through when clicking the malicious result**  
*Source: Malwarebytes*


Malwarebytes, which discovered this campaign, notes that the abuse of Punycode for cybercrime isn't novel. However, its combination with Google Ads abuse can signify a new dangerous trend in the field.


Punycode trick
--------------


Punycode is an encoding method used to represent Unicode characters, helping convert hostnames in non-Latin scripts (Cyrillic, Arabic, Greek, Chinese, etc.) to ASCII to make them understandable to the DNS (Domain Name System).


For example, "München" would be converted to "Mnchen-3ya," "α" would become "mxa," "правда" would be "80aafi6cg," and "도메인" would become "hq1bm8jm9l."


Threat actors abuse Punycode to register domain names that appear similar to legitimate sites but with one character using unicode, to look slightly different.


These types of attacks are called "homograph attacks." In the one [spotted by Malwarebytes](https://www.malwarebytes.com/blog/threat-intelligence/2023/10/clever-malvertising-attack-uses-punycode-to-look-like-legitimate-website), the threat actors use the Punycode "xn—eepass-vbb.info" which converts to "ķeepass.info," the project's genuine domain, but with a minor intonation underneath the character "ķ."



![Punycode used in the campaign](https://www.bleepstatic.com/images/news/u/1220909/2023/Adware/11/punycode.png)**Punycode used in the campaign**  
*Source: Malwarebytes*


This tiny visual glitch is unlikely to be perceived by most users visiting the decoy site but is a giveaway of the technique used in this case.



![Real (left) and fake (right) sites](https://www.bleepstatic.com/images/news/u/1220909/2023/Adware/11/sites.png)**Real (left) and fake (right) sites**  
*Source: Malwarebytes*


Those clicking on any download links embedded on the fake site receive a digitally-signed MSI installer called 'KeePass-2.55-Setup.msix' that includes a PowerShell script associated with the FakeBat malware loader.



![PowerShell script in fake KeePass installer](https://www.bleepstatic.com/images/news/ransomware/g/google-ads/keepass/fakebat-script.jpg)**PowerShell script in fake KeePass installer**  
*Source: BleepingComputer*


While Google has removed the original Punycode advertisement seen by Malwarebytes, BleepingComputer found additional ongoing KeePass ads in the same malware campaign.


This advertisement, though, leads to a domain called keeqass[.]info, as shown in the image below.



![Ongoing Google ads lead to another fake KeePass site](https://www.bleepstatic.com/images/news/ransomware/g/google-ads/keepass/keeqass.jpg)**Ongoing Google ads lead to another fake KeePass site**  
*Source: BleepingComputer*


Like the Punycode domain, this site pushes the same MSIX file that includes the same FakeBat PowerShell script to download and install malware on the Windows device.


In BleepingComputer's tests, when executed, the FakeBat PowerShell script will download a GPG-encrypted RAR archive, decrypt it, and extract it to the %AppData% folder.


In the file analyzed by BleepingComputer, the script will launch a file named 'mergecap.exe' from the archive.


An [Intel471 report](http://intel471.com/blog/malvertising-surges-to-distribute-malware) from early 2023 explained that FakeBat is a malware loader/dropper associated with malvertizing campaigns since at least November 2022.


The final malware payload delivered in the campaign seen by Malwarebytes isn't determined, but a [Sophos report](https://news.sophos.com/en-us/2023/07/20/bad-ad-fad-leads-to-icedid-gozi-infections/) from July 2023 links FakeBat with infostealers like Redline, Ursniff, and Rhadamathys.


BleepingComputer has found other popular software impersonated in this malware campaign, including WinSCP and PyCharm Professional.





## Tags:
***urls***: https://xn--eepass-vbb.info/ http://keeqass.info https://www.keepass.info

### Autogenerated tags:
[[punycode]] [[malwarebytes]] [[google]] [[keepass]] [[malware]] [[bleepingcomputer]] [[fakebat]] [[powershell]]
