# Google Chrome adopts Windows 10 exploit protection feature
## Google Chrome now hinders attackers' efforts to exploit security bugs on systems with Intel 11th Gen or AMD Zen 3 CPUs, running Windows 10 2004 or later.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-chrome-adopts-windows-10-exploit-protection-feature/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 04 May 2021, 15:04
+ Date scraped: 12 December 2023, 13:38

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/03/24/Google-Chrome-headpic.jpg)



Google Chrome now hinders attackers' efforts to exploit security bugs on systems with Intel 11th Gen or AMD Zen 3 CPUs, running Windows 10 2004 or later.


This is possible after the adoption of Intel's Control-flow Enforcement Technology (CET), supported on Windows 10 computers through an implementation known as [Hardware-enforced Stack Protection](https://techcommunity.microsoft.com/t5/windows-kernel-internals/understanding-hardware-enforced-stack-protection/ba-p/1247815) which adds enhanced exploit protection to all compatible devices.


Makes it harder to write exploits
---------------------------------


Hardware-enforced Stack Protection uses the Intel CET chipset security extension to secure applications from common exploit techniques such as Return-Oriented Programming (ROP) and Jump Oriented Programming (JOP).


Attackers regularly use such exploitation techniques to hijack a program's intended control flow to execute malicious code with the end goal of escaping a browser's sandbox or executing code remotely when visiting maliciously crafted web pages.


Windows 10's Hardware-enforced Stack Protection blocks these attacks by triggering exceptions when it detects that an app's natural flow has been modified.


"With this mitigation the processor maintains a new, protected, stack of valid return addresses (a shadow stack)," [said](https://security.googleblog.com/2021/05/enabling-hardware-enforced-stack.html)Chrome Platform Security Team Engineer Alex Gough.


"This improves security by making exploits more difficult to write. However, it may affect stability if software that loads itself into Chrome is not compatible with the mitigation."



![Chrome processes with Intel CET support](https://www.bleepstatic.com/images/news/u/1109292/2021/Chrome%20processes%20with%20Intel%20CET%20support.png)**Chrome processes with Hardware-enforced Stack Protection enabled** (*Google*)


Adopted by other Chromium-based browsers too
--------------------------------------------


Google Chrome is not the first Chromium-based web browser to support Hardware-enforced Stack Protection, as BleepingComputer [reported](https://www.bleepingcomputer.com/news/security/google-chrome-microsoft-edge-getting-this-intel-security-feature/) in February.


Microsoft Edge vulnerability research lead Johnathan Norman said at the time that Microsoft Edge 90 added support for the Intel CET feature in non-renderer processes.


"Edge 90 (Canary) now supports Intel's CET non-renderer processes," Norman [tweeted](https://twitter.com/spoofyroot/status/1359993630799220740?ref_src=twsrc%5Etfw%7Ctwcamp%5Etweetembed%7Ctwterm%5E1359993630799220740%7Ctwgr%5E%7Ctwcon%5Es1_&ref_url=https%3A%2F%2Fwww.bleepingcomputer.com%2Fnews%2Fsecurity%2Fgoogle-chrome-microsoft-edge-getting-this-intel-security-feature%2F). "If you have a fancy new processor give it a try."


This security feature will most likely be adopted by other [Chromium browsers](https://bugs.chromium.org/p/chromium/issues/detail?id=1131225) besides Google Chrome and Microsoft Edge, including Brave and Opera.


Furthermore, Mozilla is also looking into [including support for Intel CET in the Firefox](https://bugzilla.mozilla.org/show_bug.cgi?id=1626950) web browser. Still, there has been no recent status update since the issue was opened one year ago.



![Hardware-enforced Stack Protection column](https://www.bleepstatic.com/images/news/u/1109292/2021/Task%20Manager%20Hardware-enforced%20Stack%20Protection%20column.png)**Task Manager 'Hardware-enforced Stack Protection' column**


Windows 10 users with CET-compatible CPUs (Intel 11th gen or AMD Zen 3 Ryzen) can check if a browser process utilizes the hardware security feature using the Windows Task Manager.


To do this, open Task Manager, go into the **Details** tab, right-click on a column header, click **Select Columns**, and check the **Hardware-enforced Stack Protection**. Once enabled, a newly added column will show processes with Intel CET support.





## Tags:


### Autogenerated tags:
[[cet]] [[hardware-enforced]] [[windows]] [[google]] [[microsoft]]
