# Google Chrome emergency update fixes new zero-day used in attacks
## Google has released Chrome 105.0.5195.102 for Windows, Mac, and Linux users to address a single high-severity security flaw, the sixth Chrome zero-day exploited in attacks patched this year.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-new-zero-day-used-in-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 02 September 2022, 23:29
+ Date scraped: 03 September 2022, 00:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/23/Chrome.jpg)



Google has released Chrome 105.0.5195.102 for Windows, Mac, and Linux users to address a single high-severity security flaw, the sixth Chrome zero-day exploited in attacks patched this year.


"Google is aware of reports that an exploit for CVE-2022-3075 exists in the wild," the company said in a [security advisory](https://chromereleases.googleblog.com/2022/09/stable-channel-update-for-desktop.html) published on Friday.


This new version is rolling out in the Stable Desktop channel, with Google saying that it will reach the entire user base within a matter of days or weeks.


It was available immediately when BleepingComputer checked for new updates by going into the Chrome menu > Help > About Google Chrome.


The web browser will also auto-check for new updates and automatically install them after the next launch.


![Google Chrome 105.0.5195.102](https://www.bleepstatic.com/images/news/u/1109292/2022/Google_Chrome_105_0_5195_102.png)


## No exploitation details available


The zero-day bug fixed today ([CVE-2022-3075](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-3075)) is a high severity vulnerability caused by insufficient data validation in [Mojo](https://chromium.googlesource.com/chromium/src/+/HEAD/mojo/README.md#system-overview), a collection of runtime libraries that facilitates message passing across arbitrary inter- and intra-process boundaries.


Google says that this security issue was found by a security researcher that chose to report it anonymously.


Even though the browser vendor says the zero-day was exploited in the wild, it is yet to share technical details or info regarding these incidents.


"Access to bug details and links may be kept restricted until a majority of users are updated with a fix," Google added.


"We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven't yet fixed."


By delaying the release of more information on these attacks, Google is likely aiming to provide Chrome users with enough time to update and prevent exploitation attempts until more threat actors create their own exploits to deploy in attacks.


## Sixth Chrome zero-day fixed in 2022


With this release, Google has issued security updates to address the sixth Chrome zero-day patch since the start of the year.


The previous five zero-day vulnerabilities found and patched in 2022 are:


* [CVE-2022-2856](http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2856) - August 17th
* [CVE-2022-2294](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2294) - July 4th
* [CVE-2022-1364](https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-zero-day-used-in-attacks/) - April 14th
* [CVE-2022-1096](https://www.bleepingcomputer.com/news/security/emergency-google-chrome-update-fixes-zero-day-used-in-attacks/) - March 25th
* [CVE-2022-0609](https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-zero-day-exploited-in-attacks/) - February 14th

As the Google Threat Analysis Group (TAG) revealed in February, CVE-2022-0609 was exploited by North Korean-backed state hackers [weeks before the February patch](https://www.bleepingcomputer.com/news/security/north-korean-hackers-exploit-chrome-zero-day-weeks-before-patch/). Furthermore, the earliest signs of exploitation were found in early January.


The bug was abused in campaigns pushing malware via phishing emails using fake job lures and compromised websites hosting hidden iframes serving exploit kits.


Given that the zero-day bug patched today is also known to have been exploited by attackers in the wild, it is strongly recommended to upgrade the Google Chrome web browser as soon as possible.





## Tags:
***CVE's***: CVE-2022-3075 CVE-2022-1364 CVE-2022-2294 CVE-2022-1096 CVE-2022-2856 CVE-2022-0609

### Autogenerated tags:
[[google]] [[zero-day]]
