# Google Chrome, Microsoft Edge zero-day vulnerability shared on Twitter
## A security researcher has dropped a zero-day remote code execution vulnerability on Twitter that works on the current version of Google Chrome and Microsoft Edge.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-chrome-microsoft-edge-zero-day-vulnerability-shared-on-twitter/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 12 April 2021, 21:20
+ Date scraped: 12 December 2023, 14:36

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/11/02/Google-Chrome-headpic.jpg)



A security researcher has dropped a zero-day remote code execution vulnerability on Twitter that works on the current version of Google Chrome and Microsoft Edge.


A zero-day vulnerability is a security bug that has been publicly disclosed but has not been patched in the released version of the affected software.


Today, security researcher [Rajvardhan Agarwal](https://twitter.com/r4j0x00) released a working proof-of-concept (PoC) exploit for a remote code execution vulnerability for the V8 JavaScript engine in Chromium-based browsers.



> 
> Just here to drop a chrome 0day. Yes you read that right.<https://t.co/sKDKmRYWBP> [pic.twitter.com/PpVJrVitLR](https://t.co/PpVJrVitLR)
> 
> 
> — Rajvardhan Agarwal (@r4j0x00) [April 12, 2021](https://twitter.com/r4j0x00/status/1381643526010597380?ref_src=twsrc%5Etfw)


While Agarwal states that the vulnerability is fixed in the latest version of the V8 JavaScript engine, it is not clear when Google will roll out the Google Chrome.


When the PoC HTML file, and its corresponding JavaScript file, are loaded in a Chromium-based browser, it will exploit the vulnerability to launch the Windows calculator (calc.exe) program.


While no developer likes a zero-day release for their software, the good thing is that Agarwal's zero-day cannot currently escape the browser's sandbox. The Chrome sandbox is a browser security boundary that prevents remote code execution vulnerabilities from launching programs on the host computer.


For Agarwal's zero-day RCE exploit to work, it would need to be chained with another vulnerability that can allow the exploit to escape the Chromium sandbox.


To test the exploit, BleepingComputer launched the Microsoft Edge and Google Chrome browsers with the `--no-sandbox` flag, which turns off the Chromium sandbox.


With the sandbox disabled, we could use Agarwal's exploit to launch Calculator on our Windows 10 device. Our tests' exploitable versions are Google Chrome 89.0.4389.114 and Microsoft Edge 89.0.774.76, which are the latest versions in the Stable channel.



This vulnerability is believed to be the same one used by Dataflow Security's Bruno Keith and Niklas Baumstark at Pwn2Own 2021, where the researchers [exploited Google Chrome and Microsoft Edge](https://www.bleepingcomputer.com/news/security/windows-10-hacked-again-at-pwn2own-chrome-and-zoom-also-fall/).



Google is expected to release Chrome 90 to the Stable channel tomorrow, and we will have to see if the upcoming version includes a fix for this zero-day RCE vulnerability.


BleepingComputer has contacted Google about the zero-day but has not received a reply as of yet.





## Tags:
***urls***: https://t.co/sKDKmRYWBP

### Autogenerated tags:
[[google]] [[zero-day]] [[microsoft]] [[javascript]]
