# Google fixes another Chrome zero-day bug exploited in attacks
## Google released emergency security updates to fix the fourth Chrome zero-day vulnerability exploited in attacks since the start of the year.
## Information:

+ Link: https://www.bleepingcomputer.com/news/google/google-fixes-another-chrome-zero-day-bug-exploited-in-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 11 September 2023, 15:46
+ Date scraped: 11 September 2023, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Google___Chrome.jpg)



Google released emergency security updates to fix the fourth Chrome zero-day vulnerability exploited in attacks since the start of the year.


"Google is aware that an exploit for CVE-2023-4863 exists in the wild," the company revealed in a [security advisory](https://chromereleases.googleblog.com/2023/09/stable-channel-update-for-desktop_11.html) published on Monday.


The new version is currently rolling out to users in the Stable and Extended stable channels, and it's estimated that it will reach the entire user base over the coming days or weeks.


Chrome users are advised to upgrade their web browser to version 116.0.5845.187 (Mac and Linux) and 116.0.5845.187/.188 (Windows) as soon as possible, as it patches the CVE-2023-4863 vulnerability on Windows, Mac, and Linux systems.


This update was immediately available when BleepingComputer checked for new updates via the Chrome menu > Help > About Google Chrome.


The web browser will also check for new updates and automatically install them without requiring user interaction after a restart.


![Google Chrome 116.0.5845.187](https://www.bleepstatic.com/images/news/u/1109292/2023/Google_Chrome_116_0_5845_187.png)


​Attack details not yet available
---------------------------------


The critical zero-day vulnerability ([CVE-2023-4863](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-4863)) is caused by a WebP [heap buffer overflow](https://cwe.mitre.org/data/definitions/122.html) weakness whose impact ranges from crashes to arbitrary code execution.


The bug was reported by Apple Security Engineering and Architecture (SEAR) and The Citizen Lab at The University of Toronto's Munk School last Wednesday, September 6.


Citizen Lab security researchers have often found and disclosed zero-day bugs abused in highly-targeted spyware attacks by government-backed threat actors targeting high-risk individuals such as opposition politicians, journalists, and dissidents worldwide.


On Thursday, Apple [patched two zero-days](https://www.bleepingcomputer.com/news/apple/apple-discloses-2-new-zero-days-exploited-to-attack-iphones-macs/) tagged by Citizen Lab as being exploited in attacks as part of an exploit chain known as BLASTPASS to [infect fully-patched iPhones](https://www.bleepingcomputer.com/news/security/apple-zero-click-imessage-exploit-used-to-infect-iphones-with-spyware/) with NSO Group's Pegasus mercenary spyware.


While Google said the CVE-2023-4863 zero-day has been exploited in the wild, the company has yet to share more details regarding these attacks.


"Access to bug details and links may be kept restricted until a majority of users are updated with a fix," Google said. "We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven't yet fixed."


This means that Chrome users can update their browsers to thwart attacks before the release of additional technical specifics, which could allow more threat actors to create their own exploits and deploy them in the wild.





## Tags:
***CVE's***: CVE-2023-4863

### Autogenerated tags:
[[google]] [[zero-day]] [[cve-2023-4863]]
