# Google is enabling Chrome real-time phishing protection for everyone
## Google announced today that it is deprecating the standard Google Chrome Safe Browsing feature and moving everyone to its Enhanced Safe Browsing feature in the coming weeks, bringing real-time phishing protection to all users while browsing the web.
## Information:

+ Link: https://www.bleepingcomputer.com/news/google/google-is-enabling-chrome-real-time-phishing-protection-for-everyone/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 07 September 2023, 17:03
+ Date scraped: 07 September 2023, 22:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/23/Google_Chrome.jpg)



Google announced today that it is deprecating the standard Google Chrome Safe Browsing feature and moving everyone to its Enhanced Safe Browsing feature in the coming weeks, bringing real-time phishing protection to all users while browsing the web.


Since 2007, Google Chrome has utilized a Safe Browsing security feature that protects users from malicious websites that push malware or display phishing pages.


When browsing the web, Chrome will check if a domain you are visiting is within a local list of malicious URLs, and if it is, it will block the site and display a warning.



![Google Safe Browsing malware alert](https://www.bleepstatic.com/images/news/web-browsers/chrome/enhanced-safe-browsing/chrome-sb.jpg)**Google Safe Browsing malware alert**  
*Source: BleepingComputer*


However, as the list of bad URLs is hosted locally, it can not protect you from new sites detected since the list was last updated.


To provide better security, Google [introduced an Enhanced Safe Browsing feature](https://www.bleepingcomputer.com/news/google/google-rolls-out-new-enhanced-safe-browsing-security-feature/) in 2020 that offers real-time protection from malicious sites you are visiting. It does this by checking in real-time against Google's cloud database to see if a site is malicious and should be blocked.



![Enhanced Safe Browsing feature in Google Chrome settings](https://www.bleepstatic.com/images/news/web-browsers/chrome/enhanced-safe-browsing/enhanced-phishing-protection.jpg)**Enhanced Safe Browsing feature in Google Chrome settings**  
*Source: BleepingComputer*


This feature, though, comes with a tradeoff in privacy, as Google Chrome will now send URLs you open (including downloads) back to Google’s servers to check if they are malicious. The feature will also send a small sample of pages to Google to discover new threats


Finally, the transferred data is also temporarily linked to your Google account to detect if an attack targets your browser or account.


Enhanced Safe Browsing for everyone
-----------------------------------


Google announced today that it is rolling out the Enhanced Safe Browsing feature to all Chrome users over the coming weeks without any way to go back to the legacy version.


The browser developer says it's doing this as the locally hosted Safe Browsing list is only updated every 30 to 60 minutes, but 60% of all phishing domains last only 10 minutes. This creates a significant time gap that leaves people are unprotected from new malicious URLs.


"To block these dangerous sites the moment they launch, we're upgrading Safe Browsing so it will now check sites against Google's known-bad sites in real time," [says Google](http://blog.google/products/chrome/Google-chrome-new-features-redesign-2023/).


"By shortening the time between identification and prevention of threats, we expect to see 25% improved protection from malware and phishing threats."


However, instead of just setting Enhanced Safe Browsing as the default option, Google told BleepingComputer that the legacy version will be removed and there would be no way to return to the legacy version.


This change is sure to make some users unhappy for fear that Google will utilize this browsing data for other purposes, such as ad targeting.


While [Google states](https://support.google.com/accounts/answer/11577602?hl=en) that the data collected from Enhanced Safe Browsing is only used to protect Google apps and users, there has been a lot of concern recently about [Chrome's browsing history being used for interest-based advertising](https://twitter.com/matthew_d_green/status/1698813913108824434) as part of Google's new [Privacy Sandbox platform](https://privacysandbox.com/news/privacy-sandbox-for-the-web-reaches-general-availability#:~:text=Today%2C%20we%20mark%20a%20major,a%20fundamentally%20more%20private%20web.).


BleepingComputer contacted Google to learn if the data sent via the Enhanced Safe Browsing would be used in the Privacy Sandbox and will update this story when we hear back.





## Tags:


### Autogenerated tags:
[[google]] [[phishing]] [[urls]] [[bleepingcomputer]] [[real-time]] [[malware]]
