# Hackers exploit 14-year-old CMS editor on govt, edu sites for SEO poisoning
## Threat actors are exploiting a CMS editor discontinued 14 years ago to compromise education and government entities worldwide to poison search results with malicious sites or scams.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-exploit-14-year-old-cms-editor-on-govt-edu-sites-for-seo-poisoning/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 26 February 2024, 14:59
+ Date scraped: 26 February 2024, 20:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/09/12/hacker-staring.jpg)



Threat actors are exploiting a CMS editor discontinued 14 years ago to compromise education and government entities worldwide to poison search results with malicious sites or scams.


Open redirects are when websites, whether intentionally or through a flaw, allow arbitrary redirection requests that take users from the original site to an external URL without adequate validation or security checks.


For example, if there was a URL at https://www.example.com/?redirect=<url> that redirects visitors to the specified URL, and anyone could modify that URL to a site of their choosing, it would be considered an open redirect.


Attackers abuse these open redirects to perform phishing attacks, distribute malware, or scam users while appearing to originate from legitimate domains. As the URLs are hosted on trusted domains, it may allow them to bypass URL filters used by security products.


Furthermore, search engine crawlers index the redirects and list them [on Google Search results](https://www.bleepingcomputer.com/news/security/us-govt-sites-showing-porn-viagra-ads-share-a-common-software-vendor/), making them an effective strategy for SEO poisoning campaigns, leveraging a trusted domain to rank malicious URLs higher for specific queries.


Because open redirect URLs do not host the malicious content directly but merely point to it, they can remain active and visible in search results for a long time until they are reported for takedown.


However, many companies, including [Google](https://bughunters.google.com/learn/invalid-reports/web-platform/navigation/6680364896223232/open-redirectors) and [Microsoft](http://Out%20of%20Scope%20vulnerability%20types,%20including), do not consider open redirects a flaw and may not fix them unless they lead to a more severe vulnerability.


Targeting outdated plugin
-------------------------


Cybersecurity researcher [@g0njxa](https://twitter.com/g0njxa) discovered the malicious redirect campaign after seeing Google Search results for 'Free V Bucks' (Fortnite in-game currency) generators hosted on university sites.



![Malicious Google Search results](https://www.bleepstatic.com/images/news/u/1220909/2024/Phishing/04/results.jpg)**Malicious Google Search results** *(@g0njxa)*


The open redirect requests used by the attackers in this campaign are related to FCKeditor, a once-popular web text editor that allows users to edit HTML content directly within a web page.



![Request exploiting the open redirect flaw](https://www.bleepstatic.com/images/news/u/1220909/2024/Phishing/04/request.png)**Request exploiting the open redirect flaw** *(@g0njxa)*


In 2009, FCKeditor was rebranded and significantly revamped, resulting in the launch of CKEditor, which uses a more modern codebase, offers enhanced usability and compatibility with contemporary web standards, and is also actively supported by its developer.


In a [Twitter thread](http://twitter.com/g0njxa/status/1761719084889096233), g0njxa lists the various organizations targeted by this campaign, primarily targeting educational institutions, such as MIT, Columbia University, Universitat de Barcelona, Auburn University, University of Washington, Purdue, Tulane, Universidad Central del Ecuador, and the University of Hawaiʻi.


However, the campaign also targets government and corporate sites using the outdated FCKeditor plugin, including Virginia's government site, Austin, Texas's government site, Spain's government site, and Yellow Pages Canada.


From BleepingComputer's tests, we discovered that the compromised FCKeditor instances utilize a combination of static HTML pages and redirects to malicious sites.


The static HTML pages open under the legitimate domain and are used to poison the search engine with malicious results.


For example, one of the links in Google goes to the FCKeditor instance on the aum.edu site, where an HTML page pretends to be a news article about tinnitus remedies.


However, the article is designed to promote other content pages on the compromised FCKeditor instance installed on AUM's website so that Google will index the pages. Once these pages are ranked in search engines, the threat actors will likely swap them out for redirects to malicious sites.



![Static HTML page used for SEO poisoning](https://www.bleepstatic.com/images/news/security/d/aum-spam.jpg)**Static HTML page used for SEO poisoning**  
*Source: BleepingComputer*


Other URLs in this campaign will simply abuse FCKeditor to redirect visitors to scam sites, fake news articles, phishing pages, hacking assistance sites, or malicious browser extensions.


The software maker responded to the open redirects campaign report on X, saying that FCKeditor has been deprecated since 2010 and nobody should be using it anymore.


[![tweet](https://www.bleepstatic.com/images/news/u/1220909/2024/Phishing/04/ckeditor.png)](https://twitter.com/ckeditor/status/1762095526185435269)


Unfortunately, it's not uncommon to see university and government sites using software that has been discontinued for a long time, in this case, over 13 years.


In the past, we saw similar campaigns where threat actors abused open redirects on government sites to redirect users to [fake OnlyFans](https://www.bleepingcomputer.com/news/security/fake-onlyfans-dating-sites-abuse-uk-environment-agency-open-redirect/)and [adult sites](https://www.bleepingcomputer.com/news/security/us-government-sites-abused-to-redirect-users-to-porn-sites/).





## Tags:
***urls***: https://www.example.com/?redirect=<url

### Autogenerated tags:
[[fckeditor]] [[google]] [[url]] [[html]] [[urls]] [[@g0njxa]]
