# Hackers exploit Control Web Panel flaw to open reverse shells
## Hackers are actively exploiting a critical vulnerability patched recently in Control Web Panel (CWP), a tool for managing servers formerly known as CentOS Web Panel.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-exploit-control-web-panel-flaw-to-open-reverse-shells/
+ Source: Bleeping Computer
+ Author: Ionut Ilascu
+ Date published: 13 January 2023, 00:23
+ Date scraped: 13 January 2023, 01:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/01/12/Hacker.jpg)



Hackers are actively exploiting a critical vulnerability patched recently in Control Web Panel (CWP), a tool for managing servers formerly known as CentOS Web Panel.


The security issue is identified as [CVE-2022-44877](https://nvd.nist.gov/vuln/detail/CVE-2022-44877) and received a critical severity score of 9.8 out of 10 as it allows an attacker to execute code remotely without authentication.


### Exploit code readily available


On January 3, researcher [Numan Türle](https://twitter.com/numanturle) at Gais Cyber Security, who had reported the issue around October last year, published a proof-of-concept (PoC) exploit and a video showing how it works.



Three days later, security researchers noticed hackers exploiting the flaw to get remote access to unpatched systems and to find more vulnerable machines.


CWP [version 0.9.8.1147](https://control-webpanel.com/changelog#1669855527714-450fb335-6194) was released on October 25, 2022, to fix CVE-2022-44877, which affects previous versions of the panel.


A technical analysis of the PoC exploit code is available from CloudSek, which ran a search for CWP servers on the Shodan platform and found more than 400,000 CWP instances accessible over the internet.



![Control Web Panel (CentOS Web Panel) instances on the internet](https://www.bleepstatic.com/images/news/u/1100723/2023/CWPinstances_CloudSek.jpg)**Control Web Panel (CentOS Web Panel) instances on the internet**  
*source: CloudSek*


Researchers at the [Shadowserver Foundation](https://dashboard.shadowserver.org/), who observed exploitation of the vulnerability, note that their scans see around 38,000 CWP instances every day.


This figure does not represent vulnerable machines but the population seen by the platform.



![Control Web Panel (CentOS Web Panel) instances in Shadowserver daily scans](https://www.bleepstatic.com/images/news/u/1100723/2023/CWP_instances_Shadowserver.png)**Control Web Panel instances in daily Shadowserver scans**  
*source: The Shadowserver Foundation*


Malicious activity recorded by [Shadowserver](https://twitter.com/Shadowserver) and shared with BleepingComputer revealed that attackers are finding vulnerable hosts and exploiting CVE-2022-44877 to spawn a terminal for interaction with the machine.


In some attacks, the hackers are using the exploit to start a reverse shell. The encoded payloads convert to Python commands that call the attacker’s machine and spawn a terminal on the vulnerable host using the Python [pty](https://docs.python.org/3/library/pty.html) Module.


Other attacks were just looking to identify vulnerable machines. It is unclear if these scans are conducted by researchers or threat actors looking to find machines to breach at a later date.


It appears that all these exploitation attempts are based on the original public PoC from Numan Türle, slightly modified to suit the attacker’s needs.


Research company [GreyNoise](https://greynoise.io/) also observed several attacks on unpatched CWP hosts from IP addresses in the United States, Thailand, and the Netherlands.


Leveraging CVE-2022-44877 is easy and with exploit code already public, all hackers have to do is find vulnerable targets, a menial task.


Administrators should take immediate action and update CWP to the [latest version available](https://control-webpanel.com/changelog), currently 0.9.8.1148 released on December 1, 2022.





## Tags:
***CVE's***: CVE-2022-44877

### Autogenerated tags:
[[cwp]] [[cve-2022-44877]] [[shadowserver]] [[poc]]
