# Hackers exploit critical Juniper RCE bug chain after PoC release
## Hackers have started using a critical exploit chain to target Juniper EX switches and SRX firewalls via their Internet-exposed J-Web configuration interface.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-exploit-critical-juniper-rce-bug-chain-after-poc-release/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 29 August 2023, 10:51
+ Date scraped: 29 August 2023, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/08/29/Juniper.jpg)



Hackers are using a critical exploit chain to target Juniper EX switches and SRX firewalls via their Internet-exposed J-Web configuration interface.


Successful exploitation enables unauthenticated attackers to remotely execute code on unpatched devices.


"With a specific request that doesn't require authentication an attacker is able to upload arbitrary files via J-Web, leading to a loss of integrity for a certain part of the file system, which may allow chaining to other vulnerabilities," Juniper [says.](https://supportportal.juniper.net/s/article/2023-08-Out-of-Cycle-Security-Bulletin-Junos-OS-SRX-Series-and-EX-Series-Multiple-vulnerabilities-in-J-Web-can-be-combined-to-allow-a-preAuth-Remote-Code-Execution?language=en_US&ref=labs.watchtowr.com)


One week after Juniper disclosed and released security updates to patch the four flaws that can be chained to achieve remote code execution, watchTowr Labs security researchers [released a proof-of-concept (PoC) exploit](https://www.bleepingcomputer.com/news/security/exploit-released-for-juniper-firewall-bugs-allowing-rce-attacks/) targeting the SRX firewall bugs (tracked as CVE-2023-36846 and CVE-2023-36845).


While Juniper said there was no evidence of active exploitation, watchTowr Labs said they believe attackers would soon start targeting unpatched Juniper devices in widescale attacks.


"Given the simplicity of exploitation, and the privileged position that JunOS devices hold in a network, we would not be surprised to see large-scale exploitation," the researchers warned.


As expected, security researchers at the nonprofit internet security organization Shadowserver Foundation revealed today that they'd detected exploitation attempts starting the same day watchTowr Labs' PoC exploit was released.


"Since 25th August we are seeing exploitation attempts from multiple IPs for Juniper J-Web CVE-2023-36844 (& friends) targeting /webauth\_operation.php endpoint," Shadowserver Foundation [tweeted](https://twitter.com/Shadowserver/status/1696512418036486246) on Tuesday.


"Same day an exploit POC was published. This involves combining lower severity CVEs to achieve pre-auth RCE."



![Juniper exploitation attempts](https://www.bleepstatic.com/images/news/u/1109292/2023/Juniper%20exploit%20chain%20exploitation%20attempts.jpg)*Juniper exploitation attempts (Shadowserver Foundation)*


​Shadowserver CEO Piotr Kijewski confirmed to BleepingComputer that the attackers are using exploits built using watchTowr Labs' PoC as inspiration.


"The exploitation attempts appear to be based on this [exploit POC](https://github.com/watchtowrlabs/juniper-rce_cve-2023-36844/blob/main/watchtowr-vs-junos_juniper_2023-08-25.py), with some variations, which attempts to upload a PHP file and then execute it. So I guess we may expect webshells," Kijewski said.


"Based on our honeypot observations, I would say all Juniper instances with J-Web exposed have already been hit. 29 IPs currently attempting these attacks, [..] possibly multiple threat actors."


Currently, [over 8,200 Juniper devices](https://dashboard.shadowserver.org/statistics/iot-devices/time-series/?date_range=7&vendor=juniper&model=web+device+manager&group_by=geo&style=stacked) have their J-Web interfaces exposed online, according to Shadowserver data, [most of them from South Korea](https://dashboard.shadowserver.org/statistics/iot-devices/tree/?day=2023-08-28&vendor=juniper&model=web+device+manager&geo=all&data_set=count&scale=log).


Admins are advised to apply patches or upgrade JunOS to the latest release immediately or, at least, disable Internet access to the J-Web interface to remove the attack vector.





## Tags:
***CVE's***: CVE-2023-36846 CVE-2023-36844 CVE-2023-36845

### Autogenerated tags:
[[j-web]] [[poc]] [[watchtowr]] [[shadowserver]]
