# Hackers exploit critical VMware RCE flaw to install backdoors
## Advanced hackers are actively exploiting a critical remote code execution (RCE) vulnerability, CVE-2022-22954, that affects in VMware Workspace ONE Access (formerly called VMware Identity Manager).
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-exploit-critical-vmware-rce-flaw-to-install-backdoors/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 26 April 2022, 12:51
+ Date scraped: 26 April 2022, 13:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/11/20/VMware-headpic.jpg)



Advanced hackers are actively exploiting a critical remote code execution (RCE) vulnerability, CVE-2022-22954, that affects in VMware Workspace ONE Access (formerly called VMware Identity Manager).


The issue was addressed in a security update [20 days ago](https://www.bleepingcomputer.com/news/security/vmware-warns-of-critical-vulnerabilities-in-multiple-products/) along with two more RCEs - CVE-2022-22957 and CVE-2022-22958 that also affect VMware Identity Manager (vIDM), VMware vRealize Automation (vRA), VMware Cloud Foundation, and vRealize Suite Lifecycle Manager.


Soon after the public disclosure of the flaws, proof of concept (PoC) exploit code emerged in the public space, enabling hackers [leveraged](https://www.bleepingcomputer.com/news/security/hackers-exploit-critical-vmware-cve-2022-22954-bug-patch-now/) to target vulnerable VMware product deployments. VMware confirmed CVE-2022-22954 exploitation in the wild.


Now, researchers at Morphisec report seeing exploitation from advanced persistent threat (APT) actors, particularly an Iranian hacking group tracked as APT35, aka “Rocket Kitten.”


## Attack details


The adversaries gain initial access to the environment by exploiting CVE-2022-22954, the only one in the RCE trio that doesn’t require administrative access to the target server and also has a publicly available PoC exploit.


The attack starts with executing a PowerShell command on the vulnerable service (Identity Manager), which launches a stager.


The stager then fetches the PowerTrash loader from the command and control (C2) server in a highly obfuscated form and loads a Core Impact agent into the system memory.



![The APT35 attack flow](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/attack-flow.png)**The APT35 attack flow** *(Morphisec)*
Core Impact is a legitimate penetration testing tool that is abused for nefarious purposes in this case, similar to how Cobalt Strike is deployed in malicious campaigns.


This isn't a novel element, though. [Trend Micro](https://documents.trendmicro.com/assets/wp/wp-operation-woolen-goldfish.pdf) has reported Core Impact abuse in the past by APT35, the activity dating as far back as 2015.



“Morphisec research observed attackers already exploiting this vulnerability (CVE-2022-22954) to launch reverse HTTPS backdoors—mainly Cobalt Strike, Metasploit, or Core Impact beacons” - [Morphisec](https://blog.morphisec.com/vmware-identity-manager-attack-backdoor)



Morphisec CTO Michael Gorelik told BleepingComputer that the attacker tried lateral movement on the network, although the backdoor was stopped.


“With privileged access, these types of attacks may be able to bypass typical defenses including antivirus (AV) and endpoint detection and response (EDR),” Morphisec adds in the report.


## Links to hosting firm


Morphisec was able to retrieve the stager server’s C2 address, the Core Impact client version, and the 256-bit encryption key used for C2 communication, and eventually linked the operation to a specific person named Ivan Neculiti.


There’s an entry on the ‘[Hucksters](https://hucksters.net/person/neculiti-ivan)’ fraud exposure database under that name, listing corporate entities registered in Moldova, Russia, and the UK, including a hosting firm that, according to the database, supports all kinds of illegal websites as well as spam and phishing campaigns.


It is unclear if Neculiti or the associated companies were in any way, knowingly or not, involved in cybercriminal campaigns.


BleepingComputer has contacted both hosting firms for a comment on the allegations made in Morphisec’s report, and we will update this post if we get a reply.





## Tags:
***CVE's***: CVE-2022-22958 CVE-2022-22957 CVE-2022-22954

### Autogenerated tags:
[[morphisec]] [[vmware]] [[cve-2022-22954]] [[apt35]] [[c2]]
