# Hackers exploiting critical WordPress WooCommerce Payments bug
## Hackers are conducting widespread exploitation of a critical WooCommerce Payments plugin to gain the privileges of any users, including administrators, on vulnerable WordPress installation.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-exploiting-critical-wordpress-woocommerce-payments-bug/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 17 July 2023, 17:08
+ Date scraped: 17 July 2023, 22:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/09/13/WordPress.jpg)



Hackers are conducting widespread exploitation of a critical WooCommerce Payments plugin to gain the privileges of any users, including administrators, on vulnerable WordPress installation.


WooCommerce Payments is a very popular WordPress plugin allowing websites to accept credit and debit cards as payment in WooCommerce stores. According to [WordPress](https://wordpress.org/plugins/woocommerce-payments/), the plugin is used on over 600,000 active installations.


On March 23rd, 2023, the [developers released](https://developer.woocommerce.com/2023/03/23/critical-vulnerability-detected-in-woocommerce-payments-what-you-need-to-know/) version 5.6.2 to fix the critical 9.8-rated vulnerability tracked as CVE-2023-28121. The flaw affects WooCommerce Payment plugin versions 4.8.0 and higher, with it being fixed in versions 4.8.2, 4.9.1, 5.0.4, 5.1.3, 5.2.2, 5.3.1, 5.4.1, 5.5.2, 5.6.2, and later.


As the vulnerability allows any remote user to impersonate an administrator and take complete control over a WordPress site, [Automattic force installed the security fix](https://www.bleepingcomputer.com/news/security/wordpress-force-patching-woocommerce-plugin-with-500k-installs/) of WordPress installations utilizing the plugin.


At the time, WooCommerce said there was no known active exploitation of the vulnerability, but researchers warned that due to the critical nature of the bug, we would likely see exploitation in the future.


## Flaw actively exploited


This month, researchers at RCE Security analyzed the bug and released a [technical blog](https://www.rcesecurity.com/2023/07/patch-diffing-cve-2023-28121-to-compromise-a-woocommerce/) on the CVE-2023-28121 vulnerability and how it can be exploited.


The researchers explain that attackers can simply add an '*X-WCPAY-PLATFORM-CHECKOUT-USER*' request header and set it to the user ID of the account they wish to impersonate.


When WooCommerce Payments sees this header, it will treat the request as if it was from the specified user ID, including all of the user's privileges.


As part of the blog post, RCE Security released a proof-of-concept exploit that uses this flaw to create a new admin user on vulnerable WordPress sites, making it easy for threat actors to take complete control over the site.



![Using the exploit to create the 'hacked' administrator account](https://www.bleepstatic.com/images/news/security/vulnerabilities/w/woocommerce/woocommerce-payments/CVE-2023-28121%20/woocommerce-payments-auth-bypass-4%5B1%5D.png)**Using the exploit to create the 'hacked' administrator account**  
*Source: RCE Security*


Today, WordPress security firm Wordfence warned that threat actors are exploiting this vulnerability in a massive campaign targeting over 157,000 sites by Saturday.


"Large-scale attacks against the vulnerability, assigned CVE-2023-28121, began on Thursday, July 14, 2023 and continued over the weekend, peaking at 1.3 million attacks against 157,000 sites on Saturday, July 16, 2023," explains [Wordfence](https://www.wordfence.com/blog/2023/07/massive-targeted-exploit-campaign-against-woocommerce-payments-underway/?utm_medium=email&_hsmi=266639985&_hsenc=p2ANqtz-8AxrS0jQ-RkxVtD0SfniOq77V_8TP6U08rEjcEDj_b8n3bXW3pcEeNGxsBvY58nI-AEfYwqBRm9q3Xeub5y8sJZSw9rzqT5rAlvdnt2riEjE_XnEc&utm_content=266639985&utm_source=hs_email).


Wordfence says the threat actors use the exploit to install the [WP Console plugin](https://wordpress.org/plugins/wp-console/) or create administrator accounts on the targeted device.


For those systems that WP Console was installed, the threat actors used the plugin to execute PHP code that installs a file uploader on the server that can be used as a backdoor even after the vulnerability is fixed.?



![Exploit to drop a PHP file uploaded on WordPress sites](https://www.bleepstatic.com/images/news/security/vulnerabilities/w/woocommerce/woocommerce-payments/CVE-2023-28121%20/wordfence-wp-console-backdoor.jpg)**Exploit to drop a PHP file uploaded on WordPress sites**  
*Source: Wordfence*


Wordfence says they have seen other attackers using the exploit to create administrator accounts with random passwords.


To scan for vulnerable WordPress sites, the threat actors try to access the '/wp-content/plugins/woocommerce-payments/readme.txt' file, and if it exists, they exploit the flaw.


The researchers have shared seven IP addresses responsible for these attacks, with IP address 194.169.175.93 scanning 213,212 sites.


BleepingComputer has seen similar activity in our access logs, starting on July 12th.


Due to the ease with which CVE-2023-28121 can be exploited, it is strongly advised that all sites utilizing the WooCommerce Payment plugin ensure that their installations are up-to-date.


If you have not updated your installation recently, it is also advised that site admins scan their sites for unusual PHP files and suspicious administrator accounts and delete any that are found.





## Tags:
***CVE's***: CVE-2023-28121
***ipv4-adresses***: 194.169.175.93
***email-adresses***: peaking@1.3

### Autogenerated tags:
[[wordpress]] [[plugin]] [[woocommerce]] [[wordfence]] [[cve-2023-28121]] [[rce]] [[php]]
