# Hackers start pushing malware in worldwide Log4Shell attacks
## Threat actors and researchers are scanning for and exploiting the Log4j Log4Shell vulnerability to deploy malware or find vulnerable servers. In this article we compiled the known payloads, scans, and attacks using the Log4j vulnerability.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-start-pushing-malware-in-worldwide-log4shell-attacks/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 12 December 2021, 23:07
+ Date scraped: 13 December 2021, 00:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/12/log4shell-flames-header.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/12/12/log4shell-flames-header.jpg)


![Log4Shell vulnerability](https://www.bleepstatic.com/content/hl-images/2021/12/12/log4shell-flames-header.jpg)*Source: [Kevin Beaumont](https://twitter.com/GossiTheDog/status/1469252646745874435)*
Threat actors and researchers are scanning for and exploiting the Log4j Log4Shell vulnerability to deploy malware or find vulnerable servers. In this article we have compiled the known payloads, scans, and attacks using the Log4j vulnerability.


Early Friday morning, an exploit was publicly released for a critical zero-day vulnerability dubbed 'Log4Shell' in the Apache Log4j Java-based logging platform. This vulnerability allows attackers to remotely execute a command on a vulnerable server simply by searching for or changing their browser's user agent to a special string.


Soon after, Apache released [Log4j 2.15.0](https://logging.apache.org/log4j/2.x/download.html) to resolve the vulnerability, but threat actors had already started to scan for and exploit vulnerable servers to exfiltrate data, install malware, or take over the server.


As this software is used in thousands of enterprise applications and websites, there is significant concern that it will lead to widespread attacks and malware deployment.


Below we outline the known attacks currently exploiting the Log4j vulnerability.


Log4Shell used to install malware
---------------------------------


When an easily exploitable remote code execution vulnerability is disclosed, malware distributors are usually the first to begin utilizing it.


Below we have compiled the known malware payloads exploiting Log4j from BleepingComputer web server access logs, GreyNoise data, and reports from researchers.


### Cryptominers


As soon as the vulnerability was released, we saw threat actors exploiting the Log4Shell vulnerability to execute shell scripts that download and install various cryptominers, as shown below.


The threat actors behind the [Kinsing](https://www.akamai.com/blog/security/Kinsing-evolves-adds-windows-to-attack-list) backdoor and cryptomining botnet are heavily abusing the Log4j vulnerability with Base64 encoded payloads that have the vulnerable server download and execute shell scripts.



![Kinsing Log4Shell exploit and decoded commands](https://www.bleepstatic.com/images/news/security/vulnerabilities/l/log4shell/malware-distribution/kinsing-jndi.jpg)**Kinsing Log4Shell exploit and decoded commands**  
*Source: BleepingComputer*
This shell script will remove competing malware from the vulnerable device and then download and install the Kinsing malware, which will begin mining for cryptocurrency.



![Kinsing installer script](https://www.bleepstatic.com/images/news/security/vulnerabilities/l/log4shell/malware-distribution/kinsing-script.jpg)**Kinsing installer script**  
*Source: BleepingComputer*
Other Log4Shell exploits seen by BleepingComputer to be installing miners can be seen in the image below.



![Other malicious cryptominer installers](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Other malicious cryptominer installers**
### Mirai and  Muhstik botnets


Netlab 360 [reports](https://blog.netlab.360.com/threat-alert-log4j-vulnerability-has-been-adopted-by-two-linux-botnets/) that the threat actors exploit the vulnerability to install the Mirai and [Muhstik](https://www.bleepingcomputer.com/news/security/chinese-linked-muhstik-botnet-targets-oracle-weblogic-drupal/#:~:text=Muhstik%20is%20a%20botnet%20that,%2Dcontrol%20(C2)%20activities.) malware on vulnerable devices.


These malware families recruit IoT devices and servers into their botnets and use them to deploy cryptominers and perform large-scale DDoS attacks.


"This morning we got the first answers, our Anglerfish and Apacket honeypots have caught 2 waves of attacks using the Log4j vulnerability to form botnets, and a quick sample analysis showed that they were used to form Muhstik and Mirai botnets respectively, both targeting Linux devices," explains Netlab 360 researchers.


Scanning and information disclosure
-----------------------------------


In addition to using the Log4Shell exploits to install malware, threat actors and security researchers are using the exploit to scan for vulnerable servers and exfiltrate information from them.


As you can see below, researchers use the exploit to force vulnerable servers to access URLs or perform DNS requests for callback domains. This allows the researchers or threat actors to determine if the server is vulnerable and use it for future attacks, research, or attempts to claim a bug bounty award.


Some researchers may be going a step too far by using the exploit to exfiltrate environment variables that contain server data without permission, including the host's name, the user name the Log4j service is running under, the operating system name, and OS version number.



![Researchers and threat actors scanning for vulnerable servers](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Researchers and threat actors scanning for vulnerable servers**  
*Source: BleepingComputer*
The most common domains or IP addresses used as part of the scanning are/or data exfiltration campaigns are:



```
interactsh.com
burpcollaborator.net
dnslog.cn
bin${upper:a}ryedge.io
leakix.net
bingsearchlib.com
205.185.115.217:47324
bingsearchlib.com:39356
canarytokens.com
```

Of particular interest is the bingsearchlib.com domain, which is being used heavily as a callback for Log4j exploits. However, a [security researcher](https://twitter.com/bingsearchlib) told BleepingComputer that while the domain was being used as an exploit callback, bingsearchlib.com was not registered.


The security researcher said they registered the domain to prevent threat actors from abusing it but are not logging requests.


Threat intelligence company [GreyNoise shows](https://www.greynoise.io/viz/ip/185.220.101.57) that IP addresses using the bingsearchlib.com callback also commonly use a Log4Shell callback of 205.185.115.217:47324.


For unknown attacks, BleepingComputer has seen repeated requests from a domain named psc4fuel.com attempting to exploit our website. This domain appears to be impersonating the legitimate psc4fuel.com domain belonging to a petroleum services company.


The psc4fuel.com domain is used to push Java classes that the exploit will execute. However, BleepingComputer has not been able to retrieve a sample of these classes to see if it is a researcher or threat actor exploiting the Log4j vulnerability.



![psc4fuel.com domain used in Log4j attacks](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**psc4fuel.com domain used in Log4j attacks**  
*Source: BleepingComputer*
While there has been no public research showing that ransomware gangs or other threat actors utilize the Log4j exploit, it would be surprising if they are not already using it in attacks.


Due to this, it is imperative that all users install the latest version of Log4j or affected applications to resolve this vulnerability as soon as possible.


If you know of other malware campaigns exploiting the Log4j vulnerability, please let us know via Signal at (646) 961-3731, [Twitter](https://twitter.com/LawrenceAbrams), or our [contact form](https://www.bleepingcomputer.com/contact/) so we can add the information to this article.







## Tags:
***ipv4-adresses***: 205.185.115.217

### Autogenerated tags:
[[log4j]] [[malware]] [[bleepingcomputer]] [[log4shell]] [[kinsing]] [[botnets]] [[bingsearchlib.com]] [[psc4fuel.com]] [[cryptominers]]
