# Hackers target Microsoft SQL servers in Mimic ransomware attacks
## A group of financially motivated Turkish hackers targets Microsoft SQL (MSSQL) servers worldwide to encrypt the victims' files with Mimic (N3ww4v3) ransomware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-target-microsoft-sql-servers-in-mimic-ransomware-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 09 January 2024, 13:50
+ Date scraped: 09 January 2024, 19:07

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/09/13/Hacker_red_map.jpg)



A group of financially motivated Turkish hackers targets Microsoft SQL (MSSQL) servers worldwide to encrypt the victims' files with Mimic (N3ww4v3) ransomware.


These ongoing attacks are tracked as RE#TURGENCE and have been directed at targets in the European Union, the United States, and Latin America.


"The analyzed threat campaign appears to end in one of two ways, either the selling of "access" to the compromised host, or the ultimate delivery of ransomware payloads," the Securonix Threat Research team who spotted the campaign [said](https://www.securonix.com/blog/securonix-threat-research-security-advisory-new-returgence-attack-campaign-turkish-hackers-target-mssql-servers-to-deliver-domain-wide-mimic-ransomware/).


"The timeline for the events was about one month from initial access to the deployment of MIMIC ransomware on the victim domain."


MSSQL servers with insecure configurations
------------------------------------------


The threat actors compromised MSSQL database servers exposed online in brute force attacks. Then, they used the system-stored xp\_cmdshell procedure, which allowed them to spawn a Windows command shell with the same security rights as the SQL Server service account.


xp\_cmdshell is [disabled by default](https://learn.microsoft.com/en-us/sql/relational-databases/system-stored-procedures/xp-cmdshell-transact-sql?view=sql-server-ver16#remarks) because malicious actors often use it to elevate their privileges, and its use will often trigger security audit tools.


In the next stage, the attackers deployed a heavily obfuscated Cobalt Strike payload using a sequence of PowerShell scripts and in-memory reflection techniques with the end goal of injecting it in the inject into the Windows-native process SndVol.exe process.


They also downloaded and launched the AnyDesk remote desktop application as a service and then started collecting clear text credentials extracted using Mimikatz.


After scanning the local network and Windows domain using the Advanced Port Scanner utility, they hacked other devices on the network and, using credentials stolen previously, compromised the domain controller.



![Mimic ransomware ransom note](https://www.bleepstatic.com/images/news/u/1109292/2024/Mimic_ransomware_ransom_note.jpg)*Mimic ransomware ransom note (Securonix)*


​Dropped via AnyDesk
--------------------


They then deployed the [Mimic ransomware](https://www.bleepingcomputer.com/tag/mimic-ransomware/) payloads as self-extracting archives via AnyDesk, searching for files to encrypt using the legitimate Everything app, a technique [first observed in January 2023](https://www.bleepingcomputer.com/news/security/new-mimic-ransomware-abuses-everything-windows-search-tool/).


"Mimic will drop the Everything binaries used to aid the encryption process. The Mimic dropper in our case 'red25.exe,' dropped all of the necessary files in order for the main ransomware payload to complete its objectives," Securonix said.


"Once the encryption process was completed, the red.exe process executed the encryption/payment notice which was saved on the victim's C:\ drive as '—IMPORTANT—NOTICE—.txt'."


As BleepingComputer discovered, the email used in the ransom note (datenklause0@gmail.com) also links this threat group to Phobos ransomware attacks. Phobos first surfaced in 2018 as [a ransomware-as-a-service](https://blog.talosintelligence.com/understanding-the-phobos-affiliate-structure/) derived from the [Crysis ransomware family](https://www.bleepingcomputer.com/news/security/number-of-rdp-brute-force-attacks-spreading-crysis-ransomware-doubles-in-6-months/).


Securonix [exposed another campaign](https://www.securonix.com/blog/securonix-threat-labs-security-advisory-threat-actors-target-mssql-servers-in-dbjammer-to-deliver-freeworld-ransomware/) targeting MSSQL servers last year (tracked as DB#JAMMER) using the same brute force initial access attack vector and deploying FreeWorld ransomware ([another name for Mimic ransomware](https://www.bleepingcomputer.com/forums/t/788759/help-identifying-unknown-ransomware-n3ww4v3mimic/)).





## Tags:
***email-adresses***: notedatenklause0@gmail.com

### Autogenerated tags:
[[ransomware]] [[mssql]] [[securonix]] [[anydesk]]
