# Hackers turn to Google search ads to push info-stealing malware
## Hackers are setting up fake websites for popular free and open-source software to promote malicious downloads through advertisements in Google search results.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-turn-to-google-search-ads-to-push-info-stealing-malware/
+ Source: Bleeping Computer
+ Author: Ionut Ilascu
+ Date published: 17 January 2023, 23:09
+ Date scraped: 18 January 2023, 00:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/08/30/Google.jpg)



Hackers are setting up fake websites for popular free and open-source software to promote malicious downloads through advertisements in Google search results.


At least one prominent user on the cryptocurrency scene has fallen victim to the campaign, claiming it allowed hacker hackers steal all their digital crypto assets along with control over their professional and personal accounts.


Over the weekend, crypto influencer Alex, better known by their online persona [NFT God](https://twitter.com/NFT_GOD), was hacked after launching a fake executable for the Open Broadcaster Software (OBS) video recording and live streaming software they had downloaded from a Google ad in search results.



![Google search ad for malicious OBS Studio download](https://www.bleepstatic.com/images/news/u/1100723/2023/FakeOBS-Ad_WillDormann.jpg)**Google search ad for malicious OBS Studio download**  
*source: [Will Dormann](http://https://twitter.com/wdormann/status/1614675821578395655)*


“Nothing happened when I clicked the EXE,” Alex wrote in a Twitter thread recounting their experience over the weekend. However, a few hours later friends alerted them that their Twitter account had been hacked.


Unbeknownst to Alex, this was likely an information-stealing malware that stole their saved browser passwords, cookies, Discord tokens, and cryptocurrency wallets and sent them to a remote attacker.


Soon, Alex found that their account at the OpenSea NFT marketplace had also been compromised and a different wallet was listed as the owner of one of their digital assets.


“I knew at that moment it was all gone. Everything. All my crypto and NFTs ripped from me,” [NFT God says in the thread](https://twitter.com/NFT_GOD/status/1614442000958324739).


Soon, Alex discovered that their Substack, Gmail, Discord, and cryptocurrency wallets suffered the same fate and were controlled by the hackers.



![Crypto influencer had their online accounts hacked after downloading fake OBS Studio via Google search ads](https://www.bleepstatic.com/images/news/u/1100723/2023/NFT_God01.jpg)**Crypto influencer NFT God's online accounts hacked**  
*source: [NFT God](https://twitter.Com/NFT_GOD/status/1614442008180887553)*


While this is not a new stratagem, threat actors appear to use it more often. In October last year, [BleepingComputer reported](https://www.bleepingcomputer.com/news/security/typosquat-campaign-mimics-27-brands-to-push-windows-android-malware/) on a massive campaign that relied on more than 200 typosquatting domains for over two dozen brands to mislead users.


The distribution method was unknown at the time but separate reports in December from cybersecurity companies Trend Micro and Guardio revealed that hackers were [abusing the Google Ads platform](https://www.bleepingcomputer.com/news/security/hackers-abuse-google-ads-to-spread-malware-in-legit-software/) to push malicious downloads in search results.


## Flurry of malicious ads in Google search results


Following NFT God’s thread, BleepingComputer conducted its own research and uncovered that OBS is one in a long list of software that threat actors impersonate to push malicious downloads in Google Ads search results.


One example we found is a Google Ad search result for Rufus, a free utility for creating bootable USB flash drives.


The threat actor registered domains that resemble the official one and copied the main part of the legitimate site up to the download section.


In one case, they used the generic top-level domain “pro,” likely in an attempt to pique victim interest and attract with the promise of a wider set of program features.



![Ads in Google Search for malicious Rufus download](https://www.bleepstatic.com/images/news/u/1100723/2023/RufusMalSearchAd.jpg)**Malicious Rufus download pushed via ads in Google search results**  
*source: BleepingComputer*


To note, there is no advanced variant of Rufus. There is only one edition available as an installable or portable variant [hosted on GitHub](https://github.com/pbatard/rufus).


For the malicious version, the download goes to a file transfer service. Because it is an archive bomb, many antivirus engines [do not detect it as a threat](https://www.virustotal.com/gui/file/96ea301f66dfb14b029bfe3d38db50b9fec479e0e1a306037e98aa210f53102d/relations).


Another popular program impersonated is the text and source code editor Notepad++. The threat actor used typosquatting to create a domain similar to the legitimate one from the official developer.



![Malicious Notepad++ download pushed via ads in Google search results](https://www.bleepstatic.com/images/news/u/1100723/2023/NotepadPlusPlusMalSearchAd.png)**Ad in Google Search for malicious Notepad++ download**  
*source: BleepingComputer*


Security researcher Will Dormann found that fake Notepad++ downloads in the sponsored section of Google search were available from additional URLs, all files being marked as malicious by various antivirus (AV) engines on the Virus Total scanning platform.



![Malicious Notepad++ ad in Google search results](https://www.bleepstatic.com/images/news/u/1100723/2023/FakeNotepadPlusPlus_Dormann.jpg)**Malicious Notepad++ ad in Google search results**  
*source: [Will Dormann](https://twitter.com/wdormann/status/1615374293449478144)*


BleepingComputer also found a website filled with fake software downloads distributed solely via Google Ads search results. The website impersonates what appears to be a legitimate web design company in India called Zensoft Tech.


Unfortunately, we could not verify if the downloads were malicious but given that the domain is a typosquatted URL, the site blocks search engines from indexing content and promoting the downloads only through ads in search results, there is a strong indication of malicious activity.


Among the pieces of software we discovered on the website are the file compression utilities 7-ZIP and WinRAR, and the widely used media player VLC.



![Malicious downloads for WinRAR, 7-ZIP, VLC in sponsored ads on Google search](https://www.bleepstatic.com/images/news/u/1100723/2023/WinRAR_VLC_7-ZIP_MalSearchAd.jpg)**Malicious downloads for WinRAR, 7-ZIP, VLC in sponsored ads on Google** **search**  
*source: BleepingComputer*


From a different domain, threat actors provided a malicious version of the CCleaner utility for removing potentially unwanted files and invalid Windows Registry entries.


It appears that the hackers made an effort to outbid the legitimate developer and thus have their ad in the top position. As seen in the image below, the official CCleaner website is displayed under the malicious advertisement. This site offered a CCleaner.zip file that [installed Redline](https://www.virustotal.com/gui/file/a82541bf3e2232ae6cf1a4d410c8f0554bd4cff1accc10f90e629f4063142ca1/relations) information-stealing malware.



![CCleaner malicious download pushed via ads in Google search results](https://www.bleepstatic.com/images/news/u/1100723/2023/CCleaner_MalSearchAd.png)**CCleaner malicious download pushed via Google ads**  
*source: BleepingComputer*


Several security researchers ([mdmck10](https://mobile.twitter.com/mdmck10/status/1615010474088611842), [MalwareHunterTeam](https://twitter.com/Limburg_Bart/status/1615370975473795073), [Will Dormann](https://twitter.com/wdormann/status/1614675821578395655), [Germán Fernández](https://twitter.com/1ZRR4H)) have uncovered additional URLs hosting malicious downloads impersonating free and open-source software, confirming that luring users through sponsored results on Google search is a more common approach for cybercriminals.


Germán Fernández of cybersecurity company CronUp provides a [list of 70 domains](https://raw.githubusercontent.com/CronUp/Malware-IOCs/main/2023-01-17_Arechclient2_GoogleAds) that are distributing malware through Google Ads search results by impersonating legitimate software.


The websites are replicas of the official ones and either provide fake software or redirect to another download location. Many of them offer Audacity and some are for VLC and the image editor GIMP.


One user almost fell for the trick when looking to get the Blender 3D open-source 3D creation suite. A [tweet from MalwareHunterTeam](https://twitter.com/malwrhunterteam/status/1615141418229534721) shows that three malicious ads for this product preceded the link from the official developer.



![Google search results show ads for malicious Blender 3D download](https://www.bleepstatic.com/images/news/u/1100723/2023/Blender3D_MalSearchAd.png)**Malicious Blender 3D downloads take top ad spot in Google search results**  
*source: [Nox Scimitar](https://twitter.com/ScimitarNox/status/1615047327533637632)*


Looking at one of the samples flagged as malicious by some AV products, security researcher Will Dormann noticed that it had an [invalid signature](https://twitter.com/wdormann/status/1615173529145847808) from cybersecurity company Bitdefender.


Although BleepingComputer could not check in all cases the malware delivered this way, in some instances the payload was the RedLine Stealer we saw in the fake CCleaner site.


This malware collects sensitive data from browsers (credentials, credit card, autocomplete info), details about the system (username, location, hardware, security software available), and cryptocurrency.


Fernández found that one threat actor distributed the .NET-based remote access trojan SectoRAT, also known as Arechclient2, via fake downloads for the Audacity digital audio editor.


The researcher also came across the Vidar info-stealer delivered via malicious downloads for Blender 3D advertised in Google Search. Vidar is focused on collecting sensitive info from browsers and can also steal cryptocurrency wallets.


BleepingComputer has shared some of these findings with Google and a company representative told us that the platform’s policies are designed and enforced to prevent brand impersonation.



"We have robust policies prohibiting ads that attempt to [circumvent our enforcement](https://support.google.com/adspolicy/answer/6020954?hl=en&ref_topic=1626336#) by disguising the advertiser’s identity and impersonating other brands, and we enforce them vigorously. We reviewed the ads in question and have removed them" - Google



Google said it will check if addional advertisements and sites reported violate their policies and will take appropriate action if needed.


## Ad-blockers could increase protection


Using sponsored ads in search results as a malware delivery channel has been flagged by the FBI in an [alert](https://www.ic3.gov/Media/Y2022/PSA221221?=8324278624) last year before Christmas.


The agency warned that “these advertisements appear at the very top of search results with minimum distinction between an advertisement and an actual search result” and they link to a website that “looks identical to the impersonated business’s official webpage.”


Because of this, cybercriminals have a better chance of spreading their malware to a larger pool of unsuspecting users.


Checking the URL of a download source is always good advice. Coupled with the use of an ad-blocker, the level of protection against this type of threat should decrease drastically.


Ad-blockers are available as extensions in most web browsers and, as their name says, they stop advertisements from being loaded and displayed on a web page, including search results.


Apart from adding to more comfortable use of the internet, ad-blockers also step up privacy by preventing tracking cookies in advertisements from collecting data about your browsing habits.


In this case, however, such extensions could make the difference between losing access to your sensitive information or online accounts and getting digital resources from legitimate vendors.





## Tags:


### Autogenerated tags:
[[google]] [[bleepingcomputer]] [[malware]] [[nft]] [[dormann]] [[website]] [[notepad++]] [[ccleaner]] [[3d]] [[open-source]]
