# HelloKitty ransomware source code leaked on hacking forum
## A threat actor has leaked the complete source code for the first version of the HelloKitty ransomware on a Russian-speaking hacking forum, claiming to be developing a new, more powerful encryptor.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hellokitty-ransomware-source-code-leaked-on-hacking-forum/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 09 October 2023, 08:25
+ Date scraped: 09 October 2023, 17:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/02/09/HelloKitty.jpg)



A threat actor has leaked the complete source code for the first version of the HelloKitty ransomware on a Russian-speaking hacking forum, claiming to be developing a new, more powerful encryptor.


The leak was [first discovered](https://twitter.com/3xp0rtblog/status/1710387356979560800) by cybersecurity researcher 3xp0rt, who spotted a threat actor named 'kapuchin0' releasing the "first branch" of the HelloKitty ransomware encryptor.



![Forum post leaking HelloKitty encryptor](https://www.bleepstatic.com/images/news/ransomware/h/hellokitty/source-code-leak/forum-post.jpg)**Forum post leaking HelloKitty encryptor**  
*Source: 3xp0rt*


While the source code was released by someone named 'kapuchin0,' 3xp0rt told BleepingComputer that the threat actor also utilizes the alias 'Gookee.'


A threat actor named Gookee has been previously associated with malware and hacking activity, [attempting to sell access](https://web.archive.org/web/20200820060259/https://twitter.com/shad0wintel/status/1296326095487344640) to Sony Network Japan in 2020, linked to a Ransomware-as-a-Service operation called '[Gookee Ransomware](https://helpransomware.com/wp-content/uploads/2022/05/Group-IB-HelpRansomware-1.pdf),' and trying to sell malware source code on a hacker forum.


3xp0rt believes kapuchin0/Gookee is the developer of the HelloKitty ransomware, who now says, "We are preparing a new product and much more interesting than Lockbit."


The released hellokitty.zip archive contains a Microsoft Visual Studio solution that builds the HelloKitty encryptor and decryptor and the [NTRUEncrypt](https://github.com/jschanck-si/NTRUEncrypt) library that this version of the ransomware uses to encrypt files.



![HelloKitty source code](https://www.bleepstatic.com/images/news/ransomware/h/hellokitty/source-code-leak/encryptor-folder.jpg)**HelloKitty source code**  
*Source: BleepingComputer*


Ransomware expert Michael Gillespie confirmed to BleepingComputer that this is the legitimate source code for HelloKitty used when the ransomware operation first launched in 2020.



![Part of the encryption code for HelloKitty](https://www.bleepstatic.com/images/news/ransomware/h/hellokitty/source-code-leak/encrypt-source-code-2.jpg)**Part of the encryption code for HelloKitty**  
*Source: BleepingComputer*


While the release of ransomware source code can be helpful for security research, the public availability of this code does have its drawbacks.


As we saw when [HiddenTear](https://www.bleepingcomputer.com/tag/hiddentear/) was released (*for "educational reasons"*) and [Babuk ransomware source code](https://www.bleepingcomputer.com/news/security/babuk-ransomwares-full-source-code-leaked-on-hacker-forum/) was released, [threat actors quickly used](https://www.bleepingcomputer.com/news/security/leaked-babuk-locker-ransomware-builder-used-in-new-attacks/) the code to [launch their own extortion operations](https://www.bleepingcomputer.com/news/security/rook-ransomware-is-yet-another-spawn-of-the-leaked-babuk-code/).


To this day, over nine ransomware operations continue using[the Babuk source code](https://www.bleepingcomputer.com/news/security/babuk-code-used-by-9-ransomware-gangs-to-encrypt-vmware-esxi-servers/) as the basis for their own encryptors.


Who is HelloKitty?
------------------


[HelloKity](https://www.bleepingcomputer.com/tag/hellokitty/) is a human-operated ransomware operation active since [November 2020](https://www.bleepingcomputer.com/forums/t/750580/hellokitty-ransomware-crypt-read-me-unlocktxt-support-topic/) when a victim posted to the BleepingComputer forums, with the FBI later releasing a PIN (private industry notification) on the group in January 2021.


The gang is known for hacking corporate networks, stealing data, and encrypting systems. The encrypted files and stolen data are then utilized as leverage in double-extortion machines, where the threat actors threaten to leak data if a ransom is not paid.


HelloKitty is known for numerous attacks and is used by other ransomware operations, but their most publicized attack was the one on [CD Projekt Red](https://www.bleepingcomputer.com/news/security/cd-projekt-red-gaming-studio-hit-by-ransomware-attack/) in February 2021.


During this attack, the threat actors claimed to have stolen Cyberpunk 2077, Witcher 3, Gwent, and other games' source code, which they [claimed was sold](https://www.bleepingcomputer.com/news/security/cd-projekts-stolen-source-code-allegedly-sold-by-ransomware-gang/).



![HelloKitty ransom note from CD Projekt Red attack](https://www.bleepstatic.com/images/news/ransomware/h/hellokitty/ransom-note.jpg)**HelloKitty ransom note from CD Projekt Red attack**


In the Summer of 2021, the ransomware group began utilizing a Linux variant that [targets the VMware ESXi virtual machine platform](https://www.bleepingcomputer.com/news/security/linux-version-of-hellokitty-ransomware-targets-vmware-esxi-servers/).


The HelloKitty ransomware or its variants have also been used under other names, including DeathRansom, [Fivehands](https://www.bleepingcomputer.com/news/security/new-ransomware-group-uses-sonicwall-zero-day-to-breach-networks/), and possibly, [Abyss Locker](https://www.bleepingcomputer.com/news/security/linux-version-of-abyss-locker-ransomware-targets-vmware-esxi-servers/).


The FBI shared an extensive collection of indicators of compromise (IOCs) in their [2021 advisory](https://www.ic3.gov/Media/News/2021/211029.pdf) to help cybersecurity professionals and system admins guard against attack attempts coordinated by the HelloKitty ransomware gang.


However, as the encryptor has changed over time, these IOCs have likely become outdated.





## Tags:


### Autogenerated tags:
[[ransomware]] [[hellokitty]] [[bleepingcomputer]] [[encryptor]] [[3xp0rt]]
