# Intuit warns QuickBooks customers of ongoing phishing attacks
## Intuit has warned QuickBooks customers that they are targeted by an ongoing phishing campaign impersonating the company and trying to lure potential victims with fake renewal charges.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/intuit-warns-quickbooks-customers-of-ongoing-phishing-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 08 October 2021, 13:16
+ Date scraped: 11 December 2023, 13:32

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/08/Intuit_QuickBooks.jpg)



Intuit has warned QuickBooks customers that they are targeted by an ongoing phishing campaign impersonating the company and trying to lure potential victims with fake renewal charges.


The company said it received reports from customers that they were emailed and told that their QuickBooks plans had expired.


"This email did not come from Intuit. The sender is not associated with Intuit, is not an authorized agent of Intuit, nor is their use of Intuit's brands authorized by Intuit," Intuit explained.


The financial software firm advises all customers who received one of these phishing messages not to click any links embedded in the emails or open attachments.



![Intuit QuickBooks phishing email](https://www.bleepstatic.com/images/news/u/1109292/2021/Intuit_QuickBooks_phishing_email.png)*Intuit QuickBooks phishing email (Intuit)*


The recommended way to deal with them is to delete them to avoid being infected with malware or redirected to a phishing landing page designed to harvest credentials.


Customers who have already opened attachments or clicked links in the phishing emails should:


1. Delete any downloaded files immediately.
2. Scan their systems using an up-to-date anti-malware solution.
3. Change their passwords.

Intuit also provides information on how customers can protect themselves from phishing attempts on its [support website](https://security.intuit.com/security-tips).


QuickBooks customers also targeted by scammers
----------------------------------------------


In July, Intuit also alerted its customers of phishing emails, asking them to call a phone number to upgrade to QuickBooks 2021 until the end of the month to avoid having their databases corrupted or company backup files removed automatically.


BleepingComputer found similar emails sent to Intuit customers this month, using a very similar template with the upgrade deadline changed to the end of October.


While Intuit didn't explain how the upgrade scheme worked, from BleepingComputer's previous encounters with similar scam attempts, the scammers will attempt to take over the callers' QuickBooks accounts.


To do that, they ask the victims to install remote access software like TeamViewer or AnyDesk while posing as QuickBooks support staff.


Next, they connect and ask the victims to provide the information needed to reset their QuickBooks password and take over their accounts to siphon their money by making payments in their names.


If the victims also have two-factor authentication enabled, the scammers will ask for the one-time authorization code they need to go ahead with the upgrade.



![QuickBooks deadline scam](https://www.bleepstatic.com/images/news/u/1109292/2021/Intuit_financial_scam_deadline.jpg)*QuickBooks upgrade deadline scam email (BleepingComputer)*


Copyright scams and account takeover attacks
--------------------------------------------


Besides these two active campaigns, Intuit is also being impersonated by other threat actors in a fake copyright phishing scam, as SlickRockWeb CEO Eric Ellason [said today](https://twitter.com/SlickRockWeb/status/1446494956215017501).


Recipients targeted by these emails risk infecting themselves with the [Hancitor (aka Chanitor)](https://malpedia.caad.fkie.fraunhofer.de/details/win.hancitor) malware downloader or have [Cobalt Strike](https://malpedia.caad.fkie.fraunhofer.de/details/win.cobalt_strike) beacons deployed on their systems.


The embedded links send the potential victims through advanced redirection chains using various security evasion tactics and victim fingerprinting malspam.


In June, Intuit also notified TurboTax customers that some of their personal and financial info was accessed by attackers [following a series of account takeover attacks](https://www.bleepingcomputer.com/news/security/intuit-notifies-customers-of-compromised-turbotax-accounts/). The company also said that that was not a "systemic data breach of Intuit."


The company's investigation revealed that the attackers used credentials obtained from "a non-Intuit source" to access the customers' accounts and their name, Social Security number, address(es), date of birth, driver's license number, financial information, and more.


TurboTax customers were targeted in at least three other account takeover attack campaigns in [2014/2015](https://oag.ca.gov/ecrime/databreach/reports/sb24-49249) and [2019](https://www.bleepingcomputer.com/news/security/tax-returns-exposed-in-turbotax-credential-stuffing-attacks/).





## Tags:


### Autogenerated tags:
[[quickbooks]] [[phishing]] [[emails]] [[scammers]] [[bleepingcomputer]]
