# Israel's largest oil refinery website offline amid cyber attack claims
## Website of Israel's largest oil refinery operator, BAZAN Group is inaccessible from most parts of the world as threat actors claim to have hacked the Group's cyber systems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/israels-largest-oil-refinery-website-offline-amid-cyber-attack-claims/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 30 July 2023, 05:40
+ Date scraped: 30 July 2023, 10:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/07/30/background-bazan.jpg)



Website of Israel's largest oil refinery operator, BAZAN Group is inaccessible from most parts of the world as threat actors claim to have hacked the Group's cyber systems.


The Haifa Bay-based BAZAN Group, formerly Oil Refineries Ltd., generates over $13.5 billion in annual revenue and employs more than 1,800 people.

Recommended by.fi-display-outer { float: right; position: relative; left: -13px;}.fi-display-outer .ob-text, .fi-display-outer .ob-logo {display: none !important;}.fi-display-outer .ob-ad-choices {padding: 0 !important;margin: 2px 0 !important; border-left: none !important;}


The company boasts to have a total oil refining capacity of about 9.8 million tons of crude oil per year.


## BAZAN website cut off from the internet


Over the weekend, incoming traffic to BAZAN Group's websites, *bazan.co.il* and *eng.bazan.co.il* is either timing out, [with HTTP 502 errors](https://developer.mozilla.org/en-US/docs/Web/HTTP/Status/502), or being refused by the company's servers.


BleepingComputer [confirmed](https://check-host.net/check-http?host=https%3A%2F%2Fwww.bazan.co.il&csrf_token=6f20d380be6e00b47c10231651aa641809605472) that the oil refinery's website has been made inaccessible for most visitors from around the world.


In our tests, the website was, however accessible from within Israel, possibly after imposition of a [geo-block](https://en.wikipedia.org/wiki/Geo-blocking) by BAZAN in an attempt to thwart an ongoing cyber attack.



![Bazan Group website shows forbidden (HTTP 403) error message](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/bazan-israel-offline/bazan-denied.jpg)**Bazan Group website shows an 'Access Denied' error message**  

(BleepingComputer)


## Cyber Avengers claims responsibility


In a Telegram channel, Iranian hacktivist group, 'Cyber Avengers' aka 'CyberAv3ngers', has claimed responsibility for breaching BAZAN's network.


On Saturday evening, the group additionally leaked what appear to be screenshots of BAZAN's [SCADA systems](https://en.wikipedia.org/wiki/SCADA), which are software applications used to monitor and operate industrial control systems.


These include diagrams of "Flare Gas Recovery Unit," "Amine Regeneration" system, a petrochemical "Splitter Section," and [PLC](https://en.wikipedia.org/wiki/Programmable_logic_controller) code, as seen by BleepingComputer.


The hacktivist group states that it breached the petrochemicals giant via an exploit targeting a Check Point firewall at the company.



![Alleged Check Point Firewall exploit used by threat actors](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/bazan-israel-offline/checkpoint-exploit.jpg)**Alleged Check Point Firewall exploit used by threat actors**


The IP address (194.xxx.xxx.xxx) purportedly belonging to the firewall device is indeed assigned to *Oil Refineries Ltd*., BleepingComputer can confirm via public records. At the time of writing, the IP address is returning a "Forbidden," error message when accessed in our test.


"Since 2020 we've blown u up a lot, but the worst is yet to come," reads the Telegram message posted by the threat actor.


"Your recent behaviors and actions have motivated us to display small portion of the shots!"



![CyberAvengers taunting BAZAN](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/bazan-israel-offline/cyber-avengers-chat.jpg)**CyberAvengers taunting BAZAN on Telegram** (BleepingComputer)


CyberAvengers members also shared an image of an internal kiosk that they claim to have vandalized with their messages:



![Message displayed on monitors](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/bazan-israel-offline/hacked-monitor.jpg)**A message displayed on monitors** (CyberAvengers)


Lastly, CyberAvengers boasts that they are responsible for the [2021 fires at the Haifa Bay petrochemical plants](https://www.jpost.com/israel-news/fire-breaks-out-after-pipe-malfunction-at-haifa-petrochemical-plants-666859) caused by a pipeline malfunction.


In 2020, the same group of threat actors also [claimed attacks on 28 Israeli railway stations](http://%C2%A0https://www.aa.com.tr/en/middle-east/iran-group-claim-attacks-on-28-israeli-railway-stations/1927997) by targeting more than 150 industrial servers.


BleepingComputer has not been able to independently verify the veracity of these claims made by the threat actor.


We have approached both Bazan Group as well as its stakeholders, Israel Corp. and Israel Petrochemical Enterprises Ltd. requesting more information with regards to the development prior to publishing (Sunday is a work day in Israel) and are awaiting a response.





## Tags:


### Autogenerated tags:
[[bazan]] [[bleepingcomputer]] [[website]] [[cyberavengers]] [[ltd]]
