# Japanese government agencies suffer data breaches after Fujitsu hack
## Offices of multiple Japanese agencies were breached via Fujitsu's "ProjectWEB" information sharing tool. Fujitsu states that attackers gained unauthorized access to projects that used ProjectWEB, and stole some customer data.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/japanese-government-agencies-suffer-data-breaches-after-fujitsu-hack/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 27 May 2021, 03:21
+ Date scraped: 12 December 2023, 12:33

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/27/fujitsu-bg.png)



Offices of multiple Japanese agencies were breached via Fujitsu's "ProjectWEB" information sharing tool.


Fujitsu states that attackers gained unauthorized access to projects that used ProjectWEB, and stole some customer data.


It is not yet clear if this breach occurred because of a vulnerability exploit, or a targeted supply-chain attack, and an investigation is ongoing.


Attackers accessed at least 76,000 email addresses
--------------------------------------------------


Yesterday, the Ministry of Land, Infrastructure, Transport and Tourism and the National Cyber ​​Security Center (NISC) of Japan announced that attackers were able to obtain inside information via Fujitsu's information-sharing tool.


Fujitsu also said that attackers had gained unauthorized access to projects that used ProjectWEB, and stolen proprietary data.


Fujitsu's ProjectWEB enables companies and organizations to exchange information internally, with project managers and stakeholders, for example.



![Fujitsu ProjectWEB login screen](https://www.bleepstatic.com/images/news/u/1164866/2021/May%202021/fujitsu%20japan/fujitsu-login-portal.png)**ProjectWEB login screen**([Hatena Blog](https://piyolog.hatenadiary.jp/entry/2021/05/26/053332))


By gaining unauthorized access to government systems via ProjectWEB, attackers were able to obtain at least 76,000 e-mail addresses, and proprietary information, including the e-mail system settings, as [confirmed](https://www.mlit.go.jp/report/press/joho02_hh_000004.html) by the Ministry of Land, Infrastructure, Transport, and Tourism.


As of 2009, the tool was in widespread use by approximately**7,800 projects**, according to a Fujitsu [document](https://www.documentcloud.org/documents/21515763-fujitsu-2009-slides?responsive=1&title=1) seen by BleepingComputer:



![Fujitsu ProjectWEB overview](https://www.bleepstatic.com/images/news/u/1164866/2021/May%202021/fujitsu%20japan/fujitsu-slide-projectweb.jpg)**Fujitsu ProjectWEB overview illustrating different use cases of the info-sharing tool**​


The exposed email addresses included those of external parties, such as members of the Council of Experts, who have been individually notified.


Japanese press reported Narita International Airport, located near Tokyo, was impacted as well since Fujitsu attackers managed to steal air traffic control data, flight schedules, and information on business operations.


Additionally, Japan's Ministry of Foreign Affairs suffered from a data leak in which some study materials were [exposed](https://www.mofa.go.jp/mofaj/press/release/press4_009061.html) to unauthorized actors.


As such, Cabinet Secretariat's national cybersecurity center (NISC) issued multiple advisories [[1](https://drive.google.com/file/d/1mRBb26k0jnr-7hG0OlMsC_GqurUIASzR/view?usp=sharing), [2](https://drive.google.com/file/d/1RsCWcQIx6QLWKzjyjbgHD5zC_42ZKnit/view?usp=sharing)] alerting government agencies and critical infrastructure organizations using Fujitsu's tool to check for signs of unauthorized access and information leakage.


Fujitsu suspends ProjectWEB online portal
-----------------------------------------


As seen by BleepingComputer, Fujitsu has suspended its ProjectWEB portal while the scope and cause of this incident are being fully investigated.


The URL to the login portal has been timing out when access is attempted:


https://pjshr170.soln.jp/IJS02E8/pjwebroot/login.jsp

![Fujitsu ProjectWEB portal shut down](https://www.bleepstatic.com/images/news/u/1164866/2021/May%202021/fujitsu%20japan/fujitsu-down.jpg)**Fujitsu ProjectWEB portal shut down after the breach**  

Source: BleepingComputer


Since the ProjectWEB portal was hosted on the "soln.jp" domain, one way to check if your organization has been impacted, or was a customer at some point, is to look for traces of the domain or the aforementioned URL in your network logs.


Fujitsu states they will be notifying the relevant authorities and work with their customers to identify the cause of the breach, in a [press release](https://pr.fujitsu.com/jp/news/2021/05/25.html).


BleepingComputer reached out to Fujitsu with specific questions related to the incident, and we were told:


"Fujitsu can confirm unauthorized access to 'Project WEB,' a collaboration & project management software, used for Japanese-based projects."


"Fujitsu is currently conducting a thorough review of this incident, and we are in close consultation with the Japanese authorities. As a precautionary measure, we have suspended [the] use of this tool, and we have informed any potentially impacted customers," a Fujitsu spokesperson told BleepingComputer.


Although disclosure of technical details behind this attack is pending, the incident has echoes of the [Accellion file sharing tool hack](https://www.bleepingcomputer.com/news/security/five-eyes-members-warn-of-accellion-fta-extortion-attacks/) which impacted hundreds of customer organizations.


*Update 04:30 AM ET: Added statement from Fujitsu received after publishing.*





## Tags:
***urls***: https://pjshr170.soln.jp/IJS02E8/pjwebroot/login.jsp

### Autogenerated tags:
[[fujitsu]] [[projectweb]] [[bleepingcomputer]]
