# Kali Linux 2024.2 released with 18 new tools, Y2038 changes
## Kali Linux has released version 2024.2, the first version of 2024, with eighteen new tools and fixes for the Y2038 bug.
## Information:

+ Link: https://www.bleepingcomputer.com/news/linux/kali-linux-20242-released-with-18-new-tools-y2038-changes/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 05 June 2024, 13:22
+ Date scraped: 05 June 2024, 19:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/02/14/kali-bright.jpg)



Kali Linux has released version 2024.2, the first version of 2024, with eighteen new tools and fixes for the Y2038 bug.


Kali Linux is a distribution created for cybersecurity professionals and ethical hackers to perform penetration testing, security audits, and research against networks.


As is typical for the year's first version, the Kali Team has released new visual elements, including wallpapers and updates to the boot menu and login display.


Eighteen new tools in Kali Linux 2024.2
---------------------------------------


What's a new Kali release without new tools toys to play with?


Kali 2024.2 doesn't disappoint, with eighteen new tools added in this release:


* [autorecon](https://www.kali.org/tools/autorecon) - Multi-threaded network reconnaissance tool
* [coercer](https://www.kali.org/tools/coercer) - Automatically coerce a Windows server to authenticate on an arbitrary machine
* [dploot](https://www.kali.org/tools/dploot) - Python rewrite of SharpDPAPI
* [getsploit](https://www.kali.org/tools/getsploit) - Command line utility for searching and downloading exploits
* [gowitness](https://www.kali.org/tools/gowitness) - Web screenshot utility using Chrome Headless
* [horst](https://www.kali.org/tools/horst) - Highly Optimized Radio Scanning Tool
* [ligolo-ng](https://www.kali.org/tools/ligolo-ng) - Advanced, yet simple, tunneling/pivoting tool that uses a TUN interface
* [mitm6](https://www.kali.org/tools/mitm6) - pwning IPv4 via IPv6
* [netexec](https://www.kali.org/tools/netexec) - Network service exploitation tool that helps automate assessing the security of large networks.
* [pspy](https://www.kali.org/tools/pspy) - Monitor Linux processes without root permissions
* [pyinstaller](https://www.kali.org/tools/pyinstaller) - Converts (packages) Python programs into stand-alone executables.
* [pyinstxtractor](https://www.kali.org/tools/pyinstxtractor) - PyInstalller Extractor
* [sharpshooter](https://www.kali.org/tools/sharpshooter) - Payload Generation Framework
* [sickle](https://www.kali.org/tools/sickle-tool) - Payload development tool
* [snort](https://www.kali.org/tools/snort) - Flexible Network Intrusion Detection System
* [sploitscan](https://www.kali.org/tools/sploitscan) - Search for CVE information
* [vopono](https://www.kali.org/tools/vopono) - Run applications through VPN tunnels with temporary network namespaces
* [waybackpy](https://www.kali.org/tools/waybackpy) - Access Wayback Machine's API using Python

Kali says they did not have time to get Linux Kernel 6.8 included, which was released on March 10, but will be included in version 2024.3.


Year 2038 bug fixes
-------------------


Similar to the Y2K bug, the 'year 2038 problem' (aka Y2038 and Y2K38) will cause the time to switch to 1901-12-13 20:45:52 after reaching 2038-01-19 03:14:08 UTC on Linux systems when UNIX timestamps are stored in a 32-bit time\_t integer variable.


To fix this, compilers and libraries switched to the larger 64-bit time\_t integers that properly store timestamps when we reach 2038. However, this requires applications and libraries using the previous 32-bit variables to be recompiled so as to not cause issues.



"To prevent the Year 2038 issue, the size for the time\_t type had to be changed to be 64-bit, on those architectures where it was 32-bit. For Kali Linux, that means the two 32-bit ARM architectures that we support: `armhf` and `armel`. These architectures are used mainly for [ARM images](https://www.kali.org/get-kali/#kali-arm) (eg. Raspberry Pi) and a few [NetHunter images](https://www.kali.org/get-kali/#kali-mobile). Note that the `i386` architecture (ie. legacy PC) didn’t change: this architecture still will have a 32-bit time\_t type, and that will not change. *Kali has always treated ARM platform as a first-class citizen*."


❖ The Kali Team
Kali says they have now finished its t64 transition, meaning that all Kali users should perform a full upgrade to receive the new updated packages.


New desktop changes
-------------------


This release introduces Gnome 46, with all themes and extensions updated to support the new version.


The developers have also updated the Xfce desktop with new stability and performance fixes.



![Gnome 46 in Kali Linux](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2024.2/gnome-46.png)

**Gnome 46 in Kali Linux  

​​​***Source: Kali*




How to get Kali Linux 2024.2
----------------------------


To start using Kali Linux 2024.2, you can upgrade your existing installation, [select a platform](https://www.kali.org/get-kali/), or [directly download ISO images](https://cdimage.kali.org/kali-2024.2/) for new installs and live distributions.


For those updating from a previous version, you can use the following commands to upgrade to the latest version.



```
echo "deb http://http.kali.org/kali kali-rolling main contrib non-free non-free-firmware" | sudo tee /etc/apt/sources.list

sudo apt update && sudo apt -y full-upgrade

cp -vrbi /etc/skel/. ~/

[ -f /var/run/reboot-required ] && sudo reboot -f
```

If you are running Kali on the Windows Subsystem for Linux, upgrade to WSL2 for a better experience, including the ability to use graphical apps.


You can check the WSL version used by Kali with the 'wsl -l -v' command in a Windows command prompt.


Once done upgrading, you can check if the upgrade was successful by using the following command:



```
grep VERSION /etc/os-release
```


![Checking the version of Kali Linux](https://www.bleepstatic.com/images/news/linux/k/kali-linux/2024.2/kali-2024_2.jpg)

**Checking the version of Kali Linux**  
*Source: BleepingComputer*




You can view the [complete changelog](https://www.kali.org/blog/kali-linux-2024-2-release/) for Kali 2024.2 on Kali's website.





## Tags:
***ipv6-adresses***: 03:14:08 20:45:52
***urls***: http://http.kali.org/kali

### Autogenerated tags:
[[linux]] [[32-bit]] [[time_t]] [[sudo]] [[windows]]
