# Kaseya: Roughly 1,500 businesses hit by REvil ransomware attack
## Kaseya says the REvil supply-chain ransomware attack breached the systems of roughly 60 of its direct customers using the company's VSA on-premises product.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/kaseya-roughly-1-500-businesses-hit-by-revil-ransomware-attack/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 06 July 2021, 07:59
+ Date scraped: 12 December 2023, 10:46

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/07/05/Kaseya.jpg)



Kaseya says the REvil supply-chain ransomware attack breached the systems of roughly 60 of its direct customers using the company's VSA on-premises product.


In all, the cloud-based MSP software provider added that it's aware of up to 1,500 downstream victims who had their networks managed by MSPs using Kaseya remote management tools.


"The attack had limited impact, with only approximately 50 of the more than 35,000 Kaseya customers being breached," Kaseya [said](https://www.globenewswire.com/news-release/2021/07/06/2257884/0/en/Kaseya-Responds-Swiftly-to-Sophisticated-Cyberattack-Mitigating-Global-Disruption-to-Customers.html) in a press release.


"Of the approximately 800,000 to 1,000,000 local and small businesses that are managed by Kaseya’s customers, only about 800 to 1,500 have been compromised."


The company provides network and endpoint indicators of compromise (IOCs) to help security researchers and customers investigations, as well as an [updated version of its Compromise Detection Tool](https://www.kaseya.com/potential-attack-on-kaseya-vsa/) to check systems for breach signs.


Kaseya says it's currently working on the restoration process and readying to roll out a fix for the exploited zero-day to VSA customers.



> 
> All on-premises VSA Servers should continue to remain offline until further instructions from Kaseya about when it is safe to restore operations.  A patch will be required to be installed prior to restarting the VSA and a set of recommendations on how to increase your security posture. — Kaseya
> 
> 
> 



Zero-day exploited while Kaseya was validating patches
------------------------------------------------------


To deploy ransomware payloads on the systems of Kaseya customers and their clients, the[REvil operators exploited a zero-day vulnerability](https://www.bleepingcomputer.com/news/security/kaseya-was-fixing-zero-day-just-as-revil-ransomware-sprung-their-attack/) (CVE-2021-30116) in [Kaseya VSA](https://www.kaseya.com/products/vsa/), an RMM (Remote Monitoring and Management) software commonly used by MSPs to manage client's networks.


Kaseya [was in the process of patching the zero-day vulnerability](https://www.bleepingcomputer.com/news/security/kaseya-was-fixing-zero-day-just-as-revil-ransomware-sprung-their-attack/) reported privately by researchers at the Dutch Institute for Vulnerability Disclosure (DIVD), as BleepingComputer later found.


However, the REvil affiliate behind the attack obtained the zero-day's details and exploited it to deploy the ransomware before Kaseya could start rolling a fix to VSA customers.


"The attackers were able to exploit zero-day vulnerabilities in the VSA product to bypass authentication and run arbitrary command execution," Kaseya [explains](https://helpdesk.kaseya.com/hc/en-gb/articles/4403584098961-Incident-Overview-Technical-Details).


"This allowed the attackers to leverage the standard VSA product functionality to deploy ransomware to endpoints. There is no evidence that Kaseya’s VSA codebase has been maliciously modified."


REvil now claims to have encrypted over 1,000,000 systems and, after first [demanding $70 million](https://www.bleepingcomputer.com/news/security/revil-ransomware-asks-70-million-to-decrypt-all-kaseya-attack-victims/), is now asking for [$50 million for a universal decryptor](https://twitter.com/jackhcable/status/1411906687968161792).



![REvil claims of encrypting 1 million endpoints](https://www.bleepstatic.com/images/news/u/1100723/Ransomware/Sodinokibi%20(REvil)/REvilKaseya70Mil.jpg)*REvil claims to have encrypted 1 million endpoints*


This is not the first time ransomware groups have targeted Kaseya's cloud-based MSP platform.


[GandCrab](https://www.bleepingcomputer.com/news/security/ransomware-attacks-target-msps-to-mass-infect-customers/), [REvil (Sodinokibi)](https://www.bleepingcomputer.com/news/security/sodinokibi-ransomware-spreads-wide-via-hacked-msps-sites-and-spam/), and [Ragnar Locker](https://www.bleepingcomputer.com/news/security/ragnar-locker-ransomware-targets-msp-enterprise-support-tools/) targeted Kaseya's remote management tools to make it a lot harder for victim's MSP to detect and block ongoing ransomware attacks.


In related news, CISA and the FBI have [shared guidance](https://www.bleepingcomputer.com/news/security/cisa-fbi-share-guidance-for-victims-of-kaseya-ransomware-attack/) for victims of the supply-chain ransomware attack.


The White House National Security Council [is also urging victims](https://www.whitehouse.gov/briefing-room/statements-releases/2021/07/04/statement-by-deputy-national-security-advisor-for-cyber-and-emerging-technology-anne-neuberger-on-reporting-kaseya-compromises/) to report any incidents and follow the guidance issued by Kaseya.





## Tags:
***CVE's***: CVE-2021-30116

### Autogenerated tags:
[[kaseya]] [[vsa]] [[ransomware]] [[revil]] [[zero-day]] [[msp]]
