# KeePass v2.54 fixes bug that leaked cleartext master password
## KeePass has released version 2.54, fixing the CVE-2023-3278 vulnerability that allows the extraction of the cleartext master password from the application's memory.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/keepass-v254-fixes-bug-that-leaked-cleartext-master-password/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 05 June 2023, 10:15
+ Date scraped: 05 June 2023, 16:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/09/cyber-key.jpg)



KeePass has released version 2.54, fixing the CVE-2023-3278 vulnerability that allows the extraction of the cleartext master password from the application's memory.


When creating a new KeePass password manager database, users must create a master password, which is used to encrypt the database. When opening the database in the future, users are required to enter this master key to decrypt it and access the credentials stored within it.


However, in May 2023, security researcher 'vdohney' disclosed a vulnerability and [proof-of-concept exploit](http://github.com/vdohney/keepass-password-dumper) that allowed you to partially [extract the cleartext KeepPass master password](https://www.bleepingcomputer.com/news/security/keepass-exploit-helps-retrieve-cleartext-master-password-fix-coming-soon/) from a memory dump of the application.


"The problem is with SecureTextBoxEx. Because of the way it processes input, when the user types the password, there will be leftover strings," explained vdohney in a [KeePass bug report](https://sourceforge.net/p/keepass/discussion/329220/thread/f3438e6283).


"For example, when "Password" is typed, it will result in these leftover strings: •a, ••s, •••s, ••••w, •••••o, ••••••r, •••••••d."


This dumper allows users to recover almost all master password characters apart from the first one or two, even if the KeePass workspace is locked or the program was closed recently.



![Extracting most of the KeePass master password](https://www.bleepstatic.com/images/news/security/k/keepass/master-password-dump-exploit/recovered-keepass-master-password.jpg)**Extracting most of the KeePass master password**  
*Source: BleepingComputer*


Information-stealing malware or threat actors could use this technique to dump the program's memory and send it and the KeePass database back to a remote server for offline retrieval of the cleartext password from the memory dump. Once the password is retrieved, they can open the KeePass password database and access all the saved account credentials.


KeePass's creator and main developer, Dominik Reichl, acknowledged the flaw and promised to release a fix soon, having already implemented an effective solution being tested in beta builds.


## KeePass 2.5.4 fixes vulnerability


Over the weekend, Reichl released [KeePass 2.54](https://keepass.info/news/n230603_2.54.html) sooner than expected, and all users of the 2.x branch are strongly recommended to upgrade to the new version.


Users of KeePass 1.x, Strongbox, or KeePassXC are not impacted by CVE-2023-32784 and, thus, do not need to migrate to a newer release.


To fix the vulnerability, KeePass is now using a Windows API to set or retrieve data from text boxes, preventing the creation of managed strings that can potentially be dumped from memory.


Reichl also introduced "dummy strings" with random characters into the memory of the KeePass process to make it harder to retrieve fragments of the password from memory and combine them into a valid master password.


KeePass 2.5.4 also introduces other security enhancements, such as moving '[Triggers](https://keepass.info/help/v2/triggers.html),' '[Global URL overrides](https://keepass.info/help/base/autourl.html#override),' and '[Password generator profiles](https://keepass.info/help/base/pwgenerator.html#profiles)' into the [enforced configuration file](https://keepass.info/help/kb/config_enf.html), which provides additional security from [attacks that modify the KeePass configuration file](https://www.bleepingcomputer.com/news/security/keepass-disputes-vulnerability-allowing-stealthy-password-theft/).


If the triggers, overrides, and profiles aren't stored in the enforced config because they were created using a previous version, they will be disabled automatically in 2.54, and users will have to manually activate them from the 'Tools' settings menu.


Users who cannot upgrade to KeePass 2.54 are recommended to reset their master password, delete crash dumps, hibernation files, and swap files that might contain fragments of their master password, or perform a fresh OS install.


Keep in mind that the issue impacts only passwords typed in the program's input forms, so if the credentials are copied and pasted into the boxes, no data-leaking strings are created in memory.





## Tags:
***CVE's***: CVE-2023-32784 CVE-2023-3278

### Autogenerated tags:
[[keepass]] [[cleartext]] [[reichl]]
