# Lazarus hackers use Windows Update to deploy malware
## North Korean-backed hacking group Lazarus has added the Windows Update client to its list of living-off-the-land binaries (LoLBins) and is now actively using it to execute malicious code on Windows systems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/lazarus-hackers-use-windows-update-to-deploy-malware/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 27 January 2022, 18:31
+ Date scraped: 27 January 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/07/09/Windows_headpic.jpg)


![Lazarus hackers use Windows Update to deploy malware](https://www.bleepstatic.com/content/hl-images/2021/07/09/Windows_headpic.jpg)


North Korean-backed hacking group Lazarus has added the Windows Update client to its list of living-off-the-land binaries (LoLBins) and is now actively using it to execute malicious code on Windows systems.


The new malware deployment method was discovered by the Malwarebytes Threat Intelligence team while analyzing a January spearphishing campaign impersonating the American security and aerospace company Lockheed Martin.


After the victims open the malicious attachments and enable macro execution, an embedded macro drops a WindowsUpdateConf.lnk file in the startup folder and a DLL file (wuaueng.dll) in a hidden Windows/System32 folder.


In the next stage, the LNK file is used to launch the WSUS / Windows Update client (wuauclt.exe) to execute a command that loads the attackers' malicious DLL.


"This is an interesting technique used by Lazarus to run its malicious DLL using the Windows Update Client to bypass security detection mechanisms," [Malwarebytes said](https://blog.malwarebytes.com/threat-intelligence/2022/01/north-koreas-lazarus-apt-leverages-windows-update-client-github-in-latest-campaign/).


The researchers linked these attacks to Lazarus based on several pieces of evidence, including infrastructure overlaps, document metadata, and targeting similar to previous campaigns.



![Attack flow](https://www.bleepstatic.com/images/news/u/1109292/2022/Attack%20flow.jpg)*Attack flow (Malwarebytes)*
Defense evasion method revived in new attacks
---------------------------------------------


As [BleepingComputer reported in October 2020](https://www.bleepingcomputer.com/news/security/windows-update-can-be-abused-to-execute-malicious-programs/), this tactic was discovered MDSec researcher David Middlehurst, who found that attackers could use the Windows Update client to execute malicious code on Windows 10 systems (he also [spotted a sample](https://www.joesandbox.com/analysis/215088/0/html) using it in the wild).


This can be done by loading an arbitrary specially crafted DLL using the following command-line options (the command Lazarus used to load their malicious payload):



```
wuauclt.exe /UpdateDeploymentProvider [path_to_dll] /RunHandlerComServer
```

MITRE ATT&CK classifies this defense evasion strategy as [Signed Binary Proxy Execution via Rundll32](http://attack.mitre.org/techniques/T1218/011/), and it allows attackers to bypass security software, application control, and digital certificate validation protection.


In this case, threat actors do it by executing malicious code from a previously dropped malicious DLL, loaded using the Windows Update client's Microsoft-signed binary.


Notorious North Korean hacking group
------------------------------------


The Lazarus Group (also tracked as HIDDEN COBRA by US intel agencies) is a North Korean military hacking group active for more than a decade, since at least 2009.


Its operators coordinated the 2017 global [WannaCry](https://www.bleepingcomputer.com/news/security/wannacry-wana-decryptor-wanacrypt0r-info-and-technical-nose-dive/) ransomware campaign and have been behind attacks against high-profile companies such as [Sony Films](http://operationblockbuster.com/) and multiple [banks worldwide](https://www.bleepingcomputer.com/news/security/north-korean-hackers-used-hermes-ransomware-to-hide-recent-bank-heist/).


Last year, Google spotted Lazarus [targeting security researchers](https://www.bleepingcomputer.com/news/security/north-korean-hackers-are-targeting-security-researchers-with-malware-0-days/) in January as part of complex social engineering attacks and [a similar campaign](https://www.bleepingcomputer.com/news/security/google-north-korean-hackers-target-security-researchers-again/) during March.


They were also observed using the previously undocumented ThreatNeedle backdoor in a large-scale cyber-espionage campaign against the [defense industry](https://www.bleepingcomputer.com/news/security/north-korean-hackers-target-defense-industry-with-custom-malware/) of more than a dozen countries.


US Treasury [sanctioned three DPRK-sponsored hacking groups](https://www.bleepingcomputer.com/news/security/north-korean-hackers-behind-wannacry-and-sony-hack-sanctioned-by-usa/) (Lazarus, Bluenoroff, and Andariel) in September 2019, and the US government [offers a reward of up to $5 million](https://www.bleepingcomputer.com/news/security/us-issues-guidance-on-north-korean-hackers-offers-5m-reward/) for info on Lazarus activity.





## Tags:


### Autogenerated tags:
[[windows]] [[dll]]
