# LockBit ransomware encryptors found targeting Mac devices
## The LockBit ransomware gang has created encryptors targeting Macs for the first time, likely becoming the first major ransomware operation to ever specifically target macOS.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/lockbit-ransomware-encryptors-found-targeting-mac-devices/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 16 April 2023, 17:31
+ Date scraped: 16 April 2023, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/04/16/apple-logo-padlock-2.jpg)



![Apple logo with a padlock](https://www.bleepstatic.com/content/hl-images/2023/04/16/apple-logo-padlock-2.jpg)*Image: [Norebbo](https://www.norebbo.com/apple-logo/)*


The LockBit ransomware gang has created encryptors targeting Macs for the first time, likely becoming the first major ransomware operation to ever specifically target macOS.


The new ransomware encryptors were discovered by cybersecurity researcher [MalwareHunterTeam](https://twitter.com/malwrhunterteam/status/1647384505550876675) who found a ZIP archive on VirusTotal that contained what appears to be all of the available LockBit encryptors.


Historically, the LockBit operation uses encryptors designed for attacks on Windows, Linux, and VMware ESXi servers. However, as shown below, this archive [[VirusTotal](https://www.virustotal.com/gui/file/bf3ebc294870a6e743f021f4e18be75810149a1004b8d7c8a1e91f35562db3f5)] also contained previously unknown encryptors for macOS, ARM, FreeBSD, MIPS, and SPARC CPUs.



![Archive of available LockBit encryptors](https://www.bleepstatic.com/images/news/ransomware/l/lockbit/macos-encryptor/encryptor-list.jpg)**Archive of available LockBit encryptors**  
*Source: BleepingComputer*


These encryptors also include one named 'locker\_Apple\_M1\_64' [[VirusTotal](https://www.virustotal.com/gui/file/3e4bbd21756ae30c24ff7d6942656be024139f8180b7bddd4e5c62a9dfbd8c79)] that targets the newer Macs running on the M1 Processor. The archive also contains lockers for PowerPC CPUs, which older Macs use.


Further research by cybersecurity researcher Florian Roth found an Apple M1 encryptor [uploaded to VirusTotal](https://www.virustotal.com/gui/file/0be6f1e927f973df35dad6fc661048236d46879ad59f824233d757ec6e722bde/details) in December 2022, indicating that these samples have been floating around for some time.


## Likely test builds


BleepingComputer analyzed the strings in the LockBit encryptor for Apple M1 and found strings that are out of place in a macOS encryptor, indicating that these were likely haphazardly thrown together in a test.


For example, there are numerous references to VMware ESXi, which is out of place in an Apple M1 encryptor, as VMare announced they would [not be supporting the CPU architecture](https://kb.vmware.com/s/article/88698).



```
_check_esxi
esxi_
_Esxi
_kill_esxi_1
_kill_esxi_2
_kill_esxi_3
_kill_processes
_kill_processes_Esxi
_killed_force_vm_id
_listvms
_esxcfg_scsidevs1
_esxcfg_scsidevs2
_esxcfg_scsidevs3
_esxi_disable
_esxi_enable

```

Furthermore, the encryptor contains a list of sixty-five file extensions and filenames that will be excluded from encryption, all of them being Windows file extensions and folders.


A small snippet of the Windows files the Apple M1 encryptor will not encrypt is listed below, all out of place on a macOS device.



```
.exe
.bat
.dll
msstyles
gadget
winmd
ntldr
ntuser.dat.log
bootsect.bak
autorun.inf
thumbs.db
iconcache.db
```

Almost all of the ESXi and Windows strings are also present in the MIPs and FreeBSD encryptors, indicating that they use a shared codebase.


The good news is that these encryptors are likely not ready for deployment in actual attacks against macOS devices.


Cisco Talos researcher [Azim Khodjibaev](https://twitter.com/AShukuhi) told BleepingComputer that based on their research, the encryptors were meant as a test and were never intended for deployment in live cyberattacks.


While Windows has been the most targeted operating system in ransomware attacks, nothing prevents developers from creating ransomware that targets Macs.


The fact that they are being tested indicates that more advanced and optimized encryptors for these CPU architectures could come in the future.


Therefore, all computer users, including Mac owners, should practice good online safety habits, including keeping the operating system updated, avoiding opening unknown attachments and executables, and using strong and unique passwords at every site you visit.





## Tags:


### Autogenerated tags:
[[encryptors]] [[encryptor]] [[lockbit]] [[ransomware]] [[macos]] [[windows]] [[m1]] [[esxi]] [[bleepingcomputer]]
