# LockBit ransomware goes 'Green,' uses new Conti-based encryptor
## The LockBit ransomware gang has again started using encryptors based on other operations, this time switching to one based on the leaked source code for the Conti ransomware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/lockbit-ransomware-goes-green-uses-new-conti-based-encryptor/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 01 February 2023, 22:48
+ Date scraped: 01 February 2023, 23:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/01/lockbit-flames.jpg)



The LockBit ransomware gang has again started using encryptors based on other operations, this time switching to one based on the leaked source code for the Conti ransomware.


Since its launch, the LockBit operation has gone through numerous iterations of its encryptor, starting with a custom one and moving to LockBit 3.0 (aka LockBit Black), which is derived from the BlackMatter gang's source code.


This week, cybersecurity collective VX-Underground [first reported](https://twitter.com/vxunderground/status/1618885718839001091) that the ransomware gang is now using a new encryptor named 'LockBit Green,' based on the leaked source code of the now-disbanded Conti gang.


The Conti ransomware gang shut down after a series of embarrassing data breaches caused by the [leaking of 170,000 internal messages](https://www.bleepingcomputer.com/news/security/conti-ransomwares-internal-chats-leaked-after-siding-with-russia/) and the [source code for their encryptor](https://www.bleepingcomputer.com/news/security/conti-ransomware-source-code-leaked-by-ukrainian-researcher/).


Soon after the source code was leaked, other hacking groups began utilizing it to create their own encryptors, with some [ironically used against Russian companies](https://www.bleepingcomputer.com/news/security/hackers-use-contis-leaked-ransomware-to-attack-russian-companies/).


## A look at LockBit Green


Since the news of LockBit Green became public, researchers have found samples of the new encryptor circulating on VirusTotal and other malware-sharing sites.


A malware analyst known as [CyberGeeksTech](https://twitter.com/GeeksCyber) reverse-engineered a sample of LockBit Green and told BleepingComputer that it was definitely based on the Conti encryptor they [previously analyzed](https://cybergeeks.tech/dissecting-the-last-version-of-conti-ransomware-using-a-step-by-step-approach/).


"I've analyzed the sample and it's 100% based on the Conti source code," the researcher told BleepingComputer.


"The decryption algorithm is just an example of a similarity. It's weird that they've chosen to build a payload based on Conti, they have their own encryptor for some time."


Cybersecurity firm PRODAFT also [shared four MD5 hashes of LockBit Green samples](http://github.com/prodaft/malware-ioc/blob/master/LockBit/green.md) that they found, including a Yara rule that can detect the new variant.


PRODAFT told BleepingComputer that they know of at least five victims that have been attacked using the new LockBit Green variant.


BleepingComputer tested one of the samples shared by PRODAFT, which utilizes the same command-line arguments as the previous Conti encryptors.


The ransom notes have been modified to use the LockBit 3.0 ransom note rather than Conti's format, as shown below.



![LockBit Green ransom note](https://www.bleepstatic.com/images/news/ransomware/l/lockbit/lockbit-green/ransom-note.jpg)**LockBit Green ransom note**  
*Source: BleepingComputer*


However, one change we noticed is that LockBit Green uses what appears to be a random extension rather than the standard **.lockbit** extension.



![Different encrypted file extension used in LockBit Green](https://www.bleepstatic.com/images/news/ransomware/l/lockbit/lockbit-green/encrypted-files.jpg)**Different encrypted file extension used in LockBit Green**  
*Source: BleepingComputer*


While it's unclear why the LockBit operation is utilizing a new Conti-based encryptor when their previous one works fine, PRODAFT may have the answer.


"We especially observed that ex-Conti members preferred LockBit Green after the announcement. They probably feel comfortable using conti-based ransomware," PRODAFT told BleepingComputer.





## Tags:


### Autogenerated tags:
[[lockbit]] [[conti]] [[encryptor]] [[bleepingcomputer]] [[ransomware]] [[prodaft]] [[encryptors]]
