# Lorenz ransomware breaches corporate network via phone systems
## The Lorenz ransomware gang now uses a critical vulnerability in Mitel MiVoice VOIP appliances to breach enterprises using their phone systems for initial access to their corporate networks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/lorenz-ransomware-breaches-corporate-network-via-phone-systems/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 12 September 2022, 16:00
+ Date scraped: 12 September 2022, 17:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/28/hacker.jpg)



The Lorenz ransomware gang now uses a critical vulnerability in Mitel MiVoice VOIP appliances to breach enterprises, using their phone systems for initial access to their corporate networks.


Arctic Wolf Labs security researchers spotted this new tactic after observing a significant overlap with Tactics, Techniques, and Procedures (TTPs) tied to ransomware attacks exploiting the [CVE-2022-29499](https://nvd.nist.gov/vuln/detail/CVE-2022-29499) bug for initial access, confirming [Crodwstrike reporting](https://www.bleepingcomputer.com/news/security/mitel-zero-day-used-by-hackers-in-suspected-ransomware-attack/) in June.


While these incidents weren't linked to a specific ransomware gang, Arctic Wold Labs was able to attribute similar malicious activity to the Lorenz gang with high confidence.


"Initial malicious activity originated from a Mitel appliance sitting on the network perimeter," the security researchers revealed in a report published today.


"Lorenz exploited CVE-2022-29499, a remote code execution vulnerability impacting the Mitel Service Appliance component of MiVoice Connect, to obtain a reverse shell and subsequently used Chisel as a tunnelling tool to pivot into the environment."


This is an important addition to the gang's arsenal, given that Mitel Voice-over-IP (VoIP) products are used by organizations in critical sectors worldwide (including government agencies), with [over 19,000 devices](https://maps.shodan.io/#48.675093492002866/-10.131454467773438/3/satellite/%22http.html_hash:-1971546278%22) currently exposed to attacks over the Internet, per security expert [Kevin Beaumont](https://twitter.com/GossiTheDog/status/1540354721931841537).


Mitel has addressed the vulnerability by releasing security patches in early June 2022 after releasing a [remediation script](https://www.mitel.com/support/security-advisories/mitel-product-security-advisory-22-0002) for affected MiVoice Connect versions in April.


Threat actors recently [exploited other security flaws](https://www.bleepingcomputer.com/news/security/cisa-adds-66-vulnerabilities-to-list-of-bugs-exploited-in-attacks/) impacting Mitel devices in record-breaking [DDoS amplification](https://www.bleepingcomputer.com/news/security/ddos-attacks-now-use-new-record-breaking-amplification-vector/) attacks.



![Internet exposed Mitel appliances](https://www.bleepstatic.com/images/news/u/1109292/2022/Internet_exposed_Mitel_appliances.jpg)*Internet-exposed Mitel appliances (Shodan)*


## Who is Lorenz?


The [Lorenz ransomware group](https://www.bleepingcomputer.com/news/security/meet-lorenz-a-new-ransomware-gang-targeting-the-enterprise/) has been targeting enterprise organizations worldwide since at least December 2020, demanding hundreds of thousands of dollars in ransom from each victim.


Michael Gillespie of [ID Ransomware](https://id-ransomware.malwarehunterteam.com/) has told BleepingComputer that the Lorenz encryptor is the same as the one used by a previous ransomware operation known as ThunderCrypt.


This gang is also known for selling data stolen before encryption [to other threat actors](https://www.bleepingcomputer.com/news/security/meet-lorenz-a-new-ransomware-gang-targeting-the-enterprise/) to pressure their victims into paying the ransom and selling access to its victims' internal networks to other cybercriminals along with the stolen data.


If ransoms aren't paid after leaking the stolen data as password-protected RAR archives, Lorenz also releases the password to access the leaked archives to provide public access to the stolen files.


In June 2021, Dutch cybersecurity firm [Tesorion released a free Lorenz ransomware decryptor](https://www.bleepingcomputer.com/news/security/lorenz-ransomware-decryptor-recovers-victims-files-for-free/) that can be used to recover some file types, including Office documents, PDF files, images, and videos.


The list of previous victims includes [Hensoldt](https://www.bleepingcomputer.com/news/security/defense-contractor-hensoldt-confirms-lorenz-ransomware-attack/), a multinational defense contractor headquartered in Germany, and ​[Canada Post](https://www.bleepingcomputer.com/news/security/canada-post-hit-by-data-breach-after-supplier-ransomware-attack/), the primary postal operator in Canada.





## Tags:
***CVE's***: CVE-2022-29499

### Autogenerated tags:
[[lorenz]] [[ransomware]] [[mitel]] [[mivoice]]
