# MOVEit Transfer customers warned of new flaw as PoC info surfaces
## Progress warned MOVEit Transfer customers to restrict all HTTP access to their environments after info on a new SQL injection (SQLi) vulnerability was shared online today.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/moveit-transfer-customers-warned-of-new-flaw-as-poc-info-surfaces/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 15 June 2023, 16:58
+ Date scraped: 15 June 2023, 21:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/06/15/MOVEit.jpg)



Progress warned MOVEit Transfer customers to restrict all HTTP access to their environments after info on a new SQL injection (SQLi) vulnerability was shared online today.


A patch addressing this new critical security bug is not yet available, but one is currently being tested and will be released "shortly," according to the company.


"Progress has discovered a vulnerability in MOVEit Transfer that could lead to escalated privileges and potential unauthorized access to the environment," Progress [said](https://community.progress.com/s/article/MOVEit-Transfer-Critical-Vulnerability-15June2023).


"We have taken HTTPs traffic down for MOVEit Cloud in light of the newly published vulnerability and are asking all MOVEit Transfer customers to immediately take down their HTTP and HTTPs traffic to safeguard their environments while the patch is finalized," it [added](https://www.progress.com/security/moveit-transfer-and-moveit-cloud-vulnerability).


Until security updates are released for affected MOVEit Transfer versions, Progress "strongly" recommends modifying firewall rules to deny HTTP and HTTPs traffic to MOVEit Transfer on ports 80 and 443 as a temporary workaround.


Even though users would no longer be able to log into their accounts via the web UI, file transfers will still be available since the SFTP and FTP/s protocols will continue to work as expected.


Admins can also access MOVEit Transfer by connecting to the Windows server via remote desktop and then going to https://localhost/.


While Progress didn't share the location where details on this new SQLi flaw were shared, at least one security researcher has shared information on Twitter on what looks like proof-of-concept exploit code for a new MOVEit Transfer zero-day bug.


The researcher told BleepingComputer that they believe this new warning from Progress is related to the PoC they are working on.


"I have not achieved RCE. This vulnerability is not a bypass of any previous vulnerability. It has its own attack path," the researcher added.


BleepingComputer was also told that the vulnerability had already been disclosed to Progress with the help of Huntress Senior Security Researcher John Hammond—the disclosure likely also prompted the company's warning.


[![New MOVEit SQLi zero-day tweet](https://www.bleepstatic.com/images/news/u/1109292/2023/New_MOVEit_SQLi_zero-day_tweet.png)](https://twitter.com/MCKSysAr/status/1669344764553236490)


Today's warning follows another advisory published on Friday that disclosed [critical SQL injection vulnerabilities](https://www.bleepingcomputer.com/news/security/new-moveit-transfer-critical-flaws-found-after-security-audit-patch-now/) collectively tracked as [CVE-2023-35036](https://nvd.nist.gov/vuln/detail/CVE-2023-35036) and discovered following a security audit initiated on May 31, when Progress issued [patches for a flaw](https://www.bleepingcomputer.com/news/security/new-moveit-transfer-zero-day-mass-exploited-in-data-theft-attacks/) (CVE-2023-34362) exploited as a zero-day by the Clop ransomware gang in [data theft attacks](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-responsibility-for-moveit-extortion-attacks/).


CVE-2023-35036 impact all MOVEit Transfer versions and let unauthenticated attackers compromise unpatched and Internet-exposed servers to steal customer information.


The Clop ransomware gang claimed [responsibility for the CVE-2023-34362 attacks](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-responsibility-for-moveit-extortion-attacks/) and told BleepingComputer that they allegedly breached the MOVEit servers of "hundreds of companies."


Kroll also [found evidence](https://www.bleepingcomputer.com/news/security/clop-ransomware-likely-testing-moveit-zero-day-since-2021/) that Clop has been testing exploits for the now-patched MOVEit zero-day since 2021 and ways to exfiltrate data stolen from compromised MOVEit servers since at least April 2022.


Clop has been linked to other wide-impact campaigns targeting managed file transfer platforms, including the breach of [Accellion FTA](https://www.bleepingcomputer.com/tag/accellion/) servers in December 2020, [SolarWinds Serv-U](https://www.bleepingcomputer.com/news/security/clop-gang-exploiting-solarwinds-serv-u-flaw-in-ransomware-attacks/) Managed File Transfer attacks in 2021, and widespread exploitation of [GoAnywhere MFT](https://www.bleepingcomputer.com/news/security/fortra-shares-findings-on-goanywhere-mft-zero-day-attacks/) servers in January 2023.


## Affected orgs already being extorted


On Wednesday, the Clop gang [started extorting](https://www.bleepingcomputer.com/news/security/clop-ransomware-gang-starts-extorting-moveit-data-theft-victims/) organizations impacted by the MOVEit data theft attacks by listing their names on its dark web data leak site.


Five of the listed companies—British multinational oil and gas company Shell, the University of Georgia (UGA) and University System of Georgia (USG), UnitedHealthcare Student Resources (UHSR), Heidelberger Druck, and Landal Greenparks—have since confirmed to BleepingComputer that they were impacted in the attacks.


Other organizations that have already disclosed MOVEit Transfer breaches include [Zellis](https://www.zellis.com/resources/press-and-media/statement-on-moveit-transfer-data-breach/) (and its customers BBC, Boots, Aer Lingus, and [Ireland's HSE](https://www.hse.ie/eng/services/news/media/pressrel/hse-statement1.html)), [Ofcam](https://www.ofcom.org.uk/news-centre/2023/ofcom-statement-on-moveit-cyber-attack), the [government of Nova Scotia](https://novascotia.ca/news/release/?id=20230606004), the [US state of Missouri](https://oa.mo.gov/commissioners-office/news/state-missouri-issues-statement-recent-global-cyberattack), the [US state of Illinois](https://ltgov.illinois.gov/news/press-release.26572.html), the University of Rochester, the [American Board of Internal Medicine](https://blog.abim.org/moveit-transfer-vulnerability-affects-abim/), [BORN Ontario](https://www.bornontario.ca/en/news/cybersecurity-incident-moveit.aspx), and [Extreme Networks](https://community.extremenetworks.com/t5/general-announcements/general-announcement-regarding-moveit-security-breach/ba-p/96050).


Today, the U.S. Cybersecurity and Infrastructure Security Agency (CISA) also revealed that several U.S. federal agencies had been breached, per a [CNN report](https://edition.cnn.com/2023/06/15/politics/us-government-hit-cybeattack/index.html). Two U.S. Department of Energy (DOE) entities were also compromised, according to [Federal News Network](http://Federal%20News%20Network).





## Tags:
***CVE's***: CVE-2023-35036 CVE-2023-34362
***urls***: https://localhost/

### Autogenerated tags:
[[moveit]] [[bleepingcomputer]] [[http]] [[https]] [[zero-day]] [[u.s]]
