# Major London hospitals disrupted by Synnovis ransomware attack
## A ransomware attack affecting pathology and diagnostic services provider Synnovis has impacted healthcare services at multiple major NHS hospitals in London.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/major-london-hospitals-disrupted-by-synnovis-ransomware-attack/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 04 June 2024, 12:05
+ Date scraped: 04 June 2024, 17:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/02/08/hospital~2.jpg)



A ransomware attack affecting pathology and diagnostic services provider Synnovis has impacted healthcare services at multiple major NHS hospitals in London.


While Synnovis has yet to issue a public statement regarding the June 3 ransomware attack, memos sent by partner hospitals affected by the attack revealed that this "ongoing critical incident" has had a "major impact" on healthcare services across southeast London.


"Our pathology partner Synnovis experienced a major IT incident earlier today, which is ongoing and means that we are not currently connected to the Synnovis IT servers," [said](https://x.com/ShaunLintern/status/1797948533770965313/photo/1) Professor Ian Abbs, CEO of Guy's and St Thomas' NHS Foundation Trust.


"This is having a major impact on the delivery of our services, with blood transfusions being particularly affected. Some activity has already been cancelled or redirected to other providers at short notice as we prioritise the clinical work that we are able to safely carry out."


The list of impacted hospitals includes King's College Hospital, Guy's Hospital, St Thomas' Hospital, Royal Brompton Hospital, and Evelina London Children's Hospital.


"Emergency care continues to be available, so patients should access services in the normal way by dialling 999 in an emergency and otherwise using 111, and patients should continue to attend appointments unless they are told otherwise," an NHS UK spokesperson [said](https://www.england.nhs.uk/london/2024/06/04/nhs-london-statement-on-synnovis-ransomware-cyber-attack/) earlier today.


"We are working urgently to fully understand the impact of the incident with the support of the government’s National Cyber Security Centre and our Cyber Operations team."


Impacted hospitals have also canceled some healthcare procedures (including surgeries) or redirected them to other providers because they couldn't perform them "safely."


​Urgent and emergency care at the impacted hospitals will also likely be affected by this ransomware attack since quick-turnaround blood test results are no longer available.


An alert on Synnovis' customer service portal warns of issues at its data center and that all systems are currently inaccessible.



![Synnovis customer alert](https://www.bleepstatic.com/images/news/u/1109292/2024/Synnovis_alert.png)

*Synnovis customer alert (BleepingComputer)*




Formerly known as Viapath, Synnovis was established as GSTS Pathology [in 2009](http://www.serco.com/media/pressreleases/2009/gst.asp) and switched to the Synnovis brand [in October 2022](https://www.pathologyinpractice.com/story/39730/launch-of-synnovis-brand-is-a-key-development-for-pathology-partnership-in-londo).


Synnovis is a partnership between SYNLAB UK & Ireland, Guy's and St Thomas' NHS Foundation Trust, and the King's College Hospital NHS Foundation Trust.


Synlab Italia, part of the SYNLAB group and operating 380 labs and medical centers across Italy, [suspended all medical diagnostic and testing services in late April](https://www.bleepingcomputer.com/news/security/synlab-italia-suspends-operations-following-ransomware-attack/) after it was forced to shut down its IT systems to contain a ransomware attack.


In March, the Dumfries & Galloway NHS health board, which manages almost a dozen hospitals in Scotland, was also [hit by a ransomware attack](https://www.nhsdg.co.uk/cyberattack/).


The INC Ransom extortion gang behind the breach didn't encrypt any systems but leaked roughly 3TB of stolen patient and staff personal information on their dark web leak site on May 6 after the NHS board refused to interact with the threat actors and ignored their ransom demands.


However, they failed to steal patients' health information stored on a separate system that wasn't compromised during the attack.


NHS Dumfries & Galloway [said](https://www.nhsdg.co.uk/cyberattack/) on May 21 that "services have continued to run as normal. No patient appointments or operations have had to be cancelled or rescheduled."





## Tags:


### Autogenerated tags:
[[synnovis]] [[nhs]] [[ransomware]] [[synlab]]
