# Malware dev lures child exploiters into honeytrap to extort them
## You rarely root for a cybercriminal, but a new malware campaign targeting child exploiters doesn't make you feel bad for the victims.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/malware-dev-lures-child-exploiters-into-honeytrap-to-extort-them/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 21 April 2024, 14:49
+ Date scraped: 21 April 2024, 19:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/04/hacker-arms-raised-brighter.jpg)



You rarely root for a cybercriminal, but a new malware campaign targeting child exploiters doesn't make you feel bad for the victims.


Since 2012, threat actors have been creating a variety of malware and ransomware that pretend to be government agencies warning infected Windows users that they were viewing CSAM. The malware tells victims they must pay a "penalty" to prevent their information from being sent to law enforcement.


One of the first "modern" ransomware operations, called [Anti-Child Porn Spam Protection](https://www.bleepingcomputer.com/virus-removal/remove-decrypt-accdfisa-protection-program) or ACCDFISA, used this extortion tactic combined with initially locking Windows desktops and [encrypting files in later versions](https://www.bleepingcomputer.com/forums/t/449398/new-ransomware-called-anti-child-porn-spam-protection-or-accdfisa/).



![Anti-Child Porn Spam Protection/ACCDFISA extortion malware](https://www.bleepstatic.com/swr-guides/a/accdfisa-decrypt/accdfisa-protection-program.jpg)**Anti-Child Porn Spam Protection/ACCDFISA extortion malware**  
*Source: BleepingComputer*


Soon followed other malware families that pretended to be law enforcement issuing fines for watching CSAM, such as [Harasom](https://www.bleepingcomputer.com/virus-removal/family/trojan-win32-harasom-a-ransomware/), [Urausy](https://www.bleepingcomputer.com/virus-removal/family/troj-urausy-ransomware/), and the [Reveton](https://www.bleepingcomputer.com/virus-removal/family/troj-reveton-ransomware/) trojans.


An unlikely hero
----------------


Last week, cybersecurity researcher [MalwareHunterTeam](https://twitter.com/malwrhunterteam) shared a sample of a malware executable with BleepingComputer called 'CryptVPN' [[VirusTotal](https://www.virustotal.com/gui/file/690b8e5a1affbbd4f23b0a8c0d91e7c9240b227d92a793942b9ecdaad6eefc56)] using similar extortion tactics.


However, this time, rather than targeting innocent people, the malware developer is targeting those who actively seek out child pornography.


After researching the malware, BleepingComputer found that threat actors created a website to impersonate UsenetClub, a subscription service for "uncensored" access to images and videos downloaded from Usenet.


Usenet is an online discussion platform allowing people to discuss various topics in "newsgroups" to which they subscribe. While Usenet is used for valid discussion on a wide range of issues, it is also a known [source of child pornography](https://www.ojp.gov/ncjrs/virtual-library/abstracts/child-pornography-internet-and-offending).


A fake site created by the threat actors pretends to be UsenetClub, offering three subscription tiers to the site's content. The first two are paid-for subscriptions ranging from $69.99 per month to $279.99 per year.


However, a third option claims to provide free access after you install a free "CryptVPN" software and use it to access the site.



![Fake UsenetClub site](https://www.bleepstatic.com/images/news/malware/p/PedoRansom/paysafe.jpg)**Fake UsenetClub site**  
*Source: BleepingComputer*


Clicking on the "Download & Install" button will download a CryptVPN.zip file from the site that, when extracted, contains a Windows shortcut called "CLICK-HERE-TO-INSTALL".



![PowerShell shortcut in CryptVPN download](https://www.bleepstatic.com/images/news/malware/p/PedoRansom/cryptvpn-zip.jpg)**PowerShell shortcut in CryptVPN download**  
*Source: BleepingComputer*


This file is a shortcut to the PowerShell.exe executable with arguments to download the CryptVPN.exe executable, save it to C:\Windows\Tasks.exe, and execute it.



![PowerShell command in Windows shortcut](https://www.bleepstatic.com/images/news/malware/p/PedoRansom/shortcut-to-powershell.jpg)**PowerShell command in Windows shortcut**  
*Source: BleepingComputer*


The malware executable is packed with UPX, but when unpacked, it contains a PDB string that indicates that the author called the malware "PedoRansom".



```
C:\Users\user\source\repos\PedoRansom\x64\Release\PedoRansom.pdb
```

There is nothing special about the malware as all it does is change the target's wallpaper to an extortion demand and drops a ransom note named README.TXT on the desktop, containing similar extortion threats.



![Windows wallpaper changed to an extortion demand](https://www.bleepstatic.com/images/news/malware/p/PedoRansom/wallpaper.jpg)**Windows wallpaper changed to an extortion demand**  
*Source: BleepingComputer*


"You were searching for child exploitation and/or child sexual abuse material. You were stupid enough to get hacked," reads the extortion demand.


"We have collected all your information, now you must pay us a ransom or your life is over."


The extortion goes on to state that the person must pay $500 to the [bc1q4zfspf0s2gfmuu8h5k0679sxgxjkd7aj5e6qyl](https://www.blockchain.com/explorer/addresses/btc/bc1q4zfspf0s2gfmuu8h5k0679sxgxjkd7aj5e6qyl) Bitcoin address within ten days or their information will be leaked.


This bitcoin address has only received approximately $86 in payments at this time.


Threat actors have been using "sextortion" tactics for a long time, commonly sending mass emails to large numbers of people to try and scare them into paying an extortion demand.


These tactics performed very well initially, with spammers [extorting over $50,000 weekly](https://www.bleepingcomputer.com/news/security/adult-site-blackmail-spammers-made-over-50k-in-one-week/) in the early campaigns.


However, as time has gone by and recipients of these scams have grown wiser, sextortion campaigns do not generate the same revenue as they once did.


While this particular campaign is a bit more inventive and will scare many seeking this type of content, we will likely not see many people paying this extortion demand.





## Tags:


### Autogenerated tags:
[[malware]] [[bleepingcomputer]] [[windows]] [[usenetclub]]
