# Malware devs already bypassed Android 13's new security feature
## Android malware developers are already adjusting their tactics to bypass a new 'Restricted settings' security feature introduced by Google in the newly released Android 13.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/malware-devs-already-bypassed-android-13s-new-security-feature/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 17 August 2022, 14:00
+ Date scraped: 17 August 2022, 15:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/29/Android.jpg)



Android malware developers are already adjusting their tactics to bypass a new 'Restricted setting' security feature introduced by Google in the newly released Android 13.


Android 13 was released this week, with the new operating system being rolled out to Google Pixel devices and the source code [published on AOSP](http://android-developers.googleblog.com/2022/08/android-13-is-in-aosp.html).


As part of this release, Google attempted to cripple mobile malware that attempted to enable powerful Android permissions, such as AccessibilityService, to perform malicious, stealthy behavior in the background.


However, analysts at Threat Fabric today say malware authors are already developing Android malware droppers that can bypass these restrictions and deliver payloads that enjoy high privileges on a user's device.


## Android 13 security


In previous Android versions, most mobile malware found its way inside millions of devices via dropper apps available on the Play Store, which masquerade as legitimate apps.


During installation, the malware apps prompt users to grant access to risky permissions and then sideload (or drop) malicious payloads by abusing Accessibility Service privileges.


Accessibility Services is a massively abused disability assistance system on Android that enables apps to perform swipes and taps, go back or return to the home screen. All of this is done without the knowledge or permission of the user.


Typically, the malware uses the service to grant itself additional permissions and stop the victim from manually deleting the malicious app.


In Android 13, Google's security engineers introduced a 'Restricted setting' feature, which blocks sideloaded applications from requesting Accessibility Service privileges, limiting the function to Google Play-sourced APKs.


However, researchers at ThreatFabric were able to [create a proof-of-concept dropper](https://www.threatfabric.com/blogs/h1-2022-mobile-threat-landscape.html#:~:text=Android%2013%20Restrictions) that easily bypassed this new security feature to gain access to Accessibility Services.



![Bypassing Android 13's restricted setting feature](https://www.bleepstatic.com/images/news/security/threatfabric-restricted-settings.jpg)**Bypassing Android 13's restricted setting feature**  
*Source: ThreatFabric*


## Bypassing Android's Restricted settings


In a new report released today, Threat Fabric has discovered a new Android malware dropper that is already adding new features to bypass the new Restricted setting security feature.


While following the [Xenomorph Android malware campaigns](https://www.bleepingcomputer.com/news/security/new-xenomorph-android-malware-targets-customers-of-56-banks/), Threat Fabric discovered a new dropper still under development. This dropper was named "BugDrop" after the many flaws that plague its operation at this early phase.


This novel dropper features code similar to Brox, a freely distributed malware development tutorial project circulating on hacker forums, but with a modification in one string of the installer function.


"What drew our attention is the presence in the Smali code of the string "com.example.android.apis.content.SESSION\_API\_PACKAGE\_INSTALLED," [explains Threat Fabric in the report](https://www.threatfabric.com/blogs/bugdrop-new-dropper-bypassing-google-security-measures.html).


"This string, which is not present in the original Brox code, corresponds to the action required by intents to create an installation process by session."



![String that invokes session-based installation](https://www.bleepstatic.com/images/news/u/1220909/Code%20and%20Details/string.png)**String that invokes session-based installation** *(Threat Fabric)*


Session-based installation is used to perform a [multi-staged installation](https://developer.android.com/reference/android/content/pm/PackageInstaller.Session) of malware onto an Android device by splitting the packages (APKs) into smaller pieces and giving them identical names, version codes, and signing certificates.


This way, Android won't see the payload installation as sideloading the APK, and thus Android 13's Accessibility Service restrictions won't apply.


"When fully implemented, this slight modification would circumvent Google's new security measures fully, even before they are effectively in place," comments Threat Fabric.


BleepingComputer has reached out to Google with further questions about this bypass and will update the story with any response.


## Hadoken group


BugDrop is still a work in progress by a group of malware authors and operators named 'Hakoden,' who are also responsible for creating the Gymdrop dropper and the Xenomorph Android banking trojan.


When BugDrop is ready for mass deployment, it is expected to be used in Xenomorph campaigns, enabling on-device credential theft and fraud behavior on the most recent Android devices.


Additionally, the latest Xenomorph samples analyzed by Threat Fabric have added remote access trojan (RAT) modules, making the malware an even more potent threat.





## Tags:


### Autogenerated tags:
[[android]] [[malware]] [[google]] [[apps]] [[xenomorph]] [[bugdrop]]
