# Malwarebytes issues fix for Chrome broken by Windows 11 KB5027231
## Malwarebytes released a fix for a known issue breaking Google Chrome on its customers' systems after installing the Windows 11 22H2 KB5027231 cumulative update released last week.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/malwarebytes-issues-fix-for-chrome-broken-by-windows-11-kb5027231/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 19 June 2023, 14:33
+ Date scraped: 19 June 2023, 19:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/26/Google__Chrome.jpg)



Malwarebytes released a fix for a known issue breaking Google Chrome on its customers' systems after installing the Windows 11 22H2 KB5027231 cumulative update released last week.


On Wednesday, the company confirmed user reports that the Google Chrome user interface [would no longer show up](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5027231-update-breaks-google-chrome-for-malwarebytes-users/) after deploying this month's Patch Tuesday cumulative updates.


The conflict with Google Chrome is [caused](http://forums.malwarebytes.com/topic/299100-june-2023-update-kb5027231-prevents-google-chrome-from-displaying/) [by](http://www.reddit.com/r/sysadmin/comments/148geic/patch_tuesday_megathread_20230613/jo3vcz1/) Malwarebytes' anti-exploit module blocking the web browser from loading or crashing after installing the KB5027231 update.


Customers affected by this known issue were advised to toggle off Chrome's entry from the list of protected applications in their Malwarebytes product as a temporary workaround.


Malwarebytes has now fixed the conflict with the Chrome web browser on up-to-date Windows 11 systems.


"This fix enables Chrome as a protected application for all Windows 11 devices but does not apply our Anti-exploit code to all Chrome processes," the company says.


"Update to Component version: 1.0.2047 and Malwarebytes version: 4.5.31.270 to receive this fix. This update is automatic over time. To manually update, open Malwarebytes, click Settings > About > Check for updates."


Malwarebytes says the update will be automatically applied to new installations and advises customers who used the workaround to re-enable the anti-exploit protection for Chrome after the fix is installed.



![Enabling Chrome as a protected app](https://www.bleepstatic.com/images/news/u/1109292/2023/Disabling_app_protection_for_Chrome.png)*Enabling Chrome as a protected app (Malwarebytes)*


To re-enable Chrome as a protected application in your Malwarebytes product, you have to :


1. Open Malwarebytes.
2. On the top right, click the **Settings** wheel.
3. Click the **Security** tab.
4. Under **Exploit Protection**, click **Manage protected applications**.
5. Toggle on **Google Chrome (and plug-ins)**.
6. Click **Done**.

​As BleepingComputer further reported last week, the same Windows 11 update [would also break Google Chrome](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5027231-also-breaks-chrome-for-cisco-watchguard-edr-users/) on systems protected by Cisco and WatchGuard EDR and antivirus solutions.


Based on [user](https://community.cisco.com/t5/endpoint-security/secure-endpoint-breaking-chrome-after-june-windows-cumulative/m-p/4854762/highlight/true#M7607) [reports](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5027231-update-breaks-google-chrome-for-malwarebytes-users/#cid27576) and as WatchGuard staff [confirmed](https://techsearch.watchguard.com/KB?type=Known%20Issues&SFDCID=kA16S000000gDGsSAM&lang=en_US), the web browser wouldn't open if the Cisco Secure Endpoint and the WatchGuard exploit prevention engines were enabled after installing KB5027231.


"We deploy Secure Endpoint 8.1.7 to our few thousand devices, and we started getting a mountain of reports this morning that Google Chrome would not appear on the screen after attempting to open it," one Windows admin [said](https://community.cisco.com/t5/endpoint-security/secure-endpoint-breaking-chrome-after-june-windows-cumulative/m-p/4854641/highlight/true#M7605).


"With a little trial & error, I found that killing the Secure Endpoint service or uninstalling Secure Endpoint will allow Chrome to open again."


While a fix is yet to be released by Cisco and WatchGuard, affected customers are advised to toggle off anti-exploit protection or set Chrome as the default web browser from Settings > Select Default Browser to revive the web browser on impacted Windows 11 systems.


Microsoft and Cisco spokespersons are yet to reply to requests for more details regarding this issue.





## Tags:


### Autogenerated tags:
[[malwarebytes]] [[google]] [[windows]] [[anti-exploit]] [[watchguard]] [[kb5027231]]
