# McDonald's discloses data breach after theft of customer, employee info
## McDonald's, the largest fast-food chain globally, has disclosed a data breach after hackers breached its systems and stole information belonging to customers and employees from the US, South Korea, and Taiwan.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/mcdonalds-discloses-data-breach-after-theft-of-customer-employee-info/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 11 June 2021, 12:45
+ Date scraped: 12 December 2023, 11:48

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/06/11/McDonald's.jpg)



*Image: [Alex Motoc](https://unsplash.com/@alexmotoc)*


McDonald's, the largest fast-food chain globally, has disclosed a data breach after hackers breached its systems and stole information belonging to customers and employees from the US, South Korea, and Taiwan.


As the world's global foodservice retailer, McDonald's serves almost hundreds of millions of customers every day in more than 39,000 locations in over 100 countries, including roughly 14,000 restaurants in the US alone.


No customer payment information exposed
---------------------------------------


Today, the company said that threat actors breached its systems in multiple markets worldwide, as discovered following an investigation conducted by external security consultants.


McDonald's also told US employees that the attackers could only steal business contact info belonging to US employees and franchises that wasn't personal or sensitive, as first reported by [WSJ](https://www.wsj.com/articles/mcdonalds-hit-by-data-breach-in-south-korea-taiwan-11623412800).


The threat actors also stole personal information (including names, emails, phone numbers, and addresses) from customers in South Korea and Taiwan,


However, the number of customer documents exposed in the incident was small, and the breach did not impact customers' payment info in any way.


"While we were able to close off access quickly after identification, our investigation has determined that a small number of files were accessed, some of which contained personal data," McDonald's said in a statement to BleepingComputer.


"Based on our investigation, only Korea and Taiwan had customer personal data accessed, and they will be taking steps to notify regulators and customers listed in these files.


"No customer payment information was contained in these files. In the coming days, a few additional markets will take steps to address files that contained employee personal data. "


The fast-food chain is currently notifying affected customers and relevant authorities in all impacted markets.



> 
> McDonald’s understands the importance of effective security measures to protect information, which is why we’ve made substantial investments to implement multiple security tools as part of our in-depth cybersecurity defense. These tools allowed us to quickly identify and contain recent unauthorized activity on our network. A thorough investigation was conducted, and we worked with experienced third parties to support this investigation. — McDonald's
> 
> 
> 


Not the first rodeo
-------------------


This is not the first time McDonald's had to deal with a security incident in recent years.


In 2017, the company was forced to fix a cross-site scripting (XSS) vulnerability affecting its official website and [exposing customers' plain text passwords](https://www.bleepingcomputer.com/news/security/mcdonalds-official-website-exposes-passwords-in-cleartext/).


As revealed by security researcher Tijme Gommers who discovered the bug, attackers could've exploited the security flaw by crafting a malicious link.


When clicked by a target, it would extract and decrypt password data from a local cookie and send it to the attacker in cleartext.


Extracting any user's passwords was possible because McDonald's stored password information in a cookie file protected using the same key and initialization vector for all users.


In related news, gaming giant Electronic Arts (EA) also confirmed on Thursday that threat actors [hacked its network](https://www.bleepingcomputer.com/news/security/hackers-breach-gaming-giant-electronic-arts-steal-game-source-code/) and stole "a limited amount of code and related tools."


*Update: Added McDonald's statement.*





## Tags:


### Autogenerated tags:

