# Microsoft: BlackCat's Sphynx ransomware embeds Impacket, RemCom
## Microsoft has discovered a new version of the BlackCat ransomware that embeds the Impacket networking framework and the Remcom hacking tool, both enabling spreading laterally across a breached network.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-blackcats-sphynx-ransomware-embeds-impacket-remcom/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 17 August 2023, 18:05
+ Date scraped: 17 August 2023, 23:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/09/blackcat-alphv.jpg)



Microsoft has discovered a new version of the BlackCat ransomware that embeds the Impacket networking framework and the Remcom hacking tool, both enabling spreading laterally across a breached network.


In April, cybersecurity researcher [VX-Underground tweeted](https://twitter.com/vxunderground/status/1649094229413761030) about a new BlackCat/ALPHV encryptor version called Sphynx.


"We are pleased to inform you that testing of basic features ALPHV/BlackCat 2.0: Sphynx is completed," said the BlackCat operators in a message to their affiliates.


"The code, including encryption, has been completely rewritten from scratch. By default all files are frozen. The main priority of this update was to optimize detection by AV/EDR," further explained the ransomware operations.


Soon after, [IBM Security X-Force](https://securityintelligence.com/posts/blackcat-ransomware-levels-up-stealth-speed-exfiltration/) performed a deep dive into the new BlackCat encryptor, warning that the encryptor evolved into a toolkit.


This was based on strings in the executable that indicated it contained impacket, used for post-exploitation functions such as remote execution and dumping secrets from processes.



![Impacket strings found by IBM X-Force](https://www.bleepstatic.com/images/news/ransomware/b/blackcat-alphv/sphynx/impacket-strings.jpg)**Impacket strings found by IBM X-Force**  
*Source: IBM*


## The BlackCat Sphynx encryptor


In a series of posts today, the Microsoft's Threat Intelligence team says they have also analyzed the new Sphynx version and found that it used the [Impacket framework](http://github.com/fortra/impacket) to spread laterally on compromised networks.


"Microsoft has observed a new version of the BlackCat ransomware being used in recent campaigns," [posted Microsoft](https://twitter.com/MsftSecIntel/status/1692212191536066800).


"This version includes the open-source communication framework tool Impacket, which threat actors use to facilitate lateral movement in target environments."


Impacket is described as an open-source collection of Python classes for working with network protocols.


However, it is more commonly used as a post-exploitation toolkit by penetration testers, red teamers, and threat actors to spread laterally on a network, dump credentials from processes, perform NTLM relay attacks, and much more.


Impacket has become very popular among threat actors who breach a device on a network and then use the framework to obtain elevated credentials and gain access to other devices.


According to Microsoft, the BlackCat operation is using the Impacket framework for credential duping and remote service execution to deploy the encryptor across an entire network.


In addition to Impacket, Microsoft says that the encryptor embeds the [Remcom hacking tool](https://support.alertlogic.com/hc/en-us/articles/360034494351-Windows-Server-RemCom-Tool-Remote-ShellC%20and%20stream%20it%20back), which is a small remote shell that allows the encryptor to remotely execute commands on other devices on a network.


In a private Microsoft 365 Defender Threat Analytics advisory seen by BleepingComputer, Microsoft says they saw this new encrypted used by BlackCat affiliate 'Storm-0875' since July 2023.


Microsoft is identifying this new version as BlackCat 3.0, even though, as we previously said, the ransomware operation calls it 'Sphynx' or 'BlackCat/ALPHV 2.0' in communications with affiliates.



![Sample of a BlackCat ransom note](https://www.bleepstatic.com/images/news/ransomware/b/blackcat-alphv/sphynx/blackcat-ransom-note.jpg)**Sample of a BlackCat ransom note**


## An ever-evolving ransomware gang


BlackCat, aka ALPHV, launched its operation in November 2021 and is believed to be a [rebrand of the DarkSide/BlackMatter](https://www.bleepingcomputer.com/news/security/blackcat-alphv-ransomware-linked-to-blackmatter-darkside-gangs/) gang, which was responsible for the [attack on Colonial Pipeline](https://www.bleepingcomputer.com/news/security/us-recovers-most-of-colonial-pipelines-44m-ransomware-payment/).


The ransomware gang has always been considered one of the most advanced and top-tier ransomware operations, constantly evolving its operation with new tactics.


For example, as a new extortion tactic last summer, the ransomware gang [created a clearweb website dedicated to leaking data](https://www.bleepingcomputer.com/news/security/ransomware-gang-creates-site-for-employees-to-search-for-their-stolen-data/) for a particular victim, so customers and employees could check if their data was exposed.


More recently, the threat actors [created a data leak API](https://www.bleepingcomputer.com/news/security/alphv-ransomware-adds-data-leak-api-in-new-extortion-strategy/), allowing for easier dissemination of stolen data.


With the BlackCat encryptor evolving from a decryptor to a full-fledged post-exploitation toolkit, it allows the ransomware affiliates to more quickly deploy file encryption across the network


As it is vital to detect ransomware attacks as soon as they occur, adding these tools only makes it harder for defenders.





## Tags:


### Autogenerated tags:
[[blackcat]] [[ransomware]] [[microsoft]] [[impacket]] [[encryptor]] [[sphynx]] [[post-exploitation]]
