# Microsoft: Cuba ransomware hacking Exchange servers via OWASSRF flaw
## Microsoft says Cuba ransomware threat actors are hacking their way into victims' networks via Microsoft Exchange servers unpatched against a critical server-side request forgery (SSRF) vulnerability also exploited in Play ransomware attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-cuba-ransomware-hacking-exchange-servers-via-owassrf-flaw/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 12 January 2023, 19:53
+ Date scraped: 12 January 2023, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/28/Microsoft-Exchange.jpg)



Microsoft says Cuba ransomware threat actors are hacking Microsoft Exchange servers unpatched against a critical server-side request forgery (SSRF) vulnerability also exploited in Play ransomware attacks.


Cloud computing provider Rackspace recently [confirmed](https://www.bleepingcomputer.com/news/security/rackspace-confirms-play-ransomware-was-behind-recent-cyberattack/) that Play ransomware used a zero-day exploit dubbed OWASSRF targeting this bug ([CVE-2022-41080](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-41080)) to compromise unpatched Microsoft Exchange servers on its network after bypassing [ProxyNotShell URL rewrite mitigations](https://www.bleepingcomputer.com/news/security/microsoft-updates-mitigation-for-proxynotshell-exchange-zero-days/).


According to Microsoft, the Play ransomware gang has abused this security flaw since late November 2022. The company advises customers to prioritize CVE-2022-41080 patching to block potential attacks.


Redmond says that this SSRF vulnerability has also been exploited since at least November 17th by another threat group it tracks as DEV-0671 to hack Exchange servers and deploy Cuba ransomware payloads.


Microsoft shared this info in a January update to a private threat analytics report seen by BleepingComputer and available to customers with Microsoft 365 Defender, Microsoft Defender for Endpoint Plan 2, or Microsoft Defender for Business subscriptions.


While Microsoft released security updates to address this SSRF Exchange vulnerability on November 8th and has provided some of its customers with info that ransomware gangs are using the flaw, [the advisory](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-41080) is yet to be updated to warn that it's being exploited in the wild.


## Patch your Exchange servers against OWASSRF attacks


The OWASSRF exploit spotted by CrowdStrike security researchers on Rackspaces's network was also [shared online](https://twitter.com/Purp1eW0lf/status/1602989967776808961?s=20) together with some of Play ransomware's other malicious tools.


This will make it easier for other cybercriminals to adapt Play ransomware's tooling for their own purposes or create their own custom CVE-2022-41080 exploits, adding to the urgency of patching the vulnerability as soon as possible.


On Tuesday, Cybersecurity and Infrastructure Security Agency (CISA) also ordered Federal Civilian Executive Branch Agencies (FCEB) agencies to patch their systems against this bug by January 31st and [strongly urged](https://www.cisa.gov/uscert/ncas/current-activity/2023/01/10/cisa-adds-two-known-exploited-vulnerabilities-catalog) all organizations to secure their Exchange servers to thwart exploitation attempts.


Organizations with on-premises Microsoft Exchange servers on their networks should deploy the latest Exchange security updates immediately (with November 2022 as the minimum patch level) or disable Outlook Web Access (OWA) until they can apply CVE-2022-41080 patches.


## Cuba ransomware behind more than 100 attacks worldwide


The FBI and CISA [revealed](https://www.bleepingcomputer.com/news/security/fbi-cuba-ransomware-raked-in-60-million-from-over-100-victims/) in a joint security advisory issued last month that the Cuba ransomware gang has raked in more than $60 million in ransoms as of August 2022 after breaching over 100 victims worldwide.


Although this paints a bleak picture, samples submitted by victims to the ID-Ransomware platform analysis show that the gang is not very active, proving that even a somewhat inactive ransomware operation can have a huge impact.



![Cuba ransomware ID-Ransomware sample submissions](https://www.bleepstatic.com/images/news/u/1109292/2023/Cuba%20ransomware%20ID-Ransomware%20sample%20submissions.png)*Cuba ransomware sample submissions (ID-Ransomware)*


Another FBI advisory from December 2021 warned that the ransomware group had [compromised at least 49 organizations](https://www.bleepingcomputer.com/news/security/fbi-cuba-ransomware-breached-49-us-critical-infrastructure-orgs/) from U.S. critical infrastructure sectors.


In both advisories, the FBI strongly urged reporting Cuba ransomware attacks to local FBI field offices and asked victims to share related information with their local FBI Cyber Squad to help identify the ransomware gang's members and the cybercriminals they're working with.


While not as prolific as Cuba ransomware and although first spotted a lot more recently, in June 2022, Play ransomware has been quite active and has already hit dozens of victims worldwide, including [Rackspace](https://www.bleepingcomputer.com/news/security/rackspace-confirms-outage-was-caused-by-ransomware-attack/), the [German H-Hotels hotel chain](https://www.bleepingcomputer.com/news/security/play-ransomware-claims-attack-on-german-hotel-chain-h-hotels/), the [Belgium city of Antwerp](https://www.bleepingcomputer.com/news/security/play-ransomware-claims-attack-on-belgium-city-of-antwerp/), and [Argentina's Judiciary of Córdoba](https://www.bleepingcomputer.com/news/security/argentinas-judiciary-of-c-rdoba-hit-by-play-ransomware-attack/).





## Tags:
***CVE's***: CVE-2022-41080

### Autogenerated tags:
[[ransomware]] [[microsoft]] [[cve-2022-41080]] [[ssrf]] [[owassrf]]
