# Microsoft Defender weakness lets hackers bypass malware detection
## Threat actors can take advantage of a weakness that affects Microsoft Defender antivirus on Windows to learn locations excluded from scanning and plant malware there.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-defender-weakness-lets-hackers-bypass-malware-detection/
+ Source: Bleeping Computer
+ Author: Ionut Ilascu
+ Date published: 13 January 2022, 18:08
+ Date scraped: 13 January 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/12/Microsoft-Defender.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/09/12/Microsoft-Defender.jpg)

![Microsoft Defender exclusion list unprotected on Windows 10](https://www.bleepstatic.com/content/hl-images/2021/09/12/Microsoft-Defender.jpg)


Threat actors can take advantage of a weakness that affects Microsoft Defender antivirus on Windows to learn locations excluded from scanning and plant malware there.


The issue has persisted for at least eight years, according to some users, and affects Windows 10 21H1 and Windows 10 21H2.


### Lax permissions


Like any antivirus solution, Microsoft Defender lets users add locations (local or on the network) on their systems that should be excluded from malware scans.


People commonly make exclusions to prevent antivirus from affecting the functionality of legitimate applications that are erroneously detected as malware.


Since the list of scanning exceptions differs from one user to another, it is useful information for an attacker on the system, since this gives them the locations where they can store malicious files without fear of being detected.


Security researchers discovered that the list of locations excluded from Microsoft Defender scanning is unprotected and any local user can access it.


Regardless of their permissions, local users can query the registry and learn the paths that Microsoft Defender is not allowed to check for malware or dangerous files.


![No special permissions needed to read Microsoft Defender exclusions list](https://www.bleepstatic.com/images/news/u/1100723/2022/WinDefExclPermission.jpg)


Antonio Cocomazzi, a SentinelOne threat researcher who is credited for reporting the [RemotePotato0](https://www.bleepingcomputer.com/news/security/windows-remotepotato0-zero-day-gets-an-unofficial-patch/) vulnerability, [points out](https://twitter.com/splinter_code/status/1481073265380581381) that there is no protection for this information, which should be considered sensitive, and that running the “reg query” command reveals everything that Microsoft Defender is instructed not to scan, be it files, folders, extensions, or processes.


![reg query command to show Microsoft Defender exclusions](https://www.bleepstatic.com/images/news/u/1100723/2022/WinDefenderExclusions.jpg)


Another security expert, [Nathan McNulty](https://twitter.com/NathanMcNulty), confirmed that the issue is present on Windows 10 versions 21H1 and 21H2 but it does not affect Windows 11.


McNulty also confirmed that one can grab the list of exclusions from the registry tree with entries that store Group Policy settings. This information is more sensitive as it provides exclusions for multiple computers.


A security architect versed in protecting the Microsoft stack, [McNulty warns](https://twitter.com/NathanMcNulty/status/1481136160936132609) that Microsoft Defender on a server has “automatic exclusions that get enabled when specific roles or features are installed” and these do not cover custom locations.


Although a threat actor needs local access to get the Microsoft Defender exclusions list, this is far from being a hurdle. Many attackers are already on compromised corporate networks looking for a way to move laterally as stealthily as possible.


By knowing the list of Microsoft Defender exclusions, a threat actor that already compromised a Windows machine can then store and execute malware from the excluded folders without fear of being spotted.


In tests done by BleepingComputer, a malware strain executed from an excluded folder ran unhindered on the Windows system and triggered no alert from Microsoft Defender.


We used a sample of Conti ransomware and when it executed from a normal location Microsoft Defender kicked in and blocked the malware.


After placing Conti malware in an excluded folder and running it from there, Microsoft Defender did not show any warning and did not take any action, allowing the ransomware to encrypt the machine.


This Microsoft Defender weakness is not new and has been highlighted publicly in the past by Paul Bolton:



![Unprotected Microsoft Defender exclusions](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)source: [Paul Bolton](https://twitter.com/overtsecrecy/status/1389985295618215938)
A senior security consultant says that they [noticed the issue about eight years ago](https://twitter.com/SecurityAura/status/1481107646082072577) and recognized the advantage it provided to a malware developer.



"Always told myself that if I was some kind of malware dev I would just lookup the WD exclusions and make sure to drop my payload in an excluded folder and/or name it the same as an excluded filename or extension" - [Aura](https://twitter.com/SecurityAura/status/1481107646082072577)



Given that it's been this long and Microsoft has yet to address the problem, network administrators should consult the documentation for properly configuring Microsoft Defender [exclusions on servers](https://docs.microsoft.com/en-us/microsoft-365/security/defender-endpoint/configure-server-exclusions-microsoft-defender-antivirus?view=o365-worldwide) and [local machines](https://docs.microsoft.com/en-us/microsoft-365/security/defender-endpoint/configure-local-policy-overrides-microsoft-defender-antivirus?view=o365-worldwide#use-group-policy-to-disable-local-list-merging) via group policies.







## Tags:


### Autogenerated tags:
[[microsoft]] [[malware]] [[windows]] [[mcnulty]]
