# Microsoft Exchange servers are getting hacked via ProxyShell exploits
## Threat actors are actively exploiting Microsoft Exchange servers using the ProxyShell vulnerability to install backdoors for later access.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-exchange-servers-are-getting-hacked-via-proxyshell-exploits/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 12 August 2021, 17:24
+ Date scraped: 11 December 2023, 15:58

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/03/10/Exchange4.jpg)



Threat actors are actively exploiting Microsoft Exchange servers using the ProxyShell vulnerability to install backdoors for later access.


ProxyShell is the name of an attack that uses three chained Microsoft Exchange vulnerabilities to perform unauthenticated, remote code execution.


The three vulnerabilities, listed below, were discovered by Devcore Principal Security Researcher [Orange Tsai](https://twitter.com/orange_8361), who chained them together to take over a Microsoft Exchange server in April's [Pwn2Own 2021 hacking contest](https://www.bleepingcomputer.com/news/security/researchers-earn-1-2-million-for-exploits-demoed-at-pwn2own-2021/).


* [CVE-2021-34473](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-34473) - Pre-auth Path Confusion leads to ACL Bypass *(Patched in April by [KB5001779](https://support.microsoft.com/en-us/topic/description-of-the-security-update-for-microsoft-exchange-server-2019-2016-and-2013-april-13-2021-kb5001779-8e08f3b3-fc7b-466c-bbb7-5d5aa16ef064)**)*
* [CVE-2021-34523](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-34523) - Elevation of Privilege on Exchange PowerShell Backend *(Patched in April by [KB5001779](https://support.microsoft.com/en-us/topic/description-of-the-security-update-for-microsoft-exchange-server-2019-2016-and-2013-april-13-2021-kb5001779-8e08f3b3-fc7b-466c-bbb7-5d5aa16ef064))*
* [CVE-2021-31207](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2021-31207) - Post-auth Arbitrary-File-Write leads to RCE *(Patched in May by [KB5003435](https://support.microsoft.com/en-us/topic/description-of-the-security-update-for-microsoft-exchange-server-2019-2016-and-2013-may-11-2021-kb5003435-028bd051-b2f1-4310-8f35-c41c9ce5a2f1)**)*

Last week, Orange Tsai gave a [Black Hat talk](http://www.blackhat.com/us-21/briefings/schedule/index.html#proxylogon-is-just-the-tip-of-the-iceberg-a-new-attack-surface-on-microsoft-exchange-server-23442) about recent Microsoft Exchange vulnerabilities he discovered when targeting the Microsoft Exchange Client Access Service (CAS) attack surface.


Tsai revealed that the ProxyShell exploit uses Microsoft Exchange's AutoDiscover feature to perform an SSRF attack as part of the talk.


After watching the talk, security researchers PeterJson and Nguyen Jang [published](https://peterjson.medium.com/reproducing-the-proxyshell-pwn2own-exploit-49743a4ea9a1) more detailed technical information about successfully reproducing the ProxyShell exploit.


Soon after, security researcher [Kevin Beaumont](https://twitter.com/GossiTheDog) began seeing threat actors [scan for Microsoft Exchange servers vulnerable to ProxyShell](https://www.bleepingcomputer.com/news/microsoft/microsoft-exchange-servers-scanned-for-proxyshell-vulnerability-patch-now/).


ProxyShell actively exploited to drop webshells
-----------------------------------------------


Today, Beaumont and NCC Group's vulnerability researcher [Rich Warren](https://twitter.com/buffaloverflow) disclosed that threat actors have exploited their Microsoft Exchange honeypots using the ProxyShell vulnerability.


[![Tweet from Rich Warren](https://www.bleepstatic.com/images/news/security/microsoft/exchange/proxyshell/active-exploitation/backdoors/rich-tweet.jpg)](https://twitter.com/buffaloverflow/status/1425831100157349890)


[![Tweet from Kevin Beaumont](https://www.bleepstatic.com/images/news/security/microsoft/exchange/proxyshell/active-exploitation/backdoors/kevin-tweet.jpg)](https://twitter.com/GossiTheDog/status/1425844380376735746)


When exploiting Microsoft Exchange, the attackers are using an initial URL like:



```
https://Exchange-server/autodiscover/autodiscover.json?@foo.com/mapi/nspi/?&Email=autodiscover/autodiscover.json%3F@foo.com
```

*Note: The email address listed in the URL does not have to exist and change between attackers.*


The exploit is currently dropping a webshell that is 265KB in size to the 'c:\inetpub\wwwroot\aspnet\_client\' folder.


Last week, Jang explained to BleepingComputer that 265KB is the minimum files size that can be created using the ProxyShell exploit due to its abuse of the [Mailbox Export function of Exchange](https://docs.microsoft.com/en-us/powershell/module/exchange/new-mailboxexportrequest?view=exchange-ps) [Powershell](https://docs.microsoft.com/en-us/powershell/module/exchange/new-mailboxexportrequest?view=exchange-ps) to create PST files.


From a sample shared by Warren with BleepingComputer, the webshells consist of a simple authentication-protected script that the threat actors can use to upload files to the compromised Microsoft Exchange server.


Warren said the threat actors use the first webshell to upload an additional webshell to a remotely accessible folder and two executables to the C:\Windows\System32 folders, listed below:



```
C:\Windows\System32\createhidetask.exe
C:\Windows\System32\ApplicationUpdate.exe
```

If the two executables can't be found, another webshell will be created in the following folder as random-named ASPX files.



```
C:\Program Files\Microsoft\Exchange Server\V15\FrontEnd\HttpProxy\owa\auth\
```

The attackers use the second webshell to launch the 'createhidetask.exe,' which creates a scheduled task named 'PowerManager' that launches the 'ApplicationUpdate.exe' executable at 1 AM every day.


Warren told BleepingComputer that the ApplicationUpdate.exe executable is a custom .NET loader used as a backdoor.


"ApplicationUpdate.exe is the .NET loader which fetches another .NET binary from a remote server (which is currently serving a benign payload)," explained Warren.


While the current payload is benign, it is expected to be swapped out with a malicious payload once enough servers are compromised.


Cybersecurity intelligence firm [Bad Packets](https://badpackets.net/) told BleepingComputer that they currently see threat actors scan for vulnerable ProxyShell devices from IP addresses in the USA, Iran, and the Netherlands.


The known addresses are:


* 3.15.221.32
* 194.147.142.0/24

BadPackets also said that the email domains used in the scans have been from @abc.com and @1337.com, as shown below.



![Bad Packets detecting a ProxyShell scan](https://www.bleepstatic.com/images/news/security/microsoft/exchange/proxyshell/active-exploitation/backdoors/badpackets-scan.jpg)**Bad Packets detecting a ProxyShell scan**


Now that threat actors are actively exploiting vulnerable Microsoft Exchange servers, Beaumont advises admins to perform Azure Sentinel queries to check if their devices have been scanned.



```
W3CIISLog
| where csUriStem == "/autodiscover/autodiscover.json"
| where csUriQuery has "PowerShell" | where csMethod == "POST"
```

For those who have not updated their Microsoft Exchange server recently, it is strongly recommended to do so immediately.


As the previous [ProxyLogon attacks](https://www.bleepingcomputer.com/news/security/microsoft-fixes-actively-exploited-exchange-zero-day-bugs-patch-now/) led to [ransomware](https://www.bleepingcomputer.com/news/security/dearcry-ransomware-attacks-microsoft-exchange-with-proxylogon-exploits/), malware, and data theft on exposed servers, we will likely see similar attacks using ProxyShell.





## Tags:
***CVE's***: CVE-2021-34523 CVE-2021-31207 CVE-2021-34473
***ipv4-adresses***: 194.147.142.0 3.15.221.32
***email-adresses***: beenfrom@abc.com 3f@foo.com and@1337.com
***urls***: https://Exchange-server/autodiscover/autodiscover.json?@foo.com/mapi/nspi/?&Email=autodiscover/autodiscover.json%3F@foo.com

### Autogenerated tags:
[[microsoft]] [[proxyshell]] [[webshell]] [[bleepingcomputer]] [[tsai]] [[powershell]]
