# Microsoft: Lazarus hackers breach CyberLink in supply chain attack
## Microsoft says a North Korean hacking group has breached Taiwanese multimedia software company CyberLink and trojanized one of its installers to push malware in a supply chain attack targeting potential victims worldwide.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-lazarus-hackers-breach-cyberlink-in-supply-chain-attack/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 22 November 2023, 13:06
+ Date scraped: 22 November 2023, 19:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/11/10/North_Korean_hackers_headpic.jpg)



Microsoft says a North Korean hacking group has breached Taiwanese multimedia software company CyberLink and trojanized one of its installers to push malware in a supply chain attack targeting potential victims worldwide.


According to Microsoft Threat Intelligence, activity suspected to be linked with the altered CyberLink installer file surfaced as early as October 20, 2023.


This trojanized installer has been detected on more than 100 devices across various nations worldwide, including Japan, Taiwan, Canada, and the United States.


Microsoft security experts have attributed this supply chain attack with high confidence to a North Korean cyberespionage group tracked by Redmond as Diamond Sleet (aka ZINC, Labyrinth Chollima, and Lazarus).


The second-stage payload observed while investigating this attack interacts with infrastructure that the same group of threat actors previously compromised.


"Diamond Sleet utilized a legitimate code signing certificate issued to CyberLink Corp. to sign the malicious executable," the company [said](https://www.microsoft.com/en-us/security/blog/2023/11/22/diamond-sleet-supply-chain-compromise-distributes-a-modified-cyberlink-installer/).


"This certificate has been added to Microsoft's [disallowed certificate list](https://learn.microsoft.com/en-us/windows-server/identity/ad-cs/certificate-trust) to protect customers from future malicious use of the certificate."



![Trojanized Cyberlink installer signed with legitimate certificate](https://www.bleepstatic.com/images/news/u/1109292/2023/Trojanized%20Cyberlink%20installer%20signed%20with%20legitimate%20certificate.png)*Trojanized Cyberlink installer signed with a legitimate certificate (BleepingComputer)*


Microsoft tracks the trojanized software and related payloads as LambLoad, a malware downloader and loader.


LambLoad targets systems not protected by FireEye, CrowdStrike, or Tanium security software. If these conditions are unmet, the malicious executable continues running without executing the bundled malicious code.


However, if the criteria are met, the malware connects with one of three command-and-control (C2) servers to retrieve a second-stage payload concealed within a file posing as a PNG file using the static User-Agent 'Microsoft Internet Explorer.'


"The PNG file contains an embedded payload inside a fake outer PNG header that is, carved, decrypted, and launched in memory," Microsoft says.


This is a common attack method used by the Lazarus North Korean threat actors, who are known for trojanizing legitimate cryptocurrency software to steal crypto assets.


Even though Microsoft has yet to detect hands-on-keyboard activity following LambLoad malware breaches, the Lazarus hackers are known for:


* Stealing sensitive data from compromised systems
* Infiltrating software build environments
* Progressing downstream to exploit further victims
* Establishing persistent access to victims' environments

After detecting a supply chain attack, Microsoft informed CyberLink and is also notifying Microsoft Defender for Endpoint customers who were affected by the attack.


Microsoft also reported the attack to GitHub, which removed the second-stage payload as per its Acceptable Use Policies.


*A CyberLink spokesperson did not immediately respond to BleepingComputer's request for comment.*


**Who is Lazarus?**
-------------------


The Lazarus Group is a North Korean-sponsored hacking group that has been operating for more than ten years, since at least 2009.


Known for targeting organizations worldwide, their operations have so far included attacks on financial institutions, media outlets, and government agencies.


Lazarus has been linked to a wide range of malicious activities encompassing espionage, data breaches, and financial exploitation. Their campaigns also involved [targeting security researchers](https://www.bleepingcomputer.com/news/security/google-state-hackers-attack-security-researchers-with-new-zero-day/), [embedding malicious code in open-source cryptocurrency platforms](https://www.bleepingcomputer.com/news/security/new-macos-threat-served-from-cryptocurrency-trading-platform/), executing [massive cryptocurrency heists](https://www.bleepingcomputer.com/news/security/fbi-north-korean-hackers-stole-100-million-in-harmony-crypto-hack/), and [using sham job interviews](https://www.bleepingcomputer.com/news/security/lazarus-hackers-now-push-linux-malware-via-fake-job-offers/) to disseminate malware.


The group is thought to be behind many high-profile cyber attacks, including the [2014 Sony Pictures hack](https://operationblockbuster.com/), the [WannaCry ransomware attack](https://www.bleepingcomputer.com/news/security/wannacry-wana-decryptor-wanacrypt0r-info-and-technical-nose-dive/) of 2017, and [the largest crypto hack ever](https://www.bleepingcomputer.com/news/security/fbi-links-largest-crypto-hack-ever-to-north-korean-hackers/) in 2022.





## Tags:


### Autogenerated tags:
[[microsoft]] [[cyberlink]] [[malware]] [[trojanized]] [[second-stage]] [[lambload]] [[png]]
