# Microsoft OneNote to get enhanced security after recent malware abuse
## Microsoft is working on introducing improved protection against phishing attacks pushing malware via malicious Microsoft OneNote files.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-onenote-to-get-enhanced-security-after-recent-malware-abuse/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 March 2023, 21:27
+ Date scraped: 10 March 2023, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/03/10/Microsoft_OneNote.jpg)



Microsoft will introduce improved protection against phishing attacks pushing malware via malicious Microsoft OneNote files.


In a new Microsoft 365 roadmap entry published today titled "Microsoft OneNote : improved protection against known high risk phishing file types," the company revealed that this change would likely reach general availability sometime before the end of April 2023.


"We add enhanced protection when users open or download an embedded file in OneNote," Redmond [explained](https://www.microsoft.com/en-us/microsoft-365/roadmap?filters=OneNote%2CIn%20development&searchterms=122277).


"Users will receive a notification when the files deem dangerous to improve the file protection experience in OneNote on Windows."


This comes after a recent wave of phishing attacks where threat actors used maliciously crafted OneNote documents with '.one' file extensions and embedded files hidden behind overlays asking the targets to click to view the document.


Double-clicking launches the embedded file, which might seem innocuous but can have severe consequences.


Sadly, even when receiving security warnings, users often ignore them and allow the file to run, potentially putting their entire corporate network at risk.



![Hidden OneNote embedded files](https://www.bleepstatic.com/images/news/security/m/microsoft/onenote-attachments/hidden-attachments.gif)*Hidden OneNote embedded files (BleepingComputer)*


​This is a lesson that everyone should've learned by now from previous phishing attacks that took advantage of Microsoft Office macros.


Unfortunately, it only takes one user to accidentally run a malicious file to infect themselves with information-stealing malware or, even worse, trigger a ransomware attack.


To thwart phishing attacks using malicious Microsoft OneNote attachments, you can set up secure mail gateways or mail servers to automatically block OneNote documents with .one extensions.


Windows admins can also use Microsoft Office group policies to prevent embedded OneNote files from launching.


To do that, you must install the [Microsoft 365/Microsoft Office group policy templates](https://www.microsoft.com/en-us/download/details.aspx?id=49030) and enable the 'Disable embedded files' and 'Embedded Files Blocked Extensions' Microsoft OneNote policies.



![Microsoft OneNote group policies](https://www.bleepstatic.com/images/news/security/m/microsoft/onenote-attachments/policy-editor.jpg)*Microsoft OneNote group policies (BleepingComputer)*


Threat actors have been using OneNote documents in spear phishing campaigns since [mid-December 2022](https://www.bleepingcomputer.com/news/security/hackers-now-use-microsoft-onenote-attachments-to-spread-malware/), as Trustwace also [reported](http://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/onenote-spear-phishing-campaign/) earlier this week.


Attackers have been spotted abusing OneNote files for various malicious purposes, including [downloading and installing malware payloads](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/a-noteworthy-threat-how-cybercriminals-are-abusing-onenote-part-1/) like [info stealers](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/a-noteworthy-threat-how-cybercriminals-are-abusing-onenote-part-2/).


The switch to OneNote came after Microsoft finally [disabled Word and Excel macros by default](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/onenote-spear-phishing-campaign/) and [patched a MoTW bypass zero-day](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-zero-day-bug-exploited-to-push-malware/) used to deliver malware via ISO and ZIP files.





## Tags:


### Autogenerated tags:
[[onenote]] [[microsoft]] [[phishing]] [[malware]]
