# Microsoft: PrintNightmare now patched on all Windows versions
## Microsoft has released the KB5004948 emergency security update to address the Windows Print Spooler PrintNightmare vulnerability on all editions of Windows 10 1607 and Windows Server 2016.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-printnightmare-now-patched-on-all-windows-versions/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 07 July 2021, 17:52
+ Date scraped: 12 December 2023, 10:41

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/17/Windows.jpg)



Microsoft has released the KB5004948 emergency security update to address the Windows Print Spooler PrintNightmare vulnerability on all editions of Windows 10 1607 and Windows Server 2016.


"An update has now been released **for all affected versions of Windows that are still in support**," Microsoft [said](https://docs.microsoft.com/en-us/windows/release-health/windows-message-center) in the Windows message center.


The [PrintNightmare](https://www.bleepingcomputer.com/tag/printnightmare/) bug tracked as CVE-2021-34527 enables [attackers to take over affected servers](https://www.bleepingcomputer.com/news/security/public-windows-printnightmare-0-day-exploit-allows-domain-takeover/) via remote code execution (RCE) with SYSTEM privileges.


Detailed steps on how to install these out-of-band security updates are available in the support documents linked below:


* Windows 10, version 21H1 ([KB5004945](https://support.microsoft.com/help/5004945))
* Windows 10, version 20H2 ([KB5004945](https://support.microsoft.com/help/5004945))
* Windows 10, version 2004 ([KB5004945](https://support.microsoft.com/help/5004945))
* Windows 10, version 1909 ([KB5004946](https://support.microsoft.com/help/5004946))
* Windows 10, version 1809 and Windows Server 2019 ([KB5004947](https://support.microsoft.com/help/5004947))
* Windows 10, version 1607 and Windows Server 2016 ([KB5004948](https://support.microsoft.com/help/5004948))
* Windows 10, version 1507 ([KB5004950](https://support.microsoft.com/help/5004950))
* Windows Server 2012 (Monthly Rollup [KB5004956](https://support.microsoft.com/help/5004956) / Security only [KB5004960](https://support.microsoft.com/help/5004960))
* Windows 8.1 and Windows Server 2012 R2 (Monthly Rollup [KB5004954](https://support.microsoft.com/help/5004954) / Security only [KB5004958](https://support.microsoft.com/help/5004958))
* Windows 7 SP1 and Windows Server 2008 R2 SP1 (Monthly Rollup [KB5004953](https://support.microsoft.com/help/5004953) / Security only [KB5004951](https://support.microsoft.com/help/5004951))
* Windows Server 2008 SP2 (Monthly Rollup [KB5004955](https://support.microsoft.com/help/5004955) / Security only [KB5004959](https://support.microsoft.com/help/5004959))

"Microsoft recommends that you immediately install this update on all supported Windows client and server operating system, starting with devices that currently host the print server role," the company [added](https://support.microsoft.com/en-us/topic/july-7-2021-kb5004948-os-build-14393-4470-out-of-band-fb676642-a3fe-4304-a79c-9d651d2f6550).


"You also have the option to configure the **RestrictDriverInstallationToAdministrators** registry setting to prevent non-administrators from installing signed printer drivers on a print server. For more information, see [KB5005010](https://support.microsoft.com/en-us/topic/kb5005010-restricting-installation-of-new-printer-drivers-after-applying-the-july-6-2021-updates-31b91c02-05bc-4ada-a7ea-183b129578a7)."


Microsoft's PrintNightmare security patch is incomplete
-------------------------------------------------------


While Microsoft says these security updates address the PrintNightmare vulnerability, security researchers have discovered that [the patch is incomplete](https://www.bleepingcomputer.com/news/microsoft/microsofts-incomplete-printnightmare-patch-fails-to-fix-vulnerability/) and it can be bypassed to achieve both remote code execution and local privilege escalation with the official fix installed.


However, 0patch has [released free PrintNightmare micropatches](https://www.bleepingcomputer.com/news/security/actively-exploited-printnightmare-zero-day-gets-unofficial-patch/) on Friday that can sucessfully block attempts to exploit the vulnerability.


Windows users and admins are recommended to do one of the following until a working patch from Microsoft is released:


* Do not install the July 6th patch and [install 0Patch's micropatches instead](https://blog.0patch.com/2021/07/free-micropatches-for-printnightmare.html).
* Disable the Print Spooler using the [instructions here](https://www.bleepingcomputer.com/news/microsoft/how-to-mitigate-print-spooler-vulnerability-on-windows-10/).


CISA has also published a [notification on the PrintNightmare zero-day](https://www.bleepingcomputer.com/news/security/cisa-disable-windows-print-spooler-on-servers-not-used-for-printing/) last week encouraging security professionals to disable the Windows Print Spooler service on systems **not used for printing.**


BleepingComputer has reached out to Microsoft regarding these security updates but has not heard back at this time.





## Tags:
***CVE's***: CVE-2021-34527

### Autogenerated tags:
[[windows]] [[microsoft]] [[printnightmare]] [[rollup]] [[kb5004945]]
