# Microsoft: Windows 10 21H1 reaches end of service next month
## Microsoft has reminded customers today that all editions of Windows 10 21H1 (also known as the May 2021 Update) are reaching the end of service (EOS) next month.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-10-21h1-reaches-end-of-service-next-month/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 08 November 2022, 19:49
+ Date scraped: 08 November 2022, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/17/windows-10-sapphire.jpg)



Microsoft has reminded customers today that all editions of Windows 10 21H1 (also known as the May 2021 Update) are reaching the end of service (EOS) next month.


Today's reminder comes after [two other warnings](https://www.bleepingcomputer.com/news/microsoft/microsoft-support-for-windows-10-21h1-ending-in-december/) issued since September that this Windows version will reach its retirement date on December 13, 2022.


Windows customers should upgrade to the latest release as soon as possible to avoid exposing their devices to attacks exploiting unpatched security vulnerabilities since Windows 10 21H1 will no longer receive security updates.


"To help keep you protected and productive, Windows Update will automatically initiate a feature update for Windows 10 consumer devices and non-managed business devices that are at, or within several months of reaching end of servicing," Microsoft [said](https://learn.microsoft.com/en-us/windows/release-health/windows-message-center#2951).


"This keeps your device supported and receiving monthly updates that are critical to security and ecosystem health. For these devices, you will be able to choose a convenient time for your device to restart and complete the update."


The complete list of Windows 10 21H1 editions reaching their end of service includes:


* Windows 10 Enterprise, version 21H1
* Windows 10 Enterprise multi-session, version 21H1
* Windows 10 Education, version 21H1
* Windows 10 IoT Enterprise, version 21H1
* Windows 10 Home, version 21H1
* Windows 10 Pro, version 21H1
* Windows 10 Pro Education, version 21H1
* Windows 10 Pro for Workstations, version 21H1

## **Windows 10 22H2 is rolling out to eligible devices**


Microsoft announced the [availability of Windows 10 22H2](https://www.bleepingcomputer.com/news/microsoft/windows-10-22h2-is-released-heres-what-we-know/) (aka the Windows 10 2022 Update) on October 18, now rolling out to all eligible devices. 


This feature update can be installed via Windows Update by going to Settings > Update & Security > Windows Update and clicking the "Check for updates" button.


Enterprise admins can deploy it through Windows Server Update Services (including Configuration Manager), Windows Update for Business, and the Volume Licensing Service Center (VLSC).


The Windows 10 2022 Update is only being offered to customers with systems running Windows 10, version 20H2 and later.


Users with Windows 11-compatible devices can also upgrade to Windows 11 22H2, given that the latest Windows version is [now available to all seekers](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-11-22h2-now-available-for-all-eligible-devices/) on eligible devices.



![Windows 11 22H2 feature update](https://www.bleepstatic.com/images/news/u/1109292/2022/windows-11-22h2-windows-update.jpg)*Windows 11 22H2 feature update (BleepingComputer)*


​You can check if your device is eligible and can be upgraded to the latest Windows 11 version by comparing your system's specs with [Windows 11's list of requirements](https://www.microsoft.com/windows/windows-11-specifications) or using the [PC Health Check app](https://www.microsoft.com/windows/windows-11#pchealthcheck).


You can follow this [guided walk-through](https://support.microsoft.com/en-us/help/10164/fix-windows-update-errors) or use this [support document](http://support.microsoft.com/help/4089834) to fix any errors while upgrading to the latest Windows version.


Microsoft provides additional details regarding end-of-service dates for supported versions of Windows in the [Windows Lifecycle FAQ](https://docs.microsoft.com/en-us/lifecycle/faq/windows), the [Windows 10 Servicing Frequently Asked Questions](https://support.microsoft.com/help/4035050/windows-10-serviced-versions-frequently-asked-questions), and the [Lifecycle Policy search tool](https://docs.microsoft.com/en-us/lifecycle/products/?terms=windows).





## Tags:


### Autogenerated tags:
[[windows]] [[21h1]] [[microsoft]] [[22h2]]
