# Microsoft disables MSIX protocol handler abused in Emotet attacks
## Microsoft has disabled the MSIX ms-appinstaller protocol handler exploited in malware attacks to install malicious apps directly from a website via a Windows AppX Installer spoofing vulnerability.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-disables-msix-protocol-handler-abused-in-emotet-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 05 February 2022, 00:10
+ Date scraped: 05 February 2022, 01:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/07/09/Windows.jpg)


![Windows](https://www.bleepstatic.com/content/hl-images/2021/07/09/Windows.jpg)


Microsoft has disabled the MSIX ms-appinstaller protocol handler exploited in malware attacks to install malicious apps directly from a website via a Windows AppX Installer spoofing vulnerability.


Today's decision comes after [the company released security updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-appx-installer-zero-day-used-by-emotet/) to address the flaw ([tracked as CVE-2021-43890](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2021-43890)) during the December 2021 Patch Tuesday and provided workarounds to disable the MSIX scheme without deploying the patches.


The likely reason for disabling the protocol altogether is to protect all Windows customers, including those who haven't yet installed the [December security updates](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2021-43890#faq) or [applied the workarounds](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2021-43890#workarounds).


"We are actively working to address this vulnerability. For now, we have disabled the ms-appinstaller scheme (protocol). This means that App Installer will not be able to install an app directly from a web server. Instead, users will need to first download the app to their device, and then install the package with App Installer," [said](https://techcommunity.microsoft.com/t5/windows-it-pro-blog/disabling-the-msix-ms-appinstaller-protocol-handler/ba-p/3119479) Microsoft Program Manager Dian Hartono.


"We recognize that this feature is critical for many enterprise organizations. We are taking the time to conduct thorough testing to ensure that re-enabling the protocol can be done in a secure manner.


"We are looking into introducing a Group Policy that would allow IT administrators to re-enable the protocol and control usage of it within their organizations."


How threat actors abused ms-appinstaller to push malware
--------------------------------------------------------


As BleepingComputer reported, [Emotet started spreading and infecting Windows 10 and Windows 11 systems](https://www.bleepingcomputer.com/news/security/emotet-now-spreads-via-fake-adobe-windows-app-installer-packages/) in early December using malicious Windows AppX Installer packages camouflaged as Adobe PDF software.


Emotet's phishing emails used stolen reply-chain emails and instructed potential victims to open PDFs related to the previous conversation.


However, when clicked, links embedded in the emails will redirect the recipients onto pages that, instead of opening the PDF, would launch the Windows App Installer program and ask to install an "Adobe PDF Component."


While it looks like a legitimate Adobe app, App Installer will download and install a malicious appxbundle hosted on Microsoft Azure when the user clicks the Install button.



![App Installer prompting to install a fake Adobe PDF Component](https://www.bleepstatic.com/images/news/malware/e/emotet/app-installer/install-prompt.jpg)*App Installer prompting to install a fake Adobe PDF Component (BleepingComputer)*
You can find more information, including the way Emotet abused the built-in Windows App Installer feature during the campaign, in our [previous report](https://www.bleepingcomputer.com/news/security/emotet-now-spreads-via-fake-adobe-windows-app-installer-packages/).


This AppX Installer spoofing vulnerability was also exploited to [distribute the BazarLoader](https://www.bleepingcomputer.com/news/security/windows-10-app-installer-abused-in-bazarloader-malware-attacks/) malware via malicious packages hosted on Microsoft Azure, using *.web.core.windows.net URLs.





## Tags:
***CVE's***: CVE-2021-43890

### Autogenerated tags:
[[windows]] [[microsoft]] [[pdf]] [[ms-appinstaller]] [[malware]] [[appx]] [[emotet]] [[emails]]
