# Microsoft disables MSIX protocol handler abused in malware attacks
## Microsoft has again disabled the MSIX ms-appinstaller protocol handler after multiple financially motivated threat groups abused it to infect Windows users with malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-disables-msix-protocol-handler-abused-in-malware-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 28 December 2023, 14:04
+ Date scraped: 28 December 2023, 20:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/20/Windows.jpg)



Microsoft has again disabled the MSIX ms-appinstaller protocol handler after multiple financially motivated threat groups abused it to infect Windows users with malware.


The attackers exploited the [CVE-2021-43890](https://msrc.microsoft.com/update-guide/advisory/CVE-2021-43890) Windows AppX Installer spoofing vulnerability to circumvent security measures that would otherwise protect Windows users from malware, such as the Defender SmartScreen anti-phishing and anti-malware component and built-in browser alerts cautioning users against executable file downloads.


Microsoft says the threat actors use both malicious advertisements for popular software and Microsoft Teams phishing messages to push signed malicious MSIX application packages.


"Since mid-November 2023, Microsoft Threat Intelligence has observed threat actors, including financially motivated actors like Storm-0569, Storm-1113, Sangria Tempest, and Storm-1674, utilizing the [ms-appinstaller URI scheme](https://learn.microsoft.com/windows/msix/app-installer/installing-windows10-apps-web) (App Installer) to distribute malware," the company [said](https://www.microsoft.com/en-us/security/blog/2023/12/28/financially-motivated-threat-actors-misusing-app-installer/).


"The observed threat actor activity abuses the current implementation of the ms-appinstaller protocol handler as an access vector for malware that may lead to ransomware distribution. Multiple cybercriminals are also selling a malware kit as a service that abuses the MSIX file format and ms-app installer protocol handler."


The Sangria Tempest (aka [FIN7](https://www.bleepingcomputer.com/tag/fin7/)) financially-motivated hacking group [has previously been linked](https://www.mandiant.com/resources/blog/evolution-of-fin7) to REvil and Maze ransomware after their involvement in the now-defunct BlackMatter and DarkSide ransomware operations.


In a private Microsoft threat analytics report seen by BleepingComputer, FIN7 was also connected to attacks [targeting PaperCut printing servers](https://www.bleepingcomputer.com/news/security/microsoft-clop-and-lockbit-ransomware-behind-papercut-server-hacks/) with Clop ransomware.



![Malicious App Installer pushed in these attacks](https://www.bleepstatic.com/images/news/u/1109292/2023/Sample_malicious_App_installer.jpeg)*Malicious App Installer pushed in these attacks (Microsoft)*


Emotet and BazarLoader malware attacks
--------------------------------------


As BleepingComputer reported over two years ago, Emotet also used malicious Windows AppX Installer packages camouflaged as Adobe PDF software in December 2021 to [infect Windows 10 and Windows 11 systems](https://www.bleepingcomputer.com/news/security/emotet-now-spreads-via-fake-adobe-windows-app-installer-packages/).


Additionally, the AppX Installer spoofing vulnerability was exploited to [distribute the BazarLoader](https://www.bleepingcomputer.com/news/security/windows-10-app-installer-abused-in-bazarloader-malware-attacks/) malware using malicious packages hosted on Microsoft Azure, using \*.web.core.windows.net URLs.


Microsoft previously [disabled the ms-appinstaller protocol handler](https://www.bleepingcomputer.com/news/microsoft/microsoft-disables-msix-protocol-handler-abused-in-emotet-attacks/) in February 2022 to thwart Emotet's onslaught.


Since devices compromised as part of these attacks may also be targeted with ransomware, Redmond disabled the ms-appinstaller protocol handler once again earlier this month.


While Microsoft says that it was disabled by default today, December 28, 2023, [others report](https://learn.microsoft.com/en-us/answers/questions/1463156/why-has-the-ms-appinstaller-protocol-been-disabled) that the change was pushed out earlier this month. However, it is unclear when and why Microsoft reenabled the Windows App Installer between February 2022 and December 2023.


Today, Microsoft recommended installing the patched [App Installer version 1.21.3421.0 or later](https://learn.microsoft.com/en-us/windows/msix/app-installer/install-update-app-installer?branch=stwhi-main%2Finstall-app-installer) to block exploitation attempts.


The company also [advised admins](https://msrc.microsoft.com/blog/2023/12/microsoft-addresses-app-installer-abuse/) who can't immediately deploy the latest App Installer version to disable the protocol by setting the Group Policy *EnableMSAppInstallerProtocol* to *Disabled.*





## Tags:
***CVE's***: CVE-2021-43890

### Autogenerated tags:
[[microsoft]] [[windows]] [[malware]] [[ms-appinstaller]] [[ransomware]] [[msix]] [[appx]] [[emotet]]
