# Microsoft enables Windows Kernel CVE-2023-32019 fix for everyone
## Microsoft has enabled a fix for a Kernel information disclosure vulnerability by default for everyone after previously disabling it out of concerns it could introduce breaking changes to Windows.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-enables-windows-kernel-cve-2023-32019-fix-for-everyone/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 14 August 2023, 14:13
+ Date scraped: 14 August 2023, 19:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/09/Microsoft_Defender_headpic.jpg)



Microsoft has enabled a fix for a Kernel information disclosure vulnerability by default for everyone after previously disabling it out of concerns it could introduce breaking changes to Windows.


The vulnerability is tracked as [CVE-2023-32019](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32019) and has a medium severity range 4.7/10, with Microsoft rating the flaw as 'important' severity.


The bug was discovered by Google Project Zero security researcher Mateusz Jurczyk, and it allows an authenticated attacker to access the memory of a privileged process to extract information.


While it is not believed to have been exploited in the wild, Microsoft initially released the security update with the fix disabled, warning that it could cause breaking changes in the operating system.


"The resolution described in this article introduces a potential breaking change. Therefore, we are releasing the change disabled by default with the option to enable it," [explained](https://support.microsoft.com/en-us/topic/kb5028407-how-to-manage-the-vulnerability-associated-with-cve-2023-32019-bd6ed35f-48b1-41f6-bd19-d2d97270f080#:~:text=Resolution-,IMPORTANT,-The%20resolution%20described) Microsoft.


Instead, Windows users had to enable the update manually by adding the following registry values under the *HKEY\_LOCAL\_MACHINE\SYSTEM\CurrentControlSet\Policies\Microsoft\FeatureManagement\Overrides* key:


* **Windows 10 20H2, 21H2, 22H2:**Add a new DWORD registry value named *4103588492* with a value data of 1
* **Windows 11 21H2:** Add a new DWORD registry value named *4204251788* with a value data of 1
* **Windows 11 22H2:** Add a new DWORD registry value named *4237806220* with a value data of 1
* **Windows Server 2022:**Add a new DWORD registry value named *4137142924* with a value data of 1

However, Microsoft would not share what conflicts could arise from enabling the update, simply telling BleepingComputer at the time that it would be enabled by default in the future.


This uncertainty led to many Windows admins not deploying the fix out of fear it would cause problems in their Windows installations.


As first spotted by [Neowin](https://www.neowin.net/news/microsoft-makes-potentially-breaking-windows-kernel-patch-default-after-an-earlier-warning/), Microsoft has now enabled the fix for CVE-2023-32019 by default in the [August 2023 Patch Tuesday updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-august-2023-patch-tuesday-warns-of-2-zero-days-87-flaws/).


"The resolution described in this article has been released enabled by default. To apply the enabled by default resolution, install the Windows update that is dated on or after August 8, 2023." explains Microsoft in an update to its support bulletin.


"No further user action is required."


BleepingComputer has spoken to numerous Windows admins about this update, and none have reported issues with this change enabled.





## Tags:
***CVE's***: CVE-2023-32019

### Autogenerated tags:
[[windows]] [[microsoft]] [[dword]]
