# Microsoft fixes Acropalypse privacy bug in Windows 11 Snipping Tool
## Microsoft is testing an updated version of the Windows 11 Snipping Tool that fixes a recently disclosed 'Acropalypse' privacy flaw that allows the partial restoration of cropped images.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-acropalypse-privacy-bug-in-windows-11-snipping-tool/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 23 March 2023, 17:23
+ Date scraped: 23 March 2023, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/26/Windows_11_HDR.jpg)



Microsoft is testing an updated version of the Windows 11 Snipping Tool that fixes a recently disclosed 'Acropalypse' privacy flaw that allows the partial restoration of cropped images.


As first spotted by Windows enthusiast [Xeno](https://twitter.com/XenoPanther/status/1638658755117162502), Microsoft released Windows 11 Snipping Tool version 11.2302.20.0 yesterday to Windows Insiders in the Canary channel via the Microsoft Store.


With this release, BleepingComputer can confirm that Microsoft fixed the bug that does not remove cropped image data when saving changes to the original file on Windows 11. However, the bug remains in Windows 10.


## The Acropalypse privacy flaw


Last week, a new security vulnerability named 'Acropalypse' was disclosed for Google Pixel devices that can partially restore deleted content from cropped images.


This flaw is considered a privacy risk because it's common to remove sensitive information from a photo by cropping it. This could be a wide variety of info, including confidential info from a document, location-identifying information, faces in a nude picture, or sensitive URLs in a browser screenshot.


The vulnerability was disclosed by security researchers [David Buchanan](https://twitter.com/David3141593) and [Simon Aarons](https://twitter.com/ItsSimonTime), who reported the [bug in Google Pixel's Markup Tool](https://www.bleepingcomputer.com/news/security/google-pixel-flaw-allowed-recovery-of-redacted-cropped-images/) to Google, which then fixed it as part of the Google Pixel March security updates.


Soon after, it was discovered that the bug [also affected the Windows Snipping Tool](https://www.bleepingcomputer.com/news/microsoft/windows-11-snipping-tool-privacy-bug-exposes-cropped-image-content/), allowing cropped screenshots to be partially recovered.


The bug is caused by [different reasons in Windows Snipping Tool](https://twitter.com/sjmurdoch/status/1638623990817103888) and [Google Pixel's Markup Tool](https://www.da.vidbuchanan.co.uk/blog/exploiting-acropalypse.html#:~:text=The%20bug%20lies%20in%20closed%2Dsource%20Google%2Dproprietary%20code). Still, the end result is that when you crop a photo using the image editors and overwrite the original file with the changes, the cropped-out data will not be removed from the file.


Instead, the cropped image will be the same size as the original, now containing two IEND data chunks, with the first being the proper ending of the new cropped image and the second being the end of cropped data that should have been truncated when the image was saved.


Below is an example of a PNG file affected by the Acropalypse bug allowing the recovery of cropped data. Notice how the image has two IEND data chunks in the file when the [file format specifies](https://www.w3.org/TR/PNG-Structure.html) that there should only be one IEND marker in a PNG file to denote the end of the image.



![PNG file affected by the Acropalypse flaw](https://www.bleepstatic.com/images/news/security/vulnerabilities/a/acropalypse/windows-snippping-tool-fix/two-iends.jpg)**PNG file affected by the Acropalypse flaw**  
*Source: BleepingComputer*


In the new Windows 11 Snipping Tool version 11.2302.20.0, when cropping data and overwriting the original file, the software will now correctly truncate the unused data, leaving only one IEND data chunk in the image.



![Cropped and original pictures now having different sizes](https://www.bleepstatic.com/images/news/security/vulnerabilities/a/acropalypse/windows-snippping-tool-fix/combined-view.jpg)**Cropped and original pictures now having different sizes**  
*Source: BleepingComputer:*


This effectively fixes the issue in the Windows 11 Snipping tool and should make it into the production release over the next few weeks.


However, the issue also affects the Windows 10 Snipping Tool (Snip and Sketch), and no update is available, even to Insiders, that resolves the bug.


BleepingComputer has contacted Microsoft about whether the Windows 10 app will also be fixed and will update this post if we receive a response.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[google]] [[bleepingcomputer]] [[iend]] [[acropalypse]] [[png]]
