# Microsoft fixes Windows CVE-2021-40444 MSHTML zero-day bug
## Microsoft today fixed a high severity zero-day vulnerability actively exploited in targeted attacks against Microsoft Office and Office 365 on Windows 10 computers.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-windows-cve-2021-40444-mshtml-zero-day-bug/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 14 September 2021, 16:20
+ Date scraped: 11 December 2023, 14:43

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/05/Microsoft.jpg)



Microsoft today fixed a high severity zero-day vulnerability actively exploited in targeted attacks against Microsoft Office and Office 365 on Windows 10 computers.


The remote code execution (RCE) security flaw, tracked as **CVE-2021-40444**, was found in the MSHTML Internet Explorer browser rendering engine used by Microsoft Office documents.


According to Microsoft, CVE-2021-40444 impacts Windows Server 2008 through 2019 and Windows 8.1 or later, and it has a severity level of 8.8 out of the maximum 10.


"Microsoft has released security updates to address this vulnerability," the company [said today in an advisory update](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2021-40444) published as part of [this month's Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-september-2021-patch-tuesday-fixes-2-zero-days-60-flaws/).


"Please see the Security Updates table for the applicable update for your system. We recommend that you install these updates immediately."


Security updates released after built-in defenses bypassed
----------------------------------------------------------


The targeted attacks detected by Microsoft tried to exploit the vulnerability by sending specially-crafted Office documents with malicious ActiveX controls to potential victims.


Luckily, these attacks were thwarted if Microsoft Office ran with the default configuration, which opens untrusted documents in Protected View mode (or with Application Guard for Office 365 customers).


However, as CERT/CC vulnerability analyst [Will Dormann](https://twitter.com/wdormann) later told BleepingComputer, this built-in protection against CVE-2021-40444 exploits would likely be bypassed either by users ignoring Protected View warnings or by attackers delivering the malicious documents bundled within 7Zip archives or ISO containers.



If the document is in a container that is processed by something that is not MotW-aware, then the fact that the container was downloaded from the Internet will be moot. For example, if 7Zip opens an archive that came from the Internet, the extracted contents will have no indication that it came from the Internet. So no MotW, no Protected View.


Similarly, if the document is in a container like an ISO file, a Windows user can simply double-click on the ISO to open it. But Windows doesn't treat the contents as having come from the Internet. So again, no MotW, no Protected View.


This attack is more dangerous than macros because any organization that has chosen to disable or otherwise limit Macro execution will still be open to arbitrary code execution simply as the result of opening an Office document. - Will Dormann



Furthermore, Dormann also found that threat actors [could exploit this vulnerability using maliciously-crafted RTF files](https://twitter.com/wdormann/status/1435951560006189060?ref_src=twsrc%5Etfw%7Ctwcamp%5Etweetembed%7Ctwterm%5E1435951560006189060%7Ctwgr%5E%7Ctwcon%5Es1_&ref_url=https%3A%2F%2Fwww.bleepingcomputer.com%2Fnews%2Fmicrosoft%2Fwindows-mshtml-zero-day-defenses-bypassed-as-new-info-emerges%2F), which don't benefit from Office's Protected View security feature.



![Word document opened in Protected View](https://www.bleepstatic.com/images/news/Microsoft/vulnerabilities/CVE-2021-40444/protected-view-maldoc.jpg)*Word document opened in Protected View*


How to apply the security updates
---------------------------------


Today's security updates address the vulnerability for all affected versions of Windows and include a [Monthly Rollup](https://support.microsoft.com/en-us/topic/september-14-2021-kb5005633-monthly-rollup-cc6f560a-86da-4540-8bb1-df118fa45eb8), a [Security Only update](https://support.microsoft.com/en-us/topic/september-14-2021-kb5005615-security-only-update-78aa3b33-a4d9-49ad-bb28-1394943a3d7b), and an [Internet Explorer cumulative update](https://support.microsoft.com/en-us/topic/kb5005563-cumulative-security-update-for-internet-explorer-september-14-2021-1f0ae9ae-3a53-42b1-9627-9250c9c73ba8).


"Customers running Windows 8.1, Windows Server 2012 R2, or Windows Server 2012 can apply **either** the Monthly Rollup or both the Security Only and the IE Cumulative updates," according to Microsoft.


"The Monthly Rollup for Windows 7, Windows Server 2008 R2, and Windows Server 2008 includes the update for this vulnerability. Customers who apply the Monthly Rollup do not need to apply the IE Cumulative update.


"Customers who only apply Security Only updates need to also apply the IE Cumulative update to be protected from this vulnerability."


BleepingComputer independently confirmed that known CVE-2021-40444 exploits no longer work after applying today's patches.


Those who cannot immediately apply today's security updates should implement [Microsoft's workarounds](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2021-40444/) (disabling ActiveX controls via Group Policy and preview in Windows Explorer) to reduce the attack surface.





## Tags:
***CVE's***: CVE-2021-40444

### Autogenerated tags:
[[windows]] [[microsoft]] [[cve-2021-40444]] [[rollup]] [[dormann]]
