# Microsoft fixes two Windows zero-days exploited in malware attacks
## Microsoft has fixed two actively exploited zero-day vulnerabilities during the April 2024 Patch Tuesday, although the company failed to initially tag them as such.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-two-windows-zero-days-exploited-in-malware-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 09 April 2024, 18:06
+ Date scraped: 09 April 2024, 23:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/10/19/Microsoft_headpic.jpg)



Microsoft has fixed two actively exploited zero-day vulnerabilities during the April 2024 Patch Tuesday, although the company failed to initially tag them as such.


The first, tracked as [**CVE-2024-26234**](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2024-26234) and described as a proxy driver spoofing vulnerability, was issued to track a [malicious driver signed using a valid Microsoft Hardware Publisher Certificate](https://news.sophos.com/en-us/2024/04/09/smoke-and-screen-mirrors-a-strange-signed-backdoor/) that was found by Sophos X-Ops in December 2023 and reported by team lead Christopher Budd.


This malicious file was labeled as "Catalog Authentication Client Service" by "Catalog Thales," likely an attempt to impersonate Thales Group. However, further investigation revealed that it was previously bundled with a marketing software called LaiXi Android Screen Mirroring.


While Sophos couldn't verify the authenticity of LaiXi software, Budd says they're confident the file is a malicious backdoor.


"Just as we did in 2022, we immediately reported our findings to the Microsoft Security Response Center. After validating our discovery, the team at Microsoft has added the relevant files to its revocation list (updated today as part of the usual Patch Tuesday cycle; see CVE-2024-26234)," Budd [said](https://news.sophos.com/en-us/2024/04/09/smoke-and-screen-mirrors-a-strange-signed-backdoor/).


Sophos' findings confirm and build upon information shared in a [January report](http://stairwell.com/resources/signed-sealed-but-not-always-secure-rethinking-trust-in-digitally-signed-certificates/) by cybersecurity company Stairwell and [a tweet by reverse engineering expert Johann Aydinba](https://twitter.com/jaydinbas/status/1742155413200507358).


Since its release earlier today, Redmond has updated the advisory to correct CVE-2024-26234's exploitation status, confirming it as exploited in the wild and publicly disclosed.


Sophos reported other malicious drivers signed with legitimate WHCP certificates in [July 2023](https://news.sophos.com/en-us/2023/07/11/microsoft-revokes-malicious-drivers-in-patch-tuesday-culling/) and [December 2022](https://news.sophos.com/en-us/2022/12/13/signed-driver-malware-moves-up-the-software-trust-chain/), but for those, Microsoft published [security](https://msrc.microsoft.com/update-guide/vulnerability/ADV230001) [advisories](https://msrc.microsoft.com/update-guide/vulnerability/ADV220005) instead of issuing CVE-IDs like today.


MotW bypass exploited in malware attacks
----------------------------------------


The second zero-day silently patched today by Microsoft is tracked as [**CVE-2024-29988**](https://msrc.microsoft.com/update-guide/en-US/advisory/CVE-2024-29988) and described as a SmartScreen prompt security feature bypass vulnerability caused by a protection mechanism failure weakness.


CVE-2024-29988 is a bypass for the CVE-2024-21412 flaw and was reported by Peter Girnus of Trend Micro's Zero Day Initiative and Google's Threat Analysis Group Dmitrij Lenz and Vlad Stolyarov.


ZDI's Head of Threat Awareness Dustin Childs [tagged it as actively used in attacks](http://www.zerodayinitiative.com/blog/2024/4/9/the-april-2024-security-updates-review) to deploy malware on targeted Windows systems after evading EDR/NDR detection and bypassing the Mark of the Web (MotW) feature.


"This vulnerability is related to CVE-2024-21412, which was discovered by ZDI threat researchers in the wild and first addressed in February," Childs told BleepingComputer.


"The first patch did not completely resolve the vulnerability. This update addresses the second part of the exploit chain. Microsoft did not indicate they were patching this vulnerability, so it was a (welcome) surprise when the patch went live."


The financially motivated Water Hydra hacking group that exploits CVE-2024-29988 [also used CVE-2024-21412 as a zero-day](https://www.bleepingcomputer.com/news/security/hackers-used-new-windows-defender-zero-day-to-drop-darkme-malware/) on New Year’s Eve to target forex trading forums and stock trading Telegram channels in spearphishing attacks that deployed the DarkMe remote access trojan (RAT).


CVE-2024-21412 was itself a bypass for another Defender SmartScreen vulnerability tracked as CVE-2023-36025, patched during the [November 2023 Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-november-2023-patch-tuesday-fixes-5-zero-days-58-flaws/) and exploited as a zero-day [to drop Phemedrone malware](https://www.bleepingcomputer.com/news/security/windows-smartscreen-flaw-exploited-to-drop-phemedrone-malware/).


Today, Microsoft released [security updates for 150 vulnerabilities](https://www.bleepingcomputer.com/news/microsoft/microsoft-april-2024-patch-tuesday-fixes-150-security-flaws-67-rces/) as part of April 2024's Patch Tuesday, 67 of which were remote code execution bugs.


A Microsoft spokesperson couldn't immediately provide a statement when contacted by BleepingComputer earlier today.





## Tags:
***CVE's***: CVE-2024-26234 CVE-2024-29988 CVE-2023-36025 CVE-2024-21412

### Autogenerated tags:
[[microsoft]] [[zero-day]] [[sophos]] [[cve-2024-21412]] [[cve-2024-26234]] [[budd]] [[malware]] [[cve-2024-29988]]
