# Microsoft now lets you enable the Windows App Installer again, here's how
## Microsoft now allows enterprise admins to re-enable the MSIX ms-appinstaller protocol handler disabled after Emotet abused it to deliver malicious Windows App Installer packages.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-now-lets-you-enable-the-windows-app-installer-again-heres-how/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 01 April 2022, 20:23
+ Date scraped: 01 April 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/01/Microsoft.jpg)



Microsoft now allows enterprise admins to re-enable the MSIX ms-appinstaller protocol handler disabled after Emotet abused it to deliver malicious Windows App Installer packages.


App Installer (also known as AppX Installer) allows users to install Windows applications directly from a web server using an MSIX package or App Installer file without first downloading the installers to their computer.


Microsoft [disabled the ms-appinstaller scheme](https://www.bleepingcomputer.com/news/microsoft/microsoft-disables-msix-protocol-handler-abused-in-emotet-attacks/) in response to reports of ongoing Emotet attacks [exploiting a zero-day Windows AppX Installer spoofing vulnerability](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2021-43890), forcing users to download the app packages to their device before installing them using App Installer.


"We recognize that this feature is critical for many enterprise organizations. We are taking the time to conduct thorough testing to ensure that re-enabling the protocol can be done in a secure manner," Microsoft Program Manager Dian Hartono said when announcing the protocol's shutdown.


"We are looking into introducing a Group Policy that would allow IT administrators to re-enable the protocol and control usage of it within their organizations."


## How to re-enable the ms-appinstaller protocol


According to [an update from Hartono](https://techcommunity.microsoft.com/t5/windows-it-pro-blog/disabling-the-msix-ms-appinstaller-protocol-handler/ba-p/3119479#:~:text=Update%3A%20March%2030%2C%202022), Microsoft has finally managed to get a handle on the issue, and it now allows admins to toggle the protocol handler back on by installing the latest App Installer version (1.17.10751.0) and enabling a group policy.


On systems where the App Installer update cannot be deployed using the Internet-based installer, Microsoft also provides an offline version on the Microsoft Download Center ([download link](https://download.microsoft.com/download/d/e/2/de2b2ee1-6e63-45fa-99e4-32ee24fe365a/Microsoft.DesktopAppInstaller_1.17.10751.0_8wekyb3d8bbwe.zip)).


The App Installer feature will be re-enabled after downloading and deploying the [Desktop App Installer policy](https://download.microsoft.com/download/d/3/5/d35c060c-d402-4a9c-ad40-234ad5e4d2e8/DesktopAppInstallerPolicies.zip) and selecting "Enable App Installer ms-appinstaller protocol."


You can do this through the Group Policy Editor by going to Computer Configuration > Administrative Templates > Windows Components > Desktop App Installer.


"You will need both the latest App Installer app and the Desktop App Installer policy to enabled in order to use the ms-appinstaller protocol for MSIX," Hartono added.


## ms-appinstaller abused to push malware


Emotet started using malicious Windows AppX Installer packages camouflaged as Adobe PDF software [for infecting Windows devices](https://www.bleepingcomputer.com/news/security/emotet-now-spreads-via-fake-adobe-windows-app-installer-packages/) in phishing campaigns from early December 2021.


The botnet's phishing emails used stolen reply-chain emails instructing the recipients to open PDFs related to previous conversations.


However, instead of opening the PDF, the embedded links were redirecting the recipients to that would launch the Windows App Installer and asking them to install a malicious "Adobe PDF Component."



![App Installer prompting to install fake Adobe PDF Component](https://www.bleepstatic.com/images/news/u/1109292/2022/App%20Installer%20prompting%20to%20install%20fake%20Adobe%20PDF%20Component.jpg)*App Installer prompting to install fake Adobe PDF Component (BleepingComputer)*
Although looking just like a legitimate Adobe app, App Installer downloaded and installed a malicious appxbundle hosted on Microsoft Azure after the targets clicked the Install button.


You can find more details, including the way Emotet abused the Windows App Installer vulnerability, in our [previous report](https://www.bleepingcomputer.com/news/security/emotet-now-spreads-via-fake-adobe-windows-app-installer-packages/) regarding the December campaign.


The same spoofing flaw was also exploited to [distribute the BazarLoader](https://www.bleepingcomputer.com/news/security/windows-10-app-installer-abused-in-bazarloader-malware-attacks/) malware using malicious packages hosted on Microsoft Azure via *.web.core.windows.net URLs.


"We have investigated reports of a spoofing vulnerability in AppX installer that affects Microsoft Windows," Microsoft [explained](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2021-43890).


"Microsoft is aware of attacks that attempt to exploit this vulnerability by using specially crafted packages that include the malware family known as Emotet/Trickbot/Bazaloader."





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[ms-appinstaller]] [[emotet]] [[appx]] [[pdf]] [[re-enable]] [[msix]] [[hartono]] [[malware]]
