# Microsoft says Windows 10 21H2 support is ending in June
## Microsoft announced today that it would end support for Windows 10 21H2 in June when the Enterprise and Education editions reach the end of service.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-says-windows-10-21h2-support-is-ending-in-june/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 11 March 2024, 16:59
+ Date scraped: 11 March 2024, 23:09

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/10/Windows.jpg)



Microsoft announced today that it would end support for Windows 10 21H2 in June when the Enterprise and Education editions reach the end of service.


Once the end-of-service date is reached, systems running Windows 10 21H2 (aka the Windows 10 November 2021 Update) will no longer receive monthly quality updates encompassing bug fixes or patches addressing newly identified security vulnerabilities.


Given this, customers are advised to update to the latest Windows 10 version release or upgrade to Windows 11 as soon as possible to avoid exposing their systems to attacks exploiting unpatched security vulnerabilities.


"These editions will no longer receive security updates after June 11, 2024," Microsoft [warned](https://learn.microsoft.com/en-us/lifecycle/announcements/windows-10-21h2-end-of-updates-enterprise-education) in a Lifecycle Policy announcement on Monday.


"Customers who contact Microsoft Support after this date will be directed to update their device to the latest version of Windows 10 or upgrade to Windows 11 to remain supported."


The complete list of Windows 10 21H2 editions that will reach their end of servicing on June 11, 2024, includes the following:


* Windows 10 Enterprise, version 21H2
* Windows 10 Enterprise multi-session, version 21H2
* Windows 10 Education, version 21H2
* Windows 10 IoT Enterprise, version 21H2

The Home, Pro, Pro Education, and Pro for Workstations editions of Windows 10 21H2 [also reached their end of service (EOS)](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-10-21h2-has-reached-end-of-servicing/) during the June 2023 Patch Tuesday.


Windows 10 22H2 and Windows 11 23H2 in broad deployment
-------------------------------------------------------


The Windows 10 2022 Update (aka Windows 10 22H2) reached [broad deployment](https://www.bleepingcomputer.com/news/microsoft/windows-10-22h2-now-in-broad-deployment-available-to-everyone/) in November 2022 and is now rolling out to all users through Windows Update.


This update is available for eligible devices running Windows 10 20H2 or later unless compatibility holds block them and they have not been configured to defer feature updates.


Nevertheless, Microsoft will enforce the installation of the Windows 10 2022 Update on consumer and non-managed business devices running Windows 10 until they reach end-of-service status.


"To help keep you protected and productive, Windows Update will automatically initiate a feature update for Windows 10 consumer devices and non-managed business devices that are at, or within several months of reaching end of servicing," Microsoft [said](https://learn.microsoft.com/en-us/windows/release-health/windows-message-center#3112).


"This keeps your device supported and receiving monthly updates that are critical to security and ecosystem health. For these devices, you will be able to choose a convenient time for your device to restart and complete the update."



![Windows 10 22H2 feature update](https://www.bleepstatic.com/images/news/u/1109292/2022/Windows%2010%2022H2%20update.png)*Windows 10 22H2 feature update (BleepingComputer)*


​Microsoft has also [started force-installing Windows 11 23H2](https://www.bleepingcomputer.com/news/microsoft/microsoft-now-force-installing-windows-11-23h2-on-eligible-pcs/) on eligible devices that have already reached or are close to their end-of-servicing date.


This comes after Windows 11 21H2 systems were [automatically updated to Windows 11 22H2](https://www.bleepingcomputer.com/news/microsoft/microsoft-reminds-of-windows-11-21h2-forced-updates-before-end-of-service/) before [reaching the end of support](https://www.bleepingcomputer.com/news/microsoft/windows-11-21h2-and-windows-server-2012-reach-end-of-support/) on October 11.


The company announced the release of Windows 11 23H2 (aka the Windows 11 2023 Update) [on October 31](https://www.bleepingcomputer.com/news/microsoft/microsoft-releases-windows-11-23h2-as-an-enablement-package/), one month after [rolling it out](https://www.bleepingcomputer.com/news/microsoft/windows-11-23h2-now-rolling-out-to-release-preview-insiders/) to Windows Insiders in the Release Preview Channel for enterprise testing.


The update process [involves an enablement package (eKB)](https://support.microsoft.com/en-us/topic/kb5027397-feature-update-to-windows-11-version-23h2-by-using-an-enablement-package-b9e76726-3c94-40de-b40b-99decba3db9d) that will activate features shipped in previous 22H2 updates but still waiting to be enabled.


If you encounter any issues or errors while updating, you can refer to a [Windows support document](http://support.microsoft.com/help/4089834) or use a [guided walk-through](https://support.microsoft.com/en-us/help/10164/fix-windows-update-errors) to troubleshoot the problems.





## Tags:


### Autogenerated tags:
[[windows]] [[21h2]] [[microsoft]] [[22h2]] [[23h2]]
