# Microsoft shares mitigation for Office zero-day exploited in attacks
## Microsoft has shared mitigation measures to block attacks exploiting a newly discovered Microsoft Office zero-day flaw abused in the wild to execute malicious code remotely.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-shares-mitigation-for-office-zero-day-exploited-in-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 31 May 2022, 09:18
+ Date scraped: 31 May 2022, 10:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/15/Microsoft_Office.jpg)



 


Microsoft has shared mitigation measures to block attacks exploiting a newly discovered Microsoft Office zero-day flaw abused in the wild to execute malicious code remotely.


The bug is a Microsoft Windows Support Diagnostic Tool (MSDT) remote code execution vulnerability reported by [crazyman](https://twitter.com/crazymanarmy) of the [Shadow Chaser Group](https://twitter.com/shadowchasing1).


Microsoft is now tracking it as [CVE-2022-30190](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-30190). The flaw impacts all Windows versions still receiving security updates (Windows 7+ and Server 2008+).


As security researcher [nao\_sec](https://twitter.com/nao_sec) found, it is used by threat actors to execute malicious PowerShell commands via MSDT in what Redmond describes as Arbitrary Code Execution (ACE) attacks when opening or [previewing](https://twitter.com/wdormann/status/1531256385031352321) Word documents.


"An attacker who successfully exploits this vulnerability can run arbitrary code with the privileges of the calling application," Microsoft [explains](https://msrc-blog.microsoft.com/2022/05/30/guidance-for-cve-2022-30190-microsoft-support-diagnostic-tool-vulnerability/).


"The attacker can then install programs, view, change, or delete data, or create new accounts in the context allowed by the user's rights."



 
*CVE-2022-30190 exploitation demo ([Will Dormann](https://twitter.com/wdormann/status/1531256385031352321))*## Workaround available


According to Redmond, admins and users can block attacks exploiting CVE-2022-30190 by disabling the MSDT URL protocol, which malicious actors use to launch troubleshooters and execute code on vulnerable systems.


To disable the MSDT URL protocol on a Windows device, you have to go through the following procedure:


1. Run **Command Prompt** as **Administrator**.
2. To back up the registry key, execute the command "*reg export HKEY\_CLASSES\_ROOT\ms-msdt filename*"
3. Execute the command "*reg delete HKEY\_CLASSES\_ROOT\ms-msdt /f*"

After Microsoft releases a CVE-2022-30190 patch, you can undo the workaround by launching an elevated command prompt and executing the *reg import filename* command (filename is the name of the registry backup created when disabling the protocol).


Microsoft Defender Antivirus 1.367.719.0 or newer now also comes with detections for possible vulnerability exploitation under the following signatures:


* Trojan:Win32/Mesdetty.A
* Trojan:Win32/Mesdetty.B
* Behavior:Win32/MesdettyLaunch.A
* Behavior:Win32/MesdettyLaunch.B
* Behavior:Win32/MesdettyLaunch.C

While Microsoft says that Microsoft Office's Protected View and Application Guard would block CVE-2022-30190 attacks, CERT/CC vulnerability analyst Will Dormann (and [other](https://twitter.com/jdgregson/status/1531466364098973696) [researchers](https://twitter.com/HaifeiLi/status/1531431469775826945)) found that the security feature [will not block exploitation attempts](https://twitter.com/wdormann/status/1531427345143320576) if the target previews the malicious documents in Windows Explorer.


Therefore, it is also [advised](https://twitter.com/wdormann/status/1531259406624620544) to disable the Preview pane in Windows Explorer to also remove this attack vector.


According to Shadow Chaser Group's crazyman, the researchers who first spotted and reported the zero-day in April, Microsoft first tagged the flaw as [not a "security-related issue.](https://twitter.com/CrazymanArmy/status/1531184830171742209)" Still, it later closed the vulnerability submission report [with a remote code execution impact](https://twitter.com/CrazymanArmy/status/1531120929321152512).


The first attacks exploiting this zero-day bug began over a month ago and targeted potential Russian-speaking victims with [invitations to Sputnik Radio interviews](https://twitter.com/GossiTheDog/status/1531232262867525632).


BleepingComputer has reached out to Microsoft for more info on this vulnerability (jokingly dubbed by [Follina](https://twitter.com/GossiTheDog/status/1531011653235523586)) and to ask why it wasn't considered a security risk. We are yet to receive a reply, but we will update the article as soon as the company shares a statement.





## Tags:
***CVE's***: CVE-2022-30190

### Autogenerated tags:
[[microsoft]] [[windows]] [[cve-2022-30190]] [[msdt]] [[zero-day]]
