# Microsoft to kill off VBScript in Windows to block malware delivery
## Microsoft is planning to phase out VBScript in future Windows releases after 30 years of use, making it an on-demand feature until it is removed.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-to-kill-off-vbscript-in-windows-to-block-malware-delivery/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 October 2023, 12:36
+ Date scraped: 10 October 2023, 17:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/08/01/Microsoft.jpg)



Microsoft is planning to phase out VBScript in future Windows releases after 30 years of use, making it an on-demand feature until it is removed.


VBScript (also known as Visual Basic Script or Microsoft Visual Basic Scripting Edition) is a programming language similar to Visual Basic or Visual Basic for Applications (VBA) and was introduced almost 30 years ago, in August 1996.


It comes bundled with Internet Explorer (which was [killed off by Redmond](https://www.bleepingcomputer.com/news/microsoft/microsoft-edge-update-starts-disabling-internet-explorer-11-today/) across some Windows 10 platforms in February), integrates active scripting into Windows environments, and communicates with host applications through Windows Script.


"VBScript is being deprecated. In future releases of Windows, VBScript will be available as a feature on demand before its removal from the operating system," the company [said](https://learn.microsoft.com/en-us/windows/whats-new/deprecated-features) this week.


"Initially, the VBScript feature on demand will be preinstalled to allow for uninterrupted use while you prepare for the retirement of VBScript."


Features on Demand (FODs) are optional features within the Windows operating system like the .NET Framework (.NetFx3), Hyper-V, and the Windows Subsystem for Linux that aren't installed by default but can be added whenever necessary.


With the July 2019 Patch Tuesday cumulative updates, Microsoft also [disabled VBScript by default in Internet Explorer 11](https://www.bleepingcomputer.com/news/security/microsoft-to-disable-vbscript-by-default-on-august-13th/) on Windows 10.



![Windows 11 optional features](https://www.bleepstatic.com/images/news/u/1109292/2023/Windows_11_optional_features.png)*Windows 11 optional features user interface(BleepingComputer)*


One less malware infection vector
---------------------------------


Although not officially explained, Microsoft's decision to deprecate VBScript is likely tied to the earlier discontinuation of Internet Explorer this year. Fortunately, as a consequence, a prevalent infection vector employed by threat actors to infect Windows systems with malicious payloads has also been eliminated.


This move is part of a broader strategy to mitigate the increasing prevalence of malware campaigns exploiting various Windows and Office features for infections.


Malicious actors have used VBScript to distribute malware, including notorious strains like [Lokibot](https://www.bleepingcomputer.com/news/security/lokibot-uses-image-files-to-hide-code-for-unpacking-routine/), [Emotet](https://www.bleepingcomputer.com/news/security/emotet-malware-distributed-as-fake-w-9-tax-forms-from-the-irs/), [Qbot](https://www.bleepingcomputer.com/news/security/new-qbot-email-attacks-use-pdf-and-wsf-combo-to-install-malware/), and, more recently, [DarkGate malware](https://www.bleepingcomputer.com/news/security/microsoft-teams-phishing-attack-pushes-darkgate-malware/), among others, onto victims' computers.


The effort [traces back to 2018](https://www.bleepingcomputer.com/news/security/microsoft-office-365-customers-get-protection-against-malicious-macros/) when Microsoft extended support for AMSI to Office 365 applications, curbing attacks that utilized VBA macros.


Subsequently, Microsoft [disabled Excel 4.0 (XLM) macros](https://www.bleepingcomputer.com/news/microsoft/microsoft-disables-excel-40-macros-by-default-to-block-malware/), introduced [XLM macro protection](https://www.bleepingcomputer.com/news/security/microsoft-office-365-gets-protection-against-malicious-xlm-macros/), mandated [default blocking of VBA Office macros](https://www.bleepingcomputer.com/news/microsoft/microsoft-starts-blocking-office-macros-by-default-once-again/), and began [blocking untrusted XLL add-ins by default](https://www.bleepingcomputer.com/news/microsoft/microsoft-excel-now-blocking-untrusted-xll-add-ins-by-default/) in Microsoft 365 tenants worldwide.





## Tags:


### Autogenerated tags:
[[windows]] [[vbscript]] [[microsoft]] [[malware]] [[vba]]
