# Microsoft to retire its Support Diagnostic Tool (MSDT) in 2025
## Microsoft announced that it will retire Microsoft Support Diagnostic Tool (MSDT) troubleshooters in future versions of Windows, with MSDT ultimately being removed in 2025.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-to-retire-its-support-diagnostic-tool-msdt-in-2025/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 February 2023, 18:05
+ Date scraped: 10 February 2023, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/20/Windows.jpg)



Microsoft announced that it will retire Microsoft Support Diagnostic Tool (MSDT) troubleshooters in future versions of Windows, with MSDT ultimately being removed in 2025.


Also known as legacy inbox troubleshooters, these Windows built-in tools are used to diagnose and fix issues affecting some Windows features automatically.


While the MSDT app that runs them will be retired in 2025, the troubleshooters will be killed off with the launch of the next Windows 11 release.


After being retired, some MSDT troubleshooters will be redirected to Microsoft's Get Help platform (starting later this year), while the remaining ones will be removed.


You can access the Get Help troubleshooters from [Windows Settings](http://ms-settings:troubleshoot) by going to Start > Settings > System > Troubleshoot > Other Troubleshooters and selecting the troubleshooter that would help you address your issues.


According to Redmond's estimated deprecation timeline, the MSDT deprecation process will be done in stages over the next three years:


* 2023 – Begin redirecting some of the troubleshooters to the new Get Help troubleshooting platform
* 2024 – Complete the troubleshooter redirection and remove the rest of the troubleshooters
* 2025 – Remove the MSDT platform

"If you're running Windows 11 version 22H2 and older, Windows 10, Windows 8.1, Windows 7 or any other earlier OS version, your device will not be affected by the MSDT Troubleshooter retirement," Microsoft [added](https://support.microsoft.com/en-us/windows/deprecation-of-microsoft-support-diagnostic-tool-msdt-and-msdt-troubleshooters-0c5ac9a2-1600-4539-b9d0-069e71f9040a).


This is because the legacy inbox troubleshooters will continue to work as expected on earlier Windows OS versions until they're upgraded or updated to the latest release.


This week's announcement comes after Microsoft [temporarily displayed a retirement message](https://borncity.com/win/2023/01/15/rdigt-microsoft-das-windows-msdt-im-jahr-2025/) within MSDT's user interface in January 2023.



![Microsoft Support Diagnostic Tool (MSDT)](https://www.bleepstatic.com/images/news/u/1109292/2023/Microsoft%20Support%20Diagnostic%20Tool%20MSDT.jpg)*The Microsoft Support Diagnostic Tool (MSDT) (BleepingComputer)*


## Likely retired because of security issues​


While Redmond doesn't explain the reasons behind deprecating MSDT in future Windows versions, a possible explanation would be MSDT vulnerabilities patched by Microsoft in 2022 after they were exploited in the wild using zero-day exploits.


Both the [DogWalk](https://www.bleepingcomputer.com/tag/dogwalk/) (CVE-2022-34713) and the [Follina](https://www.bleepingcomputer.com/tag/follina/) (CVE-2022-30190) vulnerabilities allow unauthenticated attackers to gain remote code execution on unpatched Windows systems in low-complexity attacks.


"A remote code execution vulnerability exists when MSDT is called using the URL protocol from a calling application such as Word. An attacker who successfully exploits this vulnerability can run arbitrary code with the privileges of the calling application," Microsoft [said](https://msrc.microsoft.com/blog/2022/05/guidance-for-cve-2022-30190-microsoft-support-diagnostic-tool-vulnerability/) when describing the Follina bug.


"The attacker can then install programs, view, change, or delete data, or create new accounts in the context allowed by the user's rights."


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) [has](https://www.bleepingcomputer.com/news/security/cisa-warns-of-windows-and-unrar-flaws-exploited-in-the-wild/) [added](https://www.cisa.gov/uscert/ncas/current-activity/2022/05/31/microsoft-releases-workaround-guidance-msdt-follina-vulnerability) the two security flaws to its catalog of Known Exploited Vulnerabilities and ordered federal agencies to patch them as soon as possible to thwart incoming attack attempts.





## Tags:
***CVE's***: CVE-2022-30190 CVE-2022-34713

### Autogenerated tags:
[[msdt]] [[windows]] [[microsoft]]
