# Microsoft updates mitigation for ProxyNotShell Exchange zero days
## Microsoft has updated the mitigation for the latest Exchange zero-day vulnerabilities tracked as CVE-2022-41040 and CVE-2022-41082, also referred to ProxyNotShell.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-updates-mitigation-for-proxynotshell-exchange-zero-days/
+ Source: Bleeping Computer
+ Author: Ionut Ilascu
+ Date published: 05 October 2022, 12:58
+ Date scraped: 05 October 2022, 13:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/28/Micosoft_Exchange.jpg)



Microsoft has updated the mitigations for the latest Exchange zero-day vulnerabilities tracked as CVE-2022-41040 and CVE-2022-41082, also referred to ProxyNotShell.


The initial recommendations were insufficient as researchers showed that they can be easily bypassed to allow new attacks exploiting the two bugs.


### Improved URL Rewrite rule


Reported privately to Microsoft three weeks ago, CVE-2022-41040 is a server-side request forgery (SSRF) that enables privilege escalation and works with CVE-2022-41082 to trigger remote code execution on on-premise Exchange server deployments.


Both security issues come with a high-severity score mainly because exploiting them requires authentication.


A threat actor was detected exploiting the bug chain in August to install China Chopper webshells and engage in Active Directory reconnaissance and data exfiltration.


Microsoft on October 3 released mitigations to prevent these known attacks. Since the proposed URL blocking rule was too specific, [adversaries could still exploit the Exchange vulnerabilities](https://www.bleepingcomputer.com/news/security/microsoft-exchange-server-zero-day-mitigation-can-be-bypassed/) in new attacks.


Multiple security researchers pointed this out and recommended a less restrictive temporary solution until patches become available.


Microsoft reviewed the suggestion and adopted it in the updated mitigations. Below is the main difference between the improved recommendation (green) and the initial one (red).



![Microsoft's mitigation update for ProxyNotShell zero-day bugs](https://www.bleepstatic.com/images/news/u/1100723/2022/ImprovedMitigation_CVE-2022-41040_41082.jpg)**URL pattern improvement to mitigate ProxyNotShell exploitation**  
*source: BleepingComputer*


### Three mitigation options


On Tuesday, Microsoft announced that it updated its advisories with the improved URL Rewrite rule, recommending Exchange Server customers review it and adopt one of the three mitigation options provided.


Customers with Exchange Emergency Mitigation Service (EEMS) enabled benefit automatically from the updated URL Rewrite mitigation for Exchange Server 2016 and Exchange Server 2019


The [EOMTv2 script](https://aka.ms/EOMTv2) (version 22.10.03.1829) now includes the URL Rewrite rule improvement. It is automatically updated on internet-connected machines and should be run again on any Exchange Server without EEMS enabled


The third option is to manually delete the previously created rule and add the improved one by following the instructions below:


1. Open IIS Manager
2. Select **Default Web Site**
3. In the *Feature View*, click **URL Rewrite**
4. In the *Actions* pane on the right-hand side, click **Add Rule(s)…**
5. Select **Request Blocking** and click **OK**
6. Add the string “*.\*autodiscover\.json.\*Powershell.\**” (excluding quotes).
7. Select Regular Expression under Using.
8. Select Abort Request under How to block and then click OK.
9. Expand the rule and select the rule with the pattern: .\*autodiscover\.json.\*Powershell.\* and click Edit under Conditions.
10. Change the Condition input from {URL} to {REQUEST\_URI}
11. Additionally, Microsoft recommends [disabling remote PowerShell access](https://learn.microsoft.com/en-us/powershell/exchange/control-remote-powershell-access-to-exchange-servers?view=exchange-ps&viewFallbackFrom=exchange-ps%22%20%5Cl%20%22use-the-exchange-management-shell-to-enable-or-disable-remote-powershell-access-for-a-user) for non-admin users. The operation should take less than five minutes and the restriction can be enforced for only one or multiple users.

Additionally, Microsoft recommends [disabling remote PowerShell access](https://learn.microsoft.com/en-us/powershell/exchange/control-remote-powershell-access-to-exchange-servers?view=exchange-ps&viewFallbackFrom=exchange-ps%22%20%5Cl%20%22use-the-exchange-management-shell-to-enable-or-disable-remote-powershell-access-for-a-user) for non-admin users. The operation should take less than five minutes and the restriction can be enforced for only one or multiple users.


It is worth noting that Microsoft provides these mitigations for customers with on-premise Exchange servers, which means that companies with a [hybrid deployment](https://learn.microsoft.com/en-us/exchange/exchange-hybrid) are also at risk.


Furthermore, organizations that expose Exchange server over the public web face a higher risk of attacks. Some of them are in the government, financial, and education sectors, making an attractive target for both nation-state hackers and cybercriminals.





## Tags:
***CVE's***: CVE-2022-41082 CVE-2022-41040
***urls***: http://autodiscover.json.*Powershell.*

### Autogenerated tags:
[[microsoft]] [[url]] [[mitigations]]
