# NSA discovers critical Exchange Server vulnerabilities, patch now
## Microsoft today has released security updates for Exchange Server that address a set of four vulnerabilities with severity scores ranging from high to critical.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/nsa-discovers-critical-exchange-server-vulnerabilities-patch-now/
+ Source: Bleeping Computer
+ Author: Ionut Ilascu
+ Date published: 13 April 2021, 15:15
+ Date scraped: 12 December 2023, 14:33

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/03/10/Exchange1.jpg)



Microsoft today has released security updates for Exchange Server that address a set of four vulnerabilities with severity scores ranging from high to critical.


All the flaws lead to remote code execution on a vulnerable machine and were discovered and reported to Microsoft by the U.S. National Security Agency (NSA). Microsoft also found some of them internally.


Given their severity level and the Microsoft Exchange hacking spree that started at the beginning of the year, organizations are strongly recommended to prioritize installing the latest patches.


"Cybersecurity is national security. Network defenders now have the knowledge needed to act, but so do adversaries and malicious cyber actors," Rob Joyce, NSA's Director of Cybersecurity, said in a statement to BleepingComputer. "Don't give them the opportunity to exploit this vulnerability on your system."


### Exploitation is likely


The flaws affect on-premise Exchange Server versions 2013 through 2019 and while there is no evidence of being exploited in the wild, Microsoft assesses that threat actors are likely to leverage them as soon as they create an exploit.


The NSA says that the discovery of critical vulnerabilities in the Microsoft Exchange server is recent and that they reported them immediately through the “disclosure process to secure the nation and our allies.”



“After we disclosed these vulnerabilities to Microsoft, they promptly created a patch. NSA values partnership in the cybersecurity community. No one organization can secure their networks alone” - the U.S. National Security Agency



The four vulnerabilities received tracking numbers ([CVE-2021-28480](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-28480), [CVE-2021-28481](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-28481), [CVE-2021-28482](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-28482), [CVE-2021-28483](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-28483)). The most severe of them have a critical severity score of 9.8 out of 10 and could be exploited before authentication, according to Microsoft senior threat intelligence analyst [Kevin Beaumont](https://twitter.com/GossiTheDog/status/1382016434289704960). Another critical one is 9/10, and the least severe one is 8.8/10.


All of them lead to remote code execution and received patches through this month's updates from Microsoft, which fix a [total of 108 vulnerabilities](https://www.bleepingcomputer.com/news/microsoft/microsoft-april-2021-patch-tuesday-fixes-108-flaws-5-zero-days/), five of them being zero-days.


There are two avenues to apply the Exchange Server updates:


![](https://www.bleepstatic.com/images/news/u/1100723/2021/ExApril21SU01.jpg)


Applying the updates manually requires installing the Windows Installer .MSP patch files from an elevated command prompt.


Microsoft recommends organizations use the [Exchange Server Health Checker script](https://github.com/dpaulson45/HealthChecker#download) to detect common configuration issues that could cause performance trouble.


The script also shows if any of the Exchange servers are behind with the cumulative or security updates (CUs or SUs). Getting the latest CU is as simple as accessing the [update wizard here](https://aka.ms/ExchangeUpdateWizard) and selecting the Exchange version, the currently installed CU, and the required CU.


Microsoft also provides a set of frequently asked questions for situations where errors occur during or after the installation of Exchange Server updates, available [here](https://techcommunity.microsoft.com/t5/exchange-team-blog/released-april-2021-exchange-server-security-updates/ba-p/2254617).





## Tags:
***CVE's***: CVE-2021-28482 CVE-2021-28480 CVE-2021-28483 CVE-2021-28481

### Autogenerated tags:
[[microsoft]] [[nsa]] [[cybersecurity]]
