# NVIDIA staff suggests rolling back Windows 10 update to fix game issues
## An NVIDIA staff member has suggested users roll back to an earlier version of Windows 10 to resolve gameplay issues on devices using NVIDIA GPUs.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/nvidia-staff-suggests-rolling-back-windows-10-update-to-fix-game-issues/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 22 April 2021, 17:19
+ Date scraped: 12 December 2023, 14:07

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/13/windows-10-glass-broken.jpg)



***Update 4/24/21:*** [Microsoft has begun pushing out a fix](https://www.bleepingcomputer.com/news/microsoft/microsoft-pushes-emergency-fix-for-windows-10-kb5001330-gaming-issues/) for the Windows 10 KB5001330 gaming issues.




---

An NVIDIA staff member has suggested users roll back to an earlier version of Windows 10 to resolve gameplay issues on devices using NVIDIA GPUs.


Since Microsoft released the April 2021 cumulative updates, gamers have complained about frame rate drops and stuttering while playing games.


"This update seems to introduce a large amount of stuttering on my RTX 3070/R5 3600 rig. I initially thought it was corrupting the OS or graphics driver, but nope, the stuttering came back with every re-install and went away with every uninstall," a user stated in a Reddit thread about the April updates.


"For me it gives a huge problem on vsync usage. When using vsync it can’t hold a steady 60 fps. It drops like mad to 55 or 40. Without vsync the same game renders on 180+ FPS. I uninstalled it and it is back to normal. Not installing any updates till this is fixed," stated another user in the same [Reddit thread](https://www.reddit.com/r/Windows10/comments/mq75d6/cumulative_updates_april_13th_2021/).


These complaints are not only on Reddit and have spilled over to Windows 10's Feedback Hub, the Microsoft Community forums, the BleepingComputer forums, and the NVIDIA forums.


As first reported by [WindowsLatest](https://www.windowslatest.com/2021/04/22/nvidia-suggests-uninstalling-latest-windows-10-updates-to-fix-gaming-issues/), in response to these complaints, an NVIDIA staff member suggested rolling back from March 2021's optional [KB5000842](https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5000842-cumulative-update-fixes-freezing-issues/) preview update to resolve the issues. KB5000842 contains the same Windows 10 changes as of April's [KB5001330 update](https://www.bleepingcomputer.com/news/microsoft/windows-10-cumulative-updates-kb5001330-and-kb5001337-released/) but without the security fixes.


"If you are seeing lower performance in games, check if rolling back Windows 10 Update KB5000842 solves the issue," an NVIDIA staff member [commented in the NVIDIA forums](https://www.nvidia.com/en-us/geforce/forums/game-ready-drivers/13/448105/geforce-46611-grd-feedback-thread-released-41421/3055155/).


To roll back from April's updates, users would need to uninstall KB5001330 and revert to March's Windows 10 [KB5000802](https://support.microsoft.com/help/5000802) Patch Tuesday update.


As April's Windows 10 KB5001330 update [fixes over 100 security vulnerabilities](https://www.bleepingcomputer.com/news/microsoft/microsoft-april-2021-patch-tuesday-fixes-108-flaws-5-zero-days/), including actively exploited and publicly disclosed vulnerabilities, it is strongly advised that users not uninstall this update.


Microsoft will be releasing a new preview cumulative update today or tomorrow, and users can try installing that first to see if it resolves the gaming issues.


If not, it is strongly suggested that users try the latest graphics drivers or possibly even rolling back to older GPU drivers before even contemplating uninstalling security updates.


BleepingComputer has contacted Microsoft to see if they had any suggestions for users but have not heard back at this time.





## Tags:


### Autogenerated tags:
[[windows]] [[nvidia]] [[microsoft]] [[kb5001330]] [[uninstall]] [[reddit]] [[vsync]] [[kb5000842]]
