# Netgear warns users to patch recently fixed WiFi router bug
## Netgear has fixed a high-severity vulnerability affecting multiple WiFi router models and advised customers to update their devices to the latest available firmware as soon as possible.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/netgear-warns-users-to-patch-recently-fixed-wifi-router-bug/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 29 December 2022, 17:55
+ Date scraped: 29 December 2022, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/08/06/Router.jpg)



Netgear has fixed a high-severity vulnerability affecting multiple WiFi router models and advised customers to update their devices to the latest available firmware as soon as possible.


The flaw impacts multiple [Wireless AC Nighthawk](https://www.netgear.com/home/wifi/routers/r8000p/), [Wireless AX Nighthawk (WiFi 6)](https://www.netgear.com/home/wifi/routers/rax40/), and [Wireless AC](https://www.netgear.com/home/wifi/routers/r6400/) router models.


Although Netgear did not disclose any information about the component affected by this bug or its impact, it did say that it is a pre-authentication buffer overflow vulnerability.


The impact of a successful [buffer](https://cwe.mitre.org/data/definitions/121.html) [overflow](https://cwe.mitre.org/data/definitions/122.html) exploitation can range from crashes following denial of service to arbitrary code execution, if code execution is achieved during the attack.


Attackers can exploit this flaw in low-complexity attacks without requiring permissions or user interaction.


In a security advisory published on Wednesday, Netgear said it "strongly recommends that you download the latest firmware as soon as possible."


The list of vulnerable routers and the patched firmware versions can be found in the table below.




| **Vulnerable Netgear router** | **Patched firmware version** |
| RAX40 | Firmware version 1.0.2.60 |
| RAX35 | Firmware version 1.0.2.60 |
| R6400v2 | Firmware version 1.0.4.122 |
| R6700v3 | Firmware version 1.0.4.122 |
| R6900P | Firmware version 1.3.3.152 |
| R7000P | Firmware version 1.3.3.152 |
| R7000P | Firmware version 1.0.11.136 |
| R7960P | Firmware version 1.4.4.94 |
| R8000P | Firmware version 1.4.4.94 |

## How to update your router's firmware


To download and install the latest firmware for your Netgear router, you have to go through the following steps:


1. Visit [NETGEAR Support](https://www.netgear.com/support/).
2. Start typing your model number in the search box, then select your model from the drop-down menu as soon as it appears.
3. If you do not see a drop-down menu, ensure you entered your model number correctly or select a product category to browse for your product model.
4. Click **Downloads**.
5. Under **Current Versions**, select the first download whose title begins with **Firmware Version**.
6. Click **Release Notes**.
7. Follow the instructions in the firmware release notes to download and install the new firmware.

"The pre-authentication buffer overflow vulnerability remains if you do not complete all recommended steps," [Netgear also warned](http://kb.netgear.com/000065495/Security-Advisory-for-Pre-Authentication-Buffer-Overflow-on-Some-Routers-PSV-2019-0208).


"NETGEAR is not responsible for any consequences that could have been avoided by following the recommendations in this notification."


A Netgear spokesperson was not immediately available for comment when contacted by BleepingComputer earlier today for more information.


On Wednesday, Netgear also [urged customers](https://kb.netgear.com/000065497/Security-Advisory-for-Denial-of-Service-on-Some-Routers-PSV-2019-0104) to patch a second vulnerability that can be exploited to trigger a denial of service state in attacks targeting Wireless AC Nighthawk and Wireless AX Nighthawk (WiFi 6) routers.


Earlier this year, Netgear also [fixed a bad Orbi firmware update](https://www.bleepingcomputer.com/news/technology/netgear-fixes-bad-orbi-firmware-update-that-locked-admin-console/) that prevented customers from accessing their devices' admin consoles.





## Tags:
***ipv4-adresses***: 1.4.4.94 1.0.2.60 1.3.3.152 1.0.11.136 1.0.4.122

### Autogenerated tags:
[[netgear]] [[wifi]]
