# New LOBSHOT malware gives hackers hidden VNC access to Windows devices
## A new malware known as 'LOBSHOT' distributed using Google ads allows threat actors to stealthily take over infected Windows devices using hVNC.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-lobshot-malware-gives-hackers-hidden-vnc-access-to-windows-devices/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 01 May 2023, 18:15
+ Date scraped: 01 May 2023, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/09/hacker-looking-at-screens.jpg)



A new malware known as ‘LOBSHOT’ distributed using Google ads allows threat actors to stealthily take over infected Windows devices using hVNC.


Earlier this year, BleepingComputer and numerous cybersecurity researchers reported a dramatic increase in [threat actors utilizing Google ads to distribute malware](https://www.bleepingcomputer.com/news/security/hackers-push-malware-via-google-search-ads-for-vlc-7-zip-ccleaner/) in search results.


These advertising campaigns impersonated websites for 7-ZIP, VLC, OBS, Notepad++, CCleaner, TradingView, Rufus, and many more applications.


However, these sites pushed malware instead of distributing legitimate applications, including Gozi, RedLine, Vidar, Cobalt Strike, SectoRAT, and the [Royal Ransomware](https://www.bleepingcomputer.com/news/security/ransomware-access-brokers-use-google-ads-to-breach-your-network/).


## LOBSHOT distributed by Google ads


In a new report by Elastic Security Labs, researchers revealed that a new remote access trojan named LOBSHOT was being distributed through Google Ads.


These ads promoted the legitimate AnyDesk remote management software but led to a fake AnyDesk site at amydeecke[.]website.



![Fake AnyDesk ad spotted by Will Dormann](https://www.bleepstatic.com/images/news/malware/r/ransoware-access-broker/google-search/fake-anydesk-ad.jpg)**Fake AnyDesk ad spotted by Will Dormann**  
*Source: [MalwareHunterTeam](https://twitter.com/malwrhunterteam/status/1617605240316129280) & [Dormann](https://twitter.com/wdormann/status/1617612216945250304)*


This site pushed a malicious MSI file that executed a PowerShell command to download a DLL from download-cdn[.]com, a domain historically [associated with the TA505/Clop ransomware gang](https://www.bleepingcomputer.com/news/security/ransomware-access-brokers-use-google-ads-to-breach-your-network/).


This site pushed a malicious MSI file that executed a PowerShell command to download a DLL from download-cdn[.]com, a domain historically [associated with the TA505/Clop ransomware gang](https://www.bleepingcomputer.com/news/security/ransomware-access-brokers-use-google-ads-to-breach-your-network/).


However, Proofpoint threat researcher [Tommy Madjar](https://twitter.com/ffforward) previously told BleepingComputer that this domain had changed ownership in the past, so it is unclear if TA505 is still using it.


The downloaded DLL file is the LOBSHOT malware and will be saved in the C:\ProgramData folder and then executed by RunDLL32.exe.


"We have observed over 500 unique LOBSHOT samples since last July. The samples we have observed are compiled as 32-bit DLLs or 32-bit executables typically ranging around **93** KB to **124** KB," explains the [Elastic Security Labs report](https://www.elastic.co/security-labs/elastic-security-labs-discovers-lobshot-malware).


Once executed, the malware will check if Microsoft Defender is running, and if detected, terminate execution to prevent detection.


However, if Defender is not detected, the malware will configure Registry entries to start automatically when logging in to Windows and then transmit system information from the infected device, including running processes.


The malware will also check for 32 Chrome cryptocurrency wallet extensions, nine Edge wallet extensions, and 11 Firefox wallet extensions.


After enumerating the extensions, the malware will execute a file in C:\ProgramData. However, as that file did not exist in their analysis, Elastic is unsure whether it's used to steal the extension data or for some other purpose.


While stealing cryptocurrency extensions is common, Elastic also found that the malware included an hVNC module, allowing the threat actors to quietly access an infected device remotely.


## Stealthily controlling victims' devices


hVNC, or [hidden virtual network computing](https://securityintelligence.com/anatomy-of-an-hvnc-attack/), is a VNC remote access software modified to control a hidden desktop on the infected device rather than the main desktop used by the device's owner.


This allows a threat actor to remotely control a Windows desktop computer without the victim knowing it is happening.


Elastic says LOBSHOT deploys an hVNC module that allows the threat actors to control the hidden desktop using their mouse and keyboard as if they were in front of it.


"At this stage, the victim machine will start sending screen captures that represent the hidden desktop that is sent to a listening client controlled by the attacker," explains Elastic.


"The attacker interacts with the client by controlling the keyboard, clicking buttons, and moving the mouse, these capabilities provide the attacker full remote control of the device."


Using hVNC, the threat actors have complete control over the device, allowing them to execute commands, steal data, and even deploy further malware payloads.


As AnyDesk is commonly used in business environments, the malware is likely used for initial access to corporate networks and to spread laterally to other devices.


This type of access could lead to ransomware attacks, data extortion, and other attacks.





## Tags:
***email-adresses***: anydesksite@amydeecke.website
***urls***: http://amydeecke.website http://download-cdn.com

### Autogenerated tags:
[[malware]] [[hvnc]] [[lobshot]] [[google]] [[ransomware]] [[anydesk]] [[windows]] [[dll]]
