# New MOVEit Transfer critical flaws found after security audit, patch now
## Progress Software warned customers today of newly found critical SQL injection vulnerabilities in its MOVEit Transfer managed file transfer (MFT) solution that can let attackers steal information from customers' databases.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-moveit-transfer-critical-flaws-found-after-security-audit-patch-now/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 09 June 2023, 14:49
+ Date scraped: 09 June 2023, 19:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/06/09/MOVEit-headpic.jpg)



Progress Software warned customers today of newly found critical SQL injection vulnerabilities in its MOVEit Transfer managed file transfer (MFT) solution that can let attackers steal information from customers' databases.


These security bugs were discovered with the help of cybersecurity firm Huntress following detailed code reviews initiated by Progress on May 31, when it [addressed a flaw](https://www.bleepingcomputer.com/news/security/new-moveit-transfer-zero-day-mass-exploited-in-data-theft-attacks/) exploited as a zero-day by the Clop ransomware gang in [data theft attacks](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-responsibility-for-moveit-extortion-attacks/).


They affect all MOVEit Transfer versions and enable unauthenticated attackers to compromise Internet-exposed servers to alter or extract customer information.


"An attacker could submit a crafted payload to a MOVEit Transfer application endpoint which could result in modification and disclosure of MOVEit database content," Progress [says](https://community.progress.com/s/article/MOVEit-Transfer-Critical-Vulnerability-CVE-Pending-Reserve-Status-June-9-2023) in an advisory published today.


"All MOVEit Transfer customers must apply the new patch, released on June 9, 2023. The investigation is ongoing, but currently, we have not seen indications that these newly discovered vulnerabilities have been exploited," the company [added](https://www.progress.com/security/moveit-transfer-and-moveit-cloud-vulnerability).


The company [says](https://community.progress.com/s/article/Status-June-2023-security-vulnerabilities-in-MOVEit-Cloud) that all MOVEit Cloud clusters have already been patched against these new vulnerabilities to secure them against potential attack attempts.


Below you can find the current list of MOVEit Transfer versions that have a patch available for these new vulnerabilities:




|  |  |  |
| --- | --- | --- |
| **Affected Version** | **Fixed Version (full installer)** | **Documentation** |
| MOVEit Transfer 2023.0.x (15.0.x)  | [MOVEit Transfer 2023.0.2](https://cdn.ipswitch.com/ft/MOVEit/Transfer/2023/2023.0.2/MOVEit-Transfer-2023.0.2-FullInstall.exe) | [MOVEit 2023 Upgrade Documentation](https://docs.progress.com/category/moveit-transfer-2023) |
| MOVEit Transfer 2022.1.x (14.1.x)  | [MOVEit Transfer 2022.1.6](https://cdn.ipswitch.com/ft/MOVEit/Transfer/2022/2022.1.6/MOVEit-Transfer-2022.1.6-FullInstall.exe) | [MOVEit 2022 Upgrade Documentation](https://docs.progress.com/category/moveit-transfer-2022) |
| MOVEit Transfer 2022.0.x (14.0.x)  | [MOVEit Transfer 2022.0.5](https://cdn.ipswitch.com/ft/MOVEit/Transfer/2022/2022.0.5/MOVEit-Transfer-2022.0.5-FullInstall.exe) |
| MOVEit Transfer 2021.1.x (13.1.x)  | [MOVEit Transfer 2021.1.5](https://cdn.ipswitch.com/ft/MOVEit/Transfer/2021/2021.1.5/MOVEit-Transfer-2021.1.5-FullInstall.exe) | [MOVEit 2021 Upgrade Documentation](https://docs.ipswitch.com/MOVEit/Transfer2021/Manuals/en/index.htm#90000.htm) |
| MOVEit Transfer 2021.0.x (13.0.x)  | [MOVEit Transfer 2021.0.7](https://cdn.ipswitch.com/ft/MOVEit/Transfer/2021/2021.0.7/MOVEit-Transfer-2021.0.7-FullInstall.exe) |
| MOVEit Transfer 2020.1.x (12.1)  | Special Patch Available  | See KB [Vulnerability (May 2023) Fix for MOVEit Transfer 2020.1 (12.1)](https://community.progress.com/s/article/Vulnerability-May-2023-Fix-for-MOVEit-Transfer-2020-1-12-1) |
| MOVEit Transfer 2020.0.x (12.0) or older  | MUST upgrade to a supported version  | [See MOVEit Transfer Upgrade and Migration Guide](https://community.progress.com/s/article/Upgrade-and-or-Migration-Guide-for-MOVEit-Automation-and-MOVEit-Transfer) |

## MOVEit zero-day in Clop's hands since 2021


The Clop ransomware gang has claimed responsibility for targeting the CVE-2023-34362 MOVEit Transfer zero-day in a message sent to Bleepingomputer over the weekend, which led to a series of data-theft attacks that have allegedly affected "hundreds of companies."


While the credibility of their statements remains uncertain, the group's admission aligns with findings from Microsoft, which linked this campaign to the hacking group it tracks as Lace Tempest, which overlaps with TA505 and FIN11 activity.


Kroll security experts also [found evidence](https://www.bleepingcomputer.com/news/security/clop-ransomware-likely-testing-moveit-zero-day-since-2021/) that Clop has been looking for ways to exploit the now-patched MOVEit zero-day since 2021, as well as methods to extract data from compromised MOVEit servers since at least April 2022.


The Clop cybercriminal group has a history of orchestrating data theft campaigns and exploiting vulnerabilities in various managed file transfer platforms.


These exploits encompassed the zero-day breach of [Accellion FTA](https://www.bleepingcomputer.com/tag/accellion/) servers in December 2020, the 2021 [SolarWinds Serv-U](https://www.bleepingcomputer.com/news/security/clop-gang-exploiting-solarwinds-serv-u-flaw-in-ransomware-attacks/) Managed File Transfer attacks, and the widespread exploitation of a [GoAnywhere MFT](https://www.bleepingcomputer.com/news/security/fortra-shares-findings-on-goanywhere-mft-zero-day-attacks/) zero-day in January 2023.


Since Clop's MOVEit data theft attacks have been disclosed, affected organizations have slowly started coming forward to acknowledge data breaches and security incidents.


For instance, UK-based provider of payroll and HR solutions Zellis told BleepingComputer that it suffered a data breach due to these attacks, an incident that could likely impact some of its customers.


Some of its affected customers include British Airways (the UK's flag carrier), Aer Lingus (the Irish flag carrier), and the Minnesota Department of Education.


To further escalate the situation, Clop has [recently threatened](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-responsibility-for-moveit-extortion-attacks/) impacted organizations, urging them to initiate ransom negotiations to prevent the public leak of their data.





## Tags:
***CVE's***: CVE-2023-34362

### Autogenerated tags:
[[moveit]] [[zero-day]]
