# New Phishing toolkit lets anyone create fake Chrome browser windows
## A phishing kit has been released that allows red teamers and wannabe cybercriminals to create effective single sign-on phishing login forms using fake Chrome browser windows.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-phishing-toolkit-lets-anyone-create-fake-chrome-browser-windows/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 19 March 2022, 15:16
+ Date scraped: 19 March 2022, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/23/Chrome.jpg)



A phishing kit has been released that allows red teamers and wannabe cybercriminals to create effective single sign-on phishing login forms using fake Chrome browser windows.


When signing into websites, it is common to see the option to sign with Google, Microsoft, Apple, Twitter, or even Steam.


For example, the login form for DropBox allows you to login using an Apple or Google account, as shown below.



![DropBox login form](https://www.bleepstatic.com/images/news/security/phishing/b/browser-in-the-browser/dropbox-login.jpg)**DropBox login form**
When clicking the Login in Google or App buttons, a single-sign-on (SSO) browser window will be displayed, prompting you to enter your credentials and login with the account.


These Windows are stripped down to only show the login form and an address bar showing the URL of the login form.



![Legitimate sign in with Google window](https://www.bleepstatic.com/images/news/security/phishing/b/browser-in-the-browser/chrome-single-sign-on-google.jpg)**Legitimate sign in with Google window**
While this address bar is disabled in these SSO windows, you can still use the displayed URL to verify that a legitimate google.com domain is being used to sign you into the site. This URL further adds to the trust of the form and will make you feel comfortable entering your login credentials.


Threat actors have attempted to create these fake SSO windows using HTML, CSS, and JavaScript in the past, but there is usually something a little off about the windows, making them look suspicious.


## Introducing Browser in the Browser attacks


This is where a new "Browser in the Browser (BitB) Attack" comes into play that uses premade templates to create fake but realistic, Chrome popup windows that includes custom address URLs and titles that can be used in phishing attacks.


Basically, this attack creates fake browser windows within real browser windows (Browser in the Browser) to create convincing phishing attacks.


The Browser in the Browser attack templates was [created by security researcher mr.d0x](https://mrd0x.com/browser-in-the-browser-phishing-attack/), who released the templates on [GitHub](https://github.com/mrd0x/BITB). These templates include those for Google Chrome for Windows and Mac and dark and light mode variants.



![Example BitB Chrome phishing windows for Facebook](https://www.bleepstatic.com/images/news/security/phishing/b/browser-in-the-browser/facebook-phishing-example.jpg)**Example BitB Chrome phishing windows for Facebook**  
*Source: mr.d0x*
mr.d0x told BleepingComputer that the templates are very simple to use in creating convincing Chrome windows to display single sign-on login forms for any online platform.


The researcher said that redteamers could simply download the templates, edit them to contain the desired URL and Window title, and then use an iframe to display the login form.


It is also possible to add the HTML for the login form directly into the template, but mr.d0x told BleepingComputer that you would need to align the form properly using CSS and HTML.


[Kuba Gretzky](https://twitter.com/mrgretzky), the creator of the [Evilginx](https://github.com/kgretzky/evilginx2) phishing toolkit, tested the new method and showed how it worked perfectly with the Evilginx platform, meaning it could be adapted to steal 2FA keys during phishing attacks.



mr.d0x told BleepingComputer that this is not a new technique and that [Zscaler reported it being used](https://www.zscaler.com/blogs/security-research/fake-sites-stealing-steam-credentials) by fake gaming sites in 2020 to steal Steam credentials.



However, now that premade templates for fake Chrome windows are available, redteamers can use them to create convincing phishing sign-in forms to test the defense of their clients or their own company's employees.


For those who wish to try out the new Browser in the Browser phishing attack, you can grab the [templates from GitHub](http://github.com/mrd0x/BITB).





## Tags:


### Autogenerated tags:
[[windows]] [[phishing]] [[google]] [[mr.d0x]] [[url]] [[sso]] [[window]] [[html]] [[bleepingcomputer]]
