# New QBot email attacks use PDF and WSF combo to install malware
## QBot malware is now distributed in phishing campaigns utilizing PDFs and Windows Script Files (WSF) to infect Windows devices.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-qbot-email-attacks-use-pdf-and-wsf-combo-to-install-malware/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 17 April 2023, 13:48
+ Date scraped: 17 April 2023, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/11/Qbot--malware.jpg)



QBot malware is now distributed in phishing campaigns utilizing PDFs and Windows Script Files (WSF) to infect Windows devices.


Qbot (aka QakBot) is a former banking trojan that evolved into malware that provides initial access to corporate networks for other threat actors. This initial access is done by dropping additional payloads, such as [Cobalt Strike](https://www.bleepingcomputer.com/news/security/microsoft-these-are-the-building-blocks-of-qbot-malware-attacks/), [Brute Ratel](https://www.trendmicro.com/en_us/research/22/j/black-basta-infiltrates-networks-via-qakbot-brute-ratel-and-coba.html), and [other malware](https://news.sophos.com/en-us/2022/03/10/qakbot-decoded/) that allows other threat actors to access the compromised device.


Using this access, the threat actors spread laterally through a network, stealing data and eventually deploying ransomware in extortion attacks.


Starting this month, security researcher [ProxyLife](https://twitter.com/pr0xylife) and the Cryptolaemus group have [been chronicling](https://twitter.com/Cryptolaemus1/status/1643277974823661573) Qbot's use of a new email distribution method — PDF attachments that download Windows Script Files to install Qbot on victim's devices.


## It starts with an email


QBot is currently being distributed through reply-chain phishing emails, when threat actors use stolen email exchanges and then reply to them with links to malware or malicious attachments.


The use of reply-chain emails is an attempt to make a phishing email less suspicious as its a reply to an ongoing conversation.


The phishing emails use a variety of languages, marking this as a worldwide malware distribution campaign.



![QBot phishing email](https://www.bleepstatic.com/images/news/malware/q/qbot/pdf-wsf-distribution/spam-email.jpg)**QBot phishing email**  
*Source: BleepingComputer*


Attached to these emails is a PDF file named 'CancelationLetter-[number].pdf ,' that, when opened, displays a message stating, "This document contains protected files, to display them, click on the "open" button."


However, when the button is clicked, a ZIP file that contains a Windows Script (wsf) file will be downloaded instead.



![PDF document used to distribute malicious WSF files](https://www.bleepstatic.com/images/news/malware/q/qbot/pdf-wsf-distribution/pdf-attachment.jpg)**PDF document used to distribute malicious WSF files**  
*Source: BleepingComputer*


A Windows Script File ends with a .wsf extension and can contain a mixture of JScript and VBScript code that is executed when the file is double-clicked.


The WSF file used in the QBot malware distribution campaign is heavily obfuscated, with the ultimate goal of executing a PowerShell script on the computer.



![Malicious WSF file distributed by QBot PDF files](https://www.bleepstatic.com/images/news/malware/q/qbot/pdf-wsf-distribution/wsf-file.jpg)**Malicious WSF file distributed by QBot PDF files**  
*Source: BleepingComputer*


The PowerShell script that is executed by the WSF file attempts to download a DLL from a list of URLs. Each URL is tried until the file is successfully downloaded to the %TEMP% folder and executed.



![PowerShell script executed by the WSF file](https://www.bleepstatic.com/images/news/malware/q/qbot/pdf-wsf-distribution/powershell-command.jpg)**PowerShell script executed by the WSF file**  
*Source: BleepingComputer*


When the QBot DLL is executed, it will run the PING command to determine if there is an internet connection. The malware will then inject itself into the legitimate Windows wermgr.exe (Windows Error Manager) program, where it will quietly run in the background.



![QBot malware injected into the memory of the Wermgr.exe process](https://www.bleepstatic.com/images/news/malware/q/qbot/pdf-wsf-distribution/injected-into-wermgr.jpg)**QBot malware injected into the memory of the Wermgr.exe process**  
*Source: BleepingComputer*


QBot malware infections can lead to devastating attacks on corporate networks, making it vital to understand how the malware is being distributed.


Ransomware affiliates linked to multiple Ransomware-as-a-Service (RaaS) operations, including [BlackBasta](https://www.bleepingcomputer.com/news/security/qbot-now-pushes-black-basta-ransomware-in-bot-powered-attacks/), REvil, PwndLocker, [Egregor](https://www.bleepingcomputer.com/news/security/qbot-partners-with-egregor-ransomware-in-bot-fueled-attacks/), [ProLock](https://www.bleepingcomputer.com/news/security/prolock-ransomware-teams-up-with-qakbot-trojan-for-network-access/), and [MegaCortex](https://www.bleepingcomputer.com/news/security/new-megacortex-ransomware-found-targeting-business-networks/), have used Qbot for initial access into corporate networks.


Researchers at [The DFIR Report](https://thedfirreport.com/2022/02/07/qbot-likes-to-move-it-move-it/) have shown that it only takes around 30 minutes for QBot to steal sensitive data after the initial infection. Even worse, malicious activity only takes an hour to spread to adjacent workstations.


Therefore, if a device becomes infected with QBot, it is critical to take the system offline as soon as possible and perform a complete evaluation of the network for unusual behavior.





## Tags:


### Autogenerated tags:
[[qbot]] [[malware]] [[wsf]] [[windows]] [[phishing]] [[bleepingcomputer]] [[pdf]] [[emails]] [[powershell]]
