# New ‘Shampoo’ Chromeloader malware pushed via fake warez sites
## A new ChromeLoader campaign is underway, infecting visitors of warez and pirated movie sites with a new variant of the search hijacker and adware browser extension named Shampoo.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-shampoo-chromeloader-malware-pushed-via-fake-warez-sites/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 14 June 2023, 13:56
+ Date scraped: 14 June 2023, 18:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/23/Chrome_flare.jpg)



A new ChromeLoader campaign is underway, infecting visitors of warez and pirated movie sites with a new variant of the search hijacker and adware browser extension named Shampoo.


This discovery of the new campaign comes from HP's threat research team (Wolf Security), who report that the operation has been underway since March 2023.


## ChromeLoader history


ChromeLoader is a browser hijacker that force-installs browser extensions that redirect search results to promote unwanted software, fake giveaways, surveys, adult games, dating sites, and other irrelevant results.


Roughly a year ago, analysts at [Red Canary reported](https://www.bleepingcomputer.com/news/security/new-chromeloader-malware-surge-threatens-browsers-worldwide/) a sudden spike in ChromeLoader distribution that had started in February 2022, now including macOS on the targeting scope along with Windows.


In September, [VMware and Microsoft warned](https://www.bleepingcomputer.com/news/security/vmware-microsoft-warn-of-widespread-chromeloader-malware-attacks/) of another massive ChromeLoader campaign featuring the experimental ability to drop additional malware, including ransomware.


More recently, in February 2023, security researchers at [ASEC discovered](https://www.bleepingcomputer.com/news/security/chromeloader-campaign-lures-with-malicious-vhds-for-popular-games/) a campaign where ChromeLoader malware was distributed in VHD files named after popular video games.


## Newest campaign


HP's analysts report that in the campaign that started in March 2023, ChromeLoader is distributed via a network of malicious websites that promise free downloads of copyrighted music, movies, or video games.



![Malicious website distributing ChromeLoader](https://www.bleepstatic.com/images/news/u/1220909/2023/Adware/6/website.jpg)**Malicious website distributing ChromeLoader** *(HP)*


Instead of legitimate media files or software installers, the victims download VBScripts that execute PowerShell scripts setting up a scheduled task prefixed with "chrome\_" for persistence.


This task triggers a series of scripts that download a save a new PowerShell script into the host's registry as "HKCU:\Software\Mirage Utilities\" and also fetch the malicious Chrome extension, Shampoo.



![PowerShell script, part of ChromeLoader's infection chain](https://www.bleepstatic.com/images/news/u/1220909/2023/Adware/6/ps1.png)**PowerShell script, part of ChromeLoader's infection chain** *(BleepingComputer)*


Shampoo is a variant of ChromeLoader, capable of injecting adverts on websites the victim visits and performing search query redirections.


In a sample analyzed by BleepingComputer, searches from the browser address bar or Google are first redirected to a website at ythingamgladt[.]com and then to Bing search results.


Once the malicious extension is installed, it prevents the victim from accessing the Chrome extensions screen. Users are instead redirected to the Chrome settings screen when attempting to do so.


The adware's operation is thought to be financially motivated, aiming to generate revenue from the search redirects and advertisements.


Of course, it's not hard for victims to notice these redirections, as they're not getting what they search for on Google, yet removing the malware is complicated.


"Removing ChromeLoader Shampoo is not as simple as uninstalling a legitimate extension," [warns HP in the report](https://threatresearch.ext.hp.com/wp-content/uploads/2023/06/HP_Wolf_Security_Threat_Insights_Report_Q1_2023.pdf).


"The malware relies on looping scripts and a Windows scheduled task to reinstall the extension whenever the victim removes it or reboots their device."



![ChromeLoader's latest infection chain](https://www.bleepstatic.com/images/news/u/1220909/2023/Adware/6/infection-chain.jpg)**ChromeLoader's latest infection chain** *(HP)*


Hence, if the victim reboots the system, the Chrome malware will be temporarily disabled, but it gets reinstalled quickly.


To get rid of ChromeLoader Shampoo, HP Wolf Security says users can perform the following steps:


* Remove any scheduled tasks prefixed with "chrome\_". Legitimate Chrome scheduled tasks are normally prefixed with "Google".
* Delete the registry key "HKCU\Software\Mirage Utilities\".
* Then reboot the computer.

BleepingComputer also found the PowerShell scripts extracting the malicious extension to 'C:\Users\<user>\appdata\local\chrome\_test' folder, which should be deleted if it exists.


HP warns that these removal steps must be completed quickly before the looping script reinstalls the malware.


A simple method to determine if a ChromeLoader variant runs on your web browser is to verify if Chrome is running with the "-load-extension" argument. You can use tools like [Process Explorer](https://learn.microsoft.com/en-us/sysinternals/downloads/process-explorer) to examine a process' properties and see command-line arguments.


HP explains that those working in corporate environments who are infected with ChromeLoader may be reluctant to seek help from their IT department colleagues due to fearing the ramifications of breaking their employer's policies by downloading software from doubtful sources.


However, the threat of adware should not be ignored or downplayed, as this is still a trojan running on your system which could attempt to cause more significant damage at any time, should its operators decide to seek more aggressive monetization pathways from their infections.





## Tags:
***email-adresses***: awebsite@ythingamgladt.com
***urls***: http://ythingamgladt.com

### Autogenerated tags:
[[chromeloader]] [[malware]] [[powershell]] [[adware]] [[bleepingcomputer]] [[google]]
