# Over 19,000 end-of-life Cisco routers exposed to RCE attacks
## Over 19,000 end-of-life Cisco VPN routers on the Internet are exposed to attacks targeting a remote command execution exploit chain.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/over-19-000-end-of-life-cisco-routers-exposed-to-rce-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 20 January 2023, 21:26
+ Date scraped: 20 January 2023, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/01/20/Cisco.jpg)



Over 19,000 end-of-life Cisco VPN routers on the Internet are exposed to attacks targeting a remote command execution exploit chain.


By chaining two security flaws [disclosed last week](https://www.bleepingcomputer.com/news/security/cisco-warns-of-auth-bypass-bug-with-public-exploit-in-eol-routers/), threat actors can bypass authentication (CVE-2023-20025) and execute arbitrary commands (CVE-2023-2002) on the underlying operating system of Cisco Small Business [RV016](https://www.cisco.com/c/en/us/products/collateral/routers/small-business-rv-series-routers/eos-eol-notice-c51-736069.html), [RV042, RV042G](https://www.cisco.com/c/en/us/products/collateral/routers/small-business-rv-series-routers/eos-eol-notice-c51-743070.html), and [RV082](https://www.cisco.com/c/en/us/products/collateral/routers/small-business-rv-series-routers/eos-eol-notice-c51-736749.html) routers.


Unauthenticated attackers can exploit the critical severity auth bypass flaw remotely via specially crafted HTTP requests sent to the vulnerable routers' web-based management interface to gain root access.


Cisco rated CVE-2023-20025 as critical and said that its Product Security Incident Response Team (PSIRT) team is aware of proof-of-concept exploit code available in the wild.


Despite this, the company also said it "has not and will not release software updates that address this vulnerability."


For the time being, Cisco has found no evidence suggesting that this exploit chain is being abused in attacks.


## Thousands of routers vulnerable to attacks


After BleepingComputer [reported](https://www.bleepingcomputer.com/news/security/cisco-warns-of-auth-bypass-bug-with-public-exploit-in-eol-routers/) that these routers would be left without a patch and looking into how many of them are reachable over the Internet, Censys found [almost 20,000 RV016, RV042, RV042G, and RV082 Cisco routers](https://search.censys.io/search?resource=hosts&sort=RELEVANCE&per_page=25&virtual_hosts=EXCLUDE&q=same_service%28services.service_name%3DHTTP+and+services.tls.certificates.leaf_data.issuer.organizational_unit%3A+%7BRV042G%2CRV016%2C+RV042%2C+RV082%7D+%29+or+services.http.response.headers.www_authenticate%3A+%7B%27%3D%22RV016%22%27%2C+%27%3D%22RV042%22%27%2C+%27%3D%22RV042G%22%27%2C+%27%3D%22RV082%22%27%7D) online.


"By looking at only HTTP services that include the model numbers in either the 'WWW-Authenticate' response header or an HTTPS service with a matching TLS organizational unit, Censys search results show around 20,000 hosts have indicators that they are potentially vulnerable to this attack," Censys [said](https://censys.wpengine.com/cve-2023-20025/).


"Of the four vulnerable models, the RV042 dominates the landscape, with over 12k hosts exposed to the internet.


"The RV082 and RV042 with 3.5k hosts, while the RV016 trails behind with only 784 internet-exposed assets."



![Map of Internet-exposed vulnerable routers](https://www.bleepstatic.com/images/news/u/1109292/2023/Map%20of%20Internet-exposed%20vulnerable%20routers.png)*Vulnerable routers distribution worldwide (Censys)*


​Although they won't get security updates, and Cisco said that there "are no workarounds that address these vulnerabilities," users can still secure their devices from attacks by disabling the web-based management interface and blocking access to ports 443 and 60443 to thwart exploitation attempts.


To do that, log into each vulnerable router's web-based management interface, go to Firewall > General, and uncheck the Remote Management check box. Cisco also provides detailed instructions on [blocking access to ports 443 and 60443](https://sec.cloudapps.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-sbr042-multi-vuln-ej76Pke5#workarounds:~:text=Block%20Access%20to%20Ports%20443%20and%2060443).


The affected routers will still be accessible and can be configured via the LAN interface after implementing the above mitigation.


Cisco also said it [wouldn't fix a critical auth bypass flaw](https://www.bleepingcomputer.com/news/security/cisco-won-t-fix-authentication-bypass-zero-day-in-eol-routers/) affecting multiple EoL routers in September and advised users to switch to RV132W, RV160, or RV160W routers still under support.


Three months earlier, in June, Cisco again encouraged owners to migrate to newer router models after disclosing [a critical remote code execution (RCE) vulnerability](https://www.bleepingcomputer.com/news/security/cisco-says-it-won-t-fix-zero-day-rce-in-end-of-life-vpn-routers/) in another series of end-of-life VPN routers that was also left unpatched.





## Tags:
***CVE's***: CVE-2023-2002 CVE-2023-20025

### Autogenerated tags:
[[rv042]] [[censys]] [[rv016]] [[rv082]] [[web-based]]
