# Over 60,000 Exchange servers vulnerable to ProxyNotShell attacks
## More than 60,000 Microsoft Exchange servers exposed online are yet to be patched against the CVE-2022-41082 remote code execution (RCE) vulnerability, one of the two security flaws targeted by ProxyNotShell exploits.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/over-60-000-exchange-servers-vulnerable-to-proxynotshell-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 03 January 2023, 20:51
+ Date scraped: 03 January 2023, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/28/Micosoft_Exchange.jpg)



More than 60,000 Microsoft Exchange servers exposed online are yet to be patched against the CVE-2022-41082 remote code execution (RCE) vulnerability, one of the two security flaws targeted by ProxyNotShell exploits.


According to a [recent tweet](http://twitter.com/Shadowserver/status/1607439237615419400) from security researchers at the Shadowserver Foundation, a nonprofit organization dedicated to improving internet security, almost 70,000 Microsoft Exchange servers were found to be vulnerable to ProxyNotShell attacks according to version information (the servers' x\_owa\_version header).


However, new data published on Monday shows that the number of vulnerable Exchange servers [has decreased](http://dashboard.shadowserver.org/statistics/combined/time-series/?date_range=30&source=scan%2Bscan6&tag=exchange&style=stacked) from 83,946 instances in mid-December to 60,865 detected on January 2nd.



![Exchange servers vulnerable to ProxyNotShell attacks](https://www.bleepstatic.com/images/news/u/1109292/2023/Exchange%20servers%20vulnerable%20to%20ProxyNotShell%20attacks.png)*Exchange servers vulnerable to ProxyNotShell attacks (Shadowserver Foundation)*


These two security bugs, tracked as [CVE-2022-41082](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-41082) and [CVE-2022-41040](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-41040) and collectively known as ProxyNotShell, affect Exchange Server 2013, 2016, and 2019.


If successfully exploited, attackers can escalate privileges and gain arbitrary or remote code execution on compromised servers.


Microsoft released security updates to address the flaws during the [November 2022 Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-november-2022-patch-tuesday-fixes-6-exploited-zero-days-68-flaws/), even though ProxyNotShell attacks have been detected in the wild [since at least September 2022](https://www.bleepingcomputer.com/news/security/new-microsoft-exchange-zero-days-actively-exploited-in-attacks/).


Threat intelligence company GreyNoise has been tracking ongoing ProxyNotShell exploitation since September 30th and provides information on [ProxyNotShell scanning activity](https://viz.greynoise.io/tag/exchange-proxynotshell-vuln-check?days=30) and a list of IP addresses linked to the attacks.



![Map of Exchange servers unpatched against ProxyNotShell](https://www.bleepstatic.com/images/news/u/1109292/2023/Map%20of%20Exchange%20servers%20unpatched%20against%20ProxyNotShell.jpeg)*Map of Exchange servers unpatched against ProxyNotShell (Shadowserver Foundation)* 


## Thousands also exposed to ProxyShell and ProxyLogon attacks


In order to protect your Exchange servers from incoming attacks, you have to apply the ProxyNotShell patches released by Microsoft [in November](https://www.bleepingcomputer.com/news/microsoft/microsoft-november-2022-patch-tuesday-fixes-6-exploited-zero-days-68-flaws/).


While the company also provided mitigation measures, these can be bypassed by attackers, meaning that only fully patched servers are secure from compromise.


As [reported](https://www.bleepingcomputer.com/news/security/ransomware-gang-uses-new-microsoft-exchange-exploit-to-breach-servers/) by BleepingComputer last month, Play ransomware threat actors are now using a new exploit chain to bypass [ProxyNotShell URL rewrite mitigations](https://www.bleepingcomputer.com/news/security/microsoft-updates-mitigation-for-proxynotshell-exchange-zero-days/) and gain remote code execution on vulnerable servers through Outlook Web Access (OWA).


To make things even worse, a [Shodan search](https://www.shodan.io/search/report?query=http.title%3Aoutlook+exchange) reveals a significant number of Exchange servers exposed online, with thousands left unpatched against ProxyShell and ProxyLogon vulnerabilities that made it into the [top most exploited vulnerabilities](https://www.bleepingcomputer.com/news/security/cybersecurity-agencies-reveal-top-exploited-vulnerabilities-of-2021/) in 2021.



![Exchange servers exposed online](https://www.bleepstatic.com/images/news/u/1109292/2023/Exchange%20servers%20exposed%20online.png)*Exchange servers exposed online (Shodan)*


Exchange servers are valuable targets, as demonstrated by the financially motivated FIN7 cybercrime group which has developed a custom auto-attack platform known as Checkmarks and [designed to breach Exchange servers](https://www.bleepingcomputer.com/news/security/fin7-hackers-create-auto-attack-platform-to-breach-exchange-servers/).


According to threat intelligence firm Prodaft, which discovered the platform, it scans for and exploits various Microsoft Exchange remote code execution and privilege elevation vulnerabilities, such as CVE-2021-34473, CVE-2021-34523, and CVE-2021-31207.


FIN7's new platform has already been used to infiltrate 8,147 companies, primarily located in the United States (16.7%), after scanning over 1.8 million targets.





## Tags:
***CVE's***: CVE-2022-41082 CVE-2021-34523 CVE-2021-31207 CVE-2021-34473 CVE-2022-41040

### Autogenerated tags:
[[proxynotshell]] [[microsoft]] [[shadowserver]]
