# Photo editor Android app STILL sitting on Google Play store is malware
## An Android app sitting on the Google Play store touts itself to be a photo editor app. But, it contains code that steals the user's Facebook credentials to potentially run ad campaigns on the user's behalf, with their payment information. The app has scored over 5K installs, with similar spyware apps having 500K+ installs.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/photo-editor-android-app-still-sitting-on-google-play-store-is-malware/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 12 October 2021, 04:13
+ Date scraped: 11 December 2023, 13:23

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/17/Android.jpg)



*Note: The app was shortly removed after BleepingComputer reported it to Google via Play store.*


An Android app sitting on the Google Play store touts itself to be a photo editor app. But, it contains code that steals the user's Facebook credentials to potentially run ad campaigns on the user's behalf, with their payment information.


The app is called "Blender Photo Editor-Easy Photo Background Editor" and has been installed over 5,000 times to date.


Last week, similar malicious apps with over 500,000 installs were also found on the Play Store.


"Log in" with Facebook does more than just login
------------------------------------------------


Like many Android apps, the "Blender Photo Editor-Easy Photo Background Editor" app comes with the sign-in with Facebook functionality. Except, it also makes use of your Facebook credentials to do some fishy stuff.


[Tatyana Shishkova](https://twitter.com/sh1shk0va/status/1447540805275635723), an Android Malware Analyst at Kaspersky, discovered the "trojan" app this week which is [still available](https://play.google.com/store/apps/details?id=com.easyblender.blendphoto) on the Google Play store, at the time of writing.



![malicious photo editor Android app](https://www.bleepstatic.com/images/news/u/1164866/2021/Oct-2021/android-malware-photo-editor/photo-editor-app-border.jpg)**Photo editor Android app still sitting on the Google Play store** (BleepingComputer)


The app contains malicious code, identical to what was found in similar "photo editor" apps last week by [Maxime Ingrao](https://twitter.com/IngraoMaxime/status/1446092868381249544), a security researcher at mobile payments cybersecurity firm Evina.


These Android apps require Android users to sign in via their Facebook account to access the app, but then silently collect the credentials via encrypted JavaScript commands hidden within the app.


The apps then make requests to the Facebook Graph API to peek into the user's Facebook account and look for any ad campaigns and stored payment information.


The malware, according to Ingrao, "is very interested in the advertising campaigns you might have done and if you have a registered credit card." This would allow the attacker behind these apps to create their own ad campaigns via the user's Facebook credentials, and linked payment information.


Identical apps installed over 500,000 times
-------------------------------------------


Ingrao had previously discovered similar malicious apps called  "Magic Photo Lab - Photo Editor" and "Pix Photo Motion Edit 2021" with the latter scoring over 500,000 installs.


Both apps have since been removed from the Google Play store.



![Malicious Android apps with over 500K downloads on Google Play store](https://www.bleepstatic.com/images/news/u/1164866/2021/Oct-2021/android-malware-photo-editor/removed-apps.jpeg)**Malicious Android apps with over 500K downloads on Google Play store** (BleepingComputer)


The researcher shared some insights with BleepingComputer as to how he found something wasn't right with these apps.


"I noticed the suspicious code first by doing a dynamic analysis," Ingrao tells BleepingComputer in an email interview.


"I noticed that the WebView was running JavaScript to retrieve the credentials. Then I downloaded the code and I recoded the function that decrypts the texts inside the code, that's how I found the executed JavaScript and the calls to the Facebook Graph API," continued the French security researcher.


BleepingComputer also analyzed the [APK](https://en.wikipedia.org/wiki/Android_application_package) for "Blender Photo Editor-Easy Photo Background Editor," which is still live on Google Play, and can confirm seeing identical malicious code in the app.


During our analysis, we attempted to roughly reconstruct the Java source code of the Android app from the compiled APK ([bytecode](https://en.wikipedia.org/wiki/Java_bytecode)).


The suspicious class "sources/com/easyblender/blendphoto/Blends/ext/AnaActivity.java" contains the WebView referenced by Ingrao. Additionally, we noticed partial strings, such as, "m.face" and "m.f" referring to *m.facebook.com* and *m.fb.com* domains.


The obfuscated code, in various places, contains encrypted strings with JavaScript code that are only decrypted when the app is running live. There are instructions in the code to fetch user's Facebook "[access\_token](https://developers.facebook.com/docs/facebook-login/access-tokens/)" to authenticate to the Facebook API, and accessing Facebook session cookies such as, "[c\_user](https://medium.com/swlh/adventures-with-facebooks-session-cookie-3a6e10783070)"—all of which may appear as part of the normal "Sign-in with Facebook" workflow.



![Malicious Photo Editor app code](https://www.bleepstatic.com/images/news/u/1164866/2021/Oct-2021/android-malware-photo-editor/malicious-code.jpg)**Various instances of obfuscated and encrypted code found inside the app** (BleepingComputer)


But at runtime, the following JavaScript code, [seen by Ingrao](https://twitter.com/IngraoMaxime/status/1446092872948846603), conducts additional spying. A WebView launched by the app runs this JavaScript code to retrieve the Facebook credentials entered by the user.


And this is when the aforementioned requests to Facebook's Graph API are made, to peek into any Facebook ad campaigns present in the user's account, along with the associated payment information:



![Malicious JS code decrypts at runtime](https://www.bleepstatic.com/images/news/u/1164866/2021/Oct-2021/android-malware-photo-editor/ingrao-runtime.jpeg)**Malicious JS code decrypts at runtime** (Maxime Ingrao)


Android users should be wary of such "photo editor" apps recently seen on the Google Play store. Those who have already installed any such app should uninstall the app immediately, clean up their smartphone, and reset their Facebook credentials.


BleepingComputer has reported the aforementioned Blender photo editor app to Google Play prior to publishing.


*Update 5:05 am ET: Google Play Store has removed the Blender photo editor app following our report. An archived copy of the app page is [available](http://web.archive.org/web/20211012061849/https://play.google.com/store/apps/details?id=com.easyblender.blendphoto).*





## Tags:


### Autogenerated tags:
[[facebook]] [[apps]] [[google]] [[android]] [[bleepingcomputer]] [[ingrao]] [[javascript]] [[api]] [[editor-easy]] [[webview]]
