# PoC exploit released for Microsoft Exchange bug discovered by NSA
## Technical documentation and proof-of-concept exploit (PoC) code has been released for a high-severity vulnerability in Microsoft Exchange Server that could let remote attackers execute code on unpatched machines.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/poc-exploit-released-for-microsoft-exchange-bug-discovered-by-nsa/
+ Source: Bleeping Computer
+ Author: Ionut Ilascu
+ Date published: 03 May 2021, 13:24
+ Date scraped: 12 December 2023, 13:42

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/03/10/Exchange1.jpg)



Technical documentation and proof-of-concept exploit (PoC) code is available for a high-severity vulnerability in Microsoft Exchange Server that could let remote attackers execute code on unpatched machines.


The flaw is for one of the [four](https://www.bleepingcomputer.com/news/security/nsa-discovers-critical-exchange-server-vulnerabilities-patch-now/) that the National Security Agency (NSA) reported to Microsoft and received a fix in April.


Despite being the least severe of the bunch and requiring authentication, the risk that CVE-2021-28482 poses to companies is not to be neglected.


### Valid PoC exploit code


A technical write-up is available since April 26 from security researcher [Nguyen Jang](https://twitter.com/testanull/), who released in the past a [short-lived PoC exploit](https://www.bleepingcomputer.com/news/security/new-poc-for-microsoft-exchange-bugs-puts-attacks-in-reach-of-anyone/) for ProxyLogon vulnerabilities.


Jang’s [blog post](https://testbnull.medium.com/microsoft-exchange-from-deserialization-to-post-auth-rce-cve-2021-28482-e713001d915f), while in Vietnamese, should pose no challenge in understanding the technical details to achieve remote code execution in an authenticated Exchange Server environment.


Yesterday, the researcher also published on GitHub [demo exploit for CVE-2021-28482](https://gist.github.com/testanull/9ebbd6830f7a501e35e67f2fcaa57bda) written in Python. The validity of the code has been confirmed by Will Dormann, a vulnerability analyst for CERT/CC.



![CVE-2021-28482 exploit code test](https://www.bleepstatic.com/images/news/u/1100723/2021/ExploitWin_WillDorman-.jpg)source: [Will Dormann](https://twitter.com/wdormann/status/1388864413424406528)


Dormann notes that attackers can exploit this deserialization vulnerability if they are authenticated on an on-premise Exchange Server instance that does not run Microsoft’s April updates.


Between the [ProxyLogon vulnerabilities](https://www.bleepingcomputer.com/news/security/the-microsoft-exchange-hacks-how-they-started-and-where-we-are/) exploited since the beginning of the year, months before Microsoft released a patch, and the set reported by the NSA, companies rushed to update their Exchange servers at an impressively quick rate.


The high patch rate and the need for authentication lower the risk of compromise but do not eliminate it, though.



“But if anybody STILL doesn't have April's Exchange patches installed, if you can imagine an AUTHENTICATED attacker is a possibility, then assume CVE-2021-28482 was used” - [Will Dormann](https://twitter.com/wdormann/status/1388864413424406528)



The vulnerability analyst told BleepingComputer that even if this bug is not as serious as ProxyLogon, since it does not allow en-masse scanning or exploitation, a real-life scenario for leveraging it exists:



> 
> But, any Exchange instance where a single user has a password that has been leaked, or any organization that has a single malicious or even just compromised insider is at risk if they have not installed April's Exchange update.
> 
> 
> 


Mass exploitation of an unauthenticated vulnerability leading to remote code execution should be the most powerful motivation for a company to install the latest patches for Exchange Server.


Dormann said that anyone running on-premise machines without Microsoft’s April updates “is in trouble,” more so if the server is exposed to the public internet.





## Tags:
***CVE's***: CVE-2021-28482

### Autogenerated tags:
[[microsoft]] [[dormann]] [[poc]] [[cve-2021-28482]] [[proxylogon]]
