# PoC exploits released for Netgear Orbi router vulnerabilities
## Proof-of-concept exploits for vulnerabilities in Netgear's Orbi 750 series router and extender satellites have been released, with one flaw a critical severity remote command execution bug.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/poc-exploits-released-for-netgear-orbi-router-vulnerabilities/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 22 March 2023, 14:14
+ Date scraped: 22 March 2023, 15:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/03/22/orbi-heapic.jpg)



Proof-of-concept exploits for vulnerabilities in Netgear’s Orbi 750 series router and extender satellites have been released, with one flaw a critical severity remote command execution bug.


Netgear Orbi is a popular network mesh system for home users, providing strong coverage and high throughput on up to 40 simultaneously connected devices across spaces between 5,000 and 12,500 square feet.


The flaws in Netgear’s system were discovered by the [Cisco Talos team](https://blog.talosintelligence.com/vulnerability-spotlight-netgear-orbi-router-vulnerable-to-arbitrary-command-execution/) and reported to the vendor on August 30, 2022. Cisco urges users to update their firmware to the [latest version](https://www.netgear.com/support/product/RBR750#download), 4.6.14.3, released on January 19, 2023.


## The Orbi vulnerabilities


The first and most critical (CVSS v3.1: 9.1) flaw is tracked as [CVE-2022-37337](https://talosintelligence.com/vulnerability_reports/TALOS-2022-1596) and is a remotely exploitable command execution vulnerability in the access control functionality of the Netgear Orbi router.


An attacker can exploit publicly accessible admin consoles by sending a specially-crafted HTTP request to the vulnerable router to execute arbitrary commands on the device.


The Talos team has also published the following proof of concept (PoC) exploit for the flaw:



![PoC for CVE-2022-37337](https://www.bleepstatic.com/images/news/u/1220909/2023/Security/13/PoC.jpg)**PoC exploit for CVE-2022-37337** *(Cisco)*


The second problem discovered by Cisco’s analysts is [CVE-2022-38452](https://talosintelligence.com/vulnerability_reports/TALOS-2022-1595), a high-severity remote command execution vulnerability in the router’s telnet service. The flaw’s exploitation requires valid credentials and a MAC address.


This is the only one of the four flaws that Netgear’s January firmware update did not address, so it remains unfixed. However, Cisco has disclosed a PoC exploit for it too.



![PoC exploit for CVE-2022-38452](https://www.bleepstatic.com/images/news/u/1220909/2023/Security/13/poc-2.jpg)**PoC exploit for CVE-2022-38452** *(Cisco)*


The third vulnerability is [CVE-2022-36429](https://talosintelligence.com/vulnerability_reports/TALOS-2022-1597), a high-severity command injection in the backend communications functionality of the Netgear Orbi Satellite, which links to the router to extend the network coverage.


An attacker can exploit this flaw by sending a sequence of specially-crafted JSON objects to the device. However, retrieving an admin token is required for the attack to work.


Finally, Cisco’s analysts discovered [CVE-2022-38458](https://talosintelligence.com/vulnerability_reports/TALOS-2022-1598), a cleartext transmission problem impacting the Remote Management functionality of the Netgear Orbi router, enabling man-in-the-middle attacks that can lead to sensitive information disclosure.


At the time of the disclosure, Cisco wasn’t aware of any cases of active exploitation of the above flaws. However, considering the availability of a PoC for CVE-2022-37337, threat actors could attempt to find misconfigured, publicly accessible routers to exploit.


The good news is that these exploits require local access, valid login credentials, or the admin console to be publicly accessible, making it much harder to exploit the vulnerabilities.


However, a quick search using [Shodan](https://www.shodan.io/search?query=orbi) found almost 10,000 Orbi devices publicly accessible from the Internet, with the majority located in the United States. If any use the default admin credentials, they could potentially be vulnerable to attackers.


While Orbi does support the automatic installation of updates, on an Orbi seen by BleepingComputer, new firmware did not automatically install, and it was running software released in August 2022.


Therefore, owners of Netgear Orbi 750 devices should manually check to see if they are running the latest version, and if not, upgrade their firmware as soon as possible.





## Tags:
***CVE's***: CVE-2022-38458 CVE-2022-36429 CVE-2022-37337 CVE-2022-38452
***ipv4-adresses***: 4.6.14.3

### Autogenerated tags:
[[orbi]] [[netgear]] [[poc]] [[cve-2022-37337]]
