# Procter & Gamble confirms data theft via GoAnywhere zero-day
## Consumer goods giant Procter & Gamble has confirmed a data breach affecting an undisclosed number of employees after its GoAnywhere MFT secure file-sharing platform was compromised in early February.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/procter-and-gamble-confirms-data-theft-via-goanywhere-zero-day/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 24 March 2023, 17:54
+ Date scraped: 24 March 2023, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/03/24/Procter-and-Gamble.jpg)



Consumer goods giant Procter & Gamble has confirmed a data breach affecting an undisclosed number of employees after its GoAnywhere MFT secure file-sharing platform was compromised in early February.


While the company didn't say who was behind the security breach, this is part of an ongoing spree of extortion demands linked to the Clop ransomware gang's attacks targeting Fortra GoAnywhere secure storage servers worldwide.


According to Procter & Gamble, the attackers didn't gain access to employees' financial or social security information, although they did manage to steal some of their data.


"P&G can confirm that it was one of the many companies affected by Fortra's GoAnywhere incident. As part of this incident, an unauthorized third party obtained some information about P&G employees," Procter & Gamble told BleepingComputer.


"The data that was obtained by the unauthorized party did not include information such as Social Security numbers or national identification numbers, credit card details, or bank account information."


P&G says it has no evidence that this data breach impacted customer data and that it stopped using Fortra's GoAnywhere secure file-sharing services after discovering the incident.


"When we learned of this incident in early February, we promptly investigated the nature and scope of the issue, disabled [the] use of the vendor's services, and notified employees," the company added.


"At this time, there is no indication that customer data was affected by this issue. Our business operations are continuing as normal."


## Clop claims it stole files from over 130 organizations


The Clop ransomware gang previously told Bleeping Computer that it exploited the [CVE-2023-0669](https://nvd.nist.gov/vuln/detail/CVE-2023-0669) GoAnywhere vulnerability as a zero-day to breach and steal data from the secure storage servers of more than 130 organizations.


They allegedly stole the data over ten days after breaching Internet-exposed servers vulnerable to exploits targeting this bug.


The threat actors also claimed they only stole the documents stored on the victims' compromised file-sharing platforms, although they could've also easily moved laterally through their networks to deploy ransomware payloads.


Clop began publicly extorting the GoAnywhere attacks' victims on March 10 when it added seven companies to its data leak site.


So far, the list of victims who came forward to acknowledge GoAnywhere breaches and that Clop is extorting them also includes healthcare giant [Community Health Systems (CHS)](https://www.bleepingcomputer.com/news/security/healthcare-giant-chs-reports-first-data-breach-in-goanywhere-hacks/), fintech platform [Hatch Bank](https://www.bleepingcomputer.com/news/security/hatch-bank-discloses-data-breach-after-goanywhere-mft-hack/), cybersecurity firm [Rubrik](https://www.bleepingcomputer.com/news/security/rubrik-confirms-data-theft-in-goanywhere-zero-day-attack/), [Hitachi Energy](https://www.bleepingcomputer.com/news/security/hitachi-energy-confirms-data-breach-after-clop-goanywhere-attacks/), luxury brand retailer [Saks Fifth Avenue](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-saks-fifth-avenue-retailer-says-mock-data-stolen/), and the [City of Toronto, Canada](https://www.bleepingcomputer.com/news/security/city-of-toronto-confirms-data-theft-clop-claims-responsibility/).


In ransom notes sent to the victims and seen by BleepingComputer, the ransomware gang introduces themselves as the "Clop hacker group," warning victims that they'd stolen sensitive documents, which would be published online on Clop's leak site and sold on the black market if the victims were unwilling to negotiate.


"We want to inform you that we have stolen important information from your GoAnywhere MFT resource and have attached a full list of files as evidence," the ransom notes read.


"We deliberately did not disclose your organization and wanted to negotiate with you and your leadership first. If you ignore us, we will sell your information on the black market and publish it on our blog, which receives 30-50 thousand unique visitors per day."


## Also behind the 2020 Accellion breaches


The ransomware gang's alleged use of a GoAnywhere MFT zero-day to steal sensitive files from victims' secure sharing servers is very similar to using [an Accellion FTA zero-day vulnerability](https://www.bleepingcomputer.com/news/security/global-accellion-data-breaches-linked-to-clop-ransomware-gang/) to steal the data of roughly 100 companies in December 2020.


In the Accellion attacks, Clop stole massive amounts of data and demanded $10 million ransoms from high-profile companies such as [energy giant Shell](https://www.bleepingcomputer.com/news/security/energy-giant-shell-discloses-data-breach-after-accellion-hack/), [cybersecurity firm Qualys](https://www.bleepingcomputer.com/news/security/cybersecurity-firm-qualys-is-the-latest-victim-of-accellion-hacks/), [supermarket giant Kroger](https://www.bleepingcomputer.com/news/security/kroger-data-breach-exposes-pharmacy-and-employee-data/), and universities worldwide (e.g., [Stanford Medicine](https://www.bleepingcomputer.com/news/security/ransomware-gang-leaks-data-from-stanford-maryland-universities/), [University of Colorado](https://www.cu.edu/accellion-cyberattack), and the University of California).


The Clop gang has also been linked to ransomware attacks [since at least 2019](https://www.bleepingcomputer.com/news/security/cryptomix-clop-ransomware-says-its-targeting-networks-not-computers/), encrypting and stealing files from the servers of a long string of victims, including [Software AG IT](https://www.bleepingcomputer.com/news/security/software-ag-it-giant-hit-with-23-million-ransom-by-clop-ransomware/), [Maastricht University](https://www.bleepingcomputer.com/news/security/ransomware-hits-maastricht-university-all-systems-taken-down/), [ExecuPharm](https://www.bleepingcomputer.com/news/security/clop-ransomware-leaks-execupharms-files-after-failed-ransom/), and [Indiabulls](https://www.bleepingcomputer.com/news/security/indiabulls-group-hit-by-clop-ransomware-gets-24h-leak-deadline/).





## Tags:
***CVE's***: CVE-2023-0669

### Autogenerated tags:
[[goanywhere]] [[ransomware]] [[procter]] [[mft]] [[file-sharing]] [[fortra]] [[p&g]] [[zero-day]] [[accellion]]
