# QBot phishing abuses Windows Control Panel EXE to infect devices
## Phishing emails distributing the QBot malware are using a DLL hijacking flaw in the Windows 10 Control Panel to infect computers, likely as an attempt to evade detection by security software.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/qbot-phishing-abuses-windows-control-panel-exe-to-infect-devices/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 17 November 2022, 18:19
+ Date scraped: 17 November 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/11/Qbot--malware.jpg)



Phishing emails distributing the QBot malware are using a DLL hijacking flaw in the Windows 10 Control Panel to infect computers, likely as an attempt to evade detection by security software.


DLL hijacking is a common attack method that takes advantage of how Dynamic Link Libraries (DLLs) are loaded in Windows.


When a Windows executable is launched, it will search for any DLL dependencies in the Windows search path. However, if a threat actor creates a malicious DLL using the same name as one of the program's required DLLs and stores it in the same folder as the executable, the program would load that malicious DLL instead and infect the computer.


QBot, also known as Qakbot, is a Windows malware that started as a banking trojan but evolved into a full-featured malware dropper. Ransomware gangs, including [Black Basta](https://www.bleepingcomputer.com/news/security/qbot-now-pushes-black-basta-ransomware-in-bot-powered-attacks/), [Egregor](https://www.bleepingcomputer.com/news/security/qbot-partners-with-egregor-ransomware-in-bot-fueled-attacks/), and [Prolock](https://www.bleepingcomputer.com/news/security/prolock-ransomware-teams-up-with-qakbot-trojan-for-network-access/), also use the malware to gain initial access to corporate networks.


In July, security researcher ProxyLife discovered that threat actors were exploiting a [DLL hijacking vulnerability in the Windows 7 Calculator](https://www.bleepingcomputer.com/news/security/qbot-phishing-uses-windows-calculator-dll-hijacking-to-infect-devices/) to install the QBot malware.


This week, ProxyLife told BleepingComputer that attackers have switched to using a DLL hijacking flaw in the Windows 10 Control Panel executable, control.exe.



## Abusing the Windows Control Panel


In a phishing campaign seen by ProxyLife, the threat actors use stolen reply-chain emails to distribute an HTML file attachment that downloads a password-protected ZIP archive with an ISO file inside.



![QBot phishing email in new campaign](https://www.bleepstatic.com/images/news/malware/q/qbot/control-panel/phishing-email.jpg)**QBot phishing email in new campaign**  
*Source: BleepingComputer*


The HTML file, named similar to 'RNP\_[number]\_[number].html, displays an image pretending to be Google Drive and a password for a ZIP archive that is downloaded automatically, as shown below.



![HTML attachment on QBot spam emails](https://www.bleepstatic.com/images/news/malware/q/qbot/control-panel/html-page.jpg)**HTML attachment on QBot spam emails**  
*Source: BleepingComputer*


This ZIP archive contains an ISO disk image that, when double-clicked, will automatically open in a new drive letter in Windows 10 and later.


This ISO file contains a Windows Shortcut (.LNK) file, a *‘control.exe’* (Windows 10 Control Panel) executable, and two DLL files named *edputil.dll* (used for DLL hijack) and *msoffice32.dll*(QBot malware).



![Contents of the ISO image](https://www.bleepstatic.com/images/news/malware/q/qbot/control-panel/iso-contents.jpg)**Contents of the ISO image**  
*Source: BleepingComputer*


The Windows shortcut (.LNK) included in the ISO uses an icon that tries to make it look like a folder.


However, when a user attempts to open this fake folder, the shortcut launches the Windows 10 Control Panel executable, control.exe, which is stored in the ISO file, as shown below.



![Windows shortcut that triggers the QBot infection](https://www.bleepstatic.com/images/news/malware/q/qbot/control-panel/link-properties.jpg)**Windows shortcut that triggers the QBot infection**  
*Source: BleepingComputer*


When control.exe is launched, it will automatically attempt to load the legitimate edputil.dll DLL, which is located in the C:\Windows\System32 folder. However, it does not check for the DLL in specific folders and will load any DLL with the same name if placed in the same folder as the control.exe executable.


As the threat actors are bundling a malicious edputil.dll DLL in the same folder as control.exe, that malicious DLL will be loaded instead.


Once loaded, the malicious edputil.dllDLL infects the device with the QBot malware (*msoffice32.dll*) using the regsvr32.exe msoffice32.dll command.


By installing QBot through a trusted program like the Windows 10 Control Panel, security software may not flag the malware as malicious, allowing it to evade detection.


QBot will now quietly run in the background, stealing emails for use in phishing attacks and downloading additional payloads such as [Brute Ratel](https://www.trendmicro.com/en_us/research/22/j/black-basta-infiltrates-networks-via-qakbot-brute-ratel-and-coba.html) or [Cobalt Strike](https://www.bleepingcomputer.com/news/security/microsoft-these-are-the-building-blocks-of-qbot-malware-attacks/).


Brute Ratel and Cobalt Strike are post-exploitation toolkits that threat actors use to gain remote access to corporate networks.


This remote access commonly leads to corporate data theft and ransomware attacks.





## Tags:


### Autogenerated tags:
[[dll]] [[windows]] [[qbot]] [[malware]] [[bleepingcomputer]] [[control.exe]] [[phishing]] [[edputil.dll]] [[emails]] [[proxylife]]
