# QNAP: DeadBolt ransomware exploits a bug patched in December
## Taiwan-based network-attached storage (NAS) maker QNAP urges customers to enable firmware auto-updating on their devices to defend against active attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/qnap-deadbolt-ransomware-exploits-a-bug-patched-in-december/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 31 January 2022, 19:28
+ Date scraped: 31 January 2022, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/29/QNAP-headpic.jpg)


![QNAP: DeadBolt ransomware exploits a bug patched in December](https://www.bleepstatic.com/content/hl-images/2021/04/29/QNAP-headpic.jpg)


Taiwan-based network-attached storage (NAS) maker QNAP urges customers to enable firmware auto-updating on their devices to defend against active attacks.


According to the company, the attackers target a vulnerability patched in December, allowing them to run arbitrary code on vulnerable systems.


"Recently the QNAP Product Security Incident Response Team (PSIRT) detected that cybercriminals are taking advantage of a patched vulnerability, described in the QNAP Security Advisory (QSA-21-57), to launch a cyberattack," the NAS maker said today.


"On January 27, 2022, QNAP set the patched versions of system software as 'Recommended Version.' If auto update for 'Recommended Version' is enabled on your QNAP NAS, the system will automatically update to certain OS version to enhance security and protection of your QNAP NAS, mitigating the attack from criminals."


You can find more information on the Auto Update feature and how it can be toggled on or off in [today's press release](https://www.qnap.com/en/security-news/2022/descriptions-and-explanations-of-the-qts-quts-hero-recommended-version-feature).


DeadBolt ransomware attacks
---------------------------


While the company did not name the threat actors behind these ongoing attacks, the warning comes after a [wave of attacks targeting Internet-exposed QNAP devices](https://www.bleepingcomputer.com/news/security/qnap-warns-of-new-deadbolt-ransomware-encrypting-nas-devices/) with [DeadBolt ransomware](https://www.bleepingcomputer.com/news/security/new-deadbolt-ransomware-targets-qnap-devices-asks-50-btc-for-master-key/) and asking victims to pay 0.03 bitcoins (approximately $1,100) for a decryption key.


It was later revealed that [QNAP force installed the update](https://www.bleepingcomputer.com/news/security/qnap-force-installs-update-after-deadbolt-ransomware-hits-3-600-devices/) needed to block attackers from exploiting the QSA-21-57 bug after thousands of customers had their data encrypted in DeadBolt attacks.


QNAP told BleepingComputer that they forced-installed this update as they believe the threat actors are using the [remote code execution vulnerability](https://www.qnap.com/en/security-advisory/qsa-21-57) fixed in the [5.0.0.1891 firmware](http://www.qnap.com/en-us/release-notes/qts/5.0.0.1891/20211221) version and mentioned in today's announcement.


According to QNAP, the security bug has been addressed in the following versions of QTS and QuTS hero:


* QTS 5.0.0.1891 build 20211221 and later
* QTS 4.5.4.1892 build 20211223 and later
* QuTS hero h5.0.0.1892 build 20211222 and later
* QuTS hero h4.5.4.1892 build 20211223 and later
* QuTScloud c5.0.0.1919 build 20220119 and later

However, a customer [said in the QNAP forum](https://forum.qnap.com/viewtopic.php?p=808956#p808956) that they were encrypted even when they had this firmware version installed, indicating that the threat actors are likely exploiting a different vulnerability.


Including the [DeadBolt ransomware alert](https://www.bleepingcomputer.com/news/security/qnap-warns-of-new-deadbolt-ransomware-encrypting-nas-devices/), QNAP issued three warnings in the last 12 months to alert customers of ransomware attacks targeting their Internet-exposed NAS devices.


QNAP previously warned rusers of [AgeLocker ransomware](https://www.bleepingcomputer.com/news/security/qnap-warns-of-agelocker-ransomware-attacks-on-nas-devices/) attacks in April and [eCh0raix ransomware](https://www.bleepingcomputer.com/news/security/qnap-warns-of-ech0raix-ransomware-attacks-roon-server-zero-day/) attacks in May.





## Tags:


### Autogenerated tags:
[[qnap]] [[ransomware]] [[nas]] [[deadbolt]] [[quts]]
