# QNAP alerts NAS customers of new DeadBolt ransomware attacks
## Taiwan-based network-attached storage (NAS) maker QNAP warned customers on Thursday to secure their devices against attacks pushing DeadBolt ransomware payloads.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/qnap-alerts-nas-customers-of-new-deadbolt-ransomware-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 19 May 2022, 10:38
+ Date scraped: 19 May 2022, 11:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/29/QNAP-headpic.jpg)



Taiwan-based network-attached storage (NAS) maker QNAP warned customers on Thursday to secure their devices against attacks pushing DeadBolt ransomware payloads.


The company asked users to update their NAS devices to the latest software version and ensure that they're not exposed to remote access over the Internet.


"According to the investigation by the QNAP Product Security Incident Response Team (QNAP PSIRT), the attack targeted NAS devices using QTS 4.3.6 and QTS 4.4.1, and the affected models were mainly TS-x51 series and TS-x53 series," the NAS maker [said](https://www.qnap.com/en/security-news/2022/take-immediate-actions-to-secure-qnap-nas-and-update-qts-to-the-latest-available-version).


"QNAP urges all NAS users to check and update QTS to the latest version as soon as possible, and avoid exposing their NAS to the Internet."


This warning comes after another one about ransomware targeting Internet-exposed NAS devices [published in January](https://www.bleepingcomputer.com/news/security/qnap-warns-of-ransomware-targeting-internet-exposed-nas-devices/).


QNAP advised customers with public-facing devices to take the following actions to block potential attacks:


* **Disable the Port Forwarding function of the router:** Go to the management interface of your router, check the Virtual Server, NAT, or Port Forwarding settings, and disable the port forwarding setting of NAS management service port (port 8080 and 433 by default).
* **Disable the UPnP function of the QNAP NAS:** Go to myQNAPcloud on the QTS menu, click the "Auto Router Configuration," and unselect "Enable UPnP Port forwarding."

The NAS maker also [provides detailed steps](https://www.qnap.com/en/security-advisory/nas-201911-01) on how to toggle off SSH and Telnet connections, change the system port number, change device passwords, and enable IP and account access protection.


In April, QNAP also urged NAS users [to disable Universal Plug and Play (UPnP) port forwarding](https://www.bleepingcomputer.com/news/security/qnap-urges-customers-to-disable-upnp-port-forwarding-on-routers/) on their routers to prevent exposing them to attacks from the Internet.


Those who need access to NAS devices without direct access to the Internet are advised to enable their router's VPN feature (if available), use the myQNAPcloud Link service, and the VPN server on QNAP devices provided by the QVPN Service app, or the QuWAN SD-WAN solution.


With QNAP devices also being targeted by other ransomware families such as [Qlocker](https://www.bleepingcomputer.com/news/security/qlocker-ransomware-returns-to-target-qnap-nas-devices-worldwide/) and [eCh0raix](https://www.bleepingcomputer.com/news/security/ongoing-ech0raix-ransomware-campaign-targets-qnap-nas-devices/), all owners should immediately take the above measures to secure their data from future attacks.


## DeadBolt ransomware


First [spotted in attacks](https://www.bleepingcomputer.com/news/security/qnap-warns-of-new-deadbolt-ransomware-encrypting-nas-devices/) targeting QNAP NAS devices [in late January](https://www.bleepingcomputer.com/news/security/new-deadbolt-ransomware-targets-qnap-devices-asks-50-btc-for-master-key/), DeadBolt ransomware hijacks the QNAP device's login page to display a screen stating, "WARNING: Your files have been locked by DeadBolt."


Once deployed on a NAS device, this ransomware uses AES128 to encrypt files, appending a .deadboltextension to their names.


DeadBolt also replaces the /home/httpd/index.html file so that victims will see the ransom screen when accessing the compromised device.


After the ransom is paid, the threat actors create a bitcoin transaction to the same bitcoin ransom address containing the decryption key for the victim (the decryption key can be found under the OP\_RETURN output).



![DeadBolt ransom note and instructions](https://www.bleepstatic.com/images/news/u/1109292/2022/DeadBolt%20ransom%20note%20and%20instructions.jpg)*DeadBolt ransom note and instructions (BleepingComputer)*
Ransomware expert Michael Gillespie has created [a free Windows decryptor](http://www.emsisoft.com/ransomware-decryption-tools/deadbolt) that can help decrypt files without using the ransomware executable.


However, QNAP owners hit by DeadBolt ransomware will need to pay the ransom to get a valid decryption key.


DeadBolt ransomware returned in February in another campaign [targeting ASUSTOR NAS devices](https://www.bleepingcomputer.com/news/security/deadbolt-ransomware-now-targets-asustor-devices-asks-50-btc-for-master-key/) and allegedly using a zero-day vulnerability.





## Tags:


### Autogenerated tags:
[[nas]] [[qnap]] [[ransomware]] [[deadbolt]] [[upnp]]
