# RAT malware campaign tries to evade detection using polyglot files
## Operators of the StrRAT and Ratty remote access trojans (RAT) are running a new campaign using polyglot MSI/JAR and CAB/JAR files to evade detection from security tools.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/rat-malware-campaign-tries-to-evade-detection-using-polyglot-files/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 12 January 2023, 22:24
+ Date scraped: 12 January 2023, 23:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/03/31/Malware.jpg)



Operators of the StrRAT and Ratty remote access trojans (RAT) are running a new campaign using polyglot MSI/JAR and CAB/JAR files to evade detection from security tools.


The campaign was spotted by [Deep Instinct](https://www.deepinstinct.com/blog/malicious-jars-and-polyglot-files-who-do-you-think-you-jar), which reports that the threat actors achieve moderate success in evading detection by anti-virus engines. This is notable considering how old and well-documented the two particular RATs are.


Polyglot files combine two or more file formats in a way that makes it possible for them to be interpreted and launched by multiple different applications without error.


Threat actors have been using polyglot files to hide malicious code, confuse security solutions, and bypass protections for several years now.


Most recently, we reported about this technique being employed by the [StrelaStealer malware](https://www.bleepingcomputer.com/news/security/new-strelastealer-malware-steals-your-outlook-thunderbird-accounts/) that targets Outlook and Thunderbird accounts.


Despite Microsoft’s efforts to address the problem by implementing a signature-based detection system, there are [ways to bypass](https://www.bleepingcomputer.com/news/security/seo-poisoning-pushes-malware-laced-zoom-teamviewer-visual-studio-installers/) this protection, so polyglot files continue to be used for malicious purposes.


## RAT polyglot campaign


One notable case that has been employed [since 2018](https://medium.com/@TalBeerySec/glueball-the-story-of-cve-2020-1464-50091a1f98bd), which is also what Deep Instinct observed in the latest RAT distribution campaign, is the combination of JAR and MSI formats into a single file.


JAR files are archives identified as such by a record at their end, while in MSI, the file type identifier is a “magic header” at the beginning of the file, so threat actors can easily combine the two formats into a single file.


This dual format allows them to be executed as an MSI in Windows and also executed as a JAR file by the Java runtime.


JARs are not executables, so they’re not as vigorously checked by anti-virus tools. Unfortunately, this allows them to hide malicious code and trick the AV into scanning the MSI part of the file, which should come out clean.


​



![Inspecting the MSI/JAR polyglot](https://www.bleepstatic.com/images/news/u/1220909/2023/Malware/4/file.png)**Inspecting the MSI/JAR polyglot** *(Deep Instinct)*


Deep Instinct noticed CAB/JAR combinations instead of MSI in other cases involving the same two RAT families. CABs are also good candidates for polyglot combinations with JARs because they, too, feature a magic header for file type interpretation.


The polyglots used in this campaign are spread by Sendgrid and URL shortening services like Cutt.ly and Rebrand.ly, while the fetched StrRAT and Ratty payloads are stored in Discord.


In terms of detection, the CAB/JAR polyglots return six positives out of 59 AV engines on Virus Total, while 30 security vendors identify the MSI/JAR polyglots. Hence, the detection rate ranges between 10% and 50%.



![MSI/JAR polyglot file missed by half AV engines](https://www.bleepstatic.com/images/news/u/1220909/2023/Malware/4/virus-total.png)**MSI/JAR polyglot file missed by half AV engines** *(BleepingComputer)*


Deep Instinct reports that many of the examined polyglots for both StrRAT and Ratty use the same C2 address and are hosted by the same Bulgarian hosting firm.


Hence, it’s possible that both strains are used in a single campaign run by the same operator.





## Tags:


### Autogenerated tags:
[[msi]] [[msi/jar]] [[strrat]] [[cab/jar]]
