# Russian hackers target govt orgs in Microsoft Teams phishing attacks
## Microsoft says a hacking group tracked as APT29 and linked to Russia's Foreign Intelligence Service (SVR) targeted dozens of organizations worldwide, including government agencies, in Microsoft Teams phishing attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/russian-hackers-target-govt-orgs-in-microsoft-teams-phishing-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 02 August 2023, 15:52
+ Date scraped: 02 August 2023, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/07/19/Russia__bear.jpg)



Microsoft says a hacking group tracked as APT29 and linked to Russia's Foreign Intelligence Service (SVR) targeted dozens of organizations worldwide, including government agencies, in Microsoft Teams phishing attacks.


"Our current investigation indicates this campaign has affected fewer than 40 unique global organizations," Microsoft revealed today.


"The organizations targeted in this activity likely indicate specific espionage objectives by Midnight Blizzard directed at government, non-government organizations (NGOs), IT services, technology, discrete manufacturing, and media sectors."


The threat actors utilized compromised Microsoft 365 tenants to create new technical support-themed domains and send tech support lures, attempting to trick users of the targeted organizations using social engineering tactics.


They aimed to manipulate users into granting approval for multifactor authentication (MFA) prompts, ultimately aiming to steal their credentials.


The attackers created new domains using compromised Microsoft 365 tenants with a technical support theme. These new domains were part of the '[onmicrosoft.com](http://onmicrosoft.com/)' domain, a legitimate Microsoft domain that is automatically used by Microsoft 365 for fallback purposes in case a custom domain is not created.


They then employed these domains to send tech support lures to deceive users from targeted organizations into approving multifactor authentication (MFA) prompts.



![APT29 Teams phishing message](https://www.bleepstatic.com/images/news/u/1109292/2023/APT29_Teams_phishing_message.jpg)*APT29 Teams phishing message (Microsoft)*


As the messages came from the legitimate [onmicrosoft.com](http://onmicrosoft.com/) domain, they may have caused the fake Microsoft support messages to appear trustworthy.


According to [Redmond's advisory](https://www.microsoft.com/en-us/security/blog/2023/08/02/midnight-blizzard-conducts-targeted-social-engineering-over-microsoft-teams/), the ultimate objective of the threat actors was to steal the targeted users' credentials.


"In some cases, the actor attempts to add a device to the organization as a managed device via Microsoft Entra ID (formerly Azure Active Directory), likely an attempt to circumvent conditional access policies configured to restrict access to specific resources to managed devices only," Microsoft added.


The company reports having successfully blocked the Russian threat group from utilizing the domains in other attacks and is now actively working to address and mitigate the campaign's impact.


## ​Not all bugs are created equal


Last month, Microsoft [refused to address a security issue in Microsoft Teams](https://www.bleepingcomputer.com/news/security/microsoft-teams-bug-allows-malware-delivery-from-external-accounts/) (discovered by Jumpsec security researchers) that can let anyone bypass restrictions for incoming files from external tenants using a [Python tool named TeamsPhisher](https://www.bleepingcomputer.com/news/security/new-tool-exploits-microsoft-teams-bug-to-send-malware-to-users/), developed by Alex Reid, a U.S. Navy's Red team member.


When JumpSec reported the bug in June, Microsoft said the flaw "does not meet the bar for immediate servicing."


BleepingComputer also contacted Microsoft to ask if there are any plans to fix this issue and was told that customers should pay attention to suspicious messages.


"We're aware of this report and have determined that it relies on social engineering to be successful," a Microsoft spokesperson told BleepingComputer.


"We encourage customers to practice good computing habits online, including exercising caution when clicking on links to web pages, opening unknown files, or accepting file transfers."


Unfortunately, this social engineering attack appears to have impacted numerous government agencies, highlighting the considerable impact such attacks can have, even on well-protected entities.


## Russia's foreign intelligence hackers


APT29, the Russian Foreign Intelligence Service (SVR) hacking division, [orchestrated](https://www.bleepingcomputer.com/news/security/us-government-confirms-russian-svr-behind-the-solarwinds-hack/) the [SolarWinds supply-chain attack](https://www.bleepingcomputer.com/news/security/the-solarwinds-cyberattack-the-hack-the-victims-and-what-we-know/) that led to the breach of several U.S. federal agencies three years ago.


Since that incident, this hacking group has also [infiltrated other organizations' networks](https://www.bleepingcomputer.com/news/security/russian-apt29-hackers-stealthy-malware-undetected-for-years/) using stealthy malware, including TrailBlazer and a variant of the GoldMax Linux backdoor, which allowed them to remain undetected for years.


More recently, Microsoft disclosed that the hacking group is [using new malware capable](https://www.bleepingcomputer.com/news/security/microsoft-russian-malware-hijacks-adfs-to-log-in-as-anyone-in-windows/) of seizing control of Active Directory Federation Services (ADFS) to log in as any user in Windows systems.


Furthermore, they have targeted [Microsoft 365 accounts](https://www.bleepingcomputer.com/news/security/russian-apt29-hackers-abuse-azure-services-to-hack-microsoft-365-users/) belonging to entities in NATO countries as part of their efforts to gain access to foreign policy-related information.


Additionally, they were behind a [series of phishing campaigns](https://www.bleepingcomputer.com/news/security/russian-hackers-compromise-embassy-emails-to-target-governments/), explicitly targeting governments, embassies, and high-ranking officials throughout Europe.





## Tags:


### Autogenerated tags:
[[microsoft]] [[apt29]] [[teams]] [[phishing]]
