# Shutterfly says Clop ransomware attack did not impact customer data
## Shutterfly, an online retail and photography manufacturing platform, is among the latest victims hit by Clop ransomware. Over the last few months, Clop ransomware gang has been exploiting a vulnerability in the MOVEit File Transfer utility to breach hundreds of companies to steal their data and attempt extortion against them.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/shutterfly-says-clop-ransomware-attack-did-not-impact-customer-data/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 14 July 2023, 04:09
+ Date scraped: 14 July 2023, 09:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/27/shutterfly-header.jpg)



Shutterfly, an online retail and photography manufacturing platform, is among the latest victims hit by Clop ransomware.


Over the last few months, Clop ransomware gang has been exploiting a vulnerability in the MOVEit File Transfer utility to breach hundreds of companies to steal their data and attempt extortion against them.

Recommended by.fi-display-outer { float: right; position: relative; left: -13px;}.fi-display-outer .ob-text, .fi-display-outer .ob-logo {display: none !important;}.fi-display-outer .ob-ad-choices {padding: 0 !important;margin: 2px 0 !important; border-left: none !important;}


Shutterfly offers photography-related services to consumers, the enterprise, and education through various brands, including [Shutterfly.com](http://shutterfly.com/), BorrowLenses, GrooveBook, Snapfish, and Lifetouch.


During ransomware attacks, threat actors will gain access to a corporate network and steal data and files as they spread throughout the system. Once they gain access to a Windows domain controller, and after harvesting all valuable data, they deploy their ransomware to encrypt all network devices.


## Shutterfly: customer and employee data safe


This week, Clop ransomware gang published Shutterfly's name on its data leak site, among other companies it has targeted, [largely via the MOVEit SQL Injection vulnerability](https://www.bleepingcomputer.com/news/security/new-moveit-transfer-zero-day-mass-exploited-in-data-theft-attacks/), tracked as [CVE-2023-34362](https://nvd.nist.gov/vuln/detail/CVE-2023-34362).



![Clop lists Shutterfly on its data leak site](https://www.bleepstatic.com/images/news/u/1164866/2023/Jul/clop-shutterfly/clop-shutterfly.jpg)**Clop lists Shutterfly on its data leak site**(BleepingComputer)


"Shutterfly can confirm that it was one of the many companies impacted by the MOVEit vulnerability. Shutterfly's enterprise business unit, Shutterfly Business Solutions (SBS), has used the MOVEit platform for some of its operations," confirmed a Shutterfly spokesperson to BleepingComputer.


"Upon learning of the vulnerability in early June, the company quickly took action, taking relevant systems offline, implementing patches provided by MOVEit, and commencing a forensics review of certain systems with the assistance of leading forensic firms."


The company did not comment on how much was the ransom demand but states that customer and employee data are safe.


"After a thorough investigation with the assistance of a leading third-party forensics firm, we have no indication that that any Shutterfly.com, Snapfish, Lifetouch nor Spoonflower consumer data nor any employee information was impacted by the MOVEit vulnerability."


In March 2022, Shutterfly had disclosed being [hit by a Conti ransomware attack](https://www.bleepingcomputer.com/news/security/shutterfly-discloses-data-breach-after-conti-ransomware-attack/) that occurred in December 2021. At the time of that attack, a source informed BleepingComputer that Conti had [encrypted over 4,000 devices and 120 VMware ESXi servers](https://www.bleepingcomputer.com/news/security/shutterfly-services-disrupted-by-conti-ransomware-attack/) belonging to Shutterfly.


## Hundreds impacted by MOVEit vulnerabilities


In June, [Clop told BleepingComputer](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-responsibility-for-moveit-extortion-attacks/) that by exploiting this flaw, it had breached servers belonging to "hundreds of companies" to steal data, which is evident from a significant number of organizations that have thus far disclosed being breached in Clop's MOVEit hacking spree.


Some prominent names like the British multinational oil and gas company, [Shell](https://www.bleepingcomputer.com/news/security/clop-ransomware-gang-starts-extorting-moveit-data-theft-victims/), [Deutsche Bank](https://www.bleepingcomputer.com/news/security/deutsche-bank-confirms-provider-breach-exposed-customer-data/), the University of Georgia (UGA) and University System of Georgia (USG), UnitedHealthcare Student Resources (UHSR), Heidelberger Druck, and Landal Greenparks—have since confirmed to BleepingComputer that they were impacted in the attacks.


Other organizations that have already disclosed MOVEit Transfer breaches include [Zellis](https://www.zellis.com/resources/press-and-media/statement-on-moveit-transfer-data-breach/) (and its customers BBC, Boots, Aer Lingus, and [Ireland's HSE](https://www.hse.ie/eng/services/news/media/pressrel/hse-statement1.html)), [Ofcam](https://www.ofcom.org.uk/news-centre/2023/ofcom-statement-on-moveit-cyber-attack), the [government of Nova Scotia](https://novascotia.ca/news/release/?id=20230606004), the [US state of Missouri](https://oa.mo.gov/commissioners-office/news/state-missouri-issues-statement-recent-global-cyberattack), the [US state of Illinois](https://ltgov.illinois.gov/news/press-release.26572.html), the [University of Rochester](https://www.rochester.edu/data-security/), the [American Board of Internal Medicine](https://blog.abim.org/moveit-transfer-vulnerability-affects-abim/), [BORN Ontario](https://www.bornontario.ca/en/news/cybersecurity-incident-moveit.aspx), SOVOS [[1](https://apps.web.maine.gov/online/aeviewer/ME/40/c6833f76-d8a7-4a4e-a5b3-130e914e8681.shtml), [2](https://oag.ca.gov/system/files/Sovos%20Sample%20Individual%20Notice%20%2807%2012%2023%29.pdf)], and [Extreme Networks](https://community.extremenetworks.com/t5/general-announcements/general-announcement-regarding-moveit-security-breach/ba-p/96050).


Earlier, the U.S. Cybersecurity and Infrastructure Security Agency (CISA) also revealed that several U.S. federal agencies had been breached, per a [CNN report](https://edition.cnn.com/2023/06/15/politics/us-government-hit-cybeattack/index.html). Two U.S. Department of Energy (DOE) entities were also compromised, according to [Federal News Network](https://federalnewsnetwork.com/cybersecurity/2023/06/energy-department-among-several-federal-agencies-hit-by-moveit-breach/).


In June, MOVEit Transfer customers were urged to remediate [a separate SQL Injection flaw](https://www.bleepingcomputer.com/news/security/moveit-transfer-customers-warned-of-new-flaw-as-poc-info-surfaces/) (tracked as [CVE-2023-35708](https://nvd.nist.gov/vuln/detail/CVE-2023-35708)), PoC exploits for which had surfaced online.


Last week, MOVEit resolved yet another critical SQL Injection flaw (tracked as CVE-2023-36934) and [warned customers](https://www.bleepingcomputer.com/news/security/moveit-transfer-customers-warned-to-patch-new-critical-flaw/) to patch their applications.


Customers using the MOVEit File Transfer utility should ensure their instances are up to date and watch out for any new vulnerabilities that could be exploited in the wild.


BleepingComputer continues to [monitor and cover incidents](https://www.bleepingcomputer.com/tag/moveit/) as well as vulnerability advisories related to the program.





## Tags:
***CVE's***: CVE-2023-36934 CVE-2023-35708 CVE-2023-34362

### Autogenerated tags:
[[moveit]] [[shutterfly]] [[ransomware]] [[bleepingcomputer]] [[sql]] [[u.s]]
