# Snap-on discloses data breach claimed by Conti ransomware gang
## American automotive tools manufacturer Snap-on announced a data breach exposing associate and franchisee data after the Conti ransomware gang began leaking the company's data in March.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/snap-on-discloses-data-breach-claimed-by-conti-ransomware-gang/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 08 April 2022, 20:35
+ Date scraped: 08 April 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/08/snap-on-tool.jpg)



![Snap-on](https://www.bleepstatic.com/content/hl-images/2022/04/08/snap-on-tool.jpg)*Source: snapon.com*
American automotive tools manufacturer Snap-on announced a data breach exposing associate and franchisee data after the Conti ransomware gang began leaking the company's data in March.


Snap-on is a leading manufacturer and designer of tools, software, and diagnostic services used by the transportation industry through various brands, including Mitchell1, Norbar, Blue-Point, Blackhawk, and Williams.


Yesterday, Snap-on disclosed a data breach after they detected suspicious activity in their network, which led to them shutting down all of their systems.


"In early March, Snap-on detected unusual activity in some areas of its information technology environment. We quickly took down our network connections as part of our defense protocols, particularly appropriate given heightened warnings from various agencies," reads a notice on the Snap-on website.


"We launched a comprehensive analysis assisted by a leading external forensics firm, identified the event as a security incident, and notified law enforcement of the incursion."


After conducting an investigation, Snap-on discovered that threat actors stole personal data belonging to employees between March 1st and March 3rd, 2022.


"We believe the incident involved associate and franchisee data including information such as: names, Social Security Numbers, dates of birth, and employee identification numbers," discloses a Snap-on [data breach notification](https://oag.ca.gov/system/files/US%20Notice%20.pdf) submitted to the California Attorney General's office.


Snap-on is offering a free one-year subscription to the IDX identity theft protection service for those affected.


## Conti claimed an attack on Snap-on


While Snap-on's data breach notification did not shed much light on its attack, BleepingComputer received an anonymous tip in early March stating that one of Snap-on's subsidiaries, Mitchell1, was suffering an outage caused by a ransomware attack.


Mitchell1 had initially tweeted about the outage but soon deleted the notices from Twitter and Facebook.



![Deleted Mitchell1 tweet about the outage](https://www.bleepstatic.com/images/news/security/attacks/s/snap-on/deleted-mitchell1-tweet.jpg)**Deleted Mitchell1 tweet about the outage**  
*Source: [Archive.org](https://web.archive.org/web/20220304152403/https://twitter.com/JanGirl17/status/1499766554338201600)*
[![Tweet from customer about deleted tweets](https://www.bleepstatic.com/images/news/security/attacks/s/snap-on/tweet-from-customer.jpg)](https://twitter.com/MikeSmi91056416/status/1507052194918453249)


 


However, another source told BleepingComputer that it was not Mitchel11 who had suffered an attack but their parent company Snap-on.


Soon after, threat intelligence researcher [Ido Cohen spotted](https://twitter.com/ido_cohen2/status/1504583105318989828) that the Conti ransomware gang claimed to have attacked Snap-on and had begun to leak almost 1 GB of documents that were allegedly stolen during the attack.


[![Ensar tweet](https://www.bleepstatic.com/images/news/security/attacks/s/snap-on/ensar-tweet.jpg)](https://twitter.com/cyberguideme/status/1504686570808524816)


The Conti gang quickly removed the data leak, and Snap-on has not reappeared on their data leak site, leading security researchers to tell BleepingComputer that they believe Snap-on paid a ransom for the data not to be leaked.


BleepingComputer has contacted Snap-on to confirm if the disclosed data breach is linked to the alleged Conti ransomware attack, and we will update this story if we hear back.


## Who is Conti Ransomware?


[Conti](https://www.bleepingcomputer.com/tag/conti/) is a ransomware operation operated by a Russian hacking group known for other malware infections, such as Ryuk, TrickBot, and BazarLoader.


Conti commonly breaches a network after corporate devices become infected with the [BazarLoader or TrickBot malware infections](https://www.bleepingcomputer.com/news/security/conti-ransomware-shows-signs-of-being-ryuks-successor/), which provide remote access to the hacking group.


Once they gain access to an internal system, they spread through the network, steal data, and deploy the ransomware.


The Conti gang recently suffered their own data breach after siding with Russia over the invasion of Ukraine, leading to a Ukrainian researcher publishing almost [170,000 internal chat conversations](https://www.bleepingcomputer.com/news/security/conti-ransomwares-internal-chats-leaked-after-siding-with-russia/) between the Conti ransomware gang members and the [Conti ransomware source code](https://www.bleepingcomputer.com/news/security/conti-ransomware-source-code-leaked-by-ukrainian-researcher/).



![Conti siding with Russia on the invasion of Ukraine](https://www.bleepstatic.com/images/news/u/1100723/2022/ContiRussiaSupport.jpg)**Conti siding with Russia on the invasion of Ukraine**  
*Source: BleepingComputer*
Conti is known for past attacks on high-profile organizations, including Ireland's [Health Service Executive](https://www.bleepingcomputer.com/news/security/irish-healthcare-shuts-down-it-systems-after-conti-ransomware-attack/) (HSE) and [Department of Health (DoH)](https://www.bleepingcomputer.com/news/security/conti-ransomware-also-targeted-irelands-department-of-health/), the [City of Tulsa](https://www.bleepingcomputer.com/news/security/tulsa-warns-of-data-breach-after-conti-ransomware-leaks-police-citations/), [Broward County Public Schools](https://www.bleepingcomputer.com/news/security/ransomware-gang-wanted-40-million-in-florida-schools-cyberattack/), and [Advantech](https://www.bleepingcomputer.com/news/security/iot-chip-maker-advantech-confirms-ransomware-attack-data-theft/).


Due to the cybercrime gang's ongoing activity, the US government issued an [advisory on Conti ransomware attacks](https://www.bleepingcomputer.com/news/security/fbi-cisa-and-nsa-warn-of-escalating-conti-ransomware-attacks/).





## Tags:


### Autogenerated tags:
[[snap-on]] [[conti]] [[ransomware]] [[bleepingcomputer]] [[mitchell1]]
