# Sony confirms data breach impacting thousands in the U.S.
## Sony Interactive Entertainment (Sony) has notified current and former employees and their family members about a cybersecurity breach that exposed personal information.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/sony-confirms-data-breach-impacting-thousands-in-the-us/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 04 October 2023, 08:04
+ Date scraped: 04 October 2023, 13:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/21/SONY.jpg)



Sony Interactive Entertainment (Sony) has notified current and former employees and their family members about a cybersecurity breach that exposed personal information.


The company sent the data breach notification to about 6,800 individuals, confirming that the intrusion occurred after an unauthorized party exploited a zero-day vulnerability in the MOVEit Transfer platform.


The zero-day is [CVE-2023-34362](https://www.bleepingcomputer.com/news/security/new-moveit-transfer-zero-day-mass-exploited-in-data-theft-attacks/), a critical-severity SQL injection flaw that leads to remote code execution, leveraged by the Clop ransomware in [large-scale attacks](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-responsibility-for-moveit-extortion-attacks/) that compromised numerous organizations across the world.


Clop ransomware gang added Sony Group to its list of victims in late June. However, the firm did not provide a public statement until now.


[![Sony added to Clop ransomware's victim list in late June](https://www.bleepstatic.com/images/news/u/1100723/Sony_Clop-victim.png)](https://twitter.com/FalconFeedsio/status/1671923025493606419)


According to the data breach notification, the compromise happened on May 28, three days before Sony learned from Progress Software (the MOVEit vendor) about the flaw, but it was discovered in early June.


“On June 2, 2023, [we] discovered the unauthorized downloads, immediately took the platform offline, and remediated the vulnerability,” [reads the notice](https://www.documentcloud.org/documents/24005170-sample-individual-notice-10032023?responsive=1&title=1).


“An investigation was then launched with assistance from external cybersecurity experts. We also notified law enforcement,” Sony says in the data breach notification.


Sony says the incident was limited to the particular software platform and had no impact on any of its other systems.


Still, sensitive information belonging to [6,791 people in the U.S](https://apps.web.maine.gov/online/aeviewer/ME/40/8b595be6-d1d7-47df-84d5-05738edd84f9.shtml). was compromised. The firm has individually determined the exposed details and listed them in each individual letter, but it is censored in the notification sample submitted to the Office of the Maine Attorney General.


The notification recipients are now offered credit monitoring and identity restoration services through Equifax, which they can access by using their unique code until February 29, 2024.


Sony’s more recent breach
-------------------------


Late last month, following allegations on hacking forums that Sony had been breached again and 3.14 GB of data had been stolen from the company’s systems, the firm responded by saying it was investigating the claims.


The leaked dataset that at least [two separate threat actors held](https://www.bleepingcomputer.com/news/security/sony-investigates-cyberattack-as-hackers-fight-over-whos-responsible/), contained details for the SonarQube platform, certificates, Creators Cloud, incident response policies, a device emulator for generating licenses, and more.


A Sony spokesperson shared with BleepingComputer the statement below, which confirms a limited security breach:



> 
> Sony has been investigating recent public claims of a security incident at Sony. We are working with third-party forensics experts and have identified activity on a single server located in Japan used for internal testing for the Entertainment, Technology and Services (ET&S) business.
> 
> 
> Sony has taken this server offline while the investigation is ongoing. There is currently no indication that customer or business partner data was stored on the affected server or that any other Sony systems were affected. There has been no adverse impact on Sony's operations.
> 
> 
> 


This confirms that Sony has suffered two security breaches in the past four months.





## Tags:
***CVE's***: CVE-2023-34362

### Autogenerated tags:
[[sony]]
