# Source code for BlackLotus Windows UEFI malware leaked on GitHub
## The source code for the BlackLotus UEFI bootkit has leaked online, allowing greater insight into a malware that has caused great concern among the enterprise, governments, and the cybersecurity community.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/source-code-for-blacklotus-windows-uefi-malware-leaked-on-github/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 13 July 2023, 11:14
+ Date scraped: 13 July 2023, 16:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/06/02/cpu-motherboard.jpg)



The source code for the BlackLotus UEFI bootkit has leaked online, allowing greater insight into a malware that has caused great concern among the enterprise, governments, and the cybersecurity community.


BlackLotus is a Windows-targeting UEFI bootkit that bypasses[Secure Boot on fully patched Windows 11 installs](https://www.bleepingcomputer.com/news/security/blacklotus-bootkit-bypasses-uefi-secure-boot-on-patched-windows-11/), evades security software, persists on an infected system, and executes payloads with the highest level of privileges in the operating system.


Its features include impairing the BitLocker data protection feature, the Microsoft Defender Antivirus, and the Hypervisor-protected Code Integrity (HVCI) - also known as the Memory Integrity feature that protects against attempts to exploit the Windows Kernel.


Windows Secure Boot is a security feature that blocks untrusted bootloaders on computers with Unified Extensible Firmware Interface (UEFI) firmware and a Trusted Platform Module (TPM) chip. This security feature is meant to prevent rootkits from loading during the startup process and evade detection by applications running in Windows.


BlackLotus was the first discovered example of a UEFI bootkit that could bypass the Secure Boot mechanism and turn off OS-level security protections. This was accomplished initially by exploiting the "Baton Drop" vulnerability ([CVE-2022-21894](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-21894)), which Microsoft patched in January 2022.


Bypasses were found for the security update, allowing BlackLotus to continue to operate and forcing Microsoft to play catchup by revoking additional Windows Boot Managers.


This led to another security update for [CVE-2023-24932](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2023-24932) (another Secure Boot Security Feature Bypass) that revoked further malicious boot managers.


However, Microsoft [disabled the security update for CVE-2023-24932 by default](https://www.bleepingcomputer.com/news/microsoft/microsoft-issues-optional-fix-for-secure-boot-zero-day-used-by-malware/), requiring Windows users to perform a lengthy and somewhat complicated manual installation to patch their systems.


As Microsoft warned that incorrectly installing the security fix could cause your system not to start or be recoverable from Windows installation media, many decided not to install the update, leaving devices vulnerable to Secure Boot bypass attacks.


"If you use Secure Boot and incorrectly perform the steps on this article, you might be unable to start or recover your device from media," explained Microsoft in a [support bulletin](https://support.microsoft.com/en-us/topic/kb5025885-how-to-manage-the-windows-boot-manager-revocations-for-secure-boot-changes-associated-with-cve-2023-24932-41a975df-beb2-40c1-99a3-b3ff139f832d).


"This can prevent you from using recovery media, such as discs or external drives, or network boot recovery, if the media has not been correctly updated."


Due to the concern and stealthiness of the BlackLotus malware, both [Microsoft](https://www.bleepingcomputer.com/news/security/microsoft-shares-guidance-to-detect-blacklotus-uefi-bootkit-attacks/) and the [NSA shared guidance](https://www.bleepingcomputer.com/news/security/nsa-shares-tips-on-blocking-blacklotus-uefi-malware-attacks/) on detecting and removing the bootkit from Windows.


## The BlackLotus source code leak


BlackLotus was [initially sold on hacker forums](https://www.bleepingcomputer.com/news/security/malware-dev-claims-to-sell-new-blacklotus-windows-uefi-bootkit/) for as little as $5,000, allowing threat actors of all skills to gain access to malware usually associated with state-sponsored hacking groups.



![BlackLotus bootkit promoted on hacker forums](https://www.bleepstatic.com/images/news/u/1109292/2022/BlackLotus_promo.png)**BlackLotus bootkit promoted on hacker forums**  
*Source: [KELA's Dark Beast platform](https://ke-la.com/products/darkbeast/)*


However, the threat actor kept the source code private, offering rebuilds for $200 to customers who wanted to customize the bootkit.


Today, security firm Binarly told BleepingComputer that the source code of the BlackLotus UEFI bootkit was [leaked on GitHub](http://github.com/ldpreload/BlackLotus) by the user 'Yukari.' making the tool widely available to anyone.


Yukari says that the source code has been modified to remove the Baton Drop vulnerability and instead uses the [bootlicker UEFI rootkit](https://github.com/realoriginal/bootlicker), which is based on the [CosmicStrand](https://www.bleepingcomputer.com/news/security/cosmicstrand-uefi-malware-found-in-gigabyte-asus-motherboards/), [MoonBounce](https://www.bleepingcomputer.com/news/security/new-moonbounce-uefi-malware-used-by-apt41-in-targeted-attacks/), and [ESPECTRE](https://www.welivesecurity.com/2021/10/05/uefi-threats-moving-esp-introducing-especter-bootkit/) UEFI APT rootkits.



![Leaked BlackLotus source code on GitHub](https://www.bleepstatic.com/images/news/malware/b/blacklotus/source-code-leak/github.jpg)**Leaked BlackLotus source code on GitHub**  
*Source: BleepingComputer*


"The leaked source code isn't complete and contains mainly the rootkit part and bootkit code to bypass Secure Boot," stated Binarly's co-founder and CEO Alex Matrosov.


Matrosov explains that the bootkit's techniques are no longer new, but the source code leak makes it trivial for threat actors to combine the bootkit with new bootloader vulnerabilities, either known or unknown.


"Most of these tricks and techniques are previously known for years and don't present significant impact," Matrosov told BleepingComputer in a conversation about the leak.


"However, the fact that it's possible to combine them with new exploits like the BlackLotus campaign did was something unexpected to the industry and shows the real limitations of the current mitigations below the operating system."


It is important to stress that even though Microsoft addressed the Secure Boot bypasses in CVE-2022-21894 and CVE-2023-24932, the security update is optional, and the fixes are disabled by default.


To secure systems against the BlackLotus UEFI bootkit threat, make sure to follow the comprehensive mitigation advice that NSA published last month.


With the bootkit's source code now widely available, it is also possible that competent malware authors might create more potent variants that can bypass existing and future countermeasures.


Matrosov told BleepingComputer that this particular attack vector has significant benefits for attackers and will only get more sophisticated and complex.





## Tags:
***CVE's***: CVE-2023-24932 CVE-2022-21894

### Autogenerated tags:
[[blacklotus]] [[bootkit]] [[uefi]] [[windows]] [[microsoft]] [[malware]] [[bleepingcomputer]] [[matrosov]] [[cve-2023-24932]]
