# Spain warns of LockBit Locker ransomware phishing attacks
## The National Police of Spain is warning of an ongoing 'LockBit Locker' ransomware campaign targeting architecture companies in the country through phishing emails.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/spain-warns-of-lockbit-locker-ransomware-phishing-attacks/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 28 August 2023, 14:25
+ Date scraped: 28 August 2023, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/04/hacker-arms-raised-brighter.jpg)



The National Police of Spain is warning of an ongoing 'LockBit Locker' ransomware campaign targeting architecture companies in the country through phishing emails.


"A wave of sending emails to architecture companies has been detected, although it is not ruled out that they extend their action to other sectors," reads the machine-translated [police announcement](https://www.policia.es/_es/comunicacion_prensa_detalle.php?ID=15872).


"The detected campaign has a very high level of sophistication since the victims do not suspect anything until they suffer the encryption of the terminals."


Spain's cyber police have detected that many emails are sent from the non-existent domain "fotoprix.eu" and impersonate a photographic firm.


The threat actors pretend to be a newly launched photography store requesting a facility renovation/development plan and a cost estimate for the work from the architecture firm.


After exchanging several emails to build trust, the LockBit operators propose to specify a meeting date to discuss the budget and details of the building project and send an archive with documents on the exact specifications of the renovation.


While the Spanish polish does not provide much technical detail, in a sample seen by BleepingComputer, this archive is a disk image (.img) file that, when opened in newer versions of Windows, will automatically mount the file as a drive letter and display its contents.


These archives contain a folder named 'fotoprix' that includes numerous Python files, batch files, and executables. The archive also contains a Windows shortcut named 'Caracteristicas,' that, when launched, will execute a malicious Python script.



![IMG file contents](https://www.bleepstatic.com/images/news/ransomware/attacks/s/spanish-architecture-firms/img-file-contents.jpg)**IMG file contents**  
*Source: BleepingComputer*


BleepingComputer's analysis shows that the executed Python script will check if the user is an admin of the device, and if so, make modifications to the system for persistence and then executes the 'LockBit Locker' ransomware to encrypt files.



![Malicious Python script](https://www.bleepstatic.com/images/news/ransomware/attacks/s/spanish-architecture-firms/python-script.jpg)**Malicious Python script**  
*Source: BleepingComputer*


If the Windows user is not an admin on the device, it will use the [Fodhelper UAC bypass](https://pentestlab.blog/2017/06/07/uac-bypass-fodhelper/) to launch the ransomware encryptor with admin privileges.


The Spanish police underline the "very high level of sophistication" of these attacks, particularly noting the consistency of the communications that convince victims they interact with individuals genuinely interested in discussing architectural project details.


While the ransomware gang claims to be affiliated with the notorious LockBit ransomware operation, BleepingComputer believes this campaign is conducted by different threat actors using the [leaked LockBit 3.0 ransomware builder](https://www.bleepingcomputer.com/news/security/lockbit-ransomware-builder-leaked-online-by-angry-developer/).


The regular LockBit operation negotiates through a Tor negotiation site, while this 'LockBit Locker' negotiates via email at 'lockspain@onionmail.org' or via the Tox messaging platform.



![LockBit Locker ransom note](https://www.bleepstatic.com/images/news/ransomware/attacks/s/spanish-architecture-firms/ransom-note.jpg)**LockBit Locker ransom note**  
*Source: BleepingComputer*


Furthermore, automated analysis by Intezer's scanning engine [identifies the ransomware executable](http://analyze.intezer.com/analyses/04ea5a44-9c53-4dda-a4c2-98847cc34876/sub/2cc73444-e94b-4e6c-b0b6-61adfcf1c009/ttps) as being [BlackMatter](https://www.bleepingcomputer.com/news/security/blackmatter-ransomware-gang-rises-from-the-ashes-of-darkside-revil/), a ransomware operation that [shut down in 2021](https://www.bleepingcomputer.com/news/security/blackmatter-ransomware-claims-to-be-shutting-down-due-to-police-pressure/) and later [rebranded as ALPHV/BlackCat](https://www.bleepingcomputer.com/news/security/blackcat-alphv-ransomware-linked-to-blackmatter-darkside-gangs/).


However, this is expected, as the [leaked LockBit 3.0 builder](https://www.bleepingcomputer.com/news/security/lockbit-ransomware-builder-leaked-online-by-angry-developer-/), also known as LockBit Black, is also [identified by Intezer as BlackMatter](https://analyze.intezer.com/analyses/d3748cd4-6bc2-4d14-b7eb-f4deb1b8d340) for its use of BlackMatter source code.


Given the reported sophistication of the phishing emails and social engineering seen by BleepingComputer, it is likely that the threat actors behind this campaign are using different lures for companies in other sectors.


Phishing actors have extensively used the "call to bid" bait in campaigns impersonating [private firms](https://www.bleepingcomputer.com/news/security/phishing-attacks-impersonate-pfizer-in-fake-requests-for-quotation/) or [government agencies](https://www.bleepingcomputer.com/news/security/office-365-phishing-attack-impersonates-the-us-department-of-labor/) and using well-crafted documents to convince of the legitimacy of their messages.


Notorious ransomware gangs adopting similar practices for initial compromise is a worrying development, as posing as legitimate customers could help them overcome obstacles like their targets' anti-phishing training.





## Tags:
***email-adresses***: lockspain@onionmail.org

### Autogenerated tags:
[[ransomware]] [[lockbit]] [[bleepingcomputer]] [[emails]] [[phishing]] [[windows]] [[blackmatter]]
