# TeamViewer abused to breach networks in new ransomware attacks
## Ransomware actors are again using TeamViewer to gain initial access to organization endpoints and attempt to deploy encryptors based on the leaked LockBit ransomware builder.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/teamviewer-abused-to-breach-networks-in-new-ransomware-attacks/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 18 January 2024, 16:07
+ Date scraped: 18 January 2024, 22:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/08/07/teamviewer-header.jpg)



Ransomware actors are again using TeamViewer to gain initial access to organization endpoints and attempt to deploy encryptors based on the leaked LockBit ransomware builder.


TeamViewer is a legitimate remote access tool used extensively in the enterprise world, valued for its simplicity and capabilities.


Unfortunately, the tool is also cherished by scammers and even ransomware actors, who use it to gain access to remote desktops, dropping and executing malicious files unhindered.


A similar case was first reported in March 2016, when numerous victims confirmed in the [BleepingComputer forums](https://www.bleepingcomputer.com/forums/t/607593/surprise-ransomware-support-and-help-topic-surprise-tzu-extension/page-2) that their devices were breached using TeamViewer to encrypt files with the [Surprise ransomware](https://www.bleepingcomputer.com/news/security/surprise-ransomware-installed-via-teamviewer-and-executes-from-memory/).


At the time, TeamViewer's explanation for the unauthorized access was credential stuffing, meaning the attackers did not exploit a zero-day vulnerability in the software but instead used users' leaked credentials.


"As TeamViewer is a widely spread software, many online criminals attempt to log on with the data of compromised accounts, in order to find out whether there is a corresponding TeamViewer account with the same credentials," [explained the software vendor](https://web.archive.org/web/20160423153602/https://www.teamviewer.com/en/company/press/statement-on-ransomware-infections-via-teamviewer/) at the time.


"If this is the case, chances are they can access all assigned devices, in order to install malware or ransomware."


TeamViewer targeted again
-------------------------


A new report from [Huntress](https://www.huntress.com/blog/ransomware-deployment-attempts-via-teamviewer) shows that cybercriminals haven't abandoned these old techniques, still taking over devices via TeamViewer to try and deploy ransomware.


The analyzed log files (connections\_incoming.txt) showed connections from the same source in both cases, indicating a common attacker.


In the first compromised endpoint, Huntress saw in the logs multiple accesses by employees, indicating the software was actively used by the staff for legitimate administrative tasks.


In the second endpoint seen by Huntress, which has been running since 2018, there had been no activity in the logs for the past three months, indicating that it was less frequently monitored, possibly making it more attractive for the attackers.


In both cases, the attackers attempted to deploy the ransomware payload using a DOS batch file (PP.bat) placed on the desktop, which executed a DLL file (payload) via a rundll32.exe command.



![The PP.bat file used to execute ransomware encryptor](https://www.bleepstatic.com/images/news/ransomware/t/teamviewer-lb3/pp_bat.jpg)**The PP.bat file used to execute ransomware encryptor**  
*Source: BleepingComputer*


The attack on the first endpoint succeeded but was contained. On the second, the antivirus product stopped the effort, forcing repeated payload execution attempts with no success.


While Huntress hasn't been able to attribute the attacks with certainty to any known ransomware gangs, they note that it is similar to LockBit encryptors created using a leaked LockBit Black builder.


In 2022, the [ransomware builder for LockBit 3.0 was leaked](https://www.bleepingcomputer.com/news/security/lockbit-ransomware-builder-leaked-online-by-angry-developer/), with the [Bl00dy](https://www.bleepingcomputer.com/news/security/leaked-lockbit-30-builder-used-by-bl00dy-ransomware-gang-in-attacks/) and [Buhti](https://www.bleepingcomputer.com/news/security/new-buhti-ransomware-gang-uses-leaked-windows-linux-encryptors/) gangs quickly launching their own campaigns using the builder.


The leaked builder allows you to create different versions of the encryptor, including an executable, a DLL, and an encrypted DLL that requires a password to launch properly.



![Leaked LockBit 3.0 build](https://www.bleepstatic.com/images/news/ransomware/l/lockbit/lockbit-3.0-leak/built-files.jpg)**Leaked LockBit 3.0 build**  
*Source: BleepingComputer*


Based on the IOCs provided by Huntress, the attacks through TeamViewer appear to be using the password-protected LockBit 3 DLL.


While BleepingComputer could not find the specific sample seen by Huntress, we found a [different sample](https://www.virustotal.com/gui/file/3c4b923d4a10fc431c46f0ed6e733f6a1d28b734a3f08431db0c3b1c39e1d1a5/telemetry) uploaded to VirusTotal last week.


This sample is detected as LockBit Black but does not use the standard LockBit 3.0 ransomware note, indicating it was created by another ransomware gang using the leaked builder.



![Custom ransom note from leaked LockBit 3.0 builder](https://www.bleepstatic.com/images/news/ransomware/t/teamviewer-lb3/lb3-ransom-note.jpg)**Custom ransom note from leaked LockBit 3.0 builder**  
*Source: BleepingComputer*


While it is unclear how the threat actors are now taking control of TeamViewer instances, the company shared the following statement with BleepingComputer about the attacks and on securing installations.



"At TeamViewer, we take the security and integrity of our platform extremely seriously and unequivocally condemn any form of malicious use of our software.


Our analysis shows that most instances of unauthorized access involve a weakening of TeamViewer's default security settings. This often includes the use of easily guessable passwords which is only possible by using an outdated version of our product. We constantly emphasize the importance of maintaining strong security practices, such as using complex passwords, two-factor-authentication, allow-lists, and regular updates to the latest software versions. These steps are critical in safeguarding against unauthorized access.


To further support our users in maintaining secure operations, we have published a set of best practices for secure unattended access, which can be found at [[Best practices for secure unattended access - TeamViewer Support](https://community.teamviewer.com/English/kb/articles/108681-best-practices-for-secure-unattended-access)]. We strongly encourage all our users to follow these guidelines to enhance their security posture."






## Tags:


### Autogenerated tags:
[[teamviewer]] [[ransomware]] [[lockbit]] [[bleepingcomputer]] [[dll]]
