# TellYouThePass ransomware exploits recent PHP RCE flaw to breach servers
## The TellYouThePass ransomware gang has been exploiting the recently patched CVE-2024-4577 remote code execution vulnerability in PHP to deliver webshells and execute the encryptor payload on target systems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/tellyouthepass-ransomware-exploits-recent-php-rce-flaw-to-breach-servers/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 11 June 2024, 10:25
+ Date scraped: 11 June 2024, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/09/28/Hacker_ransomware.jpg)



The TellYouThePass ransomware gang has been exploiting the recently patched CVE-2024-4577 remote code execution vulnerability in PHP to deliver webshells and execute the encryptor payload on target systems.


Attacks started on June 8, less than 48 hours after the release of security updates by PHP's maintainers, and relied on publicly available exploit code.


TellYouThePass ransomware is known for quickly jumping on public exploits for vulnerabilities with a wide impact. Last November they used an [Apache ActiveMQ RCE](https://www.bleepingcomputer.com/news/security/tellyouthepass-ransomware-joins-apache-activemq-rce-attacks/) in attacks and in December 2021 they adopted the [Log4j exploit](https://www.bleepingcomputer.com/news/security/tellyouthepass-ransomware-revived-in-linux-windows-log4j-attacks/) to breach companies.


In the latest attacks spotted by researchers at cybersecurity company Imperva, TellYouThePass exploits the critical-severity CVE-2024-4577 bug to execute arbitrary PHP code, using the Windows mshta.exe binary to run a malicious HTML application (HTA) file.



![Malicious HTA file](https://www.bleepstatic.com/images/news/u/1220909/2024/Ransomware/17/mal-hta.png)

**Malicious HTA file**  
*Source: Imperva*




This file contains VBScript with a base64-encoded string that decodes into a binary, loading a .NET variant of the ransomware into the host's memory, Imperva [researchers explain](https://www.imperva.com/blog/update-cve-2024-4577-quickly-weaponized-to-distribute-tellyouthepass-ransomware/).



![VBScript injects the payload into memory](https://www.bleepstatic.com/images/news/u/1220909/2024/Ransomware/17/vbscript.png)

**VBScript injects the payload into memory**  
*Source: Imperva*




Upon execution, the malware sends an HTTP request to a command-and-control (C2) server disguised as a CSS resource request and encrypts files on the infected machine.


It then places a ransom note, "READ\_ME10.html," with instructions for the victim on how to restore their files.


User posts on the [BleepingComputer forum](https://www.bleepingcomputer.com/forums/t/798060/tellyouthepass-ransomware-locked;-read-me9html-support-topic/) indicate that TellYouThePass attacks have claimed victims since June 8 and the ransom note demanded 0.1 BTC (around $6,700) for the decryption key.


One user who had a computer hosting their website encrypted found that the TellYouThePass ransomware campaign had impacted mulptiple websites.


Bug exploited shortly after fix
-------------------------------


CVE-2024-4577 is a critical RCE vulnerability that impacts all PHP versions since 5.x. It stems from unsafe character encoding conversions on Windows when used in CGI mode.


The vulnerability was discovered on May 7 by Devcore's Orange Tsai, who reported it to the PHP team. A [fix was delivered](https://www.bleepingcomputer.com/news/security/php-fixes-critical-rce-flaw-impacting-all-versions-for-windows/) June 6 with the release of PHP versions 8.3.8, 8.2.20, and 8.1.29.


On Friday, a day after the patch, WatchTowr Labs released proof-of-concept (PoC) [exploit code for CVE-2024-4557](https://github.com/watchtowrlabs/CVE-2024-4577). The same day, The Shadowserver Foundation [observed exploitation attempts](https://x.com/Shadowserver/status/1799053497490698548) on their honeypots.


![tweet](https://www.bleepstatic.com/images/news/u/1220909/2024/Ransomware/17/shadow.png)


According to a report from Censys yesterday, there are more than [450,000 exposed PHP servers](https://censys.com/cve-2024-4577/) that could be vulnerable to the CVE-2024-4577 RCE vulnerability, most of them located in the United States and Germany.


Wiz cloud security startup gave a more specific estimate of how many of those instances might be vulnerable, putting the number to [around 34%](https://www.wiz.io/blog/critical-rce-php-cgi-vulnerability).





## Tags:
***CVE's***: CVE-2024-4577 CVE-2024-4557

### Autogenerated tags:
[[php]] [[tellyouthepass]] [[ransomware]] [[cve-2024-4577]] [[imperva]] [[rce]]
