# The Week in Ransomware - April 5th 2024 - Virtual Machines under Attack
## Ransomware attacks targeting VMware ESXi and other virtual machine platforms are wreaking havoc among the enterprise, causing widespread disruption and loss of services.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/the-week-in-ransomware-april-5th-2024-virtual-machines-under-attack/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 05 April 2024, 17:59
+ Date scraped: 05 April 2024, 22:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/05/25/vmware-locked.jpg)



Ransomware attacks targeting VMware ESXi and other virtual machine platforms are wreaking havoc among the enterprise, causing widespread disruption and loss of services.


Panera's [massive IT outage](https://www.bleepingcomputer.com/news/security/panera-bread-experiencing-nationwide-it-outage-since-saturday/) last month that took down internal systems, the website, mobile apps, and phones was [caused by a ransomware attack](https://www.bleepingcomputer.com/news/security/panera-bread-week-long-it-outage-caused-by-ransomware-attack/) encrypting the company's virtual machines.


While the company has been able to restore servers from backups, it took almost a week for their systems to be restored.


Similarly, Omni Hotels [suffered a massive outage](https://www.bleepingcomputer.com/news/security/omni-hotels-experiencing-nationwide-it-outage-since-friday/), which took down the company's reservation system, phones, and door lock system. The outage was so severe that guests had to contact a hotel employee to be let into their rooms, as key cards did not work.


Omni Hotels confirmed a few days later that [they suffered a cyberattack](https://www.bleepingcomputer.com/news/security/omni-hotels-confirms-cyberattack-behind-ongoing-it-outage/), with BleepingComputer learning that it was once again a ransomware attack encrypting the company's virtual machines. BleepingComputer has been told that Omni is restoring from backups as well.


This week, Chilean hosting provider [IxMetro Powerhost also disclosed a ransomware attack](https://www.bleepingcomputer.com/news/security/hosting-firms-vmware-esxi-servers-hit-by-new-sexi-ransomware/) where the threat actors encrypted the hosting company's VMware ESXI servers. These servers powered customers' virtual private servers (VPS), also bringing their websites down.


Unfortunately, they were not as lucky as Panera and Omni Hotels, as the threat actors also encrypted the company's backups. The threat actors behind this attack, known as SEXi, demanded two bitcoins per customer to receive a decryptor.


While virtual machine platforms, like VMware ESXi, make it much easier for enterprises to manage resources and servers, they have also become a very tempting target for ransomware gangs.


As a company's servers are now centrally located as virtual machines, threat actors can simply encrypt a single VMware server to perform massive disruption to a company's operations.


Admins must tighten security on their virtual machine platforms by applying the latest security updates to VM software and the host operating systems, using administrative credentials different from those of the Windows domain, and applying tighter access controls.


Today, the Chilean government’s CSIRT [issued an advisory](https://csirt.gob.cl/alertas/alerta-vmware-abril-2024/) warning the enterprise to upgrade VMware software to the latest versions and offered advice on securing servers.


While attackers targeting virtual machines are [nothing new](https://www.bleepingcomputer.com/tag/vmware-esxi/), this week's attacks continue to show that they are critical IT systems that needs to be properly secured to prevent disastrous outages.


Contributors and those who provided new ransomware information and stories this week include: [@fwosar](https://twitter.com/fwosar), [@LawrenceAbrams](https://twitter.com/LawrenceAbrams), [@billtoulas](https://twitter.com/billtoulas), [@BleepinComputer](https://twitter.com/BleepinComputer), [@serghei](https://twitter.com/serghei), [@Ionut\_Ilascu](https://twitter.com/Ionut_Ilascu), [@Seifreed](https://twitter.com/Seifreed), [@malwrhunterteam](https://twitter.com/malwrhunterteam), [@demonslay335](https://twitter.com/demonslay335), [@1ZRR4H](https://twitter.com/1ZRR4H), [@BushidoToken](https://twitter.com/BushidoToken), [@pcrisk](https://twitter.com/pcrisk), [@JakubKroustek](https://twitter.com/JakubKroustek), [@AJVicens](https://twitter.com/AJVicens), [@TrendMicro](https://twitter.com/trendmicro), [@AlexMartin](https://twitter.com/AlexMartin), [@jgreigj](https://twitter.com/jgreigj), [@TheDFIRReport](https://twitter.com/TheDFIRReport), [@SonicWall](https://twitter.com/SonicWall), and [@CSIRTGOB](https://twitter.com/csirtgob).


April 1st 2024
--------------


### [Yacht retailer MarineMax discloses data breach after cyberattack](https://www.bleepingcomputer.com/news/security/yacht-retailer-marinemax-discloses-data-breach-after-cyberattack/)


MarineMax, self-described as one of the world's largest recreational boat and yacht retailers, says attackers stole employee and customer data after breaching its systems in a March cyberattack.


### [From OneNote to RansomNote: An Ice Cold Intrusion](https://thedfirreport.com/2024/04/01/from-onenote-to-ransomnote-an-ice-cold-intrusion/)


This intrusion started in late February of 2023 and lasted through late March of 2023. The threat actor initially gained access through a phishing campaign, in which they distributed emails containing malicious OneNote attachments. During this period, OneNote files had surged in popularity among initial access brokers. This rise was primarily due to their capability to circumvent email attachment blocking rules and evade detection by existing security mechanisms.


April 2nd 2024
--------------


### [Omni Hotels experiencing nationwide IT outage since Friday](https://www.bleepingcomputer.com/news/security/omni-hotels-experiencing-nationwide-it-outage-since-friday/)


Omni Hotels & Resorts has been experiencing a chain-wide outage that brought down its IT systems on Friday, impacting reservation, hotel room door lock, and point-of-sale (POS) systems.


### [New GlobeImposter variant](https://twitter.com/pcrisk/status/1775050871937651037)


[PCrisk](https://twitter.com/pcrisk) found a new GlobeImposter variant that appends the **.schrodingercat** extension and drops a ransom note named **how\_to\_back\_files.html**.


April 3rd 2024
--------------


### [Jackson County in state of emergency after ransomware attack](https://www.bleepingcomputer.com/news/security/jackson-county-in-state-of-emergency-after-ransomware-attack/)


Jackson County, Missouri, is in a state of emergency after a ransomware attack took down some county services on Tuesday.


### [Hosting firm's VMware ESXi servers hit by new SEXi ransomware](https://www.bleepingcomputer.com/news/security/hosting-firms-vmware-esxi-servers-hit-by-new-sexi-ransomware/)


Chilean data center and hosting provider IxMetro Powerhost has suffered a cyberattack at the hands of a new ransomware gang known as SEXi, which encrypted the company's VMware ESXi servers and backups.


### [Omni Hotels confirms cyberattack behind ongoing IT outage](https://www.bleepingcomputer.com/news/security/omni-hotels-confirms-cyberattack-behind-ongoing-it-outage/)


Omni Hotels & Resorts has confirmed a cyberattack caused a nationwide IT outage that is still affecting its locations.


### [Unveiling the Fallout: Operation Cronos' Impact on LockBit Following Landmark Disruption](https://www.trendmicro.com/en_us/research/24/d/operation-cronos-aftermath.html)


Our new article provides key highlights and takeaways from Operation Cronos' disruption of LockBit's operations, as well as telemetry details on how LockBit actors operated post-disruption.


### [Chaos Ransomware Operator Gives Up Decryption Tool for Free](https://blog.sonicwall.com/en-us/2024/04/chaos-ransomware-operator-gives-up-decryption-tool-for-free/)


The SonicWall CaptureLabs threat research team have been recently tracking ransomware created using the Chaos ransomware builder. The builder appeared in June 2021 and has been used by many operators to infect victims and demand payment for file retrieval. The sample we analyzed lead us to a conversation with the operator who freely gave up the decryptor program.


### [New STOP ransomware variants](https://twitter.com/pcrisk/status/1775394579426005165)


PCrisk found new STOP ransomware variants that append the **.uazq** and **.uajs** extensions.


April 4th 2024
--------------


### [Leicester City Council confirms ransomware attack after confidential documents leaked](https://therecord.media/leicester-city-council-ransomware-data-breach)


Leicester City Council in England has confirmed that last month’s cyber incident was a ransomware attack after being made aware that the criminals behind the incident had uploaded stolen documents to their dark web extortion site.


### [New 'Unkno' ransomware](https://twitter.com/pcrisk/status/1775756815596167281)


PCrisk found a new ransomware based off the leaked Babuk source code that appends the **.unkno** and drops a ransom note named **RESTORE\_YOUR\_FILES.txt**.


### [New Chaos ransomware variant](https://twitter.com/pcrisk/status/1775800627412533485)


PCrisk found a new Chaos ransomware variant that drops a **LEIA-ME.txt** ransom note and appends a random extension.


### [‘An attack on the reputation of Palau’: officials question who was really behind ransomware incident](https://therecord.media/palau-attack-who-was-behind-china-us)


They quickly discovered two separate ransom notes: one on a sheet of paper in the printer from the [LockBit ransomware gang](https://therecord.media/tag/lockbit) and one in a README text file put alongside Palau’s encrypted documents from the DragonForce ransomware gang.


April 5th 2024
--------------


### [Panera Bread week-long IT outage caused by ransomware attack](https://www.bleepingcomputer.com/news/security/panera-bread-week-long-it-outage-caused-by-ransomware-attack/)


Panera Bread's recent week-long outage was caused by a ransomware attack, according to people familiar with the matter and emails seen by BleepingComputer.


### [ALPHV steps up laundering of Change Healthcare ransom payments](https://cyberscoop.com/alphv-steps-up-laundering-of-change-healthcare-ransom-payments/)


Six weeks after executing an attack that crippled parts of the U.S. health care system, the cybercrime gang linked to the incident has picked up the pace of laundering the proceeds of an alleged ransom payment, even as the hackers implicated in the breach continue to maintain a low profile.


### [New Makop variant](https://twitter.com/pcrisk/status/1776134051948105793)


PCrisk found a new Makop variant that appends the **.datah** extension.


### [New ransomware variant](https://twitter.com/pcrisk/status/1776153378541711571)


PCrisk found a new python ransomware that appends the **.rincrypt** extension and drops a ransom note named **READ THIS.txt**.


### [New STOP ransomware variant](https://twitter.com/JakubKroustek/status/1776327596768215061)


[Jakub Kroustek](https://twitter.com/JakubKroustek) found a new STOP ransomware variant that appends the **.kaaa** extension.


### [New Dharma ransomware variant](https://twitter.com/JakubKroustek/status/1776334010332971044)


Jakub Kroustek found a new Dharma variant that appends the **.hunt** extension.


### That's it for this week! Hope everyone has a nice weekend!





## Tags:


### Autogenerated tags:
[[ransomware]] [[vmware]] [[cyberattack]] [[pcrisk]] [[esxi]] [[panera]] [[lockbit]] [[bleepingcomputer]] [[sexi]] [[onenote]]
