# The Week in Ransomware - August 4th 2023 - Targeting VMware ESXi
## Ransomware gangs continue to prioritize targeting VMware ESXi servers, with almost every active ransomware gang creating custom Linux encryptors for this purpose.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/the-week-in-ransomware-august-4th-2023-targeting-vmware-esxi/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 04 August 2023, 19:12
+ Date scraped: 05 August 2023, 08:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/05/25/vmware-locked.jpg)



Ransomware gangs continue to prioritize targeting VMware ESXi servers, with almost every active ransomware gang creating custom Linux encryptors for this purpose.


This week, BleepingComputer analyzed the [Linux encryptor for Abyss Locker](https://www.bleepingcomputer.com/news/security/linux-version-of-abyss-locker-ransomware-targets-vmware-esxi-servers/) and illustrated how it was specifically designed to encrypt ESXi virtual machines.


Other ransomware operations with ESXi encryptors include [Akira](https://www.bleepingcomputer.com/news/security/linux-version-of-akira-ransomware-targets-vmware-esxi-servers/), [Royal](https://www.bleepingcomputer.com/news/security/linux-version-of-royal-ransomware-targets-vmware-esxi-servers/), [Black Basta](https://www.bleepingcomputer.com/news/security/linux-version-of-black-basta-ransomware-targets-vmware-esxi-servers/), [LockBit](https://www.bleepingcomputer.com/news/security/linux-version-of-lockbit-ransomware-targets-vmware-esxi-servers/), [BlackMatter](https://www.bleepingcomputer.com/news/security/linux-version-of-blackmatter-ransomware-targets-vmware-esxi-servers/), [AvosLocker](https://www.bleepingcomputer.com/news/security/linux-version-of-avoslocker-ransomware-targets-vmware-esxi-servers/), [REvil](https://www.bleepingcomputer.com/news/security/revil-ransomwares-new-linux-encryptor-targets-esxi-virtual-machines/), [HelloKitty](https://www.bleepingcomputer.com/news/security/linux-version-of-hellokitty-ransomware-targets-vmware-esxi-servers/), [RansomEXX](https://www.bleepingcomputer.com/news/security/ransomexx-ransomware-linux-encryptor-may-damage-victims-files/), and [Hive](https://www.bleepingcomputer.com/news/security/hive-ransomware-now-encrypts-linux-and-freebsd-systems/).


Quite a bit of research was released this week as well, with cybersecurity firms and researchers releasing reports on:


* Ransomware's [impact on industrial organizations and infrastructure](https://www.dragos.com/blog/dragos-industrial-ransomware-attack-analysis-q2-2023/).
* A study [examined cyber insurance's role](https://rusi.org/explore-our-research/publications/occasional-papers/cyber-insurance-and-ransomware-challenge) in addressing the threats posed by ransomware.
* Three reports from KELA on [Qilin](https://www.kelacyber.com/qilin-ransomware-gang-adopts-ransom-payments-through-affiliates/), the new [Knight 2.0 RaaS](https://www.kelacyber.com/cyclops-ransomware-gang-unveils-knight-raas/), and [Akira](https://www.kelacyber.com/akira-ransomware-evades-decryptor/).
* A [tool to exploit DLL hijacking flaws](https://github.com/malvuln/RansomLord) in ransomware to prevent encryption.

Regarding ransomware or extortion attacks, [EY](https://apps.web.maine.gov/online/aeviewer/ME/40/548a539b-e4c0-41a8-9f4b-22c8359e20c3.shtml) and [Serco sent data breach notifications](https://www.bleepingcomputer.com/news/security/us-govt-contractor-serco-discloses-data-breach-after-moveit-attacks/) for the Clop MOVEit attacks.


Hospitals run by Prospect Medical Holdings were also [impacted this week by a ransomware attack](https://www.bleepingcomputer.com/article_manager/post-edit.php?id=17635) on the parent company. However, it is unclear what gang is behind the attack.


Finally, Argentina's Comprehensive Medical Care Program (PAMI) [suffered a ransomware attack](https://www.clarin.com/tecnologia/pami-confirmo-ciberataque-ransomware-aseguran-mitigado-_0_U29WNR9srI.html) that impacted its operations.


Contributors and those who provided new ransomware information and stories this week include: [@billtoulas](https://twitter.com/billtoulas), [@Seifreed](https://twitter.com/Seifreed), [@malwrhunterteam](https://twitter.com/malwrhunterteam), [@demonslay335](https://twitter.com/demonslay335), [@serghei](https://twitter.com/serghei), [@malwareforme](https://twitter.com/malwareforme), [@LawrenceAbrams](https://twitter.com/LawrenceAbrams), [@BleepinComputer](https://twitter.com/BleepinComputer), [@Ionut\_Ilascu](https://twitter.com/Ionut_Ilascu), [@Fortinet](https://twitter.com/fortinet), [@malvuln](https://twitter.com/malvuln), [@Intel\_by\_KELA](https://twitter.com/Intel_by_KELA), [@DragosInc](https://twitter.com/DragosInc), [@MrJamesSullivan](https://twitter.com/MrJamesSullivan), [@pcrisk](https://twitter.com/pcrisk), and [@juanbrodersen](https://twitter.com/juanbrodersen).


## July 29th 2023


### [Linux version of Abyss Locker ransomware targets VMware ESXi servers](https://www.bleepingcomputer.com/news/security/linux-version-of-abyss-locker-ransomware-targets-vmware-esxi-servers/)


The Abyss Locker operation is the latest to develop a Linux encryptor to target VMware's ESXi virtual machines platform in attacks on the enterprise.


### [New RansomLord anti-ransomware tool](https://github.com/malvuln/RansomLord)


Security researcher [Malvuln](https://twitter.com/malvuln) has released a tool called RansomLord that exploits DLL hijacking vulnerabilities in ransomware encryptors to terminate the processes before encryption starts. It is not 100% guaranteed to work, so all users should read the projects readme.


## July 31st 2023


### [Dragos Industrial Ransomware Attack Analysis: Q2 2023](https://www.dragos.com/blog/dragos-industrial-ransomware-attack-analysis-q2-2023/)


The second quarter of 2023 proved to be an exceptionally active period for ransomware groups, posing significant threats to industrial organizations and infrastructure. The rise in ransomware attacks on industrial targets and their consequential impacts highlights the rapid growth of ransomware ecosystems and the adoption of different tactics, techniques, and procedures (TTPs) by these groups to achieve their objectives. In Q2, Dragos observed that out of the 66 groups we monitor, 33 continued to impact industrial organizations. These groups continued to employ previously effective tactics, including exploiting zero-day vulnerabilities, leveraging social engineering, targeting public-facing services, and compromising IT service providers.


### [Cyber Insurance and the Ransomware Challenge](https://rusi.org/explore-our-research/publications/occasional-papers/cyber-insurance-and-ransomware-challenge)


A study examining the role of cyber insurance in addressing the threats posed by ransomware.


### [New Dharma variant](https://twitter.com/pcrisk/status/1685880630519681024)


[PCrisk](https://twitter.com/pcrisk) found a new Dharma ransomware variant that appends the **.Z0V** extension and drops a ransom note named **Z0V.txt**.


### [New STOP ransomware variant](https://twitter.com/pcrisk/status/1685983359124578304)


PCrisk found new STOP ransomware variants that append the **.pouu** or **.poaz** extensions.


## August 1st 2023


### [Akira Ransomware Gang Evades Decryptor, Exploiting Victims Uninterruptedly](https://www.kelacyber.com/akira-ransomware-evades-decryptor/)


Despite the decryptor for the Akira ransomware that was released at the end of June 2023, the group still seems to successfully extort victims. In July, we observed 15 new victims of the group, either publicly disclosed or detected by KELA in the course of their negotiations.


### [Cyclops Ransomware Gang Unveils Knight 2.0 RaaS Operation: Partner-Friendly and Expanding Targets](https://www.kelacyber.com/cyclops-ransomware-gang-unveils-knight-raas/)


The Cyclops ransomware gang has launched a 2.0 version of its RaaS operation named Knight. On July 26, the gang announced on their blog they were “releasing the new panel and program this week”, likely referring to updates to both their ransomware strain and their affiliates’ panel. Recently, Cyclops announced they “upgraded” the operation and called for new affiliates to join the group. A thread advertising Cyclops’ RaaS has been renamed to “[RaaS]Knight”.


### [Qilin Ransomware Gang Adopts Uncommon Payment System: All Ransom Payments Funneled through Affiliates](https://www.kelacyber.com/qilin-ransomware-gang-adopts-ransom-payments-through-affiliates/)


In July, KELA observed that actors behind Qilin (Agenda) RaaS program have announced that ransom payments are paid only to their affiliates’ wallets. Apparently, only then a share of profits is transferred to the Qilin RaaS owners. This approach is less common for RaaS programs: usually victims are paying ransom to wallets controlled by RaaS developers/managers, and only then affiliates receive their share of ransom. The “opposite” approach, now adopted by Qilin, is known to be used by LockBit.


### [New Xorist ransomware variant](https://twitter.com/pcrisk/status/1686244849077358592)


PCrisk found new Xorist ransomware variant that appends the **.rtg**.


### [New STOP ransomware variant](https://twitter.com/pcrisk/status/1686276865336414208)


PCrisk found new Xorist ransomware variant that appends the **.popn** and drops a ransom note named **\_readme.txt**.


## August 2nd 2023


### [The PAMI confirmed a ransomware cyberattack: it took down the site, but they assure that "it was mitigated"](https://www.clarin.com/tecnologia/pami-confirmo-ciberataque-ransomware-aseguran-mitigado-_0_U29WNR9srI.html)


The Comprehensive Medical Care Program ( PAMI ) suffered a ransomware cyberattack , a type of virus that encrypts files to demand a ransom in exchange. Official sources confirmed to Clarín that this type of cyberattack was involved and that they are investigating where the intrusion came from. Shifts are maintained and medicines can be bought normally in pharmacies, they assured.


## August 3rd 2023


### [US govt contractor Serco discloses data breach after MoveIT attacks](https://www.bleepingcomputer.com/news/security/us-govt-contractor-serco-discloses-data-breach-after-moveit-attacks/)


Serco Inc, the Americas division of multinational outsourcing company Serco Group, has disclosed a data breach after attackers stole the personal information of over 10,000 individuals from a third-party vendor's MoveIT managed file transfer (MFT) server.


### [Ransomware Roundup - DoDo and Proton](https://www.fortinet.com/blog/threat-research/ransomware-roundup-dodo-and-proton)


This edition of the Ransomware Roundup covers the DoDo and Proton ransomware.


### [EY sends MOVEit data breach notification](https://apps.web.maine.gov/online/aeviewer/ME/40/548a539b-e4c0-41a8-9f4b-22c8359e20c3.shtml)


Based on our investigation, we believe an unauthorized party was able to obtain certain files transferred through the MOVEit tool, including files that contained personal data of 3 Maine residents. EY Law then also undertook an extensive analysis of the affected files to determine which individuals and data may have been affected, and to confirm their identities and contact information.


### [New Phobos ransomware variant](https://twitter.com/pcrisk/status/1686989895682711552)


PCrisk found new Phobos ransomware variant that appends the **.G-STARS** extension.


### [New TrashPanda ransomware](https://twitter.com/pcrisk/status/1687006878461575168)


PCrisk found the new TrashPanda ransomware that appends the **.monochromebear** extension and drops a ransom note named **[random\_string]-readme.html**.


### [New CryBaby ransomware](https://twitter.com/pcrisk/status/1687019725585301504)


PCrisk found the new Crybaby python ransomware that appends the **.lockedbycrybaby** extension.


## That's it for this week! Hope everyone has a nice weekend!





## Tags:


### Autogenerated tags:
[[ransomware]] [[raas]] [[pcrisk]] [[esxi]] [[qilin]] [[moveit]] [[linux]] [[akira]] [[serco]] [[vmware]]
