# The Week in Ransomware - December 29th 2023 - LockBit targets hospitals
## It's been a quiet week, with even threat actors appearing to take some time off for the holidays. We did not see much research released on ransomware this week, with most of the news focusing on new attacks and LockBit affiliates increasingly targeting hospitals.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/the-week-in-ransomware-december-29th-2023-lockbit-targets-hospitals/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 29 December 2023, 15:39
+ Date scraped: 29 December 2023, 21:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/01/lockbit-flames.jpg)



It's been a quiet week, with even threat actors appearing to take some time off for the holidays. We did not see much research released on ransomware this week, with most of the news focusing on new attacks and LockBit affiliates increasingly targeting hospitals.


These attacks include ones against [Yakult Australia](https://www.bleepingcomputer.com/news/security/yakult-australia-confirms-cyber-incident-after-95-gb-data-leak/) and the [Ohio Lottery](https://www.bleepingcomputer.com/news/security/ohio-lottery-hit-by-cyberattack-claimed-by-dragonforce-ransomware/) by the new DragonForce ransomware operation.


The most concerning news is that LockBit affiliates increasingly target hospitals in attacks, even though the ransomware operation says it's against the rules.


In December 2022, one week before Christmas, a LockBit affiliate [attacked the Hospital for Sick Children (SickKids) in Toronto](https://www.bleepingcomputer.com/news/security/ransomware-gang-apologizes-gives-sickkids-hospital-free-decryptor/), causing diagnostic and treatment delays. The ransomware operation said this was against the rules and issued a free decryptor.



![Apology to SickKids on the LockBit data leak site](https://www.bleepstatic.com/images/news/ransomware/attacks/s/sickkids/lockbit-site.jpg)**Apology to SickKids on the LockBit data leak site**  
*Source: BleepingComputer*


However, this week, we learned that [LockBit attacked three hospitals in Germany](https://www.bleepingcomputer.com/news/security/lockbit-ransomware-disrupts-emergency-care-at-german-hospitals/), disrupting emergency room services.


We also learned about two New York hospitals [seeking a court order](https://www.bleepingcomputer.com/news/security/hospitals-ask-courts-to-force-cloud-storage-firm-to-return-stolen-data/) to have Boston cloud storage company Wasabi Technologies return stolen data stored on one of its servers by the LockBit ransomware gang.


According to a court order, the Carthage Area Hospital and Claxton-Hepburn Medical Center were attacked in September, with the LockBit affiliate renting cloud storage at Wasabi to store stolen data.


The two hospitals now request that the courts force Wasabi to provide and delete the data from their servers. The court documents indicate that Wasabi is already working with the FBI and has shared a copy of the stolen data with them.


Finally, Microsoft once again [disabled the MSIX ms-appinstaller protocol handler](https://www.bleepingcomputer.com/news/microsoft/microsoft-disables-msix-protocol-handler-abused-in-malware-attacks/) after deactivating it in February 2022 and then enabling it again in 2023 for some unknown reason.


However, as malware campaigns continue to abuse this feature, which could lead to ransomware attacks, the feature has again been disabled.


Contributors and those who provided new ransomware information and stories this week include: [@malwrhunterteam](https://twitter.com/malwrhunterteam), [@serghei](https://twitter.com/serghei), [@demonslay335](https://twitter.com/demonslay335), [@BleepinComputer](https://twitter.com/BleepinComputer), [@Ionut\_Ilascu](https://twitter.com/Ionut_Ilascu), [@Seifreed](https://twitter.com/Seifreed), [@fwosar](https://twitter.com/fwosar), [@LawrenceAbrams](https://twitter.com/LawrenceAbrams), [@billtoulas](https://twitter.com/billtoulas), [@MsftSecIntel](https://twitter.com/MsftSecIntel), [@DarkWebInformer](https://twitter.com/DarkWebInformer), [@BrettCallow](https://twitter.com/BrettCallow), [@pcrisk](https://twitter.com/pcrisk), and [@Fortinet](https://twitter.com/fortinet).


December 27th 2023
------------------


### [Yakult Australia confirms 'cyber incident' after 95 GB data leak](https://www.bleepingcomputer.com/news/security/yakult-australia-confirms-cyber-incident-after-95-gb-data-leak/)


Yakult Australia, manufacturer of a probiotic milk drink, has confirmed experiencing a "cyber incident" in a statement to BleepingComputer. Both the company's Australian and New Zealand IT systems have been affected.


### [Ohio Lottery hit by cyberattack claimed by DragonForce ransomware](https://www.bleepingcomputer.com/news/security/ohio-lottery-hit-by-cyberattack-claimed-by-dragonforce-ransomware/)


The Ohio Lottery was forced to shut down some key systems after a cyberattack affected an undisclosed number of internal applications on Christmas Eve.


### [Lockbit ransomware disrupts emergency care at German hospitals](https://www.bleepingcomputer.com/news/security/lockbit-ransomware-disrupts-emergency-care-at-german-hospitals/)


German hospital network Katholische Hospitalvereinigung Ostwestfalen (KHO) has confirmed that recent service disruptions at three hospitals were caused by a Lockbit ransomware attack.


### [New STOP ransomware variant](https://twitter.com/pcrisk/status/1739887650171969917)


[PCrisk](https://twitter.com/pcrisk) found a new STOP ransomware variant that appends the **.cdmx** extension.


### [New ransomware variant](https://twitter.com/pcrisk/status/1739943829724151910)


PCrisk found a new ransomware variant that appends the **.Tisak** extension and drops a ransom note named **Tisak\_Help.txt**.


December 28th 2023
------------------


### [Microsoft disables MSIX protocol handler abused in malware attacks](https://www.bleepingcomputer.com/news/microsoft/microsoft-disables-msix-protocol-handler-abused-in-malware-attacks/)


Microsoft has again disabled the MSIX ms-appinstaller protocol handler after multiple financially motivated threat groups abused it to infect Windows users with malware.


### [New Live Team ransomware](https://twitter.com/pcrisk/status/1740268312582578384)


PCrisk found a new Live Team ransomware that appends the **.LIVE** and drops a ransom note named **FILE RECOVERY\_ID\_[victim's\_ID].txt**.


### [New SNet ransomware](https://twitter.com/pcrisk/status/1740283682353791441)


PCrisk found a new ransomware variant that appends the .SNet extension and drops a ransom note named DecryptNote.txt.


### [Ransomware Roundup - 8base](https://www.fortinet.com/blog/threat-research/ransomware-roundup-8base)


8base is a financially motivated ransomware variant most likely based on the Phobos ransomware. Per our FortiRecon information, the 8base ransomware first appeared in May 2023.


December 29th, 2023
-------------------


### [Hospitals ask courts to force cloud storage firm to return stolen data](https://www.bleepingcomputer.com/news/security/hospitals-ask-courts-to-force-cloud-storage-firm-to-return-stolen-data/)


Two not-for-profit hospitals in New York are seeking a court order to retrieve data stolen in an August ransomware attack that's now stored on the servers of a Boston cloud storage company.


### That's it for this week! Hope everyone has a nice weekend!





## Tags:


### Autogenerated tags:
[[ransomware]] [[lockbit]] [[cloud]] [[pcrisk]] [[yakult]] [[microsoft]] [[msix]] [[malware]] [[8base]]
