# The Week in Ransomware - January 27th 2023 - 'We hacked the hackers'
## For the most part, this week has been relatively quiet regarding ransomware attacks and researcher — that is, until the FBI announced the disruption of the Hive ransomware operation.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/the-week-in-ransomware-january-27th-2023-we-hacked-the-hackers/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 28 January 2023, 00:08
+ Date scraped: 28 January 2023, 01:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/16/FBI__headpic.jpg)



For the most part, this week has been relatively quiet regarding ransomware attacks and researcher — that is, until the FBI announced the disruption of the Hive ransomware operation.


Hive ransomware launched in June 2021 and quickly became one of the most active and prominent ransomware operations.


Launched as a Ransomware-as-a-Service, the Hive operators were responsible for developing the ransom and maintaining data leak/negotiation sites. At the same time, affiliates were recruited to conduct attacks and deploy the encryptors.


As part of this arrangement, the operators kept 20% of all ransom payments, and the affiliates earned the rest.


Yesterday, an international law enforcement operation [seized the Tor websites for the Hive ransomware operation](https://www.bleepingcomputer.com/news/security/hive-ransomware-disrupted-after-fbi-hacks-gangs-systems/) and disclosed that they had secretly hacked the organization's servers in July 2022.


For the past six months, the police have monitored their communications, intercepted decryption keys, and helped victims with free decryptors.


While no arrests were made, this was a massive blow to a prominent player in this cybercrime space while preventing $100 million in ransom payments.


BleepingComputer also reported this week on [Google advertisements being abused by ransomware access brokers](https://www.bleepingcomputer.com/news/security/ransomware-access-brokers-use-google-ads-to-breach-your-network/) for initial access to corporate networks.


This same access broker previously [partnered with the Royal Ransomware gang](http://www.microsoft.com/en-us/security/blog/2022/11/17/dev-0569-finds-new-ways-to-deliver-royal-ransomware-various-payloads/) for attacks.


Be careful out there, and always click on legitimate links in search results for software developers rather than using Google ads.


Contributors and those who provided new ransomware information and stories this week include: [@PolarToffee](https://twitter.com/PolarToffee), [@demonslay335](https://twitter.com/demonslay335), [@LawrenceAbrams](https://twitter.com/LawrenceAbrams), [@malwrhunterteam](https://twitter.com/malwrhunterteam), [@BleepinComputer](https://twitter.com/BleepinComputer), [@Ionut\_Ilascu](https://twitter.com/Ionut_Ilascu), [@Seifreed](https://twitter.com/Seifreed), [@serghei](https://twitter.com/serghei), [@struppigel](https://twitter.com/struppigel), [@billtoulas](https://twitter.com/billtoulas), [@fwosar](https://twitter.com/fwosar), [@TrendMicro](https://twitter.com/trendmicro), [@pcrisk](https://twitter.com/pcrisk), [@1ZRR4H](https://twitter.com/1ZRR4H), [@wdormann](https://twitter.com/wdormann), and [@ffforward](https://twitter.com/ffforward).


## January 23rd 2023


### [New Dharma ransomware variants](https://twitter.com/pcrisk/status/1617396568893816834)


[PCrisk](https://twitter.com/pcrisk) found new Dharma ransomware variants that append the **.nlb** and **.r0n** extensions to encrypted files.


### [New Stop ransomware variant](https://twitter.com/pcrisk/status/1617424787911106560)


PCrisk found a new STOP ransomware variant that appends the **.mztu** extension.


### [New VoidCrypt ransomware variant](https://twitter.com/pcrisk/status/1617508010267492355)


PCrisk found a new VoidCrypt ransomware variant that appends the **.MrWhite** extension and drops a ransom note named **Dectryption-guide.txt**.


## January 24th 2023


### [Ransomware access brokers use Google ads to breach your network](https://www.bleepingcomputer.com/news/security/ransomware-access-brokers-use-google-ads-to-breach-your-network/)


A threat actor tracked as DEV-0569 uses Google Ads in widespread, ongoing advertising campaigns to distribute malware, steal victims' passwords, and ultimately breach networks for ransomware attacks.


### [Vice Society Ransomware Group Targets Manufacturing Companies](https://www.trendmicro.com/en_us/research/23/a/vice-society-ransomware-group-targets-manufacturing-companies.html)


Most reports have the threat actor focusing its efforts on the [education](https://www.techtarget.com/searchsecurity/news/252528118/Vice-Society-ransomware-a-persistent-threat-to-education-sector) and the [healthcare](https://blog.sygnia.co/ransomware-group-that-the-health-and-education-sectors-should-look-out-for) industries. However, through Trend Micro’s telemetry data, we have evidence that the group is also targeting the manufacturing sector, which means that they have capability and desire to penetrate different industries — most likely accomplished via the purchasing of compromised credentials from underground channels.


### [New MedusaLocker ransomware variant](https://twitter.com/pcrisk/status/1617819709721935873)


PCrisk found a new MedusaLocker ransomware variant that appends the **.filesencrypted** extension.


## January 26th 2023


### [Hive ransomware disrupted after FBI hacks gang's systems](https://www.bleepingcomputer.com/news/security/hive-ransomware-disrupted-after-fbi-hacks-gangs-systems/)


The Hive ransomware operation's Tor payment and data leak sites were seized as part of an international law enforcement operation after the FBI infiltrated the gang's infrastructure last July.


### [New Mimic ransomware abuses ‘Everything’ Windows search tool](https://www.bleepingcomputer.com/news/security/new-mimic-ransomware-abuses-everything-windows-search-tool/)


Security researchers discovered a new ransomware strain they named Mimic that leverages the APIs of the 'Everything' file search tool for Windows to look for files targeted for encryption.


### [US offers $10M bounty for Hive ransomware links to foreign governments](https://www.bleepingcomputer.com/news/security/us-offers-10m-bounty-for-hive-ransomware-links-to-foreign-governments/)


The U.S. Department of State today offered up to $10 million for information that could help link the Hive ransomware group (or other threat actors) with foreign governments.


### [New Phobos ransomware variant](https://twitter.com/pcrisk/status/1618579172347252740)


PCrisk found a new Phobos variant that appends the **.unknown** extension.


## January 27th 2023


### [New SickFile ransomware](https://twitter.com/pcrisk/status/1618872441752932353)


PCrisk found a new ransomware variant that appends the **.sickfile** extension and drops a ransom note named **how\_to\_back\_files.html**.


### [New Mallox ransomware variant](https://twitter.com/pcrisk/status/1618862041686761474)


PCrisk found a new Mallox variant that appends the **.bitenc** extension.


### That's it for this week! Hope everyone has a nice weekend!





## Tags:


### Autogenerated tags:
[[ransomware]] [[pcrisk]] [[google]]
