# The Week in Ransomware - March 17th 2023 - Shifting to data extortion
## The fallout from the Clop ransomware attacks on GoAnywhere platforms has become apparent this week, with the threat actors starting to extort victims on their data leak site and companies confirming breaches.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/the-week-in-ransomware-march-17th-2023-shifting-to-data-extortion/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 17 March 2023, 23:01
+ Date scraped: 18 March 2023, 00:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/21/data-theft-header.jpg)



The fallout from the Clop ransomware attacks on GoAnywhere platforms has become apparent this week, with the threat actors starting to extort victims on their data leak site and companies confirming breaches.


These attacks were claimed by the Clop threat actors, a ransomware gang that historically encrypted devices and stole data to extort victims into paying a ransom. However, more recently, they have been focusing on data extortion instead of encrypting.


Clop had previously claimed to have breached and stolen data from 130 organizations over ten days using the GoAnywhere vulnerabilities.


This week, BleepingComputer was told that [Clop had begun extorting victims](https://www.bleepingcomputer.com/news/security/clop-ransomware-gang-begins-extorting-goanywhere-zero-day-victims/), emailing ransom demands, and creating profiles for many victims on their data leak site. At this time, it is not known how much the threat actors are demanding not to publish data.


This has led to numerous data breach disclosures from companies, including [Community Health Systems (CHS)](https://www.bleepingcomputer.com/news/security/healthcare-giant-chs-reports-first-data-breach-in-goanywhere-hacks/), [Hatch Bank](https://www.bleepingcomputer.com/news/security/hatch-bank-discloses-data-breach-after-goanywhere-mft-hack/), [Rubrik](https://www.bleepingcomputer.com/news/security/rubrik-confirms-data-theft-in-goanywhere-zero-day-attack/), and [Hitachi Energy](https://www.bleepingcomputer.com/news/security/hitachi-energy-confirms-data-breach-after-clop-goanywhere-attacks/), with likely many more to come.


In addition to the Clop attacks, we learned more about various ransomware attacks, including those on [Essendant](https://www.bleepingcomputer.com/news/security/lockbit-ransomware-claims-essendant-attack-company-says-network-outage-/) and the [LA housing authority.](https://www.bleepingcomputer.com/news/security/la-housing-authority-discloses-data-breach-after-ransomware-attack/) 


The other significant news this week that will affect ransomware and other cybercrime is the [seizure of the ChipMixer platform](https://www.bleepingcomputer.com/news/security/chipmixer-platform-seized-for-laundering-ransomware-payments-drug-sales/), used by cybercriminals to launder ransom payments, stolen cryptocurrency, and revenue generated on dark web markets.


Finally, some interesting reports were released on [Trigona](http://unit42.paloaltonetworks.com/trigona-ransomware-update/), [LockBit 3.0](http://www.cisa.gov/news-events/cybersecurity-advisories/aa23-075a), [CatB](http://www.sentinelone.com/blog/decrypting-catb-ransomware-analyzing-their-latest-attack-methods/), BianLian's shift to [pure data extortion](https://www.bleepingcomputer.com/news/security/bianlian-ransomware-gang-shifts-focus-to-pure-data-extortion/), and more!


Contributors and those who provided new ransomware information and stories this week include [@LawrenceAbrams](https://twitter.com/LawrenceAbrams), [@Seifreed](https://twitter.com/Seifreed), [@Ionut\_Ilascu](https://twitter.com/Ionut_Ilascu), [@Ax\_Sharma](https://twitter.com/Ax_Sharma), [@malwrhunterteam](https://twitter.com/malwrhunterteam), [@struppigel](https://twitter.com/struppigel), [@BleepinComputer](https://twitter.com/BleepinComputer), [@serghei](https://twitter.com/serghei), [@fwosar](https://twitter.com/fwosar), [@billtoulas](https://twitter.com/billtoulas), [@demonslay335](https://twitter.com/demonslay335), [@kaspersky](https://twitter.com/kaspersky), [@pcrisk](https://twitter.com/pcrisk), [@ReliaQuest](https://twitter.com/ReliaQuest), [@BrettCallow](https://twitter.com/BrettCallow), and [@Unit42\_Intel](https://twitter.com/Unit42_Intel).


## March 11th 2023


### [Clop ransomware gang begins extorting GoAnywhere zero-day victims](https://www.bleepingcomputer.com/news/security/clop-ransomware-gang-begins-extorting-goanywhere-zero-day-victims/)


The Clop ransomware gang has begun extorting companies whose data was stolen using a zero-day vulnerability in the Fortra GoAnywhere MFT secure file-sharing solution.


### [New STOP ransomware variants](https://www.bleepingcomputer.com/forums/t/671473/stop-ransomware-stop-djvu-puma-promo-support-topic/?p=5486934)


Quietman7 spotted new STOP ransomware variants appending the **.craa**, **.qazx**, and **.qapo** extensions


## March 12th 2023


### [Medusa ransomware gang picks up steam as it targets companies worldwide](https://www.bleepingcomputer.com/news/security/medusa-ransomware-gang-picks-up-steam-as-it-targets-companies-worldwide/)


A ransomware operation known as Medusa has begun to pick up steam in 2023, targeting corporate victims worldwide with million-dollar ransom demands.


### [Staples-owned Essendant facing multi-day "outage," orders frozen](https://www.bleepingcomputer.com/news/security/staples-owned-essendant-facing-multi-day-outage-orders-frozen/)


Essendant, a wholesale distributor of stationery and office supplies, is experiencing a multi-day systems "outage" preventing customers and suppliers from placing and fulfilling online orders.


### [New STOP ransomware variant](https://www.bleepingcomputer.com/forums/t/671473/stop-ransomware-stop-djvu-puma-promo-support-topic/?p=5487536)


Quietman7 spotted a new STOP ransomware variant that appends the **.qarj** extension.


## March 13th 2023


### [LA housing authority discloses data breach after ransomware attack](https://www.bleepingcomputer.com/news/security/la-housing-authority-discloses-data-breach-after-ransomware-attack/)


The Housing Authority of the City of Los Angeles (HACLA) is warning of a "data security event" after the LockBit ransomware gang targeted the organization and leaked data stolen in the attack.


### [New Dharma ransomware variants](https://twitter.com/pcrisk/status/1635165938374053888)


[PCrisk](https://twitter.com/pcrisk) found new Dharma ransomware variants appending the **.like** and **.j3rd** extensions.


### [New Chaos ransomware variants](https://twitter.com/pcrisk/status/1635176354831544320)


PCrisk found new Chaos ransomware variants appending the **.nochi** and **.Cyber** extensions.


### [CatB Ransomware | File Locker Sharpens Its Claws to Steal Data with MSDTC Service DLL Hijacking](https://www.sentinelone.com/blog/decrypting-catb-ransomware-analyzing-their-latest-attack-methods/)


The CatB ransomware family, sometimes referred to as CatB99 or Baxtoy, was first observed in late 2022, with campaigns being observed steadily since November. The group’s activities have gained attention due to their ongoing use of DLL hijacking via Microsoft Distributed Transaction Coordinator (MSDTC) to extract and launch ransomware payloads.


## March 14th 2023


### [Rubrik confirms data theft in GoAnywhere zero-day attack](https://www.bleepingcomputer.com/news/security/rubrik-confirms-data-theft-in-goanywhere-zero-day-attack/)


Cybersecurity company Rubrik has confirmed that its data was stolen using a zero-day vulnerability in the Fortra GoAnywhere secure file transfer platform.


### [New Phobos ransomware variant](https://twitter.com/pcrisk/status/1635512095872540673)


PCrick spotted a new Phobos ransomware variant that appends the **.BACKJOHN** extension.


### [New VoidCrypt ransomware variant](https://twitter.com/pcrisk/status/1635521935290368000)


PCrick spotted a new VoidCrypt ransomware variant that appends the **.youhau** extension and dropping a ransom name named **Dectryption-guide.txt**.


### [Microsoft fixes Windows zero-day exploited in ransomware attacks](https://www.bleepingcomputer.com/news/security/microsoft-fixes-windows-zero-day-exploited-in-ransomware-attacks/)


Microsoft has patched another zero-day bug used by attackers to circumvent the Windows SmartScreen cloud-based anti-malware service and deploy Magniber ransomware payloads without raising any red flags.


## March 15th 2023


### [ChipMixer platform seized for laundering ransomware payments, drug sales](https://www.bleepingcomputer.com/news/security/chipmixer-platform-seized-for-laundering-ransomware-payments-drug-sales/)


An international law enforcement operation has seized the cryptocurrency mixing service 'ChipMixer' which is said to be used by hackers, ransomware gangs, and scammers to launder their proceeds.


### [FBI: Ransomware hit 860 critical infrastructure orgs in 2022](https://www.bleepingcomputer.com/news/security/fbi-ransomware-hit-860-critical-infrastructure-orgs-in-2022/)


The Federal Bureau of Investigation (FBI) revealed in its 2022 Internet Crime Report that ransomware gangs breached the networks of at least 860 critical infrastructure organizations last year.


### [LockBit ransomware claims Essendant attack, company says “network outage”](https://www.bleepingcomputer.com/news/security/lockbit-ransomware-claims-essendant-attack-company-says-network-outage-/)


LockBit ransomware has claimed a cyber attack on Essendant, a wholesale distributer of office products after a "significant" and ongoing outage knocked the company's operations offline.


### [New Xorist ransomware variant](https://twitter.com/pcrisk/status/1635895249657634817)


PCrick spotted a new Xorist ransomware variant appending the **.DrWeb** and dropping ransomnotes named **??? ???????????? ?????.txt**.


### [QBot: Laying the Foundations for Black Basta Ransomware Activity](https://www.reliaquest.com/blog/qbot-black-basta-ransomware/)


Toward the latter half of Q4 2022, ReliaQuest discovered a security incident unfolding in a customer’s environment. A threat actor gained initial network access, rapidly escalated their privileges, and moved laterally, quickly establishing a foothold in 77 minutes.


## March 16th 2023


### [Conti-based ransomware ‘MeowCorp’ gets free decryptor](https://www.bleepingcomputer.com/news/security/conti-based-ransomware-meowcorp-gets-free-decryptor/)


A decryption tool for a modified version of the Conti ransomware could help hundreds of victims recover their files for free.


### [BianLian ransomware gang shifts focus to pure data extortion](https://www.bleepingcomputer.com/news/security/bianlian-ransomware-gang-shifts-focus-to-pure-data-extortion/)


The BianLian ransomware group has shifted its focus from encrypting its victims' files to only exfiltrating data found on compromised networks and using them for extortion.


### [New STOP ransomware variants](https://www.bleepingcomputer.com/forums/t/671473/stop-ransomware-stop-djvu-puma-promo-support-topic/?p=5489495)


Quietman7 spotted new STOP ransomware variants appending the **.darz** and **.dapo** extensions


### [New Merlin ransomware](https://twitter.com/pcrisk/status/1636318528511909888)


PCrisk found a new ransomware variant that appends the **.Merlin** extension and drops a ransom note named **Merlin\_Recover.txt**.


### [New Phobos ransomware variant](https://twitter.com/pcrisk/status/1636325556835823617)


PCrick spotted a new Phobos ransomware variant that appends the **.usr** extension.


### [#StopRansomware: LockBit 3.0](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-075a)


The Federal Bureau of Investigation (FBI), the Cybersecurity and Infrastructure Security Agency (CISA), and the Multi-State Information Sharing & Analysis Center (MS-ISAC) are releasing this joint CSA to disseminate known LockBit 3.0 ransomware IOCs and TTPs identified through FBI investigations as recently as March 2023.


### [Bee-Ware of Trigona, An Emerging Ransomware Strain](https://unit42.paloaltonetworks.com/trigona-ransomware-update/)


Trigona ransomware is a relatively new strain that security researchers first discovered in late October 2022. By analyzing Trigona ransomware binaries and ransom notes obtained from VirusTotal, as well as information from Unit 42 incident response, we determined that Trigona was very active during December 2022, with at least 15 potential victims being compromised. Affected organizations are in the manufacturing, finance, construction, agriculture, marketing and high technology industries.


## March 17th 2023


### [New STOP ransomware variant](https://twitter.com/pcrisk/status/1636617748447916034)


PCrick spotted a new STOP ransomware variant that appends the **.dazx** extension.


### [Hitachi Energy confirms data breach after Clop GoAnywhere attacks](https://www.bleepingcomputer.com/news/security/hitachi-energy-confirms-data-breach-after-clop-goanywhere-attacks/)


Hitachi Energy confirmed it suffered a data breach after the Clop ransomware gang stole data using a zero-day GoAnyway zero-day vulnerability.


### That's it for this week! Hope everyone has a nice weekend!





## Tags:


### Autogenerated tags:
[[ransomware]] [[zero-day]] [[goanywhere]] [[lockbit]] [[essendant]] [[pcrick]] [[rubrik]] [[hitachi]] [[catb]] [[bianlian]]
