# The Week in Ransomware - May 12th 2023 - New Gangs Emerge
## This week we have multiple reports of new ransomware families targeting the enterprise, named Cactus and Akira, both increasingly active as they target the enterprise.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/the-week-in-ransomware-may-12th-2023-new-gangs-emerge/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 12 May 2023, 17:23
+ Date scraped: 12 May 2023, 22:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/05/12/hackers-purge-masks.jpg)



This week we have multiple reports of new ransomware families targeting the enterprise, named Cactus and Akira, both increasingly active as they target the enterprise.


The [Cactus operation launched in March](https://www.bleepingcomputer.com/news/security/new-cactus-ransomware-encrypts-itself-to-evade-antivirus/) and has been found to exploit VPN vulnerabilities to gain access to corporate networks.


The encryptor requires an encryption key to be passed on the command line to decrypt the configuration file used by the malware. If the proper configuration key is not passed, the encryptor will terminate, and nothing will be encrypted.


This method is to evade detection by security researchers and antivirus software.


BleepingComputer also [reported on the Akira ransomware](https://www.bleepingcomputer.com/news/security/meet-akira-a-new-ransomware-operation-targeting-the-enterprise/), a new operation launched in March that quickly amassed sixteen victims on its data leak site.


The Akira operation uses a retro-looking data leak site that requires you to enter commands as if you're using a Linux shell.



![Akira data leak site](https://www.bleepstatic.com/images/news/ransomware/a/akira/akira-data-leak-site.jpg)**Akira data leak site**  
*Source: BleepingComputer*


We also learned about new attacks and significant developers in previous ones.


On May 7th, multinational automation firm [ABB suffered a Black Basta ransomware attack](https://www.bleepingcomputer.com/news/security/multinational-tech-firm-abb-hit-by-black-basta-ransomware-attack/), disrupting their network and factories.


ABB is the developer of numerous SCADA and industrial control systems (ICS) for energy suppliers and manufacturing, raising concerns about whether data was stolen and what it contained.


News also came out last week that the Money Message ransomware operation published source code belonging to MSI, which [contained private keys for Intel Boot Guard](https://www.bleepingcomputer.com/news/security/intel-investigating-leak-of-intel-boot-guard-private-keys-after-msi-breach/).


Binarly [warned that these leaked keys](https://twitter.com/matrosov/status/1653923749723512832) could be used to digitally sign UEFI malware that can bypass Intel Boot Guard on MSI devices.


Finally, researchers and law enforcement released new reports:


* A new [White Phoenix decryptor](https://www.bleepingcomputer.com/news/security/new-ransomware-decryptor-recovers-data-from-partially-encrypted-files/) can be used to partially recover data encrypted by ransomware using [intermittent encryption](https://www.bleepingcomputer.com/news/security/ransomware-gangs-switching-to-new-intermittent-encryption-tactic/).
* SentinelOne found that [nine different ransomware operations](https://www.bleepingcomputer.com/news/security/babuk-code-used-by-9-ransomware-gangs-to-encrypt-vmware-esxi-servers/) used the [leaked Babuk source code](https://www.bleepingcomputer.com/news/security/babuk-ransomwares-full-source-code-leaked-on-hacker-forum/) to create VMware ESXi encryptors.
* A joint advisory between the FBI and CISA disclosed that the [Bl00dy Ransomware gang is exploiting PaperCut servers](https://www.bleepingcomputer.com/news/security/fbi-bl00dy-ransomware-targets-education-orgs-in-papercut-attacks/) in the education sector.

Contributors and those who provided new ransomware information and stories this week include: [@PolarToffee](https://twitter.com/PolarToffee), [@malwrhunterteam](https://twitter.com/malwrhunterteam), [@Ionut\_Ilascu](https://twitter.com/Ionut_Ilascu), [@demonslay335](https://twitter.com/demonslay335), [@struppigel](https://twitter.com/struppigel), [@malwareforme](https://twitter.com/malwareforme), [@BleepinComputer](https://twitter.com/BleepinComputer), [@billtoulas](https://twitter.com/billtoulas), [@FourOctets](https://twitter.com/FourOctets), [@serghei](https://twitter.com/serghei), [@VK\_Intel](https://twitter.com/VK_Intel), [@fwosar](https://twitter.com/fwosar), [@LawrenceAbrams](https://twitter.com/LawrenceAbrams), [@Seifreed](https://twitter.com/Seifreed), [@jorntvdw](https://twitter.com/jorntvdw), [@DanielGallagher](https://twitter.com/DanielGallagher), [@LabsSentinel](https://twitter.com/LabsSentinel), [@BrettCallow](https://twitter.com/BrettCallow), [@matrosov](https://twitter.com/matrosov), [@binarly\_io](https://twitter.com/binarly_io), [@Checkmarx](https://twitter.com/Checkmarx), [@KrollWire](https://twitter.com/KrollWire), [@yinzlovecyber](https://twitter.com/yinzlovecyber), and [@pcrisk](https://twitter.com/pcrisk).


## May 7th 2023


### [Meet Akira — A new ransomware operation targeting the enterprise](https://www.bleepingcomputer.com/news/security/meet-akira-a-new-ransomware-operation-targeting-the-enterprise/)


The new Akira ransomware operation has slowly been building a list of victims as they breach corporate networks worldwide, encrypt files, and then demand million-dollar ransoms.


### [New Cactus ransomware encrypts itself to evade antivirus](https://www.bleepingcomputer.com/news/security/new-cactus-ransomware-encrypts-itself-to-evade-antivirus/)


A new ransomware operation called Cactus has been exploiting vulnerabilities in VPN appliances for initial access to networks of “large commercial entities.”


### [New STOP ransomware variant](https://twitter.com/pcrisk/status/1655087637189779456)


[PCrisk](https://twitter.com/pcrisk) found a new STOP ransomware variant that appends the **.qore** extension.


## May 8th 2023


### [Intel investigating leak of Intel Boot Guard private keys after MSI breach](https://www.bleepingcomputer.com/news/security/intel-investigating-leak-of-intel-boot-guard-private-keys-after-msi-breach/)


Intel is investigating the leak of alleged private keys used by the Intel Boot Guard security feature, potentially impacting its ability to block the installation of malicious UEFI firmware on MSI devices.


## May 9th 2023


### [New GlobeImposter ransomware variant](https://twitter.com/pcrisk/status/1655804256174104577)


PCrisk found a new GlobeImposter ransomware variant that appends the **.Suffering** extension and drops a ransom note named **how\_to\_back\_files.html**.


### [New Solix ransomware](https://twitter.com/pcrisk/status/1655809495656693760)


PCrisk found a new ransomware variant that appends the **.Solix** extension.


### [New MedusaLocker ransomware](https://twitter.com/pcrisk/status/1655822249268592641)


PCrisk found a new ransomware variant that appends the **.newlocker** extension and drops a ransom note named **HOW\_TO\_RECOVER\_DATA.html**.


### [New BrightNite ransomware](https://twitter.com/pcrisk/status/1655847550501498880)


PCrisk found a new ransomware variant that appends the **.BrightNight** extension and drops a ransom note named **README.txt**.


### [New STOP ransomware variant](https://twitter.com/pcrisk/status/1655909128399732737)


PCrisk found a new STOP ransomware variant that appends the **.gash** extension.


## May 10th 2023


### [New ransomware decryptor recovers data from partially encrypted files](https://www.bleepingcomputer.com/news/security/new-ransomware-decryptor-recovers-data-from-partially-encrypted-files/)


A new 'White Phoenix' ransomware decryptor allows victims to partially recover files encrypted by ransomware strains that use intermittent encryption.


### [New Xorist ransomware variant](https://twitter.com/pcrisk/status/1656170362827157504)


PCrisk found a new Xorist ransomware variant that appends the **.SIGSCH** extension and drops a ransom note named **README\_SIGSCH.txt**.


### [New Army Signal ransomware](https://twitter.com/pcrisk/status/1656198283407028224)


PCrisk found a new Xorist ransomware variant that appends the **.zipp3rs** extension.


## May 11th 2023


### [Babuk code used by 9 ransomware gangs to encrypt VMWare ESXi servers](https://www.bleepingcomputer.com/news/security/babuk-code-used-by-9-ransomware-gangs-to-encrypt-vmware-esxi-servers/)


An increasing number of ransomware operations are adopting the leaked Babuk ransomware source code to create Linux encryptors targeting VMware ESXi servers.


### [Multinational tech firm ABB hit by Black Basta ransomware attack](https://www.bleepingcomputer.com/news/security/multinational-tech-firm-abb-hit-by-black-basta-ransomware-attack/)


Swiss multinational company ABB, a leading electrification and automation technology provider, has suffered a Black Basta ransomware attack, reportedly impacting business operations.


### [New STOP ransomware variant](https://twitter.com/pcrisk/status/1656594009417031680)


PCrisk found a new STOP ransomware variant that appends the **.gatz** extension.


## May 12th 2023


### [FBI: Bl00dy Ransomware targets education orgs in PaperCut attacks](https://www.bleepingcomputer.com/news/security/fbi-bl00dy-ransomware-targets-education-orgs-in-papercut-attacks/)


The FBI and CISA issued a joint advisory to warn that the Bl00dy Ransomware gang is now also actively exploiting a PaperCut remote-code execution vulnerability to gain initial access to networks.


### That's it for this week! Hope everyone has a nice weekend!





## Tags:


### Autogenerated tags:
[[ransomware]] [[pcrisk]] [[akira]] [[msi]] [[decryptor]] [[babuk]] [[vmware]] [[esxi]] [[bl00dy]] [[papercut]]
