# The Week in Ransomware - May 5th 2023 - Targeting the public sector
## This week's ransomware news has been dominated by a Royal ransomware attack on the City of Dallas that took down part of the IT infrastructure.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/the-week-in-ransomware-may-5th-2023-targeting-the-public-sector/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 05 May 2023, 16:07
+ Date scraped: 05 May 2023, 21:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/08/12/open-lock-cybersecurity.jpg)



This week's ransomware news has been dominated by a Royal ransomware attack on the City of Dallas that took down part of the IT infrastructure.


The attack occurred early Monday, affecting the Dallas Police dispatch system and the public library's computer network. Additional systems, including the City's website, were shut down as time passed.



![Dallas website shut down](https://www.bleepstatic.com/images/news/ransomware/city-of-dallas-website.jpg)**Dallas website shut down**


On Wednesday, the City's network printers began printing ransom notes from the attack. BleepingComputer obtained a screenshot of this note, allowing us to identify that the [Royal ransomware operation was behind the attack](https://www.bleepingcomputer.com/news/security/city-of-dallas-hit-by-royal-ransomware-attack-impacting-it-services/).


While it may seem counterintuitive to target a local government, Bill Siegel of ransomware incident response firm [Coveware](https://www.coveware.com/) told BleepingComputer that approximately 35% of public sector cases they handled paid a ransom.


This includes local governments, schools, police, or other publicly funded entities.


"Historical, public sector victims pay ransoms in 35% of cases we have handled. That is 10 percentage points less that the broad, all industry average as of Q1 2023 (45%)," Siegel told BleepingComputer.


"I would add that the actual rate is likely even lower as public sector victims are much less likely to engage external IR help, especially if they are very small, so there are likely a large volume of incidents where the public sector victim just deals with the impact and does not even bother considering engaging the cyber criminal responsible."


Regarding other ransomware attacks this week, we learned about:


* [Extortionists taunting Western Digital](https://www.bleepingcomputer.com/news/security/hackers-leak-images-to-taunt-western-digitals-cyberattack-response/) by leaking emails and documents of their response to its cyberattack.
* Pediatric mental health provider [BrightLine disclosing they suffered a Clop GoAnywhere breach](https://www.bleepingcomputer.com/news/security/brightline-data-breach-impacts-783k-pediatric-mental-health-patients/). Clop claimed to BleepingComputer that they deleted the data after learning they were in healthcare.
* [ALPHV/BlackCat claiming to have attacked Constellation Software](https://www.bleepingcomputer.com/news/security/alphv-gang-claims-ransomware-attack-on-constellation-software/).
* [AvosLocker hijacked Bluefield University's emergency campus alert system](https://www.bleepingcomputer.com/news/security/ransomware-gang-hijacks-university-alert-system-to-issue-threats/) to send SMS texts and email alerts to staff and students about their data being stolen.

Law enforcement also had a victory this week when the [FBI announced they seized nine crypto exchanges](https://www.bleepingcomputer.com/news/security/fbi-seizes-9-crypto-exchanges-used-to-launder-ransomware-payments/) used to launder ransomware payments and stolen cryptocurrency.


Finally, an interesting report was released by WithSecure regarding [threat actors targeting Veeam backup servers](https://www.bleepingcomputer.com/news/security/hackers-target-vulnerable-veeam-backup-servers-exposed-online/) for initial access to corporate networks.


Contributors and those who provided new ransomware information and stories this week include: [@malwrhunterteam](https://twitter.com/malwrhunterteam), [@serghei](https://twitter.com/serghei), [@demonslay335](https://twitter.com/demonslay335), [@billtoulas](https://twitter.com/billtoulas), [@Ionut\_Ilascu](https://twitter.com/Ionut_Ilascu), [@fwosar](https://twitter.com/fwosar), [@LawrenceAbrams](https://twitter.com/LawrenceAbrams), [@BleepinComputer](https://twitter.com/BleepinComputer), [@Seifreed](https://twitter.com/Seifreed), [@AlvieriD](https://twitter.com/AlvieriD), [@WithSecure](https://twitter.com/withsecure), [@PogoWasRight](https://infosec.exchange/@PogoWasRight), [@pcrisk](https://twitter.com/pcrisk), [@siri\_urz](https://twitter.com/siri_urz), [@Unit42\_Intel](https://twitter.com/Unit42_Intel), and [@BrettCallow](https://twitter.com/BrettCallow).


## April 29th 2023


### [Hackers target vulnerable Veeam backup servers exposed online](https://www.bleepingcomputer.com/news/security/hackers-target-vulnerable-veeam-backup-servers-exposed-online/)


Veeam backup servers are being targeted by at least one group of threat actors known to work with multiple high-profile ransomware gangs.


## May 1st 2023


### [Hackers leak images to taunt Western Digital's cyberattack response](https://www.bleepingcomputer.com/news/security/hackers-leak-images-to-taunt-western-digitals-cyberattack-response/)


The ALPHV ransomware operation, aka BlackCat, has published screenshots of internal emails and video conferences stolen from Western Digital, indicating they likely had continued access to the company's systems even as the company responded to the breach.


## May 2nd 2023


### [FBI seizes 9 crypto exchanges used to launder ransomware payments](https://www.bleepingcomputer.com/news/security/fbi-seizes-9-crypto-exchanges-used-to-launder-ransomware-payments/)


The FBI and Ukrainian police have seized nine cryptocurrency exchange websites that facilitated money laundering for scammers and cybercriminals, including ransomware actors.


### [New STOP Ransomware variants](https://twitter.com/pcrisk/status/1653264305289146370)


[PCrisk](https://twitter.com/pcrisk) found new STOP ransomware variants that append the .saba, .sato, and .fofd extensions.


### [New Dharma ransomware variant](https://twitter.com/pcrisk/status/1653266975676588033)


PCrisk found a new Dharma Ransomware variant that appends the **.h3r** extension.


### [New Phobos ransomware variant](https://twitter.com/pcrisk/status/1653282278221520896)


PCrisk found a new Phobos Ransomware variant that appends the **.BOOM** extension.


### [New Xorist ransomware variant](https://twitter.com/pcrisk/status/1653335551834030081)


PCrisk found a new Xorist Ransomware variant that appends the **.CrypBits256PT2** extension and drops a ransom note named **HOW TO DECRYPT FILES.txt**.


### [New MedusaLocker ransomware variant](https://twitter.com/pcrisk/status/1653335551834030081)


PCrisk found a new MedusaLocker Ransomware variant that appends the **.attacksystem** extension.


### [New Zhong Ransomware](https://twitter.com/pcrisk/status/1653363459432624136)


PCrisk found a new ransomware that appends the **.zhong** extension and drops a ransom note named **Restore.txt**.


## May 3rd 2023


### [Brightline data breach impacts 783K pediatric mental health patients](https://www.bleepingcomputer.com/news/security/brightline-data-breach-impacts-783k-pediatric-mental-health-patients/)


Pediatric mental health provider Brightline is warning patients that it suffered a data breach impacting 783,606 people after a ransomware gang stole data using a zero-day vulnerability in its Fortra GoAnywhere MFT secure file-sharing platform.


### [City of Dallas hit by Royal ransomware attack impacting IT services](https://www.bleepingcomputer.com/news/security/city-of-dallas-hit-by-royal-ransomware-attack-impacting-it-services/)


The City of Dallas, Texas, has suffered a Royal ransomware attack, causing it to shut down some of its IT systems to prevent the attack's spread.


### [New Rec\_rans ransomware variant](https://twitter.com/pcrisk/status/1653629956923031552)


PCrisk found the new Rec\_rans Ransomware that appends the **.rec\_rans** extension and drops a ransom note named **HOW\_TO\_RECOVERY\_FILES.txt**.


### [New BlackSuit ransomware](https://twitter.com/Unit42_Intel/status/1653760405792014336)


[S!Ri](https://twitter.com/siri_urz), [MalwareHunterTeam](https://twitter.com/malwrhunterteam), and [Unit 42](https://twitter.com/Unit42_Intel) found the new BlackSuit ransomware that targets Windows and VMware ESXi. It appends the **.blacksuit** extension and drops a ransom note named **README.BlackSuit.txt**.


## May 4th 2023


### [Ransomware gang hijacks university alert system to issue threats](https://www.bleepingcomputer.com/news/security/ransomware-gang-hijacks-university-alert-system-to-issue-threats/)


The Avos ransomware gang hijacked Bluefield University's emergency broadcast system, "RamAlert," to send students and staff SMS texts and email alerts that their data was stolen and would soon be released.


### [New Xorist ransomware variant](https://twitter.com/pcrisk/status/1653996103484751873)


PCrisk found a new Xorist ransomware variant that appends the **.btc-Apt2** extension and drops a ransom note name **HOW TO DECRYPT FILES.txt**.


## May 5th 2023


### [ALPHV gang claims ransomware attack on Constellation Software](https://www.bleepingcomputer.com/news/security/alphv-gang-claims-ransomware-attack-on-constellation-software/)


Canadian diversified software company Constellation Software confirmed on Thursday that some of its systems were breached by threat actors who also stole personal information and business data.


### That's it for this week! Hope everyone has a nice weekend!





## Tags:


### Autogenerated tags:
[[ransomware]] [[pcrisk]] [[bleepingcomputer]] [[xorist]] [[brightline]] [[veeam]] [[rec_rans]] [[blacksuit]]
