# The unlikely 3 million electric toothbrush DDoS attack
## A widely reported story that 3 million electric toothbrushes were hacked with malware to conduct distributed denial of service (DDoS) attacks is likely a hypothetical scenario instead of an actual attack.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/the-unlikely-3-million-electric-toothbrush-ddos-attack/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 07 February 2024, 12:21
+ Date scraped: 07 February 2024, 18:03

## Article:
![Main article image](https://www.bleepstatic.com/content/posts/2024/02/06/electric-toothbrushes.jpg)



A widely reported story that 3 million electric toothbrushes were hacked with malware to conduct distributed denial of service (DDoS) attacks is likely a hypothetical scenario instead of an actual attack.


Last week, Swiss news site [Aargauer Zeitung](https://www.aargauerzeitung.ch/wirtschaft/kriminalitaet-die-zahnbuersten-greifen-an-das-sind-die-aktuellen-cybergefahren-und-so-koennen-sie-sich-schuetzen-ld.2569480?reduced=true) published a story stating that an employee of cybersecurity firm Fortinet said 3 million electric toothbrushes had been infected with Java malware to conduct DDoS attacks against a Swiss company.


"The electric toothbrush is programmed with Java, and criminals have unnoticed installed malware on it - like on 3 million other toothbrushes," reads the article.


"One command is enough and the remote-controlled toothbrushes simultaneously access the website of a Swiss company. The site collapses and is paralyzed for four hours. Millions of dollars in damage is caused."


The story is dramatic and definitely newsworthy, if accurate, and began sweeping through other technology news sites yesterday, with numerous publications covering the alleged attack without verifying the story.


However, there is one problem with the story—there is no record that this attack ever happened.


Fortinet, who was attributed as the source of the article, has not published any information about this attack and has not responded to repeated requests for comment from BleepingComputer since the "toothbrush botnet" story went viral yesterday.


A DDoS attack is when an attacker sends enough requests or data at a website to overwhelm its resources or bandwidth so that it can no longer accept requests from legitimate visitors, effectively making the site unusable.


This type of attack has been [increasingly used by hacktivists](https://www.bleepingcomputer.com/news/security/how-ddos-attacks-are-taking-down-even-the-largest-tech-companies/) to protest a country's or business's activities or by threat actors who [use them to extort businesses](https://www.bleepingcomputer.com/news/security/another-ransomware-now-uses-ddos-attacks-to-force-victims-to-pay/).


To conduct these attacks, routers, servers, and IoT devices are hacked by brute forcing or [using default passwords](https://www.bleepingcomputer.com/news/security/15-percent-of-all-iot-device-owners-dont-change-default-passwords/), or [exploiting vulnerabilities](https://www.bleepingcomputer.com/news/security/mirai-ddos-malware-variant-expands-targets-with-13-router-exploits/).


Once a device is compromised, malware is installed to enlist it as part of their DDoS botnet and use it on attacks. These devices are then collectively used to launch powerful attacks against a specified target.


According to [Statista](https://www.statista.com/statistics/1194682/iot-connected-devices-vertically/), approximately 17 billion IoT devices connected to the internet are expected to be connected to the internet by the end of 2024, offering a massive footprint of devices that could potentially be recruited into DDoS botnets.


However, it is doubtful that 3 million electric toothbrushes would be exposed to the internet so that they could be infected with malware.


Instead, this was likely a hypothetical scenario shared by Fortinet with the newspaper that was misunderstood or taken out of context to create a story that is widely disputed by security experts.


[![Rob tweet](https://www.bleepstatic.com/images/news/security/attacks/t/toothbrush-ddos/rob2.jpg)](https://twitter.com/ErrataRob/status/1755059487663067489)


Furthermore, electric toothbrushes do not connect directly to the internet but instead use Bluetooth to connect to mobile apps that then upload your data to web-based platforms.


This means that a massive hack like this could only have been achieved through a supply chain attack that pushed down malicious firmware to the devices.


However, there is no record of this happening. If it did, it would be a much bigger story than a DDoS attack.


[![Remy Tweet](https://www.bleepstatic.com/images/news/security/attacks/t/toothbrush-ddos/remy.jpg)](https://twitter.com/_mattata/status/1755051642032964024)


While a story of a toothbrush DDoS botnet taking down a site is amusing (and almost definitely untrue), it’s still a good reminder that threat actors would target any Internet-exposed device.


This includes routers, servers, programmable logic controllers (PLCs), printers, and web cameras.


Therefore, it is essential for any device exposed to the internet to have the latest security updates and strong passwords to prevent them from being recruited into DDoS botnets.  

The good news is that it likely won't be your toothbrush, so keep brushing.





## Tags:


### Autogenerated tags:
[[ddos]] [[malware]] [[fortinet]] [[botnet]]
