# TikTok fixes zero-day bug used to hijack high-profile accounts
## Over the past week, attackers have hijacked high-profile TikTok accounts belonging to multiple companies and celebrities, exploiting a zero-day vulnerability in the social media's direct messages feature.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/tiktok-fixes-zero-day-bug-used-to-hijack-high-profile-accounts/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 04 June 2024, 17:57
+ Date scraped: 04 June 2024, 22:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/06/04/TikTok.jpg)



Over the past week, attackers have hijacked high-profile TikTok accounts belonging to multiple companies and celebrities, exploiting a zero-day vulnerability in the social media's direct messages feature.


Zero-day vulnerabilities are security flaws with no official patch or public information detailing the underlying weakness.


After being compromised, user accounts belonging to Sony, CNN, and Paris Hilton had to be taken down to prevent abuse. CNN's account was the first to be hijacked last week, as [Semaphor first reported](https://www.semafor.com/newsletter/06/02/2024/an-expensive-way-to-gain-relevance) on Sunday.


As [Forbes reported](https://www.forbes.com/sites/emilybaker-white/2024/06/04/a-zero-day-tiktok-hack-is-taking-over-celebrity-and-brand-accounts/?sh=15ae39c76060) today, the exploit used by the attackers to hack the accounts via DMs only needs the targets to open the malicious message and doesn't require downloading a payload or clicking embedded links.


"Our security team is aware of a potential exploit targeting a number of brand and celebrity accounts," TikTok spokesperson Alex Haurek told Forbes.


"We have taken measures to stop this attack and prevent it from happening in the future. We're working directly with affected account owners to restore access, if needed."


According to Haurek, the attackers have only compromised a very small number of TikTok accounts. The company has yet to reveal the exact number of impacted users and has not shared any details regarding the exploited vulnerability until the underlying flaw is fixed.


Not the first flaw allowing account takeovers
---------------------------------------------


This isn't the first vulnerability to impact TikTok users in recent years. Most recently, the company patched an Android app flaw discovered by Microsoft in August 2022 that [let hackers "quickly and quietly" take over accounts](https://www.bleepingcomputer.com/news/security/microsoft-found-tiktok-android-flaw-that-let-hackers-hijack-accounts/) with one tap.


Previously, it fixed security bugs that allowed attackers to bypass the platform's privacy protections and [steal private user information](https://www.bleepingcomputer.com/news/security/tiktok-fixes-flaws-allowing-theft-of-private-user-information/), including phone numbers and user IDs.


The company also fixed vulnerabilities that enabled threat actors to [hijack the accounts](https://www.bleepingcomputer.com/news/security/tiktok-fixes-bugs-allowing-account-takeover-with-one-click/) of users who signed up via third-party apps and compromise accounts to [manipulate the owners' videos and steal their personal information](https://www.bleepingcomputer.com/news/security/tiktok-flaws-allowed-hackers-to-delete-videos-steal-user-info/).


TikTok [surpassed 1 billion users](https://www.tiktok.com/@tiktok/video/7012606652008402182) in September 2021, and it currently has [over 1 billion downloads](https://play.google.com/store/apps/details?id=com.zhiliaoapp.musically&hl=en) on Google's Play Store and [17 million ratings](https://play.google.com/store/apps/details?id=com.zhiliaoapp.musically&hl=en) on the iOS App Store.


When contacted by BleepingComputer earlier today for more information on the number of compromised accounts and the vulnerability exploited in the attacks, a TikTok spokesperson was not immediately available for comment.





## Tags:


### Autogenerated tags:
[[tiktok]]
