# Trans-Northern Pipelines investigating ALPHV ransomware attack claims
## Trans-Northern Pipelines (TNPI) has confirmed its internal network was breached in November 2023 and that it's now investigating claims of data theft made by the ALPHV/BlackCat ransomware gang.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/trans-northern-pipelines-investigating-alphv-ransomware-attack-claims/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 14 February 2024, 10:24
+ Date scraped: 14 February 2024, 16:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/02/14/Hacker_pipeline_industry.jpg)



Trans-Northern Pipelines (TNPI) has confirmed its internal network was breached in November 2023 and that it's now investigating claims of data theft made by the ALPHV/BlackCat ransomware gang.


TNPI operates 850 kilometers (528 miles) of pipeline in Ontario-Quebec and 320 kilometers (198 miles) in Alberta, transporting 221,300 barrels (35.200m3) of refined petroleum products daily.


Both pipeline systems are underground and transport gasoline, diesel fuel, aviation fuel, and heating fuel from refineries to distribution terminals.


"Trans-Northern Pipelines Inc. experienced a cybersecurity incident in November 2023 impacting a limited number of internal computer systems," TNPI Communications Team Lead Lisa Dornan told BleepingComputer.


"We have worked with third-party, cybersecurity experts and the incident was quickly contained. We continue to safely operate our pipeline systems.


"We are aware of posts on the dark web claiming to contain company information, and we are investigating those claims."


While ALPHV's claims were not directly mentioned by Dornan when asked by BleepingComputer for confirmation, the ransomware gang says its operators stole 183GB of documents from the company's network.


The allegedly stolen files have now been published on ALPHV's data leak site, and the ransomware group has also added contact information for several TNPI employees to the same leak page.



![ALPHV TNPI leak](https://www.bleepstatic.com/images/news/u/1109292/2024/ALPHV_TNPI_data_leak.jpg)*TNPI entry on ALPHV's leak site (BleepingComputer)*


​ALPHV emerged over two years ago, in [November 2021](https://www.bleepingcomputer.com/news/security/blackcat-alphv-ransomware-linked-to-blackmatter-darkside-gangs/), and is believed to be a rebrand of the [DarkSide](https://www.bleepingcomputer.com/news/security/darkside-new-targeted-ransomware-demands-million-dollar-ransoms/) and [BlackMatter](https://www.bleepingcomputer.com/news/security/darkside-ransomware-gang-returns-as-new-blackmatter-operation/) ransomware operations.


Initially tracked as DarkSide, the operation gained notoriety after their [Colonial Pipeline](https://www.bleepingcomputer.com/news/security/largest-us-pipeline-shuts-down-operations-after-ransomware-attack/) attack, which prompted [extensive investigations](https://www.bleepingcomputer.com/news/security/us-recovers-most-of-colonial-pipelines-44m-ransomware-payment/) by law enforcement agencies worldwide and led to the [seizure of their infrastructure and the operation's shutdown](https://www.bleepingcomputer.com/news/security/darkside-ransomware-servers-reportedly-seized-operation-shuts-down/).


Months later, the ransomware group returned [under the BlackMatter name](https://www.bleepingcomputer.com/news/security/darkside-ransomware-gang-returns-as-new-blackmatter-operation/), which again [shut down in November 2021](https://www.bleepingcomputer.com/news/security/blackmatter-ransomware-claims-to-be-shutting-down-due-to-police-pressure/) and [resurfaced as ALPHV/BlackCat](https://www.bleepingcomputer.com/news/security/blackcat-alphv-ransomware-linked-to-blackmatter-darkside-gangs/) in February 2022.


The FBI linked this ransomware gang to [more than 60 breaches](https://www.bleepingcomputer.com/news/security/fbi-blackcat-ransomware-breached-at-least-60-entities-worldwide/) against organizations worldwide during its first four months of activity, between November 2021 through March 2022.


ALPHV amassed over $300 million in ransom payments from over 1,000 victims worldwide until September 2023, according to the Federal Bureau of Investigation (FBI).


"ALPHV Blackcat affiliates have compromised over 1000 entities—nearly 75 percent of which are in the United States and approximately 250 outside the United States—, demanded over $500 million, and received nearly $300 million in ransom payments," the FBI [said](https://www.bleepingcomputer.com/news/security/fbi-alphv-ransomware-raked-in-300-million-from-over-1-000-victims/) in December.


The FBI [disrupted ALPHV's operation in December](https://www.bleepingcomputer.com/news/security/fbi-disrupts-blackcat-ransomware-operation-creates-decryption-tool/) after [breaching the gangs' servers](https://www.bleepingcomputer.com/news/security/how-the-fbi-seized-blackcat-alphv-ransomwares-servers/) and [temporarily taking down](https://www.bleepingcomputer.com/news/security/alphv-ransomware-site-outage-rumored-to-be-caused-by-law-enforcement/) its Tor negotiation and data leak websites after months of monitoring their activities and creating a decryption tool.


The ransomware gang has since "unseized" their data leak site using the private keys they still owned and launched a new Tor URL the FBI can't take down.





## Tags:


### Autogenerated tags:
[[ransomware]] [[alphv]] [[tnpi]] [[bleepingcomputer]]
