# Trellix fixes bug breaking Office apps after June Windows updates
## Cybersecurity firm Trellix has addressed an incompatibility issue causing Endpoint Security Agent's Exploit Guard module to block some Microsoft Office and third-party apps from opening after installing June 2023 cumulative updates.
## Information:

+ Link: https://www.bleepingcomputer.com/news/software/trellix-fixes-bug-breaking-office-apps-after-june-windows-updates/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 29 June 2023, 05:10
+ Date scraped: 29 June 2023, 10:04

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/02/Office.jpg)



Cybersecurity firm Trellix has addressed an incompatibility issue causing Endpoint Security Agent's Exploit Guard module to block some Microsoft Office and third-party apps from opening after installing June 2023 cumulative updates.


Microsoft says this known issue might also be triggered by the exploit monitoring modules of other antivirus, antimalware, or security software.


Affected Windows versions include Windows 11 21H2/22H2, Windows 10 21H2/22H2, and Windows Server 2022.


"This issue only occurs with 32-bit apps running on 64-bit Windows with Trellix Endpoint Security version earlier than 35.31.25. Some known affected apps are Microsoft Outlook and other Microsoft Office apps," Microsoft [says](https://learn.microsoft.com/en-us/windows/release-health/resolved-issues-windows-11-22h2#3121msgdesc).


"When attempting to open an affected app, Event Log indicates an access violation with the error "module is unknown."


"If you are experiencing this issue with other security software installed or after installing the latest version of Trellix Endpoint Security Agent, please contact customer support of the security software you are using."


Notably, this matter primarily impacts non-consumer settings and is unlikely to affect customers using Windows devices within their home networks.


## Google Chrome also impacted after June 2023 updates


While Microsoft only named Microsoft Outlook and other Microsoft Office apps as some of the apps that this known issue might impact, the anti-exploit module of other security software also breaks Google Chrome after installing this month's Patch Tuesday cumulative updates.


Other security solutions incompatible with the June 2023 Windows updates include EDR and antivirus solutions from Malwarebytes, Cisco, and WatchGuard.


As [confirmed by Malwarebytes](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5027231-update-breaks-google-chrome-for-malwarebytes-users/), the issue is [caused](http://forums.malwarebytes.com/topic/299100-june-2023-update-kb5027231-prevents-google-chrome-from-displaying/) [by](http://www.reddit.com/r/sysadmin/comments/148geic/patch_tuesday_megathread_20230613/jo3vcz1/) Malwarebytes' anti-exploit module blocking Chrome from fully loading after installing the [KB5027231 update](https://support.microsoft.com/en-us/topic/june-13-2023-kb5027231-os-build-22621-1848-8f903600-1293-4431-9c6b-736a4049666c).


The same cumulative update [would also break Google Chrome](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5027231-also-breaks-chrome-for-cisco-watchguard-edr-users/) on Windows 11 systems protected by Cisco and WatchGuard exploit prevention engines.


Microsoft is yet to acknowledge that other security software besides Trellix is causing issues after the latest Windows updates.


As BleepingComputer previously reported, the Google Chrome process actually launches and is running on affected Windows systems, but it is prevented from fully loading the user interface due to the conflict.



![Chrome process running in the background](https://www.bleepstatic.com/images/news/u/1109292/2023/Chrome_process_running.png)*Chrome process running in the background (BleepingComputer)*


​While Trellix, [Malwarebytes](https://www.bleepingcomputer.com/news/microsoft/malwarebytes-issues-fix-for-chrome-broken-by-windows-11-kb5027231/), and [WatchGuard](https://techsearch.watchguard.com/KB?type=Known%20Issues&SFDCID=kA16S000000gDGsSAM&lang=en_US) have now addressed this known issue, Cisco customers are advised to turn off anti-exploit protection in their security software's settings or configure Google Chrome as the default web browser through the system's Settings menu until a fix is available.


Microsoft spokespersons were not available for comment when contacted by BleepingComputer multiple times for more details regarding this issue.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]] [[apps]] [[trellix]] [[google]] [[malwarebytes]] [[anti-exploit]] [[watchguard]] [[bleepingcomputer]]
