# Trend Micro fixes bug Chinese hackers exploited for espionage
## Trend Micro says it patched a DLL hijacking flaw in Trend Micro Security used by a Chinese threat group to side-load malicious DLLs and deploy malware.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/trend-micro-fixes-bug-chinese-hackers-exploited-for-espionage/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 24 May 2022, 16:09
+ Date scraped: 24 May 2022, 17:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/02/08/gold-dragon.jpg)



Trend Micro says it patched a DLL hijacking flaw in Trend Micro Security used by a Chinese threat group to side-load malicious DLLs and deploy malware.


As Sentinel Labs revealed in [an early-May report](https://www.bleepingcomputer.com/news/security/chinese-cyber-espionage-group-moshen-dragon-targets-asian-telcos/), the attackers exploited the fact that security products run with high privileges on Windows to plant and load their own maliciously crafted DLL into memory, allowing them to elevate privileges and execute code.


"Trend Micro is aware of some research that was published on May 2, 2022, regarding a purported Central-Asian-based threat actor dubbed 'Moshen Dragon' that had deployed malware clusters that attempted to hijack various popular security products, including one from Trend Micro," the cybersecurity company said.


After analyzing the report and its product line, the company discovered that only the Trend Micro Security consumer-focused product was affected, with no other commercial or business products impacted.


"For Trend Micro Security (Consumer), a fix was deployed via Trend Micro's ActiveUpdate (AU) on May 19, 2022, and any user with an active internet connection should receive the update shortly if they have not yet already received it," the antivirus vendor [added](https://success.trendmicro.com/dcx/s/solution/000291042?language=en_US).


## DLL hijacking bugs in multiple security products


The Moshen Dragon group also reportedly abused similar bugs in security products from Bitdefender, McAfee, Symantec, and Kaspersky to install Impacket, a Python kit designed for lateral movement and remote code execution via Windows Management Instrumentation (WMI).


Impacket also has credential-stealing capabilities powered by an open-source tool used to capture the details of password change events on a domain



![Moshen Dragon attack flow](https://www.bleepstatic.com/images/news/u/1109292/2022/Moshen%20Dragon%20attack%20flow.jpg)*Moshen Dragon attack flow (Sentinel Labs)*


According to Sentinel Labs, the final payloads dropped by the Moshen Dragon operators include variants of PlugX and ShadowPad, two backdoors used by [multiple Chinese APTs](https://www.bleepingcomputer.com/news/security/chinese-state-backed-hackers-now-target-russian-state-officers/) in recent years.


The threat actors have used these tactics to target telecommunication service providers in Central Asia with the end goal of exfiltrating data from as many systems as possible.


While Trend Micro has published an advisory detailing the mitigation measures taken to stop Moshen Dragon from abusing its security products for malicious products, the other vendors are yet to confirm if their products have been affected and if the bugs have been patched.


BleepingComputer has reached out to spokespersons from Bitdefender, McAfee, Symantec, and Kaspersky for comment but has yet to receive a reply.





## Tags:


### Autogenerated tags:
[[moshen]] [[dll]]
