# US and Australia warn of escalating Avaddon ransomware attacks
## The Federal Bureau of Investigation (FBI) and the Australian Cyber Security Centre (ACSC) are warning of an ongoing Avaddon ransomware campaign targeting organizations from an extensive array of sectors in the US and worldwide.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/us-and-australia-warn-of-escalating-avaddon-ransomware-attacks/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 May 2021, 12:19
+ Date scraped: 12 December 2023, 13:21

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/02/11/Avaddon---ransomware.jpg)



The Federal Bureau of Investigation (FBI) and the Australian Cyber Security Centre (ACSC) are warning of an ongoing Avaddon ransomware campaign targeting organizations from an extensive array of sectors in the US and worldwide.


The FBI said in a TLP:GREEN flash alert last week that Avaddon ransomware affiliates are trying to breach the networks of manufacturing, healthcare, and other private sector organizations around the world.


The ACSC expanded on the targeting information today, saying that the ransomware gang's affiliates are targeting entities from a wide range of sectors, including but not limited to government, finance, law enforcement, energy, information technology, and health.


While the FBI only mentions the ongoing attacks, the ACSC also provides a list of countries under attack, including the US, UK, Germany, China, Brazil, India, UAE, France, and Spain, to name just a few.


"The Australian Cyber Security Centre (ACSC) is aware of an ongoing ransomware campaign utilizing the Avaddon Ransomware malware [..] actively targeting Australian organisations in a variety of sectors," the ACSC [added](https://www.cyber.gov.au/sites/default/files/2021-05/2021-003%20Ongoing%20campaign%20using%20Avaddon%20Ransomware%20-%2020210508.pdf) [PDF].


"The ACSC is aware of several instances where the Avaddon ransomware has directly impacted organizations within Australia."



![Avaddon targets](https://www.bleepstatic.com/images/news/u/1109292/2021/Avaddon%20targets.png)**Avaddon targets** (*ACSC*)


FBI: Avaddon makes empty DDoS threats
-------------------------------------


The ACSC also mentions Avaddon threat actors threatening with denial-of-service (DDoS) attacks to persuade victims into paying ransoms (in addition to leaking stolen data and encrypting their system).


However, as the FBI said, no evidence has been found of DDoS attacks following Avaddon ransomware attacks.


The Avaddon ransomware gang first announced in January 2021 that they will [launch DDoS attacks](https://www.bleepingcomputer.com/news/security/another-ransomware-now-uses-ddos-attacks-to-force-victims-to-pay/) to take down victims' sites or networks until they reach out and begin negotiating to pay the ransom.


BleepingComputer first reported about this new trend in October 2020, when ransomware groups began using [DDoS attacks against their victims](https://www.bleepingcomputer.com/news/security/ransomware-gangs-add-ddos-attacks-to-their-extortion-arsenal/) as an additional leverage point.


At the time, the two ransomware operations that were using this new tactic were SunCrypt and RagnarLocker.



![Avaddon DDoS threats](https://www.bleepstatic.com/images/news/ransomware/a/avaddon/ddos-attack/leak-site.jpg)**Avaddon DDoS threats**


Stolen data used as leverage
----------------------------


Avaddon ransomware samples were first detected in February 2019, and it began recruiting affiliates in June 2020 after it launched a [massive spam campaign](https://www.bleepingcomputer.com/news/security/new-avaddon-ransomware-launches-in-massive-smiley-spam-campaign/) targeting users worldwide.


Affiliates who join this RaaS operation are responsible for compromising networks to deploy payloads or distribute the ransomware via spam or exploit kits. At the same time, its operators are accountable for developing the malware and operating the TOR payment site.


The Avaddon RaaS operation also asks affiliates to follow a set of rules, one of them being not to go after targets from the [Commonwealth of Independent States (CIS)](https://en.wikipedia.org/wiki/Commonwealth_of_Independent_States#Member_states).


Avaddon pays each affiliate 65% of ransom payments they bring in, with the operators getting a 35% share. However, as with other RaaS programs, larger affiliates can usually negotiate higher revenue shares depending on the size of their attacks.


The average ransom payment demanded by Avaddon affiliates is roughly 0.73 bitcoins (approximately $41,000) in exchange for a decryption tool (Avaddon General Decryptor).


Avaddon ransomware affiliates are also known for stealing data from their victims' networks before encrypting systems for [double-extortion.](https://www.bleepingcomputer.com/news/security/maze-ransomware-shuts-down-operations-denies-creating-cartel/)


This strategy has become commonplace for [almost all active ransomware operations](https://www.bleepingcomputer.com/news/security/list-of-ransomware-that-leaks-victims-stolen-files-if-not-paid/), with victims commonly notifying their customers or employees of possible data breaches following ransomware attacks.





## Tags:


### Autogenerated tags:
[[avaddon]] [[ransomware]] [[acsc]] [[ddos]] [[raas]]
