# US govt warns orgs to patch massively exploited Confluence bug
## US Cyber Command (USCYBERCOM) has issued a rare alert today urging US organizations to patch a massively exploited Atlassian Confluence critical vulnerability immediately.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/us-govt-warns-orgs-to-patch-massively-exploited-confluence-bug/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 03 September 2021, 11:23
+ Date scraped: 11 December 2023, 15:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/03/USCYBERCOM.jpg)



US Cyber Command (USCYBERCOM) has issued a rare alert today urging US organizations to patch a massively exploited Atlassian Confluence critical vulnerability immediately.


"Mass exploitation of Atlassian Confluence CVE-2021-26084 is ongoing and expected to accelerate," [said](https://twitter.com/cnmf_cyberalert/status/1433787671785185283) Cyber National Mission Force (CNMF). 


The USCYBERCOM unit also stressed the importance of patching vulnerable Confluence servers as soon as possible: "Please patch immediately if you haven’t already— *this cannot wait until after the weekend*."


This warning comes after Deputy National Security Advisor Anne Neuberger [encouraged organizations](https://www.whitehouse.gov/briefing-room/statements-releases/2021/09/02/press-briefing-by-press-secretary-jen-psaki-and-deputy-national-security-advisor-for-cyber-and-emerging-technologies-anne-neuberger-september-2-2021/) "to be on guard for malicious cyberactivity in advance of the holiday weekend" during a Thursday White House press briefing.


It's the second alert of this kind in the last 12 months, the previous one ([from June](https://twitter.com/CNMF_CyberAlert/status/1401212529276248072)) notifying that CISA was aware that threat actors [might attempt to exploit](https://www.bleepingcomputer.com/news/security/attackers-are-scanning-for-vulnerable-vmware-servers-patch-now/) a remote code execution vulnerability [affecting all vCenter Server installs](https://www.bleepingcomputer.com/news/security/vmware-warns-of-critical-bug-affecting-all-vcenter-server-installs/).


CISA also urged users and admins today to immediately apply the [Confluence security updates](https://us-cert.cisa.gov/ncas/current-activity/2021/09/03/atlassian-releases-security-updates-confluence-server-and-data) recently issued by Atlassian.



Atlassian Confluence is a highly popular web-based corporate team workspace designed to help employees collaborate on various projects.


On August 25, Atlassian [issued security updates](http://confluence.atlassian.com/doc/confluence-security-advisory-2021-08-25-1077906215.html) to address the actively exploited Confluence remote code execution (RCE) vulnerability tracked as CVE-2021-26084 and enabling unauthenticated attackers to execute commands on a vulnerable server remotely.


As BleepingComputer [reported this week](https://www.bleepingcomputer.com/news/security/confluence-servers-hacked-to-install-miners-and-rootkits/), multiple threat actors began scanning for and exploiting this recently disclosed Confluence RCE vulnerability to install crypto miners after a PoC exploit was publicly released six days after Atlassian's patches were issued.


Several cybersecurity companies have reported, both threat actors and security researchers are actively scanning for and exploiting unpatched Confluence servers.


For instance, Coalition Director of Engineering Tiago Henriques detected [penetration testers](https://twitter.com/Balgan/status/1433100121940561924) attempting to find vulnerable Confluence servers. \


Cybersecurity intelligence firm Bad Packets also spotted threat actors from multiple countries [deploying and launching PowerShell or Linux shell scripts](https://twitter.com/bad_packets/status/1433328528209055746) on compromised Confluence servers.


After analyzing exploit samples, BleepingComputer confirmed that the [attackers are attempting to install crypto miners](https://www.bleepingcomputer.com/news/security/atlassian-confluence-flaw-actively-exploited-to-install-cryptominers/) (e.g., XMRig Monero cryptocurrency miners) on Windows and Linux Confluence servers.


Even though these attackers are currently only deploying cryptocurrency miners, attacks can quickly escalate if the threat actors start moving laterally through corporate networks from hacked on-prem Confluence servers to drop ransomware payload and exfiltrate data.





## Tags:
***CVE's***: CVE-2021-26084

### Autogenerated tags:
[[atlassian]]
