# Uber dismisses vulnerability that lets you email anyone as Uber!
## A vulnerability in Uber's email system allows just about anyone to send emails on behalf of Uber.  Uber is aware of the flaw but has decided not to fix it.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/uber-dismisses-vulnerability-that-lets-you-email-anyone-as-uber/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 02 January 2022, 14:48
+ Date scraped: 02 January 2022, 15:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/22/uber.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/12/22/uber.jpg)

![uber](https://www.bleepstatic.com/content/hl-images/2021/12/22/uber.jpg)


A vulnerability in Uber's email system allows just about anyone to send emails on behalf of Uber.


The researcher who discovered this flaw warns this vulnerability can be abused by threat actors to email 57 million Uber users and drivers whose information was leaked in the 2016 data breach.


Uber seems to be aware of the flaw but has not fixed it for now.


'Your Uber is arriving now'
---------------------------


Security researcher and bug bounty hunter [Seif Elsallamy](https://twitter.com/0x21SAFE) discovered a flaw in Uber's systems that enables anyone to send emails on behalf of Uber.


These emails, sent from Uber's servers, would appear legitimate to an email provider (because *technically* they are) and make it past any spam filters.


Imagine getting a message from Uber stating, 'Your Uber is arriving now,' or 'Your Thursday morning trip with Uber'—when you never made those trips.


In a demonstration, Elsallamy sent me the following email message that, without a doubt, appeared to have come from Uber and landed right in my inbox, not junk:



![PoC email sent from Uber's servers](https://www.bleepstatic.com/images/news/u/1164866/2022/January-2022/uber-email-vulnerability/email-from-uber.jpg)**PoC email sent to BleepingComputer from Uber's servers**
The email form sent to BleepingComputer by the researcher urges the Uber customer to provide their credit card information.


Note, however, the email body did have a clear disclaimer towards the bottom stating, "this is a security vulnerability Proof of Concept," and was sent to BleepingComputer with prior permission.



![PoC disclaimer](https://www.bleepstatic.com/images/news/u/1164866/2022/January-2022/uber-email-vulnerability/email-from-uber2.jpg)**PoC disclaimer in the email sent to BleepingComputer from Uber**
On New Year's Eve of 2021, the researcher responsibly reported the vulnerability to Uber via their HackerOne bug bounty program.


However, his report was rejected for being "out-of-scope" on the erroneous assumption that exploitation of the technical flaw itself required some form of social engineering:



![Uber rejects researcher's report](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Uber rejects researcher's report concluding that it requires social engineering** ([Twitter](http://twitter.com/0x21SAFE/status/1476991015395471364))
57 million Uber customers and drivers at risk
---------------------------------------------


Contrary to what one may believe, this isn't a simple case of [email spoofing](https://en.wikipedia.org/wiki/Email_spoofing) used by threat actors to craft phishing emails.


In fact, the email sent by the researcher "from Uber" to BleepingComputer passed both [DKIM](https://en.wikipedia.org/wiki/DomainKeys_Identified_Mail) and [DMARC](https://en.wikipedia.org/wiki/DMARC) security checks, according to email headers seen by us.



![Email sent from Uber passes DKIM and SPF security checks](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)**Email sent "from Uber" passes DKIM and DMARC security checks** (BleepingComputer)
The researcher's email was sent via [SendGrid](https://en.wikipedia.org/wiki/SendGrid), an email marketing and customer communications platform used by leading companies.


But, Elsallamy tells BleepingComputer that it is an exposed endpoint on Uber's servers responsible for the flaw and allows anyone to craft an email on behalf of Uber.


The vulnerability is "an HTML injection in one of Uber's email endpoints," says Elsallamy, drawing comparison to a [similar flaw discovered in 2019](https://ysamm.com/?p=308) on Meta's (Facebook's) servers by pen-tester Youssef Sammouda.


In Meta's case, the endpoint looked identical to:


https://legal.tapprd.thefacebook.com/tapprd/Portal/ShowWorkFlow/AnonymousEmbed/XXXXXXXXXXXXX 
Understandably, for security reasons, the researcher did not disclose the vulnerable Uber endpoint.


He [questioned](http://twitter.com/0x21SAFE/status/1477003988792926210) Uber, "Bring your [calculator] and tell me what would be the result if this vulnerability has been used with the 57 million email [addresses that leaked] from the last data breach?"


"If you know the result then tell your employees in the bug bounty triage team."


Elsallamy is referring to Uber's 2016 data breach that exposed the personal information of [57 million Uber customers and drivers](https://www.bleepingcomputer.com/news/security/uber-fined-for-covering-up-2016-data-breach/).


For this mishap, UK's Information Commissioner's Office (ICO) had fined Uber £385,000, along with the data protection authority in the Netherlands (Autoriteit Persoonsgegevens) fining the company €600.000.


By exploiting this unpatched vulnerability, adversaries can potentially send targeted phishing scams to millions of Uber users previously affected by the breach.


When asked what could Uber do to remediate the flaw, the researcher advises:


"They need to sanitize the users' input in the vulnerable undisclosed form. Since the HTML is being rendered, they might use a security encoding library to do HTML entity encoding so any HTML appears as text," Elsallamy told BleepingComputer.


BleepingComputer reached out to Uber well in advance of publishing but has not heard back at this time.


Uber users, staff, drivers, and associates should watch out for any phishing emails sent from Uber that appear to be legitimate as exploitation of this flaw by threat actors remains a possibility.







## Tags:
***urls***: https://legal.tapprd.thefacebook.com/tapprd/Portal/ShowWorkFlow/AnonymousEmbed/XXXXXXXXXXXXX

### Autogenerated tags:
[[uber]] [[bleepingcomputer]] [[emails]] [[html]] [[elsallamy]]
