# University websites using MediaWiki, TWiki hacked to serve Fortnite spam
## Websites of multiple U.S. universities are serving Fortnite and 'gift card' spam. Researchers observed Wiki and documentation pages being hosted by universities including Stanford, MIT, Berkeley, UMass Amherst, Northeastern, Caltech, among others, were compromised.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/university-websites-using-mediawiki-twiki-hacked-to-serve-fortnite-spam/
+ Source: Bleeping Computer
+ Author: Ax Sharma
+ Date published: 21 April 2023, 08:35
+ Date scraped: 21 April 2023, 09:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/08/14/fortnite-mobile.jpg)



Websites of multiple U.S. universities are serving Fortnite and 'gift card' spam.


Researchers observed Wiki and documentation pages being hosted by universities including Stanford, MIT, Berkeley, UMass Amherst, Northeastern, Caltech, among others, were compromised.


BleepingComputer confirmed the malicious campaign was live, and had targeted additional scholastic websites including that of the University of Michigan.


## Malicious campaign hacks university wiki sites


This week, Twitter user *[g0njxa](https://twitter.com/g0njxa/status/1649115129403801605)* identified over a dozen sub-domains belonging to prominent U.S. universities that are serving Fortnite spam.


These websites appear to be running either TWiki or MediaWiki—the latter being a CMS platform that powers Wikipedia and multiple Wikimedia websites.



![Stanford Wiki site serving spam](https://www.bleepstatic.com/images/news/u/1164866/2023/Apr/uni-fortnite-spam/stanford-wiki.jpg)**Stanford 'Protege' project's wiki site serving Fortnite spam** (BleepingComputer)


These wiki pages, purportedly uploaded by spammers, lure readers into visiting bogus sites that claim to be offering 'free gift card,' 'Fortnite Bucks,' and cheats, among other digital artifacts.


These domains, however, load fake Fortnite pages that are effectively phishing forms prompting users for credentials:



![Fortnite spam domain](https://www.bleepstatic.com/images/news/u/1164866/2023/Apr/uni-fortnite-spam/fortnite-site.jpg)**Homepage of a Fortnite spam domain asks for 'username'** (BleepingComputer)


In other cases, BleepingComputer observed, these sites promised users gift cards in exchange for completing bogus surveys:



![bogus survey sites](https://www.bleepstatic.com/images/news/u/1164866/2023/Apr/uni-fortnite-spam/surveys.jpg)**Destination page asks users to complete 'surveys' and earn gift cards** (BleepingComputer) 


## Europa's Europass also abused


Although the malicious campaign has primarily targeted university websites built with MediaWiki, it seems some government websites were also hit by same threat actors.


These included mini-sites hosted by a [Brazilian state government](http://wiki.semed.capital.ms.gov.br/), as well as European Union's Europa.eu.


Specifically, in Europa.eu's case, it appears spammers are abusing the [Europass e-Portfolio](https://ec.europa.eu/futurium/en/system/files/ged/europass_background-info_e-portfolio.pdf) service—a job search portal that enables prospective European residents to create and upload their CVs and cover letters as PDFs:



![Europa.eu Europass website serving Fortnite spam in PDF](https://www.bleepstatic.com/images/news/u/1164866/2023/Apr/uni-fortnite-spam/europa-pdf.jpg)**Europa.eu Europass website serving Fortnite spam in PDF**


It remains unclear what exploit are threat actors leveraging to upload spam pages and PDF documents to websites belonging to legitimate organizations.


Last month, MediaWiki released [security updates](https://lists.wikimedia.org/hyperkitty/list/mediawiki-announce@lists.wikimedia.org/message/6UQBHI5FWLATD7QO7DI4YS54U7XSSLAN/) fixing multiple vulnerabilities in the platform but none seem directly relevant to the ongoing malicious campaign.


BleepingComputer is continuing to investigate the cause of the issue.


MediaWiki and TWiki sysadmins should sweep their websites for spam and malicious content, especially resources containing keywords like 'gift card,' 'Fortnite,' etc.


Users should refrain from clicking suspicious links within the compromised Wiki pages.


*We thank threat intelligence analyst [Gi7w0rm](https://twitter.com/Gi7w0rm) for the tip off.*





## Tags:


### Autogenerated tags:
[[websites]] [[fortnite]] [[bleepingcomputer]] [[wiki]] [[europass]] [[mediawiki]] [[europa.eu]]
