# VMware warns admins to patch ESXi servers, disable OpenSLP service
## VMware warned customers today to install the latest security updates and disable the OpenSLP service targeted in a large-scale campaign of ransomware attacks against Internet-exposed and vulnerable ESXi servers.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/vmware-warns-admins-to-patch-esxi-servers-disable-openslp-service/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 06 February 2023, 21:44
+ Date scraped: 06 February 2023, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/10/25/VMware.jpg)



VMware warned customers today to install the latest security updates and disable the OpenSLP service targeted in a large-scale campaign of ransomware attacks against Internet-exposed and vulnerable ESXi servers.


The company added that the attackers aren't exploiting a zero-day vulnerability and that this service is [disabled by default](https://blogs.vmware.com/vsphere/2021/02/evolving-the-vmware-vsphere-security-configuration-guides.html) in ESXi software releases issued since 2021.


The threat actors also target products that are "significantly out-of-date" or have already reached their End of General Support (EOGS), according to VMware.


"VMware has not found evidence that suggests an unknown vulnerability (0-day) is being used to propagate the ransomware used in these recent attacks," VMware said.


"Most reports state that End of General Support (EOGS) and/or significantly out-of-date products are being targeted with known vulnerabilities which were previously addressed and disclosed in VMware Security Advisories (VMSAs).


"With this in mind, we are advising customers to upgrade to the latest available supported releases of [vSphere components](https://kb.vmware.com/s/article/2143832) to address currently known vulnerabilities. In addition, VMware has recommended [disabling the OpenSLP service](https://kb.vmware.com/s/article/76372) in ESXi."


## ESXiArgs ransomware attacks


VMware's warning comes after unknown threat actors started encrypting VMware ESXi servers unpatched against an OpenSLP security flaw ([CVE-2021-21974](https://www.bleepingcomputer.com/news/security/vmware-fixes-critical-rce-bug-in-all-default-vcenter-installs/)) that unauthenticated threat actors can exploit to gain remote code execution in low-complexity attacks.


Known as [ESXiArgs ransomware](https://www.bleepingcomputer.com/news/security/massive-esxiargs-ransomware-attack-targets-vmware-esxi-servers-worldwide/#:~:text=Finally%2C%20the%20script%20performs%20some%20cleanup), this malware has been deployed as part of a massive wave of ongoing attacks that has already impacted thousands of vulnerable targets worldwide ([over 2,400 servers](https://search.censys.io/search?resource=hosts&sort=RELEVANCE&per_page=25&virtual_hosts=EXCLUDE&q=services.http.response.body%3A+%22How+to+Restore+Your+Files%22+and+services.http.response.html_title%3A%22How+to+Restore+Your+Files%22), according to current data from Censys).


The attackers use the malware to encrypt .vmxf, .vmx, .vmdk, .vmsd, and .nvra on compromised ESXi servers and deploy ransom notes named "ransom.html" and "How to Restore Your Files.html."


ID Ransomware's Michael Gillespie analyzed a copy of the [ESXiArgs encryptor](https://www.bleepingcomputer.com/forums/t/782193/esxi-ransomware-help-and-support-topic-esxiargs-args-extension/?p=5470686) and told BleepingComputer that, unfortunately, it is a secure encryptor with no cryptography bugs that would allow decryption.


Security researcher Enes Sonmez [shared a guide](https://enes.dev/) that may allow VMware admins affected by these attacks to rebuild their virtual machines and recover data for free.


BleepingComputer also has more [ESXiArgs ransomware technical details](https://www.bleepingcomputer.com/news/security/massive-esxiargs-ransomware-attack-targets-vmware-esxi-servers-worldwide/#:~:text=ESXiArgs%20technical%20details) and a [dedicated ESXiArgs support topic](https://www.bleepingcomputer.com/forums/t/782193/esxi-ransomware-help-and-support-topic-esxiargs-args-extension/) where victims report their experiences with this attack and can receive help recovering their files.





## Tags:
***CVE's***: CVE-2021-21974

### Autogenerated tags:
[[vmware]] [[ransomware]] [[esxi]] [[esxiargs]] [[openslp]]
