# Windows 11 KB5022303 and KB5022287 cumulative updates released
## Microsoft has released the Windows 11 KB5022303 and KB5022287 cumulative updates for versions 22H2 and 21H2 to fix security vulnerabilities and resolve bugs and performance issues.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5022303-and-kb5022287-cumulative-updates-released/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 10 January 2023, 19:38
+ Date scraped: 10 January 2023, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/07/12/windows-11-gradient.jpg)



Microsoft has released the Windows 11 KB5022303 and KB5022287 cumulative updates for versions 22H2 and 21H2 to fix security vulnerabilities and resolve bugs and performance issues.


KB5022303 and KB5022287 are mandatory Windows cumulative updates as they contain the [January 2023 Patch Tuesday security updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-november-2022-patch-tuesday-fixes-6-exploited-zero-days-68-flaws/) for vulnerabilities discovered in previous months.


These updates include an actively exploited vulnerability tracked as CVE-2023-21674 that was used in attacks to give threat actors/malware SYSTEM privileges, making this a priority update.


Windows 11 users can install today's update by going to **Start**> **Settings** > **Windows Update**and clicking on **'Check for Updates**.'



![Windows 11 KB5021255 cumulative update](https://www.bleepstatic.com/images/news/Microsoft/windows-11/k/KB5022303/windows-11-KB5022303.jpg)**Windows 11 KB5021255 cumulative update**  
*Source: BleepingComputer*


Windows 11 users can also manually download and install the update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=windows%2011).


## What's new in the Windows 11 KB5022303 and KB5022287 updates


After installing today's non-security update, Windows 11 22H2 ([KB5022303](https://support.microsoft.com/en-us/topic/january-10-2023-kb5022303-os-build-22621-1105-c45956c6-4ccb-4216-832c-2ec6309c7629)) will have its build number changed to **22621.1105**, and 21H2 ([KB5022287](https://support.microsoft.com/en-us/topic/january-10-2023-kb5022287-os-build-22000-1455-951898ec-2628-4d25-850e-9a44207bc139)) will be changed to **22000.1455**.


As there were [no preview updates in December 2022](https://www.bleepingcomputer.com/news/microsoft/microsoft-no-windows-preview-updates-this-month-due-to-holidays/) due to the holiday, these cumulative updates only fixed security vulnerabilities and a limited number of bugs.


For both Windows 11 22H2 and Windows 11 21H2, the following bugs were fixed:


* Microsoft fixed a Local Session Manager (LSM) bug that could allow users who do not have admin rights to perform functions only an admin can.
* Microsoft also fixed a bug that [breaks ODBC database connections](https://www.bleepingcomputer.com/news/microsoft/microsoft-november-updates-break-odbc-database-connections/) or displays errors.

The Windows 11 21H2 update fixes an extra bug that has been plaguing users with blue screen crashes:


* Microsoft fixed a bug causing blue screen crashes that [display 0xc000021a errors](https://www.bleepingcomputer.com/news/microsoft/microsoft-fixes-issue-causing-0xc000021a-blue-screen-crashes/) when starting some Windows devices.

Microsoft is aware of two ongoing issues for Windows 11 22H2 that have not been resolved in this update.


The issues are [provisioning packages not working as expected](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-breaks-provisioning-with-0x800700b7-errors/) and copying large multiple gigabyte (GB) files [taking longer than expected](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-11-22h2-causes-file-copy-performance-hit/) over SMB.


These bugs will be addressed in future updates.





## Tags:
***CVE's***: CVE-2023-21674

### Autogenerated tags:
[[windows]] [[microsoft]] [[kb5022303]] [[kb5022287]] [[22h2]] [[21h2]]
