# Windows 11 KB5022845 and KB5022836 cumulative updates released
## Microsoft has released the Windows 11 KB5022845 and KB5022836 cumulative updates for versions 22H2 and 21H2 to fix security vulnerabilities and bugs in the operating system.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5022845-and-kb5022836-cumulative-updates-released/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 14 February 2023, 19:18
+ Date scraped: 14 February 2023, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/07/12/windows-11-gradient.jpg)



Microsoft has released the Windows 11 KB5022845 and KB5022836 cumulative updates for versions 22H2 and 21H2 to fix security vulnerabilities and bugs in the operating system.


KB5022845 and KB5022836 are mandatory Windows 11 cumulative updates as they contain the [February 2023 Patch Tuesday security updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-february-2023-patch-tuesday-fixes-3-exploited-zero-days-77-flaws/) that fix 77 vulnerabilities in various Microsoft products.


Windows 11 users can install today's update by going to **Start**> **Settings** > **Windows Update**and clicking on **'Check for Updates**.'



![Windows 11 KB5022845 cumulative update](https://www.bleepstatic.com/images/news/Microsoft/windows-11/KB5022845.jpg)**Windows 11 KB5021255 cumulative update**  
*Source: BleepingComputer*


Windows 11 users can also manually download and install the update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=windows%2011).


## What's new in the Windows 11 KB5022845 and KB5022836 updates


After installing today's non-security update, Windows 11 22H2 ([KB5022845](https://support.microsoft.com/en-us/topic/february-14-2023-kb5022845-os-build-22621-1265-90a807f4-d2e8-486e-8a43-d09e66319f38)) will have its build number changed to **22621.1265**, and 21H2 ([KB5022836](https://support.microsoft.com/en-us/topic/february-14-2023-kb5022836-os-build-22000-1574-dfe0c801-e2e0-45dd-bb47-2c2cbea505ed)) will be changed to **22000.1574**.


For both Windows 11 22H2 and Windows 11 21H2, the following bugs were fixed:


* When the Input Method Editor (IME) is active, applications will continue working when you use the mouse and keyboard at the same time.
* If you convert or reconvert Japanese Kanji using a multibyte character set (MBCS) app, they now move to the correct location when you type.
* Opening an image file you find using search on the taskbar will now open in your preferred photo application instead of the photo print dialog.
* Microsoft has addressed an issue that stops you from searching for a file based on the file’s contents.
* Microsoft fixed an issue preventing Windows from entering sleep mode when a game controller is connected.

Microsoft is aware of three ongoing issues for Windows 11 22H2 that have not been resolved in this update.


Two longstanding issues are [provisioning packages not working as expected](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-breaks-provisioning-with-0x800700b7-errors/) and copying large multiple gigabyte (GB) files [taking longer than expected](https://www.bleepingcomputer.com/news/microsoft/microsoft-windows-11-22h2-causes-file-copy-performance-hit/) over SMB.


With this update, Microsoft also warns that Windows Server Update Services (WSUS) servers may not offer Windows 11 22H2 updates released as of February 14th, 2023, or at a later date.


"Updates released February 14, 2023 or later might not be offered from some [Windows Server Update Services (WSUS)](https://learn.microsoft.com/windows-server/administration/windows-server-update-services/get-started/windows-server-update-services-wsus) servers to Windows 11, version 22H2. The updates will download to the WSUS server but might not propagate further to client devices" warns Microsoft.


"Affected WSUS servers are only those running Windows Server 2022 which have been upgraded from Windows Server 2016 or Windows Server 2019."


Microsoft says this issue was caused by the accidental removal of required [Unified Update Platform (UUP)](https://learn.microsoft.com/windows/deployment/update/windows-update-overview) MIME types.


You can review last month's [Windows 11 KB5022360 preview update bulletin](https://support.microsoft.com/en-us/topic/january-26-2023-kb5022360-os-build-22621-1194-preview-f6973dbe-bcc4-402a-8b9a-0541b0959403) for a complete list of changes in this cumulative update.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[22h2]] [[kb5022845]] [[kb5022836]] [[wsus]] [[21h2]]
