# Windows 11 KB5023706 and KB5023698 cumulative updates released
## Microsoft has released the Windows 11 KB5023706 and KB5023698 cumulative updates for versions 22H2 and 21H2 to fix security vulnerabilities and bugs in the operating system.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5023706-and-kb5023698-cumulative-updates-released/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 14 March 2023, 18:31
+ Date scraped: 14 March 2023, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/07/12/windows-11-gradient.jpg)



Microsoft has released the Windows 11 KB5023706 and KB5023698 cumulative updates for versions 22H2 and 21H2 to fix security vulnerabilities and bugs in the operating system.


With the release of Windows 11 22H2 KB5023706, Microsoft has publicly released the '[Moment 2](https://www.bleepingcomputer.com/news/microsoft/windows-11-moment-2-update-released-here-are-the-many-new-features/)' update to all users under preview since last month.


This update brings many new features, including tabbed Notepad, Phone Link for iOS, a searchable Task Manager, the tablet-optimized taskbar, screen recording in the Snipping Tool, Voice Assist, and much more.


KB5023706 and KB5023698 are mandatory Windows 11 cumulative updates containing the [March 2023 Patch Tuesday security updates](https://www.bleepingcomputer.com/news/microsoft/microsoft-february-2023-patch-tuesday-fixes-3-exploited-zero-days-77-flaws/) that fix 83 vulnerabilities in various Microsoft products.


Windows 11 users can install today's update by going to **Start**> **Settings** > **Windows Update**and clicking on **'Check for Updates**.'



![Windows 11 KB5022845 cumulative update](https://www.bleepstatic.com/images/news/Microsoft/windows-11/KB5023706.jpg)**Windows 11 KB5021255 cumulative update**  
*Source: BleepingComputer*


Windows 11 users can also manually download and install the update from the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Search.aspx?q=windows%2011).


## What's new in the Windows 11 KB5023706 and KB5023698 updates


After installing today's non-security update, Windows 11 22H2 ([KB5023706](https://support.microsoft.com/en-us/topic/march-14-2023-kb5023706-os-build-22621-1413-9d3f2de5-08e7-4462-8fba-d944201f4ae1)) will have its build number changed to **22621.1413**, and 21H2 ([KB5023698](https://support.microsoft.com/en-us/topic/march-14-2023-kb5023698-os-build-22000-1696-3e54e715-3d5a-493b-bfad-4bb989516a7b)) will be changed to **22000.1696**.


As previously said, the Windows 11 22H2 updates bring many new features as part of the Moment 2 update. A complete list of changes can be found in our [dedicated Moment 2 update article](https://www.bleepingcomputer.com/news/microsoft/windows-11-moment-2-update-released-here-are-the-many-new-features/).


While bugs were fixed in Windows 11 22H2 and 21H2, the changelogs are now very different.


As Windows 11 22H2 is now the recommended version of the operating system, we will focus on the highlights from its associated update below:


* This update addresses an issue that changes the Color filters setting to Grayscale when you select Inverted.
* For IE mode users, Microsoft has addressed an issue that sometimes makes text on the status bar invisible.
* Microsoft fixed an issue causing a blue screen during video playback after setting high dynamic range (HDR) on your display.
* Microsoft fixed an issue that might prevent you from using a touch keyboard and the PIN entry keyboard to sign in to your device.
* This update addresses an issue that affects which folders appear in the Browse for Folder picker.
* A file explorer issue that fails to move the input focus when using Shift+Tab or Shift+F6 has been fixed.
* The volume up and down commands from a Bluetooth keyboard are now displayed in the Windows user interface.
* This update addresses an issue that affects Xbox subscriptions when you buy a subscription using the "Redeem code" option, and recurring billing is off.

Microsoft also warns that this update implements phase three of Distributed Component Object Model (DCOM) hardening, as described in [KB5004442](https://support.microsoft.com/en-us/topic/kb5004442-manage-changes-for-windows-dcom-server-security-feature-bypass-cve-2021-26414-f1400b52-c141-43d2-941e-37ed901c769c).


A longstanding issue where copying files from network drives to a local drive over SMB would be slower than expected.


Microsoft is aware of two ongoing issues for Windows 11 22H2 that have not been resolved in this update.


A longstanding issue is [provisioning packages not working as expected](https://www.bleepingcomputer.com/news/microsoft/windows-11-22h2-breaks-provisioning-with-0x800700b7-errors/), and Windows Server Update Services (WSUS) servers may not offer Windows 11 22H2 updates released as of February 14th, 2023, or later.


Finally, Microsoft also says this update fixes an issue preventing a reused computer account from joining an Active Directory domain. More information about this issue can be found in [KB5020276](https://support.microsoft.com/en-us/topic/kb5020276-netjoin-domain-join-hardening-changes-2b65a0f3-1f4c-42ef-ac0f-1caaf421baf8).


You can review last month's [Windows 11 KB5022913 preview update bulletin](https://support.microsoft.com/en-us/topic/february-28-2023-kb5022913-os-build-22621-1344-preview-3e38c0d9-924d-4f3f-b0b6-3bd49b2657b9) for a complete list of changes in this cumulative update.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[22h2]] [[kb5023706]] [[kb5023698]] [[21h2]]
