# Windows 11 Smart App Control blocks files used to push malware
## Smart App Control, a Windows 11 security feature that blocks threats at the process level, now comes with support for blocking several new file types threat actors have recently adopted to infect targets with malware in phishing attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-smart-app-control-blocks-files-used-to-push-malware/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 03 August 2022, 20:35
+ Date scraped: 03 August 2022, 21:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/02/09/Windows__11.jpg)



Smart App Control, a Windows 11 security feature that blocks threats at the process level, now comes with support for blocking several file types threat actors have recently adopted to infect targets with malware in phishing attacks.


"Windows 11 with smart app control blocks iso and lnk files that have mark of the web just like Macros," David Weston, Microsoft's VP for Enterprise and OS Security, [tweeted](https://twitter.com/dwizzzleMSFT/status/1554283569685573633) on Tuesday.


When blocking a dangerous file using SAC, the system will open a foreground dialog with the following message: "Smart App Control blocked an app that may be unsafe. This file was blocked because files of this type from the internet can be dangerous."


While testing Weston's claims, security expert Will Dormann also [found](https://twitter.com/wdormann/status/1554475849365291010) that SAC automatically stops IMG, VHD, and VHDX files from opening.


After a bit of digging, BleepingComputer also discovered that .appref-ms, .bat, .cmd, .chm, .cpl, .js, .jse, .msc, .msp, .reg, .vbe, .vbs, .wsf files would also be blocked.



![Smart App Control blocking BAT files on Windows 11](https://www.bleepstatic.com/images/news/u/1109292/2022/SAC_blocking_a_BAT_file.png)*SAC blocking BAT files on Windows 11 (BleepingComputer)*


This info comes after Microsoft [once again started blocking macros](https://www.bleepingcomputer.com/news/microsoft/microsoft-rolls-back-decision-to-block-office-macros-by-default/) in Office files downloaded from the Internet, forcing[attackers to switch to new file types](https://www.bleepingcomputer.com/news/security/as-microsoft-blocks-office-macros-hackers-find-new-attack-vectors/) to deliver their malicious payloads on victims' devices, including ISO, RAR, and Windows Shortcut (LNK) files.


Microsoft [announced](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-new-windows-11-security-encryption-features/) Smart App Control in April, with Weston describing it as a "major enhancement to the Windows 11 security model" designed to allow only safe and reliable apps to open.


He also added that "devices running previous versions of Windows 11 will have to be reset and have a clean installation of Windows 11 to take advantage of this feature."


## Comes with its fair share of kinks


However, although obviously helpful to defend against attacks by working in tandem with security software like Microsoft Defender, Smart App Control also comes with its fair share of downsides and problems.


The most obvious of them is the fact that, at the moment, it can only be tested by Windows Insiders on systems running Windows 11.


It can also only be used on clean installs of Windows 11 to ensure there aren't already untrusted apps running on the device, forcing users to reinstall or reset their devices to try the new feature.


Microsoft's [documentation](https://support.microsoft.com/en-us/topic/what-is-smart-app-control-285ea03d-fa88-4d56-882e-6698afdb7003) is also still lacking. For instance, there is no mention of SAC blocking specific file types, as Weston revealed. Before this, the feature [was advertised](https://www.microsoft.com/security/blog/2022/04/05/new-security-features-for-windows-11-will-help-protect-hybrid-work/#:~:text=Smart%20App%20Control%20is%20a%20major%20enhancement%20to%20the%20Windows%2011%20security%20model%20that%20prevents%20users%20from%20running%20malicious%20applications%20on%20Windows%20devices%20that%20default%20blocks%20untrusted%20or%20unsigned%20applications.) as a built-in security capability focused on protecting against malicious or unsignedapplications.


Also, quite confusingly, Redmond says on its support website that the feature can be re-enabled after turning it off by reinstalling Windows (for example, with ‘Reset this PC’).


However, in BleepingComputer’s tests, Windows dialogs do not describe this, indicating that it is disabled permanently instead.



![Toggling off SAC is permanent](https://www.bleepstatic.com/images/news/u/1109292/2022/Toggling%20off%20SAC%20is%20permanent.png)*Toggling off SAC is a permanent deal (BleepingComputer)*


Microsoft also says SAC might be turned off automatically on some systems after an “evaluation mode” is performed to check if your device is a “good candidate” (i.e., that it's not ruining your user experience by getting in your way with frequent interruptions).


While in evaluation mode, SAC will be disabled and won't block anything until you get the "good candidate" seal of approval.


Last but not least, although something one should expect, there is no SAC exclusion list that would prevent it from triggering when trying to open a specific app or file.


All in all, besides some kinks that Microsoft should iron out until the feature reaches general availability for all Windows 11 customers (maybe Windows 10, too), Smart App Control is a welcome addition to Windows 11, with a lot of promise.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[weston]] [[bleepingcomputer]]
