# Windows 11 may not get security updates on unsupported devices
## Microsoft is turning a blind eye to a loophole that allows you to install Windows 11 on incompatible hardware but warns that your device may no longer receive security updates.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-may-not-get-security-updates-on-unsupported-devices/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 04 September 2021, 10:11
+ Date scraped: 11 December 2023, 15:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/03/windows-11-dark-storm-clouds.jpg)



Microsoft is turning a blind eye to a loophole that allows you to install Windows 11 on incompatible hardware but warns that your device may no longer receive security updates.


Since Microsoft officially announced Windows 11, they have held firm to strict [system requirements](https://www.bleepingcomputer.com/news/microsoft/microsoft-publishes-the-windows-11-system-requirements/) required to install the new operating system.


Unfortunately, these system requirements, including a [TPM 2.0 processor](https://www.bleepingcomputer.com/news/microsoft/windows-11-wont-work-without-a-tpm-what-you-need-to-know/) and newer CPUs, leave many Windows 10 users unable to upgrade to Windows 11 without purchasing new hardware.


This list of incompatible hardware includes devices using Intel 7th generation and AMD Zen 1 CPUs, most of which are perfectly capable of running Windows 11. The [only exception](https://www.bleepingcomputer.com/news/microsoft/windows-11-to-only-support-one-intel-7th-gen-cpu-no-amd-zen-1-cpus/) is the 7th generation Intel Core 7820HQ CPU, which coincidentally powers Microsoft's Surface Studio 2 devices.



![PC Health Check showing incompatible hardware](https://www.bleepstatic.com/images/news/Microsoft/windows-11/p/pc-health-check/pc-health-check-not-compatible.jpg)**PC Health Check showing incompatible hardware**


It seems there is a loophole to these requirements as Microsoft has told BleepingComputer that you can bypass the TPM 2.0 requirement by performing a clean install of Windows 11 using the Media Creation Tool or an [ISO image](https://www.bleepingcomputer.com/news/microsoft/how-to-download-the-windows-11-iso-from-microsoft/).


However, you will still need to have at least a TPM 1.2 security processor, and using this method will leave the PC in an unsupported state.


Microsoft has not said why they are allowing this, but it could be to enable the enterprise to install Windows 11 on test devices.


Loophole comes with significant risks
-------------------------------------


Unfortunately, even with this loophole, there is a catch, and it's a significant one.


Microsoft told us that Windows 11 devices in an unsupported state wouldn't receive updates via Windows Update, which could include security and driver updates.


As it is common for people to install hardware that does not meet system requirements, it would not be surprising to find that many people use this loophole to install Windows 11.


If Microsoft does not provide security updates, this poses a significant risk to these users, especially as zero-day vulnerabilities being exploited by threat actors are becoming more common.


It is not clear if users will be able to install updates manually through the [Microsoft Update Catalog](https://www.catalog.update.microsoft.com/Home.aspx), and if they can, this limitation won't be as much of an issue if a user can stay on top of it.


On the other hand, if Microsoft blocks manual updates as well, this could lead to trouble for users who attempt to install software on incompatible hardware.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]]
