# Windows KB5012170 update causing BitLocker recovery screens, boot issues
## Windows users who have installed a new KB5012170 security update for Secure Boot have encountered various issues, ranging from boots failing with BitLocker Recovery prompts to performance issues.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-kb5012170-update-causing-bitlocker-recovery-screens-boot-issues/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 16 August 2022, 23:05
+ Date scraped: 17 August 2022, 06:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/01/13/windows-10-glass-broken.jpg)



Windows users who have installed a new KB5012170 security update for Secure Boot have encountered various issues, ranging from boots failing with BitLocker Recovery prompts to performance issues.


A UEFI bootloader loads immediately after a device is started and is responsible for launching the UEFI environment with the Secure Boot feature to allow only trusted code to be executed when starting the Windows booting process.


During the [August 2022 Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-august-2022-patch-tuesday-fixes-exploited-zero-day-121-flaws/), Microsoft released the standalone KB5012170 'Security update for Secure Boot DBX' to resolve [vulnerabilities found in various UEFI bootloaders](https://www.bleepingcomputer.com/news/security/microsoft-blocks-uefi-bootloaders-enabling-windows-secure-boot-bypass/) that threat actors could use to bypass the Windows Secure Boot feature and execute unsigned code.


To fix these vulnerabilities, Microsoft added the certificates required to load the vulnerable UEFI bootloaders to the [UEFI Revocation List](https://uefi.org/revocationlistfile) - the Secure Boot Forbidden Signature Database (DBX), thus preventing them from being used with Secure Boot.


However, if your device does not have a valid bootloader, attempting to install the [KB5012170 update will generate an 0x800f0922 error](https://www.bleepingcomputer.com/news/security/windows-kb5012170-secure-boot-dbx-update-may-fail-with-0x800f0922-error/) and prevent the installation from completing, which is a good thing as your device would no longer boot otherwise.


Microsoft says you can fix this error by checking for updated UEFI firmware from your device manufacturer.


## KB5012170 causing numerous issues


In addition to the 0x800f0922 error, Windows users are now reporting problems with Windows after installing the KB5012170 update.


As first reported by [TheRegister](https://www.theregister.com/2022/08/15/bitlocker_microsoft/), some Windows users are encountering BitLocker Recovery screens after installing the update. According to one of their readers, 2% of the Windows 11 devices showed BitLocker recovery screens after installing the update.


Other users on the [Microsoft Answers forum](https://answers.microsoft.com/en-us/surface/forum/all/surface-booted-with-bitlocker-recovery-now-seems/1864921b-14b4-4bcf-b052-0cb7f9d0a018), [Twitter](https://twitter.com/UlfLundh/status/1559532177964109824), and [Reddit](https://www.reddit.com/r/pcmasterrace/comments/wkqkmg/is_the_windows_update_kb5012170_safe_to_install/) have also said they are experiencing the same behavior.



![BitLocker Recovery screen](https://www.bleepstatic.com/images/news/Microsoft/bitlocker-recovery.jpg)**BitLocker Recovery screen**  
*Source: The Register*


For those affected by the Bitlocker recovery screen, you can typically find your recovery key stored in your Microsoft Account. Instructions on how to find this information can be found in this [Microsoft support document](https://support.microsoft.com/en-us/windows/finding-your-bitlocker-recovery-key-in-windows-6b71ad27-0b89-ea08-f143-056f5ab347d6).


For enterprise users, Windows admins can retrieve the Bitlocker recovery key from the Active Directory Users and Computers.


In addition to the BitLocker recovery problems, BleepingComputer readers have said they are encountering slow boot times, or their disk configurations changed from RAID to AHCI in the firmware settings.


"I have Windows 10 21H1 and after I downloaded the update last week I noticed the boot time change to VERY long," reads a comment on BleepingComputer.


"Can confirm that. Whats worse, the update changed my RAID mode to AHCI, so I had to manually put that back on approx 10 devices, that ran into BSOD. All of them. Almost brand new Latitudes 5320 and all behaved the same. You can see, if the update changed your RAID mode too," reads another comment.


Thankfully, users should only run into these issues once, and they should go away after you enter the BitLocker recovery key or modify disk configurations.


However, it is strongly advised that you check for updated UEFI firmware before attempting to install this update to save yourself a potential headache.





## Tags:


### Autogenerated tags:
[[windows]] [[bitlocker]] [[uefi]] [[microsoft]] [[kb5012170]]
