# Windows MSDT zero-day now exploited by Chinese APT hackers
## Chinese-linked threat actors are now actively exploiting a Microsoft Office zero-day vulnerability (known as 'Follina') to execute malicious code remotely on Windows systems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/windows-msdt-zero-day-now-exploited-by-chinese-apt-hackers/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 31 May 2022, 22:00
+ Date scraped: 31 May 2022, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/07/23/Windows-attack.jpg)



Chinese-linked threat actors are now actively exploiting a Microsoft Office zero-day vulnerability (known as 'Follina') to execute malicious code remotely on Windows systems.


This Microsoft Windows Support Diagnostic Tool (MSDT) remote code execution flaw (tracked as [CVE-2022-30190](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-30190)) impacts all Windows client and server platforms still receiving security updates (Windows 7 or later and Windows Server 2008 or later).


Shadow Chaser Group's [crazyman](https://twitter.com/crazymanarmy), the researcher who first reported the zero-day in April, said Microsoft initially tagged the flaw as [not a "security-related issue](https://twitter.com/CrazymanArmy/status/1531184830171742209)," however, it later closed the vulnerability submission report [with a remote code execution impact](https://twitter.com/CrazymanArmy/status/1531120929321152512).


## Actively exploited in the wild


The [TA413 APT group](https://www.bleepingcomputer.com/tag/ta413/), a hacking outfit [linked](https://www.proofpoint.com/us/blog/threat-insight/chinese-apt-ta413-resumes-targeting-tibet-following-covid-19-themed-economic) to Chinese state interests, has adopted this vulnerability in attacks against their favorite target, the international Tibetan community.


As observed on May 30 by Proofpoint security researchers, they're now using CVE-2022-30190 exploits to execute malicious code via the MSDT protocol when targets open or [preview](https://twitter.com/wdormann/status/1531256385031352321) Word documents delivered in ZIP archives.



![TA413 malicious Word document](https://www.bleepstatic.com/images/news/u/1109292/2022/TA413%20malicious%20Word%20document.jpg)*TA413 malicious Word document (Proofpoint)*


"TA413 CN APT spotted ITW exploiting the Follina 0Day using URLs to deliver Zip Archives which contain Word Documents that use the technique," enterprise security firm Proofpoint [revealed](https://twitter.com/threatinsight/status/1531688214993555457) today.


"Campaigns impersonate the 'Women Empowerments Desk' of the Central Tibetan Administration and use the domain tibet-gov.web[.]app."


Security researcher MalwareHunterTeam [also spotted](https://twitter.com/malwrhunterteam/status/1531640128048975872) DOCX documents with Chinese filenames being used to install malicious payloads [detected as password-stealing trojans](https://www.virustotal.com/gui/file/3206fe87e2874db37239d64779c1f504cfca528cef8f5c2214f8434b392aa25a) via http://coolrat[.]xyz.



![coolrat[.]xyz exploit](https://www.bleepstatic.com/images/news/u/1109292/2022/coolrat%5B_%5Dxyz%20exploit.png)*Image: BleepingComputer*


## Mitigation available


"An attacker who successfully exploits this vulnerability can run arbitrary code with the privileges of the calling application," as Microsoft [explained](https://www.bleepingcomputer.com/news/microsoft/microsoft-shares-mitigation-for-office-zero-day-exploited-in-attacks/) in new guidance issued today to provide admins with mitigation measures.


"The attacker can then install programs, view, change, or delete data, or create new accounts in the context allowed by the user's rights."


You can block attacks exploiting CVE-2022-30190 [by disabling the MSDT URL protocol](https://www.bleepingcomputer.com/news/microsoft/microsoft-shares-mitigation-for-office-zero-day-exploited-in-attacks/#:~:text=To%20disable%20the%20MSDT%20URL%20protocol) malicious actors abuse to launch troubleshooters and execute code on vulnerable systems.


You are also [advised](https://twitter.com/wdormann/status/1531259406624620544) to disable the Preview pane in Windows Explorer since this is another attack vector exploitable when targets preview the malicious documents.


Today, CISA also [urged](https://www.cisa.gov/uscert/ncas/current-activity/2022/05/31/microsoft-releases-workaround-guidance-msdt-follina-vulnerability) admins and users to disable the MSDT protocol on their Windows devices after Microsoft reported active exploitation of this vulnerability in the wild.


The first CVE-2022-30190 attacks were spotted over a month ago using [sextortion threats](https://twitter.com/buffaloverflow/status/1531285029791449088) and [invitations to Sputnik Radio interviews](https://twitter.com/h2jazi/status/1513870903590936586) as lures.





## Tags:
***CVE's***: CVE-2022-30190
***urls***: http://tibet-gov.web.app http://coolrat.xyz

### Autogenerated tags:
[[windows]] [[microsoft]] [[msdt]] [[cve-2022-30190]] [[ta413]] [[proofpoint]]
