# Windows zero-day flaw giving admin rights gets unofficial patch, again
## A Windows local privilege escalation zero-day vulnerability that Microsoft has failed to fully address for several months now, allows users to gain administrative privileges in Windows 10, Windows 11, and Windows Server.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-zero-day-flaw-giving-admin-rights-gets-unofficial-patch-again/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 21 March 2022, 17:48
+ Date scraped: 21 March 2022, 19:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/07/23/Windows-attack.jpg)



A Windows local privilege escalation zero-day vulnerability that Microsoft has failed to fully address for several months now, allows users to gain administrative privileges in Windows 10, Windows 11, and Windows Server.


The locally exploited vulnerability in Windows User Profile Service is tracked as CVE-2021-34484 and was given a CVSS v3 score of 7.8. While exploits have been publicly disclosed in the past, they are not believed to be actively exploited in the wild.


The peculiarity of this case lies in the fact that Microsoft has been unable to address the flaw since its discovery last summer and that it has marked the bug [as fixed](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-34484) twice.


According to the 0patch team, which has been unofficially providing fixes for discontinued Windows versions and [some vulnerabilities](https://www.bleepingcomputer.com/news/security/new-windows-10-zero-day-gives-admin-rights-gets-unofficial-patch/) that Microsoft won't address, the flaw is still a zero-day. In fact, Microsoft's patches failed to fix the bug and broke 0patch's previous unofficial patch.


## The LPE that won't stay fixed


The Windows User Profile Service Elevation of Privilege Vulnerability, tracked as [CVE-2021-34484](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-34484), was discovered by security researcher [Abdelhamid Naceri](https://twitter.com/KLINIX5) and disclosed to Microsoft, who fixed it as part of the [August 2021 Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-august-2021-patch-tuesday-fixes-3-zero-days-44-flaws/).


Soon after the fix was released, Naceri noticed that Microsoft’s patch was incomplete and [presented a proof of concept](https://www.bleepingcomputer.com/news/security/all-windows-versions-impacted-by-new-lpe-zero-day-vulnerability/) (PoC) that bypassed it on all Windows versions.



![CVE-2021-34484​​​​​​​ Exploit launching an elevated command prompt with SYSTEM privileges](https://www.bleepstatic.com/images/news/Microsoft/vulnerabilities/CVE-2021-34484/elevated-command-prompt.jpg)**CVE-2021-34484 Exploit launching an elevated command prompt with SYSTEM privileges**  
*Source: BleepingComputer*
The 0patch team stepped in at that point, [releasing an unofficial security update](https://www.bleepingcomputer.com/news/microsoft/zero-day-bug-in-all-windows-versions-gets-free-unofficial-patch/) for all Windows versions and making it free to download for all registered users.


Microsoft also responded to this bypass with a second security update released with the [January 2022 Tuesday Patch Tuesday](https://www.bleepingcomputer.com/news/microsoft/microsoft-january-2022-patch-tuesday-fixes-6-zero-days-97-flaws/), giving the bypass a new tracking ID as CVE-2022-21919 and [marking it as fixed](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-21919). However, Naceri found a way to bypass that fix while commenting that this attempt was worse than the first.


While testing their patch against the researcher's second bypass, 0patch found that their patch to the "profext.dll" DLL still protected users against the new exploitation method, allowing those systems to remain secure.


However, Microsoft's second fixing attempt replaced the "profext.dll" file, leading to the removal of the unofficial fix from everyone who had applied the January 2022 Windows updates.


0patch has now [ported the fix](http://blog.0patch.com/2022/03/a-bug-that-doesnt-want-to-die-cve-2021.html) to work with the March 2022 Patch Tuesday updates and made it available for free to all registered users. 


The Windows versions that can take advantage of the new micro-patch are the following:


* **Windows 10 v21H1** (32 & 64 bit) updated with March 2022 Updates
* **Windows 10 v20H2** (32 & 64 bit) updated with March 2022 Updates
* **Windows 10 v1909** (32 & 64 bit) updated with March 2022 Updates
* **Windows Server 2019** 64 bit updated with March 2022 Updates

It should be noted that Windows 10 1803, Windows 10 1809, and Windows 10 2004 are still protected by 0patch's original patch, as those devices have reached the end of support and did not receive the Microsoft update that replaced the DLL.


## How to install the micro-patch


The micro-patch will remain available as a free download to users of the above Windows versions as long as Microsoft hasn't released a complete fix for the particular LPE problem and all its bypasses.


To those interested in taking up that offering, update your Windows 10 to the latest patch level (March 2022), create a free account in [0patch Central](https://central.0patch.com/auth/login), and then install and register the 0patch Agent [from here](https://0patch.com/).


Doing that will initiate an automated micro-patching process with no manual actions or reboots required for the chances to take effect on your system.


Bleeping Computer has contacted Microsoft to ask if it's planning to revisit the particular flaw and maybe try and fix it via a security update in the future, but we have not received a response yet.





## Tags:
***CVE's***: CVE-2021-34484 CVE-2022-21919

### Autogenerated tags:
[[windows]] [[microsoft]] [[0patch]] [[cve-2021-34484]] [[naceri]] [[micro-patch]]
