# Wormable Windows HTTP vulnerability also affects WinRM servers
## A wormable remote code execution (RCE) vulnerability in the Windows IIS server can also be used to attack unpatched Windows 10 and Server systems publicly exposing the WinRM (Windows Remote Management) service.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/wormable-windows-http-vulnerability-also-affects-winrm-servers/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 22 May 2021, 10:00
+ Date scraped: 12 December 2023, 12:45

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/17/Windows.jpg)



A wormable vulnerability in the HTTP Protocol Stack of the Windows IIS server can also be used to attack unpatched Windows 10 and Server systems publicly exposing the WinRM (Windows Remote Management) service.


Microsoft already patched the critical bug tracked as CVE-2021-31166 during the May Patch Tuesday.


Luckily, although it can be abused by threat in remote code execution (RCE) attacks, the vulnerability ONLY impacts versions 2004 and 20H2 of Windows 10 and Windows Server.


Microsoft [recommended prioritizing patching](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2021-31166#faq) all affected servers because the vulnerability could allow unauthenticated attackers to execute arbitrary code remotely "in most situations" on vulnerable computers.


Adding to this, over the weekend, security researcher Axel Souchet has [published proof-of-concept exploit code](https://www.bleepingcomputer.com/news/security/exploit-released-for-wormable-windows-http-vulnerability/) that can be used to crash unpatched systems using maliciously crafted packets by triggering blue screens of death.


WinRM enabled by default on enterprise endpoints
------------------------------------------------


The bug was found in the HTTP Protocol Stack (HTTP.sys) used as a protocol listener by the Windows IIS web server for processing HTTP requests.


However, as [discovered](https://twitter.com/JimDinMN/status/1395071966487269376) by security researcher Jim DeVries, it also impacts Windows 10 and Server devices running the [WinRM](https://docs.microsoft.com/en-us/windows/win32/winrm/portal) service (short for Windows Remote Management), a component of the Windows Hardware Management feature set which also makes use of the vulnerable HTTP.sys.


While home users have to enable the WinRM service manually on their Windows 10 systems, enterprise Windows Server endpoints have WinRM toggled on by default which makes them vulnerable to attacks if they're running versions 2004 or 20H2.


"[CVE-2021-31166] is commonly used in corporate environments. It's enabled by default on servers," DeVries told BleepingComputer.


"I don't think this is a big risk for home PCs but, should someone marry this to a worm and ransomware, it could run wild in corporate environments."



Over 2 million Internet-exposed WinRM servers
---------------------------------------------


DeVries' findings have also been confirmed by CERT/CC vulnerability analyst [Will Dormann](https://twitter.com/wdormann/status/1395117939074949125) who successfully crashed a Windows system exposing the WinRM service using Souchet's DoS exploit.


Dormann also discovered that [over 2 million Windows systems](https://www.shodan.io/search?query=port%3A5985+Microsoft-HTTPAPI) reachable over the Internet are exposing the vulnerable WinRM service.


Luckily, only a subset of all these Internet-exposed Windows systems is vulnerable seeing that the vulnerability only impacts Windows 10 and Windows Server, versions 2004 and 20H2.



![Windows systems exposing WinRM online](https://www.bleepstatic.com/images/news/u/1109292/2021/Windows%20systems%20exposing%20WinRM%20online.png)*Windows systems exposing WinRM online (Will Dormann)*


The exploit's release could likely enable adversaries to create their own exploits faster, potentially also allowing remote code execution.


However, the impact should also be limited and the patching process quite quick since most home users using affected Windows 10 versions have probably updated their systems last week.


Similarly, many companies should likely be safe from attacks targeting the bug since they don't usually deploy the latest Windows Server versions as soon as they are released.





## Tags:
***CVE's***: CVE-2021-31166

### Autogenerated tags:
[[windows]] [[winrm]] [[http]] [[20h2]] [[devries]] [[dormann]]
