# Xfinity discloses data breach affecting over 35 million people
## Comcast Cable Communications, doing business as Xfinity, disclosed on Monday that attackers who breached one of its Citrix servers in October also stole customer-sensitive information from its systems.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/xfinity-discloses-data-breach-affecting-over-35-million-people/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 18 December 2023, 19:03
+ Date scraped: 19 December 2023, 11:07

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/12/18/Xfinity.jpg)



Comcast Cable Communications, doing business as Xfinity, disclosed on Monday that attackers who breached one of its Citrix servers in October also stole customer-sensitive information from its systems.


On October 25, roughly two weeks after Citrix [released security updates](https://www.bleepingcomputer.com/news/security/new-critical-citrix-netscaler-flaw-exposes-sensitive-data/) to address a critical vulnerability now known as [Citrix Bleed](https://www.bleepingcomputer.com/tag/citrix-bleed/) and tracked as CVE-2023-4966, the telecommunications company found evidence of malicious activity on its network between October 16 and October 19.


Cybersecurity company Mandiant says the Citrix flaw had been [actively exploited as a zero-day](https://www.bleepingcomputer.com/news/security/recently-patched-citrix-netscaler-bug-exploited-as-zero-day-since-august/) since at least late August 2023.


Following an investigation into the impact of the security breach, Xfinity discovered on November 16 that the attackers also exfiltrated data belonging to [35,879,455 people](https://apps.web.maine.gov/online/aeviewer/ME/40/49e711c6-e27c-4340-867c-9a529ab3ca2c.shtml) from its systems.


"After additional review of the affected systems and data, Xfinity concluded on December 6, 2023, that the customer information in scope included usernames and hashed passwords," the company [said](https://www.businesswire.com/news/home/20231218979935/en/Notice-To-Customers-of-Data-Security-Incident/).


"[F]or some customers, other information may also have been included, such as names, contact information, last four digits of social security numbers, dates of birth and/or secret questions and answers. However, the data analysis is continuing."


Users' passwords reset without any info
---------------------------------------


While Xfinity says it has asked users to reset their passwords to protect affected accounts, customers [report](https://twitter.com/discoposse/status/1734718995951997158) that they had been getting password reset requests last week without any indication as to why that was happening.


[![Xfinity password resets](https://www.bleepstatic.com/images/news/u/1109292/2023/Xfinity_password_reset.png)](https://twitter.com/discoposse/status/1734718995951997158)


"To protect your account, we have proactively asked you to reset your password. The next time you login to your Xfinity account, you will be prompted to change your password, if you haven't been asked to do so already," the company says in a [data breach notice](https://assets.xfinity.com/assets/dotcom/learn/Notice%20To%20Customers%20of%20Data%20Security%20Incident.pdf) published on its website.


One year ago, Xfinity customers also [had their accounts hacked](https://www.bleepingcomputer.com/news/security/comcast-xfinity-accounts-hacked-in-widespread-2fa-bypass-attacks/) in widespread credential stuffing attacks bypassing two-factor authentication.


Compromised accounts were then used to reset account passwords for other services, including the Coinbase and Gemini crypto exchanges.


*Update December 18, 19:08 EST:* A Comcast spokesperson shared the following statement with BleepingComputer after the article was published but didn't share more details on the number of individuals affected by the data breach. The company added that its operations were not impacted and that it received no ransom demand after the incident.



> 
> We are providing notice to customers about a data security incident which exploited a vulnerability previously announced by Citrix, a software provider used by Xfinity and thousands of other companies worldwide. We promptly patched and mitigated the vulnerability. We are not aware of any customer data being leaked anywhere, nor of any attacks on our customers.
> 
> 
> In addition, we required our customers to reset their passwords and we strongly recommend that they enable two-factor or multi-factor authentication, as many Xfinity customers already do. We take the responsibility to protect our customers very seriously and have our cybersecurity team monitoring 24x7.
> 
> 
> 


*Update December 19, 05:40 EST:* Added info on the number of people affected by the data breach.





## Tags:
***CVE's***: CVE-2023-4966

### Autogenerated tags:
[[xfinity]] [[citrix]]
