# Zoho: Patch new ManageEngine bug exploited in attacks ASAP
## Business software provider Zoho urged customers today to update their Desktop Central and Desktop Central MSP installations to the latest available version.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/zoho-patch-new-manageengine-bug-exploited-in-attacks-asap/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 03 December 2021, 15:07
+ Date scraped: 03 December 2021, 18:31

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/09/16/ZOHO.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/09/16/ZOHO.jpg)

![Zoho: Patch new ManageEngine bug exploited in attacks ASAP](https://www.bleepstatic.com/content/hl-images/2021/09/16/ZOHO.jpg)


Business software provider Zoho urged customers today to update their Desktop Central and Desktop Central MSP installations to the latest available version.


Zoho's ManageEngine Desktop Central is a management platform that helps admins deploy patches and software automatically over the network and troubleshoot them remotely


The warning comes after the company patched a critical vulnerability (tracked as [CVE-2021-44515](https://www.manageengine.com/desktop-management-msp/cve-2021-44515-security-advisory.html)) which could allow attackers to bypass authentication and execute arbitrary code on unpatched ManageEngine Desktop Central servers (Desktop Central Cloud is not affected).


"As we are noticing indications of exploitation of this vulnerability, we strongly advise customers to update their installations to the latest build as soon as possible," Zoho [explained](https://pitstop.manageengine.com/portal/en/community/topic/an-authentication-bypass-vulnerability-identified-and-fixed-in-desktop-central-and-desktop-central-msp) in a notification issued today.


To detect if your installation was compromised using this security flaw, you can use Zoho's Exploit Detection Tool and go through the procedure detailed [here](https://www.manageengine.com/products/desktop-central/cve-2021-44515-authentication-bypass-filter-configuration.html).



![RCE-compromised ManageEngine instance](https://www.bleepstatic.com/images/news/u/1109292/2021/RCE-compromised-ManageEngine-instance.png)*RCE-compromised ManageEngine instance (Zoho)*
If impacted, the company recommends disconnecting and backing up all critical business data on affected systems from the network, formatting the compromised servers, [restoring](https://www.manageengine.com/products/desktop-central/backup_restoration_desktop_central_server_incompatible.htmlhttps://www.manageengine.com/products/desktop-central/backup_restoration_desktop_central_server_incompatible.html) Desktop Central, and updating it to the latest build once the installation ends.


If signs of compromise have been found, Zoho also recommends initiating a "password reset for all services, accounts, Active Directory, etc. that has been accessed from the service installed machine" together with Active Directory administrator passwords.


A quick search using Shodan has revealed [over 3,200 ManageEngine Desktop Central instances](https://www.shodan.io/search?query=http.title%3A%22manageengine+desktop+central%22) running on various ports and exposed to attacks.



![Internet exposed Desktop Central servers](https://www.bleepstatic.com/images/news/u/1109292/2021/Internet%20exposed%20Desktop%20Central%20servers.jpg)*Internet exposed Desktop Central servers (BleepingComputer)*
Ongoing Zoho ManageEngine targeting
-----------------------------------


This is not the first time Zoho ManageEngine servers have been targeted in attacks recently. Desktop Central instances, in particular, have been hacked before and [access to compromised networks sold on hacking forums](https://www.bleepingcomputer.com/news/security/hackers-sell-access-to-your-network-via-remote-management-apps/) since at least July 2020.


According to cyber intelligence company KELA who spotted the threat actors behind these offers, they had sold network access to companies worldwide and claimed to have access to others from the US, UK, Spain, and Brazil.


More recently, between August and October 2021, Zoho ManageEngine products have been targeted by state hackers using tactics and tooling similar to those used by Chinese-backed hacking group APT27.


The attackers focused on and compromised the networks of critical infrastructure organizations worldwide in three different campaigns using [an ADSelfService zero-day exploi](https://www.bleepingcomputer.com/news/security/fbi-and-cisa-warn-of-state-hackers-exploiting-critical-zoho-bug/)t between early-August and mid-September, [an n-day AdSelfService exploit](https://www.bleepingcomputer.com/news/security/state-hackers-breach-defense-energy-healthcare-orgs-worldwide/) until late October, and [a ServiceDesk one starting with October 25](https://www.bleepingcomputer.com/news/security/hackers-use-in-house-zoho-servicedesk-exploit-to-drop-webshells/).



![Zoho ManageEngine exploitation](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)*Zoho ManageEngine exploitation ([Unit 42](https://unit42.paloaltonetworks.com/tiltedtemple-manageengine-servicedesk-plus/))*
After these campaigns, the FBI and CISA also issued joint advisories ([1](https://us-cert.cisa.gov/ncas/alerts/aa21-259a), [2](https://us-cert.cisa.gov/ncas/alerts/aa21-336a)) warning of APT actors exploiting the ManageEngine vulnerabilities to drop webshells on the networks of targeted critical infrastructure orgs, including the healthcare, financial services, electronics, and IT consulting industries.


Additionally, the two US federal agencies said that confirming a successful compromise in these attacks may be difficult since "the attackers are known to run clean-up scripts designed to remove traces of the initial point of compromise and hide any relationship between exploitation of the vulnerability and the webshell."


*A Zoho spokesperson was not immediately available for comment when contacted by BleepingComputer earlier today about the CVE-2021-44515 vulnerability being exploited in the wild.*







## Tags:
***CVE's***: CVE-2021-44515

### Autogenerated tags:
[[zoho]] [[manageengine]]
