# eCh0raix ransomware now targets both QNAP and Synology NAS devices
## A newly discovered eCh0raix ransomware variant has added support for encrypting both QNAP and Synology Network-Attached Storage (NAS) devices.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/ech0raix-ransomware-now-targets-both-qnap-and-synology-nas-devices/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 August 2021, 08:10
+ Date scraped: 11 December 2023, 16:06

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/08/10/ech0raix.jpg)



A newly discovered eCh0raix ransomware variant has added support for encrypting both QNAP and Synology Network-Attached Storage (NAS) devices.


This ransomware strain (also known as QNAPCrypt) [first surfaced](https://www.bleepingcomputer.com/news/security/new-ech0raix-ransomware-brute-forces-qnap-nas-devices/) in June 2016, after victims began reporting attacks in a BleepingComputer [forum topic](https://www.bleepingcomputer.com/forums/t/617854/ech0raix-ransomware-qnapcryptsynology-nas-encrypt-support-topic/page-2).


The ransomware hit QNAP NAS devices in multiple waves, with two large-scale ones were reported in [June 2019](https://www.bleepingcomputer.com/news/security/ongoing-ech0raix-ransomware-campaign-targets-qnap-nas-devices/) and in [June 2020](https://www.bleepingcomputer.com/news/security/ongoing-ech0raix-ransomware-campaign-targets-qnap-nas-devices/). 


eCh0raix also encrypted devices made by Synology [in 2019](https://www.bleepingcomputer.com/forums/t/617854/ech0raix-ransomware-qnapcryptsynology-nas-encrypt-support-topic/page-11#entry4831558), with Anomali researchers [finding that the](https://www.anomali.com/blog/threat-actors-utilizing-ech0raix-ransomware-change-nas-targeting) attackers brute-forced administrator credentials using default credentials or dictionary attacks.


At the time, the NAS maker [warned its customers](https://www.synology.com/en-global/company/news/article/2019JulyRansomware) to secure their data from an ongoing and large-scale ransomware campaign. However, it did not name the ransomware operation responsible for the attacks.


Targets set on both Synology and QNAP customers
-----------------------------------------------


While it has targeted both QNAP and Synology devices in the past in separate campaigns, Palo Alto Networks' Unit 42 security researchers [said in a report published today](https://unit42.paloaltonetworks.com/ech0raix-ransomware-soho/) that eCh0raix began bundling functionality to encrypt both NAS families starting with September 2020.


"Before then, the attackers likely had separate codebases for campaigns targeting devices from each of the vendors," Unit 42 said.


As they further revealed, the ransomware operators exploit [CVE-2021-28799](https://www.bleepingcomputer.com/news/security/qnap-removes-backdoor-account-in-nas-backup-disaster-recovery-app/) (a vulnerability providing attackers with access to hard-coded credentials, aka a backdoor account) to encrypt QNAP devices — the same flaw was abused in a [large-scale Qlocker campaign](https://www.bleepingcomputer.com/news/security/qnap-confirms-qlocker-ransomware-used-hbs-backdoor-account/) in April.


The attackers brute-force their way in to deliver the ransomware payloads on Synology NAS devices by attempting to guess commonly used administrative credentials (the same tactic used in the 2019 Synology campaign mentioned above).


Even though it did not directly connect it to eCh0raix ransomware, [Synology issued a security advisory last week](https://www.bleepingcomputer.com/news/security/synology-warns-of-malware-infecting-nas-devices-with-ransomware/) warning customers that the StealthWorker botnet is actively targeting their data in ongoing brute-force attacks that could lead to ransomware infections.


QNAP has also notified customers of [eCh0raix ransomware attacks in May](https://www.bleepingcomputer.com/news/security/qnap-warns-of-ech0raix-ransomware-attacks-roon-server-zero-day/), only two weeks after warning them of an [ongoing AgeLocker ransomware outbreak](https://www.bleepingcomputer.com/news/security/qnap-warns-of-agelocker-ransomware-attacks-on-nas-devices/).


QNAP devices were also hit by a massive [Qlocker ransomware campaign](https://www.bleepingcomputer.com/news/security/massive-qlocker-ransomware-attack-uses-7zip-to-encrypt-qnap-devices/) starting mid-April, with the threat actors [making $260,000 in just five days](https://www.bleepingcomputer.com/news/security/a-ransomware-gang-made-260-000-in-5-days-using-the-7zip-utility/) by locking the victims' data using the 7zip open-source file archiver.


At least 250,000 NAS devices exposed to attacks
-----------------------------------------------


According to data collected through Palo Alto Networks' Cortex Xpanse platform, there are at least 250,000 Internet-exposed QNAP and Synology NAS devices.


Unit 42 researchers are advising Synology and QNAP NAS owners to follow this shortlist of best practices to block ransomware attacks targeting their data:


* Update device firmware to keep attacks of this nature at bay. Details about updating QNAP NAS devices against CVE-2021-28799 can be found on the QNAP website.
* Create complex login passwords to make brute-forcing more difficult for attackers.
* Limit connections to SOHO-connected devices from only a hard-coded list of recognized IPs to prevent network attacks used to deliver ransomware to devices.

"We’re releasing our findings about this new variant of eCh0raix to raise awareness of the ongoing threats to the SOHO and small business sectors," Unit 42 added.


"SOHO users are attractive to ransomware operators looking to attack bigger targets because attackers can potentially use SOHO NAS devices as a stepping stone in supply chain attacks on large enterprises that can generate huge ransoms."





## Tags:
***CVE's***: CVE-2021-28799

### Autogenerated tags:
[[ransomware]] [[qnap]] [[nas]] [[synology]] [[ech0raix]] [[large-scale]]
