# Home Depot confirms data breach via third-party vendor
## Security pros say threat actors could use the leaked data to run phishing attacks that would steal Home Depot corporate credentials and launch ransomware attacks.
## Information:

+ Link: https://www.scmagazine.com/news/home-depot-confirms-data-breach-via-third-party-vendor
+ Source: SC Magazine
+ Author: Steve Zurier
+ Date published: 08 April 2024, 00:00
+ Date scraped: 09 April 2024, 16:01

## Article:
![Main article image](https://files.scmagazine.com/wp-content/uploads/2024/04/040824_home_depot.jpg)

Home Depot on April 8 confirmed to SC Media that a third-party software-as-a-service (SaaS) vendor had made public some employee data and that they had, in effect, been breached.

"A third-party SaaS vendor inadvertently made public a small sample of Home Depot associates' names, work email addresses, and user IDs during testing of their systems," said a Home Depot spokesperson.

A [report in BleepingComputer](https://www.bleepingcomputer.com/news/security/home-depot-confirms-third-party-data-breach-exposed-employee-info/) said while the leaked data was not sensitive and only included the corporate IDs, names, and email addresses of the Home Depot associates, threat actors could use the data to conduct targeted phishing attacks on the employees.

The news followed a report on April 4 in which the threat actor IntelBroker said it leaked the data of about 10,000 employees on a hacking forum. IntelBroker is best known for breaching [DC Health Link](https://www.scmagazine.com/news/dc-health-link-says-human-error-led-to-congress-members-stolen-data) last year, the group that manages the healthcare plans of U.S. House members and their staffs.

The Home Depot data breach highlights the importance of companies implementing third-party risk management, said Craig Harber, chief evangelist at Open Systems. Harber said companies must implement consistent security standards across their entire business ecosystem to help mitigate cyberattacks originating through partner and supplier systems.

“Third-party partners are critical to most modern businesses,” said Harber. “In this particular instance, a third-party SaaS vendor was testing their system and accidentally leaked the [personally identifiable information](https://www.scmagazine.com/news/web-app-warning-74-of-apps-with-pii-are-vulnerable-to-a-major-exploit-report) of 10,000 employees. Most likely, hackers will use this data to conduct targeted phishing campaigns to gather corporate credentials to launch a ransomware attack on Home Depot's corporate network.”

Misconfigurations are a magnet for hackers, who now use AI to find and exploit vulnerabilities with incredible efficiency, said Mika Aalto, co-founder and CEO at Hoxhunt. Aalto said It’s vital for the good guys to use emerging technical capabilities, as well to automatically find and patch the cracks in our defenses before the bad guys do.

“To prevent the types of third-party errors in this case, it’s essential for security professionals to implement rigorous vetting processes for all SaaS providers,” said Aalto. “This includes regular security audits, adherence to compliance standards, and ensuring that any shared data is encrypted and handled with the utmost care.”

Jason Keirstead, vice president of collective threat defense at Cyware, added that the Home Depot breach underscores a critical issue for the cybersecurity community: the importance of supply chain security and a program that allows for collective defense.

“In interconnected digital ecosystems, an organization's security is only as strong as the weakest link in its supply chain,” said Keirstead. “Enterprises need comprehensive intelligence feeds, and even more important, strategic, automated operationalization of that intelligence. Effective cybersecurity defense involves not just gathering information, but actively integrating it into a proactive security posture. Intelligence must inform real-time decision-making and defense strategies, allowing organizations to anticipate threats and mitigate risks before they manifest.”




## Tags:


### Autogenerated tags:
[[third-party]] [[saas]] [[harber]] [[aalto]]
