# A new variant of ESXiArgs ransomware makes recovery much harder
## Experts warn of new ESXiArgs ransomware attacks using an upgraded version that makes it harder to recover VMware ESXi virtual machines. Experts spotted a new variant of ESXiArgs ransomware targeting VMware ESXi servers, authors have improved the encryption process, making it much harder to recover the encrypted virtual machines. The new variant was spotted less than a […]
## Information:

+ Link: https://securityaffairs.com/142035/malware/esxiargs-ransomware-new-variant.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 09 February 2023, 17:08
+ Date scraped: 09 February 2023, 18:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2019/06/ransomware.jpg?resize=300%2C300&ssl=1)


## Experts warn of new ESXiArgs ransomware attacks using an upgraded version that makes it harder to recover VMware ESXi virtual machines.


Experts spotted a new variant of ESXiArgs ransomware targeting VMware ESXi servers, authors have improved the encryption process, making it much harder to recover the encrypted virtual machines.


The new variant was spotted less than a week after the first [alert](https://securityaffairs.com/141804/cyber-crime/vmware-esxi-ransomware.html) was launched by CERT-FR warning of an ESXi ransomware targeting thousands of VMware servers in a global-scale campaign.


The attack exploits a heap-overflow vulnerability in VMware ESXi and is tracked as [CVE-2021-21974](https://securityaffairs.com/141804/cyber-crime/vmware-esxi-ransomware.html) which was patched in February 2021. The vulnerability affects the Service Location Protocol service and allows an attacker to remotely exploit arbitrary code. VMware designated the vulnerability as “critical,” meaning it could be used by attackers to remotely execute any code they wanted on a vulnerable system and take full control of it. 


The virtualization giant addressed the [CVE-2021-21974](https://securityaffairs.com/114957/security/vmware-in-vcenter-server-rce.html) bug in February 2021.


The analysis of the encryption process implemented in the original variant allowed the researchers to discover that the ransomware doesn’t encrypt large chunks of data, allowing them [to recover](https://securityaffairs.com/141948/malware/uc-cisa-script-esxiargs-ransomware.html) files containing virtual machines’ disks.


The new encryption process implemented in the most recent attacks allows the ransomware to encrypt more data in large files, [**according to BleepingComputer**](https://www.bleepingcomputer.com/news/security/new-esxiargs-ransomware-version-prevents-vmware-esxi-recovery/).


BleepingComputer discovered the new variant after an admin [explained in an ESXiArgs support topic](https://www.bleepingcomputer.com/forums/t/782193/esxi-ransomware-help-and-support-topic-esxiargs-args-extension/page-31#entry5473353) that he was not able to recover his virtual machines after the ESXiArgs ransomware infected his VMware ESXi servers.


One of the strangest aspects of this infection is that the servers were compromised even if the administrator had disabled the SLP.


Admins also state that the vmtool.py backdoor that was observed in the initial ransomware attacks, was not present on the systems infected with the new variant.


BleepingComputer analyzed the sample used in recent attacks and noticed that the encrypt.sh script’s ‘size\_step’ routine was simply set to 1 in the new version. Cyber security expert [Michael Gillespie](https://twitter.com/demonslay335) told BleepingComputer that by setting size\_step=1 the encryptor alternates between encrypting 1 MB of data and skipping 1 MB of data.


This change allowed the ransomware to encrypt larger chunks of data in the targeted files, making it impossible to recover them.


The experts also noticed that the ransom note dropped by the ESXiArgs ransomware variant doesn’t include bitcoin addresses. Victims are instructed to contact operators on TOX, the threat actors demand the payment of approximately 2 bitcoins.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, ESXiArgs ransomware)**



  


---


  




## Tags:
***CVE's***: CVE-2021-21974

### Autogenerated tags:
[[ransomware]] [[esxiargs]] [[vmware]] [[esxi]] [[bleepingcomputer]]
