# CERT-FR warns of a new wave of ransomware attacks targeting VMware ESXi servers
## A new wave of ransomware attacks is targeting VMware ESXi servers to deliver ransomware, CERT of France warns. The French Computer Emergency Response Team (CERT-FR) warns that threat actors are targeting VMware ESXi servers to deploy ransomware. CERT-FR reported that threat actors behind these ransomware attackers are actively exploiting the vulnerability CVE-2021-21974. “OpenSLP as used […]
## Information:

+ Link: https://securityaffairs.com/141804/cyber-crime/vmware-esxi-ransomware.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 04 February 2023, 13:11
+ Date scraped: 05 February 2023, 13:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2019/06/ransomware.jpg?resize=300%2C300&ssl=1)


## A new wave of ransomware attacks is targeting VMware ESXi servers to deliver ransomware, CERT of France warns.


The French Computer Emergency Response Team (CERT-FR) warns that threat actors are targeting VMware ESXi servers to deploy ransomware.


CERT-FR reported that threat actors behind these ransomware attackers are actively exploiting the vulnerability [CVE-2021-21974](https://www.vmware.com/security/advisories/VMSA-2021-0002.html). 


*“OpenSLP as used in ESXi has a heap-overflow vulnerability.” reads the [**advisory**](https://www.vmware.com/security/advisories/VMSA-2021-0002.html) published by VMware. “A malicious actor residing within the same network segment as ESXi who has access to port 427 may be able to trigger the heap-overflow issue in OpenSLP service resulting in remote code execution.”*


The vulnerability is an [OpenSLP](https://en.wikipedia.org/wiki/Service_Location_Protocol) heap-overflow flaw in VMware ESXi that can be exploited by attackers to execute arbitrary code remotely on vulnerable devices. The vulnerability affects the following systems:


* ESXi 7.x versions earlier than ESXi70U1c-17325551
* ESXi versions 6.7.x earlier than ESXi670-202102401-SG
* ESXi versions 6.5.x earlier than ESXi650-202102101-SG


The virtualization giant addressed the [CVE-2021-21974](https://securityaffairs.com/114957/security/vmware-in-vcenter-server-rce.html) bug in February 2021.


*“On February 3, 2023, CERT-FR became aware of attack campaigns targeting VMware ESXi hypervisors with the aim of deploying ransomware on them.” reads the [**alert**](https://www.cert.ssi.gouv.fr/alerte/CERTFR-2023-ALE-015/) published by CERT-FR. “In the current state of investigations , these attack campaigns seem to exploit the CVE-2021-21974 vulnerability, for which a patch has been available since February 23, 2021. This vulnerability affects the Service Location Protocol ( SLP ) service and allows a attacker to remotely exploit arbitrary code. The systems currently targeted would be ESXi hypervisors in version 6.x and prior to 6.7.”*


CERT-FR urges applying all patches available for the ESXi hypervisor, it also recommends performing a system scan to detect any signs of compromise.


The CERT also [**recommends disabling the *SLP* service**](https://kb.vmware.com/s/article/76372) on ESXi hypervisors that have not been updated.


The ongoing ransomware attacks have been also reported by cloud service provider OVHcloud, which observed most of the attacks in Europe.


*“A wave of attacks is currently targetting ESXi servers. No OVHcloud managed service are impacted by this attack however, since a lot of customers are using this operating system on their own servers, we provide this post as a reference in support to help them in their remediation.” reads the [**report**](https://blog.ovhcloud.com/ransomware-targeting-vmware-esxi/) published by OVH. “These attacks are detected globally and especially in Europe.”*


According to experts, some of the attacks aimed at delivering the [**Nevada ransomware**](https://securityaffairs.com/141668/cyber-crime/nevada-ransomware-upgraded-locker.html). Recently, researchers from cybersecurity firm Resecurity have [identified](https://resecurity.com/blog/article/nevada-ransomware-waiting-for-the-next-dark-web-jackpot) a new version of Nevada Ransomware which recently emerged on the Dark Web right before the start of 2023. 


Around February 1, 2023 – the group distributed an updated locker written in Rust for their affiliates supporting Windows, Linux and ESXi – this programming language has become a trend for ransomware developers these days (Blackcat, RansomExx2, Hive, Luna, Agenda).


However, BleepingComputer [**first reported**](https://www.bleepingcomputer.com/news/security/massive-esxiargs-ransomware-attack-targets-vmware-esxi-servers-worldwide/) that the attacks could be linked to a new ransomware family, tracked by [ID Ransomware](https://id-ransomware.malwarehunterteam.com/)‘s [Michael Gillespie](https://twitter.com/demonslay335) as ESXiArgs.


The ransomware targets files with the .vmxf, .vmx, .vmdk, .vmsd, and .nvram extensions on compromised ESXi servers and creates a “.args”file for each encrypted document with metadata.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, VMware ESXi servers)**




  


---


  




## Tags:
***CVE's***: CVE-2021-21974

### Autogenerated tags:
[[esxi]] [[ransomware]] [[vmware]] [[cert-fr]] [[cve-2021-21974]] [[openslp]] [[heap-overflow]] [[hypervisors]]
