# Cactus RANSOMWARE gang hit the Swedish retail and grocery provider Coop
## The Cactus ransomware group claims to have hacked Coop, one of the largest retail and grocery providers in Sweden.
## Information:

+ Link: https://securityaffairs.com/156709/cyber-crime/cactus-ransomware-coop-sweden.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 01 January 2024, 12:35
+ Date scraped: 01 January 2024, 14:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2023/12/image-41.png)


[Coop](https://www.coop.se/) is one of the largest retail and grocery providers in Sweden, with approximately 800 stores across the country. The stores are co-owned by 3.5 million members in 29 consumer associations. All surplus that is created in the business goes back to the members or is reinvested in the business, which creates a circular cycle.


The [Cactus ransomware group](https://securityaffairs.com/145960/malware/new-cactus-ransomware.html) claims to have hacked Coop and is threatening to disclose a huge amount of personal information, over 21 thousand directories. 



The Cactus ransomware group added Coop to the list of victims on its Tor leak site.


[![Cactus ransomware operation Coop](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/12/image-41.png?resize=1024%2C535&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/12/image-41.png?ssl=1)


Threat actors have published ID cards as proof of hack.


In July 2021, the Swedish supermarket chain Coop was the first company [**to disclose**](https://securityaffairs.com/119663/cyber-crime/coop-supermarket-kaseya-ransomware-attack.html) the impact of the supply chain ransomware attack that hit [Kaseya](https://securityaffairs.com/119650/cyber-crime/kaseya-vsa-supply-chain-ransomware-attack.html).


The supermarket chain Coop shut down approximately 500 stores as a result of the [supply chain ransomware attack that hit the provider Kaseya](https://securityaffairs.co/wordpress/119650/cyber-crime/kaseya-vsa-supply-chain-ransomware-attack.html).


Coop doesn’t use Kesaya software, anyway, it was impacted by the incident because [one of their software providers](https://www.visma.se/purchase-to-pay/kundreferenser/coop/) does.


According to BleepingComputer, the [impacted](https://www.bleepingcomputer.com/news/security/coop-supermarket-closes-500-stores-after-kaseya-ransomware-attack/) provider was the Swedish MSP Visma who manages the payment systems for the supermarket chain.


Visma confirmed they were affected by the Kaseya cyber attack that allowed the REvil ransomware to encrypt their customers’ systems.


The [Cactus ransomware operation](https://securityaffairs.com/145960/malware/new-cactus-ransomware.html) has been active since March 2023, despite the threat actors use a double-extortion model, their data leak site has yet to be discovered.


Kroll researchers reported that the ransomware strain outstands for the use of encryption to protect the ransomware binary.


Cactus ransomware uses the SoftPerfect Network Scanner (netscan) to look for other targets on the network along with PowerShell commands to enumerate endpoints. The ransomware identifies user accounts by viewing successful logins in Windows Event Viewer, it also uses a modified variant of the [open-source PSnmap](https://github.com/KurtDeGreeff/PlayPowershell/blob/master/PSnmap.ps1) Tool.


The Cactus ransomware relies on multiple legitimate tools (e.g. Splashtop, AnyDesk, SuperOps RMM) to achieve remote access and uses Cobalt Strike and the proxy tool [Chisel](https://github.com/jpillora/chisel) in post-exploitation activities.


Once the malware has escalated the privileges on a machine, the threat actors use a batch script to uninstall popular antivirus solutions installed on the machine.


Cactus uses the Rclone tool for data exfiltration and used a PowerShell script called TotalExec, which was used in the past by [BlackBasta](https://securityaffairs.com/138037/cyber-crime/black-basta-linked-fin7.html) ransomware operators, to automate the deployment of the encryption process.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Cactus ransomware group)**





---




---





## Tags:


### Autogenerated tags:
[[ransomware]] [[kaseya]]
