# Clop ransomware claims the hack of 130 orgs using GoAnywhere MFT flaw
## The Clop ransomware group claims to have breached over 130 organizations exploiting the GoAnywhere MFT zero-day. The Clop ransomware group claims to have stolen sensitive data from over 130 organizations by exploiting a zero-day vulnerability (CVE-2023-0669) in Fortra’s GoAnywhere MFT secure file transfer tool, BleepingComputer reported. Fortra immediately addressed the flaw with the release of […]
## Information:

+ Link: https://securityaffairs.com/142130/cyber-crime/clop-ransomware-goanywhere-mft.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 11 February 2023, 17:13
+ Date scraped: 11 February 2023, 18:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2014/05/russia-and-ukraine.jpg?resize=300%2C300&ssl=1)


## The Clop ransomware group claims to have breached over 130 organizations exploiting the GoAnywhere MFT zero-day.


The Clop ransomware group claims to have stolen sensitive data from over 130 organizations by exploiting a zero-day vulnerability ([CVE-2023-0669](https://nvd.nist.gov/vuln/detail/CVE-2023-0669)) in Fortra’s [**GoAnywhere MFT**](https://securityaffairs.com/141826/hacking/goanywhere-mft-zero-day.html) secure file transfer tool, [**BleepingComputer reported**](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-it-breached-130-orgs-using-goanywhere-zero-day/). 


Fortra immediately addressed the flaw with the release of emergency [**security patch**](https://my.goanywhere.com/webclient/Dashboard.xhtml) and urged customers to install it.


The popular investigator Brian Krebs first revealed details about the zero-day on Mastodon and pointed out that Fortra has yet to share a public advisory.


*“GoAnywhere MFT, a popular file transfer application, is warning about a zero-day remote code injection exploit. The company said it has temporarily implemented a service outage in response.” [**Krebs wrote on Mastodon**](https://cyberplace.social/@briankrebs@infosec.exchange/109795711251567498). “I had to create an account on the service to find this security advisory”*


According to the private advisory published by Fortra, the zero-day is a remote code injection issue that impacts GoAnywhere MFT. The vulnerability can only be exploited by attackers with access to the administrative console of the application.


Installs with administrative consoles and management interfaces that are not exposed on the internet are safe, however, security researcher Kevin Beaumont [**discovered about 1000 Internet-facing consoles**](https://beta.shodan.io/search?query=http.favicon.hash%3A1484947000).


Fortra recommends GoAnywhere MFT customers to review all administrative users and monitor for unrecognized usernames, especially those created by system.


Clop told BleepingComputer that they were able to compromise over 130 organizations in just ten days, but did not share details regarding their claims.







The crooks also claims to have fully compromised the network organizations, but did not deploy any ransomware.


Multiple experts already released exploits for the CVE-2023-0669 vulnerability, on February 6, 2023, the researcher Florian Hauser of IT security consulting firm Code White [released](https://frycos.github.io/vulns4free/2023/02/06/goanywhere-forgotten.html) a proof-of-concept (PoC) exploit code.


[Ron Bowes](https://twitter.com/iagox86), lead security researcher at Rapid7 announced they have merged their exploit for Fortra’s GoAnywhere MFT into Metasploit







Researchers at threat intelligence firm Huntress shared findings of their investigation into GoAnywhere MFT exploitation and linked the attacks to the [TA505](https://securityaffairs.com/135387/apt/ta505-teslagun-control-panel.html) threat actors.


*“While links are not authoritative, analysis of Truebot activity and deployment mechanisms indicate links to a group referred to as [TA505](https://attack.mitre.org/groups/G0092/). [Distributors of a ransomware family referred to as Clop](https://www.trendmicro.com/vinfo/nz/security/news/ransomware-spotlight/ransomware-spotlight-clop), reporting from [various](https://www.microsoft.com/en-us/security/blog/2022/10/27/raspberry-robin-worm-part-of-larger-ecosystem-facilitating-pre-ransomware-activity/) [entities](https://www.group-ib.com/resources/threat-research/silence-attacks.html) links Silence/Truebot activity to TA505 operations.” reads the [**analysis**](https://www.huntress.com/blog/investigating-intrusions-from-intriguing-exploits) published by Huntress. “Based on observed actions and previous reporting, we can conclude with moderate confidence that the activity Huntress observed was intended to deploy ransomware, with potentially additional opportunistic exploitation of GoAnywhere MFT taking place for the same purpose.”*


This week CISA also [**added**](https://securityaffairs.com/142115/hacking/mft-terramaster-intel-driver-flaws-to-its-known-exploited-vulnerabilities-catalog.html) the GoAnywhere MFT flaw to its  [Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog), ordering federal agencies to address it by March 3, 2023.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, Clop ransomware)**




  


---


  




## Tags:
***CVE's***: CVE-2023-0669

### Autogenerated tags:
[[goanywhere]] [[mft]] [[ransomware]] [[fortra]] [[zero-day]] [[ta505]]
