# Dirty Pipe Linux flaw allows gaining root privileges on major distros
## Dirty Pipe is a Linux vulnerability, tracked as CVE-2022-0847, that can allow local users to gain root privileges on all major distros. Security expert Max Kellermann discovered a Linux flaw, dubbed Dirty Pipe and tracked as CVE-2022-0847, that can allow local users to gain root privileges on all major distros. The vulnerability affects Linux Kernel […]
## Information:

+ Link: https://securityaffairs.co/wordpress/128780/hacking/dirty-pipi-linux-flaw.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 08 March 2022, 07:53
+ Date scraped: 08 March 2022, 08:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2015/11/Linux-ransomware-encoder1.jpg?resize=300%2C300&ssl=1)


Security expert Max Kellermann [discovered](https://dirtypipe.cm4all.com/) a Linux flaw, dubbed Dirty Pipe and tracked as CVE-2022-0847, that can allow local users to gain root privileges on all major distros.


The vulnerability affects Linux Kernel 5.8 and later versions.


The CVE-2022-0847 vulnerability allows overwriting data in arbitrary read-only files, which could lead to privilege escalation because unprivileged processes can inject code into root processes.


Kellerman explained that the flaw is similar to [CVE-2016-5195](https://securityaffairs.co/wordpress/52521/hacking/dirty-cow-exploit.html), aka Dirty Cow, and is more dangerous because it is easier to exploit.


In a blog post, the researcher explained that he discovered the flaw while investigating corrupt access log files for one of its customers.


Kellerman published technical details about the Dirty Pipe flaw along with a proof-of-concept (PoC) exploit that allows local users to overwrite any file contents in the page cache, even if the file is not permitted to be written, immutable or on a read-only mount.


BleepingComputer [reported](https://www.bleepingcomputer.com/news/security/new-linux-bug-gives-root-on-all-major-distros-exploit-released/) a tweet published by the security researcher [Phith0n](https://twitter.com/phithon_xg) who explained that it is possible to use the exploit to modify the /etc/passwd file to set the root user without a password. Using this trick a non-privileged user could execute the command ‘su root’ to gain access to the root account. 





The researcher [Phith0n](https://twitter.com/phithon_xg) also published an updated version of the exploit that allows gaining root privileges by overwriting a SUID program like ./exp /usr/bin/su to drop a root shell at /tmp/sh and then executing the script.


Below is the timeline for this vulnerability:


## Timeline


* 2021-04-29: first support ticket about file corruption
* 2022-02-19: file corruption problem identified as Linux kernel bug, which turned out to be an exploitable vulnerability
* 2022-02-20: bug report, exploit and patch sent to the [Linux kernel security team](https://www.kernel.org/doc/html/latest/admin-guide/security-bugs.html)
* 2022-02-21: bug reproduced on Google Pixel 6; bug report sent to the Android Security Team
* 2022-02-21: [patch sent to LKML (without vulnerability details)](https://lore.kernel.org/lkml/20220221100313.1504449-1-max.kellermann@ionos.com/) as suggested by Linus Torvalds, Willy Tarreau and Al Viro
* 2022-02-23: Linux stable releases with my bug fix ([5.16.11](https://lore.kernel.org/stable/1645618039140207@kroah.com/), [5.15.25](https://lore.kernel.org/stable/164561803311588@kroah.com/), [5.10.102](https://lore.kernel.org/stable/164561802556115@kroah.com/))
* 2022-02-24: [Google merges my bug fix into the Android kernel](https://android-review.googlesource.com/c/kernel/common/+/1998671)
* 2022-02-28: notified the [linux-distros](https://oss-security.openwall.org/wiki/mailing-lists/distros#how-to-use-the-lists) mailing list
* 2022-03-07: public disclosure


Servers running outdated kernel versions are exposed to attacks exploiting this flaw.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Linux)**



 
  


---


  




## Tags:
***CVE's***: CVE-2022-0847 CVE-2016-5195

### Autogenerated tags:
[[linux]]
