# Microsoft mitigations for recently disclosed Exchange zero-days can be easily bypassed
## The mitigation shared by Microsoft for the two recently disclosed Exchange zero-day vulnerabilities can be bypassed, expert warns. Last week, Microsoft confirmed that two zero-day vulnerabilities in Microsoft Exchange recently disclosed by researchers at cybersecurity firm GTSC are being actively exploited in the wild. The first flaw, tracked as CVE-2022-41040, is a Server-Side Request Forgery (SSRF) issue. […]
## Information:

+ Link: https://securityaffairs.co/wordpress/136596/hacking/microsoft-exchange-0day-mitigations-bypass.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 04 October 2022, 06:40
+ Date scraped: 04 October 2022, 08:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2020/02/Microsoft-Exchange.jpg?resize=300%2C300&ssl=1)


Last week, Microsoft confirmed that two [zero-day vulnerabilities](https://securityaffairs.co/wordpress/136433/hacking/microsoft-exchange-zero-day-2.html) in Microsoft Exchange recently disclosed by researchers at cybersecurity firm GTSC are being actively exploited in the wild.


The first flaw, tracked as CVE-2022-41040, is a Server-Side Request Forgery (SSRF) issue. The second vulnerability, tracked as CVE-2022-41082, allows remote code execution (RCE) when PowerShell is accessible to the attacker.


Successful exploitation of the CVE-2022-41040 can allow an authenticated attacker to remotely trigger CVE-2022-41082.


*“At this time, Microsoft is aware of limited targeted attacks using the two vulnerabilities to get into users’ systems.  In these attacks, CVE-2022-41040 can enable an authenticated attacker to remotely trigger CVE-2022-41082. It should be noted that authenticated access to the vulnerable Exchange Server is necessary to successfully exploit either of the two vulnerabilities.” reads the [advisory](https://msrc-blog.microsoft.com/2022/09/29/customer-guidance-for-reported-zero-day-vulnerabilities-in-microsoft-exchange-server/) published by Microsoft.*


Microsoft announced that it is working to accelerate the timeline to release a fix that addresses both issues. Meantime, the company provided the mitigations and detection guidance to help customers protect themselves from these attacks.


Microsoft states that Microsoft Exchange Online Customers do not need to take any action, while it provided mitigation for on-premises Microsoft Exchange customers which are the same shared by GTSC.


*“We are working on an accelerated timeline to release a fix. Until then, we’re providing the mitigations and detections guidance below to help customers protect themselves from these attacks,” Microsoft added.*


Below is the step-by-step procedure provided by Microsoft to mitigate the risk of exploitation for the above issues:


1. Open the IIS Manager.
2. Expand the Default Web Site.
3. Select Autodiscover.
4. In the Feature View, click URL Rewrite.
5. In the Actions pane on the right-hand side, click Add Rules.
6. Select Request Blocking and click OK.
7. Add String “.\*autodiscover\.json.\*\@.\*Powershell.\*” (excluding quotes) and click OK.
8. Expand the rule and select the rule with the Pattern “.\*autodiscover\.json.\*\@.\*Powershell.\*” and click Edit under Conditions.
9. Change the condition input from {URL} to {REQUEST\_URI}


Microsoft also recommends customers block the following Remote PowerShell ports:


1. HTTP: 5985
2. HTTPS: 5986


Microsoft also recommends Exchange Server customers disable remote PowerShell access for non-admin users in the organization.


BleepingComputer [reported](https://www.bleepingcomputer.com/news/security/microsoft-exchange-server-zero-day-mitigation-can-be-bypassed/) that researcher Jang has first [warned](https://twitter.com/testanull/status/1576774007826718720) that Microsoft’s mitigations can be easily bypassed with little effort.



[![Microsoft Exchange mitigation bypass](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/Microsoft-Exchange-mitigation-bypass.jpg?resize=514%2C376&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/10/Microsoft-Exchange-mitigation-bypass.jpg?ssl=1)


Researchers at GTSC published a video PoC to demonstrate how to bypass the mitigation for the two vulnerabilities.







The popular CERT/CC vulnerability analyst Will Dormann also confirmed that the mitigation can be easily bypassed.







The researchers suggested trying “.\*autodiscover\.json.\*Powershell.\*” instead of URL block mitigations shared by the IT giant.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Microsoft Exchange)**


 
  


---


  




## Tags:
***CVE's***: CVE-2022-41082 CVE-2022-41040
***urls***: http://autodiscover.json.*Powershell.* http://autodiscover.json.*\@.*Powershell.*

### Autogenerated tags:
[[microsoft]] [[mitigations]] [[gtsc]] [[cve-2022-41040]] [[cve-2022-41082]] [[powershell]]
