# Researchers released a free decryptor for Black Basta ransomware
## A team of researchers released a suite of tools that could help victims to decrypt data encrypted with by the Black Basta ransomware.
## Information:

+ Link: https://securityaffairs.com/156806/malware/black-basta-ransomware-decryptor.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 02 January 2024, 18:43
+ Date scraped: 02 January 2024, 20:01

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2022/06/black-basta.jpg)


Independent security research and consulting team SRLabs discovered a vulnerability in [Black Basta](https://securityaffairs.com/155054/cyber-crime/black-basta-ransomware-activities.html) ransomware’s encryption algorithm and exploited it to create a free decryptor.


The [Black Basta ransomware](https://securityaffairs.com/146132/cyber-crime/black-basta-ransomware-hit-abb.html) group [**has been active since April 2022**](https://securityaffairs.com/155054/cyber-crime/black-basta-ransomware-activities.html), like other ransomware operations, it implements a double-extortion attack model.  



A joint research by Elliptic and Corvus Insurance revealed that the group accumulated at least $107 million in Bitcoin ransom payments since early 2022. According to the experts, the ransomware gang has infected over 329 victims, including [ABB](https://securityaffairs.com/146752/cyber-crime/abb-ransomware-attack.html), [Capita](https://securityaffairs.com/146200/data-breach/capita-warns-customers.html), [Dish Network](https://securityaffairs.com/146515/cyber-crime/dish-network-disclosed-data-breach.html), and [Rheinmetall](https://securityaffairs.com/146571/cyber-crime/rheinmetall-black-basta-ransomware-attack.html). 


The researchers analyzed blockchain transactions, they discovered a clear link between Black Basta and the [Conti Group](https://securityaffairs.com/144943/cyber-crime/relationships-fin7-conti-ransomware.html).


In 2022, the Conti gang discontinued its operations, coinciding with the emergence of the Black Basta group in the threat landscape.


The group mainly laundered the illicit funds through the Russian crypto exchange [Garantex](https://securityaffairs.com/129880/cyber-crime/us-treasury-sanctioned-hydra-market.html).


SRLabs analyzed the encryption algorithm used by the ransomware and discovered a specific weakness in the variant used by the gang around April 2023. The ransomware employs encryption based on a ChaCha keystream, which is utilized to perform XOR operations on 64-byte-long chunks of the file.


The researchers determined that the position of the encrypted blocks is determined by the file size, as indicated in the mentioned ranges.py. Depending on the file size, the ransomware encrypts the initial 5000 bytes.


The position of the encrypted blocks is determined by the file size. Depending on the file size, the ransomware encrypts the first 5000 bytes.


*“Our analysis suggests that files can be recovered if the plaintext of 64 encrypted bytes is known. Whether a file is fully or partially recoverable depends on the size of the file. Files below the size of 5000 bytes cannot be recovered. For files between 5000 bytes and 1GB in size, full recovery is possible. For files larger than 1GB, the first 5000 bytes will be lost but the remainder can be recovered.” [**reads the post**](https://github.com/srlabs/black-basta-buster/blob/master/README.rst) published by the researchers. “The recovery hinges on knowing the plaintext of 64 encrypted bytes of the file. In other words, knowing 64 bytes is not sufficient in itself since the known plaintext bytes need to be in a location of the file that is subject to encryption based on the malware’s logic of determining which parts of the file to encrypt. For certain file types knowing 64 bytes of the plaintext in the right position is feasible, especially virtual machine disk images.”*


The experts pointed out that the weakness doesn’t impact the encryption process for the first 5,000 bytes of a file, for this reason, these bytes cannot be recovered. This means that files below the size of 5000 bytes cannot be recovered.


SRLabs developed tools that enable users to analyze encrypted files and determine if decryption is possible.


The decryptauto tool may allow to recover files containing encrypted zero bytes.


*“Depending on how many times and to what extent the malware encrypted the file, manual review is required to fully recover a file.” continues the researchers.*


The bad news is that Black Bast has fixed the issue. The decryptor only allows to recover files encrypted before December 2023.


*“The decryptor allows Black Basta victims from November 2022 to this month to potentially recover their files for free. However, BleepingComputer has learned that the Black Basta developers fixed the bug in their encryption routine about a week ago, preventing this decryption technique from being used in newer attacks.” [reported Bleeping Computer](https://www.bleepingcomputer.com/news/security/new-black-basta-decryptor-exploits-ransomware-flaw-to-recover-files/).*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, ransomware)**




---




---





## Tags:


### Autogenerated tags:
[[ransomware]] [[srlabs]] [[decryptor]]
