# Royal Ransomware adds support for encrypting Linux, VMware ESXi systems
## Royal Ransomware operators added support for encrypting Linux devices and target VMware ESXi virtual machines. The Royal Ransomware gang is the latest extortion group in order of time to add support for encrypting Linux devices and target VMware ESXi virtual machines. Other ransomware operators already support Linux encrypting, including AvosLocker, Black Basta, BlackMatter, HelloKitty, Hive, […]
## Information:

+ Link: https://securityaffairs.com/141876/cyber-crime/royal-ransomware-vmware-esxi.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 06 February 2023, 14:51
+ Date scraped: 06 February 2023, 16:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2019/06/ransomware.jpg?resize=300%2C300&ssl=1)


## Royal Ransomware operators added support for encrypting Linux devices and target VMware ESXi virtual machines.


The Royal Ransomware gang is the latest extortion group in order of time to add support for encrypting Linux devices and target VMware ESXi virtual machines.


 Other ransomware operators already support Linux encrypting, including [AvosLocker](https://securityaffairs.com/126564/malware/avoslocker-targets-linux-esxi.html), [Black Basta](https://securityaffairs.com/132037/hacking/black-basta-ransomware-vmware-esxi.html), [BlackMatter](https://securityaffairs.com/120862/cyber-crime/blackmatter-ransomware-linux-version.html), [HelloKitty](https://securityaffairs.com/120158/cyber-crime/hellokitty-ransomware-linux-variant.html), [Hive](https://securityaffairs.com/123931/malware/hive-ransomware-linux-freebsd.html), [LockBit](https://securityaffairs.com/127248/cyber-crime/lockbit-ransomware-linux-vmware-esxi.html), [Luna](https://securityaffairs.com/133454/cyber-crime/luna-ransomware-rust.html), [Nevada](https://securityaffairs.com/141668/cyber-crime/nevada-ransomware-upgraded-locker.html), [RansomEXX](https://securityaffairs.com/110491/malware/linux-version-ransomexx-ransowmare.html), and [REvil](https://securityaffairs.com/119497/cyber-crime/revil-ransomware-linux.html). 


BleepingComputer first [reported](https://www.bleepingcomputer.com/news/security/linux-version-of-royal-ransomware-targets-vmware-esxi-servers/) that Equinix Threat Analysis Center (ETAC) researcher [Will Thomas](https://twitter.com/BushidoToken) discovered the Linux variant of the Royal Ransomware. The new variant appends the .royal\_u extension to the filenames of all encrypted files on the VM.







[Querying VirusTotal for the hash that was shared by the expert](https://www.virustotal.com/gui/file/b57e5f0c857e807a03770feb4d3aa254d2c4c8c8d9e08687796be30e2093286c) we can verify that currently the ransomware variant has a detection rate of 32 our of 63.


According to Thomas, the malware is executed using the command line and support multiple parameters to control the encryption operations.







When encrypting files the ransomware will append the .royal\_u extension to all encrypted files on the VM.


[Royal ransomware](https://securityaffairs.co/wordpress/138750/malware/dev-0569-google-ads-royal-ransomware.html) is a human-operated threat that first appeared on the threat landscape in September 2022, it has demanded ransoms up to millions of dollars.


Unlike other ransomware operations, Royal doesn’t offer Ransomware-as-a-Service, it appears to be a private group without a network of affiliates.


Once compromised a victim’s network, the threat actors deploy the post-exploitation tool Cobalt Strike to maintain persistence and perform lateral movements.


Originally, the ransomware operation used BlackCat’s encryptor, but later it started using Zeon. The ransom notes (README.TXT) include a link to the victim’s private negotiation page. Starting from September 2022, the note was changed to Royal.


The Royal ransomware can either fully or partially encrypt a file depending on its size and the ‘-ep’  
parameter. The malware changes the extension of the encrypted files to ‘.royal’.


In November 2022, researchers from the Microsoft Security Threat Intelligence team [warned](https://securityaffairs.co/wordpress/138750/malware/dev-0569-google-ads-royal-ransomware.html) that a threat actor, tracked as DEV-0569, is using Google Ads to distribute various payloads, including the recently discovered [Royal ransomware](https://www.fortinet.com/blog/threat-research/ransomware-roundup-royal-ransomware). The DEV-0569 group carries out malvertising campaigns to spread links to a signed malware downloader posing as software installers or fake updates embedded in spam messages, fake forum pages, and blog comments.


In December 2022, the US Department of Health and Human Services (HHS) [**warned**](https://securityaffairs.com/139486/cyber-crime/us-hhs-royal-ransomware-attacks.html) healthcare organizations of Royal ransomware attacks.


BleepingComputer forum hosts a Royal Ransomware (.royal) [**Support Topic**](https://www.bleepingcomputer.com/forums/t/777380/royal-ransomware-royal-support-topic/) on this specific threat.


Last week, CERT-FR [warned](https://securityaffairs.com/141804/cyber-crime/vmware-esxi-ransomware.html) of an ongoing campaign targeting ESXi servers. Yesterday the [Italian National Cyber Agency](https://securityaffairs.com/141865/cyber-crime/acn-ransomware-campaign-targets-vmware-esxi.html) also warned of an ongoing massive ransomware campaign targeting [VMware ESXi servers](https://maps.shodan.io/#51.551885867448604/-13.228225708007812/3/satellite/html:%22We%20hacked%20your%20company%20successfully%22%20title:%22How%20to%20Restore%20Your%20Files%22) worldwide, including Italian systems. The attackers are attempting to exploit the [**CVE-2021–21974**](https://securityaffairs.com/141804/cyber-crime/vmware-esxi-ransomware.html) vulnerability.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, Ransomware)**



  


---


  




## Tags:
***CVE's***: CVE-2021-21974

### Autogenerated tags:
[[ransomware]] [[linux]] [[esxi]] [[vmware]] [[malware]]
