# The Black Basta ransomware gang hit multinational company ABB
## Swiss electrification and automation technology giant ABB suffered a Black Basta ransomware attack that impacted its business operations. Swiss multinational company ABB, a leading electrification and automation technology provider, it the last victim of the notorious Black Basta ransomware group. The company has more than 105,000 employees and has $29.4 billion in revenue for 2022.  […]
## Information:

+ Link: https://securityaffairs.com/146132/cyber-crime/black-basta-ransomware-hit-abb.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 12 May 2023, 10:10
+ Date scraped: 12 May 2023, 11:02

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2018/12/ABB-PLC-Gateways.jpg?resize=282%2C178&ssl=1)


## Swiss electrification and automation technology giant ABB suffered a Black Basta ransomware attack that impacted its business operations.


Swiss multinational company ABB, a leading electrification and automation technology provider, it the last victim of the notorious [Black Basta ransomware group](https://securityaffairs.com/138037/cyber-crime/black-basta-linked-fin7.html).


The company has more than 105,000 employees and has $29.4 billion in revenue for 2022.


The attack took place on May 7, 2023, and reportedly impacted the business operations of the company.


The news of the attack was [**reported**](https://www.bleepingcomputer.com/news/security/multinational-tech-firm-abb-hit-by-black-basta-ransomware-attack/) by BleepingComputer, which is aware that the attack impacted the company’s Windows Active Directory, with hundreds of devices that were infected.


BleepingComputer states that some of the projects were delayed and the attack impacted some of the company factories.


Once discovered the security breach, ABB closed VPN connections with its customers to prevent the threat from spreading.


Black Basta has been active since April 2022, like other ransomware operations, it implements a double-extortion attack model.


In November 2022, Sentinel Labs researchers [**reported**](https://securityaffairs.com/138037/cyber-crime/black-basta-linked-fin7.html) having found evidence that links the [Black Basta](https://securityaffairs.com/138924/cyber-crime/qakbot-campaign-black-basta-ransomware.html) ransomware gang to the financially motivated hacking group FIN7.


In November 2022, experts at the Cybereason Global SOC (GSOC) team observed a surge in [Qakbot](https://securityaffairs.co/wordpress/133191/malware/qakbot-continues-to-evolve.html) infections as part of an ongoing aggressive Qakbot malware campaign that leads to [Black Basta ransomware](https://securityaffairs.co/wordpress/138037/cyber-crime/black-basta-linked-fin7.html) infections in the US.


In two weeks, the experts observed attacks against more than 10 different US-based customers


The attack chain starts with a QBot infection, The operators use the post-exploitation tool [Cobalt Strike](https://www.cybereason.com/blog/threat-analysis-report-all-paths-lead-to-cobalt-strike-icedid-emotet-and-qbot) to take over the machine and finally deploy the Black Basta ransomware. The attacks began with a spam/phishing email containing malicious URL links.


[![qakbot blackbasta ransomware](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/qakbot-blackbasta-ransomware-1024x516.png?resize=1024%2C516&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/qakbot-blackbasta-ransomware.png?ssl=1)


The researchers noticed that once obtained access to the network, the threat actor moves extremely fast. In some cases observed by Cybereason, the threat actor obtained domain administrator privileges in less than two hours and moved to ransomware deployment in less than 12 hours.


In April 2023, the ransomware group [**hit the UK outsourcing giant Capita**](https://securityaffairs.com/144398/hacking/capita-suffered-cyber-incident.html).


Capita is one of the government’s biggest suppliers, with £6.5bn of public sector contracts, [reported The Guardian](https://www.theguardian.com/business/2023/mar/31/capita-it-systems-fail-cyber-attack-nhs-fears). The outsourcing firm signed numerous contracts with the Ministry of Defence.


In an update shared on April 3 about the incident, the company announced it has experienced a cyber incident primarily impacting access to internal Microsoft Office 365 applications.


The attack disrupted some services provided to individual clients, but the company pointed out that the majority of its client services were not impacted.


**We are in the final!**


**Please vote for Security Affairs (<https://securityaffairs.com/>) as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS**  
**Vote for me in the sections where is reported Securityaffairs or my name Pierluigi Paganini**


**Please nominate Security Affairs as your favorite blog.**



> 
> 
> > 
> > **Nominate Pierluigi Paganini and Security Affairs here here: <https://docs.google.com/forms/d/e/1FAIpQLSepvnj8b7QzMdLh7vWEDQDqohjBUsHyn3x3xRdYGCetwVy2DA/viewform>**
> > 
> > 
> > 
> 
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **ABB**)




  


---


  




## Tags:
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSepvnj8b7QzMdLh7vWEDQDqohjBUsHyn3x3xRdYGCetwVy2DA/viewform https://securityaffairs.com/

### Autogenerated tags:
[[ransomware]] [[pierluigi]] [[paganini]]
