# Microsoft Teams' GIFShell Attack: What Is It and How You Can Protect Yourself from It
## New GIFShell attack method leverages GIF images in Microsoft Teams to execute arbitrary commands on the targeted machine.
## Information:

+ Link: https://thehackernews.com/2022/09/microsoft-teams-gifshell-attack-what-is.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 19 September 2022, 12:00
+ Date scraped: 19 September 2022, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhwwEMMX727Mz6uG3R144g-kLGQkwBPK78P2vSh8pv_l_elG_e_MIqwyXUX_8dqV7zqJ6seH4otWrA9lwCdY6qbS2SX_utek3nieUFvlfQNNulbUU-Mc4iJdeJ3sCmrnWamYbb3AOAE6lR5DLn-g894yOAQPmyCAeOmuYrxnsN1ocVbaISFhnMQfByu/s728-e1000/ms.jpg)


Organizations and security teams work to protect themselves from any vulnerability, and often don't realize that risk is also brought on by configurations in their SaaS apps that have not been hardened. The newly published GIFShell attack method, which occurs through Microsoft Teams, is a perfect example of how threat actors can exploit legitimate features and configurations that haven't been correctly set. This article takes a look at what the method entails and the steps needed to combat it.


## The GifShell Attack Method


[Discovered by Bobby Rauch](https://medium.com/@bobbyrsec/microsoft-teams-attachment-spoofing-and-lack-of-permissions-enforcement-leads-to-rce-via-ntlm-458aea1826c5), the GIFShell attack technique enables bad actors to exploit several Microsoft Teams features to act as a C&C for malware, and exfiltrate data using GIFs without being detected by EDR and other network monitoring tools. This attack method requires a device or user that is already compromised. 


[Learn how an SSPM can assess, monitor and remediate SaaS misconfigurations and Device-to-SaaS user risk](https://www.adaptive-shield.com/lp-get-a-demo?utm_source=TheHackerNews&utm_medium=content_syndication&utm_campaign=THN_GifShell1).


The main component of this attack allows an attacker to create a reverse shell that delivers malicious commands via base64 encoded GIFs in Teams, and exfiltrates the output through GIFs retrieved by Microsoft's own infrastructure.


#### How does it work?


* To create this reverse shell, an attacker must first compromise a computer to plant the malware — which means the bad actor needs to convince the user to install a [malicious stager](https://medium.com/@bobbyrsec/gifshell-covert-attack-chain-and-c2-utilizing-microsoft-teams-gifs-1618c4e64ed7), like with phishing, that executes commands and uploads command output via a GIF url to a Microsoft Teams web hook.
* Once the stager is in place, the threat actor creates their own Microsoft Teams tenant and contacts other Microsoft Teams users outside of the organization.
* The threat actor can then use a [GIFShell Python script](https://github.com/bobbyrsec/Microsoft-Teams-GIFShell) to send a message to a Microsoft Teams user that contains a specially crafted GIF. This legitimate GIF image has been modified to include commands to execute on a target's machine.
* When the target receives the message, the message and the GIF will be stored in Microsoft Team's logs. Important to note: Microsoft Teams runs as a background process, so the GIF does not even need to be opened by the user to receive the attacker's commands to execute.
* The stager monitors the Teams logs and when it finds a GIF, it extracts and runs the commands.
* Microsoft's servers will connect back to the attacker's server URL to retrieve the GIF, which is named using the base64 encoded output of the executed command.
* The GIFShell server running on the attacker's server will receive this request and automatically decode the data allowing the attackers to see the output of the command run on the victim's device.


## Microsoft's response


As [reported](https://www.bleepingcomputer.com/news/security/gifshell-attack-creates-reverse-shell-using-microsoft-teams-gifs/) by Lawrence Abrams in BleepingComputer, Microsoft agrees that this attack method is a problem, however, it "does not meet the bar for an urgent security fix." They "may take action in a future release to help mitigate this technique." Microsoft is acknowledging this research but asserting that no security boundaries have been bypassed. 


While Rauch claims that indeed "two additional vulnerabilities discovered in Microsoft Teams, a lack of permission enforcement and attachment spoofing", Microsoft argues, "For this case… these all are post exploitation and rely on a target already being compromised." Microsoft is asserting that this technique is using legitimate features from the Teams platform and not something they can mitigate currently.


In accordance with Microsoft's assertions, indeed this is the challenge many organizations face — there are configurations and features that threat actors can exploit if not hardened. A few changes to your tenant's configurations can prevent these inbound attacks from unknown Teams tenants.


## How to Protect Against the GIFShell Attack


There are security configurations within Microsoft that, if hardened, can help to prevent this type of attack.


**1 — Disable External Access:** Microsoft Teams, by default, allows for all external senders to send messages to users within that tenant. Many organization admins likely are not even aware that their organization allows for External Teams collaboration. You can harden these configurations:


![GIFShell Attack](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhE5fEfkE8kyg_z3rQ1DgLdttWavA8yqWnlLK6DRybVpxIHpg2SAjGZLDTEiERo6lQZvj9MJpgCY1c3OYT-qknr7Fbn4MMv3shW1FeyUw3OUjdsk_JDkDVrbvxAb8fQZd-Zab-ejCpNEoNoDA9XXuF9a1jDg29RegiUMdjUF6y2zDuRN2mNM-V_5iWh/s728-e1000/1.jpg)
* Disable external domain access — Prevent people in your organization from finding, calling, chatting, and setting up meetings with people external to your organization in any domain. While not as seamless of a process as through Teams, this better protects the organization and is worth the extra effort.


* Disable unmanaged external teams start conversation — Block Teams users in your organization from communicating with external Teams users whose accounts are not managed by an organization.


**2 — Gain Device Inventory Insight:** You can ensure your entire organization's devices are fully compliant and secure by using your XDR / EDR / Vulnerability Management solution, like Crowdstrike or Tenable. Endpoint security tools are your first line of defense against suspicious activity such as accessing the device's local teams log folder which is used for data exfiltration in GIFShell.


You can even go a step further and integrate an SSPM (SaaS Security Posture Management) solution, like Adaptive Shield, with your endpoint security tools to gain visibility and context to easily see and manage the risks that stem from these types of configurations, your SaaS users, and their associated devices.


## How to Automate Protection Against These Attacks


There are two methods to combat misconfigurations and harden security settings: manual detection and remediation or an automated SaaS Security Posture Management (SSPM) solution. With the multitudes of configurations, users, devices, and new threats, the manual method is an unsustainable drain on resources, leaving security teams overwhelmed. However, an SSPM solution, such as [Adaptive Shield](https://www.adaptive-shield.com/adaptive-shield-platform?utm_source=TheHackerNews&utm_medium=content_syndication&utm_campaign=THN_GifShell2), enables security teams to gain complete control over their SaaS apps and configurations. The right SSPM automates and streamlines the process of monitoring, detection and remediation for SaaS misconfigurations, SaaS-to-SaaS access, SaaS related IAM, and Device-to-SaaS user risk in compliance with both industry and company standards. 


In cases such as the GifShell attack method, Adaptive Shield's misconfiguration management features enables security teams to continuously assess, monitor, identify and alert for when there is a misconfiguration (see figure 1). Then they can quickly remediate through the system or use a ticketing system of choice to send the pertinent details for fast remediation.


![GIFShell Attack](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgiyyYfbn7E8twKw5IlvAJb0D6i6PltGcHOiQOOWL5mN0G0s-8tUO20Qf3z0LLxaOVChroCh9CHwc3ks8bdHTtR84RmfOUtBtB6PcD6hTJXaxqaX-k7bA3ajrkVE-XY7ckbiedC9Ctj5C2ym_eDynLqwwA-agpnW8SU8U9cT4hN1ptzEzSQbF1iNGcz/s728-e1000/2.jpg)
Similarly, Adaptive Shield's Device Inventory feature (seen in figure 2) can monitor devices being used company-wide and flag any [Device-to-SaaS risk](https://thehackernews.com/2022/07/the-new-weak-link-in-saas-security.html) while correlating that information with the user roles and permissions and the SaaS apps in use. This enables security teams to gain a holistic view of user-device posture to protect and secure high-risk devices that can serve as a critical threat in their SaaS environment. 


![GIFShell Attack](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiv1GPuQ7zzLSBf7JMvRsEre72gomJXyVvlNUBAsbO2ufJLkYnXwun1K9bNXQuN_n2DIt5Rf72ydHkzBKYvgC7MPvvOZ-IjHHHeYdOoq_L9AswszzUYZpimoRs0-Eyz2rx0NgmRBPiWDl7r9Rqpxh8R0Jva-ZaWnc9ymNtCge6V8LTvBFXO6JrbrwqY/s728-e1000/3.jpg)
[Learn more about how the Adaptive Shield SSPM can protect your SaaS app ecosystem.](https://www.adaptive-shield.com/lp-get-a-demo?utm_source=TheHackerNews&utm_medium=content_syndication&utm_campaign=THN_GifShell3)


  





## Tags:


### Autogenerated tags:
[[teams]] [[microsoft]] [[saas]] [[gifshell]] [[sspm]] [[apps]] [[gifs]] [[misconfigurations]] [[device-to-saas]]
