# Apple emergency patch to fix zero-day prevents some websites from displaying properly
## Apple said it is planning to release a new version of a patch it issued Monday following reports that the fix is causing secondary issues for users.
## Information:

+ Link: https://therecord.media/apple-emergency-patch-zero-day-prevents-websites-from-displaying-properly
+ Source: The Record
+ Author: Jonathan Greig
+ Date published: 11 July 2023, 00:00
+ Date scraped: 11 July 2023, 18:00

## Article:
![Main article image](https://cms.therecord.media/uploads/2021_05_iphone_ios_e1626716322336_118a424134.jpg)

Apple said it is planning to release a new version of a patch it issued Monday following reports that the fix is causing secondary issues for users.


Apple [published](https://support.apple.com/en-us/HT213823) a Rapid Security Responses (RSR) advisory Monday addressing CVE-2023-37450, a vulnerability they say “may have been actively exploited.” The zero-day vulnerability affects WebKit, a browser engine used by many macOS and iOS applications.


On Tuesday, the company said it is “aware of an issue where this Rapid Security Response might prevent some websites from displaying properly,” adding that new versions “will be available soon to address this issue.” Apple provided instructions to users who wished to remove the RSR patch from their devices.


Several people in the [comment section](https://forums.macrumors.com/threads/apple-releases-rapid-security-response-updates-for-ios-16-5-1-and-macos-13-4-1-to-fix-actively-exploited-vulnerability-updated.2395527/) of a MacRumors article on the patch reported having issues opening Facebook and other platforms like Zoom and Instagram.


CVE-2023-37450 affects WebKit, which is “foundational to essentially every product in the Apple ecosystem that can render web content and that ranges from the operating systems to Apple’s products to third-party developer products,” according to Zimperium security architect Georgia Weidman.


“The very code re-use that has helped make the internet truly ubiquitous and has allowed Apple to provide such diverse offerings unfortunately comes with the associated cost that bad actors can increasingly use the same exploit across entire ecosystems of products,” Weidman added.


BleepingComputer, which first [reported](https://www.bleepingcomputer.com/news/apple/apple-releases-emergency-update-to-fix-zero-day-exploited-in-attacks/) the patch, said this is the 10th zero-day vulnerability found within Apple products this year.


The RSR program is a new offering from Apple designed to “deliver important security improvements between software updates—for example, improvements to the Safari web browser, the WebKit framework stack, or other critical system libraries.”


“They may also be used to mitigate some security issues more quickly, such as issues that might have been exploited or reported to exist ‘in the wild,’” Apple said in a [document](https://support.apple.com/en-us/HT201224) explaining the program.


The advisory on Monday is the second RSR release since the program was started.


Viakoo’s John Gallagher lauded Apple for taking action to address the growing number of zero-day exploits through the new program and noted that the advisories give customers a “clear indication that the patch is urgent and different from a standard update for functionality and minor bug fixes.”


But he warned that the danger is that RSRs “become too frequent and therefore become ‘background noise’ to users as current updates might be.”




## Tags:
***CVE's***: CVE-2023-37450

### Autogenerated tags:
[[rsr]] [[zero-day]] [[webkit]]
