# CISA, FBI warn that Royal ransomware gang may rebrand as ‘BlackSuit’
## The leading cybersecurity agencies in the U.S. released startling new data on the Royal ransomware gang on Monday, confirming previous reports that the gang may be preparing for a rebrand.
## Information:

+ Link: https://therecord.media/cisa-fbi-warn-royal-ransomware-gang-rebrands-blacksuit
+ Source: The Record
+ Author: Jonathan Greig
+ Date published: 14 November 2023, 00:00
+ Date scraped: 14 November 2023, 02:00

## Article:
![Main article image](https://cms.therecord.media/uploads/executive_ceo_804b6c59eb.jpg)

The leading cybersecurity agencies in the U.S. released startling new data on the Royal ransomware gang on Monday, confirming previous reports that the gang may be preparing for a rebrand.


In June, BleepingComputer [reported](https://www.bleepingcomputer.com/news/security/royal-ransomware-gang-adds-blacksuit-encryptor-to-their-arsenal/?&web_view=true) that Royal ransomware had added the BlackSuit encryptor to its arsenal, echoing reports from [TrendMicro](https://www.trendmicro.com/en_us/research/23/e/investigating-blacksuit-ransomwares-similarities-to-royal.html) and [other cybersecurity researchers](https://www.linkedin.com/posts/yelisey-bohuslavskiy-214a02bb_conti-ransomware-malware-activity-7069397453438869504-FWj3/) that the gang was preparing for a rebrand following increased law enforcement scrutiny following its [high-profile attack](https://therecord.media/dallas-ransomware-gang-report) on the city of Dallas in May.


In an update to a [March advisory](https://therecord.media/u-s-government-warns-of-royal-ransomware-attacks-against-critical-infrastructure) on Monday, the FBI and Cybersecurity and Infrastructure Security Agency (CISA) confirmed that they too believed a Royal rebrand was in the offing.


“Since September 2022, Royal has targeted over 350 known victims worldwide and ransomware demands have exceeded 275 million USD. Royal conducts data exfiltration and extortion prior to encryption and then publishes victim data to a leak site if a ransom is not paid,” the agencies [said](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-061a).


“Phishing emails are among the most successful vectors for initial access by Royal threat actors. There are indications that Royal may be preparing for a re-branding effort and/or a spinoff variant. Blacksuit ransomware shares a number of identified coding characteristics similar to Royal.”


Several cybersecurity experts believe Royal ransomware is itself a spinoff of the [Conti ransomware gang](https://therecord.media/tag/conti), which [shut down](https://therecord.media/conti-ransomware-gang-digital-infrastructure-shut-down) its operations last year following a devastating [attack on the government of Costa Rica](https://therecord.media/ransomware-gang-threatens-to-overthrow-new-costa-rica-government-raises-demand-to-20-million/).


Royal has been a prolific operation, with [one cyber insurance company](https://therecord.media/cyber-insurance-claims-spike-as-ransomware-soars) saying in September that the group, alongside BlackCat and LockBit 3.0, were the most common ransomware variants seen in the first half of 2023.


While Royal has continued to launch attacks since June, BlackSuit ransomware has been recently used against some organizations.


One of the U.S.’s most popular zoos — ZooTampa — [confirmed to Recorded Future News](https://therecord.media/tampa-zoo-targeted-in-cyberattack) in July that it was dealing with a ransomware attack which was later claimed by hackers calling themselves BlackSuit.


Experts from cybersecurity firm Trend Micro [said](https://www.trendmicro.com/en_us/research/23/e/investigating-blacksuit-ransomwares-similarities-to-royal.html) in May that the ransomware has been used against both Windows and Linux users. Trend Micro examined the BlackSuit and Royal ransomware strains, finding a more than 90% similarity profile — something several other cybersecurity companies [have corroborated](https://cyware.com/news/new-blacksuit-ransomware-exhibit-striking-similarities-with-royal-f90d6997).


On Monday, the FBI and CISA said both Royal and BlackSuit threat actors have been observed using legitimate software and open source tools during ransomware operations.


The tools include open source network tunneling products like Chisel and Cloudflared, as well as Secure Shell (SSH) Client, OpenSSH, and MobaXterm to establish SSH connections.


“The publicly available credential stealing tool Mimikatz and password harvesting tools from Nirsoft have also been found on victim systems,” they said.


“Legitimate remote access tools AnyDesk, LogMein, and Atera Agent have also been observed as backdoor access vectors.”


The advisory provides updated information on things organizations can look out for if they suspect they have been attacked with either the Royal or BlackSuit encryptor.


Before its [attack](https://therecord.media/dallas-courts-resume-services-after-ransomware-attack) on the city of Dallas, the Royal ransomware gang made a point of [targeting hospitals](https://therecord.media/us-dept-of-health-warns-of-increased-royal-ransomware-attacks-on-hospitals). An advisory from the U.S. Department of Health and Human Services (HHS) warned hospitals and organizations in the healthcare sector last December to stay on alert for attacks from the Royal ransomware group.


HHS said attacks by the group on healthcare facilities are increasing and that the group typically demands ransoms between $250,000 and $2 million. HHS also referenced a Microsoft report that found multiple actors spreading the Royal ransomware.


That report found that the group used Google Ads in one of their campaigns of attacks – which includes dozens of law firms and businesses across the U.S. as well as one of the most popular [motor racing circuits](https://therecord.media/popular-uk-motor-racing-circuit-investigating-ransomware-attack/) in the United Kingdom.


“Royal is an operation that appears to consist of experienced actors from other groups, as there have been observed elements from previous ransomware operations,” they said. “While most of the known ransomware operators have performed Ransomware-as-a-Service, Royal appears to be a private group without any affiliates while maintaining financial motivation as their goal.”

[Previous article](/uk-cyber-incident-reports-all-time-high)[Cyber incident reports hit ‘all-time high,’ warns UK NCSC](/uk-cyber-incident-reports-all-time-high)No new articles


## Tags:


### Autogenerated tags:
[[ransomware]] [[blacksuit]] [[cybersecurity]] [[u.s]] [[hhs]]
