# CrushFTP urges customers to patch file transfer tool ‘ASAP’
## Two of the biggest cybersecurity incidents in 2023 revolved around zero-day vulnerabilities in file transfer tools.
## Information:

+ Link: https://therecord.media/crushftp-file-transfer-vulnerability-patch-asap
+ Source: The Record
+ Author: Jonathan Greig
+ Date published: 22 April 2024, 00:00
+ Date scraped: 22 April 2024, 22:02

## Article:
![Main article image](https://cms.therecord.media/uploads/format_webp/Derick_David_1533b7aa1d.jpg)

A vulnerability in popular file transfer tool CrushFTP is already being exploited in attacks, the company said Monday.

 Last week, the company released both [public](https://www.crushftp.com/crush11wiki/Wiki.jsp?page=Update) and [private](https://www.reddit.com/r/cybersecurity/comments/1c850i2/all_versions_of_crush_ftp_are_vulnerable/) notices to customers about a vulnerability affecting a version of their file transfer tool, which was first disclosed on April 19. 

 The vulnerability was discovered by Airbus CERT’s Simon Garrelou and was given the tag [CVE-2024-4040](https://www.cve.org/CVERecord?id=CVE-2024-4040) on Monday afternoon. The latest version of the tool has a patch fixing the bug.  

A CrushFTP official told Recorded Future News that they do not yet know of any customers affected but that compromise is likely.

“I am sure there have been, and they just are slow to apply updates and don't realize yet,” they said.

“We have seen a customer who was already patched who was probed for the vulnerability. Had they not been updated, important config info would have been stolen. We can't stress enough that customers need to update ASAP, or block all IPs except known good IPs and operate in a whitelisting mode,” the official said.

 First [reported](https://www.bleepingcomputer.com/news/security/crushftp-warns-users-to-patch-exploited-zero-day-immediately/) by BleepingComputer, the vulnerability caused alarm because the company’s private notice said a user “could retrieve system files that are not part of their [virtual file system].” 

“This could lead to escalation as they learn more, etc,” the company told customers.

 Cybersecurity firm CrowdStrike [released](https://www.reddit.com/r/crowdstrike/comments/1c88788/situational_awareness_20240419_crushftp_virtual/) its own advisory saying their team has “observed this exploit being used in the wild in a targeted fashion.” CrowdStrike noted that “multiple U.S. entities were affected and said “intelligence-gather activity possibly politically motivated.” 

CrushFTP said it is difficult for customers to check if they have been exploited due to the type of the vulnerability, as there “is no silver bullet search term to check for” when searching through logs.

 File transfer tools are ripe targets for hackers interested in data theft. Two of the biggest security incidents in 2023 revolved around zero-day vulnerabilities in file transfer tools [MOVEit](https://therecord.media/tag/moveit) and [GoAnywhere](https://therecord.media/tag/goanywhere) — exposing thousands of organizations to hackers who stole troves of data on millions of people. 

[Previous article](/hhs-privacy-protections-reproductive-healthcare)[HHS strengthens privacy protections for reproductive health patients and providers](/hhs-privacy-protections-reproductive-healthcare)No new articles


## Tags:
***CVE's***: CVE-2024-4040

### Autogenerated tags:
[[crushftp]]
