# Google rushes out Chrome browser fix for new zero-day flaw
## Google patches a sandbox escape in Chrome that an attacker can exploit by luring a target to a malicious web page.
## Information:

+ Link: https://www.zdnet.com/article/google-rushes-out-chrome-browser-fix-for-new-zero-day-flaw/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 25 November 2022, 10:52
+ Date scraped: 30 November 2022, 19:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/cb39d360e4370ba499757106e712d18a19a6e2c1/2022/10/06/5d77b2dd-7412-4ce9-a0f0-a5bb536467fb/hands-typing-on-a-laptop.jpg?auto=webp&fit=crop&height=675&width=1200)

Google has released an update for Chrome to address a previously undisclosed or zero-day flaw that is under attack.

According to Google, the high-severity flaw, which is tracked as CVE-2022-4135, is due to a memory-related "heap buffer overflow in GPU".

"Google is aware that an exploit for CVE-2022-4135 exists in the wild," [Google says in its advisory](https://chromereleases.googleblog.com/2022/11/stable-channel-update-for-desktop_24.html). 

The issue was was reported on 22 November by Clement Lecigne, a researcher with Google's Threat Analysis Group.

**Also:** [**Ransomware: Why it's still a big threat, and where the gangs are going next**](https://www.zdnet.com/article/ransomware-why-its-still-a-big-threat-and-where-the-gangs-are-going-next/)

Google is rolling out the fix in the coming days or weeks via the Stable channel release of Chrome, which has now been updated to 107.0.5304.121 for Mac and Linux, and 107.0.5304.121/.122 for Windows.

Google is keeping details of the bug restricted until the majority of users are updated with the fix.

The NIST's National Vulnerability Database, however, has a more detailed description of [CVE-2022-4135](https://nvd.nist.gov/vuln/detail/CVE-2022-4135), which helps explain why it's a high-severity flaw: a remote attacker can escape the Chrome sandbox by luring a target to a web page crafted in a way to exploit the security issue in the graphics renderer process.   

"Heap buffer overflow in GPU in Google Chrome prior to 107.0.5304.121 allowed a remote attacker who had compromised the renderer process to potentially perform a sandbox escape via a crafted HTML page," NIST notes.

[According to Bleepingcomputer](https://www.bleepingcomputer.com/news/security/google-pushes-emergency-chrome-update-to-fix-8th-zero-day-in-2022/), it's the eighth actively exploited zero day in Chrome that Google has patched this year. Google's Project Zero [zero-day tracker](https://docs.google.com/spreadsheets/d/1lkNJ0uQwbeC1ZTRrxdtuPLCIl7mlUreoKfSIgajnSyY/edit#gid=1662223764), however, only counts seven Chrome zero days this year as it's missing CVE-2022-3075, which it patched on September 2. 

By far, the most common category of flaws affecting Chrome on the zero-day tracker are memory corruption issues. Google is trying to harden Chrome's giant C++ code base against memory security flaws with [heap scanning](https://www.zdnet.com/article/programming-languages-how-google-is-improving-c-memory-safety/) and [MicarclPtr](https://www.zdnet.com/article/chrome-willing-to-take-performance-hit-to-prevent-use-after-free-bugs/). In general, memory flaws account for 70% of high-severity bugs in Chrome. Both hardening techniques create an overhead on performance.   

Even though the flaw is likely being used in targeted attacks, Chrome users should install the update, which was available today when ZDNet checked.

#### Google

   [![Google Pixel 7 Pro in Hazel]()

 Pixel-peeping the 7 Pro? See how it stacks up against the best Android phones](/article/best-android-phone/)  [![man on stage at Google AI event]()

 Google makes massive commitment to support more languages using AI](/article/google-makes-massive-commitment-to-support-more-languages-using-ai/)  [![google-pixel-7-and-7-pro]()

 Google's best Pixel phones zoom past Samsung on this one camera feature](/article/google-pixel-7-pixel-7-pro-review/)  [![Google Photo Unblur on Pixel 7 Pro]()

 Google's Photo Unblur is an indispensable feature for fixing photos. Here's how to use it](/article/how-to-use-photo-unblur-on-the-google-pixel-7-series/)  [![Google Pixel Watch vs Samsung Galaxy Watch 5 Pro]()

 Pixel Watch vs Galaxy Watch 5 Pro: Did Google just beat Samsung?](/article/pixel-watch-vs-galaxy-watch-5-pro-did-google-just-beat-samsung/)  



 



  * [![Google Pixel 7 Pro in Hazel]()

 Pixel-peeping the 7 Pro? See how it stacks up against the best Android phones](/article/best-android-phone/)
* [![man on stage at Google AI event]()

 Google makes massive commitment to support more languages using AI](/article/google-makes-massive-commitment-to-support-more-languages-using-ai/)
* [![google-pixel-7-and-7-pro]()

 Google's best Pixel phones zoom past Samsung on this one camera feature](/article/google-pixel-7-pixel-7-pro-review/)
* [![Google Photo Unblur on Pixel 7 Pro]()

 Google's Photo Unblur is an indispensable feature for fixing photos. Here's how to use it](/article/how-to-use-photo-unblur-on-the-google-pixel-7-series/)
* [![Google Pixel Watch vs Samsung Galaxy Watch 5 Pro]()

 Pixel Watch vs Galaxy Watch 5 Pro: Did Google just beat Samsung?](/article/pixel-watch-vs-galaxy-watch-5-pro-did-google-just-beat-samsung/)



## Tags:
***CVE's***: CVE-2022-3075 CVE-2022-4135

### Autogenerated tags:
[[google]] [[zero-day]] [[high-severity]] [[cve-2022-4135]]
